%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C)
    | p2(B,C) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A)
    | p2(C,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C)
    | p3(B,C) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A)
    | p3(C,B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A,C)
    | p4(B,C) )).

cnf(p4_substitution_2,axiom,
    ( A != B
    | ~ p4(C,A)
    | p4(C,B) )).

cnf(clause_7,axiom,
    ( ~ p2(X1,X2)
    | p4(X2,X1) )).

cnf(clause_4,axiom,
    ( ~ p3(X1,X2)
    | X1 = X2
    | p4(X1,X2) )).

cnf(clause_2,axiom,
    ( ~ p2(X1,X2)
    | p1(X1,X2) )).

cnf(clause_11,axiom,
    ( p2(X1,X2)
    | X1 = X2
    | p4(X1,X2) )).

cnf(clause_9,axiom,
    ( ~ p4(X1,X2)
    | ~ p4(X2,X1) )).

cnf(clause_10,axiom,
    ( p4(X1,X3)
    | ~ p4(X2,X3)
    | ~ p4(X1,X2) )).

cnf(clause_5,axiom,
    ( p3(X1,X2)
    | ~ p4(X1,X2) )).

cnf(clause_3,axiom,
    ( p1(X1,X2)
    | X1 != X2 )).

cnf(clause_6,axiom,
    ( p3(X1,X2)
    | X1 != X2 )).

cnf(clause_8,axiom,
    ( p2(X2,X1)
    | ~ p4(X1,X2) )).

cnf(clause_1,axiom,
    ( ~ p1(X1,X2)
    | X1 = X2
    | p2(X1,X2) )).
%------------------------------------------------------------------------------
