%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C)
    | p2(B,C) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A)
    | p2(C,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A)
    | p3(B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A,C,D)
    | p4(B,C,D) )).

cnf(p4_substitution_2,axiom,
    ( A != B
    | ~ p4(C,A,D)
    | p4(C,B,D) )).

cnf(p4_substitution_3,axiom,
    ( A != B
    | ~ p4(C,D,A)
    | p4(C,D,B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A,C,D)
    | p5(B,C,D) )).

cnf(p5_substitution_2,axiom,
    ( A != B
    | ~ p5(C,A,D)
    | p5(C,B,D) )).

cnf(p5_substitution_3,axiom,
    ( A != B
    | ~ p5(C,D,A)
    | p5(C,D,B) )).

cnf(p6_substitution_1,axiom,
    ( A != B
    | ~ p6(A,C,D)
    | p6(B,C,D) )).

cnf(p6_substitution_2,axiom,
    ( A != B
    | ~ p6(C,A,D)
    | p6(C,B,D) )).

cnf(p6_substitution_3,axiom,
    ( A != B
    | ~ p6(C,D,A)
    | p6(C,D,B) )).

cnf(clause_6,axiom,
    ( X4 = X5
    | ~ p5(X1,X5,X3)
    | ~ p5(X1,X4,X2)
    | X2 != X3
    | ~ p2(X1,X2)
    | ~ p2(X1,X3) )).

cnf(clause_12,negated_conjecture,(
    p5(c7,c10,c8) )).

cnf(clause_5,axiom,
    ( ~ p4(X1,X2,X3)
    | p4(X1,X3,X2) )).

cnf(clause_17,negated_conjecture,(
    p1(c12,c13) )).

cnf(clause_2,axiom,
    ( ~ p1(X1,X2)
    | ~ p1(X2,X1) )).

cnf(clause_8,hypothesis,
    ( ~ p1(X3,X2)
    | ~ p4(X1,X2,X3)
    | ~ p1(X4,X5)
    | ~ p2(X1,X3)
    | ~ p2(X1,X2)
    | ~ p5(X1,X5,X3)
    | ~ p5(X1,X4,X2) )).

cnf(clause_15,negated_conjecture,(
    p6(c7,c13,c9) )).

cnf(clause_3,axiom,
    ( p3(X2)
    | ~ p2(X1,X2) )).

cnf(clause_1,axiom,
    ( X1 != X2
    | ~ p1(X1,X2) )).

cnf(clause_11,negated_conjecture,(
    p4(c7,c8,c9) )).

cnf(clause_13,negated_conjecture,(
    p5(c7,c11,c9) )).

cnf(clause_14,negated_conjecture,(
    p6(c7,c12,c8) )).

cnf(clause_4,axiom,
    ( X1 = X2
    | p1(X1,X2)
    | ~ p3(X1)
    | p1(X2,X1)
    | ~ p3(X2) )).

cnf(clause_10,negated_conjecture,(
    p2(c7,c9) )).

cnf(clause_7,hypothesis,
    ( ~ p1(X4,X5)
    | ~ p6(X1,X4,X2)
    | ~ p1(X3,X2)
    | ~ p4(X1,X2,X3)
    | ~ p2(X1,X3)
    | ~ p6(X1,X5,X3)
    | ~ p2(X1,X2) )).

cnf(clause_16,negated_conjecture,(
    p1(c11,c10) )).

cnf(clause_9,negated_conjecture,(
    p2(c7,c8) )).
%------------------------------------------------------------------------------
