%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C)
    | p2(B,C) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A)
    | p2(C,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C)
    | p3(B,C) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A)
    | p3(C,B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A,C)
    | p4(B,C) )).

cnf(p4_substitution_2,axiom,
    ( A != B
    | ~ p4(C,A)
    | p4(C,B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A,C,D)
    | p5(B,C,D) )).

cnf(p5_substitution_2,axiom,
    ( A != B
    | ~ p5(C,A,D)
    | p5(C,B,D) )).

cnf(p5_substitution_3,axiom,
    ( A != B
    | ~ p5(C,D,A)
    | p5(C,D,B) )).

cnf(p6_substitution_1,axiom,
    ( A != B
    | ~ p6(A)
    | p6(B) )).

cnf(p7_substitution_1,axiom,
    ( A != B
    | ~ p7(A,C)
    | p7(B,C) )).

cnf(p7_substitution_2,axiom,
    ( A != B
    | ~ p7(C,A)
    | p7(C,B) )).

cnf(clause_7,axiom,
    ( ~ p2(X1,X2)
    | p4(X2,X1) )).

cnf(clause_2,axiom,
    ( p1(X1,X2)
    | ~ p2(X1,X2) )).

cnf(clause_19,negated_conjecture,(
    p5(c8,c9,c9) )).

cnf(clause_3,axiom,
    ( X1 != X2
    | p1(X1,X2) )).

cnf(clause_8,axiom,
    ( ~ p4(X1,X2)
    | p2(X2,X1) )).

cnf(clause_14,axiom,
    ( ~ p7(X1,X3)
    | ~ p7(X1,X2)
    | ~ p5(X1,X2,X3) )).

cnf(clause_13,axiom,
    ( p7(X1,X3)
    | ~ p5(X1,X2,X3)
    | p7(X1,X2) )).

cnf(clause_15,axiom,
    ( p7(X1,X2)
    | p5(X1,X2,X3)
    | ~ p7(X1,X2)
    | ~ p6(X1) )).

cnf(clause_12,axiom,
    ( ~ p5(X1,X2,X3)
    | p6(X1) )).

cnf(clause_6,axiom,
    ( p3(X1,X2)
    | X1 != X2 )).

cnf(clause_11,axiom,
    ( p4(X1,X2)
    | p2(X1,X2)
    | X1 = X2 )).

cnf(clause_1,axiom,
    ( X1 = X2
    | p2(X1,X2)
    | ~ p1(X1,X2) )).

cnf(clause_17,axiom,
    ( p7(X1,X3)
    | ~ p7(X1,X2)
    | ~ p6(X1)
    | p5(X1,X3,X2) )).

cnf(clause_16,axiom,
    ( ~ p7(X1,X2)
    | p7(X1,X3)
    | ~ p6(X1)
    | p5(X1,X2,X3) )).

cnf(clause_5,axiom,
    ( ~ p4(X1,X2)
    | p3(X1,X2) )).

cnf(clause_9,axiom,
    ( ~ p4(X2,X1)
    | ~ p4(X1,X2) )).

cnf(clause_10,axiom,
    ( ~ p4(X1,X2)
    | p4(X1,X3)
    | ~ p4(X2,X3) )).

cnf(clause_18,axiom,
    ( ~ p6(X1)
    | p7(X1,X2)
    | p5(X1,X3,X2)
    | ~ p7(X1,X2) )).

cnf(clause_4,axiom,
    ( ~ p3(X1,X2)
    | X1 = X2
    | p4(X1,X2) )).
%------------------------------------------------------------------------------
