%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(formula_9,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ! [X2] : 
          ( p1(X2)
         => ! [X3] : 
              ( p1(X3)
             => ( f3(X2,X3) != X1
                | ( f3(X2,X1) = X3
                  & X1 != c2 ) ) ) ) ) )).

fof(formula_10,axiom,(
    ~ ? [X1] : 
        ( p4(X1)
        & ! [X2] : 
            ( p4(X2)
           => ! [X3] : 
                ( p4(X3)
               => ( f6(X2,X3) != X1
                  | ( f6(X2,X1) = X3
                    & X1 != c5 ) ) ) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( f3(c2,X1) = X1
        & f3(X1,c2) = X1 ) ) )).

fof(formula_3,axiom,(
    ? [X2] : 
      ( p1(X2)
      & c2 = X2 ) )).

fof(formula_11,conjecture,
    ( ( ! [X1] : 
          ( p1(X1)
         => p4(f7(X1)) )
      & ! [X2] : 
          ( p4(X2)
         => p1(f8(X2)) ) )
   => ~ ( ! [X3] : 
            ( p1(X3)
           => ! [X4] : 
                ( p1(X4)
               => f7(f3(X3,X4)) = f6(f7(X3),f7(X4)) ) )
        & ! [X5] : 
            ( p4(X5)
           => ! [X6] : 
                ( p4(X6)
               => f8(f6(X5,X6)) = f3(f8(X5),f8(X6)) ) )
        & ! [X7] : 
            ( p4(X7)
           => f7(f8(X7)) = X7 )
        & ! [X8] : 
            ( p1(X8)
           => f8(f7(X8)) = X8 ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => p1(f3(X1,X2)) ) ) )).

fof(formula_1,axiom,(
    p1(c2) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => p4(f6(X1,X2)) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ( f6(c5,X1) = X1
        & f6(X1,c5) = X1 ) ) )).

fof(formula_6,axiom,(
    ? [X2] : 
      ( p4(X2)
      & c5 = X2 ) )).

fof(formula_4,axiom,(
    p4(c5) )).
%------------------------------------------------------------------------------
