%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( ( p1(c2,X1)
        & p1(c3,X1) )
     => p4 ) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X1,X3) )
     => ? [X4] : 
          ( p1(X2,X4)
          & p1(X3,X4) ) ) )).

fof(formula_8,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(c5,X1)
        & p1(X1,X2)
        & p1(X1,X3) )
     => ? [X4] : 
          ( p1(X2,X4)
          & p1(X3,X4) ) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => p1(X1,X2) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ( X1 = X2
        | ? [X3] : 
            ( p6(X1,X3)
            & p1(X3,X2) ) ) ) )).

fof(formula_3,axiom,(
    p1(c5,c3) )).

fof(formula_10,conjecture,(
    p4 )).

fof(formula_2,axiom,(
    p1(c5,c2) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
     => p1(X1,X2) ) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p1(X2,X3) )
     => p1(X1,X3) ) )).
%------------------------------------------------------------------------------
