%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p1(A,C,D) )
     => p1(B,C,D) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p1(C,A,D) )
     => p1(C,B,D) ) )).

fof(p1_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p1(C,D,A) )
     => p1(C,D,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p11(A,C,D,E) )
     => p11(B,C,D,E) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p11(C,A,D,E) )
     => p11(C,B,D,E) ) )).

fof(p11_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p11(C,D,A,E) )
     => p11(C,D,B,E) ) )).

fof(p11_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p11(C,D,E,A) )
     => p11(C,D,E,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(A,C) )
     => p12(B,C) ) )).

fof(p12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(C,A) )
     => p12(C,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(A,C,D) )
     => p14(B,C,D) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(C,A,D) )
     => p14(C,B,D) ) )).

fof(p14_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(C,D,A) )
     => p14(C,D,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p25(A,C) )
     => p25(B,C) ) )).

fof(p25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p25(C,A) )
     => p25(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p4(A,C,D) )
     => p4(B,C,D) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p4(C,A,D) )
     => p4(C,B,D) ) )).

fof(p4_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p4(C,D,A) )
     => p4(C,D,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p5(A,C,D) )
     => p5(B,C,D) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p5(C,A,D) )
     => p5(C,B,D) ) )).

fof(p5_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p5(C,D,A) )
     => p5(C,D,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(A,C,D) )
     => p6(B,C,D) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(C,A,D) )
     => p6(C,B,D) ) )).

fof(p6_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(C,D,A) )
     => p6(C,D,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p8(A,C,D,E) )
     => p8(B,C,D,E) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p8(C,A,D,E) )
     => p8(C,B,D,E) ) )).

fof(p8_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p8(C,D,A,E) )
     => p8(C,D,B,E) ) )).

fof(p8_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p8(C,D,E,A) )
     => p8(C,D,E,B) ) )).

fof(formula_46,hypothesis,(
    ~ p10(c19,c7) )).

fof(formula_43,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
    <=> ( ~ p3(X2,X1)
        & X2 != X1 ) ) )).

fof(formula_41,axiom,(
    ! [X1] : 
      ( p3(X1,c27)
    <=> p25(X1,c26) ) )).

fof(formula_25,axiom,(
    f9(c13,c13) = c20 )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( ( p2(X1,X2)
        & p6(X1,X3,X2) )
     => p10(X3,f9(X2,c13)) ) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3] : 
      ( p4(X1,X2,X3)
    <=> ( ( X1 = c15
          & X2 = c18
          & ~ p2(c17,X3) )
        | ( X1 = c17
          & X2 = c16
          & ~ p2(c15,X3) )
        | ( X1 = c17
          & X2 = c16
          & p2(c15,X3) )
        | ( X1 = c17
          & X2 = c18
          & p2(c15,X3) )
        | ( X1 = c15
          & X2 = c19
          & ~ p2(c17,X3) )
        | ( X1 = c17
          & X2 = c19
          & ~ p2(c15,X3) ) ) ) )).

fof(formula_31,axiom,(
    ! [X1,X2] : f9(X1,X2) = f9(X2,X1) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( ( p2(X1,X2)
        & ( p6(X1,X3,X2)
          | p4(X1,X3,X2) ) )
     => ~ p12(X3,f9(X2,c13)) ) )).

fof(formula_38,axiom,(
    ! [X1] : 
      ( p3(X1,c23)
    <=> p25(X1,c22) ) )).

fof(formula_42,axiom,(
    ! [X1] : 
      ( p3(X1,c28)
    <=> p25(X1,c27) ) )).

fof(formula_24,axiom,(
    f9(c7,c21) = c21 )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p3(X1,c13)
    <=> p25(X1,c7) ) )).

fof(formula_23,axiom,(
    f9(c7,c20) = c20 )).

fof(formula_27,axiom,(
    f9(c13,c21) = c22 )).

fof(formula_22,axiom,(
    f9(c7,c13) = c13 )).

fof(formula_30,axiom,(
    f9(c21,c21) = c24 )).

fof(formula_4,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( p2(X1,X2)
        & p4(X1,X3,X2)
        & p3(c7,X4)
        & p11(X3,X2,X5,X4)
        & ~ p5(X2,X3,f9(X2,X4)) )
     => p10(X5,f9(X2,X4)) ) )).

fof(formula_21,axiom,(
    f9(c7,c7) = c7 )).

fof(formula_26,axiom,(
    f9(c13,c20) = c21 )).

fof(formula_29,axiom,(
    f9(c20,c21) = c23 )).

fof(formula_5,axiom,(
    ! [X1,X2] : 
      ( ( p10(X1,X2)
        & ~ p12(X1,f9(X2,c13))
        & ~ ? [X3] : 
              ( p2(X3,X2)
              & p4(X3,X1,X2) ) )
     => p10(X1,f9(X2,c13)) ) )).

fof(formula_48,conjecture,(
    ~ p10(c18,c21) )).

fof(formula_1,axiom,(
    ! [X1,X2,X3] : 
      ( p1(X1,X2,X3)
    <=> ? [X4,X5] : 
          ( p2(X4,X5)
          & p3(X1,X5)
          & p3(X5,X3)
          & p4(X4,X2,X5) ) ) )).

fof(formula_44,hypothesis,(
    ~ p10(c16,c7) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( ( ~ p10(X1,X2)
        & ~ p12(X1,f9(X2,c13))
        & ~ ? [X3] : 
              ( p2(X3,X2)
              & p6(X3,X1,X2) ) )
     => ~ p10(X1,f9(X2,c13)) ) )).

fof(formula_28,axiom,(
    f9(c20,c20) = c22 )).

fof(formula_13,axiom,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2,X3)
    <=> ( ( X1 = c15
          & X2 = c16
          & ~ p2(c17,X3) )
        | ( X1 = c17
          & X2 = c18
          & ~ p2(c15,X3) )
        | ( X1 = c17
          & X2 = c19
          & p2(c15,X3) ) ) ) )).

fof(formula_33,axiom,(
    ~ ? [X1] : p3(X1,c7) )).

fof(formula_20,axiom,(
    c19 != c18 )).

fof(formula_39,axiom,(
    ! [X1] : 
      ( p3(X1,c24)
    <=> p25(X1,c23) ) )).

fof(formula_18,axiom,(
    c16 != c18 )).

fof(formula_37,axiom,(
    ! [X1] : 
      ( p3(X1,c22)
    <=> p25(X1,c21) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p3(X1,c20)
    <=> p25(X1,c13) ) )).

fof(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( ( p2(X1,X2)
        & p4(X1,X3,X2) )
     => ~ p10(X3,f9(X2,c13)) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p3(X1,c21)
    <=> p25(X1,c20) ) )).

fof(formula_47,hypothesis,(
    ! [X1,X2] : ~ p12(X1,X2) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p3(X1,c26)
    <=> p25(X1,c24) ) )).

fof(formula_19,axiom,(
    c16 != c19 )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( ( ~ p12(X1,X2)
        & ~ ? [X3] : 
              ( p2(X3,X2)
              & p14(X3,X1,X2) ) )
     => ~ p12(X1,f9(X2,c13)) ) )).

fof(formula_3,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( p2(X1,X2)
        & p6(X1,X3,X2)
        & p3(c7,X5)
        & p8(X3,X2,X4,X5)
        & ~ p1(X2,X3,f9(X2,X5)) )
     => p10(X4,f9(X2,X5)) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( ( p12(X1,X2)
        & ~ ? [X3] : 
              ( p2(X3,X2)
              & ( p6(X3,X1,X2)
                | p4(X3,X1,X2) ) ) )
     => p12(X1,f9(X2,c13)) ) )).

fof(formula_17,axiom,(
    c15 != c17 )).

fof(formula_15,axiom,(
    ! [X1,X2,X3] : ~ p14(X1,X2,X3) )).

fof(formula_45,hypothesis,(
    ~ p10(c18,c7) )).

fof(formula_2,axiom,(
    ! [X1,X2,X3] : 
      ( p5(X1,X3,X2)
    <=> ? [X4,X5] : 
          ( p2(X4,X5)
          & p3(X1,X5)
          & p3(X5,X2)
          & p6(X4,X3,X5) ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2,X3] : 
      ( ( p2(X1,X2)
        & p14(X1,X3,X2) )
     => p12(X3,f9(X2,c13)) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( ( X1 = c15
          & X2 = c7 )
        | ( X1 = c17
          & X2 = c13 )
        | ( X1 = c17
          & X2 = c20 )
        | ( X1 = c15
          & X2 = c20 ) ) ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( p25(X1,X2)
    <=> ( p3(X1,X2)
        | X1 = X2 ) ) )).
%------------------------------------------------------------------------------
