%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(A,C) = f19(B,C) ) )).

fof(f19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(C,A) = f19(C,B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f20(A) = f20(B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p10(A,C,D,E) )
     => p10(B,C,D,E) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p10(C,A,D,E) )
     => p10(C,B,D,E) ) )).

fof(p10_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p10(C,D,A,E) )
     => p10(C,D,B,E) ) )).

fof(p10_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p10(C,D,E,A) )
     => p10(C,D,E,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p11(A,C,D) )
     => p11(B,C,D) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p11(C,A,D) )
     => p11(C,B,D) ) )).

fof(p11_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p11(C,D,A) )
     => p11(C,D,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(A,C) )
     => p12(B,C) ) )).

fof(p12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(C,A) )
     => p12(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(A,C) )
     => p13(B,C) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(C,A) )
     => p13(C,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(A,C) )
     => p14(B,C) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(C,A) )
     => p14(C,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(A,C,D) )
     => p16(B,C,D) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,A,D) )
     => p16(C,B,D) ) )).

fof(p16_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,D,A) )
     => p16(C,D,B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(A,C,D) )
     => p6(B,C,D) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(C,A,D) )
     => p6(C,B,D) ) )).

fof(p6_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(C,D,A) )
     => p6(C,D,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p9(A,C,D,E) )
     => p9(B,C,D,E) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p9(C,A,D,E) )
     => p9(C,B,D,E) ) )).

fof(p9_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p9(C,D,A,E) )
     => p9(C,D,B,E) ) )).

fof(p9_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p9(C,D,E,A) )
     => p9(C,D,E,B) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( ( p1(X2,X1)
        & X2 != X1 )
     => p8(X2) ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( p17(f18(X1,X2))
     => ( p17(X1)
        & p17(X2) ) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ( X1 = f15(X2)
    <=> ! [X3] : 
          ( p13(X3,X2)
        <=> p2(X3,X1) ) ) )).

fof(formula_35,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( p17(f18(f19(X5,X1),f19(X6,X2)))
        & p17(f18(f19(X5,X3),f19(X6,X4))) )
     => ~ ( p11(f20(X5),X1,X3)
          & p11(f20(X6),X4,X2) ) ) )).

fof(formula_17,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p9(X1,X2,X3,X4)
    <=> ( X2 != X4
        & ? [X5] : 
            ( p1(X5,X1)
            & p4(X2,X5)
            & p4(X4,X5)
            & p5(X3,X5) ) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2,X3] : 
      ( X1 = f3(X2,X3)
    <=> ! [X4] : 
          ( p2(X4,X1)
        <=> ( p2(X4,X2)
            | p2(X4,X3) ) ) ) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p4(X2,X1)
        & p4(X3,X1)
        & p4(X4,X1) )
     => ( X2 = X3
        | X2 = X4
        | X3 = X4 ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( p5(X2,X1)
     => ? [X3,X4] : 
          ( p6(X2,X3,X4)
          & X1 = f3(X3,X4) ) ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
      ( p14(X1,X2)
    <=> ( p13(X1,X2)
        & ! [X3] : 
            ( ( X1 != X3
              & p13(X3,X2) )
           => p11(X2,X3,X1) ) ) ) )).

fof(formula_30,axiom,(
    ! [X1,X2,X3] : 
      ( p17(f18(f18(X1,X2),X3))
    <=> p17(f18(X1,f18(X2,X3))) ) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p7(X1)
        & p6(X4,X2,X3)
        & X1 = f3(X2,X3) )
     => ! [X5] : 
          ( p4(X5,X2)
         => p6(X5,X2,X3) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p8(X2)
      & ! [X3] : 
          ( p13(X3,X1)
        <=> p2(X3,X2) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p7(X1)
    <=> ~ ? [X2] : p4(X2,X1) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( p17(f19(X1,X2))
    <=> p13(X2,f20(X1)) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
    <=> ( p2(X1,X2)
        & ~ p4(X1,X2) ) ) )).

fof(formula_25,axiom,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & X1 != X2
        & p2(X1,X3)
        & p2(X2,X3) )
     => ? [X4] : 
          ( ! [X5] : 
              ( p13(X5,X4)
            <=> p2(X5,X3) )
          & p11(X4,X1,X2) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
    ? [X2] : p5(X2,X1) )).

fof(formula_37,conjecture,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2,X3)
    <=> p16(X2,X1,X3) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ( p17(f18(X1,X2))
    <=> p17(f18(X2,X1)) ) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2,X3)
    <=> ( p2(X1,X2)
        & p2(X1,X3)
        & ! [X4] : 
            ( ( p2(X4,X2)
              & p2(X4,X3) )
           => ( p4(X4,X2)
              & p4(X4,X3) ) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p1(X2,X1)
        & p1(X3,X1)
        & p1(X4,X1)
        & ? [X5] : 
            ( p4(X5,X2)
            & p4(X5,X3)
            & p4(X5,X4) ) )
     => ( p1(X3,X4)
        | p1(X4,X3)
        | p1(X2,X3)
        | p1(X3,X2)
        | p1(X2,X4)
        | p1(X4,X2) ) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( ? [X3] : p6(X3,X1,X2)
     => ? [X4] : X4 = f3(X1,X2) ) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( p12(X1,X2)
    <=> ( p13(X1,X2)
        & ! [X3] : 
            ( ( X1 != X3
              & p13(X3,X2) )
           => p11(X2,X1,X3) ) ) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p4(X2,X1)
     => ? [X3] : 
          ( p4(X3,X1)
          & X2 != X3 ) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p2(X3,X1)
        <=> p2(X3,X2) )
     => X1 = X2 ) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ( ! [X3,X4] : 
          ( p11(X1,X3,X4)
        <=> p11(X2,X3,X4) )
     => X1 = X2 ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p17(X1)
     => p17(f18(X1,X1)) ) )).

fof(formula_28,axiom,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2,X3)
    <=> p17(f18(f19(X1,X3),f19(X2,X3))) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p17(X1)
     => ! [X2] : 
        ? [X3] : p17(f18(X1,f19(X2,X3))) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X2,X1)
    <=> ! [X3] : 
          ( p2(X3,X2)
         => p2(X3,X1) ) ) )).

fof(formula_23,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p10(X4,X1,X2,X3)
    <=> ? [X5] : 
          ( ! [X1] : 
              ( p13(X1,X4)
            <=> p2(X1,X5) )
          & p9(X5,X1,X2,X3) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p8(X1)
    <=> ? [X2] : p4(X2,X1) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
    <=> ( p2(X1,X2)
        & ! [X3,X4] : 
            ( ( p1(X3,X2)
              & p1(X4,X2)
              & p2(X1,X3)
              & p2(X1,X4) )
           => ( p1(X3,X4)
              | p1(X4,X3) ) ) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
    ? [X2] : p12(X2,X1) )).

fof(formula_21,axiom,(
    ! [X1,X2,X3] : 
      ( p11(X1,X2,X3)
     => ( p13(X2,X1)
        & p13(X3,X1) ) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
    ? [X2] : f20(X1) = X2 )).

fof(formula_18,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p10(X1,X2,X3,X4)
    <=> ( ( p11(X1,X2,X3)
          & p11(X1,X3,X4) )
        | ( p11(X1,X4,X3)
          & p11(X1,X3,X2) ) ) ) )).
%------------------------------------------------------------------------------
