%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f2(A) = f2(B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(A,C) = f20(B,C) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(C,A) = f20(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f3(A) = f3(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p12(A,C,D) )
     => p12(B,C,D) ) )).

fof(p12_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p12(C,A,D) )
     => p12(C,B,D) ) )).

fof(p12_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p12(C,D,A) )
     => p12(C,D,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(A,C,D) )
     => p13(B,C,D) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(C,A,D) )
     => p13(C,B,D) ) )).

fof(p13_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(C,D,A) )
     => p13(C,D,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(A,C) )
     => p14(B,C) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(C,A) )
     => p14(C,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(A,C,D) )
     => p16(B,C,D) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,A,D) )
     => p16(C,B,D) ) )).

fof(p16_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,D,A) )
     => p16(C,D,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p8(A,C,D) )
     => p8(B,C,D) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p8(C,A,D) )
     => p8(C,B,D) ) )).

fof(p8_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p8(C,D,A) )
     => p8(C,D,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p8(X1,X2,X3)
        & p10(X4,X3) )
     => ( p4(X4)
        & ? [X5] : 
            ( p9(X5,X3)
            & ( X4 = f2(X5)
              | X4 = f3(X5) ) ) ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X1)
        & p4(X2)
        & ? [X4] : 
            ( p1(X4)
            & X1 = f3(X4)
            & ( ( X2 = f2(X4)
                & X3 = f6(X4,c7) )
              | ? [X5] : 
                  ( p8(f2(X4),X2,X5)
                  & X3 = f6(X4,X5) ) ) ) )
     => p8(X1,X2,X3) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( p8(X2,X3,X1)
     => ! [X4,X5] : 
          ( ( p9(X4,X1)
            & p9(X5,X1)
            & ( p11(X4,X5)
              | ? [X6] : 
                  ( p11(X4,X6)
                  & p12(X6,X5,X1) ) ) )
         => p12(X4,X5,X1) ) ) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3] : 
      ( p8(X1,X2,X3)
     => f15(X3) = f17(c18,X3) ) )).

fof(formula_13,axiom,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2,X3)
    <=> ( p1(X1)
        & p1(X2)
        & p1(X3)
        & p11(X1,X2)
        & p11(X2,X3)
        & p11(X3,X1) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p4(f2(X1))
        & p4(f3(X1)) ) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : p14(f17(X1,X2),f17(X1,c23)) )).

fof(formula_18,conjecture,
    ( p5
   => ! [X1,X2,X3] : 
        ( p13(X2,X3,X1)
       => f17(c19,X1) = f17(c22,X1) ) )).

fof(formula_11,axiom,(
    ! [X1,X2,X3] : 
      ( p13(X1,X2,X3)
    <=> ( p8(X1,X2,X3)
        & X1 != X2
        & ! [X4] : 
            ( p8(X1,X2,X4)
           => p14(f15(X3),f15(X4)) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => f2(X1) != f3(X1) ) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( p13(X1,X2,X5)
        & p12(X3,X4,X5) )
     => ( ~ ? [X6] : 
              ( f3(X6) = f3(X3)
              & f2(X6) = f2(X4) )
        & ~ p12(X4,X3,X5) ) ) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p8(X1,X2,X3)
        & p9(X4,X3) )
     => ( p1(X4)
        & p10(f2(X4),X3)
        & p10(f3(X4),X3) ) ) )).

fof(formula_16,axiom,(
    ! [X1,X2,X3] : 
      ( ( p8(X2,X3,X1)
        & ! [X4,X5] : 
            ( ( p9(X4,X1)
              & p9(X5,X1)
              & p11(X4,X5) )
           => ? [X6] : p16(X4,X5,X6) ) )
     => f17(c19,X1) = f17(c22,X1) ) )).

fof(formula_3,axiom,
    ( p5
   => ! [X1,X2] : 
        ( ( p4(X1)
          & p4(X2)
          & X1 != X2 )
       => ? [X3] : 
            ( p1(X3)
            & ~ ( ( X1 = f2(X3)
                  & X2 = f3(X3) )
              <=> ( X2 = f2(X3)
                  & X1 = f3(X3) ) ) ) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
    <=> ( p1(X1)
        & p1(X2)
        & X1 != X2
        & f2(X1) = f3(X2) ) ) )).

fof(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( p8(X2,X3,X1)
     => ! [X4,X5] : 
          ( p12(X4,X5,X1)
         => ( p9(X4,X1)
            & p9(X5,X1)
            & ~ ( p11(X4,X5)
              <=> ? [X6] : 
                    ( p11(X4,X6)
                    & p12(X6,X5,X1) ) ) ) ) ) )).

fof(formula_15,axiom,(
    ! [X1,X2,X3] : 
      ( p8(X1,X2,X3)
     => f17(c19,X3) = f20(f15(X3),c21) ) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( p8(X1,X2,X3)
     => ( p4(X1)
        & p4(X2)
        & ? [X4] : 
            ( p1(X4)
            & X1 = f3(X4)
            & ~ ( ( X2 = f2(X4)
                  & X3 = f6(X4,c7) )
              <=> ? [X5] : 
                    ( p8(f2(X4),X2,X5)
                    & X3 = f6(X4,X5) ) ) ) ) ) )).
%------------------------------------------------------------------------------
