%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(A,C) = f16(B,C) ) )).

fof(f16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(C,A) = f16(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(formula_10,axiom,
    ( p15
  <=> ! [X1,X2] : p2(f3(X1,f16(X1,X2))) )).

fof(formula_21,axiom,
    ( p27
  <=> ! [X1] : p2(f3(f3(f7(X1),X1),X1)) )).

fof(formula_36,axiom,(
    p6 )).

fof(formula_35,axiom,(
    p1 )).

fof(formula_45,axiom,(
    p18 )).

fof(formula_24,axiom,
    ( p30
  <=> ! [X1,X2] : p2(f3(f16(X1,X2),f16(X2,X1))) )).

fof(formula_25,axiom,
    ( p31
  <=> ! [X1,X2,X3] : p2(f3(f16(X1,f16(X2,X3)),f16(X2,f16(X1,X3)))) )).

fof(formula_5,axiom,
    ( p9
  <=> ! [X1,X2] : p2(f3(f3(X1,f3(X1,X2)),f3(X1,X2))) )).

fof(formula_11,axiom,
    ( p17
  <=> ! [X1,X2] : p2(f3(X2,f16(X1,X2))) )).

fof(formula_33,axiom,(
    p35 )).

fof(formula_12,axiom,
    ( p18
  <=> ! [X1,X2,X3] : p2(f3(f3(X1,X3),f3(f3(X2,X3),f3(f16(X1,X2),X3)))) )).

fof(formula_38,axiom,(
    p9 )).

fof(formula_43,axiom,(
    p15 )).

fof(formula_48,axiom,(
    p21 )).

fof(formula_44,axiom,(
    p17 )).

fof(formula_20,axiom,
    ( p26
  <=> ! [X1,X2] : p2(f3(X1,f3(f7(X1),X2))) )).

fof(formula_6,axiom,
    ( p10
  <=> ! [X1,X2,X3] : p2(f3(f3(X1,X2),f3(f3(X2,X3),f3(X1,X3)))) )).

fof(formula_46,axiom,(
    p19 )).

fof(formula_8,axiom,
    ( p13
  <=> ! [X1,X2] : p2(f3(f12(X1,X2),X2)) )).

fof(formula_17,axiom,
    ( p23
  <=> ! [X1,X2] : p2(f3(f12(X1,X2),X1)) )).

fof(formula_15,axiom,
    ( p21
  <=> ! [X1,X2] : p2(f3(f3(X1,X2),f3(f3(X2,X1),f5(X1,X2)))) )).

fof(formula_4,axiom,
    ( p8
  <=> ! [X1,X2] : p2(f3(X1,f3(X2,X1))) )).

fof(formula_51,axiom,(
    p35 )).

fof(formula_39,axiom,(
    p10 )).

fof(formula_37,axiom,(
    p8 )).

fof(formula_19,axiom,
    ( p25
  <=> ! [X1,X2,X3] : p2(f3(f3(X1,X2),f3(f3(X2,X3),f3(X1,X3)))) )).

fof(formula_41,axiom,(
    p13 )).

fof(formula_16,axiom,
    ( p22
  <=> ! [X1] : p2(f3(X1,f12(X1,X1))) )).

fof(formula_30,axiom,
    ( p36
   => ! [X1,X2] : f3(X1,X2) = f16(f7(X1),X2) )).

fof(formula_31,axiom,
    ( p37
   => ! [X1,X2] : f5(X1,X2) = f12(f3(X1,X2),f3(X2,X1)) )).

fof(formula_49,axiom,(
    p4 )).

fof(formula_13,axiom,
    ( p19
  <=> ! [X1,X2] : p2(f3(f5(X1,X2),f3(X1,X2))) )).

fof(formula_34,axiom,(
    p37 )).

fof(formula_53,conjecture,(
    p24 )).

fof(formula_2,axiom,
    ( p4
  <=> ! [X1,X2] : 
        ( p2(f5(X1,X2))
       => X1 = X2 ) )).

fof(formula_27,axiom,
    ( p33
   => ! [X1,X2] : f16(X1,X2) = f7(f12(f7(X1),f7(X2))) )).

fof(formula_14,axiom,
    ( p20
  <=> ! [X1,X2] : p2(f3(f5(X1,X2),f3(X2,X1))) )).

fof(formula_40,axiom,(
    p11 )).

fof(formula_47,axiom,(
    p20 )).

fof(formula_29,axiom,
    ( p35
   => ! [X1,X2] : f3(X1,X2) = f7(f12(X1,f7(X2))) )).

fof(formula_52,axiom,(
    p37 )).

fof(formula_7,axiom,
    ( p11
  <=> ! [X1,X2] : p2(f3(f12(X1,X2),X1)) )).

fof(formula_28,axiom,
    ( p34
   => ! [X1,X2] : f12(X1,X2) = f7(f16(f7(X1),f7(X2))) )).

fof(formula_42,axiom,(
    p14 )).

fof(formula_3,axiom,
    ( p6
  <=> ! [X1,X2] : p2(f3(f3(f7(X2),f7(X1)),f3(X1,X2))) )).

fof(formula_50,axiom,(
    p33 )).

fof(formula_32,axiom,(
    p33 )).

fof(formula_22,axiom,
    ( p28
  <=> ! [X1] : p2(f3(f16(X1,X1),X1)) )).

fof(formula_1,axiom,
    ( p1
  <=> ! [X1,X2] : 
        ( ( p2(X1)
          & p2(f3(X1,X2)) )
       => p2(X2) ) )).

fof(formula_9,axiom,
    ( p14
  <=> ! [X1,X2] : p2(f3(X1,f3(X2,f12(X1,X2)))) )).

fof(formula_23,axiom,
    ( p29
  <=> ! [X1,X2] : p2(f3(X2,f16(X1,X2))) )).

fof(formula_26,axiom,
    ( p32
  <=> ! [X1,X2,X3] : p2(f3(f3(X2,X3),f3(f16(X1,X2),f16(X1,X3)))) )).

fof(formula_18,axiom,
    ( p24
  <=> ! [X1,X2,X3] : p2(f3(f3(X1,X2),f3(f7(f12(X2,X3)),f7(f12(X3,X1))))) )).
%------------------------------------------------------------------------------
