%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p5(A,C,D,E) )
     => p5(B,C,D,E) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p5(C,A,D,E) )
     => p5(C,B,D,E) ) )).

fof(p5_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p5(C,D,A,E) )
     => p5(C,D,B,E) ) )).

fof(p5_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p5(C,D,E,A) )
     => p5(C,D,E,B) ) )).

fof(formula_1,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p1(X2,X3) )
     => p1(X1,X3) ) )).

fof(formula_2,axiom,(
    ! [X1,X2,X3] : 
      ( ( p2(X1,X2)
        & p2(X1,X3) )
     => ( p1(X3,X2)
        | X3 = X2
        | p1(X2,X3) ) ) )).

fof(formula_6,hypothesis,(
    ! [X1] : 
      ( ( p4(X1)
        & p11(X1) )
     => ? [X2] : 
          ( p2(X1,X2)
          & p3(X2,f8(X1)) ) ) )).

fof(formula_7,conjecture,(
    ! [X1] : 
      ( ( p4(X1)
        & p11(X1) )
     => ? [X2] : 
          ( p2(X1,X2)
          & ! [X3] : 
              ( ( p5(c6,c7,X1,X3)
                & p3(X3,X2) )
             => ( p1(f9(c7,X3),c10)
                & p1(c10,f9(c6,X3)) ) ) ) ) )).

fof(formula_5,hypothesis,(
    ! [X1] : 
      ( ( p4(X1)
        & p11(X1) )
     => ? [X2] : 
          ( p2(X1,X2)
          & ! [X3] : 
              ( ( p5(c6,c7,X1,X3)
                & p3(X3,X2) )
             => p1(f9(c7,X3),f9(c6,X3)) ) ) ) )).

fof(formula_4,hypothesis,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p5(c6,c7,X1,X2)
        & p3(X2,f8(X1)) )
     => ( ( f9(c6,X2) = c10
          & f9(c7,X2) = c10 )
        | ( p1(f9(c6,X2),c10)
          & p1(c10,f9(c7,X2)) )
        | ( p1(f9(c7,X2),c10)
          & p1(c10,f9(c6,X2)) ) ) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
    <=> ( p1(X1,X2)
        | X1 = X2 ) ) )).
%------------------------------------------------------------------------------
