%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f12(A) = f12(B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(A,C) = f13(B,C) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(C,A) = f13(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(A,C) = f14(B,C) ) )).

fof(f14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(C,A) = f14(C,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f17(A) = f17(B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(A,C) )
     => p15(B,C) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(C,A) )
     => p15(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p2(A,C,D,E) )
     => p2(B,C,D,E) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p2(C,A,D,E) )
     => p2(C,B,D,E) ) )).

fof(p2_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p2(C,D,A,E) )
     => p2(C,D,B,E) ) )).

fof(p2_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p2(C,D,E,A) )
     => p2(C,D,E,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p5(A,C,D) )
     => p5(B,C,D) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p5(C,A,D) )
     => p5(C,B,D) ) )).

fof(p5_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p5(C,D,A) )
     => p5(C,D,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p1(X1)
        & p11(X1,X2)
        & p11(X1,X3)
        & p15(X3,X4)
        & p15(X4,X2) )
     => p11(X1,X4) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p3(c16,f9(f4(c6,X1),f4(c7,X1)))
    <=> p3(f4(c7,X1),f4(c6,X1)) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( ( p1(X1)
        & p11(X1,f12(X1)) )
     => p2(c6,c7,X1,f12(X1)) ) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1)
        & p11(X1,X3)
        & p15(f9(f4(c6,X3),f4(c7,X3)),c16)
        & p15(X2,f13(c7,X1))
        & p3(X3,X2) )
     => ( p8(f9(f4(c6,X2),f4(c7,X2)))
       => p3(f9(f4(c6,X2),f4(c7,X2)),c16) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p11(X1,f17(X1)) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(c6,c7,X1,X2)
        & ~ p3(c16,f9(f4(c6,X2),f4(c7,X2))) )
     => p15(f9(f4(c6,X2),f4(c7,X2)),c16) ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p11(X1,f12(X1))
        & p15(X2,f13(c7,X1))
        & p3(f12(X1),X2) )
     => p11(X1,X2) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( ( p1(X1)
        & p11(X1,f13(c7,X1)) )
     => p2(c6,c7,X1,f13(c7,X1)) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( p8(f9(f14(c6,X1),f14(c7,X1)))
        & ~ p8(f9(f10(c6,X1),f10(c7,X1))) )
     => p8(f9(f4(c6,X1),f4(c7,X1))) ) )).

fof(formula_19,hypothesis,(
    ! [X1,X2,X3,X4] : 
      ( ( p1(X1)
        & p2(c6,c7,X1,X2)
        & p2(c6,c7,X1,X3)
        & p15(X4,X2)
        & p15(X3,X4) )
     => p2(c6,c7,X1,X4) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p11(X1,X2)
        & p3(f18(c6,X2),c16)
        & p3(f18(c7,X2),c16) )
     => p2(c6,c7,X1,X2) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(c6,c7,X1,X2) )
     => p2(c7,c6,X1,X2) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(c6,c7,X1,X2) )
     => p15(X2,f13(c7,X1)) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( p15(X1,X2)
    <=> ( p3(X1,X2)
        | X1 = X2 ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p1(X1)
        & p2(X2,X3,X1,X4)
        & p3(f4(X3,X4),f4(X2,X4)) )
     => p5(X3,X2,X4) ) )).

fof(formula_18,hypothesis,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & X2 = f12(X1) )
     => ( ~ p3(f4(c7,X2),f4(c6,X2))
        & ! [X3] : 
            ( ( p2(c6,c7,X1,X3)
              & p3(X3,X2) )
           => p3(f4(c7,X3),f4(c6,X3)) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p15(f13(c6,X1),f17(X1)) ) )).

fof(formula_20,hypothesis,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(c6,c7,X1,X2) )
     => p8(f9(f14(c6,X2),f14(c7,X2))) ) )).

fof(formula_21,conjecture,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p11(X1,f12(X1))
        & p15(X2,f13(c7,X1))
        & p3(f12(X1),X2) )
     => p5(c6,c7,X2) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p3(f9(f4(c6,X1),f4(c7,X1)),c16)
    <=> p3(f4(c6,X1),f4(c7,X1)) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(c6,c7,X1,X2) )
     => ~ p8(f9(f10(c6,X2),f10(c7,X2))) ) )).
%------------------------------------------------------------------------------
