%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p5(A,C,D,E) )
     => p5(B,C,D,E) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p5(C,A,D,E) )
     => p5(C,B,D,E) ) )).

fof(p5_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p5(C,D,A,E) )
     => p5(C,D,B,E) ) )).

fof(p5_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p5(C,D,E,A) )
     => p5(C,D,E,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p8(A,C,D) )
     => p8(B,C,D) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p8(C,A,D) )
     => p8(C,B,D) ) )).

fof(p8_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p8(C,D,A) )
     => p8(C,D,B) ) )).

fof(formula_6,hypothesis,(
    ! [X1] : 
      ( ( p4(X1)
        & p12(X1) )
     => ? [X2] : 
          ( p2(X1,X2)
          & ! [X3] : 
              ( ( p5(c9,c10,X1,X3)
                & p3(X3,X2) )
             => p1(f6(c10,X3),f6(c9,X3)) ) ) ) )).

fof(formula_7,hypothesis,(
    ! [X1] : 
      ( ( p4(X1)
        & p12(X1) )
     => ? [X2] : 
          ( p2(X1,X2)
          & p3(X2,f11(X1)) ) ) )).

fof(formula_5,hypothesis,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p5(c9,c10,X1,X2)
        & p3(X2,f11(X1)) )
     => ( ( f6(c9,X2) = c7
          & f6(c10,X2) = c7 )
        | ( p1(f6(c9,X2),c7)
          & p1(c7,f6(c10,X2)) )
        | ( p1(f6(c10,X2),c7)
          & p1(c7,f6(c9,X2)) ) ) ) )).

fof(formula_4,hypothesis,(
    ! [X1,X2,X3,X4] : 
      ( ( p4(X1)
        & p5(X2,X3,X1,X4) )
     => ( ( p3(f6(X3,X4),c7)
          & p1(c7,f6(X2,X4)) )
      <=> p8(X3,X2,X4) ) ) )).

fof(formula_8,conjecture,(
    ! [X1] : 
      ( ( p4(X1)
        & p12(X1) )
     => ? [X2] : 
          ( p2(X1,X2)
          & ! [X3] : 
              ( ( p5(c9,c10,X1,X3)
                & p3(X3,X2) )
             => p8(c10,c9,X3) ) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2,X3] : 
      ( ( p2(X1,X2)
        & p2(X1,X3) )
     => ( p1(X3,X2)
        | X3 = X2
        | p1(X2,X3) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p1(X2,X3) )
     => p1(X1,X3) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
    <=> ( p1(X1,X2)
        | X1 = X2 ) ) )).
%------------------------------------------------------------------------------
