%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(A,C) = f13(B,C) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(C,A) = f13(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(A,C) = f14(B,C) ) )).

fof(f14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(C,A) = f14(C,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(A,C) = f15(B,C) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(C,A) = f15(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_8,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1)
        & p9(X1,X2)
        & p9(X1,X3) )
     => f10(X1,X2) = f10(X1,X3) ) )).

fof(formula_13,axiom,(
    ! [X1,X2,X3] : 
      ( p6(X1)
     => f13(X1,X3) = f13(X1,X2) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> p4(X2,X1) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
      | X1 = X2
      | p4(X1,X2) ) )).

fof(formula_11,axiom,(
    ! [X1,X2,X3] : 
      ( p6(X1)
     => ( ( ( p4(f13(X1,X3),f13(X1,X2))
            & p1(f14(X1,X3),f14(X1,X2)) )
         => p4(f11(X1,X3),f11(X1,X2)) )
        & ( ( p1(f13(X1,X3),f13(X1,X2))
            & p4(f14(X1,X3),f14(X1,X2)) )
         => p2(f11(X1,X3),f11(X1,X2)) )
        & ( ( f13(X1,X3) = f13(X1,X2)
            & f14(X1,X3) = f14(X1,X2) )
         => f11(X1,X3) = f11(X1,X2) ) ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ~ ( p4(X1,X2)
        & p4(X2,X1) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
    <=> ( p2(X1,X2)
        | X1 = X2 ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p5(X1)
    <=> ! [X2] : 
          ( p6(X1)
          & ( p1(f7(X1,X2),c8)
           => p9(X1,X2) )
          & ( p4(f7(X1,X2),c8)
           => ~ p9(X1,X2) ) ) ) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X1,X2)
        & p4(X2,X3) )
     => p4(X1,X3) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
    <=> ( p4(X1,X2)
        | X1 = X2 ) ) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3] : 
      ( p6(X1)
     => f15(X1,X3) = f15(X1,X2) ) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( p6(X1)
     => ( ( p4(f15(X1,X3),f15(X1,X2))
         => p4(f12(X1,X3),f12(X1,X2)) )
        & ( f15(X1,X3) = f15(X1,X2)
         => f12(X1,X3) = f12(X1,X2) ) ) ) )).

fof(formula_16,conjecture,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( p6(X1)
        & p5(X1)
        & p1(f7(X1,X2),f7(X1,X3))
        & p1(f7(X1,X3),c8)
        & p4(f7(X1,X4),c8)
        & p4(f7(X1,X5),f7(X1,X4)) )
     => ( p4(f10(X1,X5),f10(X1,X4))
        & p4(f10(X1,X4),f10(X1,X3))
        & f10(X1,X3) = f10(X1,X2) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1)
        & p9(X1,X2)
        & ~ p9(X1,X3) )
     => p4(f10(X1,X3),f10(X1,X2)) ) )).

fof(formula_15,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1)
        & p4(f7(X1,X3),f7(X1,X2)) )
     => p4(f14(X1,X3),f14(X1,X2)) ) )).

fof(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1)
        & ~ p9(X1,X2)
        & ~ p9(X1,X3) )
     => ( ( ( p4(f11(X1,X3),f11(X1,X2))
            & p3(f12(X1,X3),f12(X1,X2)) )
         => p2(f10(X1,X3),f10(X1,X2)) )
        & ( ( p3(f11(X1,X3),f11(X1,X2))
            & p4(f12(X1,X3),f12(X1,X2)) )
         => p2(f10(X1,X3),f10(X1,X2)) )
        & ( ( f11(X1,X3) = f11(X1,X2)
            & f12(X1,X3) = f12(X1,X2) )
         => f10(X1,X3) = f10(X1,X2) ) ) ) )).
%------------------------------------------------------------------------------
