%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
    <=> ( p4(X1,X2)
        | X1 = X2 ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ~ ( p4(X1,X2)
        & p4(X2,X1) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
    <=> ( p2(X1,X2)
        | X1 = X2 ) ) )).

fof(formula_10,axiom,(
    p4(c11,c8) )).

fof(formula_12,axiom,(
    p4(c13,c11) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> p4(X2,X1) ) )).

fof(formula_9,axiom,(
    p4(c12,c11) )).

fof(formula_11,axiom,(
    p4(c14,c13) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X1,X2)
        & p4(X2,X3) )
     => p4(X1,X3) ) )).

fof(formula_8,axiom,(
    p4(c14,c12) )).

fof(formula_13,conjecture,(
    ! [X1,X2,X3] : 
      ( ( p5(X1)
        & p6(X1,X2)
        & ~ p6(X1,X3) )
     => p4(f7(X1,X3),f7(X1,X2)) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
      | X1 = X2
      | p4(X1,X2) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( p5(X1)
     => ( ( p6(X1,X2)
         => f7(X1,X2) = c8 )
        & ( ~ p6(X1,X2)
         => ( ( ( p9(X1,X2)
                & p10(X1,X2) )
             => f7(X1,X2) = c11 )
            & ( ( ~ p9(X1,X2)
                & p10(X1,X2) )
             => f7(X1,X2) = c12 )
            & ( ( p9(X1,X2)
                & ~ p10(X1,X2) )
             => f7(X1,X2) = c13 )
            & ( ( ~ p9(X1,X2)
                & ~ p10(X1,X2) )
             => f7(X1,X2) = c14 ) ) ) ) ) )).
%------------------------------------------------------------------------------
