%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p10(A,C,D) )
     => p10(B,C,D) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p10(C,A,D) )
     => p10(C,B,D) ) )).

fof(p10_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p10(C,D,A) )
     => p10(C,D,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(A,C) )
     => p16(B,C) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(C,A) )
     => p16(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X1,X2)
        & p4(X2,X3) )
     => p4(X1,X3) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
    <=> ( p2(X1,X2)
        | X1 = X2 ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ~ ( p4(X1,X2)
        & p4(X2,X1) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
      | X1 = X2
      | p4(X1,X2) ) )).

fof(formula_15,axiom,(
    p4(c20,c19) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p6(X1)
     => ( ( p9(X1,X2)
         => f17(X1,X2) = c18 )
        & ( ~ p9(X1,X2)
         => ( ( ( p11(X1,X2)
                & p16(X1,X2) )
             => f17(X1,X2) = c19 )
            & ( ( ~ p11(X1,X2)
                & p16(X1,X2) )
             => f17(X1,X2) = c20 )
            & ( ( p11(X1,X2)
                & ~ p16(X1,X2) )
             => f17(X1,X2) = c21 )
            & ( ( ~ p11(X1,X2)
                & ~ p16(X1,X2) )
             => f17(X1,X2) = c22 ) ) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( ( p6(X1)
        & f7(X1,X2) = c12 )
     => p11(X1,X2) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p14(X1)
    <=> ! [X2] : 
          ( ( p1(f7(X1,X2),c15)
           => ~ p16(X1,X2) )
          & ( p4(f7(X1,X2),c15)
           => p16(X1,X2) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p5(X1)
    <=> ! [X2] : 
          ( p6(X1)
          & ( p1(f7(X1,X2),c8)
           => p9(X1,X2) )
          & ( p4(f7(X1,X2),c8)
           => ~ p9(X1,X2) ) ) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( ( p6(X1)
        & ~ p5(X1) )
     => ~ p9(X1,X2) ) )).

fof(formula_19,axiom,(
    p4(c21,c20) )).

fof(formula_14,axiom,(
    p4(c22,c20) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
    <=> ( p4(X1,X2)
        | X1 = X2 ) ) )).

fof(formula_18,axiom,(
    p4(c21,c19) )).

fof(formula_16,axiom,(
    p4(c19,c18) )).

fof(formula_11,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1)
        & f7(X1,X2) = c12 )
     => ( p4(f7(X1,X3),c13)
      <=> p10(X1,X2,X3) ) ) )).

fof(formula_17,axiom,(
    p4(c22,c21) )).

fof(formula_20,conjecture,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( p6(X1)
        & p14(X1)
        & ~ p5(X1)
        & f7(X1,X2) = c12
        & p4(c13,c12)
        & p4(c15,c12)
        & p4(c13,c15)
        & p1(f7(X1,X3),c15)
        & p4(f7(X1,X4),c15)
        & p1(f7(X1,X4),c13)
        & p4(f7(X1,X5),c13) )
     => ( p2(f17(X1,X4),f17(X1,X5))
        & p2(f17(X1,X5),f17(X1,X3))
        & f17(X1,X3) = f17(X1,X2) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( p10(X1,X2,X3)
    <=> ( p6(X1)
        & ~ ( p11(X1,X2)
          <=> p11(X1,X3) ) ) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> p4(X2,X1) ) )).
%------------------------------------------------------------------------------
