%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_25,axiom,(
    p2(c11) )).

fof(formula_45,conjecture,(
    ! [X1] : 
      ~ ! [X2] : 
          ( p1(X2,X1)
        <=> p4(X2) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_27,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p3(X1) ) )).

fof(formula_13,axiom,(
    p2(c11) )).

fof(formula_44,axiom,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ( p4(X2)
     => ( p1(X1,X2)
       => p4(X1) ) ) )).

fof(formula_49,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c11 ) )).

fof(formula_29,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p7(X1) ) )).

fof(formula_20,axiom,(
    p8(c11) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p6(X1)
    <=> ! [X2,X3] : 
          ~ ( p1(X2,X1)
            & p1(X3,X1)
            & ~ p1(X2,X3)
            & X2 != X3
            & ~ p1(X3,X2) ) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p9(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_14,axiom,(
    p7(c11) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p5(X1)
        & p6(X1)
        & p4(X1) ) ) )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p10(X1,X2) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ( p5(X1)
        & p6(X1) ) ) )).

fof(formula_38,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p12(X1)
      & p3(X1) ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : p9(X1,X1) )).

fof(formula_37,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p12(X1) ) )).

fof(formula_23,axiom,(
    p6(c11) )).

fof(formula_47,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p10(X2,f14(X3)) )
     => p10(X1,X3) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ( p10(X1,f14(X2))
    <=> p9(X1,X2) ) )).

fof(formula_48,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p10(X2,f14(X3))
        & p2(X3) ) )).

fof(formula_50,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_18,axiom,(
    p12(c11) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_35,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p3(X1)
      & p8(X1) ) )).

fof(formula_51,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_17,axiom,(
    p7(c11) )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ~ ( ~ p1(X1,X2)
              & X1 != X2
              & ~ p1(X2,X1) ) ) ) )).

fof(formula_36,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p5(X1)
      & p6(X1)
      & p4(X1) ) )).

fof(formula_16,axiom,(
    p2(c11) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & p6(X1) )
     => p4(X1) ) )).

fof(formula_33,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p7(X1) ) )).

fof(formula_26,axiom,(
    p7(c11) )).

fof(formula_15,axiom,(
    p12(c11) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( p7(X1)
        & p2(X1)
        & p3(X1) )
     => ( p7(X1)
        & p3(X1)
        & p8(X1) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p7(X1) ) )).

fof(formula_19,axiom,(
    p3(c11) )).

fof(formula_24,axiom,(
    p4(c11) )).

fof(formula_30,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_21,axiom,(
    p2(c11) )).

fof(formula_31,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p2(X1)
      & p3(X1) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
    ? [X2] : p10(X2,X1) )).

fof(formula_34,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_28,axiom,(
    ? [X1] : 
      ( p5(X1)
      & p6(X1)
      & p4(X1) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p5(X1)
    <=> ! [X2] : 
          ( p1(X2,X1)
         => p9(X2,X1) ) ) )).

fof(formula_32,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p3(X1)
      & p8(X1)
      & p2(X1)
      & p5(X1)
      & p6(X1)
      & p4(X1) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p4(X1)
    <=> ( p5(X1)
        & p6(X1) ) ) )).

fof(formula_22,axiom,(
    p5(c11) )).

fof(formula_39,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p13(X1)
      & p3(X1) ) )).
%------------------------------------------------------------------------------
