%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f13(A) = f13(B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f21(A) = f21(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(A,C) )
     => p12(B,C) ) )).

fof(p12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(C,A) )
     => p12(C,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p17(A,C) )
     => p17(B,C) ) )).

fof(p17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p17(C,A) )
     => p17(C,B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p3(X1)
        & p4(X1) )
     => ( p8(X1)
        & p4(X1)
        & p9(X1) ) ) )).

fof(formula_46,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p3(X1)
      & p4(X1) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p4(X1) ) )).

fof(formula_43,axiom,(
    ? [X1] : 
      ( p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_21,axiom,(
    p8(c18) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => ( p11(X1,X2)
        | p11(X2,X1) ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p12(X1,X2)
        & p12(X2,X1) ) ) )).

fof(formula_55,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => ( p11(X1,X2)
      <=> p12(X1,X2) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p6(X1)
        & p7(X1)
        & p5(X1) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p8(X1) ) )).

fof(formula_68,axiom,(
    ! [X1] : 
      ( p3(X1)
     => X1 = c18 ) )).

fof(formula_32,axiom,(
    p5(c18) )).

fof(formula_20,axiom,(
    p3(c18) )).

fof(formula_29,axiom,(
    p3(c18) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_52,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p19(X1) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f10(X2,X1)) ) )).

fof(formula_26,axiom,(
    p19(c18) )).

fof(formula_61,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p2(X1,X2)
           => p1(X1,X2) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : f10(X1,X2) = f10(X2,X1) )).

fof(formula_42,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1) ) )).

fof(formula_53,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p19(X1)
      & p4(X1) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( p12(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_66,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p17(X2,f21(X3)) )
     => p17(X1,X3) ) )).

fof(formula_37,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( p6(f15(X1))
        & p7(f15(X1))
        & p5(f15(X1)) ) ) )).

fof(formula_44,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p8(X1) ) )).

fof(formula_24,axiom,(
    p3(c18) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( ~ p3(f13(X1))
        & p6(f13(X1))
        & p7(f13(X1))
        & p5(f13(X1)) ) ) )).

fof(formula_30,axiom,(
    p6(c18) )).

fof(formula_58,axiom,(
    ! [X1] : p1(X1,f13(X1)) )).

fof(formula_62,axiom,(
    ! [X1,X2] : 
      ( p5(X2)
     => ( p1(X1,X2)
       => p5(X1) ) ) )).

fof(formula_34,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f10(X1,X2)) ) )).

fof(formula_71,axiom,(
    ! [X1,X2,X3] : 
      ( ( p12(X1,X2)
        & p12(X3,X2) )
     => p12(f10(X1,X3),X2) ) )).

fof(formula_56,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => p11(X1,X1) ) )).

fof(formula_63,axiom,(
    ! [X1,X2] : 
      ( p17(X1,X2)
     => ( p3(X2)
        | p1(X1,X2) ) ) )).

fof(formula_70,axiom,(
    ! [X1,X2] : 
      ~ ( p3(X1)
        & X1 != X2
        & p3(X2) ) )).

fof(formula_23,axiom,(
    ! [X1] : ~ p3(f13(X1)) )).

fof(formula_27,axiom,(
    p4(c18) )).

fof(formula_64,axiom,(
    ! [X1,X2] : 
      ( p17(X1,f21(X2))
    <=> p12(X1,X2) ) )).

fof(formula_22,axiom,(
    p19(c18) )).

fof(formula_60,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p17(X1,X2) ) )).

fof(formula_59,axiom,(
    ! [X1] : f10(X1,c18) = X1 )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ( p6(X1)
        & p7(X1) )
     => p5(X1) ) )).

fof(formula_54,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p20(X1)
      & p4(X1) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p16(X1)
    <=> X1 = f15(X1) ) )).

fof(formula_39,axiom,(
    p8(c18) )).

fof(formula_67,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p17(X2,f21(X3))
        & p3(X3) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p6(X1)
    <=> ! [X2] : 
          ( p1(X2,X1)
         => p12(X2,X1) ) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( X2 = f15(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p12(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( X2 = f14(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_28,axiom,(
    p9(c18) )).

fof(formula_38,axiom,(
    p3(c18) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( p6(X1)
        & p7(X1) ) ) )).

fof(formula_51,axiom,(
    ? [X1] : 
      ( ~ p3(X1)
      & p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_49,axiom,(
    ? [X1] : ~ p3(X1) )).

fof(formula_45,axiom,(
    ? [X1] : p3(X1) )).

fof(formula_31,axiom,(
    p7(c18) )).

fof(formula_19,axiom,(
    ! [X1] : 
    ? [X2] : p17(X2,X1) )).

fof(formula_48,axiom,(
    ? [X1] : 
      ( ~ p3(X1)
      & p8(X1) ) )).

fof(formula_50,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1)
      & p9(X1) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f10(X1,X2)) ) )).

fof(formula_41,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_25,axiom,(
    p8(c18) )).

fof(formula_69,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p3(X2) ) )).

fof(formula_12,axiom,(
    ! [X1] : f13(X1) = f10(X1,f14(X1)) )).

fof(formula_57,axiom,(
    ! [X1,X2] : p12(X1,X1) )).

fof(formula_40,axiom,(
    ! [X1,X2] : f10(X1,X1) = X1 )).

fof(formula_47,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1)
      & p9(X1)
      & p3(X1)
      & p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_65,conjecture,(
    ! [X1] : 
      ( p5(X1)
     => ( p16(X1)
      <=> ! [X2] : 
            ( p5(X2)
           => ( p1(X2,X1)
             => p1(f13(X2),X1) ) ) ) ) )).
%------------------------------------------------------------------------------
