%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f12(A) = f12(B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f13(A,C,D) = f13(B,C,D) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f13(C,A,D) = f13(C,B,D) ) )).

fof(f13_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f13(C,D,A) = f13(C,D,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f16(A) = f16(B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f17(A) = f17(B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f19(A) = f19(B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f21(A) = f21(B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f22(A) = f22(B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(A,C) = f23(B,C) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(C,A) = f23(C,B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f25(A) = f25(B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f26(A) = f26(B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(A,C) = f27(B,C) ) )).

fof(f27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(C,A) = f27(C,B) ) )).

fof(f31_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f31(A,C) = f31(B,C) ) )).

fof(f31_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f31(C,A) = f31(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p24(A) )
     => p24(B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p28(A) )
     => p28(B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p30(A,C) )
     => p30(B,C) ) )).

fof(p30_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p30(C,A) )
     => p30(C,B) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p24(X1)
    <=> ( p2(c14,X1)
        & p1(f23(c20,X1),X1) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X3,f7(X1,X2))
     => X3 = f6(f8(X3),f9(X3)) ) )).

fof(formula_19,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p2(f6(f6(X1,X2),X3),f17(X4))
    <=> ( p2(f6(f6(X1,X2),X3),f7(f7(c3,c3),c3))
        & p2(f6(f6(X2,X1),X3),X4) ) ) )).

fof(formula_35,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p2(f6(X3,X4),f27(X2,X1))
    <=> ( p2(X3,c3)
        & p2(X4,f23(X2,f23(X2,f5(X3)))) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : f6(X1,X2) = f4(f5(X1),f4(X1,f5(X2))) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p28(X1)
    <=> ( p1(X1,f7(c3,c3))
        & p1(f27(X1,f21(X1)),c29) ) ) )).

fof(formula_30,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f25(X2))
    <=> ? [X3] : 
          ( p2(X1,X3)
          & p2(X3,X2) ) ) )).

fof(formula_11,axiom,(
    p1(c10,f7(c3,c3)) )).

fof(formula_2,axiom,(
    ! [X1] : p1(X1,c3) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p1(X1,X2)
        & p1(X2,X1) ) ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : f31(X1,X2) = f25(f23(X1,f5(X2))) )).

fof(formula_42,conjecture,(
    ! [X1,X2] : 
      ( f4(c14,f5(c14)) = f6(X1,X2)
      | p2(X1,c3)
      | p2(X2,c3) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( p2(X2,f15(X1))
    <=> ( p2(X2,c3)
        & f13(X1,f5(X2),c3) != c14 ) ) )).

fof(formula_39,axiom,(
    ! [X1] : 
      ( X1 != c14
     => ? [X2] : 
          ( p2(X2,c3)
          & p2(X2,X1)
          & p30(X2,X1) ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X1,f4(X2,X3))
    <=> ( p2(X1,c3)
        & ( X1 = X2
          | X1 = X3 ) ) ) )).

fof(formula_8,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p2(f6(X1,X2),f7(X3,X4))
    <=> ( p2(X1,X3)
        & p2(X2,X4) ) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p2(f6(X1,X2),c10)
    <=> ( p2(X2,c3)
        & p2(X1,X2) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : ~ p2(X1,c14) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( ( p2(X1,c3)
        & p28(X2) )
     => p2(f23(X2,X1),c3) ) )).

fof(formula_26,axiom,(
    ! [X1] : f22(X1) = f15(f21(X1)) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
    <=> ! [X3] : 
          ( p2(X3,X1)
         => p2(X3,X2) ) ) )).

fof(formula_34,axiom,(
    ! [X1,X2] : p1(f27(X2,X1),f7(c3,c3)) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3] : f13(X2,X1,X3) = f11(X2,f7(X1,X3)) )).

fof(formula_24,axiom,(
    ! [X1,X2] : 
      ( p2(f6(X1,X2),c20)
    <=> ( p2(X1,c3)
        & p2(X2,c3)
        & f19(X1) = X2 ) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : f23(X2,X1) = f22(f13(X2,X1,c3)) )).

fof(formula_21,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X3,f18(X1,X2))
    <=> ( p2(X3,X1)
        | p2(X3,X2) ) ) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X3,f11(X1,X2))
    <=> ( p2(X3,X1)
        & p2(X3,X2) ) ) )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( p2(X1,c3)
     => p2(f26(X1),c3) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : p2(f4(X1,X2),c3) )).

fof(formula_18,axiom,(
    ! [X1] : p1(f16(X1),f7(f7(c3,c3),c3)) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p2(X2,f12(X1))
    <=> ( p2(X2,c3)
        & ~ p2(X2,X1) ) ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f26(X2))
    <=> ( p2(X1,c3)
        & p1(X1,X2) ) ) )).

fof(formula_23,axiom,(
    p1(c20,f7(c3,c3)) )).

fof(formula_6,axiom,(
    ! [X1] : f5(X1) = f4(X1,X1) )).

fof(formula_41,axiom,(
    ? [X1] : 
      ( p28(X1)
      & ! [X2] : 
          ( p2(X2,c3)
         => ( X2 = c14
            | p2(f31(X1,X2),X2) ) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : f19(X1) = f18(X1,f5(X1)) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ( p30(X1,X2)
    <=> ! [X3] : 
          ~ ( p2(X3,X1)
            & p2(X3,X2) ) ) )).

fof(formula_20,axiom,(
    ! [X1] : p1(f17(X1),f7(f7(c3,c3),c3)) )).

fof(formula_29,axiom,(
    ? [X1] : 
      ( p2(X1,c3)
      & p24(X1)
      & ! [X2] : 
          ( p24(X2)
         => p1(X1,X2) ) ) )).

fof(formula_25,axiom,(
    ! [X1] : f21(X1) = f15(f17(f7(X1,c3))) )).

fof(formula_17,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p2(f6(f6(X2,X3),X4),f16(X1))
    <=> ( p2(f6(f6(X2,X3),X4),f7(f7(c3,c3),c3))
        & p2(f6(f6(X3,X4),X2),X1) ) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p2(X1,c3)
     => p2(f25(X1),c3) ) )).
%------------------------------------------------------------------------------
