%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f3(A) = f3(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p11(X1)
      <=> ! [X2] : 
            ( p1(X2,c2)
           => ~ p6(X2,X1) ) ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( ( p11(X1)
        & p1(X1,c2) )
     => p12(X1) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p6(X1,f10(X2))
          <=> ! [X3] : 
                ( p1(X3,c2)
               => ( p6(X3,X1)
                 => p6(X3,X2) ) ) ) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ? [X2] : p1(X2,f3(X1)) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( ( ~ p11(X2)
            & p1(X2,c2) )
         => ( p1(X1,f9(X2))
          <=> p6(X1,X2) ) ) ) )).

fof(formula_19,conjecture,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,c2)
             => ( p8(X1,f4(X2,X3))
               => p1(X1,f5(X2,X3)) ) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => p8(X1,X1) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p1(X2,f3(X1))
          <=> p1(X2,f9(f10(X1))) ) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : p1(X1,c2) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p12(X1)
      <=> ! [X2] : 
            ( p1(X2,c2)
           => ( p6(X2,X1)
             => ? [X3] : 
                  ( p1(X3,c2)
                  & ? [X4] : 
                      ( p1(X4,c2)
                      & X2 = f7(X3,X4) ) ) ) ) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => p1(f4(X1,X2),c2) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ? [X3] : p1(X3,f5(X2,X1)) ) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( ! [X3] : 
                ( p1(X3,f3(f4(X1,X2)))
               => p1(X3,f5(X1,X2)) )
            & ! [X4] : 
                ( p1(X4,f5(X1,X2))
               => p1(X4,f3(f4(X1,X2))) ) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( ~ p11(f10(X1))
        & p1(f10(X1),c2) ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( ( ~ p11(X1)
        & p1(X1,c2) )
     => ? [X2] : p1(X2,f9(X1)) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,c2)
             => ( p6(X3,f4(X1,X2))
              <=> ? [X4] : 
                    ( p1(X4,c2)
                    & ? [X5] : 
                        ( p1(X5,c2)
                        & p6(X4,X1)
                        & p6(X5,X2)
                        & X3 = f7(X4,X5) ) ) ) ) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p8(X1,X2)
          <=> ! [X3] : 
                ( p1(X3,c2)
               => ( p6(X3,X1)
                 => p6(X3,X2) ) ) ) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => p1(f7(X1,X2),c2) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f3(f4(X1,X2)))
             => p12(X3) ) ) ) )).
%------------------------------------------------------------------------------
