%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f13(A) = f13(B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( ( ~ p15(X2)
            & p1(X2,c2) )
         => ( p1(X1,f13(X2))
          <=> p10(X1,X2) ) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p1(X2,f8(X1))
          <=> p1(X2,f13(f14(X1))) ) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => p3(X1,X1) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p10(X2,f7(X1))
          <=> ? [X3] : 
                ( p1(X3,c2)
                & p10(f11(X3,X2),X1) ) ) ) ) )).

fof(formula_27,conjecture,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c4)
         => ( p3(f7(X2),X1)
           => p1(X2,f9(f6(X2),X1)) ) ) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( ~ p15(f14(X1))
        & p1(f14(X1),c2) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p1(X1,c4)
      <=> ( p12(X1)
          & p1(X1,c2) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => p1(f6(X1),c2) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,c2)
             => ( ( p3(X1,X2)
                  & p3(X2,X3) )
               => p3(X1,X3) ) ) ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => p1(f5(X1,X2),c2) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p10(X2,f6(X1))
          <=> ? [X3] : 
                ( p1(X3,c2)
                & p10(f11(X2,X3),X1) ) ) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ? [X3] : p1(X3,f9(X2,X1)) ) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f8(f5(X1,X2)))
             => p12(X3) ) ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ? [X2] : p1(X2,f8(X1)) ) )).

fof(formula_26,axiom,(
    ! [X1] : p1(X1,c2) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p15(X1)
      <=> ! [X2] : 
            ( p1(X2,c2)
           => ~ p10(X2,X1) ) ) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p10(X1,f14(X2))
          <=> ! [X3] : 
                ( p1(X3,c2)
               => ( p10(X3,X1)
                 => p10(X3,X2) ) ) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => p1(f7(X1),c2) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( ( ~ p15(X1)
        & p1(X1,c2) )
     => ? [X2] : p1(X2,f13(X1)) ) )).

fof(formula_11,axiom,(
    ? [X1] : p1(X1,c4) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,c2)
             => ( p3(X1,X2)
               => ( p3(f5(X1,X3),f5(X2,X3))
                  & p3(f5(X3,X1),f5(X3,X2)) ) ) ) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( ! [X3] : 
                ( p1(X3,f8(f5(X1,X2)))
               => p1(X3,f9(X1,X2)) )
            & ! [X4] : 
                ( p1(X4,f9(X1,X2))
               => p1(X4,f8(f5(X1,X2))) ) ) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p12(X1)
      <=> ! [X2] : 
            ( p1(X2,c2)
           => ( p10(X2,X1)
             => ? [X3] : 
                  ( p1(X3,c2)
                  & ? [X4] : 
                      ( p1(X4,c2)
                      & X2 = f11(X3,X4) ) ) ) ) ) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => p1(f11(X1,X2),c2) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => p3(X1,f5(f6(X1),f7(X1))) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( ( p15(X1)
        & p1(X1,c2) )
     => p12(X1) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p3(X1,X2)
          <=> ! [X3] : 
                ( p1(X3,c2)
               => ( p10(X3,X1)
                 => p10(X3,X2) ) ) ) ) ) )).
%------------------------------------------------------------------------------
