%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f12(A) = f12(B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f13(A) = f13(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ! [X2] : 
          ( p1(X2,c4)
         => p1(f8(X1,X2),f9(X1,X2)) ) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ( p10(X1)
      <=> ! [X2] : 
            ( p1(X2,c4)
           => ( p5(X2,X1)
             => ? [X3] : 
                  ( p1(X3,c4)
                  & ? [X4] : 
                      ( p1(X4,c4)
                      & X2 = f6(X3,X4) ) ) ) ) ) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ! [X2] : 
          ( p1(X2,c4)
         => ( p5(X1,f13(X2))
          <=> ! [X3] : 
                ( p1(X3,c4)
               => ( p5(X3,X1)
                 => p5(X3,X2) ) ) ) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ! [X2] : 
          ( p1(X2,c4)
         => ! [X3] : 
              ( p1(X3,c4)
             => ( p5(X3,f8(X1,X2))
              <=> ? [X4] : 
                    ( p1(X4,c4)
                    & ? [X5] : 
                        ( p1(X5,c4)
                        & p5(X4,X1)
                        & p5(X5,X2)
                        & X3 = f6(X4,X5) ) ) ) ) ) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( ( p14(X1)
        & p1(X1,c4) )
     => p10(X1) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ! [X2] : 
          ( p1(X2,c4)
         => ! [X3] : 
              ( p1(X3,c4)
             => ( p5(f6(X2,X3),f7(X1))
              <=> ( p5(X2,X1)
                  & X2 = X3 ) ) ) ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ! [X2] : 
          ( p1(X2,c4)
         => ( ! [X3] : 
                ( p1(X3,f11(f8(X1,X2)))
               => p1(X3,f9(X1,X2)) )
            & ! [X4] : 
                ( p1(X4,f9(X1,X2))
               => p1(X4,f11(f8(X1,X2))) ) ) ) ) )).

fof(formula_12,axiom,(
    ? [X1] : p1(X1,c2) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ! [X2] : 
          ( p1(X2,c4)
         => ! [X3] : 
              ( p1(X3,c4)
             => ! [X4] : 
                  ( p1(X4,c4)
                 => ( p5(f6(X1,X2),f8(X3,X4))
                  <=> ( p5(X1,X3)
                      & p5(X2,X4) ) ) ) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ! [X2] : 
          ( p1(X2,c4)
         => ! [X3] : 
              ( p1(X3,c4)
             => ( p5(f6(X2,X3),f7(X1))
              <=> ( p5(X2,X1)
                  & X2 = X3 ) ) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ( p1(X1,c2)
      <=> ( p10(X1)
          & p1(X1,c4) ) ) ) )).

fof(formula_28,conjecture,(
    ! [X1] : 
      ( p1(X1,c4)
     => p3(f7(X1),f8(X1,X1)) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ! [X2] : 
          ( p1(X2,c4)
         => ( p3(X1,X2)
          <=> ! [X3] : 
                ( p1(X3,c4)
               => ( p5(X3,X1)
                 => p5(X3,X2) ) ) ) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ? [X2] : p1(X2,f11(X1)) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => p3(X1,X1) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ( p14(X1)
      <=> ! [X2] : 
            ( p1(X2,c4)
           => ~ p5(X2,X1) ) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => p3(X1,X1) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p3(X1,X2)
          <=> ! [X3] : 
                ( p1(X3,c4)
               => ! [X4] : 
                    ( p1(X4,c4)
                   => ( p5(f6(X3,X4),X1)
                     => p5(f6(X3,X4),X2) ) ) ) ) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( ( ~ p14(X1)
        & p1(X1,c4) )
     => ? [X2] : p1(X2,f12(X1)) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ! [X2] : 
          ( p1(X2,c4)
         => ! [X3] : 
              ( p1(X3,f11(f8(X1,X2)))
             => p10(X3) ) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ! [X2] : 
          ( p1(X2,c4)
         => ( p1(X2,f11(X1))
          <=> p1(X2,f12(f13(X1))) ) ) ) )).

fof(formula_27,axiom,(
    ! [X1] : p1(X1,c4) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ! [X2] : 
          ( p1(X2,c4)
         => p1(f6(X1,X2),c4) ) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ! [X2] : 
          ( ( ~ p14(X2)
            & p1(X2,c4) )
         => ( p1(X1,f12(X2))
          <=> p5(X1,X2) ) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => p1(f7(X1),c2) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ! [X2] : 
          ( p1(X2,c4)
         => p1(f8(X1,X2),c4) ) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ! [X2] : 
          ( p1(X2,c4)
         => ? [X3] : p1(X3,f9(X2,X1)) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p1(X1,c4)
     => ( ~ p14(f13(X1))
        & p1(f13(X1),c4) ) ) )).
%------------------------------------------------------------------------------
