%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f10(A,C,D) = f10(B,C,D) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f10(C,A,D) = f10(C,B,D) ) )).

fof(f10_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f10(C,D,A) = f10(C,D,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f11(A,C,D,E) = f11(B,C,D,E) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f11(C,A,D,E) = f11(C,B,D,E) ) )).

fof(f11_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f11(C,D,A,E) = f11(C,D,B,E) ) )).

fof(f11_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f11(C,D,E,A) = f11(C,D,E,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f12(A,C,D) = f12(B,C,D) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f12(C,A,D) = f12(C,B,D) ) )).

fof(f12_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f12(C,D,A) = f12(C,D,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f13(A) = f13(B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(A,C) = f14(B,C) ) )).

fof(f14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(C,A) = f14(C,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f17(A) = f17(B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f18(A) = f18(B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(A,C) = f21(B,C) ) )).

fof(f21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(C,A) = f21(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f9(A,C,D,E) = f9(B,C,D,E) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f9(C,A,D,E) = f9(C,B,D,E) ) )).

fof(f9_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f9(C,D,A,E) = f9(C,D,B,E) ) )).

fof(f9_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f9(C,D,E,A) = f9(C,D,E,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(A,C) )
     => p15(B,C) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(C,A) )
     => p15(C,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p19(A,C) )
     => p19(B,C) ) )).

fof(p19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p19(C,A) )
     => p19(C,B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => f3(X1,f4(X1)) = f5(X1) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => ! [X3] : 
              ( p1(X3,f8(X1,X2))
             => p1(f12(X1,X2,X3),f13(X1)) ) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ( p16(X1)
      <=> ! [X2] : 
            ( p1(X2,c7)
           => ( p19(X2,X1)
             => ? [X3] : 
                  ( p1(X3,c7)
                  & ? [X4] : 
                      ( p1(X4,c7)
                      & X2 = f21(X3,X4) ) ) ) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => p1(f5(X1),c7) ) )).

fof(formula_36,conjecture,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => ! [X3] : 
              ( p1(X3,f8(X2,X1))
             => ( f9(X2,X1,X3,f11(X2,X1,X3,X1)) = f10(X2,X1,X3)
                & f11(X2,X1,X3,f9(X2,X1,X3,X2)) = f12(X2,X1,X3) ) ) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => p1(f4(X1),c7) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( ( ~ p20(X1)
        & p1(X1,c7) )
     => ? [X2] : p1(X2,f17(X1)) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => ( ! [X3] : 
                ( p1(X3,f13(f14(X1,X2)))
               => p1(X3,f8(X1,X2)) )
            & ! [X4] : 
                ( p1(X4,f8(X1,X2))
               => p1(X4,f13(f14(X1,X2))) ) ) ) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ( ~ p20(f18(X1))
        & p1(f18(X1),c7) ) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => ! [X3] : 
              ( p1(X3,f8(X1,X2))
             => ! [X4] : 
                  ( p1(X4,c7)
                 => p1(f9(X1,X2,X3,X4),f13(X2)) ) ) ) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => ! [X3] : 
              ( p1(X3,f8(X1,X2))
             => f10(X1,X2,X3) = f5(X3) ) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => ( X1 = X2
          <=> ( p15(X1,X2)
              & p15(X2,X1) ) ) ) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ( p1(X1,c2)
      <=> ( p16(X1)
          & p1(X1,c7) ) ) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => ! [X3] : 
              ( p1(X3,f8(X1,X2))
             => f12(X1,X2,X3) = f4(X3) ) ) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => ( p1(X2,f13(X1))
          <=> p1(X2,f17(f18(X1))) ) ) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => ! [X3] : 
              ( p1(X3,f13(f14(X1,X2)))
             => p16(X3) ) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => p15(X1,X1) ) )).

fof(formula_13,axiom,(
    ? [X1] : p1(X1,c2) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => p1(f14(X1,X2),c7) ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => ( p15(X1,X2)
          <=> ! [X3] : 
                ( p1(X3,c7)
               => ( p19(X3,X1)
                 => p19(X3,X2) ) ) ) ) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ( p20(X1)
      <=> ! [X2] : 
            ( p1(X2,c7)
           => ~ p19(X2,X1) ) ) ) )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => ! [X3] : 
              ( p1(X3,f8(X1,X2))
             => ! [X4] : 
                  ( p1(X4,c7)
                 => f11(X1,X2,X3,X4) = f6(X3,X4) ) ) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => ! [X3] : 
              ( p1(X3,f8(X1,X2))
             => p1(f10(X1,X2,X3),f13(X2)) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c7)
         => p1(f3(X1,X2),c7) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => ( p19(X1,f18(X2))
          <=> ! [X3] : 
                ( p1(X3,c7)
               => ( p19(X3,X1)
                 => p19(X3,X2) ) ) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c7)
         => p1(f6(X1,X2),c7) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => ! [X3] : 
              ( p1(X3,f8(X1,X2))
             => ( f9(X1,X2,X3,X1) = f10(X1,X2,X3)
                & f11(X1,X2,X3,X2) = f12(X1,X2,X3) ) ) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ? [X2] : p1(X2,f13(X1)) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => p1(f21(X1,X2),c7) ) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( ( p20(X1)
        & p1(X1,c7) )
     => p16(X1) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => ! [X3] : 
              ( p1(X3,f8(X1,X2))
             => ! [X4] : 
                  ( p1(X4,c7)
                 => f9(X1,X2,X3,X4) = f3(X3,X4) ) ) ) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => ! [X3] : 
              ( p1(X3,f8(X1,X2))
             => ! [X4] : 
                  ( p1(X4,c7)
                 => p1(f11(X1,X2,X3,X4),f13(X1)) ) ) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( p1(X2,c7)
         => ? [X3] : p1(X3,f8(X2,X1)) ) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p1(X1,c7)
     => ! [X2] : 
          ( ( ~ p20(X2)
            & p1(X2,c7) )
         => ( p1(X1,f17(X2))
          <=> p19(X1,X2) ) ) ) )).

fof(formula_35,axiom,(
    ! [X1] : p1(X1,c7) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => f6(X1,f5(X1)) = f4(X1) ) )).
%------------------------------------------------------------------------------
