%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f12(A) = f12(B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f20(A,C,D) = f20(B,C,D) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f20(C,A,D) = f20(C,B,D) ) )).

fof(f20_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f20(C,D,A) = f20(C,D,B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f21(A) = f21(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(A,C) )
     => p15(B,C) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(C,A) )
     => p15(C,B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p17(A,C) )
     => p17(B,C) ) )).

fof(p17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p17(C,A) )
     => p17(C,B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p18(A,C,D) )
     => p18(B,C,D) ) )).

fof(p18_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p18(C,A,D) )
     => p18(C,B,D) ) )).

fof(p18_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p18(C,D,A) )
     => p18(C,D,B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(A,C,D) )
     => p19(B,C,D) ) )).

fof(p19_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(C,A,D) )
     => p19(C,B,D) ) )).

fof(p19_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(C,D,A) )
     => p19(C,D,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(formula_18,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p2(X4,f20(X1,X2,X3))
    <=> ( p2(X4,X3)
        & p19(X2,X4,X1) ) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p2(X1,c13)
    <=> ( p14(X1)
        & p15(c16,X1)
        & ! [X2] : 
            ( p2(X2,X1)
           => p1(X2,X1) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X1,f8(X3,X2))
    <=> ( p2(X1,X3)
        & ~ p2(X1,X2) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
    <=> ( p1(X1,X2)
        & p1(X2,X1) ) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f9(X2))
    <=> X1 = X2 ) )).

fof(formula_6,axiom,(
    ! [X1] : ~ p2(X1,c7) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X1,f6(X2,X3))
    <=> ( p2(X1,X2)
        | p2(X1,X3) ) ) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( p2(X2,f21(X1))
    <=> p2(X2,f6(X1,f9(X1))) ) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3] : 
      ( p18(X3,X1,X2)
    <=> ( p2(X3,X2)
        & ! [X4] : 
            ( p2(X4,X2)
           => ( X3 = X4
              | p19(X1,X3,X4) ) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f11(X2))
    <=> ? [X3] : 
          ( p2(X3,X2)
          & p2(X1,X3) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X1,f10(X2,X3))
    <=> ( X1 = X2
        | X1 = X3 ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ! [X2] : 
          ( p2(X2,X1)
         => p14(X2) ) ) )).

fof(formula_20,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p1(X2,X3) )
     => p1(X1,X3) ) )).

fof(formula_21,conjecture,(
    ! [X1] : 
      ( p1(X1,c13)
     => p1(f11(X1),c13) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( p17(X1,X2)
    <=> ( ! [X3,X4] : 
            ( ( p2(X3,X2)
              & p2(X4,X2) )
           => ~ ( p19(X1,X3,X4)
                & p19(X1,X4,X3) ) )
        & ! [X3,X4,X5] : 
            ( ( p2(X3,X2)
              & p2(X4,X2)
              & p2(X5,X2) )
           => ( ( p19(X1,X3,X4)
                & p19(X1,X4,X5) )
             => p19(X1,X3,X5) ) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
    <=> ! [X3] : 
          ( p2(X3,X1)
         => p2(X3,X2) ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X1,f5(X2,X3))
    <=> ( p2(X1,X2)
        & p2(X1,X3) ) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( p19(c16,X1,X2)
    <=> p2(X1,X2) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p15(X1,X2)
    <=> ( p17(X1,X2)
        & ! [X3] : 
            ( ( p1(X3,X2)
              & ? [X4] : p2(X4,X3) )
           => ? [X5] : p18(X5,X1,X3) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f12(X2))
    <=> ! [X3] : 
          ( p2(X3,X2)
         => p2(X1,X3) ) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f4(X2))
    <=> p1(X1,X2) ) )).
%------------------------------------------------------------------------------
