%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f1(A,C) = f1(B,C) ) )).

fof(f1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f1(C,A) = f1(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( ~ p2(X1)
     => ~ p2(f1(X2,X1)) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f1(X1,X1) = X1 )).

fof(formula_9,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( ~ p2(X1)
     => ~ p2(f1(X1,X2)) ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : p5(X1,f1(X1,X2)) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( p5(X1,f4(X2))
    <=> ( X1 = c3
        | X1 = f4(X2) ) ) )).

fof(formula_11,conjecture,(
    ! [X1,X2,X3] : 
      ~ ( f4(X1) = f1(X2,X3)
        & ~ ( X2 = f4(X1)
            & X3 = f4(X1) )
        & ~ ( X2 = c3
            & X3 = f4(X1) )
        & ~ ( X2 = f4(X1)
            & X3 = c3 ) ) )).

fof(formula_2,axiom,(
    p2(c3) )).

fof(formula_8,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_6,axiom,(
    ! [X1] : f4(X1) != c3 )).

fof(formula_10,axiom,(
    ! [X1,X2] : p5(X1,X1) )).

fof(formula_1,axiom,(
    ! [X1,X2] : f1(X1,X2) = f1(X2,X1) )).
%------------------------------------------------------------------------------
