%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(A,C) = f2(B,C) ) )).

fof(f2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(C,A) = f2(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(formula_16,axiom,(
    ? [X1] : ~ p10(X1) )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => f3(X1,X2) = X1 ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : f2(X1,X1) = X1 )).

fof(formula_15,axiom,(
    ? [X1] : p10(X1) )).

fof(formula_17,axiom,(
    ! [X1,X2] : p6(X1,X1) )).

fof(formula_21,axiom,(
    ! [X1,X2] : p6(f7(X1,X2),X1) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
    <=> f3(X1,X2) = c9 ) )).

fof(formula_22,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p8(X2,X3) )
     => p8(X1,X3) ) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f2(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : f3(X1,X2) = f3(X2,X1) )).

fof(formula_24,conjecture,(
    ! [X1,X2] : p6(f5(f7(X1,X2)),f2(f4(c9),f7(f5(X1),f5(X2)))) )).

fof(formula_14,axiom,(
    ! [X1,X2] : f3(X1,X1) = X1 )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( X2 = f4(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( ~ p10(X1)
     => ~ p10(f2(X1,X2)) ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
     => p8(X2,X1) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : p8(f7(X1,X2),X2) )).

fof(formula_2,axiom,(
    ! [X1,X2] : f2(X1,X2) = f2(X2,X1) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( ~ p10(X1)
     => ~ p10(f2(X2,X1)) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : 
      ( X2 = f5(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p6(X3,X1) ) ) )).

fof(formula_8,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f7(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_19,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X2,X3) )
     => p6(X1,X3) ) )).

fof(formula_10,axiom,(
    p10(c9) )).
%------------------------------------------------------------------------------
