%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(A,C) = f14(B,C) ) )).

fof(f14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(C,A) = f14(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(A,C) )
     => p13(B,C) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(C,A) )
     => p13(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p7(X2,f10(X1))
      & p2(X2) ) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ( p4(X1)
     => p4(f12(X1,X2)) ) )).

fof(formula_35,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p4(X1) ) )).

fof(formula_5,axiom,(
    p4(c3) )).

fof(formula_12,axiom,(
    ! [X1] : ~ p2(f10(X1)) )).

fof(formula_34,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p4(X1) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p5(X1) )
     => ( p4(f12(X1,X2))
        & p5(f12(X1,X2)) ) ) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
     => ( p2(X2)
        | p13(X1,X2) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p2(X1)
        & p8(X1) )
     => ( p4(X1)
        & p8(X1)
        & p9(X1) ) ) )).

fof(formula_29,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p2(X1)
      & p8(X1) ) )).

fof(formula_19,axiom,(
    ! [X1,X2,X3] : 
      ( ( p13(X1,X2)
        & p7(X2,f10(X3)) )
     => p7(X1,X3) ) )).

fof(formula_30,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p8(X1)
      & p9(X1) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
    ? [X2] : p7(X2,X1) )).

fof(formula_8,axiom,(
    ! [X1] : f6(X1,c3) = c3 )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ~ ( p13(X1,X2)
        & p2(X2) ) )).

fof(formula_24,axiom,(
    ! [X1,X2] : f6(X1,X1) = X1 )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p7(X2,f10(X1))
          & ~ p2(X2) ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p4(X1) ) )).

fof(formula_2,axiom,(
    p2(c3) )).

fof(formula_41,conjecture,(
    ! [X1,X2,X3] : 
      ( ( p4(X3)
        & p8(X3) )
     => ( p13(X2,f11(f12(X3,X1)))
       => f14(f12(X3,X1),X2) = f14(X3,X2) ) ) )).

fof(formula_38,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_1,axiom,(
    ! [X1,X2] : p1(X1,X1) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( p13(X1,X2)
     => ~ p13(X2,X1) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p4(X1) )
     => ~ p2(f11(X1)) ) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ( p13(X1,X2)
     => p7(X1,X2) ) )).

fof(formula_37,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_28,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p8(X1) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p8(X1) )
     => ( p4(f12(X1,X2))
        & p8(f12(X1,X2)) ) ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( p7(X1,f10(X2))
    <=> p1(X1,X2) ) )).

fof(formula_36,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p5(X1) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p8(X1) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ( ( p4(X2)
        & p8(X2) )
     => ! [X3] : 
          ( ( p4(X3)
            & p8(X3) )
         => ( X2 = f12(X3,X1)
          <=> ( f11(X2) = f6(f11(X3),X1)
              & ! [X4] : 
                  ( p13(X4,f11(X2))
                 => f14(X2,X4) = f14(X3,X4) ) ) ) ) ) )).

fof(formula_6,axiom,(
    p5(c3) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p4(X2) )
     => p4(f6(X1,X2)) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c3 ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : f6(X1,X2) = f6(X2,X1) )).

fof(formula_4,axiom,(
    p2(c3) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p2(f11(X1))
        & p4(f11(X1)) ) ) )).

fof(formula_20,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p13(X1,X2)
        & p7(X2,f10(X3))
        & p2(X3) ) )).

fof(formula_3,axiom,(
    p4(c3) )).

fof(formula_7,axiom,(
    p2(c3) )).
%------------------------------------------------------------------------------
