%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(A,C) )
     => p12(B,C) ) )).

fof(p12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(C,A) )
     => p12(C,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p3(X1) )
     => ! [X2,X3] : 
          ( X3 = f10(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( p1(X4,f8(X1))
                & p1(f9(X1,X4),X2) ) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_30,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1)
      & p5(X1) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p12(X2,f15(X1))
      & p2(X2) ) )).

fof(formula_16,axiom,(
    p2(c13) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c13 ) )).

fof(formula_10,axiom,(
    ! [X1] : 
    ? [X2] : p12(X2,X1) )).

fof(formula_27,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p4(X1) ) )).

fof(formula_22,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1) ) )).

fof(formula_12,axiom,(
    p4(c13) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p4(X1) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( ( p4(X2)
        & p3(X2) )
     => p6(f7(X2,f10(X2,X1)),X1) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_13,axiom,(
    p14(c13) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p2(f8(X1))
        & p4(f8(X1)) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p4(X1) )
     => ~ p2(f8(X1)) ) )).

fof(formula_23,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p4(X1) ) )).

fof(formula_15,axiom,(
    p2(c13) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p12(X1,X2) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p2(f11(X1))
        & p4(f11(X1)) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p2(X1)
        & p3(X1) )
     => ( p4(X1)
        & p3(X1)
        & p5(X1) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : p6(X1,X1) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p12(X2,f15(X1))
          & ~ p2(X2) ) ) )).

fof(formula_34,conjecture,(
    ! [X1,X2] : 
      ( ( p4(X2)
        & p3(X2) )
     => ( p6(X1,f11(X2))
       => f7(X2,f10(X2,X1)) = X1 ) ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( p12(X1,f15(X2))
    <=> p6(X1,X2) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p3(X1) )
     => ! [X2] : 
          ( X2 = f11(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : 
                  ( p1(X4,f8(X1))
                  & X3 = f9(X1,X4) ) ) ) ) )).

fof(formula_26,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p2(X1)
      & p3(X1) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p3(X1) )
     => ! [X2,X3] : 
          ( X3 = f7(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(X5,f8(X1))
                  & p1(X5,X2)
                  & X4 = f9(X1,X5) ) ) ) ) )).

fof(formula_29,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_38,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p12(X2,f15(X3)) )
     => p12(X1,X3) ) )).

fof(formula_14,axiom,(
    ! [X1] : ~ p2(f15(X1)) )).

fof(formula_17,axiom,(
    p4(c13) )).

fof(formula_31,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p14(X1) ) )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( p12(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_25,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_39,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p12(X2,f15(X3))
        & p2(X3) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p6(X1,X2)
        & p6(X2,X1) ) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p4(X1) )
     => ~ p2(f11(X1)) ) )).

fof(formula_11,axiom,(
    p2(c13) )).
%------------------------------------------------------------------------------
