%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f15(A,C,D,E) = f15(B,C,D,E) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f15(C,A,D,E) = f15(C,B,D,E) ) )).

fof(f15_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f15(C,D,A,E) = f15(C,D,B,E) ) )).

fof(f15_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f15(C,D,E,A) = f15(C,D,E,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f16(A,C,D) = f16(B,C,D) ) )).

fof(f16_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f16(C,A,D) = f16(C,B,D) ) )).

fof(f16_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f16(C,D,A) = f16(C,D,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p23(A) )
     => p23(B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p24(A,C) )
     => p24(B,C) ) )).

fof(p24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p24(C,A) )
     => p24(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_61,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p23(X1)
      & p8(X1) ) )).

fof(formula_65,axiom,(
    ! [X1,X2,X3] : 
      ( ( p7(X1)
        & p7(X2)
        & p7(X3) )
     => p7(f16(X1,X2,X3)) ) )).

fof(formula_71,axiom,(
    ! [X1] : 
      ( p6(X1)
     => X1 = c17 ) )).

fof(formula_72,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p6(X2) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
    ? [X2] : p3(X2,X1) )).

fof(formula_42,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p5(X1)
      & p2(X1)
      & p20(X1) ) )).

fof(formula_57,axiom,(
    ? [X1] : 
      ( ~ p6(X1)
      & p4(X1)
      & p5(X1)
      & p2(X1) ) )).

fof(formula_34,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p6(X1)
        & ~ p6(X2)
        & ~ p6(X3) )
     => ~ p6(f16(X1,X2,X3)) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_29,axiom,(
    p5(c17) )).

fof(formula_44,axiom,(
    ! [X1] : 
      ( ~ p6(X1)
     => ? [X2] : 
          ( p3(X2,f10(X1))
          & ~ p6(X2) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p4(X1)
        & p5(X1) ) ) )).

fof(formula_18,axiom,(
    p18(c17) )).

fof(formula_38,axiom,(
    ? [X1] : 
      ( ~ p6(X1)
      & p7(X1) ) )).

fof(formula_41,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p5(X1)
      & p2(X1) ) )).

fof(formula_48,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p6(X1)
      & p8(X1) ) )).

fof(formula_64,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p3(X1,X2) ) )).

fof(formula_23,axiom,(
    p9(c17) )).

fof(formula_22,axiom,(
    p6(c17) )).

fof(formula_31,axiom,(
    p6(c17) )).

fof(formula_67,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
     => ( p6(X2)
        | p1(X1,X2) ) ) )).

fof(formula_56,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p8(X1)
      & p13(X1) ) )).

fof(formula_45,axiom,(
    ? [X1] : p6(X1) )).

fof(formula_69,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p3(X2,f10(X3)) )
     => p3(X1,X3) ) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3,X4] : f15(X1,X2,X3,X4) = f11(f16(X1,X2,X3),X4) )).

fof(formula_60,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p8(X1)
      & p21(X1) ) )).

fof(formula_46,axiom,(
    ? [X1] : 
      ( p3(X1,c14)
      & ~ p6(X1)
      & p4(X1)
      & p5(X1)
      & p2(X1) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ! [X2] : 
          ( p3(X2,f10(X1))
         => p7(X2) ) ) )).

fof(formula_17,axiom,(
    p9(c17) )).

fof(formula_20,axiom,(
    ! [X1,X2,X3] : 
      ( ( p7(X1)
        & p7(X2)
        & p7(X3) )
     => p7(f16(X1,X2,X3)) ) )).

fof(formula_25,axiom,(
    p8(c17) )).

fof(formula_50,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p8(X1)
      & p21(X1)
      & p22(X1) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p6(X1)
     => p9(X1) ) )).

fof(formula_24,axiom,(
    p18(c17) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( p4(X1)
        & p5(X1)
        & p2(X1) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p5(X1) )
     => p2(X1) ) )).

fof(formula_26,axiom,(
    p13(c17) )).

fof(formula_32,axiom,(
    p9(c17) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ! [X2] : 
          ( p3(X2,X1)
         => ( p4(X2)
            & p5(X2)
            & p2(X2) ) ) ) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( ( p7(X1)
        & p7(X2) )
     => p7(f11(X1,X2)) ) )).

fof(formula_58,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p18(X1) ) )).

fof(formula_37,axiom,(
    ? [X1] : 
      ( ~ p6(X1)
      & p4(X1)
      & p5(X1)
      & p2(X1)
      & p12(X1) ) )).

fof(formula_73,axiom,(
    ! [X1,X2] : 
      ~ ( p6(X1)
        & X1 != X2
        & p6(X2) ) )).

fof(formula_36,axiom,(
    ~ p6(c14) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3] : 
      ( p3(X3,f10(f11(X1,X2)))
     => p9(X3) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( ( p9(X1)
        & p6(X1)
        & p8(X1) )
     => ( p9(X1)
        & p8(X1)
        & p13(X1) ) ) )).

fof(formula_70,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p3(X2,f10(X3))
        & p6(X3) ) )).

fof(formula_49,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p8(X1)
      & p13(X1)
      & p6(X1)
      & p4(X1)
      & p5(X1)
      & p2(X1) ) )).

fof(formula_21,axiom,(
    ! [X1] : ~ p6(f10(X1)) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p3(X1,c14)
     => ( p2(X1)
       => ( p4(X1)
          & p5(X1)
          & p2(X1)
          & p12(X1) ) ) ) )).

fof(formula_51,axiom,(
    ? [X1] : 
      ( ~ p6(X1)
      & p9(X1) ) )).

fof(formula_43,axiom,(
    ? [X1] : 
      ( p6(X1)
      & p9(X1) ) )).

fof(formula_63,axiom,(
    ! [X1,X2] : 
      ( ( p7(X1)
        & p7(X2) )
     => p7(f11(X1,X2)) ) )).

fof(formula_40,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p8(X1) ) )).

fof(formula_28,axiom,(
    p4(c17) )).

fof(formula_52,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p3(X2,f10(X1))
      & p6(X2) ) )).

fof(formula_66,conjecture,(
    ! [X1,X2,X3,X4] : 
      ( ( p7(X1)
        & p7(X2)
        & p7(X3)
        & p7(X4) )
     => p7(f15(X1,X2,X3,X4)) ) )).

fof(formula_27,axiom,(
    p6(c17) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( ( ~ p6(X1)
        & ~ p6(X2) )
     => ~ p6(f11(X1,X2)) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p6(X1)
     => p7(X1) ) )).

fof(formula_30,axiom,(
    p2(c17) )).

fof(formula_59,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p18(X1)
      & p8(X1) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( ( p6(X1)
        & p2(X1) )
     => ( p4(X1)
        & p5(X1)
        & p2(X1)
        & p12(X1) ) ) )).

fof(formula_68,axiom,(
    ! [X1,X2] : 
      ( p3(X1,f10(X2))
    <=> p24(X1,X2) ) )).

fof(formula_53,axiom,(
    ? [X1] : ~ p6(X1) )).

fof(formula_55,axiom,(
    ! [X1] : 
      ( ~ p6(X1)
     => ? [X2] : 
          ( p3(X2,f10(X1))
          & ~ p6(X2)
          & p7(X2) ) ) )).

fof(formula_35,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( ~ p6(X1)
        & ~ p6(X2)
        & ~ p6(X3)
        & ~ p6(X4) )
     => ~ p6(f15(X1,X2,X3,X4)) ) )).

fof(formula_47,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p3(X2,f10(X1))
      & p6(X2)
      & p9(X2)
      & p8(X2)
      & p13(X2)
      & p4(X2)
      & p5(X2)
      & p2(X2)
      & p12(X2)
      & p7(X2) ) )).

fof(formula_62,axiom,(
    ! [X1,X2] : p24(X1,X1) )).

fof(formula_54,axiom,(
    ? [X1] : 
      ( p3(X1,c14)
      & p6(X1)
      & p4(X1)
      & p5(X1)
      & p2(X1)
      & p12(X1) ) )).

fof(formula_39,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p8(X1)
      & p19(X1) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p6(X1)
     => p8(X1) ) )).

fof(formula_16,axiom,(
    p6(c17) )).
%------------------------------------------------------------------------------
