%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f13(A,C,D) = f13(B,C,D) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f13(C,A,D) = f13(C,B,D) ) )).

fof(f13_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f13(C,D,A) = f13(C,D,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f9(A,C,D) = f9(B,C,D) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f9(C,A,D) = f9(C,B,D) ) )).

fof(f9_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f9(C,D,A) = f9(C,D,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(A,C) )
     => p23(B,C) ) )).

fof(p23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(C,A) )
     => p23(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(formula_41,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p7(X2,f8(X3)) )
     => p7(X1,X3) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ( p5(X1)
        & p6(X1) ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2,X3] : 
      ( ( ( ~ p2(X1)
          & p4(X1) )
        & p7(X2,X1)
        & p7(X3,X1) )
     => p7(f13(X1,X2,X3),X1) ) )).

fof(formula_25,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_16,axiom,(
    p2(c14) )).

fof(formula_26,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p7(X2,f8(X1))
      & p2(X2)
      & p16(X2)
      & p17(X2)
      & p18(X2)
      & p19(X2)
      & p20(X2)
      & p21(X2)
      & p22(X2)
      & p3(X2) ) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ( p7(X1,f8(X2))
    <=> p23(X1,X2) ) )).

fof(formula_45,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_42,axiom,(
    ! [X1] : f11(X1,c14) = X1 )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p7(X2,f8(X1))
          & ~ p2(X2) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & p6(X1) )
     => p4(X1) ) )).

fof(formula_28,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( ( ( ~ p2(X1)
          & p4(X1) )
        & p7(X2,X1)
        & p7(X3,X1) )
     => f9(X1,X2,X3) = f9(X1,X3,X2) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : f11(X1,X2) = f11(X2,X1) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_32,axiom,(
    ! [X1,X2,X3] : 
      ( ( ( ~ p2(X1)
          & p4(X1) )
        & p7(X2,X1)
        & p7(X3,X1) )
     => f13(X1,X2,X3) = f12(X2,X3) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : p23(X1,X1) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_44,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c14 ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => p3(f11(X1,X2)) ) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => p3(f10(X1,X2)) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( ~ p2(X1)
     => ~ p2(f10(X1,X2)) ) )).

fof(formula_15,axiom,(
    ! [X1] : ~ p2(f8(X1)) )).

fof(formula_31,axiom,(
    ! [X1,X2,X3] : 
      ( ( ( ~ p2(X1)
          & p4(X1) )
        & p7(X2,X1)
        & p7(X3,X1) )
     => f9(X1,X2,X3) = f10(X2,X3) ) )).

fof(formula_43,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p7(X2,f8(X3))
        & p2(X3) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : f11(X1,X2) = f10(f12(X1,X2),f12(X2,X1)) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p7(X2,f8(X1))
          & ~ p2(X2)
          & p3(X2) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p7(X2,f8(X1))
         => p3(X2) ) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p7(X1,X2) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
    ? [X2] : p7(X2,X1) )).

fof(formula_34,conjecture,(
    ! [X1,X2,X3] : 
      ( ( ~ p2(X3)
        & p4(X3) )
     => ( ( p7(X1,X3)
          & p7(X2,X3) )
       => p7(f11(X1,X2),X3) ) ) )).

fof(formula_35,axiom,(
    ! [X1] : f10(X1,c14) = X1 )).

fof(formula_20,axiom,(
    ! [X1,X2,X3] : 
      ( ( ( ~ p2(X1)
          & p4(X1) )
        & p7(X2,X1)
        & p7(X3,X1) )
     => f9(X1,X2,X2) = X2 ) )).

fof(formula_23,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p5(X1)
      & p15(X1)
      & p6(X1)
      & p4(X1) ) )).

fof(formula_38,axiom,(
    ! [X1] : f12(X1,c14) = X1 )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p7(X2,f8(X1))
          & ~ p2(X2)
          & p3(X2) ) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : f10(X1,X1) = X1 )).

fof(formula_7,axiom,(
    ! [X1,X2] : f10(X1,X2) = f10(X2,X1) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( ~ p2(X1)
     => ~ p2(f10(X2,X1)) ) )).

fof(formula_40,axiom,(
    ! [X1] : f12(c14,X1) = c14 )).

fof(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( ( ( ~ p2(X1)
          & p4(X1) )
        & p7(X2,X1)
        & p7(X3,X1) )
     => p7(f9(X1,X2,X3),X1) ) )).

fof(formula_22,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p3(X1) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p3(X1)
     => p3(f12(X1,X2)) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p7(X2,f8(X1))
      & p2(X2) ) )).
%------------------------------------------------------------------------------
