%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(A,C) )
     => p20(B,C) ) )).

fof(p20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(C,A) )
     => p20(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : f10(X1,X1) = X1 )).

fof(formula_22,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p7(X2,f8(X1))
      & p2(X2)
      & p13(X2)
      & p14(X2)
      & p15(X2)
      & p16(X2)
      & p17(X2)
      & p18(X2)
      & p19(X2)
      & p3(X2) ) )).

fof(formula_31,conjecture,(
    ! [X1,X2] : p20(f10(f9(X1),f9(X2)),f9(f10(X1,X2))) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_28,axiom,(
    ! [X1] : f10(X1,c11) = X1 )).

fof(formula_11,axiom,(
    ! [X1] : ~ p2(f8(X1)) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( ~ p2(X1)
     => ~ p2(f10(X2,X1)) ) )).

fof(formula_40,axiom,(
    ! [X1,X2,X3] : 
      ( ( p20(X1,X2)
        & p20(X3,X2) )
     => p20(f10(X1,X3),X2) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : p20(X1,f10(X1,X2)) )).

fof(formula_18,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p3(X1) ) )).

fof(formula_35,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p7(X2,f8(X3))
        & p2(X3) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p7(X2,f8(X1))
          & ~ p2(X2)
          & p3(X2) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p7(X2,f8(X1))
         => p3(X2) ) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c11 ) )).

fof(formula_34,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p7(X2,f8(X3)) )
     => p7(X1,X3) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : p20(X1,X1) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : p4(f9(X1)) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ( p5(X1)
        & p6(X1) ) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => p3(f10(X1,X2)) ) )).

fof(formula_24,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_21,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_9,axiom,(
    ! [X1] : 
    ? [X2] : p7(X2,X1) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( ~ p2(f8(X1))
      & p5(f8(X1))
      & p6(f8(X1))
      & p4(f8(X1)) ) )).

fof(formula_12,axiom,(
    p2(c11) )).

fof(formula_23,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p7(X2,f8(X1))
      & p2(X2) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( ~ p2(X1)
     => ~ p2(f10(X1,X2)) ) )).

fof(formula_19,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p5(X1)
      & p12(X1)
      & p6(X1)
      & p4(X1) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & p6(X1) )
     => p4(X1) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( p7(X1,f8(X2))
    <=> p20(X1,X2) ) )).

fof(formula_30,axiom,(
    ! [X1,X2] : 
      ( p20(X1,X2)
     => p20(f9(X1),f9(X2)) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p7(X2,f8(X1))
          & ~ p2(X2) ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( ~ p2(f9(X1))
      & p5(f9(X1))
      & p6(f9(X1))
      & p4(f9(X1)) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( p7(X2,f9(X1))
     => p3(X2) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p7(X2,f8(X1))
          & ~ p2(X2)
          & p3(X2) ) ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p7(X1,X2) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : f10(X1,X2) = f10(X2,X1) )).
%------------------------------------------------------------------------------
