%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(A,C) = f2(B,C) ) )).

fof(f2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(C,A) = f2(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(formula_11,axiom,(
    $true )).

fof(formula_25,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p6(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p6(X1,X2) ) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p7(X2) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p4(X1,X2)
        & p4(X2,X1) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_27,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p6(X1,X2)
          & ! [X3] : ~ p1(X3,f3(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f3(X1,X2))
          & p6(X1,X2) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
    <=> f3(X1,X2) = c5 ) )).

fof(formula_23,lemma,(
    ! [X1,X2,X3] : 
      ( ( p4(X1,X2)
        & p4(X2,X3) )
     => p4(X1,X3) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( ~ p7(X1)
     => ~ p7(f2(X1,X2)) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => p6(X2,X1) ) )).

fof(formula_22,axiom,(
    ! [X1] : f2(X1,c5) = X1 )).

fof(formula_18,axiom,(
    ? [X1] : p7(X1) )).

fof(formula_30,conjecture,(
    ! [X1,X2] : p4(X1,f2(X1,X2)) )).

fof(formula_24,lemma,(
    ! [X1] : p4(c5,X1) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( X1 = c5
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_31,axiom,(
    ! [X1,X2] : 
      ~ ( p7(X1)
        & X1 != X2
        & p7(X2) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : f2(X1,X2) = f2(X2,X1) )).

fof(formula_13,axiom,(
    p7(c5) )).

fof(formula_10,axiom,(
    $true )).

fof(formula_16,axiom,(
    ! [X1,X2] : f2(X1,X1) = X1 )).

fof(formula_12,axiom,(
    $true )).

fof(formula_19,axiom,(
    ? [X1] : ~ p7(X1) )).

fof(formula_3,axiom,(
    ! [X1,X2] : f3(X1,X2) = f3(X2,X1) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( ~ p7(X1)
     => ~ p7(f2(X2,X1)) ) )).

fof(formula_8,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f3(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_26,lemma,(
    ! [X1] : 
      ( p4(X1,c5)
     => X1 = c5 ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p7(X1)
     => X1 = c5 ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : p4(X1,X1) )).

fof(formula_17,axiom,(
    ! [X1,X2] : f3(X1,X1) = X1 )).

fof(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f2(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).
%------------------------------------------------------------------------------
