%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(A,C) = f2(B,C) ) )).

fof(f2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(C,A) = f2(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p4(X1,X2)
        & p4(X2,X1) ) ) )).

fof(formula_15,axiom,(
    p8(c5) )).

fof(formula_32,axiom,(
    ! [X1] : f3(X1,c5) = c5 )).

fof(formula_25,lemma,(
    ! [X1,X2] : 
      ( p4(X1,X2)
     => f2(X1,X2) = X2 ) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f2(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_34,lemma,(
    ! [X1] : p4(c5,X1) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_27,lemma,(
    ! [X1,X2,X3] : 
      ( ( p4(X1,X2)
        & p4(X1,X3) )
     => p4(X1,f3(X2,X3)) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( X1 = c5
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_37,conjecture,(
    ! [X1,X2] : 
      ( f6(X1,X2) = c5
    <=> p4(X1,X2) ) )).

fof(formula_11,axiom,(
    $true )).

fof(formula_35,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X1,X2)
     => p4(f6(X1,X3),f6(X2,X3)) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ~ ( p8(X1)
        & X1 != X2
        & p8(X2) ) )).

fof(formula_24,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
     => p7(X2,X1) ) )).

fof(formula_45,lemma,(
    ! [X1,X2] : p4(X1,f2(X1,X2)) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( ~ p8(X1)
     => ~ p8(f2(X1,X2)) ) )).

fof(formula_30,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X1,X2)
     => p4(f3(X1,X3),f3(X2,X3)) ) )).

fof(formula_31,lemma,(
    ! [X1,X2] : 
      ( p4(X1,X2)
     => f3(X1,X2) = X1 ) )).

fof(formula_22,axiom,(
    ? [X1] : ~ p8(X1) )).

fof(formula_38,axiom,(
    ! [X1] : f6(X1,c5) = X1 )).

fof(formula_42,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p7(X1,X2)
          & ! [X3] : ~ p1(X3,f3(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f3(X1,X2))
          & p7(X1,X2) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_41,axiom,(
    ! [X1] : f6(c5,X1) = c5 )).

fof(formula_40,lemma,(
    ! [X1] : 
      ( p4(X1,c5)
     => X1 = c5 ) )).

fof(formula_14,axiom,(
    $true )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_47,lemma,(
    ! [X1,X2,X3] : 
      ( ( p4(X1,X2)
        & p4(X3,X2) )
     => p4(f2(X1,X3),X2) ) )).

fof(formula_39,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p7(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p7(X1,X2) ) ) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( ~ p8(X1)
     => ~ p8(f2(X2,X1)) ) )).

fof(formula_36,lemma,(
    ! [X1,X2] : p4(f6(X1,X2),X1) )).

fof(formula_28,axiom,(
    ! [X1] : f2(X1,c5) = X1 )).

fof(formula_20,lemma,(
    ! [X1,X2] : 
      ( f6(X1,X2) = c5
    <=> p4(X1,X2) ) )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( p8(X1)
     => X1 = c5 ) )).

fof(formula_26,lemma,(
    ! [X1,X2] : p4(f3(X1,X2),X1) )).

fof(formula_19,axiom,(
    ! [X1,X2] : f3(X1,X1) = X1 )).

fof(formula_18,axiom,(
    ! [X1,X2] : f2(X1,X1) = X1 )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f6(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_29,lemma,(
    ! [X1,X2,X3] : 
      ( ( p4(X1,X2)
        & p4(X2,X3) )
     => p4(X1,X3) ) )).

fof(formula_21,axiom,(
    ? [X1] : p8(X1) )).

fof(formula_8,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f3(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : f2(X1,X2) = f2(X2,X1) )).

fof(formula_3,axiom,(
    ! [X1,X2] : f3(X1,X2) = f3(X2,X1) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_44,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p8(X2) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : p4(X1,X1) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
    <=> f3(X1,X2) = c5 ) )).
%------------------------------------------------------------------------------
