%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( ~ p9(X1)
     => ~ p9(f3(X2,X1)) ) )).

fof(formula_23,lemma,(
    ! [X1,X2] : 
      ( f7(X1,X2) = c6
    <=> p5(X1,X2) ) )).

fof(formula_25,axiom,(
    ? [X1] : ~ p9(X1) )).

fof(formula_4,axiom,(
    ! [X1,X2] : f4(X1,X2) = f4(X2,X1) )).

fof(formula_32,lemma,(
    ! [X1,X2,X3] : 
      ( ( p5(X1,X2)
        & p5(X2,X3) )
     => p5(X1,X3) ) )).

fof(formula_28,lemma,(
    ! [X1,X2] : 
      ( p5(X1,X2)
     => f3(X1,X2) = X2 ) )).

fof(formula_46,lemma,(
    ! [X1,X2] : 
      ( p5(X1,X2)
     => X2 = f3(X1,f7(X2,X1)) ) )).

fof(formula_45,lemma,(
    ! [X1,X2] : f7(f3(X1,X2),X2) = f7(X1,X2) )).

fof(formula_22,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_54,lemma,(
    ! [X1,X2] : p5(X1,f3(X1,X2)) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_15,axiom,(
    $true )).

fof(formula_49,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p8(X1,X2)
          & ! [X3] : ~ p1(X3,f4(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f4(X1,X2))
          & p8(X1,X2) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f4(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_29,lemma,(
    ! [X1,X2] : p5(f4(X1,X2),X1) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( X1 = c6
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p5(X1,X2)
        & p5(X2,X1) ) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f3(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_42,axiom,(
    ! [X1] : f7(X1,c6) = X1 )).

fof(formula_17,axiom,(
    p9(c6) )).

fof(formula_47,lemma,(
    ! [X1,X2] : f7(X1,f7(X1,X2)) = f4(X1,X2) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
    <=> f4(X1,X2) = c6 ) )).

fof(formula_35,axiom,(
    ! [X1] : f4(X1,c6) = c6 )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( p9(X1)
     => X1 = c6 ) )).

fof(formula_34,lemma,(
    ! [X1,X2] : 
      ( p5(X1,X2)
     => f4(X1,X2) = X1 ) )).

fof(formula_40,lemma,(
    ! [X1,X2] : 
      ( f7(X1,X2) = c6
    <=> p5(X1,X2) ) )).

fof(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f7(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : f3(X1,X1) = X1 )).

fof(formula_24,axiom,(
    ? [X1] : p9(X1) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( ~ p9(X1)
     => ~ p9(f3(X1,X2)) ) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_37,lemma,(
    ! [X1] : p5(c6,X1) )).

fof(formula_53,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p9(X2) ) )).

fof(formula_16,axiom,(
    $true )).

fof(formula_41,lemma,(
    ! [X1,X2] : f3(X1,f7(X2,X1)) = f3(X1,X2) )).

fof(formula_51,conjecture,(
    ! [X1,X2,X3] : 
      ( ( p5(X1,X2)
        & p8(X2,X3) )
     => p8(X1,X3) ) )).

fof(formula_33,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X1,X2)
     => p5(f4(X1,X3),f4(X2,X3)) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
     => p8(X2,X1) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_26,axiom,(
    ! [X1,X2] : p5(X1,X1) )).

fof(formula_21,axiom,(
    ! [X1,X2] : f4(X1,X1) = X1 )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_14,axiom,(
    $true )).

fof(formula_56,lemma,(
    ! [X1,X2,X3] : 
      ( ( p5(X1,X2)
        & p5(X3,X2) )
     => p5(f3(X1,X3),X2) ) )).

fof(formula_43,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p8(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p8(X1,X2) ) ) )).

fof(formula_44,lemma,(
    ! [X1] : 
      ( p5(X1,c6)
     => X1 = c6 ) )).

fof(formula_55,axiom,(
    ! [X1,X2] : 
      ~ ( p9(X1)
        & X1 != X2
        & p9(X2) ) )).

fof(formula_30,lemma,(
    ! [X1,X2,X3] : 
      ( ( p5(X1,X2)
        & p5(X1,X3) )
     => p5(X1,f4(X2,X3)) ) )).

fof(formula_31,axiom,(
    ! [X1] : f3(X1,c6) = X1 )).

fof(formula_38,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X1,X2)
     => p5(f7(X1,X3),f7(X2,X3)) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : f3(X1,X2) = f3(X2,X1) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p5(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_50,lemma,(
    ! [X1,X2] : 
      ~ ( p5(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_48,axiom,(
    ! [X1] : f7(c6,X1) = c6 )).

fof(formula_39,lemma,(
    ! [X1,X2] : p5(f7(X1,X2),X1) )).
%------------------------------------------------------------------------------
