%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f12(A) = f12(B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(A,C) = f13(B,C) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(C,A) = f13(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(A,C) )
     => p14(B,C) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(C,A) )
     => p14(C,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(formula_31,axiom,(
    ! [X1,X2] : ~ p15(f11(X1,X2)) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f5(X1,X2) = f5(X2,X1) )).

fof(formula_20,axiom,(
    $true )).

fof(formula_62,lemma,(
    ! [X1] : p6(c8,X1) )).

fof(formula_70,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p14(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p14(X1,X2) ) ) )).

fof(formula_74,lemma,(
    ! [X1,X2] : f13(X1,f13(X1,X2)) = f5(X1,X2) )).

fof(formula_37,lemma,(
    ! [X1] : f7(X1) != c8 )).

fof(formula_64,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f11(X1,X2) = f11(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( X2 = f12(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_58,lemma,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2)
     => p6(f5(X1,X3),f5(X2,X3)) ) )).

fof(formula_72,lemma,(
    ! [X1,X2] : f13(f4(X1,X2),X2) = f13(X1,X2) )).

fof(formula_27,axiom,(
    $true )).

fof(formula_60,axiom,(
    ! [X1] : f5(X1,c8) = c8 )).

fof(formula_75,axiom,(
    ! [X1] : f13(c8,X1) = c8 )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_25,axiom,(
    $true )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( X2 = f7(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_82,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p15(X2) ) )).

fof(formula_65,lemma,(
    ! [X1,X2] : p6(f13(X1,X2),X1) )).

fof(formula_79,lemma,(
    ! [X1] : f3(X1,X1) = f7(X1) )).

fof(formula_30,axiom,(
    p15(c8) )).

fof(formula_38,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f4(f7(X1),X2) = X2 ) )).

fof(formula_63,lemma,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2)
     => p6(f13(X1,X3),f13(X2,X3)) ) )).

fof(formula_49,axiom,(
    ! [X1,X2] : p6(X1,X1) )).

fof(formula_88,lemma,(
    ! [X1,X2,X3] : 
      ( f7(X1) = f3(X2,X3)
     => X2 = X3 ) )).

fof(formula_76,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p14(X1,X2)
          & ! [X3] : ~ p1(X3,f5(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f5(X1,X2))
          & p14(X1,X2) ) ) )).

fof(formula_24,axiom,(
    $true )).

fof(formula_59,lemma,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => f5(X1,X2) = X1 ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( p14(X1,X2)
    <=> f5(X1,X2) = c8 ) )).

fof(formula_42,lemma,(
    ! [X1,X2] : 
      ( f13(X1,X2) = c8
    <=> p6(X1,X2) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( ~ p15(X1)
     => ~ p15(f4(X2,X1)) ) )).

fof(formula_44,lemma,(
    ! [X1,X2] : 
      ( p6(X1,f7(X2))
    <=> ( X1 = c8
        | X1 = f7(X2) ) ) )).

fof(formula_71,lemma,(
    ! [X1] : 
      ( p6(X1,c8)
     => X1 = c8 ) )).

fof(formula_67,conjecture,(
    ! [X1,X2] : 
      ( p6(f7(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_54,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X1,X3) )
     => p6(X1,f5(X2,X3)) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_39,lemma,(
    ! [X1,X2] : 
      ~ ( p14(f7(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_16,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f13(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_34,axiom,(
    ! [X1,X2] : f4(X1,X1) = X1 )).

fof(formula_85,axiom,(
    ! [X1,X2] : 
      ~ ( p15(X1)
        & X1 != X2
        & p15(X2) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p6(X1,X2)
        & p6(X2,X1) ) ) )).

fof(formula_45,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p6(X1,f12(X2)) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : f3(X1,X2) = f3(X2,X1) )).

fof(formula_61,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_22,axiom,(
    $true )).

fof(formula_81,lemma,(
    ! [X1,X2] : 
      ( p6(f7(X1),f7(X2))
     => X1 = X2 ) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p6(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_86,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X3,X2) )
     => p6(f4(X1,X3),X2) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_57,lemma,(
    f9(c8) = f7(c8) )).

fof(formula_26,axiom,(
    $true )).

fof(formula_14,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f5(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f4(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f10(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f11(X5,X6) ) ) ) )).

fof(formula_43,lemma,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2)
     => ( p1(X3,X1)
        | p6(X1,f13(X2,f7(X3))) ) ) )).

fof(formula_21,axiom,(
    $true )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_52,lemma,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => f4(X1,X2) = X2 ) )).

fof(formula_51,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f3(X1,X2) = f3(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_87,lemma,(
    ! [X1,X2,X3] : 
      ( f7(X1) = f3(X2,X3)
     => X1 = X2 ) )).

fof(formula_84,lemma,(
    ! [X1,X2] : 
      ( p14(X1,X2)
    <=> f13(X1,X2) = X1 ) )).

fof(formula_66,lemma,(
    ! [X1,X2] : 
      ( f13(X1,X2) = c8
    <=> p6(X1,X2) ) )).

fof(formula_41,lemma,(
    ! [X1,X2] : 
      ( p6(f7(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_80,axiom,(
    ! [X1] : 
      ( p15(X1)
     => X1 = c8 ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( ~ p15(X1)
     => ~ p15(f4(X1,X2)) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( X1 = c8
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_55,axiom,(
    ! [X1] : f4(X1,c8) = X1 )).

fof(formula_78,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p14(X2,X3) )
     => p14(X1,X3) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : f11(X1,X2) = f3(f3(X1,X2),f7(X1)) )).

fof(formula_29,axiom,(
    $true )).

fof(formula_77,lemma,(
    ! [X1,X2] : 
      ~ ( p6(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_53,lemma,(
    ! [X1,X2] : p6(f5(X1,X2),X1) )).

fof(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f3(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_47,axiom,(
    ? [X1] : p15(X1) )).

fof(formula_68,lemma,(
    ! [X1,X2] : f4(X1,f13(X2,X1)) = f4(X1,X2) )).

fof(formula_23,axiom,(
    $true )).

fof(formula_50,axiom,(
    ! [X1,X2] : 
      ( p14(X1,X2)
     => p14(X2,X1) ) )).

fof(formula_35,axiom,(
    ! [X1,X2] : f5(X1,X1) = X1 )).

fof(formula_40,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p14(f7(X1),X2) ) )).

fof(formula_73,lemma,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => X2 = f4(X1,f13(X2,X1)) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( X2 = f9(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p6(X3,X1) ) ) )).

fof(formula_46,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f11(X1,X2),f10(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_56,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X2,X3) )
     => p6(X1,X3) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : f4(X1,X2) = f4(X2,X1) )).

fof(formula_69,axiom,(
    ! [X1] : f13(X1,c8) = X1 )).

fof(formula_28,axiom,(
    $true )).

fof(formula_48,axiom,(
    ? [X1] : ~ p15(X1) )).

fof(formula_83,lemma,(
    ! [X1,X2] : p6(X1,f4(X1,X2)) )).
%------------------------------------------------------------------------------
