%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f2(A) = f2(B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f3(A) = f3(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( p4(f2(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_8,axiom,(
    $true )).

fof(formula_12,conjecture,(
    ! [X1] : f5(f3(X1)) = X1 )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : 
      ( X2 = f5(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_7,axiom,(
    $true )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( X2 = f3(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p4(X3,X1) ) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : p4(X1,X1) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( X2 = f2(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_6,axiom,(
    $true )).
%------------------------------------------------------------------------------
