%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(A,C) = f13(B,C) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(C,A) = f13(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(A,C) = f15(B,C) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(C,A) = f15(C,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(A,C) = f16(B,C) ) )).

fof(f16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(C,A) = f16(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p17(A,C) )
     => p17(B,C) ) )).

fof(p17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p17(C,A) )
     => p17(C,B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(A,C) )
     => p18(B,C) ) )).

fof(p18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(C,A) )
     => p18(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(formula_71,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X2,X3) )
     => p6(X1,X3) ) )).

fof(formula_94,axiom,(
    ! [X1] : f15(c8,X1) = c8 )).

fof(formula_35,axiom,(
    ! [X1] : ~ p10(f9(X1)) )).

fof(formula_43,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f5(X1,X2) = f5(X2,X1) )).

fof(formula_87,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p17(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p17(X1,X2) ) ) )).

fof(formula_98,lemma,(
    ! [X1,X2] : 
      ~ ( p6(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_73,lemma,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2)
     => p6(f5(X1,X3),f5(X2,X3)) ) )).

fof(formula_51,lemma,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2)
     => ( p1(X3,X1)
        | p6(X1,f15(X2,f7(X3))) ) ) )).

fof(formula_48,lemma,(
    ! [X1,X2] : 
      ( p6(f7(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_76,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_75,axiom,(
    ! [X1] : f5(X1,c8) = c8 )).

fof(formula_81,lemma,(
    ! [X1,X2] : 
      ( f15(X1,X2) = c8
    <=> p6(X1,X2) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : f4(X1,X2) = f4(X2,X1) )).

fof(formula_99,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p17(X2,X3) )
     => p17(X1,X3) ) )).

fof(formula_70,axiom,(
    ! [X1] : f4(X1,c8) = X1 )).

fof(formula_106,lemma,(
    ! [X1,X2] : 
      ( p17(X1,X2)
    <=> f15(X1,X2) = X1 ) )).

fof(formula_104,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p10(X2) ) )).

fof(formula_90,lemma,(
    ! [X1,X2] : 
      ( p11(X2,f9(X1))
     => ! [X3] : 
          ( p11(X3,f9(X1))
         => ( p17(X2,X3)
          <=> p6(X2,f16(X1,X3)) ) ) ) )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ( p11(X2,f9(X1))
     => p11(f16(X1,X2),f9(X1)) ) )).

fof(formula_80,lemma,(
    ! [X1,X2] : p6(f15(X1,X2),X1) )).

fof(formula_27,axiom,(
    $true )).

fof(formula_11,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f3(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_15,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f5(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : ~ p10(f13(X1,X2)) )).

fof(formula_83,lemma,(
    ! [X1,X2,X3] : 
      ( p6(f3(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_65,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p6(X1,X2)
        & p6(X3,X4) )
     => p6(f12(X1,X3),f12(X2,X4)) ) )).

fof(formula_23,axiom,(
    $true )).

fof(formula_59,axiom,(
    ? [X1] : ~ p10(X1) )).

fof(formula_45,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f4(f7(X1),X2) = X2 ) )).

fof(formula_30,axiom,(
    $true )).

fof(formula_92,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f4(f7(X1),X2) = X2 ) )).

fof(formula_13,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f12(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f13(X5,X6) ) ) ) )).

fof(formula_78,lemma,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2)
     => p6(f15(X1,X3),f15(X2,X3)) ) )).

fof(formula_41,axiom,(
    ! [X1,X2] : f5(X1,X1) = X1 )).

fof(formula_77,lemma,(
    ! [X1] : p6(c8,X1) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( X2 = f14(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_105,lemma,(
    ! [X1,X2] : p6(X1,f4(X1,X2)) )).

fof(formula_63,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f3(X1,X2) = f3(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_46,lemma,(
    ! [X1,X2] : 
      ~ ( p17(f7(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_107,axiom,(
    ! [X1,X2] : 
      ~ ( p10(X1)
        & X1 != X2
        & p10(X2) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( X1 = c8
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_44,lemma,(
    ! [X1] : f7(X1) != c8 )).

fof(formula_96,lemma,(
    ! [X1] : 
      ( X1 != c8
     => ! [X2] : 
          ( p11(X2,f9(X1))
         => ! [X3] : 
              ( p11(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f16(X1,X2)) ) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_64,lemma,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2)
     => ( p6(f12(X1,X3),f12(X2,X3))
        & p6(f12(X3,X1),f12(X3,X2)) ) ) )).

fof(formula_91,lemma,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => X2 = f4(X1,f15(X2,X1)) ) )).

fof(formula_29,axiom,(
    $true )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_93,lemma,(
    ! [X1,X2] : f15(X1,f15(X1,X2)) = f5(X1,X2) )).

fof(formula_101,lemma,(
    ! [X1] : f3(X1,X1) = f7(X1) )).

fof(formula_17,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f15(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( X2 = f7(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_54,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f13(X1,X2),f12(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_25,axiom,(
    $true )).

fof(formula_24,axiom,(
    $true )).

fof(formula_69,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X1,X3) )
     => p6(X1,f5(X2,X3)) ) )).

fof(formula_31,axiom,(
    $true )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_86,axiom,(
    ! [X1] : f15(X1,c8) = X1 )).

fof(formula_82,lemma,(
    ! [X1,X2] : 
      ( p6(f7(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_60,axiom,(
    ! [X1,X2] : p6(X1,X1) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f4(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_57,axiom,(
    ? [X1] : p10(X1) )).

fof(formula_19,axiom,(
    ! [X1,X2] : f13(X1,X2) = f3(f3(X1,X2),f7(X1)) )).

fof(formula_62,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f13(X1,X2),f12(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_49,lemma,(
    ! [X1,X2] : 
      ( f15(X1,X2) = c8
    <=> p6(X1,X2) ) )).

fof(formula_108,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X3,X2) )
     => p6(f4(X1,X3),X2) ) )).

fof(formula_56,axiom,(
    ! [X1] : 
      ( ~ p10(X1)
     => ? [X2] : 
          ( p11(X2,f9(X1))
          & ~ p10(X2) ) ) )).

fof(formula_66,lemma,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => f4(X1,X2) = X2 ) )).

fof(formula_110,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p6(X1,f14(X2)) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p6(X1,X2)
        & p6(X2,X1) ) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( ( ~ p10(X1)
       => ( p11(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p10(X1)
       => ( p11(X2,X1)
        <=> p10(X2) ) ) ) )).

fof(formula_68,lemma,(
    ! [X1,X2] : p6(f5(X1,X2),X1) )).

fof(formula_26,axiom,(
    $true )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( p11(X2,f9(X1))
     => f16(X1,X2) = f15(X1,X2) ) )).

fof(formula_47,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p17(f7(X1),X2) ) )).

fof(formula_100,lemma,(
    ! [X1,X2] : 
      ( f15(X1,f7(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : f4(X1,X1) = X1 )).

fof(formula_36,axiom,(
    p10(c8) )).

fof(formula_53,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p6(X1,f14(X2)) ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
      ( p17(X1,X2)
    <=> f5(X1,X2) = c8 ) )).

fof(formula_67,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p6(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f9(X3),X2) )
      & ! [X3] : 
          ~ ( p6(X3,X2)
            & ~ p18(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ( ~ p10(X1)
     => ~ p10(f4(X1,X2)) ) )).

fof(formula_72,lemma,(
    f9(c8) = f7(c8) )).

fof(formula_22,axiom,(
    $true )).

fof(formula_95,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p17(X1,X2)
          & ! [X3] : ~ p1(X3,f5(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f5(X1,X2))
          & p17(X1,X2) ) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p6(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_109,lemma,(
    ! [X1,X2,X3] : 
      ( f7(X1) = f3(X2,X3)
     => X1 = X2 ) )).

fof(formula_55,conjecture,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p11(X1,f9(X2)) ) )).

fof(formula_103,lemma,(
    ! [X1,X2] : 
      ( p6(f7(X1),f7(X2))
     => X1 = X2 ) )).

fof(formula_61,axiom,(
    ! [X1,X2] : 
      ( p17(X1,X2)
     => p17(X2,X1) ) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ( ~ p10(X1)
     => ~ p10(f4(X2,X1)) ) )).

fof(formula_32,axiom,(
    $true )).

fof(formula_33,axiom,(
    $true )).

fof(formula_111,lemma,(
    ! [X1] : f14(f9(X1)) = X1 )).

fof(formula_34,axiom,(
    ! [X1] : 
    ? [X2] : p11(X2,X1) )).

fof(formula_112,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p6(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p6(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p6(X3,X2)
            & ~ p18(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_88,lemma,(
    ! [X1] : 
      ( p6(X1,c8)
     => X1 = c8 ) )).

fof(formula_113,lemma,(
    ! [X1,X2,X3] : 
      ( f7(X1) = f3(X2,X3)
     => X2 = X3 ) )).

fof(formula_50,lemma,(
    ! [X1,X2] : 
      ( p11(X2,f9(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_85,lemma,(
    ! [X1,X2] : 
      ( p6(X1,f7(X2))
    <=> ( X1 = c8
        | X1 = f7(X2) ) ) )).

fof(formula_97,lemma,(
    ! [X1,X2,X3] : 
      ( p11(X3,f9(X1))
     => ~ ( p1(X2,f16(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_58,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p11(X2,f9(X1))
      & p10(X2) ) )).

fof(formula_89,lemma,(
    ! [X1,X2] : f15(f4(X1,X2),X2) = f15(X1,X2) )).

fof(formula_102,axiom,(
    ! [X1] : 
      ( p10(X1)
     => X1 = c8 ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( X2 = f9(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p6(X3,X1) ) ) )).

fof(formula_84,lemma,(
    ! [X1,X2] : f4(X1,f15(X2,X1)) = f4(X1,X2) )).

fof(formula_79,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f13(X1,X2) = f13(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ( p11(X2,f9(X1))
     => f16(X1,f16(X1,X2)) = X2 ) )).

fof(formula_74,lemma,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => f5(X1,X2) = X1 ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : f3(X1,X2) = f3(X2,X1) )).

fof(formula_52,lemma,(
    ! [X1,X2] : 
      ( p6(X1,f7(X2))
    <=> ( X1 = c8
        | X1 = f7(X2) ) ) )).
%------------------------------------------------------------------------------
