%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f16(A) = f16(B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f19(A) = f19(B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f20(A) = f20(B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f21(A) = f21(B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(A,C) = f22(B,C) ) )).

fof(f22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(C,A) = f22(C,B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f23(A) = f23(B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(A,C) = f24(B,C) ) )).

fof(f24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(C,A) = f24(C,B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f25(A) = f25(B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f26(A) = f26(B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f28(A,C) = f28(B,C) ) )).

fof(f28_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f28(C,A) = f28(C,B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(A,C) = f29(B,C) ) )).

fof(f29_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(C,A) = f29(C,B) ) )).

fof(f30_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f30(A,C) = f30(B,C) ) )).

fof(f30_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f30(C,A) = f30(C,B) ) )).

fof(f31_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f31(A,C) = f31(B,C) ) )).

fof(f31_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f31(C,A) = f31(C,B) ) )).

fof(f32_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f32(A,C,D) = f32(B,C,D) ) )).

fof(f32_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f32(C,A,D) = f32(C,B,D) ) )).

fof(f32_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f32(C,D,A) = f32(C,D,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p17(A,C) )
     => p17(B,C) ) )).

fof(p17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p17(C,A) )
     => p17(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(A,C) )
     => p27(B,C) ) )).

fof(p27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(C,A) )
     => p27(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p33_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p33(A,C) )
     => p33(B,C) ) )).

fof(p33_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p33(C,A) )
     => p33(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f6(X1,X2) = f6(X2,X1) )).

fof(formula_124,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X3)
     => ( p1(f9(X1,X2),X3)
       => ( p1(X1,f19(X3))
          & p1(X2,f23(X3)) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( p4(X2)
     => ( X2 = f8(X1)
      <=> ! [X3,X4] : 
            ( p1(f9(X3,X4),X2)
          <=> ( p1(X3,X1)
              & X3 = X4 ) ) ) ) )).

fof(formula_96,lemma,(
    ! [X1,X2] : 
      ( p10(X1,f15(X2))
    <=> ( X1 = c13
        | X1 = f15(X2) ) ) )).

fof(formula_72,axiom,(
    ! [X1,X2] : ~ p3(f5(X1,X2)) )).

fof(formula_45,axiom,(
    $true )).

fof(formula_53,axiom,(
    $true )).

fof(formula_67,axiom,(
    p3(c13) )).

fof(formula_183,axiom,(
    ! [X1,X2] : 
      ~ ( p3(X1)
        & X1 != X2
        & p3(X2) ) )).

fof(formula_79,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f19(X1))
        & p4(f19(X1)) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_156,lemma,(
    ! [X1,X2] : 
      ( p17(X2,f16(f16(X1)))
     => ( X2 != c13
       => f32(X1,f20(X1),f30(X1,X2)) = f31(X1,f29(X1,X2)) ) ) )).

fof(formula_118,lemma,(
    ! [X1,X2] : p10(f7(X1,X2),X1) )).

fof(formula_23,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f7(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_66,axiom,(
    ! [X1] : ~ p3(f16(X1)) )).

fof(formula_43,axiom,(
    ! [X1] : p17(f20(X1),f16(X1)) )).

fof(formula_42,axiom,(
    $true )).

fof(formula_122,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X1,X2)
        & p10(X2,X3) )
     => p10(X1,X3) ) )).

fof(formula_98,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f9(X1,X2),f18(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_113,conjecture,(
    ! [X1,X2,X3] : 
      ( p4(X3)
     => ( p1(X1,f23(f12(X2,X3)))
      <=> ( p1(X1,X2)
          & p1(X1,f23(X3)) ) ) ) )).

fof(formula_157,lemma,(
    ! [X1,X2] : 
      ( p17(X2,f16(f16(X1)))
     => ( X2 != c13
       => f30(X1,f29(X1,X2)) = f32(X1,f20(X1),f31(X1,X2)) ) ) )).

fof(formula_44,axiom,(
    $true )).

fof(formula_161,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p27(X1,X2)
          & ! [X3] : ~ p1(X3,f7(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f7(X1,X2))
          & p27(X1,X2) ) ) )).

fof(formula_25,axiom,(
    ! [X1] : f20(X1) = X1 )).

fof(formula_107,axiom,(
    ! [X1,X2] : 
      ( p17(X2,f16(f16(X1)))
     => f31(X1,X2) = f14(X2) ) )).

fof(formula_70,axiom,(
    ! [X1] : ~ p3(f15(X1)) )).

fof(formula_95,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X1,X2)
     => ( p1(X3,X1)
        | p10(X1,f22(X2,f15(X3))) ) ) )).

fof(formula_80,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f23(X1))
        & p4(f23(X1)) ) ) )).

fof(formula_90,lemma,(
    ! [X1,X2] : 
      ~ ( p27(f15(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_61,axiom,(
    ! [X1,X2] : 
      ( p4(X2)
     => p4(f12(X1,X2)) ) )).

fof(formula_47,axiom,(
    $true )).

fof(formula_59,axiom,(
    ! [X1,X2] : 
      ( p4(X1)
     => p4(f11(X1,X2)) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( X1 = c13
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_170,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ( ( f19(X1) = c13
          | f23(X1) = c13 )
       => X1 = c13 ) ) )).

fof(formula_186,lemma,(
    ! [X1,X2] : 
      ( p4(X2)
     => f19(f11(X2,X1)) = f7(f19(X2),X1) ) )).

fof(formula_94,lemma,(
    ! [X1,X2] : 
      ( p17(X2,f16(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_149,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => p10(f19(f28(X1,X2)),f19(X1)) ) ) )).

fof(formula_128,lemma,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => f7(X1,X2) = X1 ) )).

fof(formula_93,lemma,(
    ! [X1,X2] : 
      ( f22(X1,X2) = c13
    <=> p10(X1,X2) ) )).

fof(formula_173,lemma,(
    ! [X1] : f5(X1,X1) = f15(X1) )).

fof(formula_99,lemma,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p17(X1,f16(X2)) ) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ( X2 = f21(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_182,lemma,(
    ! [X1,X2] : 
      ( p4(X2)
     => p10(f11(X2,X1),X2) ) )).

fof(formula_169,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X1,X2)
        & p27(X2,X3) )
     => p27(X1,X3) ) )).

fof(formula_82,axiom,(
    ! [X1,X2] : f6(X1,X1) = X1 )).

fof(formula_101,axiom,(
    ! [X1] : 
      ( ~ p3(X1)
     => ? [X2] : 
          ( p17(X2,f16(X1))
          & ~ p3(X2) ) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
       => ( p17(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p3(X1)
       => ( p17(X2,X1)
        <=> p3(X2) ) ) ) )).

fof(formula_138,lemma,(
    ! [X1,X2] : 
      ( f22(X1,X2) = c13
    <=> p10(X1,X2) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p10(X1,X2)
        & p10(X2,X1) ) ) )).

fof(formula_119,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X1,X2)
        & p10(X1,X3) )
     => p10(X1,f7(X2,X3)) ) )).

fof(formula_105,axiom,(
    ? [X1] : ~ p3(X1) )).

fof(formula_120,axiom,(
    ! [X1] : f6(X1,c13) = X1 )).

fof(formula_150,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => p10(f23(f28(X1,X2)),f23(X2)) ) ) )).

fof(formula_143,axiom,(
    ! [X1] : f22(X1,c13) = X1 )).

fof(formula_91,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p27(f15(X1),X2) ) )).

fof(formula_19,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f6(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_172,lemma,(
    ! [X1,X2] : 
      ( f22(X1,f15(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_136,lemma,(
    ! [X1,X2] : p10(f22(X1,X2),X1) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ( p10(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_142,lemma,(
    ! [X1,X2] : 
      ( p10(X1,f15(X2))
    <=> ( X1 = c13
        | X1 = f15(X2) ) ) )).

fof(formula_154,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f6(f15(X1),X2) = X2 ) )).

fof(formula_103,axiom,(
    ? [X1] : 
      ( ~ p3(X1)
      & p4(X1) ) )).

fof(formula_55,axiom,(
    ! [X1,X2] : 
      ( p17(X2,f16(f16(X1)))
     => p17(f30(X1,X2),f16(X1)) ) )).

fof(formula_140,lemma,(
    ! [X1,X2,X3] : 
      ( p10(f5(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_151,lemma,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => X2 = f6(X1,f22(X2,X1)) ) )).

fof(formula_81,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p4(X2) )
     => ( p3(f28(X1,X2))
        & p4(f28(X1,X2)) ) ) )).

fof(formula_75,axiom,(
    p4(c13) )).

fof(formula_58,axiom,(
    ! [X1,X2,X3] : 
      ( ( p17(X2,f16(X1))
        & p17(X3,f16(X1)) )
     => p17(f32(X1,X2,X3),f16(X1)) ) )).

fof(formula_139,lemma,(
    ! [X1,X2] : 
      ( p10(f15(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_127,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X1,X2)
     => p10(f7(X1,X3),f7(X2,X3)) ) )).

fof(formula_130,axiom,(
    ! [X1,X2] : 
      ( p17(X1,X2)
     => ( p3(X2)
        | p1(X1,X2) ) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p4(X2)
     => ! [X3] : 
          ( p4(X3)
         => ( X3 = f12(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f9(X4,X5),X3)
              <=> ( p1(X5,X1)
                  & p1(f9(X4,X5),X2) ) ) ) ) ) )).

fof(formula_111,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f9(X1,X2),f18(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_74,axiom,(
    p3(c13) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p10(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_39,axiom,(
    $true )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( X2 = f15(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ( X2 = f26(X1)
          <=> ! [X3,X4] : 
                ( p1(f9(X3,X4),X2)
              <=> p1(f9(X4,X3),X1) ) ) ) ) )).

fof(formula_133,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X3)
     => ( p1(f9(X1,X2),X3)
       => ( p1(X1,f25(X3))
          & p1(X2,f25(X3)) ) ) ) )).

fof(formula_153,lemma,(
    ! [X1,X2] : 
      ( p17(X2,f16(f16(X1)))
     => ~ ( X2 != c13
          & f29(X1,X2) = c13 ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p4(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f9(X3,X4) ) ) )).

fof(formula_48,axiom,(
    ! [X1,X2] : 
      ( p17(X2,f16(X1))
     => p17(f24(X1,X2),f16(X1)) ) )).

fof(formula_167,lemma,(
    f23(c13) = c13 )).

fof(formula_20,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f18(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f9(X5,X6) ) ) ) )).

fof(formula_129,axiom,(
    ! [X1] : f7(X1,c13) = c13 )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2,X3] : 
          ( p4(X3)
         => ( X3 = f11(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f9(X4,X5),X3)
              <=> ( p1(X4,X2)
                  & p1(f9(X4,X5),X1) ) ) ) ) ) )).

fof(formula_176,lemma,(
    ! [X1] : 
      ( f19(f8(X1)) = X1
      & f23(f8(X1)) = X1 ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( ( X1 != c13
       => ( X2 = f14(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ! [X4] : 
                  ( p1(X4,X1)
                 => p1(X3,X4) ) ) ) )
      & ( X1 = c13
       => ( X2 = f14(X1)
        <=> X2 = c13 ) ) ) )).

fof(formula_57,axiom,(
    ! [X1,X2] : 
      ( p17(X2,f16(f16(X1)))
     => p17(f31(X1,X2),f16(X1)) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ! [X3] : 
              ( p4(X3)
             => ( X3 = f28(X1,X2)
              <=> ! [X4,X5] : 
                    ( p1(f9(X4,X5),X3)
                  <=> ? [X6] : 
                        ( p1(f9(X4,X6),X1)
                        & p1(f9(X6,X5),X2) ) ) ) ) ) ) )).

fof(formula_132,lemma,(
    ! [X1] : p10(c13,X1) )).

fof(formula_68,axiom,(
    ! [X1,X2] : ~ p3(f9(X1,X2)) )).

fof(formula_165,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p17(X2,f16(X3))
        & p3(X3) ) )).

fof(formula_125,lemma,(
    ! [X1] : 
      ( p4(X1)
     => p10(X1,f18(f19(X1),f23(X1))) ) )).

fof(formula_71,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f6(X1,X2)) ) )).

fof(formula_179,lemma,(
    ! [X1,X2] : p10(X1,f6(X1,X2)) )).

fof(formula_88,lemma,(
    ! [X1] : f15(X1) != c13 )).

fof(formula_54,axiom,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p4(X2) )
     => p4(f28(X1,X2)) ) )).

fof(formula_102,axiom,(
    ? [X1] : p3(X1) )).

fof(formula_27,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f22(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_190,lemma,(
    ! [X1] : f21(f16(X1)) = X1 )).

fof(formula_73,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f6(X2,X1)) ) )).

fof(formula_65,axiom,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p4(X2) )
     => p4(f7(X1,X2)) ) )).

fof(formula_123,lemma,(
    f16(c13) = f15(c13) )).

fof(formula_92,lemma,(
    ! [X1,X2] : 
      ( p10(f15(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_110,axiom,(
    ! [X1,X2] : 
      ( p27(X1,X2)
     => p27(X2,X1) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ( X1 = X2
          <=> ! [X3,X4] : 
                ( p1(f9(X3,X4),X1)
              <=> p1(f9(X3,X4),X2) ) ) ) ) )).

fof(formula_46,axiom,(
    $true )).

fof(formula_37,axiom,(
    $true )).

fof(formula_178,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p3(X2) ) )).

fof(formula_145,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p27(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p27(X1,X2) ) ) )).

fof(formula_135,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f9(X1,X2) = f9(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_189,lemma,(
    ! [X1,X2] : 
      ( p4(X2)
     => p10(f23(f11(X2,X1)),f23(X2)) ) )).

fof(formula_137,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ( f23(X1) = f19(f26(X1))
        & f19(X1) = f23(f26(X1)) ) ) )).

fof(formula_192,lemma,(
    ! [X1,X2,X3] : 
      ( f15(X1) = f5(X2,X3)
     => X2 = X3 ) )).

fof(formula_117,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p10(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f16(X3),X2) )
      & ! [X3] : 
          ~ ( p10(X3,X2)
            & ~ p33(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_97,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p10(X1,f21(X2)) ) )).

fof(formula_134,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X1,X2)
     => p10(f22(X1,X3),f22(X2,X3)) ) )).

fof(formula_86,axiom,(
    ! [X1,X2] : 
      ( p17(X2,f16(f16(X1)))
     => f29(X1,f29(X1,X2)) = X2 ) )).

fof(formula_116,lemma,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => f6(X1,X2) = X2 ) )).

fof(formula_158,lemma,(
    ! [X1,X2] : f22(X1,f22(X1,X2)) = f7(X1,X2) )).

fof(formula_63,axiom,(
    ! [X1] : 
    ? [X2] : p17(X2,X1) )).

fof(formula_162,lemma,(
    ! [X1] : 
      ( X1 != c13
     => ! [X2] : 
          ( p17(X2,f16(X1))
         => ! [X3] : 
              ( p17(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f24(X1,X2)) ) ) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p4(X1) ) )).

fof(formula_152,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ( p10(f23(X1),f19(X2))
           => f19(f28(X1,X2)) = f19(X1) ) ) ) )).

fof(formula_148,lemma,(
    ! [X1,X2] : 
      ( p17(X2,f16(X1))
     => ! [X3] : 
          ( p17(X3,f16(X1))
         => ( p27(X2,X3)
          <=> p10(X2,f24(X1,X3)) ) ) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : f7(X1,X2) = f7(X2,X1) )).

fof(formula_89,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f6(f15(X1),X2) = X2 ) )).

fof(formula_41,axiom,(
    $true )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( X2 = f16(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p10(X3,X1) ) ) )).

fof(formula_56,axiom,(
    ! [X1] : p4(f8(X1)) )).

fof(formula_131,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_76,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
        & ~ p3(X2) )
     => ~ p3(f18(X1,X2)) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( X2 = f23(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f9(X4,X3),X1) ) ) ) )).

fof(formula_38,axiom,(
    $true )).

fof(formula_184,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X1,X2)
        & p10(X3,X2) )
     => p10(f6(X1,X3),X2) ) )).

fof(formula_180,lemma,(
    ! [X1,X2] : 
      ( p27(X1,X2)
    <=> f22(X1,X2) = X1 ) )).

fof(formula_18,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f5(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_108,axiom,(
    ! [X1,X2,X3] : 
      ( ( p17(X2,f16(X1))
        & p17(X3,f16(X1)) )
     => f32(X1,X2,X3) = f22(X2,X3) ) )).

fof(formula_30,axiom,(
    ! [X1,X2] : f9(X1,X2) = f5(f5(X1,X2),f15(X1)) )).

fof(formula_146,lemma,(
    ! [X1] : 
      ( p10(X1,c13)
     => X1 = c13 ) )).

fof(formula_49,axiom,(
    $true )).

fof(formula_104,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p17(X2,f16(X1))
      & p3(X2) ) )).

fof(formula_177,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p4(X4)
     => ( p1(f9(X1,X2),f28(f8(X3),X4))
      <=> ( p1(X1,X3)
          & p1(f9(X1,X2),X4) ) ) ) )).

fof(formula_147,lemma,(
    ! [X1,X2] : f22(f6(X1,X2),X2) = f22(X1,X2) )).

fof(formula_144,axiom,(
    ! [X1,X2] : 
      ( p17(X1,f16(X2))
    <=> p10(X1,X2) ) )).

fof(formula_191,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p10(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p10(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p10(X3,X2)
            & ~ p33(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_77,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p4(X1) )
     => ~ p3(f19(X1)) ) )).

fof(formula_175,lemma,(
    ! [X1,X2] : 
      ( p10(f15(X1),f15(X2))
     => X1 = X2 ) )).

fof(formula_78,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p4(X1) )
     => ~ p3(f23(X1)) ) )).

fof(formula_85,axiom,(
    ! [X1] : 
      ( p4(X1)
     => f26(f26(X1)) = X1 ) )).

fof(formula_50,axiom,(
    $true )).

fof(formula_4,axiom,(
    ! [X1,X2] : f5(X1,X2) = f5(X2,X1) )).

fof(formula_40,axiom,(
    $true )).

fof(formula_187,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p10(X1,f21(X2)) ) )).

fof(formula_60,axiom,(
    ! [X1,X2] : 
      ( p17(X2,f16(f16(X1)))
     => p17(f29(X1,X2),f16(f16(X1))) ) )).

fof(formula_64,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p4(X2) )
     => ( p3(f28(X2,X1))
        & p4(f28(X2,X1)) ) ) )).

fof(formula_121,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p17(X1,X2) ) )).

fof(formula_114,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X1,X2)
     => ( p10(f18(X1,X3),f18(X2,X3))
        & p10(f18(X3,X1),f18(X3,X2)) ) ) )).

fof(formula_171,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ( f19(X1) = c13
      <=> f23(X1) = c13 ) ) )).

fof(formula_168,lemma,(
    ! [X1,X2] : 
      ~ ( p10(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p4(X1)
     => f25(X1) = f6(f19(X1),f23(X1)) ) )).

fof(formula_126,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ( p10(X1,X2)
           => ( p10(f19(X1),f19(X2))
              & p10(f23(X1),f23(X2)) ) ) ) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ( p10(X1,X2)
          <=> ! [X3,X4] : 
                ( p1(f9(X3,X4),X1)
               => p1(f9(X3,X4),X2) ) ) ) ) )).

fof(formula_106,axiom,(
    ! [X1,X2] : 
      ( p17(X2,f16(f16(X1)))
     => f30(X1,X2) = f21(X2) ) )).

fof(formula_100,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p4(X1) ) )).

fof(formula_163,lemma,(
    ! [X1,X2,X3] : 
      ( p17(X3,f16(X1))
     => ~ ( p1(X2,f24(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_109,axiom,(
    ! [X1,X2] : p10(X1,X1) )).

fof(formula_69,axiom,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p4(X2) )
     => p4(f6(X1,X2)) ) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
      ( p17(X2,f16(f16(X1)))
     => ! [X3] : 
          ( p17(X3,f16(f16(X1)))
         => ( X3 = f29(X1,X2)
          <=> ! [X4] : 
                ( p17(X4,f16(X1))
               => ( p1(X4,X3)
                <=> p1(f24(X1,X4),X2) ) ) ) ) ) )).

fof(formula_160,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p17(X2,f16(X3)) )
     => p17(X1,X3) ) )).

fof(formula_52,axiom,(
    $true )).

fof(formula_166,lemma,(
    f19(c13) = c13 )).

fof(formula_174,axiom,(
    ! [X1] : 
      ( p3(X1)
     => X1 = c13 ) )).

fof(formula_87,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_155,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ( p10(f19(X1),f23(X2))
           => f23(f28(X2,X1)) = f23(X1) ) ) ) )).

fof(formula_181,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X3)
     => ( p1(X1,f19(f11(X3,X2)))
      <=> ( p1(X1,X2)
          & p1(X1,f19(X3)) ) ) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ( p17(X2,f16(X1))
     => f24(X1,X2) = f22(X1,X2) ) )).

fof(formula_188,lemma,(
    ! [X1,X2] : 
      ( p4(X2)
     => f11(X2,X1) = f28(f8(X1),X2) ) )).

fof(formula_164,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ( ! [X2,X3] : ~ p1(f9(X2,X3),X1)
       => X1 = c13 ) ) )).

fof(formula_112,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f5(X1,X2) = f5(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_159,axiom,(
    ! [X1] : f22(c13,X1) = c13 )).

fof(formula_185,lemma,(
    ! [X1,X2,X3] : 
      ( f15(X1) = f5(X2,X3)
     => X1 = X2 ) )).

fof(formula_83,axiom,(
    ! [X1,X2] : f7(X1,X1) = X1 )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( p27(X1,X2)
    <=> f7(X1,X2) = c13 ) )).

fof(formula_62,axiom,(
    $true )).

fof(formula_115,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p10(X1,X2)
        & p10(X3,X4) )
     => p10(f18(X1,X3),f18(X2,X4)) ) )).

fof(formula_141,lemma,(
    ! [X1,X2] : f6(X1,f22(X2,X1)) = f6(X1,X2) )).

fof(formula_51,axiom,(
    ! [X1] : 
      ( p4(X1)
     => p4(f26(X1)) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( X2 = f19(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f9(X3,X4),X1) ) ) ) )).

fof(formula_84,axiom,(
    ! [X1,X2] : 
      ( p17(X2,f16(X1))
     => f24(X1,f24(X1,X2)) = X2 ) )).
%------------------------------------------------------------------------------
