%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_24,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_21,axiom,(
    p3(c11) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( p3(X2)
     => ! [X3] : 
          ( p3(X3)
         => ( X3 = f5(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f6(X4,X5),X3)
              <=> ( p1(X5,X1)
                  & p1(f6(X4,X5),X2) ) ) ) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : ~ p2(f8(X1)) )).

fof(formula_14,axiom,(
    ! [X1] : 
    ? [X2] : p9(X2,X1) )).

fof(formula_8,axiom,(
    $true )).

fof(formula_25,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p3(X1) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : ~ p2(f6(X1,X2)) )).

fof(formula_29,conjecture,(
    ! [X1,X2] : 
      ( p3(X2)
     => p7(f5(X1,X2),X2) ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( p9(X1,f10(X2))
    <=> p7(X1,X2) ) )).

fof(formula_16,axiom,(
    p2(c11) )).

fof(formula_19,axiom,(
    ! [X1,X2] : ~ p2(f4(X1,X2)) )).

fof(formula_30,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p9(X1,X2) ) )).

fof(formula_15,axiom,(
    ! [X1] : ~ p2(f10(X1)) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( p7(X1,X2)
          <=> ! [X3,X4] : 
                ( p1(f6(X3,X4),X1)
               => p1(f6(X3,X4),X2) ) ) ) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c11 ) )).

fof(formula_28,axiom,(
    ! [X1,X2] : p7(X1,X1) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( p3(X2)
     => p3(f5(X1,X2)) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : f6(X1,X2) = f4(f4(X1,X2),f8(X1)) )).

fof(formula_33,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p9(X2,f10(X3)) )
     => p9(X1,X3) ) )).

fof(formula_20,axiom,(
    p2(c11) )).

fof(formula_27,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_34,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p9(X2,f10(X3))
        & p2(X3) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p9(X2,f10(X1))
      & p2(X2) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : f4(X1,X2) = f4(X2,X1) )).

fof(formula_11,axiom,(
    $true )).

fof(formula_10,axiom,(
    $true )).

fof(formula_22,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p3(X1) ) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_7,axiom,(
    $true )).

fof(formula_31,axiom,(
    ! [X1,X2] : 
      ( p9(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_9,axiom,(
    $true )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p9(X2,f10(X1))
          & ~ p2(X2) ) ) )).
%------------------------------------------------------------------------------
