%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(A,C) = f13(B,C) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(C,A) = f13(C,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f16(A) = f16(B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f17(A) = f17(B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(A,C) = f19(B,C) ) )).

fof(f19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(C,A) = f19(C,B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f20(A) = f20(B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f21(A) = f21(B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f22(A) = f22(B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(A,C) = f23(B,C) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(C,A) = f23(C,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f24(A) = f24(B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(A,C) = f25(B,C) ) )).

fof(f25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(C,A) = f25(C,B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f26(A) = f26(B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f27(A) = f27(B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(A,C) = f29(B,C) ) )).

fof(f29_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(C,A) = f29(C,B) ) )).

fof(f30_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f30(A,C) = f30(B,C) ) )).

fof(f30_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f30(C,A) = f30(C,B) ) )).

fof(f31_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f31(A,C) = f31(B,C) ) )).

fof(f31_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f31(C,A) = f31(C,B) ) )).

fof(f32_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f32(A,C) = f32(B,C) ) )).

fof(f32_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f32(C,A) = f32(C,B) ) )).

fof(f33_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f33(A,C,D) = f33(B,C,D) ) )).

fof(f33_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f33(C,A,D) = f33(C,B,D) ) )).

fof(f33_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f33(C,D,A) = f33(C,D,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(A,C) )
     => p18(B,C) ) )).

fof(p18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(C,A) )
     => p18(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p28(A,C) )
     => p28(B,C) ) )).

fof(p28_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p28(C,A) )
     => p28(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p34_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p34(A,C) )
     => p34(B,C) ) )).

fof(p34_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p34(C,A) )
     => p34(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( X2 = f16(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_189,lemma,(
    ! [X1,X2] : 
      ( p28(X1,X2)
    <=> f23(X1,X2) = X1 ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f6(X1,X2) = f6(X2,X1) )).

fof(formula_84,axiom,(
    ! [X1,X2] : f6(X1,X1) = X1 )).

fof(formula_155,lemma,(
    ! [X1] : 
      ( p10(X1,c14)
     => X1 = c14 ) )).

fof(formula_39,axiom,(
    $true )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( X2 = f24(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f9(X4,X3),X1) ) ) ) )).

fof(formula_20,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f6(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_96,lemma,(
    ! [X1,X2] : 
      ( p18(X2,f17(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_40,axiom,(
    $true )).

fof(formula_201,lemma,(
    ! [X1,X2,X3] : 
      ( f16(X1) = f5(X2,X3)
     => X2 = X3 ) )).

fof(formula_56,axiom,(
    ! [X1,X2] : 
      ( p18(X2,f17(f17(X1)))
     => p18(f31(X1,X2),f17(X1)) ) )).

fof(formula_87,axiom,(
    ! [X1] : 
      ( p4(X1)
     => f27(f27(X1)) = X1 ) )).

fof(formula_28,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f23(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_92,lemma,(
    ! [X1,X2] : 
      ~ ( p28(f16(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_99,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p10(X1,f22(X2)) ) )).

fof(formula_126,conjecture,(
    ! [X1,X2] : 
      ( p4(X2)
     => p10(f13(X2,X1),f24(X2)) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( p4(X1)
     => f26(X1) = f6(f20(X1),f24(X1)) ) )).

fof(formula_160,lemma,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => X2 = f6(X1,f23(X2,X1)) ) )).

fof(formula_138,axiom,(
    ! [X1] : f7(X1,c14) = c14 )).

fof(formula_43,axiom,(
    $true )).

fof(formula_72,axiom,(
    ! [X1] : ~ p3(f16(X1)) )).

fof(formula_82,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f24(X1))
        & p4(f24(X1)) ) ) )).

fof(formula_102,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p4(X1) ) )).

fof(formula_118,lemma,(
    ! [X1,X2] : 
      ( p4(X2)
     => p10(f24(f12(X1,X2)),f24(X2)) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ( X1 = X2
          <=> ! [X3,X4] : 
                ( p1(f9(X3,X4),X1)
              <=> p1(f9(X3,X4),X2) ) ) ) ) )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ( X2 = f27(X1)
          <=> ! [X3,X4] : 
                ( p1(f9(X3,X4),X2)
              <=> p1(f9(X4,X3),X1) ) ) ) ) )).

fof(formula_114,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f5(X1,X2) = f5(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_192,axiom,(
    ! [X1,X2] : 
      ~ ( p3(X1)
        & X1 != X2
        & p3(X2) ) )).

fof(formula_139,axiom,(
    ! [X1,X2] : 
      ( p18(X1,X2)
     => ( p3(X2)
        | p1(X1,X2) ) ) )).

fof(formula_152,axiom,(
    ! [X1] : f23(X1,c14) = X1 )).

fof(formula_176,lemma,(
    f24(c14) = c14 )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ( X2 = f22(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_157,lemma,(
    ! [X1,X2] : 
      ( p18(X2,f17(X1))
     => ! [X3] : 
          ( p18(X3,f17(X1))
         => ( p28(X2,X3)
          <=> p10(X2,f25(X1,X3)) ) ) ) )).

fof(formula_24,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f7(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_186,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p4(X4)
     => ( p1(f9(X1,X2),f29(f8(X3),X4))
      <=> ( p1(X1,X3)
          & p1(f9(X1,X2),X4) ) ) ) )).

fof(formula_131,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X1,X2)
        & p10(X2,X3) )
     => p10(X1,X3) ) )).

fof(formula_198,lemma,(
    ! [X1,X2] : 
      ( p4(X2)
     => p10(f24(f11(X2,X1)),f24(X2)) ) )).

fof(formula_93,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p28(f16(X1),X2) ) )).

fof(formula_66,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p4(X2) )
     => ( p3(f29(X2,X1))
        & p4(f29(X2,X1)) ) ) )).

fof(formula_132,lemma,(
    f17(c14) = f16(c14) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
       => ( p18(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p3(X1)
       => ( p18(X2,X1)
        <=> p3(X2) ) ) ) )).

fof(formula_164,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ( p10(f20(X1),f24(X2))
           => f24(f29(X2,X1)) = f24(X1) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2,X3] : 
          ( X3 = f13(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f9(X5,X4),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( X2 = f17(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p10(X3,X1) ) ) )).

fof(formula_172,lemma,(
    ! [X1,X2,X3] : 
      ( p18(X3,f17(X1))
     => ~ ( p1(X2,f25(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_136,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X1,X2)
     => p10(f7(X1,X3),f7(X2,X3)) ) )).

fof(formula_167,lemma,(
    ! [X1,X2] : f23(X1,f23(X1,X2)) = f7(X1,X2) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( ( X1 != c14
       => ( X2 = f15(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ! [X4] : 
                  ( p1(X4,X1)
                 => p1(X3,X4) ) ) ) )
      & ( X1 = c14
       => ( X2 = f15(X1)
        <=> X2 = c14 ) ) ) )).

fof(formula_50,axiom,(
    $true )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( X2 = f20(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f9(X3,X4),X1) ) ) ) )).

fof(formula_85,axiom,(
    ! [X1,X2] : f7(X1,X1) = X1 )).

fof(formula_143,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X1,X2)
     => p10(f23(X1,X3),f23(X2,X3)) ) )).

fof(formula_69,axiom,(
    p3(c14) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ( p10(X1,X2)
          <=> ! [X3,X4] : 
                ( p1(f9(X3,X4),X1)
               => p1(f9(X3,X4),X2) ) ) ) ) )).

fof(formula_190,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X3)
     => ( p1(X1,f20(f11(X3,X2)))
      <=> ( p1(X1,X2)
          & p1(X1,f20(X3)) ) ) ) )).

fof(formula_123,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p10(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f17(X3),X2) )
      & ! [X3] : 
          ~ ( p10(X3,X2)
            & ~ p34(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_97,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X1,X2)
     => ( p1(X3,X1)
        | p10(X1,f23(X2,f16(X3))) ) ) )).

fof(formula_154,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p28(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p28(X1,X2) ) ) )).

fof(formula_70,axiom,(
    ! [X1,X2] : ~ p3(f9(X1,X2)) )).

fof(formula_105,axiom,(
    ? [X1] : 
      ( ~ p3(X1)
      & p4(X1) ) )).

fof(formula_98,lemma,(
    ! [X1,X2] : 
      ( p10(X1,f16(X2))
    <=> ( X1 = c14
        | X1 = f16(X2) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_67,axiom,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p4(X2) )
     => p4(f7(X1,X2)) ) )).

fof(formula_153,axiom,(
    ! [X1,X2] : 
      ( p18(X1,f17(X2))
    <=> p10(X1,X2) ) )).

fof(formula_156,lemma,(
    ! [X1,X2] : f23(f6(X1,X2),X2) = f23(X1,X2) )).

fof(formula_48,axiom,(
    $true )).

fof(formula_77,axiom,(
    p4(c14) )).

fof(formula_90,lemma,(
    ! [X1] : f16(X1) != c14 )).

fof(formula_83,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p4(X2) )
     => ( p3(f29(X1,X2))
        & p4(f29(X1,X2)) ) ) )).

fof(formula_44,axiom,(
    ! [X1] : p18(f21(X1),f17(X1)) )).

fof(formula_150,lemma,(
    ! [X1,X2] : f6(X1,f23(X2,X1)) = f6(X1,X2) )).

fof(formula_112,axiom,(
    ! [X1,X2] : 
      ( p28(X1,X2)
     => p28(X2,X1) ) )).

fof(formula_61,axiom,(
    ! [X1,X2] : 
      ( p18(X2,f17(f17(X1)))
     => p18(f30(X1,X2),f17(f17(X1))) ) )).

fof(formula_64,axiom,(
    $true )).

fof(formula_95,lemma,(
    ! [X1,X2] : 
      ( f23(X1,X2) = c14
    <=> p10(X1,X2) ) )).

fof(formula_91,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f6(f16(X1),X2) = X2 ) )).

fof(formula_200,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p10(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p10(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p10(X3,X2)
            & ~ p34(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : f5(X1,X2) = f5(X2,X1) )).

fof(formula_182,lemma,(
    ! [X1] : f5(X1,X1) = f16(X1) )).

fof(formula_94,lemma,(
    ! [X1,X2] : 
      ( p10(f16(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_42,axiom,(
    $true )).

fof(formula_21,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f19(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f9(X5,X6) ) ) ) )).

fof(formula_111,axiom,(
    ! [X1,X2] : p10(X1,X1) )).

fof(formula_188,lemma,(
    ! [X1,X2] : p10(X1,f6(X1,X2)) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ! [X3] : 
              ( p4(X3)
             => ( X3 = f29(X1,X2)
              <=> ! [X4,X5] : 
                    ( p1(f9(X4,X5),X3)
                  <=> ? [X6] : 
                        ( p1(f9(X4,X6),X1)
                        & p1(f9(X6,X5),X2) ) ) ) ) ) ) )).

fof(formula_133,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X3)
     => ( p1(f9(X1,X2),X3)
       => ( p1(X1,f20(X3))
          & p1(X2,f24(X3)) ) ) ) )).

fof(formula_119,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X1,X2)
     => ( p10(f19(X1,X3),f19(X2,X3))
        & p10(f19(X3,X1),f19(X3,X2)) ) ) )).

fof(formula_45,axiom,(
    $true )).

fof(formula_104,axiom,(
    ? [X1] : p3(X1) )).

fof(formula_122,lemma,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => f6(X1,X2) = X2 ) )).

fof(formula_125,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X3)
     => ( p1(X1,f13(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f20(X3))
            & p1(f9(X4,X1),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_78,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
        & ~ p3(X2) )
     => ~ p3(f19(X1,X2)) ) )).

fof(formula_38,axiom,(
    $true )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p10(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_41,axiom,(
    $true )).

fof(formula_146,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ( f24(X1) = f20(f27(X1))
        & f20(X1) = f24(f27(X1)) ) ) )).

fof(formula_184,lemma,(
    ! [X1,X2] : 
      ( p10(f16(X1),f16(X2))
     => X1 = X2 ) )).

fof(formula_106,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p18(X2,f17(X1))
      & p3(X2) ) )).

fof(formula_107,axiom,(
    ? [X1] : ~ p3(X1) )).

fof(formula_26,axiom,(
    ! [X1] : f21(X1) = X1 )).

fof(formula_141,lemma,(
    ! [X1] : p10(c14,X1) )).

fof(formula_180,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ( f20(X1) = c14
      <=> f24(X1) = c14 ) ) )).

fof(formula_76,axiom,(
    p3(c14) )).

fof(formula_135,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ( p10(X1,X2)
           => ( p10(f20(X1),f20(X2))
              & p10(f24(X1),f24(X2)) ) ) ) ) )).

fof(formula_158,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => p10(f20(f29(X1,X2)),f20(X1)) ) ) )).

fof(formula_53,axiom,(
    $true )).

fof(formula_19,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f5(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_58,axiom,(
    ! [X1,X2] : 
      ( p18(X2,f17(f17(X1)))
     => p18(f32(X1,X2),f17(X1)) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( p18(X2,f17(f17(X1)))
     => ! [X3] : 
          ( p18(X3,f17(f17(X1)))
         => ( X3 = f30(X1,X2)
          <=> ! [X4] : 
                ( p18(X4,f17(X1))
               => ( p1(X4,X3)
                <=> p1(f25(X1,X4),X2) ) ) ) ) ) )).

fof(formula_75,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f6(X2,X1)) ) )).

fof(formula_49,axiom,(
    ! [X1,X2] : 
      ( p18(X2,f17(X1))
     => p18(f25(X1,X2),f17(X1)) ) )).

fof(formula_79,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p4(X1) )
     => ~ p3(f20(X1)) ) )).

fof(formula_88,axiom,(
    ! [X1,X2] : 
      ( p18(X2,f17(f17(X1)))
     => f30(X1,f30(X1,X2)) = X2 ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p4(X2)
     => ! [X3] : 
          ( p4(X3)
         => ( X3 = f12(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f9(X4,X5),X3)
              <=> ( p1(X5,X1)
                  & p1(f9(X4,X5),X2) ) ) ) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p4(X1) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( p4(X2)
     => ( X2 = f8(X1)
      <=> ! [X3,X4] : 
            ( p1(f9(X3,X4),X2)
          <=> ( p1(X3,X1)
              & X3 = X4 ) ) ) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : f7(X1,X2) = f7(X2,X1) )).

fof(formula_179,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ( ( f20(X1) = c14
          | f24(X1) = c14 )
       => X1 = c14 ) ) )).

fof(formula_148,lemma,(
    ! [X1,X2] : 
      ( p10(f16(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_175,lemma,(
    f20(c14) = c14 )).

fof(formula_63,axiom,(
    $true )).

fof(formula_117,lemma,(
    ! [X1,X2] : 
      ( p4(X2)
     => p10(f12(X1,X2),X2) ) )).

fof(formula_86,axiom,(
    ! [X1,X2] : 
      ( p18(X2,f17(X1))
     => f25(X1,f25(X1,X2)) = X2 ) )).

fof(formula_149,lemma,(
    ! [X1,X2,X3] : 
      ( p10(f5(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_140,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_31,axiom,(
    ! [X1,X2] : f9(X1,X2) = f5(f5(X1,X2),f16(X1)) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( p10(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_73,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f6(X1,X2)) ) )).

fof(formula_168,axiom,(
    ! [X1] : f23(c14,X1) = c14 )).

fof(formula_71,axiom,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p4(X2) )
     => p4(f6(X1,X2)) ) )).

fof(formula_81,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f20(X1))
        & p4(f20(X1)) ) ) )).

fof(formula_80,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p4(X1) )
     => ~ p3(f24(X1)) ) )).

fof(formula_195,lemma,(
    ! [X1,X2] : 
      ( p4(X2)
     => f20(f11(X2,X1)) = f7(f20(X2),X1) ) )).

fof(formula_187,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p3(X2) ) )).

fof(formula_171,lemma,(
    ! [X1] : 
      ( X1 != c14
     => ! [X2] : 
          ( p18(X2,f17(X1))
         => ! [X3] : 
              ( p18(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f25(X1,X2)) ) ) ) ) )).

fof(formula_62,axiom,(
    ! [X1,X2] : 
      ( p4(X2)
     => p4(f12(X1,X2)) ) )).

fof(formula_173,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ( ! [X2,X3] : ~ p1(f9(X2,X3),X1)
       => X1 = c14 ) ) )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( p4(X1)
     => p4(f27(X1)) ) )).

fof(formula_59,axiom,(
    ! [X1,X2,X3] : 
      ( ( p18(X2,f17(X1))
        & p18(X3,f17(X1)) )
     => p18(f33(X1,X2,X3),f17(X1)) ) )).

fof(formula_162,lemma,(
    ! [X1,X2] : 
      ( p18(X2,f17(f17(X1)))
     => ~ ( X2 != c14
          & f30(X1,X2) = c14 ) ) )).

fof(formula_60,axiom,(
    ! [X1,X2] : 
      ( p4(X1)
     => p4(f11(X1,X2)) ) )).

fof(formula_151,lemma,(
    ! [X1,X2] : 
      ( p10(X1,f16(X2))
    <=> ( X1 = c14
        | X1 = f16(X2) ) ) )).

fof(formula_30,axiom,(
    ! [X1,X2] : 
      ( p18(X2,f17(X1))
     => f25(X1,X2) = f23(X1,X2) ) )).

fof(formula_194,lemma,(
    ! [X1,X2,X3] : 
      ( f16(X1) = f5(X2,X3)
     => X1 = X2 ) )).

fof(formula_169,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p18(X2,f17(X3)) )
     => p18(X1,X3) ) )).

fof(formula_170,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p28(X1,X2)
          & ! [X3] : ~ p1(X3,f7(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f7(X1,X2))
          & p28(X1,X2) ) ) )).

fof(formula_103,axiom,(
    ! [X1] : 
      ( ~ p3(X1)
     => ? [X2] : 
          ( p18(X2,f17(X1))
          & ~ p3(X2) ) ) )).

fof(formula_163,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f6(f16(X1),X2) = X2 ) )).

fof(formula_130,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p18(X1,X2) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p4(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f9(X3,X4) ) ) )).

fof(formula_144,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f9(X1,X2) = f9(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_68,axiom,(
    ! [X1] : ~ p3(f17(X1)) )).

fof(formula_55,axiom,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p4(X2) )
     => p4(f29(X1,X2)) ) )).

fof(formula_101,lemma,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p18(X1,f17(X2)) ) )).

fof(formula_165,lemma,(
    ! [X1,X2] : 
      ( p18(X2,f17(f17(X1)))
     => ( X2 != c14
       => f33(X1,f21(X1),f31(X1,X2)) = f32(X1,f30(X1,X2)) ) ) )).

fof(formula_142,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X3)
     => ( p1(f9(X1,X2),X3)
       => ( p1(X1,f26(X3))
          & p1(X2,f26(X3)) ) ) ) )).

fof(formula_174,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p18(X2,f17(X3))
        & p3(X3) ) )).

fof(formula_89,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_191,lemma,(
    ! [X1,X2] : 
      ( p4(X2)
     => p10(f11(X2,X1),X2) ) )).

fof(formula_121,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p10(X1,X2)
        & p10(X3,X4) )
     => p10(f19(X1,X3),f19(X2,X4)) ) )).

fof(formula_46,axiom,(
    $true )).

fof(formula_129,axiom,(
    ! [X1] : f6(X1,c14) = X1 )).

fof(formula_147,lemma,(
    ! [X1,X2] : 
      ( f23(X1,X2) = c14
    <=> p10(X1,X2) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p10(X1,X2)
        & p10(X2,X1) ) ) )).

fof(formula_183,axiom,(
    ! [X1] : 
      ( p3(X1)
     => X1 = c14 ) )).

fof(formula_197,lemma,(
    ! [X1,X2] : 
      ( p4(X2)
     => f11(X2,X1) = f29(f8(X1),X2) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( X1 = c14
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_193,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X1,X2)
        & p10(X3,X2) )
     => p10(f6(X1,X3),X2) ) )).

fof(formula_185,lemma,(
    ! [X1] : 
      ( f20(f8(X1)) = X1
      & f24(f8(X1)) = X1 ) )).

fof(formula_199,lemma,(
    ! [X1] : f22(f17(X1)) = X1 )).

fof(formula_51,axiom,(
    $true )).

fof(formula_100,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f9(X1,X2),f19(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_166,lemma,(
    ! [X1,X2] : 
      ( p18(X2,f17(f17(X1)))
     => ( X2 != c14
       => f31(X1,f30(X1,X2)) = f33(X1,f21(X1),f32(X1,X2)) ) ) )).

fof(formula_109,axiom,(
    ! [X1,X2] : 
      ( p18(X2,f17(f17(X1)))
     => f32(X1,X2) = f15(X2) ) )).

fof(formula_116,lemma,(
    ! [X1,X2] : 
      ( p4(X2)
     => p10(f24(f12(X1,X2)),X1) ) )).

fof(formula_134,lemma,(
    ! [X1] : 
      ( p4(X1)
     => p10(X1,f19(f20(X1),f24(X1))) ) )).

fof(formula_177,lemma,(
    ! [X1,X2] : 
      ~ ( p10(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_145,lemma,(
    ! [X1,X2] : p10(f23(X1,X2),X1) )).

fof(formula_127,lemma,(
    ! [X1,X2] : p10(f7(X1,X2),X1) )).

fof(formula_120,lemma,(
    ! [X1,X2] : 
      ( p4(X2)
     => f24(f12(X1,X2)) = f7(f24(X2),X1) ) )).

fof(formula_108,axiom,(
    ! [X1,X2] : 
      ( p18(X2,f17(f17(X1)))
     => f31(X1,X2) = f22(X2) ) )).

fof(formula_115,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X3)
     => ( p1(X1,f24(f12(X2,X3)))
      <=> ( p1(X1,X2)
          & p1(X1,f24(X3)) ) ) ) )).

fof(formula_113,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f9(X1,X2),f19(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_110,axiom,(
    ! [X1,X2,X3] : 
      ( ( p18(X2,f17(X1))
        & p18(X3,f17(X1)) )
     => f33(X1,X2,X3) = f23(X2,X3) ) )).

fof(formula_65,axiom,(
    ! [X1] : 
    ? [X2] : p18(X2,X1) )).

fof(formula_137,lemma,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => f7(X1,X2) = X1 ) )).

fof(formula_74,axiom,(
    ! [X1,X2] : ~ p3(f5(X1,X2)) )).

fof(formula_124,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X3)
     => f11(f12(X1,X3),X2) = f12(X1,f11(X3,X2)) ) )).

fof(formula_54,axiom,(
    $true )).

fof(formula_181,lemma,(
    ! [X1,X2] : 
      ( f23(X1,f16(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_47,axiom,(
    $true )).

fof(formula_128,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X1,X2)
        & p10(X1,X3) )
     => p10(X1,f7(X2,X3)) ) )).

fof(formula_178,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X1,X2)
        & p28(X2,X3) )
     => p28(X1,X3) ) )).

fof(formula_34,axiom,(
    ! [X1,X2] : 
      ( p28(X1,X2)
    <=> f7(X1,X2) = c14 ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2,X3] : 
          ( p4(X3)
         => ( X3 = f11(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f9(X4,X5),X3)
              <=> ( p1(X4,X2)
                  & p1(f9(X4,X5),X1) ) ) ) ) ) )).

fof(formula_161,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ( p10(f24(X1),f20(X2))
           => f20(f29(X1,X2)) = f20(X1) ) ) ) )).

fof(formula_196,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p10(X1,f22(X2)) ) )).

fof(formula_57,axiom,(
    ! [X1] : p4(f8(X1)) )).

fof(formula_159,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => p10(f24(f29(X1,X2)),f24(X2)) ) ) )).
%------------------------------------------------------------------------------
