%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(formula_28,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p4(X1) ) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_20,axiom,(
    ! [X1,X2] : ~ p2(f8(X1,X2)) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_34,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_30,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p4(X1) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : f5(X1,X2) = f5(X2,X1) )).

fof(formula_14,axiom,(
    $true )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p3(X1) )
     => ! [X2,X3] : 
          ( ( p1(X2,f6(X1))
           => ( X3 = f7(X1,X2)
            <=> p1(f8(X2,X3),X1) ) )
          & ( ~ p1(X2,f6(X1))
           => ( X3 = f7(X1,X2)
            <=> X3 = c9 ) ) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
    ? [X2] : p11(X2,X1) )).

fof(formula_18,axiom,(
    p12(c9) )).

fof(formula_10,axiom,(
    $true )).

fof(formula_22,axiom,(
    ! [X1,X2] : ~ p2(f5(X1,X2)) )).

fof(formula_19,axiom,(
    p2(c9) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p4(X1) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( X2 = f6(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f8(X3,X4),X1) ) ) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c9 ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_21,axiom,(
    ! [X1] : ~ p2(f10(X1)) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p2(f6(X1))
        & p4(f6(X1)) ) ) )).

fof(formula_31,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_38,conjecture,(
    ! [X1,X2,X3] : 
      ( ( p4(X3)
        & p3(X3) )
     => ( p1(f8(X1,X2),X3)
      <=> ( p1(X1,f6(X3))
          & X2 = f7(X3,X1) ) ) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p11(X1,X2) ) )).

fof(formula_16,axiom,(
    p2(c9) )).

fof(formula_9,axiom,(
    $true )).

fof(formula_27,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1) ) )).

fof(formula_24,axiom,(
    p4(c9) )).

fof(formula_8,axiom,(
    $true )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_11,axiom,(
    $true )).

fof(formula_17,axiom,(
    p4(c9) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p4(X1) )
     => ~ p2(f6(X1)) ) )).

fof(formula_23,axiom,(
    p2(c9) )).

fof(formula_29,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_32,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p12(X1) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : f8(X1,X2) = f5(f5(X1,X2),f10(X1)) )).
%------------------------------------------------------------------------------
