%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(A,C) = f13(B,C) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(C,A) = f13(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(A,C) = f14(B,C) ) )).

fof(f14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(C,A) = f14(C,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(A,C) = f15(B,C) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(C,A) = f15(C,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f17(A) = f17(B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f18(A) = f18(B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f19(A) = f19(B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(A,C) = f21(B,C) ) )).

fof(f21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(C,A) = f21(C,B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f22(A) = f22(B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(A,C) = f23(B,C) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(C,A) = f23(C,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f24(A) = f24(B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f25(A) = f25(B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f26(A,C) = f26(B,C) ) )).

fof(f26_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f26(C,A) = f26(C,B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f27(A) = f27(B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f28(A,C) = f28(B,C) ) )).

fof(f28_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f28(C,A) = f28(C,B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f29(A) = f29(B) ) )).

fof(f30_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f30(A) = f30(B) ) )).

fof(f32_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f32(A,C) = f32(B,C) ) )).

fof(f32_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f32(C,A) = f32(C,B) ) )).

fof(f33_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f33(A,C) = f33(B,C) ) )).

fof(f33_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f33(C,A) = f33(C,B) ) )).

fof(f34_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f34(A,C) = f34(B,C) ) )).

fof(f34_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f34(C,A) = f34(C,B) ) )).

fof(f35_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f35(A,C) = f35(B,C) ) )).

fof(f35_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f35(C,A) = f35(C,B) ) )).

fof(f36_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f36(A,C,D) = f36(B,C,D) ) )).

fof(f36_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f36(C,A,D) = f36(C,B,D) ) )).

fof(f36_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f36(C,D,A) = f36(C,D,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(A,C) )
     => p20(B,C) ) )).

fof(p20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(C,A) )
     => p20(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p31(A,C) )
     => p31(B,C) ) )).

fof(p31_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p31(C,A) )
     => p31(C,B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p37(A) )
     => p37(B) ) )).

fof(p38_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p38(A,C) )
     => p38(B,C) ) )).

fof(p38_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p38(C,A) )
     => p38(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(formula_122,axiom,(
    ! [X1,X2] : 
      ( p31(X1,X2)
     => p31(X2,X1) ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( p31(X1,X2)
    <=> f8(X1,X2) = c16 ) )).

fof(formula_43,axiom,(
    $true )).

fof(formula_160,lemma,(
    ! [X1,X2,X3] : 
      ( p11(X1,X2)
     => p11(f26(X1,X3),f26(X2,X3)) ) )).

fof(formula_55,axiom,(
    $true )).

fof(formula_180,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f7(f18(X1),X2) = X2 ) )).

fof(formula_121,axiom,(
    ! [X1,X2] : p11(X1,X1) )).

fof(formula_102,lemma,(
    ! [X1,X2] : 
      ( p11(f18(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_70,axiom,(
    ! [X1] : 
    ? [X2] : p20(X2,X1) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( X2 = f30(X1)
          <=> ! [X3,X4] : 
                ( p1(f10(X3,X4),X2)
              <=> p1(f10(X4,X3),X1) ) ) ) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( ( X1 != c16
       => ( X2 = f17(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ! [X4] : 
                  ( p1(X4,X1)
                 => p1(X3,X4) ) ) ) )
      & ( X1 = c16
       => ( X2 = f17(X1)
        <=> X2 = c16 ) ) ) )).

fof(formula_120,axiom,(
    ! [X1,X2,X3] : 
      ( ( p20(X2,f19(X1))
        & p20(X3,f19(X1)) )
     => f36(X1,X2,X3) = f26(X2,X3) ) )).

fof(formula_81,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f7(X1,X2)) ) )).

fof(formula_196,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ( ( f22(X1) = c16
          | f27(X1) = c16 )
       => X1 = c16 ) ) )).

fof(formula_59,axiom,(
    $true )).

fof(formula_134,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X3)
     => f12(f13(X1,X3),X2) = f13(X1,f12(X3,X2)) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : f7(X1,X2) = f7(X2,X1) )).

fof(formula_169,axiom,(
    ! [X1] : f26(X1,c16) = X1 )).

fof(formula_111,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p5(X1) ) )).

fof(formula_31,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f26(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_179,lemma,(
    ! [X1,X2] : 
      ( p20(X2,f19(f19(X1)))
     => ~ ( X2 != c16
          & f33(X1,X2) = c16 ) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( X2 = f27(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f10(X4,X3),X1) ) ) ) )).

fof(formula_188,lemma,(
    ! [X1] : 
      ( X1 != c16
     => ! [X2] : 
          ( p20(X2,f19(X1))
         => ! [X3] : 
              ( p20(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f28(X1,X2)) ) ) ) ) )).

fof(formula_139,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => f27(f32(X1,X2)) = f14(X2,f27(X1)) ) ) )).

fof(formula_174,lemma,(
    ! [X1,X2] : 
      ( p20(X2,f19(X1))
     => ! [X3] : 
          ( p20(X3,f19(X1))
         => ( p31(X2,X3)
          <=> p11(X2,f28(X1,X3)) ) ) ) )).

fof(formula_112,axiom,(
    ! [X1] : 
      ( ~ p3(X1)
     => ? [X2] : 
          ( p20(X2,f19(X1))
          & ~ p3(X2) ) ) )).

fof(formula_77,axiom,(
    p3(c16) )).

fof(formula_110,axiom,(
    ? [X1] : 
      ( p5(X1)
      & p4(X1) ) )).

fof(formula_218,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p11(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p11(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p11(X3,X2)
            & ~ p38(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_175,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => p11(f22(f32(X1,X2)),f22(X1)) ) ) )).

fof(formula_91,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p5(X2) )
     => ( p3(f32(X1,X2))
        & p5(f32(X1,X2)) ) ) )).

fof(formula_97,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_89,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f22(X1))
        & p5(f22(X1)) ) ) )).

fof(formula_115,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p20(X2,f19(X1))
      & p3(X2) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( X1 = X2
          <=> ! [X3,X4] : 
                ( p1(f10(X3,X4),X1)
              <=> p1(f10(X3,X4),X2) ) ) ) ) )).

fof(formula_153,lemma,(
    ! [X1,X2,X3] : 
      ( p11(X1,X2)
     => p11(f8(X1,X3),f8(X2,X3)) ) )).

fof(formula_107,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p11(X1,f25(X2)) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( p5(X2)
     => ! [X3] : 
          ( p5(X3)
         => ( X3 = f13(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f10(X4,X5),X3)
              <=> ( p1(X5,X1)
                  & p1(f10(X4,X5),X2) ) ) ) ) ) )).

fof(formula_195,lemma,(
    ! [X1,X2,X3] : 
      ( ( p11(X1,X2)
        & p31(X2,X3) )
     => p31(X1,X3) ) )).

fof(formula_127,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => p11(f13(X1,X2),X2) ) )).

fof(formula_150,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X3)
     => ( p1(f10(X1,X2),X3)
       => ( p1(X1,f22(X3))
          & p1(X2,f27(X3)) ) ) ) )).

fof(formula_167,lemma,(
    ! [X1,X2] : f7(X1,f26(X2,X1)) = f7(X1,X2) )).

fof(formula_108,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f10(X1,X2),f21(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_147,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p20(X1,X2) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_95,axiom,(
    ! [X1] : 
      ( p5(X1)
     => f30(f30(X1)) = X1 ) )).

fof(formula_209,axiom,(
    ! [X1,X2] : 
      ~ ( p3(X1)
        & X1 != X2
        & p3(X2) ) )).

fof(formula_184,lemma,(
    ! [X1,X2] : f26(X1,f26(X1,X2)) = f8(X1,X2) )).

fof(formula_151,lemma,(
    ! [X1] : 
      ( p5(X1)
     => p11(X1,f21(f22(X1),f27(X1))) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p11(X1,X2)
        & p11(X2,X1) ) ) )).

fof(formula_128,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => p11(f27(f13(X1,X2)),f27(X2)) ) )).

fof(formula_116,axiom,(
    ? [X1] : ~ p3(X1) )).

fof(formula_199,lemma,(
    ! [X1] : f6(X1,X1) = f18(X1) )).

fof(formula_104,lemma,(
    ! [X1,X2] : 
      ( p20(X2,f19(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
       => ( p20(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p3(X1)
       => ( p20(X2,X1)
        <=> p3(X2) ) ) ) )).

fof(formula_51,axiom,(
    $true )).

fof(formula_138,lemma,(
    ! [X1] : 
      ( p5(X1)
     => f14(X1,f22(X1)) = f27(X1) ) )).

fof(formula_170,axiom,(
    ! [X1,X2] : 
      ( p20(X1,f19(X2))
    <=> p11(X1,X2) ) )).

fof(formula_66,axiom,(
    ! [X1,X2] : 
      ( p20(X2,f19(f19(X1)))
     => p20(f33(X1,X2),f19(f19(X1))) ) )).

fof(formula_123,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f10(X1,X2),f21(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_205,lemma,(
    ! [X1,X2] : p11(X1,f7(X1,X2)) )).

fof(formula_148,lemma,(
    ! [X1,X2,X3] : 
      ( ( p11(X1,X2)
        & p11(X2,X3) )
     => p11(X1,X3) ) )).

fof(formula_145,lemma,(
    ! [X1,X2,X3] : 
      ( ( p11(X1,X2)
        & p11(X1,X3) )
     => p11(X1,f8(X2,X3)) ) )).

fof(formula_194,lemma,(
    ! [X1,X2] : 
      ~ ( p11(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2,X3] : 
          ( X3 = f15(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f10(X4,X5),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p11(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_197,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ( f22(X1) = c16
      <=> f27(X1) = c16 ) ) )).

fof(formula_26,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f8(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_88,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p5(X1) )
     => ~ p3(f27(X1)) ) )).

fof(formula_178,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p11(f27(X1),f22(X2))
           => f22(f32(X1,X2)) = f22(X1) ) ) ) )).

fof(formula_76,axiom,(
    ! [X1] : ~ p3(f19(X1)) )).

fof(formula_78,axiom,(
    ! [X1,X2] : ~ p3(f10(X1,X2)) )).

fof(formula_114,axiom,(
    ? [X1] : 
      ( ~ p3(X1)
      & p5(X1) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f6(X1,X2) = f6(X2,X1) )).

fof(formula_49,axiom,(
    ! [X1] : p20(f24(X1),f19(X1)) )).

fof(formula_62,axiom,(
    ! [X1] : p5(f9(X1)) )).

fof(formula_219,lemma,(
    ! [X1,X2,X3] : 
      ( f18(X1) = f6(X2,X3)
     => X2 = X3 ) )).

fof(formula_214,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p11(X1,f25(X2)) ) )).

fof(formula_98,lemma,(
    ! [X1] : f18(X1) != c16 )).

fof(formula_85,axiom,(
    p5(c16) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( ( p1(X2,f22(X1))
           => ( X3 = f23(X1,X2)
            <=> p1(f10(X2,X3),X1) ) )
          & ( ~ p1(X2,f22(X1))
           => ( X3 = f23(X1,X2)
            <=> X3 = c16 ) ) ) ) )).

fof(formula_79,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => p5(f7(X1,X2)) ) )).

fof(formula_189,lemma,(
    ! [X1,X2,X3] : 
      ( p20(X3,f19(X1))
     => ~ ( p1(X2,f28(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_193,lemma,(
    f27(c16) = c16 )).

fof(formula_54,axiom,(
    ! [X1,X2] : 
      ( p20(X2,f19(X1))
     => p20(f28(X1,X2),f19(X1)) ) )).

fof(formula_75,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => p5(f8(X1,X2)) ) )).

fof(formula_29,axiom,(
    ! [X1] : f24(X1) = X1 )).

fof(formula_137,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => f14(X2,X1) = f14(X2,f8(f22(X2),X1)) ) )).

fof(formula_53,axiom,(
    $true )).

fof(formula_109,lemma,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p20(X1,f19(X2)) ) )).

fof(formula_22,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f7(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_82,axiom,(
    ! [X1,X2] : ~ p3(f6(X1,X2)) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p5(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f10(X3,X4) ) ) )).

fof(formula_159,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X3)
     => ( p1(f10(X1,X2),X3)
       => ( p1(X1,f29(X3))
          & p1(X2,f29(X3)) ) ) ) )).

fof(formula_185,axiom,(
    ! [X1] : f26(c16,X1) = c16 )).

fof(formula_67,axiom,(
    ! [X1,X2] : 
      ( p5(X2)
     => p5(f13(X1,X2)) ) )).

fof(formula_103,lemma,(
    ! [X1,X2] : 
      ( f26(X1,X2) = c16
    <=> p11(X1,X2) ) )).

fof(formula_118,axiom,(
    ! [X1,X2] : 
      ( p20(X2,f19(f19(X1)))
     => f34(X1,X2) = f25(X2) ) )).

fof(formula_96,axiom,(
    ! [X1,X2] : 
      ( p20(X2,f19(f19(X1)))
     => f33(X1,f33(X1,X2)) = X2 ) )).

fof(formula_132,lemma,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => f7(X1,X2) = X2 ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( X1 = c16
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_154,lemma,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => f8(X1,X2) = X1 ) )).

fof(formula_162,lemma,(
    ! [X1,X2] : p11(f26(X1,X2),X1) )).

fof(formula_74,axiom,(
    p37(c16) )).

fof(formula_165,lemma,(
    ! [X1,X2] : 
      ( p11(f18(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_203,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p5(X4)
     => ( p1(f10(X1,X2),f32(f9(X3),X4))
      <=> ( p1(X1,X3)
          & p1(f10(X1,X2),X4) ) ) ) )).

fof(formula_163,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ( f27(X1) = f22(f30(X1))
        & f22(X1) = f27(f30(X1)) ) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2,X3] : 
          ( X3 = f14(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f10(X5,X4),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_56,axiom,(
    $true )).

fof(formula_86,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
        & ~ p3(X2) )
     => ~ p3(f21(X1,X2)) ) )).

fof(formula_201,lemma,(
    ! [X1,X2] : 
      ( p11(f18(X1),f18(X2))
     => X1 = X2 ) )).

fof(formula_64,axiom,(
    ! [X1,X2,X3] : 
      ( ( p20(X2,f19(X1))
        & p20(X3,f19(X1)) )
     => p20(f36(X1,X2,X3),f19(X1)) ) )).

fof(formula_38,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ! [X3] : 
              ( p5(X3)
             => ( X3 = f32(X1,X2)
              <=> ! [X4,X5] : 
                    ( p1(f10(X4,X5),X3)
                  <=> ? [X6] : 
                        ( p1(f10(X4,X6),X1)
                        & p1(f10(X6,X5),X2) ) ) ) ) ) ) )).

fof(formula_187,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p31(X1,X2)
          & ! [X3] : ~ p1(X3,f8(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f8(X1,X2))
          & p31(X1,X2) ) ) )).

fof(formula_136,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => p11(f14(X2,X1),f27(X2)) ) )).

fof(formula_142,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => ~ ( X1 != c16
          & p11(X1,f27(X2))
          & f15(X2,X1) = c16 ) ) )).

fof(formula_152,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p11(X1,X2)
           => ( p11(f22(X1),f22(X2))
              & p11(f27(X1),f27(X2)) ) ) ) ) )).

fof(formula_80,axiom,(
    ! [X1] : ~ p3(f18(X1)) )).

fof(formula_94,axiom,(
    ! [X1,X2] : 
      ( p20(X2,f19(X1))
     => f28(X1,f28(X1,X2)) = X2 ) )).

fof(formula_146,axiom,(
    ! [X1] : f7(X1,c16) = X1 )).

fof(formula_48,axiom,(
    $true )).

fof(formula_72,axiom,(
    p3(c16) )).

fof(formula_164,lemma,(
    ! [X1,X2] : 
      ( f26(X1,X2) = c16
    <=> p11(X1,X2) ) )).

fof(formula_45,axiom,(
    $true )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p11(X1,X2)
          <=> ! [X3,X4] : 
                ( p1(f10(X3,X4),X1)
               => p1(f10(X3,X4),X2) ) ) ) ) )).

fof(formula_217,lemma,(
    ! [X1] : f25(f19(X1)) = X1 )).

fof(formula_140,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X3)
     => ( p1(X1,f15(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f27(X3))
            & p1(f10(X1,X4),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : f8(X1,X2) = f8(X2,X1) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p4(X1) ) )).

fof(formula_65,axiom,(
    ! [X1,X2] : 
      ( p5(X1)
     => p5(f12(X1,X2)) ) )).

fof(formula_61,axiom,(
    ! [X1,X2] : 
      ( p20(X2,f19(f19(X1)))
     => p20(f34(X1,X2),f19(X1)) ) )).

fof(formula_216,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => p11(f27(f12(X2,X1)),f27(X2)) ) )).

fof(formula_47,axiom,(
    $true )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( p20(X2,f19(X1))
     => f28(X1,X2) = f26(X1,X2) ) )).

fof(formula_192,lemma,(
    f22(c16) = c16 )).

fof(formula_73,axiom,(
    p5(c16) )).

fof(formula_126,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => p11(f27(f13(X1,X2)),X1) ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( X2 = f19(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p11(X3,X1) ) ) )).

fof(formula_42,axiom,(
    $true )).

fof(formula_191,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p20(X2,f19(X3))
        & p3(X3) ) )).

fof(formula_183,lemma,(
    ! [X1,X2] : 
      ( p20(X2,f19(f19(X1)))
     => ( X2 != c16
       => f34(X1,f33(X1,X2)) = f36(X1,f24(X1),f35(X1,X2)) ) ) )).

fof(formula_186,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p20(X2,f19(X3)) )
     => p20(X1,X3) ) )).

fof(formula_198,lemma,(
    ! [X1,X2] : 
      ( f26(X1,f18(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_93,axiom,(
    ! [X1,X2] : f8(X1,X1) = X1 )).

fof(formula_133,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p11(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f19(X3),X2) )
      & ! [X3] : 
          ~ ( p11(X3,X2)
            & ~ p38(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_90,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f27(X1))
        & p5(f27(X1)) ) ) )).

fof(formula_211,lemma,(
    ! [X1,X2,X3] : 
      ( ( p11(X1,X2)
        & p11(X3,X2) )
     => p11(f7(X1,X3),X2) ) )).

fof(formula_200,axiom,(
    ! [X1] : 
      ( p3(X1)
     => X1 = c16 ) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ( p20(X2,f19(f19(X1)))
     => ! [X3] : 
          ( p20(X3,f19(f19(X1)))
         => ( X3 = f33(X1,X2)
          <=> ! [X4] : 
                ( p20(X4,f19(X1))
               => ( p1(X4,X3)
                <=> p1(f28(X1,X4),X2) ) ) ) ) ) )).

fof(formula_215,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => f12(X2,X1) = f32(f9(X1),X2) ) )).

fof(formula_208,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => p11(f12(X2,X1),X2) ) )).

fof(formula_30,axiom,(
    ! [X1,X2] : 
      ( X2 = f25(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_106,lemma,(
    ! [X1,X2] : 
      ( p11(X1,f18(X2))
    <=> ( X1 = c16
        | X1 = f18(X2) ) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p5(X1)
     => f29(X1) = f7(f22(X1),f27(X1)) ) )).

fof(formula_130,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => f27(f13(X1,X2)) = f8(f27(X2),X1) ) )).

fof(formula_71,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p5(X2) )
     => ( p3(f32(X2,X1))
        & p5(f32(X2,X1)) ) ) )).

fof(formula_190,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ( ! [X2,X3] : ~ p1(f10(X2,X3),X1)
       => X1 = c16 ) ) )).

fof(formula_100,lemma,(
    ! [X1,X2] : 
      ~ ( p31(f18(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_113,axiom,(
    ? [X1] : p3(X1) )).

fof(formula_117,axiom,(
    ? [X1] : 
      ( p5(X1)
      & p37(X1) ) )).

fof(formula_99,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f7(f18(X1),X2) = X2 ) )).

fof(formula_131,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p11(X1,X2)
        & p11(X3,X4) )
     => p11(f21(X1,X3),f21(X2,X4)) ) )).

fof(formula_50,axiom,(
    $true )).

fof(formula_176,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => p11(f27(f32(X1,X2)),f27(X2)) ) ) )).

fof(formula_173,lemma,(
    ! [X1,X2] : f26(f7(X1,X2),X2) = f26(X1,X2) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( X2 = f18(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_182,lemma,(
    ! [X1,X2] : 
      ( p20(X2,f19(f19(X1)))
     => ( X2 != c16
       => f36(X1,f24(X1),f34(X1,X2)) = f35(X1,f33(X1,X2)) ) ) )).

fof(formula_60,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => p5(f32(X1,X2)) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2,X3] : 
          ( p5(X3)
         => ( X3 = f12(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f10(X4,X5),X3)
              <=> ( p1(X4,X2)
                  & p1(f10(X4,X5),X1) ) ) ) ) ) )).

fof(formula_87,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p5(X1) )
     => ~ p3(f22(X1)) ) )).

fof(formula_124,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f6(X1,X2) = f6(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p5(X1) ) )).

fof(formula_177,lemma,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => X2 = f7(X1,f26(X2,X1)) ) )).

fof(formula_181,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p11(f22(X1),f27(X2))
           => f27(f32(X2,X1)) = f27(X1) ) ) ) )).

fof(formula_155,axiom,(
    ! [X1] : f8(X1,c16) = c16 )).

fof(formula_129,lemma,(
    ! [X1,X2,X3] : 
      ( p11(X1,X2)
     => ( p11(f21(X1,X3),f21(X2,X3))
        & p11(f21(X3,X1),f21(X3,X2)) ) ) )).

fof(formula_69,axiom,(
    $true )).

fof(formula_92,axiom,(
    ! [X1,X2] : f7(X1,X1) = X1 )).

fof(formula_141,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => p11(f15(X2,X1),f22(X2)) ) )).

fof(formula_44,axiom,(
    $true )).

fof(formula_204,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p3(X2) ) )).

fof(formula_210,conjecture,(
    ! [X1,X2,X3] : 
      ( ( p5(X3)
        & p4(X3) )
     => ( p1(f10(X1,X2),X3)
      <=> ( p1(X1,f22(X3))
          & X2 = f23(X3,X1) ) ) ) )).

fof(formula_161,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f10(X1,X2) = f10(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_52,axiom,(
    $true )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( X2 = f22(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f10(X3,X4),X1) ) ) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( p5(X2)
     => ( X2 = f9(X1)
      <=> ! [X3,X4] : 
            ( p1(f10(X3,X4),X2)
          <=> ( p1(X3,X1)
              & X3 = X4 ) ) ) ) )).

fof(formula_101,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p31(f18(X1),X2) ) )).

fof(formula_213,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => f22(f12(X2,X1)) = f8(f22(X2),X1) ) )).

fof(formula_83,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f7(X2,X1)) ) )).

fof(formula_125,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X3)
     => ( p1(X1,f27(f13(X2,X3)))
      <=> ( p1(X1,X2)
          & p1(X1,f27(X3)) ) ) ) )).

fof(formula_166,lemma,(
    ! [X1,X2,X3] : 
      ( p11(f6(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_206,lemma,(
    ! [X1,X2] : 
      ( p31(X1,X2)
    <=> f26(X1,X2) = X1 ) )).

fof(formula_34,axiom,(
    ! [X1,X2] : f10(X1,X2) = f6(f6(X1,X2),f18(X1)) )).

fof(formula_41,axiom,(
    $true )).

fof(formula_105,lemma,(
    ! [X1,X2,X3] : 
      ( p11(X1,X2)
     => ( p1(X3,X1)
        | p11(X1,f26(X2,f18(X3))) ) ) )).

fof(formula_57,axiom,(
    ! [X1] : 
      ( p5(X1)
     => p5(f30(X1)) ) )).

fof(formula_23,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f21(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f10(X5,X6) ) ) ) )).

fof(formula_157,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_119,axiom,(
    ! [X1,X2] : 
      ( p20(X2,f19(f19(X1)))
     => f35(X1,X2) = f17(X2) ) )).

fof(formula_63,axiom,(
    ! [X1,X2] : 
      ( p20(X2,f19(f19(X1)))
     => p20(f35(X1,X2),f19(X1)) ) )).

fof(formula_158,lemma,(
    ! [X1] : p11(c16,X1) )).

fof(formula_207,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X3)
     => ( p1(X1,f22(f12(X3,X2)))
      <=> ( p1(X1,X2)
          & p1(X1,f22(X3)) ) ) ) )).

fof(formula_171,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p31(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p31(X1,X2) ) ) )).

fof(formula_135,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X3)
     => ( p1(X1,f14(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f22(X3))
            & p1(f10(X4,X1),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_144,lemma,(
    ! [X1,X2] : p11(f8(X1,X2),X1) )).

fof(formula_21,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f6(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_212,lemma,(
    ! [X1,X2,X3] : 
      ( f18(X1) = f6(X2,X3)
     => X1 = X2 ) )).

fof(formula_156,axiom,(
    ! [X1,X2] : 
      ( p20(X1,X2)
     => ( p3(X2)
        | p1(X1,X2) ) ) )).

fof(formula_149,lemma,(
    f19(c16) = f18(c16) )).

fof(formula_202,lemma,(
    ! [X1] : 
      ( f22(f9(X1)) = X1
      & f27(f9(X1)) = X1 ) )).

fof(formula_58,axiom,(
    $true )).

fof(formula_68,axiom,(
    $true )).

fof(formula_172,lemma,(
    ! [X1] : 
      ( p11(X1,c16)
     => X1 = c16 ) )).

fof(formula_84,axiom,(
    p3(c16) )).

fof(formula_168,lemma,(
    ! [X1,X2] : 
      ( p11(X1,f18(X2))
    <=> ( X1 = c16
        | X1 = f18(X2) ) ) )).

fof(formula_143,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X3)
     => ( p11(X1,X2)
       => p11(f15(X3,X1),f15(X3,X2)) ) ) )).

fof(formula_46,axiom,(
    $true )).
%------------------------------------------------------------------------------
