%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(A,C) = f13(B,C) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(C,A) = f13(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(A,C) = f14(B,C) ) )).

fof(f14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(C,A) = f14(C,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(A,C) = f15(B,C) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(C,A) = f15(C,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(A,C) = f16(B,C) ) )).

fof(f16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(C,A) = f16(C,B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f18(A) = f18(B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f19(A) = f19(B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f20(A) = f20(B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(A,C) = f22(B,C) ) )).

fof(f22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(C,A) = f22(C,B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f23(A) = f23(B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(A,C) = f24(B,C) ) )).

fof(f24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(C,A) = f24(C,B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f25(A) = f25(B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f26(A) = f26(B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(A,C) = f27(B,C) ) )).

fof(f27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(C,A) = f27(C,B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f28(A) = f28(B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(A,C) = f29(B,C) ) )).

fof(f29_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(C,A) = f29(C,B) ) )).

fof(f30_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f30(A) = f30(B) ) )).

fof(f31_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f31(A) = f31(B) ) )).

fof(f33_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f33(A,C) = f33(B,C) ) )).

fof(f33_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f33(C,A) = f33(C,B) ) )).

fof(f34_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f34(A,C) = f34(B,C) ) )).

fof(f34_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f34(C,A) = f34(C,B) ) )).

fof(f35_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f35(A) = f35(B) ) )).

fof(f36_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f36(A,C) = f36(B,C) ) )).

fof(f36_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f36(C,A) = f36(C,B) ) )).

fof(f37_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f37(A,C) = f37(B,C) ) )).

fof(f37_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f37(C,A) = f37(C,B) ) )).

fof(f38_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f38(A,C,D) = f38(B,C,D) ) )).

fof(f38_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f38(C,A,D) = f38(C,B,D) ) )).

fof(f38_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f38(C,D,A) = f38(C,D,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(A,C) )
     => p12(B,C) ) )).

fof(p12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(C,A) )
     => p12(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p21(A,C) )
     => p21(B,C) ) )).

fof(p21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p21(C,A) )
     => p21(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p32(A,C) )
     => p32(B,C) ) )).

fof(p32_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p32(C,A) )
     => p32(C,B) ) )).

fof(p39_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p39(A) )
     => p39(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(A,C) )
     => p40(B,C) ) )).

fof(p40_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(C,A) )
     => p40(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(formula_171,axiom,(
    ! [X1] : f9(X1,c17) = c17 )).

fof(formula_178,lemma,(
    ! [X1,X2] : 
      ( ( p5(X2)
        & p4(X2) )
     => ( X2 = f10(X1)
      <=> ( f23(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f24(X2,X3) = X3 ) ) ) ) )).

fof(formula_127,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p21(X2,f20(X1))
      & p3(X2) ) )).

fof(formula_63,axiom,(
    $true )).

fof(formula_34,axiom,(
    ! [X1,X2] : 
      ( p21(X2,f20(X1))
     => f29(X1,X2) = f27(X1,X2) ) )).

fof(formula_103,axiom,(
    ! [X1,X2] : f9(X1,X1) = X1 )).

fof(formula_204,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p21(X2,f20(X3)) )
     => p21(X1,X3) ) )).

fof(formula_77,axiom,(
    p3(c17) )).

fof(formula_32,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f27(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_161,lemma,(
    ! [X1,X2,X3] : 
      ( ( p12(X1,X2)
        & p12(X2,X3) )
     => p12(X1,X3) ) )).

fof(formula_155,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => ~ ( X1 != c17
          & p12(X1,f28(X2))
          & f16(X2,X1) = c17 ) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( ( p1(X2,f23(X1))
           => ( X3 = f24(X1,X2)
            <=> p1(f11(X2,X3),X1) ) )
          & ( ~ p1(X2,f23(X1))
           => ( X3 = f24(X1,X2)
            <=> X3 = c17 ) ) ) ) )).

fof(formula_154,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => p12(f16(X2,X1),f23(X2)) ) )).

fof(formula_164,lemma,(
    ! [X1,X2] : 
      ( ( p5(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p5(X3)
            & p4(X3) )
         => ( p1(X1,f23(f33(X3,X2)))
          <=> ( p1(X1,f23(X3))
              & p1(f24(X3,X1),f23(X2)) ) ) ) ) )).

fof(formula_31,axiom,(
    ! [X1,X2] : 
      ( X2 = f26(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_87,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => p5(f8(X1,X2)) ) )).

fof(formula_237,lemma,(
    ! [X1,X2,X3] : 
      ( f19(X1) = f7(X2,X3)
     => X1 = X2 ) )).

fof(formula_135,axiom,(
    ! [X1,X2] : 
      ( p32(X1,X2)
     => p32(X2,X1) ) )).

fof(formula_170,lemma,(
    ! [X1,X2] : 
      ( p12(X1,X2)
     => f9(X1,X2) = X1 ) )).

fof(formula_241,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => p12(f28(f13(X2,X1)),f28(X2)) ) )).

fof(formula_117,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p12(X1,f26(X2)) ) )).

fof(formula_213,lemma,(
    f23(c17) = c17 )).

fof(formula_234,axiom,(
    ! [X1,X2] : 
      ~ ( p3(X1)
        & X1 != X2
        & p3(X2) ) )).

fof(formula_224,lemma,(
    ! [X1,X2] : 
      ( p12(f19(X1),f19(X2))
     => X1 = X2 ) )).

fof(formula_149,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => p12(f15(X2,X1),f28(X2)) ) )).

fof(formula_90,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & p4(X1)
        & p6(X1) )
     => ( p5(f31(X1))
        & p4(f31(X1)) ) ) )).

fof(formula_173,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_153,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X3)
     => ( p1(X1,f16(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f28(X3))
            & p1(f11(X1,X4),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_197,lemma,(
    ! [X1,X2] : 
      ( p21(X2,f20(f20(X1)))
     => ~ ( X2 != c17
          & f34(X1,X2) = c17 ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2,X3] : 
          ( X3 = f15(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f11(X5,X4),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_66,axiom,(
    ! [X1] : p5(f10(X1)) )).

fof(formula_169,lemma,(
    ! [X1,X2,X3] : 
      ( p12(X1,X2)
     => p12(f9(X1,X3),f9(X2,X3)) ) )).

fof(formula_89,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f8(X1,X2)) ) )).

fof(formula_168,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p12(X1,X2)
           => ( p12(f23(X1),f23(X2))
              & p12(f28(X1),f28(X2)) ) ) ) ) )).

fof(formula_131,axiom,(
    ! [X1,X2] : 
      ( p21(X2,f20(f20(X1)))
     => f36(X1,X2) = f26(X2) ) )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ( p21(X2,f20(f20(X1)))
     => ! [X3] : 
          ( p21(X3,f20(f20(X1)))
         => ( X3 = f34(X1,X2)
          <=> ! [X4] : 
                ( p21(X4,f20(X1))
               => ( p1(X4,X3)
                <=> p1(f29(X1,X4),X2) ) ) ) ) ) )).

fof(formula_45,axiom,(
    $true )).

fof(formula_144,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p12(X1,X2)
        & p12(X3,X4) )
     => p12(f22(X1,X3),f22(X2,X4)) ) )).

fof(formula_227,conjecture,(
    ! [X1,X2,X3] : 
      ( ( p5(X3)
        & p4(X3) )
     => ( p1(X2,X1)
       => f24(f13(X3,X1),X2) = f24(X3,X2) ) ) )).

fof(formula_64,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => p5(f33(X1,X2)) ) )).

fof(formula_76,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f31(X1))
        & p5(f31(X1)) ) ) )).

fof(formula_217,lemma,(
    ! [X1,X2,X3] : 
      ( ( p12(X1,X2)
        & p32(X2,X3) )
     => p32(X1,X3) ) )).

fof(formula_179,lemma,(
    ! [X1,X2] : 
      ( p1(X2,X1)
     => f24(f10(X1),X2) = X2 ) )).

fof(formula_167,lemma,(
    ! [X1,X2] : 
      ( ( p5(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p5(X3)
            & p4(X3) )
         => ( p1(X1,f23(X2))
           => f24(f33(X2,X3),X1) = f24(X3,f24(X2,X1)) ) ) ) )).

fof(formula_106,axiom,(
    ! [X1,X2] : 
      ( p21(X2,f20(f20(X1)))
     => f34(X1,f34(X1,X2)) = X2 ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p12(X1,X2)
        & p12(X2,X1) ) ) )).

fof(formula_128,axiom,(
    ? [X1] : ~ p3(X1) )).

fof(formula_243,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p12(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p12(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p12(X3,X2)
            & ~ p40(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_196,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p12(f28(X1),f23(X2))
           => f23(f33(X1,X2)) = f23(X1) ) ) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : f7(X1,X2) = f7(X2,X1) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( X2 = f20(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p12(X3,X1) ) ) )).

fof(formula_244,lemma,(
    ! [X1,X2,X3] : 
      ( f19(X1) = f7(X2,X3)
     => X2 = X3 ) )).

fof(formula_233,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => p12(f13(X2,X1),X2) ) )).

fof(formula_238,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => f23(f13(X2,X1)) = f9(f23(X2),X1) ) )).

fof(formula_27,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f9(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_192,lemma,(
    ! [X1,X2] : 
      ( p21(X2,f20(X1))
     => ! [X3] : 
          ( p21(X3,f20(X1))
         => ( p32(X2,X3)
          <=> p12(X2,f29(X1,X3)) ) ) ) )).

fof(formula_47,axiom,(
    $true )).

fof(formula_49,axiom,(
    $true )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_222,lemma,(
    ! [X1] : f7(X1,X1) = f19(X1) )).

fof(formula_212,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p21(X2,f20(X3))
        & p3(X3) ) )).

fof(formula_148,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X3)
     => ( p1(X1,f15(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f23(X3))
            & p1(f11(X4,X1),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_176,lemma,(
    ! [X1,X2,X3] : 
      ( p12(X1,X2)
     => p12(f27(X1,X3),f27(X2,X3)) ) )).

fof(formula_78,axiom,(
    p5(c17) )).

fof(formula_68,axiom,(
    ! [X1,X2,X3] : 
      ( ( p21(X2,f20(X1))
        & p21(X3,f20(X1)) )
     => p21(f38(X1,X2,X3),f20(X1)) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p12(X1,X2)
          <=> ! [X3,X4] : 
                ( p1(f11(X3,X4),X1)
               => p1(f11(X3,X4),X2) ) ) ) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2,X3] : 
          ( X3 = f16(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f11(X4,X5),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_191,lemma,(
    ! [X1,X2] : f27(f8(X1,X2),X2) = f27(X1,X2) )).

fof(formula_151,lemma,(
    ! [X1] : 
      ( p5(X1)
     => f15(X1,f23(X1)) = f28(X1) ) )).

fof(formula_160,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p21(X1,X2) ) )).

fof(formula_188,axiom,(
    ! [X1,X2] : 
      ( p21(X1,f20(X2))
    <=> p12(X1,X2) ) )).

fof(formula_195,lemma,(
    ! [X1,X2] : 
      ( p12(X1,X2)
     => X2 = f8(X1,f27(X2,X1)) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p5(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f11(X3,X4) ) ) )).

fof(formula_58,axiom,(
    ! [X1,X2] : 
      ( p21(X2,f20(X1))
     => p21(f29(X1,X2),f20(X1)) ) )).

fof(formula_91,axiom,(
    ! [X1,X2] : ~ p3(f7(X1,X2)) )).

fof(formula_186,lemma,(
    ! [X1,X2] : 
      ( p12(X1,f19(X2))
    <=> ( X1 = c17
        | X1 = f19(X2) ) ) )).

fof(formula_50,axiom,(
    $true )).

fof(formula_22,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f7(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_228,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p5(X4)
     => ( p1(f11(X1,X2),f33(f10(X3),X4))
      <=> ( p1(X1,X3)
          & p1(f11(X1,X2),X4) ) ) ) )).

fof(formula_210,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ( ! [X2,X3] : ~ p1(f11(X2,X3),X1)
       => X1 = c17 ) ) )).

fof(formula_44,axiom,(
    $true )).

fof(formula_99,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f23(X1))
        & p5(f23(X1)) ) ) )).

fof(formula_120,lemma,(
    ! [X1,X2,X3] : 
      ( ( p5(X3)
        & p4(X3) )
     => ( p1(X2,f23(f13(X3,X1)))
      <=> ( p1(X2,f23(X3))
          & p1(X2,X1) ) ) ) )).

fof(formula_147,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X3)
     => f13(f14(X1,X3),X2) = f14(X1,f13(X3,X2)) ) )).

fof(formula_165,lemma,(
    ! [X1] : 
      ( p5(X1)
     => p12(X1,f22(f23(X1),f28(X1))) ) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ( p12(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_112,lemma,(
    ! [X1,X2] : 
      ( p12(f19(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_110,lemma,(
    ! [X1,X2] : 
      ~ ( p32(f19(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_79,axiom,(
    p39(c17) )).

fof(formula_143,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => f28(f14(X1,X2)) = f9(f28(X2),X1) ) )).

fof(formula_214,lemma,(
    f28(c17) = c17 )).

fof(formula_109,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f8(f19(X1),X2) = X2 ) )).

fof(formula_183,lemma,(
    ! [X1,X2] : 
      ( p12(f19(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_93,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p4(X1) )
     => ( p5(f13(X1,X2))
        & p4(f13(X1,X2)) ) ) )).

fof(formula_239,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p12(X1,f26(X2)) ) )).

fof(formula_205,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p32(X1,X2)
          & ! [X3] : ~ p1(X3,f9(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f9(X1,X2))
          & p32(X1,X2) ) ) )).

fof(formula_39,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & p4(X1) )
     => ( p6(X1)
      <=> ! [X2,X3] : 
            ( ( p1(X2,f23(X1))
              & p1(X3,f23(X1))
              & f24(X1,X2) = f24(X1,X3) )
           => X2 = X3 ) ) ) )).

fof(formula_73,axiom,(
    $true )).

fof(formula_57,axiom,(
    $true )).

fof(formula_150,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => f15(X2,X1) = f15(X2,f9(f23(X2),X1)) ) )).

fof(formula_130,axiom,(
    ? [X1] : 
      ( p5(X1)
      & p39(X1) ) )).

fof(formula_74,axiom,(
    ! [X1] : 
    ? [X2] : p21(X2,X1) )).

fof(formula_206,lemma,(
    ! [X1] : 
      ( X1 != c17
     => ! [X2] : 
          ( p21(X2,f20(X1))
         => ! [X3] : 
              ( p21(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f29(X1,X2)) ) ) ) ) )).

fof(formula_48,axiom,(
    $true )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & p4(X1) )
     => ( p6(X1)
       => f35(X1) = f31(X1) ) ) )).

fof(formula_105,axiom,(
    ! [X1] : 
      ( p5(X1)
     => f31(f31(X1)) = X1 ) )).

fof(formula_175,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X3)
     => ( p1(f11(X1,X2),X3)
       => ( p1(X1,f30(X3))
          & p1(X2,f30(X3)) ) ) ) )).

fof(formula_72,axiom,(
    $true )).

fof(formula_30,axiom,(
    ! [X1] : f25(X1) = X1 )).

fof(formula_53,axiom,(
    ! [X1] : p21(f25(X1),f20(X1)) )).

fof(formula_142,lemma,(
    ! [X1,X2,X3] : 
      ( p12(X1,X2)
     => ( p12(f22(X1,X3),f22(X2,X3))
        & p12(f22(X3,X1),f22(X3,X2)) ) ) )).

fof(formula_71,axiom,(
    ! [X1,X2] : 
      ( p5(X2)
     => p5(f14(X1,X2)) ) )).

fof(formula_201,lemma,(
    ! [X1,X2] : 
      ( p21(X2,f20(f20(X1)))
     => ( X2 != c17
       => f36(X1,f34(X1,X2)) = f38(X1,f25(X1),f37(X1,X2)) ) ) )).

fof(formula_141,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => p12(f28(f14(X1,X2)),f28(X2)) ) )).

fof(formula_82,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => p5(f9(X1,X2)) ) )).

fof(formula_200,lemma,(
    ! [X1,X2] : 
      ( p21(X2,f20(f20(X1)))
     => ( X2 != c17
       => f38(X1,f25(X1),f36(X1,X2)) = f37(X1,f34(X1,X2)) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : f8(X1,X2) = f8(X2,X1) )).

fof(formula_221,lemma,(
    ! [X1,X2] : 
      ( ( p5(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p5(X3)
            & p4(X3) )
         => ( X2 = f13(X3,X1)
          <=> ( f23(X2) = f9(f23(X3),X1)
              & ! [X4] : 
                  ( p1(X4,f23(X2))
                 => f24(X2,X4) = f24(X3,X4) ) ) ) ) ) )).

fof(formula_94,axiom,(
    p3(c17) )).

fof(formula_101,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p5(X2) )
     => ( p3(f33(X1,X2))
        & p5(f33(X1,X2)) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( X1 = c17
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_55,axiom,(
    $true )).

fof(formula_125,axiom,(
    ? [X1] : 
      ( p5(X1)
      & p3(X1)
      & p4(X1) ) )).

fof(formula_242,lemma,(
    ! [X1] : f26(f20(X1)) = X1 )).

fof(formula_115,lemma,(
    ! [X1,X2,X3] : 
      ( p12(X1,X2)
     => ( p1(X3,X1)
        | p12(X1,f27(X2,f19(X3))) ) ) )).

fof(formula_215,lemma,(
    ! [X1,X2] : 
      ~ ( p12(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_126,axiom,(
    ? [X1] : 
      ( ~ p3(X1)
      & p5(X1) ) )).

fof(formula_136,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f11(X1,X2),f22(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_145,lemma,(
    ! [X1,X2] : 
      ( p12(X1,X2)
     => f8(X1,X2) = X2 ) )).

fof(formula_108,lemma,(
    ! [X1] : f19(X1) != c17 )).

fof(formula_189,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p32(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p32(X1,X2) ) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( ( X1 != c17
       => ( X2 = f18(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ! [X4] : 
                  ( p1(X4,X1)
                 => p1(X3,X4) ) ) ) )
      & ( X1 = c17
       => ( X2 = f18(X1)
        <=> X2 = c17 ) ) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ( p32(X1,X2)
    <=> f9(X1,X2) = c17 ) )).

fof(formula_156,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X3)
     => ( p12(X1,X2)
       => p12(f16(X3,X1),f16(X3,X2)) ) ) )).

fof(formula_98,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p5(X1) )
     => ~ p3(f28(X1)) ) )).

fof(formula_100,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f28(X1))
        & p5(f28(X1)) ) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p12(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_181,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ( f28(X1) = f23(f31(X1))
        & f23(X1) = f28(f31(X1)) ) ) )).

fof(formula_67,axiom,(
    ! [X1,X2] : 
      ( p21(X2,f20(f20(X1)))
     => p21(f37(X1,X2),f20(X1)) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( X2 = f19(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_184,lemma,(
    ! [X1,X2,X3] : 
      ( p12(f7(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_124,axiom,(
    ? [X1] : p3(X1) )).

fof(formula_52,axiom,(
    $true )).

fof(formula_240,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => f13(X2,X1) = f33(f10(X1),X2) ) )).

fof(formula_37,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( X2 = f31(X1)
          <=> ! [X3,X4] : 
                ( p1(f11(X3,X4),X2)
              <=> p1(f11(X4,X3),X1) ) ) ) ) )).

fof(formula_236,lemma,(
    ! [X1,X2,X3] : 
      ( ( p12(X1,X2)
        & p12(X3,X2) )
     => p12(f8(X1,X3),X2) ) )).

fof(formula_232,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X3)
     => ( p1(X1,f23(f13(X3,X2)))
      <=> ( p1(X1,X2)
          & p1(X1,f23(X3)) ) ) ) )).

fof(formula_229,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p3(X2) ) )).

fof(formula_54,axiom,(
    $true )).

fof(formula_146,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p12(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f20(X3),X2) )
      & ! [X3] : 
          ~ ( p12(X3,X2)
            & ~ p40(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_69,axiom,(
    ! [X1,X2] : 
      ( p5(X1)
     => p5(f13(X1,X2)) ) )).

fof(formula_83,axiom,(
    ! [X1] : ~ p3(f20(X1)) )).

fof(formula_152,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => f28(f33(X1,X2)) = f15(X2,f28(X1)) ) ) )).

fof(formula_199,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p12(f23(X1),f28(X2))
           => f28(f33(X2,X1)) = f28(X1) ) ) ) )).

fof(formula_122,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p5(X1) ) )).

fof(formula_62,axiom,(
    $true )).

fof(formula_230,lemma,(
    ! [X1,X2] : p12(X1,f8(X1,X2)) )).

fof(formula_193,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => p12(f23(f33(X1,X2)),f23(X1)) ) ) )).

fof(formula_102,axiom,(
    ! [X1,X2] : f8(X1,X1) = X1 )).

fof(formula_23,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f8(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_138,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X3)
     => ( p1(X1,f28(f14(X2,X3)))
      <=> ( p1(X1,X2)
          & p1(X1,f28(X3)) ) ) ) )).

fof(formula_235,lemma,(
    ! [X1,X2,X3] : 
      ( ( p5(X3)
        & p4(X3) )
     => ( p1(f11(X1,X2),X3)
      <=> ( p1(X1,f23(X3))
          & X2 = f24(X3,X1) ) ) ) )).

fof(formula_133,axiom,(
    ! [X1,X2,X3] : 
      ( ( p21(X2,f20(X1))
        & p21(X3,f20(X1)) )
     => f38(X1,X2,X3) = f27(X2,X3) ) )).

fof(formula_70,axiom,(
    ! [X1,X2] : 
      ( p21(X2,f20(f20(X1)))
     => p21(f34(X1,X2),f20(f20(X1))) ) )).

fof(formula_162,lemma,(
    f20(c17) = f19(c17) )).

fof(formula_118,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f11(X1,X2),f22(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_208,lemma,(
    ! [X1,X2,X3] : 
      ( p21(X3,f20(X1))
     => ~ ( p1(X2,f29(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_202,lemma,(
    ! [X1,X2] : f27(X1,f27(X1,X2)) = f9(X1,X2) )).

fof(formula_225,lemma,(
    ! [X1,X2,X3] : 
      ( ( p5(X3)
        & p4(X3) )
     => ( p1(X2,f23(f13(X3,X1)))
       => f24(f13(X3,X1),X2) = f24(X3,X2) ) ) )).

fof(formula_159,axiom,(
    ! [X1] : f8(X1,c17) = X1 )).

fof(formula_107,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_174,lemma,(
    ! [X1] : p12(c17,X1) )).

fof(formula_166,lemma,(
    ! [X1,X2] : 
      ( ( p5(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p5(X3)
            & p4(X3) )
         => ( p1(X1,f23(f33(X3,X2)))
           => f24(f33(X3,X2),X1) = f24(X2,f24(X3,X1)) ) ) ) )).

fof(formula_194,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => p12(f28(f33(X1,X2)),f28(X2)) ) ) )).

fof(formula_24,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f22(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f11(X5,X6) ) ) ) )).

fof(formula_185,lemma,(
    ! [X1,X2] : f8(X1,f27(X2,X1)) = f8(X1,X2) )).

fof(formula_121,axiom,(
    ? [X1] : 
      ( p5(X1)
      & p4(X1) ) )).

fof(formula_61,axiom,(
    ! [X1] : 
      ( p5(X1)
     => p5(f31(X1)) ) )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( X2 = f28(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f11(X4,X3),X1) ) ) ) )).

fof(formula_158,lemma,(
    ! [X1,X2,X3] : 
      ( ( p12(X1,X2)
        & p12(X1,X3) )
     => p12(X1,f9(X2,X3)) ) )).

fof(formula_59,axiom,(
    $true )).

fof(formula_198,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f8(f19(X1),X2) = X2 ) )).

fof(formula_139,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => p12(f28(f14(X1,X2)),X1) ) )).

fof(formula_218,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ( ( f23(X1) = c17
          | f28(X1) = c17 )
       => X1 = c17 ) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
       => ( p21(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p3(X1)
       => ( p21(X2,X1)
        <=> p3(X2) ) ) ) )).

fof(formula_163,lemma,(
    ! [X1,X2,X3] : 
      ( p5(X3)
     => ( p1(f11(X1,X2),X3)
       => ( p1(X1,f23(X3))
          & p1(X2,f28(X3)) ) ) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p5(X1)
     => f30(X1) = f8(f23(X1),f28(X1)) ) )).

fof(formula_65,axiom,(
    ! [X1,X2] : 
      ( p21(X2,f20(f20(X1)))
     => p21(f36(X1,X2),f20(X1)) ) )).

fof(formula_187,axiom,(
    ! [X1] : f27(X1,c17) = X1 )).

fof(formula_123,axiom,(
    ! [X1] : 
      ( ~ p3(X1)
     => ? [X2] : 
          ( p21(X2,f20(X1))
          & ~ p3(X2) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & p3(X1)
        & p4(X1) )
     => ( p5(X1)
        & p4(X1)
        & p6(X1) ) ) )).

fof(formula_46,axiom,(
    $true )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( p5(X2)
     => ! [X3] : 
          ( p5(X3)
         => ( X3 = f14(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f11(X4,X5),X3)
              <=> ( p1(X5,X1)
                  & p1(f11(X4,X5),X2) ) ) ) ) ) )).

fof(formula_86,axiom,(
    ! [X1] : 
      ( p5(f10(X1))
      & p4(f10(X1)) ) )).

fof(formula_177,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f11(X1,X2) = f11(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_60,axiom,(
    $true )).

fof(formula_172,axiom,(
    ! [X1,X2] : 
      ( p21(X1,X2)
     => ( p3(X2)
        | p1(X1,X2) ) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ! [X3] : 
              ( p5(X3)
             => ( X3 = f33(X1,X2)
              <=> ! [X4,X5] : 
                    ( p1(f11(X4,X5),X3)
                  <=> ? [X6] : 
                        ( p1(f11(X4,X6),X1)
                        & p1(f11(X6,X5),X2) ) ) ) ) ) ) )).

fof(formula_81,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p4(X1)
        & p5(X2)
        & p4(X2) )
     => ( p5(f33(X1,X2))
        & p4(f33(X1,X2)) ) ) )).

fof(formula_211,lemma,(
    ! [X1,X2] : 
      ( ( p5(X2)
        & p4(X2) )
     => ( ( p6(X2)
          & p1(X1,f28(X2)) )
       => ( X1 = f24(X2,f24(f35(X2),X1))
          & X1 = f24(f33(f35(X2),X2),X1) ) ) ) )).

fof(formula_140,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => p12(f14(X1,X2),X2) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p5(X1) ) )).

fof(formula_114,lemma,(
    ! [X1,X2] : 
      ( p21(X2,f20(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_113,lemma,(
    ! [X1,X2] : 
      ( f27(X1,X2) = c17
    <=> p12(X1,X2) ) )).

fof(formula_104,axiom,(
    ! [X1,X2] : 
      ( p21(X2,f20(X1))
     => f29(X1,f29(X1,X2)) = X2 ) )).

fof(formula_116,lemma,(
    ! [X1,X2] : 
      ( p12(X1,f19(X2))
    <=> ( X1 = c17
        | X1 = f19(X2) ) ) )).

fof(formula_129,axiom,(
    ? [X1] : 
      ( p5(X1)
      & p4(X1)
      & p6(X1) ) )).

fof(formula_180,lemma,(
    ! [X1,X2] : p12(f27(X1,X2),X1) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( X1 = X2
          <=> ! [X3,X4] : 
                ( p1(f11(X3,X4),X1)
              <=> p1(f11(X3,X4),X2) ) ) ) ) )).

fof(formula_92,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f8(X2,X1)) ) )).

fof(formula_231,lemma,(
    ! [X1,X2] : 
      ( p32(X1,X2)
    <=> f27(X1,X2) = X1 ) )).

fof(formula_132,axiom,(
    ! [X1,X2] : 
      ( p21(X2,f20(f20(X1)))
     => f37(X1,X2) = f18(X2) ) )).

fof(formula_190,lemma,(
    ! [X1] : 
      ( p12(X1,c17)
     => X1 = c17 ) )).

fof(formula_85,axiom,(
    ! [X1,X2] : ~ p3(f11(X1,X2)) )).

fof(formula_8,axiom,(
    ! [X1,X2] : f9(X1,X2) = f9(X2,X1) )).

fof(formula_119,lemma,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p21(X1,f20(X2)) ) )).

fof(formula_216,lemma,(
    ! [X1] : 
      ( ( p5(X1)
        & p4(X1) )
     => ( p6(X1)
       => p6(f35(X1)) ) ) )).

fof(formula_88,axiom,(
    ! [X1] : ~ p3(f19(X1)) )).

fof(formula_223,axiom,(
    ! [X1] : 
      ( p3(X1)
     => X1 = c17 ) )).

fof(formula_80,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p39(X1) )
     => ( p5(f13(X1,X2))
        & p39(f13(X1,X2)) ) ) )).

fof(formula_134,axiom,(
    ! [X1,X2] : p12(X1,X1) )).

fof(formula_220,lemma,(
    ! [X1,X2] : 
      ( f27(X1,f19(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_95,axiom,(
    p5(c17) )).

fof(formula_226,lemma,(
    ! [X1] : 
      ( f23(f10(X1)) = X1
      & f28(f10(X1)) = X1 ) )).

fof(formula_97,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p5(X1) )
     => ~ p3(f23(X1)) ) )).

fof(formula_209,lemma,(
    ! [X1] : 
      ( ( p5(X1)
        & p4(X1) )
     => ( p6(X1)
       => ( f28(X1) = f23(f35(X1))
          & f23(X1) = f28(f35(X1)) ) ) ) )).

fof(formula_84,axiom,(
    p3(c17) )).

fof(formula_96,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
        & ~ p3(X2) )
     => ~ p3(f22(X1,X2)) ) )).

fof(formula_203,axiom,(
    ! [X1] : f27(c17,X1) = c17 )).

fof(formula_219,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ( f23(X1) = c17
      <=> f28(X1) = c17 ) ) )).

fof(formula_51,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & p4(X1) )
     => ( p5(f35(X1))
        & p4(f35(X1)) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p4(X1) ) )).

fof(formula_157,lemma,(
    ! [X1,X2] : p12(f9(X1,X2),X1) )).

fof(formula_35,axiom,(
    ! [X1,X2] : f11(X1,X2) = f7(f7(X1,X2),f19(X1)) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( p5(X2)
     => ( X2 = f10(X1)
      <=> ! [X3,X4] : 
            ( p1(f11(X3,X4),X2)
          <=> ( p1(X3,X1)
              & X3 = X4 ) ) ) ) )).

fof(formula_56,axiom,(
    $true )).

fof(formula_182,lemma,(
    ! [X1,X2] : 
      ( f27(X1,X2) = c17
    <=> p12(X1,X2) ) )).

fof(formula_75,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p5(X2) )
     => ( p3(f33(X2,X1))
        & p5(f33(X2,X1)) ) ) )).

fof(formula_111,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p32(f19(X1),X2) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2,X3] : 
          ( p5(X3)
         => ( X3 = f13(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f11(X4,X5),X3)
              <=> ( p1(X4,X2)
                  & p1(f11(X4,X5),X1) ) ) ) ) ) )).

fof(formula_207,lemma,(
    ! [X1] : 
      ( ( p5(X1)
        & p4(X1) )
     => ( p6(X1)
       => ! [X2] : 
            ( ( p5(X2)
              & p4(X2) )
           => ( X2 = f35(X1)
            <=> ( f23(X2) = f28(X1)
                & ! [X3,X4] : 
                    ( ( ( p1(X3,f28(X1))
                        & X4 = f24(X2,X3) )
                     => ( p1(X4,f23(X1))
                        & X3 = f24(X1,X4) ) )
                    & ( ( p1(X4,f23(X1))
                        & X3 = f24(X1,X4) )
                     => ( p1(X3,f28(X1))
                        & X4 = f24(X2,X3) ) ) ) ) ) ) ) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( X2 = f23(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f11(X3,X4),X1) ) ) ) )).

fof(formula_137,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f7(X1,X2) = f7(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).
%------------------------------------------------------------------------------
