%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(A,C) = f15(B,C) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(C,A) = f15(C,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f19(A) = f19(B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(A,C) = f20(B,C) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(C,A) = f20(C,B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(A,C) = f21(B,C) ) )).

fof(f21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(C,A) = f21(C,B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(A,C) = f22(B,C) ) )).

fof(f22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(C,A) = f22(C,B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f23(A,C,D) = f23(B,C,D) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f23(C,A,D) = f23(C,B,D) ) )).

fof(f23_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f23(C,D,A) = f23(C,D,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f24(A) = f24(B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f25(A) = f25(B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f27(A) = f27(B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f28(A) = f28(B) ) )).

fof(f30_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f30(A,C) = f30(B,C) ) )).

fof(f30_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f30(C,A) = f30(C,B) ) )).

fof(f31_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f31(A) = f31(B) ) )).

fof(f32_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f32(A) = f32(B) ) )).

fof(f33_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f33(A,C) = f33(B,C) ) )).

fof(f33_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f33(C,A) = f33(C,B) ) )).

fof(f34_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f34(A) = f34(B) ) )).

fof(f35_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f35(A,C) = f35(B,C) ) )).

fof(f35_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f35(C,A) = f35(C,B) ) )).

fof(f36_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f36(A) = f36(B) ) )).

fof(f37_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f37(A) = f37(B) ) )).

fof(f39_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f39(A,C) = f39(B,C) ) )).

fof(f39_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f39(C,A) = f39(C,B) ) )).

fof(f40_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f40(A,C) = f40(B,C) ) )).

fof(f40_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f40(C,A) = f40(C,B) ) )).

fof(f41_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f41(A) = f41(B) ) )).

fof(f42_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f42(A,C) = f42(B,C) ) )).

fof(f42_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f42(C,A) = f42(C,B) ) )).

fof(f43_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f43(A,C) = f43(B,C) ) )).

fof(f43_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f43(C,A) = f43(C,B) ) )).

fof(f44_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f44(A,C,D) = f44(B,C,D) ) )).

fof(f44_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f44(C,A,D) = f44(C,B,D) ) )).

fof(f44_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f44(C,D,A) = f44(C,D,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(A,C) )
     => p13(B,C) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(C,A) )
     => p13(C,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(A,C) )
     => p16(B,C) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(C,A) )
     => p16(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p29(A,C) )
     => p29(B,C) ) )).

fof(p29_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p29(C,A) )
     => p29(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p38_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p38(A,C) )
     => p38(B,C) ) )).

fof(p38_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p38(C,A) )
     => p38(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p45_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p45(A) )
     => p45(B) ) )).

fof(p46_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p46(A,C) )
     => p46(B,C) ) )).

fof(p46_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p46(C,A) )
     => p46(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_190,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ~ ( X1 != c26
          & p16(X1,f34(X2))
          & f22(X2,X1) = c26 ) ) )).

fof(formula_161,axiom,(
    ! [X1,X2] : 
      ( p29(X2,f28(f28(X1)))
     => f43(X1,X2) = f27(X2) ) )).

fof(formula_286,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p16(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p16(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p16(X3,X2)
            & ~ p46(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_30,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
       => ( p29(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p3(X1)
       => ( p29(X2,X1)
        <=> p3(X2) ) ) ) )).

fof(formula_79,axiom,(
    ! [X1,X2] : 
      ( p29(X2,f28(f28(X1)))
     => p29(f42(X1,X2),f28(X1)) ) )).

fof(formula_215,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => ~ ( p16(X1,X2)
          & X1 != c26
          & ! [X3] : 
              ( p5(X3)
             => ~ ( p1(X3,X1)
                  & ! [X4] : 
                      ( p5(X4)
                     => ( p1(X4,X1)
                       => p13(X3,X4) ) ) ) ) ) ) )).

fof(formula_191,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p16(X1,X2)
       => p16(f22(X3,X1),f22(X3,X2)) ) ) )).

fof(formula_116,axiom,(
    ! [X1,X2] : ~ p3(f10(X1,X2)) )).

fof(formula_101,axiom,(
    ! [X1] : 
      ( p8(f14(X1))
      & p4(f14(X1)) ) )).

fof(formula_204,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => ( p1(X1,X2)
       => p5(X1) ) ) )).

fof(formula_252,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( ! [X2,X3] : ~ p1(f15(X2,X3),X1)
       => X1 = c26 ) ) )).

fof(formula_200,lemma,(
    ! [X1] : 
      ( p6(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p2(X1,X2)
           => p1(X1,X2) ) ) ) )).

fof(formula_235,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => p16(f19(f39(X1,X2)),f19(X1)) ) ) )).

fof(formula_234,lemma,(
    ! [X1,X2] : 
      ( p29(X2,f28(X1))
     => ! [X3] : 
          ( p29(X3,f28(X1))
         => ( p38(X2,X3)
          <=> p16(X2,f35(X1,X3)) ) ) ) )).

fof(formula_283,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f17(X2,X1) = f39(f14(X1),X2) ) )).

fof(formula_118,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p8(f17(X1,X2))
        & p4(f17(X1,X2)) ) ) )).

fof(formula_179,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => f17(f21(X1,X3),X2) = f21(X1,f17(X3,X2)) ) )).

fof(formula_275,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f19(f17(X3,X2)))
      <=> ( p1(X1,X2)
          & p1(X1,f19(X3)) ) ) ) )).

fof(formula_257,lemma,(
    ! [X1,X2] : 
      ~ ( p16(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_198,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(f15(X1,X2),X3)
       => ( p1(X1,f19(X3))
          & p1(X2,f34(X3)) ) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p4(X1) ) )).

fof(formula_181,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f18(X2,X1),f34(X2)) ) )).

fof(formula_177,lemma,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => f11(X1,X2) = X2 ) )).

fof(formula_121,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
        & ~ p3(X2) )
     => ~ p3(f30(X1,X2)) ) )).

fof(formula_38,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( ( p1(X2,f19(X1))
           => ( X3 = f20(X1,X2)
            <=> p1(f15(X2,X3),X1) ) )
          & ( ~ p1(X2,f19(X1))
           => ( X3 = f20(X1,X2)
            <=> X3 = c26 ) ) ) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p16(X1,X2)
          <=> ! [X3,X4] : 
                ( p1(f15(X3,X4),X1)
               => p1(f15(X3,X4),X2) ) ) ) ) )).

fof(formula_162,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,f28(X1))
        & p29(X3,f28(X1)) )
     => f44(X1,X2,X3) = f33(X2,X3) ) )).

fof(formula_106,axiom,(
    p3(c26) )).

fof(formula_217,lemma,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2)
     => p16(f33(X1,X3),f33(X2,X3)) ) )).

fof(formula_137,lemma,(
    ! [X1,X2] : 
      ( p16(f25(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_67,axiom,(
    ! [X1] : p29(f31(X1),f28(X1)) )).

fof(formula_114,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( ~ p3(f24(X1))
        & p6(f24(X1))
        & p7(f24(X1))
        & p5(f24(X1)) ) ) )).

fof(formula_62,axiom,(
    $true )).

fof(formula_207,lemma,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2)
     => p16(f12(X1,X3),f12(X2,X3)) ) )).

fof(formula_183,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f18(X2,X1) = f18(X2,f12(f19(X2),X1)) ) )).

fof(formula_262,lemma,(
    ! [X1,X2] : 
      ( f33(X1,f25(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_229,lemma,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p1(X2,X3)
        & p1(X3,X1) ) )).

fof(formula_281,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f19(f17(X2,X1)) = f12(f19(X2),X1) ) )).

fof(formula_112,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f11(X1,X2)) ) )).

fof(formula_100,axiom,(
    ! [X1,X2] : ~ p3(f15(X1,X2)) )).

fof(formula_119,axiom,(
    p3(c26) )).

fof(formula_54,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p16(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_60,axiom,(
    $true )).

fof(formula_263,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( X2 = f17(X3,X1)
          <=> ( f19(X2) = f12(f19(X3),X1)
              & ! [X4] : 
                  ( p1(X4,f19(X2))
                 => f20(X2,X4) = f20(X3,X4) ) ) ) ) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( X2 = f19(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f15(X3,X4),X1) ) ) ) )).

fof(formula_226,lemma,(
    ! [X1,X2] : f11(X1,f33(X2,X1)) = f11(X1,X2) )).

fof(formula_206,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p16(X1,X2)
           => ( p16(f19(X1),f19(X2))
              & p16(f34(X1),f34(X2)) ) ) ) ) )).

fof(formula_140,lemma,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2)
     => ( p1(X3,X1)
        | p16(X1,f33(X2,f25(X3))) ) ) )).

fof(formula_171,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f34(f21(X1,X2)),X1) ) )).

fof(formula_97,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f12(X1,X2)) ) )).

fof(formula_88,axiom,(
    ! [X1] : 
    ? [X2] : p29(X2,X1) )).

fof(formula_182,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => p16(f18(X2,f22(X2,X1)),X1) ) )).

fof(formula_260,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( ( f19(X1) = c26
          | f34(X1) = c26 )
       => X1 = c26 ) ) )).

fof(formula_145,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(X2,f19(f17(X3,X1)))
      <=> ( p1(X2,f19(X3))
          & p1(X2,X1) ) ) ) )).

fof(formula_243,lemma,(
    ! [X1,X2] : 
      ( p29(X2,f28(f28(X1)))
     => ( X2 != c26
       => f42(X1,f40(X1,X2)) = f44(X1,f31(X1),f43(X1,X2)) ) ) )).

fof(formula_144,lemma,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p29(X1,f28(X2)) ) )).

fof(formula_224,lemma,(
    ! [X1,X2] : 
      ( p16(f25(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_22,axiom,(
    ! [X1] : f24(X1) = f11(X1,f25(X1)) )).

fof(formula_70,axiom,(
    $true )).

fof(formula_57,axiom,(
    $true )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( X2 = f14(X1)
      <=> ! [X3,X4] : 
            ( p1(f15(X3,X4),X2)
          <=> ( p1(X3,X1)
              & X3 = X4 ) ) ) ) )).

fof(formula_272,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & ! [X3] : 
            ~ ( p1(X3,X2)
              & ! [X4] : 
                  ~ ( p1(X4,X2)
                    & p1(X4,X3) ) ) ) )).

fof(formula_189,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f22(X2,X1),f19(X2)) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : f10(X1,X2) = f10(X2,X1) )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ! [X3] : 
              ( p8(X3)
             => ( X3 = f39(X1,X2)
              <=> ! [X4,X5] : 
                    ( p1(f15(X4,X5),X3)
                  <=> ? [X6] : 
                        ( p1(f15(X4,X6),X1)
                        & p1(f15(X6,X5),X2) ) ) ) ) ) ) )).

fof(formula_188,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f22(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f34(X3))
            & p1(f15(X1,X4),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( X1 = c26
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_273,lemma,(
    ! [X1,X2] : p16(X1,f11(X1,X2)) )).

fof(formula_213,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(f15(X1,X2),X3)
       => ( p1(X1,f36(X3))
          & p1(X2,f36(X3)) ) ) ) )).

fof(formula_78,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f39(X1,X2)) ) )).

fof(formula_53,axiom,(
    ! [X1,X2] : 
      ( p29(X2,f28(f28(X1)))
     => ! [X3] : 
          ( p29(X3,f28(f28(X1)))
         => ( X3 = f40(X1,X2)
          <=> ! [X4] : 
                ( p29(X4,f28(X1))
               => ( p1(X4,X3)
                <=> p1(f35(X1,X4),X2) ) ) ) ) ) )).

fof(formula_192,lemma,(
    ! [X1,X2] : p16(f12(X1,X2),X1) )).

fof(formula_216,conjecture,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p1(X1,X2)
          <=> p13(f24(X1),X2) ) ) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2,X3] : 
          ( X3 = f18(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f15(X5,X4),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_102,axiom,(
    p8(c26) )).

fof(formula_87,axiom,(
    $true )).

fof(formula_24,axiom,(
    ! [X1,X2] : 
      ( ( X1 != c26
       => ( X2 = f27(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ! [X4] : 
                  ( p1(X4,X1)
                 => p1(X3,X4) ) ) ) )
      & ( X1 = c26
       => ( X2 = f27(X1)
        <=> X2 = c26 ) ) ) )).

fof(formula_130,axiom,(
    ! [X1] : 
      ( p8(X1)
     => f37(f37(X1)) = X1 ) )).

fof(formula_50,axiom,(
    ! [X1,X2] : 
      ( p38(X1,X2)
    <=> f12(X1,X2) = c26 ) )).

fof(formula_33,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f30(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f15(X5,X6) ) ) ) )).

fof(formula_180,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f18(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f19(X3))
            & p1(f15(X4,X1),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_124,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f19(X1))
        & p8(f19(X1)) ) ) )).

fof(formula_123,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p8(X1) )
     => ~ p3(f34(X1)) ) )).

fof(formula_90,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f37(X1))
        & p8(f37(X1)) ) ) )).

fof(formula_51,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
      <=> ! [X2,X3] : 
            ( ( p1(X2,f19(X1))
              & p1(X3,f19(X1))
              & f20(X1,X2) = f20(X1,X3) )
           => X2 = X3 ) ) ) )).

fof(formula_80,axiom,(
    ! [X1] : p8(f14(X1)) )).

fof(formula_61,axiom,(
    $true )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p6(X1)
        & p7(X1)
        & p5(X1) ) ) )).

fof(formula_153,axiom,(
    ? [X1] : 
      ( ~ p3(X1)
      & p8(X1) ) )).

fof(formula_168,lemma,(
    ! [X1] : p1(X1,f24(X1)) )).

fof(formula_259,lemma,(
    ! [X1,X2,X3] : 
      ( ( p16(X1,X2)
        & p38(X2,X3) )
     => p38(X1,X3) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ( X2 = f28(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p16(X3,X1) ) ) )).

fof(formula_68,axiom,(
    $true )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p7(X1)
    <=> ! [X2,X3] : 
          ~ ( p1(X2,X1)
            & p1(X3,X1)
            & ~ p1(X2,X3)
            & X2 != X3
            & ~ p1(X3,X2) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( X3 = f22(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( p1(X4,f19(X1))
                & p1(f20(X1,X4),X2) ) ) ) ) )).

fof(formula_282,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p16(X1,f32(X2)) ) )).

fof(formula_96,axiom,(
    ! [X1] : ~ p3(f24(X1)) )).

fof(formula_37,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f12(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_221,lemma,(
    ! [X1,X2] : p16(f33(X1,X2),X1) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_156,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1)
      & p9(X1) ) )).

fof(formula_159,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p45(X1)
      & p4(X1) ) )).

fof(formula_160,axiom,(
    ! [X1,X2] : 
      ( p29(X2,f28(f28(X1)))
     => f42(X1,X2) = f32(X2) ) )).

fof(formula_277,axiom,(
    ! [X1,X2] : 
      ~ ( p3(X1)
        & X1 != X2
        & p3(X2) ) )).

fof(formula_56,axiom,(
    $true )).

fof(formula_279,lemma,(
    ! [X1,X2,X3] : 
      ( ( p16(X1,X2)
        & p16(X3,X2) )
     => p16(f11(X1,X3),X2) ) )).

fof(formula_175,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f34(f21(X1,X2)) = f12(f34(X2),X1) ) )).

fof(formula_270,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p8(X4)
     => ( p1(f15(X1,X2),f39(f14(X3),X4))
      <=> ( p1(X1,X3)
          & p1(f15(X1,X2),X4) ) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( p6(X1)
        & p7(X1) ) ) )).

fof(formula_251,lemma,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
       => ( f34(X1) = f19(f41(X1))
          & f19(X1) = f34(f41(X1)) ) ) ) )).

fof(formula_197,lemma,(
    f28(c26) = f25(c26) )).

fof(formula_155,axiom,(
    ? [X1] : ~ p3(X1) )).

fof(formula_269,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(X2,X1)
       => f20(f17(X3,X1),X2) = f20(X3,X2) ) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( X1 = X2
          <=> ! [X3,X4] : 
                ( p1(f15(X3,X4),X1)
              <=> p1(f15(X3,X4),X2) ) ) ) ) )).

fof(formula_247,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p38(X1,X2)
          & ! [X3] : ~ p1(X3,f12(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f12(X1,X2))
          & p38(X1,X2) ) ) )).

fof(formula_264,lemma,(
    ! [X1] : f10(X1,X1) = f25(X1) )).

fof(formula_232,lemma,(
    ! [X1] : 
      ( p16(X1,c26)
     => X1 = c26 ) )).

fof(formula_77,axiom,(
    $true )).

fof(formula_127,axiom,(
    ! [X1,X2] : f11(X1,X1) = X1 )).

fof(formula_233,lemma,(
    ! [X1,X2] : f33(f11(X1,X2),X2) = f33(X1,X2) )).

fof(formula_110,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f11(X1,X2)) ) )).

fof(formula_265,axiom,(
    ! [X1] : 
      ( p3(X1)
     => X1 = c26 ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : f12(X1,X2) = f12(X2,X1) )).

fof(formula_158,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p45(X1) ) )).

fof(formula_256,lemma,(
    f34(c26) = c26 )).

fof(formula_201,lemma,(
    ! [X1] : 
      ( p8(X1)
     => p16(X1,f30(f19(X1),f34(X1))) ) )).

fof(formula_223,lemma,(
    ! [X1,X2] : 
      ( f33(X1,X2) = c26
    <=> p16(X1,X2) ) )).

fof(formula_219,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ( X2 = f14(X1)
      <=> ( f19(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f20(X2,X3) = X3 ) ) ) ) )).

fof(formula_241,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p16(f19(X1),f34(X2))
           => f34(f39(X2,X1)) = f34(X1) ) ) ) )).

fof(formula_115,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f33(X1,X2)) ) )).

fof(formula_212,lemma,(
    ! [X1] : p16(c26,X1) )).

fof(formula_133,lemma,(
    ! [X1] : f25(X1) != c26 )).

fof(formula_267,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(X2,f19(f17(X3,X1)))
       => f20(f17(X3,X1),X2) = f20(X3,X2) ) ) )).

fof(formula_280,lemma,(
    ! [X1,X2,X3] : 
      ( f25(X1) = f10(X2,X3)
     => X1 = X2 ) )).

fof(formula_176,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p16(X1,X2)
        & p16(X3,X4) )
     => p16(f30(X1,X3),f30(X2,X4)) ) )).

fof(formula_58,axiom,(
    $true )).

fof(formula_227,lemma,(
    ! [X1,X2] : 
      ( p16(X1,f25(X2))
    <=> ( X1 = c26
        | X1 = f25(X2) ) ) )).

fof(formula_32,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f11(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_39,axiom,(
    ! [X1] : 
      ( p5(X1)
    <=> ( p6(X1)
        & p7(X1) ) ) )).

fof(formula_64,axiom,(
    $true )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ( p6(X1)
        & p7(X1) )
     => p5(X1) ) )).

fof(formula_120,axiom,(
    p8(c26) )).

fof(formula_89,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p8(X2) )
     => ( p3(f39(X2,X1))
        & p8(f39(X2,X1)) ) ) )).

fof(formula_284,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f34(f17(X2,X1)),f34(X2)) ) )).

fof(formula_31,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f10(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2,X3] : 
          ( p8(X3)
         => ( X3 = f17(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f15(X4,X5),X3)
              <=> ( p1(X4,X2)
                  & p1(f15(X4,X5),X1) ) ) ) ) ) )).

fof(formula_246,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p29(X2,f28(X3)) )
     => p29(X1,X3) ) )).

fof(formula_231,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p38(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p38(X1,X2) ) ) )).

fof(formula_287,lemma,(
    ! [X1,X2,X3] : 
      ( f25(X1) = f10(X2,X3)
     => X2 = X3 ) )).

fof(formula_196,lemma,(
    ! [X1,X2,X3] : 
      ( ( p16(X1,X2)
        & p16(X2,X3) )
     => p16(X1,X3) ) )).

fof(formula_242,lemma,(
    ! [X1,X2] : 
      ( p29(X2,f28(f28(X1)))
     => ( X2 != c26
       => f44(X1,f31(X1),f42(X1,X2)) = f43(X1,f40(X1,X2)) ) ) )).

fof(formula_274,lemma,(
    ! [X1,X2] : 
      ( p38(X1,X2)
    <=> f33(X1,X2) = X1 ) )).

fof(formula_98,axiom,(
    ! [X1] : ~ p3(f28(X1)) )).

fof(formula_109,axiom,(
    p5(c26) )).

fof(formula_47,axiom,(
    ! [X1,X2] : f15(X1,X2) = f10(f10(X1,X2),f25(X1)) )).

fof(formula_193,lemma,(
    ! [X1,X2,X3] : 
      ( ( p16(X1,X2)
        & p16(X1,X3) )
     => p16(X1,f12(X2,X3)) ) )).

fof(formula_238,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p16(f34(X1),f19(X2))
           => f19(f39(X1,X2)) = f19(X1) ) ) ) )).

fof(formula_225,lemma,(
    ! [X1,X2,X3] : 
      ( p16(f10(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_129,axiom,(
    ! [X1,X2] : 
      ( p29(X2,f28(X1))
     => f35(X1,f35(X1,X2)) = X2 ) )).

fof(formula_104,axiom,(
    p4(c26) )).

fof(formula_214,lemma,(
    ! [X1] : 
      ( ! [X2] : 
          ( p1(X2,X1)
         => ( p5(X2)
            & p16(X2,X1) ) )
     => p5(X1) ) )).

fof(formula_93,axiom,(
    p45(c26) )).

fof(formula_69,axiom,(
    $true )).

fof(formula_72,axiom,(
    ! [X1,X2] : 
      ( p29(X2,f28(X1))
     => p29(f35(X1,X2),f28(X1)) ) )).

fof(formula_63,axiom,(
    $true )).

fof(formula_187,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => f34(f39(X1,X2)) = f18(X2,f34(X1)) ) ) )).

fof(formula_131,axiom,(
    ! [X1,X2] : 
      ( p29(X2,f28(f28(X1)))
     => f40(X1,f40(X1,X2)) = X2 ) )).

fof(formula_195,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p29(X1,X2) ) )).

fof(formula_276,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f17(X2,X1),X2) ) )).

fof(formula_65,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p8(f41(X1))
        & p4(f41(X1)) ) ) )).

fof(formula_138,lemma,(
    ! [X1,X2] : 
      ( f33(X1,X2) = c26
    <=> p16(X1,X2) ) )).

fof(formula_228,axiom,(
    ! [X1] : f33(X1,c26) = X1 )).

fof(formula_141,lemma,(
    ! [X1,X2] : 
      ( p16(X1,f25(X2))
    <=> ( X1 = c26
        | X1 = f25(X2) ) ) )).

fof(formula_174,lemma,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2)
     => ( p16(f30(X1,X3),f30(X2,X3))
        & p16(f30(X3,X1),f30(X3,X2)) ) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ( X2 = f32(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_107,axiom,(
    p6(c26) )).

fof(formula_74,axiom,(
    $true )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p8(X1) ) )).

fof(formula_95,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p4(X1)
        & p8(X2)
        & p4(X2) )
     => ( p8(f39(X1,X2))
        & p4(f39(X1,X2)) ) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => ! [X3] : 
          ( p8(X3)
         => ( X3 = f21(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f15(X4,X5),X3)
              <=> ( p1(X5,X1)
                  & p1(f15(X4,X5),X2) ) ) ) ) ) )).

fof(formula_139,lemma,(
    ! [X1,X2] : 
      ( p29(X2,f28(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_125,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f34(X1))
        & p8(f34(X1)) ) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( p16(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_71,axiom,(
    $true )).

fof(formula_99,axiom,(
    p3(c26) )).

fof(formula_218,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f15(X1,X2) = f15(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => ( p13(X1,X2)
        | p13(X2,X1) ) ) )).

fof(formula_43,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f33(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_185,lemma,(
    ! [X1] : 
      ( p8(X1)
     => f18(X1,f19(X1)) = f34(X1) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( X3 = f18(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(X5,f19(X1))
                  & p1(X5,X2)
                  & X4 = f20(X1,X5) ) ) ) ) )).

fof(formula_84,axiom,(
    ! [X1,X2] : 
      ( p29(X2,f28(f28(X1)))
     => p29(f40(X1,X2),f28(f28(X1))) ) )).

fof(formula_172,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f21(X1,X2),X2) ) )).

fof(formula_203,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( p1(X1,f19(X2))
           => f20(f39(X2,X3),X1) = f20(X3,f20(X2,X1)) ) ) ) )).

fof(formula_148,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p8(X1) ) )).

fof(formula_150,axiom,(
    ? [X1] : p3(X1) )).

fof(formula_167,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f15(X1,X2),f30(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ( p29(X2,f28(X1))
     => f35(X1,X2) = f33(X1,X2) ) )).

fof(formula_147,axiom,(
    ? [X1] : 
      ( p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_92,axiom,(
    p8(c26) )).

fof(formula_253,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ( ( p9(X2)
          & p1(X1,f34(X2)) )
       => ( X1 = f20(X2,f20(f41(X2),X1))
          & X1 = f20(f39(f41(X2),X2),X1) ) ) ) )).

fof(formula_266,lemma,(
    ! [X1,X2] : 
      ( p16(f25(X1),f25(X2))
     => X1 = X2 ) )).

fof(formula_94,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p45(X1) )
     => ( p8(f17(X1,X2))
        & p45(f17(X1,X2)) ) ) )).

fof(formula_73,axiom,(
    $true )).

fof(formula_86,axiom,(
    $true )).

fof(formula_178,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p16(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f28(X3),X2) )
      & ! [X3] : 
          ~ ( p16(X3,X2)
            & ~ p46(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_205,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ~ ( ~ p1(X1,X2)
              & X1 != X2
              & ~ p1(X2,X1) ) ) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p8(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f15(X3,X4) ) ) )).

fof(formula_55,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
       => f41(X1) = f37(X1) ) ) )).

fof(formula_169,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f10(X1,X2) = f10(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_285,lemma,(
    ! [X1] : f32(f28(X1)) = X1 )).

fof(formula_248,lemma,(
    ! [X1] : 
      ( X1 != c26
     => ! [X2] : 
          ( p29(X2,f28(X1))
         => ! [X3] : 
              ( p29(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f35(X1,X2)) ) ) ) ) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( X2 = f25(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_268,lemma,(
    ! [X1] : 
      ( f19(f14(X1)) = X1
      & f34(f14(X1)) = X1 ) )).

fof(formula_184,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( p16(X1,f19(X2))
       => p16(X1,f22(X2,f18(X2,X1))) ) ) )).

fof(formula_222,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( f34(X1) = f19(f37(X1))
        & f19(X1) = f34(f37(X1)) ) ) )).

fof(formula_239,lemma,(
    ! [X1,X2] : 
      ( p29(X2,f28(f28(X1)))
     => ~ ( X2 != c26
          & f40(X1,X2) = c26 ) ) )).

fof(formula_132,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_186,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ( p16(X1,f34(X2))
       => f18(X2,f22(X2,X1)) = X1 ) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p16(X1,X2)
        & p16(X2,X1) ) ) )).

fof(formula_157,axiom,(
    ? [X1] : 
      ( ~ p3(X1)
      & p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_128,axiom,(
    ! [X1,X2] : f12(X1,X1) = X1 )).

fof(formula_211,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_151,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p3(X1)
      & p4(X1) ) )).

fof(formula_103,axiom,(
    p45(c26) )).

fof(formula_82,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,f28(X1))
        & p29(X3,f28(X1)) )
     => p29(f44(X1,X2,X3),f28(X1)) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p3(X1)
        & p4(X1) )
     => ( p8(X1)
        & p4(X1)
        & p9(X1) ) ) )).

fof(formula_166,axiom,(
    ! [X1,X2] : 
      ( p38(X1,X2)
     => p38(X2,X1) ) )).

fof(formula_230,axiom,(
    ! [X1,X2] : 
      ( p29(X1,f28(X2))
    <=> p16(X1,X2) ) )).

fof(formula_66,axiom,(
    $true )).

fof(formula_149,axiom,(
    ! [X1] : 
      ( ~ p3(X1)
     => ? [X2] : 
          ( p29(X2,f28(X1))
          & ~ p3(X2) ) ) )).

fof(formula_258,lemma,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
       => p9(f41(X1)) ) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p6(X1)
    <=> ! [X2] : 
          ( p1(X2,X1)
         => p16(X2,X1) ) ) )).

fof(formula_117,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f11(X2,X1)) ) )).

fof(formula_83,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f17(X1,X2)) ) )).

fof(formula_237,lemma,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => X2 = f11(X1,f33(X2,X1)) ) )).

fof(formula_108,axiom,(
    p7(c26) )).

fof(formula_170,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f34(f21(X2,X3)))
      <=> ( p1(X1,X2)
          & p1(X1,f34(X3)) ) ) ) )).

fof(formula_105,axiom,(
    p9(c26) )).

fof(formula_163,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => ( p13(X1,X2)
      <=> p16(X1,X2) ) ) )).

fof(formula_236,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => p16(f34(f39(X1,X2)),f34(X2)) ) ) )).

fof(formula_278,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(f15(X1,X2),X3)
      <=> ( p1(X1,f19(X3))
          & X2 = f20(X3,X1) ) ) ) )).

fof(formula_255,lemma,(
    f19(c26) = c26 )).

fof(formula_135,lemma,(
    ! [X1,X2] : 
      ~ ( p38(f25(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_41,axiom,(
    ! [X1] : f31(X1) = X1 )).

fof(formula_122,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p8(X1) )
     => ~ p3(f19(X1)) ) )).

fof(formula_202,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( p1(X1,f19(f39(X3,X2)))
           => f20(f39(X3,X2),X1) = f20(X2,f20(X3,X1)) ) ) ) )).

fof(formula_240,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f11(f25(X1),X2) = X2 ) )).

fof(formula_244,lemma,(
    ! [X1,X2] : f33(X1,f33(X1,X2)) = f12(X1,X2) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2,X3] : 
          ( X3 = f22(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f15(X4,X5),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_113,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1)
        & p9(X1) )
     => ( p8(f37(X1))
        & p4(f37(X1)) ) ) )).

fof(formula_173,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f34(f21(X1,X2)),f34(X2)) ) )).

fof(formula_45,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( X2 = f34(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f15(X4,X3),X1) ) ) ) )).

fof(formula_261,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( f19(X1) = c26
      <=> f34(X1) = c26 ) ) )).

fof(formula_154,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p29(X2,f28(X1))
      & p3(X2) ) )).

fof(formula_249,lemma,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
       => ! [X2] : 
            ( ( p8(X2)
              & p4(X2) )
           => ( X2 = f41(X1)
            <=> ( f19(X2) = f34(X1)
                & ! [X3,X4] : 
                    ( ( ( p1(X3,f34(X1))
                        & X4 = f20(X2,X3) )
                     => ( p1(X4,f19(X1))
                        & X3 = f20(X1,X4) ) )
                    & ( ( p1(X4,f19(X1))
                        & X3 = f20(X1,X4) )
                     => ( p1(X3,f34(X1))
                        & X4 = f20(X2,X3) ) ) ) ) ) ) ) ) )).

fof(formula_49,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( X2 = f37(X1)
          <=> ! [X3,X4] : 
                ( p1(f15(X3,X4),X2)
              <=> p1(f15(X4,X3),X1) ) ) ) ) )).

fof(formula_76,axiom,(
    $true )).

fof(formula_220,lemma,(
    ! [X1,X2] : 
      ( p1(X2,X1)
     => f20(f14(X1),X2) = X2 ) )).

fof(formula_254,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p29(X2,f28(X3))
        & p3(X3) ) )).

fof(formula_44,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2] : 
          ( X2 = f34(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : 
                  ( p1(X4,f19(X1))
                  & X3 = f20(X1,X4) ) ) ) ) )).

fof(formula_271,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p3(X2) ) )).

fof(formula_48,axiom,(
    ! [X1] : 
      ( p8(X1)
     => f36(X1) = f11(f19(X1),f34(X1)) ) )).

fof(formula_81,axiom,(
    ! [X1,X2] : 
      ( p29(X2,f28(f28(X1)))
     => p29(f43(X1,X2),f28(X1)) ) )).

fof(formula_134,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f11(f25(X1),X2) = X2 ) )).

fof(formula_165,axiom,(
    ! [X1,X2] : p16(X1,X1) )).

fof(formula_208,lemma,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => f12(X1,X2) = X1 ) )).

fof(formula_245,axiom,(
    ! [X1] : f33(c26,X1) = c26 )).

fof(formula_136,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p38(f25(X1),X2) ) )).

fof(formula_146,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1) ) )).

fof(formula_85,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => p8(f21(X1,X2)) ) )).

fof(formula_194,axiom,(
    ! [X1] : f11(X1,c26) = X1 )).

fof(formula_21,axiom,(
    ! [X1,X2,X3,X4] : 
      ( X4 = f23(X1,X2,X3)
    <=> ! [X5] : 
          ( p1(X5,X4)
        <=> ~ ( X5 != X1
              & X5 != X2
              & X5 != X3 ) ) ) )).

fof(formula_210,axiom,(
    ! [X1,X2] : 
      ( p29(X1,X2)
     => ( p3(X2)
        | p1(X1,X2) ) ) )).

fof(formula_143,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f15(X1,X2),f30(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_126,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p8(X2) )
     => ( p3(f39(X1,X2))
        & p8(f39(X1,X2)) ) ) )).

fof(formula_250,lemma,(
    ! [X1,X2,X3] : 
      ( p29(X3,f28(X1))
     => ~ ( p1(X2,f35(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_209,axiom,(
    ! [X1] : f12(X1,c26) = c26 )).

fof(formula_10,axiom,(
    ! [X1,X2] : f11(X1,X2) = f11(X2,X1) )).

fof(formula_111,axiom,(
    ! [X1] : ~ p3(f25(X1)) )).

fof(formula_75,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p8(f37(X1)) ) )).

fof(formula_152,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1)
      & p9(X1)
      & p3(X1)
      & p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_91,axiom,(
    p3(c26) )).

fof(formula_199,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( p1(X1,f19(f39(X3,X2)))
          <=> ( p1(X1,f19(X3))
              & p1(f20(X3,X1),f19(X2)) ) ) ) ) )).

fof(formula_164,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => p13(X1,X1) ) )).

fof(formula_59,axiom,(
    $true )).

fof(formula_142,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p16(X1,f32(X2)) ) )).
%------------------------------------------------------------------------------
