%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(A,C) = f15(B,C) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(C,A) = f15(C,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f19(A) = f19(B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(A,C) = f20(B,C) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(C,A) = f20(C,B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(A,C) = f21(B,C) ) )).

fof(f21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(C,A) = f21(C,B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(A,C) = f22(B,C) ) )).

fof(f22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(C,A) = f22(C,B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f23(A,C,D) = f23(B,C,D) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f23(C,A,D) = f23(C,B,D) ) )).

fof(f23_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f23(C,D,A) = f23(C,D,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f24(A) = f24(B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f25(A) = f25(B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f28(A) = f28(B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f29(A) = f29(B) ) )).

fof(f31_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f31(A,C) = f31(B,C) ) )).

fof(f31_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f31(C,A) = f31(C,B) ) )).

fof(f32_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f32(A) = f32(B) ) )).

fof(f33_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f33(A) = f33(B) ) )).

fof(f34_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f34(A,C) = f34(B,C) ) )).

fof(f34_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f34(C,A) = f34(C,B) ) )).

fof(f35_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f35(A) = f35(B) ) )).

fof(f36_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f36(A,C) = f36(B,C) ) )).

fof(f36_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f36(C,A) = f36(C,B) ) )).

fof(f38_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f38(A) = f38(B) ) )).

fof(f39_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f39(A) = f39(B) ) )).

fof(f41_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f41(A,C) = f41(B,C) ) )).

fof(f41_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f41(C,A) = f41(C,B) ) )).

fof(f42_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f42(A,C) = f42(B,C) ) )).

fof(f42_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f42(C,A) = f42(C,B) ) )).

fof(f43_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f43(A) = f43(B) ) )).

fof(f45_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f45(A,C) = f45(B,C) ) )).

fof(f45_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f45(C,A) = f45(C,B) ) )).

fof(f46_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f46(A,C) = f46(B,C) ) )).

fof(f46_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f46(C,A) = f46(C,B) ) )).

fof(f47_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f47(A,C,D) = f47(B,C,D) ) )).

fof(f47_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f47(C,A,D) = f47(C,B,D) ) )).

fof(f47_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f47(C,D,A) = f47(C,D,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(A,C) )
     => p13(B,C) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(C,A) )
     => p13(C,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(A,C) )
     => p16(B,C) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(C,A) )
     => p16(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p26(A,C) )
     => p26(B,C) ) )).

fof(p26_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p26(C,A) )
     => p26(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p30(A,C) )
     => p30(B,C) ) )).

fof(p30_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p30(C,A) )
     => p30(C,B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p37(A) )
     => p37(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(A,C) )
     => p40(B,C) ) )).

fof(p40_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(C,A) )
     => p40(C,B) ) )).

fof(p44_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p44(A) )
     => p44(B) ) )).

fof(p48_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p48(A) )
     => p48(B) ) )).

fof(p49_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p49(A,C) )
     => p49(B,C) ) )).

fof(p49_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p49(C,A) )
     => p49(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_52,axiom,(
    ! [X1,X2] : 
      ( p40(X1,X2)
    <=> f12(X1,X2) = c27 ) )).

fof(formula_71,axiom,(
    $true )).

fof(formula_225,lemma,(
    ! [X1,X2] : 
      ( p1(X2,X1)
     => f20(f14(X1),X2) = X2 ) )).

fof(formula_100,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f12(X1,X2)) ) )).

fof(formula_271,lemma,(
    ! [X1] : f10(X1,X1) = f25(X1) )).

fof(formula_229,lemma,(
    ! [X1,X2] : 
      ( p16(f25(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : f12(X1,X2) = f12(X2,X1) )).

fof(formula_257,lemma,(
    ! [X1,X2,X3] : 
      ( p30(X3,f29(X1))
     => ~ ( p1(X2,f36(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_87,axiom,(
    ! [X1,X2] : 
      ( p30(X2,f29(f29(X1)))
     => p30(f42(X1,X2),f29(f29(X1))) ) )).

fof(formula_197,lemma,(
    ! [X1,X2] : p16(f12(X1,X2),X1) )).

fof(formula_32,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f10(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_175,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f35(f21(X2,X3)))
      <=> ( p1(X1,X2)
          & p1(X1,f35(X3)) ) ) ) )).

fof(formula_135,axiom,(
    ! [X1,X2] : 
      ( p30(X2,f29(f29(X1)))
     => f42(X1,f42(X1,X2)) = X2 ) )).

fof(formula_51,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( X2 = f39(X1)
          <=> ! [X3,X4] : 
                ( p1(f15(X3,X4),X2)
              <=> p1(f15(X4,X3),X1) ) ) ) ) )).

fof(formula_42,axiom,(
    ! [X1] : f32(X1) = X1 )).

fof(formula_56,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p16(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_96,axiom,(
    p48(c27) )).

fof(formula_240,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ( ~ ( ~ p37(X1)
            & ! [X2] : 
                ( p5(X2)
               => X1 != f24(X2) ) )
        & ~ ( ? [X2] : 
                ( p5(X2)
                & X1 = f24(X2) )
            & p37(X1) ) ) ) )).

fof(formula_195,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ~ ( X1 != c27
          & p16(X1,f35(X2))
          & f22(X2,X1) = c27 ) ) )).

fof(formula_95,axiom,(
    p8(c27) )).

fof(formula_48,axiom,(
    ! [X1,X2] : f15(X1,X2) = f10(f10(X1,X2),f25(X1)) )).

fof(formula_69,axiom,(
    $true )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( X3 = f18(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(X5,f19(X1))
                  & p1(X5,X2)
                  & X4 = f20(X1,X5) ) ) ) ) )).

fof(formula_285,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(f15(X1,X2),X3)
      <=> ( p1(X1,f19(X3))
          & X2 = f20(X3,X1) ) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2,X3] : 
          ( p8(X3)
         => ( X3 = f17(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f15(X4,X5),X3)
              <=> ( p1(X4,X2)
                  & p1(f15(X4,X5),X1) ) ) ) ) ) )).

fof(formula_117,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( ~ p3(f24(X1))
        & p6(f24(X1))
        & p7(f24(X1))
        & p5(f24(X1)) ) ) )).

fof(formula_126,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p8(X1) )
     => ~ p3(f19(X1)) ) )).

fof(formula_290,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f17(X2,X1) = f41(f14(X1),X2) ) )).

fof(formula_164,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p48(X1)
      & p4(X1) ) )).

fof(formula_165,axiom,(
    ! [X1,X2] : 
      ( p30(X2,f29(f29(X1)))
     => f45(X1,X2) = f33(X2) ) )).

fof(formula_178,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f35(f21(X1,X2)),f35(X2)) ) )).

fof(formula_174,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f10(X1,X2) = f10(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_293,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p16(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p16(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p16(X3,X2)
            & ~ p49(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_186,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f18(X2,X1),f35(X2)) ) )).

fof(formula_166,axiom,(
    ! [X1,X2] : 
      ( p30(X2,f29(f29(X1)))
     => f46(X1,X2) = f28(X2) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p6(X1)
    <=> ! [X2] : 
          ( p1(X2,X1)
         => p16(X2,X1) ) ) )).

fof(formula_170,axiom,(
    ! [X1,X2] : p16(X1,X1) )).

fof(formula_276,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(X2,X1)
       => f20(f17(X3,X1),X2) = f20(X3,X2) ) ) )).

fof(formula_209,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => ( p1(X1,X2)
       => p5(X1) ) ) )).

fof(formula_281,lemma,(
    ! [X1,X2] : 
      ( p40(X1,X2)
    <=> f34(X1,X2) = X1 ) )).

fof(formula_214,axiom,(
    ! [X1] : f12(X1,c27) = c27 )).

fof(formula_92,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p8(X2) )
     => ( p3(f41(X2,X1))
        & p8(f41(X2,X1)) ) ) )).

fof(formula_283,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f17(X2,X1),X2) ) )).

fof(formula_139,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f11(f25(X1),X2) = X2 ) )).

fof(formula_130,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p8(X2) )
     => ( p3(f41(X1,X2))
        & p8(f41(X1,X2)) ) ) )).

fof(formula_267,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( ( f19(X1) = c27
          | f35(X1) = c27 )
       => X1 = c27 ) ) )).

fof(formula_99,axiom,(
    ! [X1] : ~ p3(f24(X1)) )).

fof(formula_217,lemma,(
    ! [X1] : p16(c27,X1) )).

fof(formula_213,lemma,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => f12(X1,X2) = X1 ) )).

fof(formula_62,axiom,(
    $true )).

fof(formula_242,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => p16(f19(f41(X1,X2)),f19(X1)) ) ) )).

fof(formula_68,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p8(f43(X1))
        & p4(f43(X1)) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( X1 = X2
          <=> ! [X3,X4] : 
                ( p1(f15(X3,X4),X1)
              <=> p1(f15(X3,X4),X2) ) ) ) ) )).

fof(formula_120,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f11(X2,X1)) ) )).

fof(formula_110,axiom,(
    p6(c27) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p8(X1) ) )).

fof(formula_274,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(X2,f19(f17(X3,X1)))
       => f20(f17(X3,X1),X2) = f20(X3,X2) ) ) )).

fof(formula_176,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f35(f21(X1,X2)),X1) ) )).

fof(formula_180,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f35(f21(X1,X2)) = f12(f35(X2),X1) ) )).

fof(formula_78,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p8(f39(X1)) ) )).

fof(formula_204,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( p1(X1,f19(f41(X3,X2)))
          <=> ( p1(X1,f19(X3))
              & p1(f20(X3,X1),f19(X2)) ) ) ) ) )).

fof(formula_224,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ( X2 = f14(X1)
      <=> ( f19(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f20(X2,X3) = X3 ) ) ) ) )).

fof(formula_185,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f18(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f19(X3))
            & p1(f15(X4,X1),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_263,lemma,(
    f35(c27) = c27 )).

fof(formula_72,axiom,(
    $true )).

fof(formula_275,lemma,(
    ! [X1] : 
      ( f19(f14(X1)) = X1
      & f35(f14(X1)) = X1 ) )).

fof(formula_246,lemma,(
    ! [X1,X2] : 
      ( p30(X2,f29(f29(X1)))
     => ~ ( X2 != c27
          & f42(X1,X2) = c27 ) ) )).

fof(formula_137,conjecture,(
    ! [X1] : 
      ( p8(X1)
     => ( p44(X1)
      <=> ! [X2] : 
            ( p1(X2,f38(X1))
           => p1(f15(X2,X2),X1) ) ) ) )).

fof(formula_210,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ~ ( ~ p1(X1,X2)
              & X1 != X2
              & ~ p1(X2,X1) ) ) ) )).

fof(formula_122,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( p6(f33(X1))
        & p7(f33(X1))
        & p5(f33(X1)) ) ) )).

fof(formula_167,axiom,(
    ! [X1,X2,X3] : 
      ( ( p30(X2,f29(X1))
        & p30(X3,f29(X1)) )
     => f47(X1,X2,X3) = f34(X2,X3) ) )).

fof(formula_243,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => p16(f35(f41(X1,X2)),f35(X2)) ) ) )).

fof(formula_291,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f35(f17(X2,X1)),f35(X2)) ) )).

fof(formula_250,lemma,(
    ! [X1,X2] : 
      ( p30(X2,f29(f29(X1)))
     => ( X2 != c27
       => f45(X1,f42(X1,X2)) = f47(X1,f32(X1),f46(X1,X2)) ) ) )).

fof(formula_89,axiom,(
    $true )).

fof(formula_280,lemma,(
    ! [X1,X2] : p16(X1,f11(X1,X2)) )).

fof(formula_133,axiom,(
    ! [X1,X2] : 
      ( p30(X2,f29(X1))
     => f36(X1,f36(X1,X2)) = X2 ) )).

fof(formula_234,lemma,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p1(X2,X3)
        & p1(X3,X1) ) )).

fof(formula_211,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p16(X1,X2)
           => ( p16(f19(X1),f19(X2))
              & p16(f35(X1),f35(X2)) ) ) ) ) )).

fof(formula_182,lemma,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => f11(X1,X2) = X2 ) )).

fof(formula_114,axiom,(
    ! [X1] : ~ p3(f25(X1)) )).

fof(formula_191,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ( p16(X1,f35(X2))
       => f18(X2,f22(X2,X1)) = X1 ) ) )).

fof(formula_193,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f22(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f35(X3))
            & p1(f15(X1,X4),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_136,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_196,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p16(X1,X2)
       => p16(f22(X3,X1),f22(X3,X2)) ) ) )).

fof(formula_206,lemma,(
    ! [X1] : 
      ( p8(X1)
     => p16(X1,f31(f19(X1),f35(X1))) ) )).

fof(formula_237,lemma,(
    ! [X1] : 
      ( p16(X1,c27)
     => X1 = c27 ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( p6(X1)
        & p7(X1) ) ) )).

fof(formula_212,lemma,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2)
     => p16(f12(X1,X3),f12(X2,X3)) ) )).

fof(formula_219,lemma,(
    ! [X1] : 
      ( ! [X2] : 
          ( p1(X2,X1)
         => ( p5(X2)
            & p16(X2,X1) ) )
     => p5(X1) ) )).

fof(formula_88,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => p8(f21(X1,X2)) ) )).

fof(formula_113,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f11(X1,X2)) ) )).

fof(formula_226,lemma,(
    ! [X1,X2] : p16(f34(X1,X2),X1) )).

fof(formula_143,lemma,(
    ! [X1,X2] : 
      ( f34(X1,X2) = c27
    <=> p16(X1,X2) ) )).

fof(formula_181,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p16(X1,X2)
        & p16(X3,X4) )
     => p16(f31(X1,X3),f31(X2,X4)) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p6(X1)
        & p7(X1)
        & p5(X1) ) ) )).

fof(formula_205,lemma,(
    ! [X1] : 
      ( p6(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p2(X1,X2)
           => p1(X1,X2) ) ) ) )).

fof(formula_123,axiom,(
    p3(c27) )).

fof(formula_252,axiom,(
    ! [X1] : f34(c27,X1) = c27 )).

fof(formula_108,axiom,(
    p9(c27) )).

fof(formula_259,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( ! [X2,X3] : ~ p1(f15(X2,X3),X1)
       => X1 = c27 ) ) )).

fof(formula_198,lemma,(
    ! [X1,X2,X3] : 
      ( ( p16(X1,X2)
        & p16(X1,X3) )
     => p16(X1,f12(X2,X3)) ) )).

fof(formula_142,lemma,(
    ! [X1,X2] : 
      ( p16(f25(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_21,axiom,(
    ! [X1,X2,X3,X4] : 
      ( X4 = f23(X1,X2,X3)
    <=> ! [X5] : 
          ( p1(X5,X4)
        <=> ~ ( X5 != X1
              & X5 != X2
              & X5 != X3 ) ) ) )).

fof(formula_163,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p48(X1) ) )).

fof(formula_173,lemma,(
    ! [X1] : p1(X1,f24(X1)) )).

fof(formula_286,lemma,(
    ! [X1,X2,X3] : 
      ( ( p16(X1,X2)
        & p16(X3,X2) )
     => p16(f11(X1,X3),X2) ) )).

fof(formula_111,axiom,(
    p7(c27) )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ( X2 = f29(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p16(X3,X1) ) ) )).

fof(formula_265,lemma,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
       => p9(f43(X1)) ) ) )).

fof(formula_158,axiom,(
    ? [X1] : 
      ( ~ p3(X1)
      & p8(X1) ) )).

fof(formula_159,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p30(X2,f29(X1))
      & p3(X2) ) )).

fof(formula_221,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p1(X1,X2)
          <=> p13(f24(X1),X2) ) ) ) )).

fof(formula_129,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f35(X1))
        & p8(f35(X1)) ) ) )).

fof(formula_67,axiom,(
    $true )).

fof(formula_98,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p4(X1)
        & p8(X2)
        & p4(X2) )
     => ( p8(f41(X1,X2))
        & p4(f41(X1,X2)) ) ) )).

fof(formula_47,axiom,(
    ! [X1,X2] : 
      ( p30(X2,f29(X1))
     => f36(X1,X2) = f34(X1,X2) ) )).

fof(formula_80,axiom,(
    $true )).

fof(formula_105,axiom,(
    p8(c27) )).

fof(formula_284,axiom,(
    ! [X1,X2] : 
      ~ ( p3(X1)
        & X1 != X2
        & p3(X2) ) )).

fof(formula_102,axiom,(
    p3(c27) )).

fof(formula_153,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p8(X1) ) )).

fof(formula_179,lemma,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2)
     => ( p16(f31(X1,X3),f31(X2,X3))
        & p16(f31(X3,X1),f31(X3,X2)) ) ) )).

fof(formula_253,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p30(X2,f29(X3)) )
     => p30(X1,X3) ) )).

fof(formula_287,lemma,(
    ! [X1,X2,X3] : 
      ( f25(X1) = f10(X2,X3)
     => X1 = X2 ) )).

fof(formula_144,lemma,(
    ! [X1,X2] : 
      ( p30(X2,f29(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_162,axiom,(
    ? [X1] : 
      ( ~ p3(X1)
      & p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_177,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f21(X1,X2),X2) ) )).

fof(formula_238,lemma,(
    ! [X1,X2] : f34(f11(X1,X2),X2) = f34(X1,X2) )).

fof(formula_91,axiom,(
    ! [X1] : 
    ? [X2] : p30(X2,X1) )).

fof(formula_147,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p16(X1,f33(X2)) ) )).

fof(formula_215,axiom,(
    ! [X1,X2] : 
      ( p30(X1,X2)
     => ( p3(X2)
        | p1(X1,X2) ) ) )).

fof(formula_161,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1)
      & p9(X1) ) )).

fof(formula_199,axiom,(
    ! [X1] : f11(X1,c27) = X1 )).

fof(formula_82,axiom,(
    ! [X1,X2] : 
      ( p30(X2,f29(f29(X1)))
     => p30(f45(X1,X2),f29(X1)) ) )).

fof(formula_157,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1)
      & p9(X1)
      & p3(X1)
      & p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : f11(X1,X2) = f11(X2,X1) )).

fof(formula_66,axiom,(
    $true )).

fof(formula_41,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( X2 = f19(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f15(X3,X4),X1) ) ) ) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ( X2 = f25(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_282,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f19(f17(X3,X2)))
      <=> ( p1(X1,X2)
          & p1(X1,f19(X3)) ) ) ) )).

fof(formula_152,axiom,(
    ? [X1] : 
      ( p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_101,axiom,(
    ! [X1] : ~ p3(f29(X1)) )).

fof(formula_34,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f31(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f15(X5,X6) ) ) ) )).

fof(formula_104,axiom,(
    ! [X1] : 
      ( p8(f14(X1))
      & p4(f14(X1)) ) )).

fof(formula_241,lemma,(
    ! [X1,X2] : 
      ( p30(X2,f29(X1))
     => ! [X3] : 
          ( p30(X3,f29(X1))
         => ( p40(X2,X3)
          <=> p16(X2,f36(X1,X3)) ) ) ) )).

fof(formula_50,axiom,(
    ! [X1] : 
      ( p8(X1)
     => f38(X1) = f11(f19(X1),f35(X1)) ) )).

fof(formula_45,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2] : 
          ( X2 = f35(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : 
                  ( p1(X4,f19(X1))
                  & X3 = f20(X1,X4) ) ) ) ) )).

fof(formula_273,lemma,(
    ! [X1,X2] : 
      ( p16(f25(X1),f25(X2))
     => X1 = X2 ) )).

fof(formula_93,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f39(X1))
        & p8(f39(X1)) ) ) )).

fof(formula_203,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(f15(X1,X2),X3)
       => ( p1(X1,f19(X3))
          & p1(X2,f35(X3)) ) ) ) )).

fof(formula_272,axiom,(
    ! [X1] : 
      ( p3(X1)
     => X1 = c27 ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p26(X1,X2)
        <=> ! [X3] : 
              ( p1(X3,X2)
             => p1(f15(X3,X3),X1) ) ) ) )).

fof(formula_60,axiom,(
    $true )).

fof(formula_57,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
       => f43(X1) = f39(X1) ) ) )).

fof(formula_44,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f34(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_294,lemma,(
    ! [X1,X2,X3] : 
      ( f25(X1) = f10(X2,X3)
     => X2 = X3 ) )).

fof(formula_236,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p40(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p40(X1,X2) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : f24(X1) = f11(X1,f25(X1)) )).

fof(formula_248,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p16(f19(X1),f35(X2))
           => f35(f41(X2,X1)) = f35(X1) ) ) ) )).

fof(formula_150,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(X2,f19(f17(X3,X1)))
      <=> ( p1(X2,f19(X3))
          & p1(X2,X1) ) ) ) )).

fof(formula_220,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => ~ ( p16(X1,X2)
          & X1 != c27
          & ! [X3] : 
              ( p5(X3)
             => ~ ( p1(X3,X1)
                  & ! [X4] : 
                      ( p5(X4)
                     => ( p1(X4,X1)
                       => p13(X3,X4) ) ) ) ) ) ) )).

fof(formula_269,lemma,(
    ! [X1,X2] : 
      ( f34(X1,f25(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_59,axiom,(
    $true )).

fof(formula_255,lemma,(
    ! [X1] : 
      ( X1 != c27
     => ! [X2] : 
          ( p30(X2,f29(X1))
         => ! [X3] : 
              ( p30(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f36(X1,X2)) ) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( X1 = c27
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_260,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ( ( p9(X2)
          & p1(X1,f35(X2)) )
       => ( X1 = f20(X2,f20(f43(X2),X1))
          & X1 = f20(f41(f43(X2),X2),X1) ) ) ) )).

fof(formula_128,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f19(X1))
        & p8(f19(X1)) ) ) )).

fof(formula_115,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f11(X1,X2)) ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => ( p13(X1,X2)
        | p13(X2,X1) ) ) )).

fof(formula_39,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( ( p1(X2,f19(X1))
           => ( X3 = f20(X1,X2)
            <=> p1(f15(X2,X3),X1) ) )
          & ( ~ p1(X2,f19(X1))
           => ( X3 = f20(X1,X2)
            <=> X3 = c27 ) ) ) ) )).

fof(formula_223,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f15(X1,X2) = f15(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p7(X1)
    <=> ! [X2,X3] : 
          ~ ( p1(X2,X1)
            & p1(X3,X1)
            & ~ p1(X2,X3)
            & X2 != X3
            & ~ p1(X3,X2) ) ) )).

fof(formula_124,axiom,(
    p8(c27) )).

fof(formula_292,lemma,(
    ! [X1] : f33(f29(X1)) = X1 )).

fof(formula_262,lemma,(
    f19(c27) = c27 )).

fof(formula_270,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( X2 = f17(X3,X1)
          <=> ( f19(X2) = f12(f19(X3),X1)
              & ! [X4] : 
                  ( p1(X4,f19(X2))
                 => f20(X2,X4) = f20(X3,X4) ) ) ) ) ) )).

fof(formula_222,lemma,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2)
     => p16(f34(X1,X3),f34(X2,X3)) ) )).

fof(formula_125,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
        & ~ p3(X2) )
     => ~ p3(f31(X1,X2)) ) )).

fof(formula_232,lemma,(
    ! [X1,X2] : 
      ( p16(X1,f25(X2))
    <=> ( X1 = c27
        | X1 = f25(X2) ) ) )).

fof(formula_279,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & ! [X3] : 
            ~ ( p1(X3,X2)
              & ! [X4] : 
                  ~ ( p1(X4,X2)
                    & p1(X4,X3) ) ) ) )).

fof(formula_79,axiom,(
    $true )).

fof(formula_118,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f34(X1,X2)) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p16(X1,X2)
          <=> ! [X3,X4] : 
                ( p1(f15(X3,X4),X1)
               => p1(f15(X3,X4),X2) ) ) ) ) )).

fof(formula_172,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f15(X1,X2),f31(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_278,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p3(X2) ) )).

fof(formula_116,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1)
        & p9(X1) )
     => ( p8(f39(X1))
        & p4(f39(X1)) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p3(X1)
        & p4(X1) )
     => ( p8(X1)
        & p4(X1)
        & p9(X1) ) ) )).

fof(formula_233,axiom,(
    ! [X1] : f34(X1,c27) = X1 )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p4(X1) ) )).

fof(formula_190,lemma,(
    ! [X1] : 
      ( p8(X1)
     => f18(X1,f19(X1)) = f35(X1) ) )).

fof(formula_249,lemma,(
    ! [X1,X2] : 
      ( p30(X2,f29(f29(X1)))
     => ( X2 != c27
       => f47(X1,f32(X1),f45(X1,X2)) = f46(X1,f42(X1,X2)) ) ) )).

fof(formula_76,axiom,(
    $true )).

fof(formula_258,lemma,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
       => ( f35(X1) = f19(f43(X1))
          & f19(X1) = f35(f43(X1)) ) ) ) )).

fof(formula_151,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1) ) )).

fof(formula_103,axiom,(
    ! [X1,X2] : ~ p3(f15(X1,X2)) )).

fof(formula_289,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p16(X1,f33(X2)) ) )).

fof(formula_169,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => p13(X1,X1) ) )).

fof(formula_208,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( p1(X1,f19(X2))
           => f20(f41(X2,X3),X1) = f20(X3,f20(X2,X1)) ) ) ) )).

fof(formula_43,axiom,(
    ! [X1,X2] : 
      ( X2 = f33(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_171,axiom,(
    ! [X1,X2] : 
      ( p40(X1,X2)
     => p40(X2,X1) ) )).

fof(formula_132,axiom,(
    ! [X1,X2] : f12(X1,X1) = X1 )).

fof(formula_188,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f18(X2,X1) = f18(X2,f12(f19(X2),X1)) ) )).

fof(formula_266,lemma,(
    ! [X1,X2,X3] : 
      ( ( p16(X1,X2)
        & p40(X2,X3) )
     => p40(X1,X3) ) )).

fof(formula_109,axiom,(
    p3(c27) )).

fof(formula_288,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f19(f17(X2,X1)) = f12(f19(X2),X1) ) )).

fof(formula_53,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
      <=> ! [X2,X3] : 
            ( ( p1(X2,f19(X1))
              & p1(X3,f19(X1))
              & f20(X1,X2) = f20(X1,X3) )
           => X2 = X3 ) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ( p6(X1)
        & p7(X1) )
     => p5(X1) ) )).

fof(formula_228,lemma,(
    ! [X1,X2] : 
      ( f34(X1,X2) = c27
    <=> p16(X1,X2) ) )).

fof(formula_75,axiom,(
    ! [X1,X2] : 
      ( p30(X2,f29(X1))
     => p30(f36(X1,X2),f29(X1)) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2,X3] : 
          ( X3 = f18(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f15(X5,X4),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_61,axiom,(
    $true )).

fof(formula_94,axiom,(
    p3(c27) )).

fof(formula_112,axiom,(
    p5(c27) )).

fof(formula_244,lemma,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => X2 = f11(X1,f34(X2,X1)) ) )).

fof(formula_230,lemma,(
    ! [X1,X2,X3] : 
      ( p16(f10(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_33,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f11(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( p16(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_254,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p40(X1,X2)
          & ! [X3] : ~ p1(X3,f12(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f12(X1,X2))
          & p40(X1,X2) ) ) )).

fof(formula_77,axiom,(
    $true )).

fof(formula_119,axiom,(
    ! [X1,X2] : ~ p3(f10(X1,X2)) )).

fof(formula_83,axiom,(
    ! [X1] : p8(f14(X1)) )).

fof(formula_200,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p30(X1,X2) ) )).

fof(formula_58,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p44(X1)
      <=> p26(X1,f38(X1)) ) ) )).

fof(formula_106,axiom,(
    p48(c27) )).

fof(formula_194,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f22(X2,X1),f19(X2)) ) )).

fof(formula_239,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ( p37(X1)
      <=> ! [X2] : 
            ( p5(X2)
           => ( p1(X2,X1)
             => p1(f24(X2),X1) ) ) ) ) )).

fof(formula_85,axiom,(
    ! [X1,X2,X3] : 
      ( ( p30(X2,f29(X1))
        & p30(X3,f29(X1)) )
     => p30(f47(X1,X2,X3),f29(X1)) ) )).

fof(formula_277,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p8(X4)
     => ( p1(f15(X1,X2),f41(f14(X3),X4))
      <=> ( p1(X1,X3)
          & p1(f15(X1,X2),X4) ) ) ) )).

fof(formula_55,axiom,(
    ! [X1,X2] : 
      ( p30(X2,f29(f29(X1)))
     => ! [X3] : 
          ( p30(X3,f29(f29(X1)))
         => ( X3 = f42(X1,X2)
          <=> ! [X4] : 
                ( p30(X4,f29(X1))
               => ( p1(X4,X3)
                <=> p1(f36(X1,X4),X2) ) ) ) ) ) )).

fof(formula_235,axiom,(
    ! [X1,X2] : 
      ( p30(X1,f29(X2))
    <=> p16(X1,X2) ) )).

fof(formula_86,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f17(X1,X2)) ) )).

fof(formula_201,lemma,(
    ! [X1,X2,X3] : 
      ( ( p16(X1,X2)
        & p16(X2,X3) )
     => p16(X1,X3) ) )).

fof(formula_121,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p8(f17(X1,X2))
        & p4(f17(X1,X2)) ) ) )).

fof(formula_73,axiom,(
    $true )).

fof(formula_216,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_189,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( p16(X1,f19(X2))
       => p16(X1,f22(X2,f18(X2,X1))) ) ) )).

fof(formula_168,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => ( p13(X1,X2)
      <=> p16(X1,X2) ) ) )).

fof(formula_131,axiom,(
    ! [X1,X2] : f11(X1,X1) = X1 )).

fof(formula_70,axiom,(
    ! [X1] : p30(f32(X1),f29(X1)) )).

fof(formula_261,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p30(X2,f29(X3))
        & p3(X3) ) )).

fof(formula_227,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( f35(X1) = f19(f39(X1))
        & f19(X1) = f35(f39(X1)) ) ) )).

fof(formula_148,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f15(X1,X2),f31(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_63,axiom,(
    $true )).

fof(formula_192,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => f35(f41(X1,X2)) = f18(X2,f35(X1)) ) ) )).

fof(formula_146,lemma,(
    ! [X1,X2] : 
      ( p16(X1,f25(X2))
    <=> ( X1 = c27
        | X1 = f25(X2) ) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => ! [X3] : 
          ( p8(X3)
         => ( X3 = f21(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f15(X4,X5),X3)
              <=> ( p1(X5,X1)
                  & p1(f15(X4,X5),X2) ) ) ) ) ) )).

fof(formula_65,axiom,(
    $true )).

fof(formula_141,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p40(f25(X1),X2) ) )).

fof(formula_154,axiom,(
    ! [X1] : 
      ( ~ p3(X1)
     => ? [X2] : 
          ( p30(X2,f29(X1))
          & ~ p3(X2) ) ) )).

fof(formula_231,lemma,(
    ! [X1,X2] : f11(X1,f34(X2,X1)) = f11(X1,X2) )).

fof(formula_149,lemma,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p30(X1,f29(X2)) ) )).

fof(formula_145,lemma,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2)
     => ( p1(X3,X1)
        | p16(X1,f34(X2,f25(X3))) ) ) )).

fof(formula_97,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p48(X1) )
     => ( p8(f17(X1,X2))
        & p48(f17(X1,X2)) ) ) )).

fof(formula_49,axiom,(
    ! [X1] : 
      ( p37(X1)
    <=> X1 = f33(X1) ) )).

fof(formula_268,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( f19(X1) = c27
      <=> f35(X1) = c27 ) ) )).

fof(formula_156,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p3(X1)
      & p4(X1) ) )).

fof(formula_251,lemma,(
    ! [X1,X2] : f34(X1,f34(X1,X2)) = f12(X1,X2) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( ( X1 != c27
       => ( X2 = f28(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ! [X4] : 
                  ( p1(X4,X1)
                 => p1(X3,X4) ) ) ) )
      & ( X1 = c27
       => ( X2 = f28(X1)
        <=> X2 = c27 ) ) ) )).

fof(formula_184,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => f17(f21(X1,X3),X2) = f21(X1,f17(X3,X2)) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( X3 = f22(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( p1(X4,f19(X1))
                & p1(f20(X1,X4),X2) ) ) ) ) )).

fof(formula_64,axiom,(
    $true )).

fof(formula_38,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f12(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_155,axiom,(
    ? [X1] : p3(X1) )).

fof(formula_127,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p8(X1) )
     => ~ p3(f35(X1)) ) )).

fof(formula_218,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(f15(X1,X2),X3)
       => ( p1(X1,f38(X3))
          & p1(X2,f38(X3)) ) ) ) )).

fof(formula_84,axiom,(
    ! [X1,X2] : 
      ( p30(X2,f29(f29(X1)))
     => p30(f46(X1,X2),f29(X1)) ) )).

fof(formula_46,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( X2 = f35(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f15(X4,X3),X1) ) ) ) )).

fof(formula_207,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( p1(X1,f19(f41(X3,X2)))
           => f20(f41(X3,X2),X1) = f20(X2,f20(X3,X1)) ) ) ) )).

fof(formula_31,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
       => ( p30(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p3(X1)
       => ( p30(X2,X1)
        <=> p3(X2) ) ) ) )).

fof(formula_54,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ! [X3] : 
              ( p8(X3)
             => ( X3 = f41(X1,X2)
              <=> ! [X4,X5] : 
                    ( p1(f15(X4,X5),X3)
                  <=> ? [X6] : 
                        ( p1(f15(X4,X6),X1)
                        & p1(f15(X6,X5),X2) ) ) ) ) ) ) )).

fof(formula_202,lemma,(
    f29(c27) = f25(c27) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2,X3] : 
          ( X3 = f22(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f15(X4,X5),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_107,axiom,(
    p4(c27) )).

fof(formula_245,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p16(f35(X1),f19(X2))
           => f19(f41(X1,X2)) = f19(X1) ) ) ) )).

fof(formula_160,axiom,(
    ? [X1] : ~ p3(X1) )).

fof(formula_90,axiom,(
    $true )).

fof(formula_74,axiom,(
    $true )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p8(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f15(X3,X4) ) ) )).

fof(formula_183,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p16(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f29(X3),X2) )
      & ! [X3] : 
          ~ ( p16(X3,X2)
            & ~ p49(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_138,lemma,(
    ! [X1] : f25(X1) != c27 )).

fof(formula_81,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f41(X1,X2)) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : f10(X1,X2) = f10(X2,X1) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( X2 = f14(X1)
      <=> ! [X3,X4] : 
            ( p1(f15(X3,X4),X2)
          <=> ( p1(X3,X1)
              & X3 = X4 ) ) ) ) )).

fof(formula_256,lemma,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
       => ! [X2] : 
            ( ( p8(X2)
              & p4(X2) )
           => ( X2 = f43(X1)
            <=> ( f19(X2) = f35(X1)
                & ! [X3,X4] : 
                    ( ( ( p1(X3,f35(X1))
                        & X4 = f20(X2,X3) )
                     => ( p1(X4,f19(X1))
                        & X3 = f20(X1,X4) ) )
                    & ( ( p1(X4,f19(X1))
                        & X3 = f20(X1,X4) )
                     => ( p1(X3,f35(X1))
                        & X4 = f20(X2,X3) ) ) ) ) ) ) ) ) )).

fof(formula_134,axiom,(
    ! [X1] : 
      ( p8(X1)
     => f39(f39(X1)) = X1 ) )).

fof(formula_247,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f11(f25(X1),X2) = X2 ) )).

fof(formula_140,lemma,(
    ! [X1,X2] : 
      ~ ( p40(f25(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_187,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => p16(f18(X2,f22(X2,X1)),X1) ) )).

fof(formula_264,lemma,(
    ! [X1,X2] : 
      ~ ( p16(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p5(X1)
    <=> ( p6(X1)
        & p7(X1) ) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p16(X1,X2)
        & p16(X2,X1) ) ) )).
%------------------------------------------------------------------------------
