%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(A,C) = f15(B,C) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(C,A) = f15(C,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f19(A) = f19(B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(A,C) = f20(B,C) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(C,A) = f20(C,B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(A,C) = f21(B,C) ) )).

fof(f21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(C,A) = f21(C,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f24(A) = f24(B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(A,C) = f25(B,C) ) )).

fof(f25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(C,A) = f25(C,B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f28(A,C,D) = f28(B,C,D) ) )).

fof(f28_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f28(C,A,D) = f28(C,B,D) ) )).

fof(f28_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f28(C,D,A) = f28(C,D,B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f29(A) = f29(B) ) )).

fof(f30_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f30(A) = f30(B) ) )).

fof(f33_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f33(A) = f33(B) ) )).

fof(f34_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f34(A) = f34(B) ) )).

fof(f36_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f36(A,C) = f36(B,C) ) )).

fof(f36_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f36(C,A) = f36(C,B) ) )).

fof(f37_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f37(A) = f37(B) ) )).

fof(f38_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f38(A) = f38(B) ) )).

fof(f39_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f39(A,C) = f39(B,C) ) )).

fof(f39_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f39(C,A) = f39(C,B) ) )).

fof(f40_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f40(A) = f40(B) ) )).

fof(f41_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f41(A,C) = f41(B,C) ) )).

fof(f41_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f41(C,A) = f41(C,B) ) )).

fof(f43_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f43(A) = f43(B) ) )).

fof(f45_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f45(A,C) = f45(B,C) ) )).

fof(f45_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f45(C,A) = f45(C,B) ) )).

fof(f46_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f46(A,C) = f46(B,C) ) )).

fof(f46_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f46(C,A) = f46(C,B) ) )).

fof(f47_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f47(A) = f47(B) ) )).

fof(f49_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f49(A,C) = f49(B,C) ) )).

fof(f49_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f49(C,A) = f49(C,B) ) )).

fof(f50_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f50(A,C) = f50(B,C) ) )).

fof(f50_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f50(C,A) = f50(C,B) ) )).

fof(f51_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f51(A,C,D) = f51(B,C,D) ) )).

fof(f51_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f51(C,A,D) = f51(C,B,D) ) )).

fof(f51_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f51(C,D,A) = f51(C,D,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(A,C) )
     => p13(B,C) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(C,A) )
     => p13(C,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(A,C) )
     => p16(B,C) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(C,A) )
     => p16(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(A,C) )
     => p23(B,C) ) )).

fof(p23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(C,A) )
     => p23(C,B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p26(A) )
     => p26(B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(A,C) )
     => p27(B,C) ) )).

fof(p27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(C,A) )
     => p27(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p31(A,C) )
     => p31(B,C) ) )).

fof(p31_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p31(C,A) )
     => p31(C,B) ) )).

fof(p35_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p35(A,C) )
     => p35(B,C) ) )).

fof(p35_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p35(C,A) )
     => p35(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p42_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p42(A) )
     => p42(B) ) )).

fof(p44_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p44(A,C) )
     => p44(B,C) ) )).

fof(p44_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p44(C,A) )
     => p44(C,B) ) )).

fof(p48_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p48(A) )
     => p48(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p52_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p52(A) )
     => p52(B) ) )).

fof(p53_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p53(A,C) )
     => p53(B,C) ) )).

fof(p53_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p53(C,A) )
     => p53(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_211,lemma,(
    ! [X1] : 
      ( p6(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p2(X1,X2)
           => p1(X1,X2) ) ) ) )).

fof(formula_287,lemma,(
    ! [X1,X2] : 
      ( p44(X1,X2)
    <=> f39(X1,X2) = X1 ) )).

fof(formula_145,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p44(f30(X1),X2) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : f10(X1,X2) = f10(X2,X1) )).

fof(formula_48,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2] : 
          ( X2 = f40(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : 
                  ( p1(X4,f19(X1))
                  & X3 = f20(X1,X4) ) ) ) ) )).

fof(formula_219,lemma,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => f12(X1,X2) = X1 ) )).

fof(formula_181,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f40(f21(X2,X3)))
      <=> ( p1(X1,X2)
          & p1(X1,f40(X3)) ) ) ) )).

fof(formula_57,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ! [X3] : 
              ( p8(X3)
             => ( X3 = f45(X1,X2)
              <=> ! [X4,X5] : 
                    ( p1(f15(X4,X5),X3)
                  <=> ? [X6] : 
                        ( p1(f15(X4,X6),X1)
                        & p1(f15(X6,X5),X2) ) ) ) ) ) ) )).

fof(formula_127,axiom,(
    p3(c32) )).

fof(formula_290,axiom,(
    ! [X1,X2] : 
      ~ ( p3(X1)
        & X1 != X2
        & p3(X2) ) )).

fof(formula_36,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f36(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f15(X5,X6) ) ) ) )).

fof(formula_281,lemma,(
    ! [X1] : 
      ( f19(f14(X1)) = X1
      & f40(f14(X1)) = X1 ) )).

fof(formula_112,axiom,(
    p9(c32) )).

fof(formula_233,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( f40(X1) = f19(f43(X1))
        & f19(X1) = f40(f43(X1)) ) ) )).

fof(formula_271,lemma,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
       => p9(f47(X1)) ) ) )).

fof(formula_196,lemma,(
    ! [X1] : 
      ( p8(X1)
     => f18(X1,f19(X1)) = f40(X1) ) )).

fof(formula_226,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => ~ ( p16(X1,X2)
          & X1 != c32
          & ! [X3] : 
              ( p5(X3)
             => ~ ( p1(X3,X1)
                  & ! [X4] : 
                      ( p5(X4)
                     => ( p1(X4,X1)
                       => p13(X3,X4) ) ) ) ) ) ) )).

fof(formula_77,axiom,(
    $true )).

fof(formula_79,axiom,(
    ! [X1,X2] : 
      ( p35(X2,f34(X1))
     => p35(f41(X1,X2),f34(X1)) ) )).

fof(formula_164,axiom,(
    ? [X1] : 
      ( ~ p3(X1)
      & p8(X1) ) )).

fof(formula_119,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f11(X1,X2)) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p8(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f15(X3,X4) ) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p31(X1,X2)
        <=> ! [X3] : 
              ( p1(X3,X2)
             => p1(f15(X3,X3),X1) ) ) ) )).

fof(formula_63,axiom,(
    $true )).

fof(formula_24,axiom,(
    ! [X1] : f29(X1) = f11(X1,f30(X1)) )).

fof(formula_139,axiom,(
    ! [X1,X2] : 
      ( p35(X2,f34(f34(X1)))
     => f46(X1,f46(X1,X2)) = X2 ) )).

fof(formula_146,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( p26(X1)
      <=> ! [X2,X3,X4] : 
            ( ( p1(f15(X2,X3),X1)
              & p1(f15(X3,X4),X1) )
           => p1(f15(X2,X4),X1) ) ) ) )).

fof(formula_34,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f10(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_72,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p8(f47(X1))
        & p4(f47(X1)) ) ) )).

fof(formula_232,lemma,(
    ! [X1,X2] : p16(f39(X1,X2),X1) )).

fof(formula_109,axiom,(
    p8(c32) )).

fof(formula_216,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ~ ( ~ p1(X1,X2)
              & X1 != X2
              & ~ p1(X2,X1) ) ) ) )).

fof(formula_236,lemma,(
    ! [X1,X2,X3] : 
      ( p16(f10(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_65,axiom,(
    $true )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_182,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f40(f21(X1,X2)),X1) ) )).

fof(formula_147,lemma,(
    ! [X1,X2] : 
      ( p16(f30(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_223,lemma,(
    ! [X1] : p16(c32,X1) )).

fof(formula_84,axiom,(
    $true )).

fof(formula_53,axiom,(
    ! [X1] : 
      ( p8(X1)
     => f24(X1) = f11(f19(X1),f40(X1)) ) )).

fof(formula_209,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(f15(X1,X2),X3)
       => ( p1(X1,f19(X3))
          & p1(X2,f40(X3)) ) ) ) )).

fof(formula_278,axiom,(
    ! [X1] : 
      ( p3(X1)
     => X1 = c32 ) )).

fof(formula_102,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p4(X1)
        & p8(X2)
        & p4(X2) )
     => ( p8(f45(X1,X2))
        & p4(f45(X1,X2)) ) ) )).

fof(formula_292,lemma,(
    ! [X1,X2,X3] : 
      ( ( p16(X1,X2)
        & p16(X3,X2) )
     => p16(f11(X1,X3),X2) ) )).

fof(formula_99,axiom,(
    p8(c32) )).

fof(formula_81,axiom,(
    $true )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( p42(X1)
    <=> X1 = f38(X1) ) )).

fof(formula_195,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( p16(X1,f19(X2))
       => p16(X1,f25(X2,f18(X2,X1))) ) ) )).

fof(formula_172,axiom,(
    ! [X1,X2] : 
      ( p35(X2,f34(f34(X1)))
     => f50(X1,X2) = f33(X2) ) )).

fof(formula_184,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f40(f21(X1,X2)),f40(X2)) ) )).

fof(formula_189,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p16(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f34(X3),X2) )
      & ! [X3] : 
          ~ ( p16(X3,X2)
            & ~ p53(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_190,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => f17(f21(X1,X3),X2) = f21(X1,f17(X3,X2)) ) )).

fof(formula_80,axiom,(
    $true )).

fof(formula_168,axiom,(
    ? [X1] : 
      ( ~ p3(X1)
      & p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_267,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p35(X2,f34(X3))
        & p3(X3) ) )).

fof(formula_187,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p16(X1,X2)
        & p16(X3,X4) )
     => p16(f36(X1,X3),f36(X2,X4)) ) )).

fof(formula_148,lemma,(
    ! [X1,X2] : 
      ( f39(X1,X2) = c32
    <=> p16(X1,X2) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : f11(X1,X2) = f11(X2,X1) )).

fof(formula_298,lemma,(
    ! [X1] : f38(f34(X1)) = X1 )).

fof(formula_151,lemma,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2)
     => ( p1(X3,X1)
        | p16(X1,f39(X2,f30(X3))) ) ) )).

fof(formula_262,lemma,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
       => ! [X2] : 
            ( ( p8(X2)
              & p4(X2) )
           => ( X2 = f47(X1)
            <=> ( f19(X2) = f40(X1)
                & ! [X3,X4] : 
                    ( ( ( p1(X3,f40(X1))
                        & X4 = f20(X2,X3) )
                     => ( p1(X4,f19(X1))
                        & X3 = f20(X1,X4) ) )
                    & ( ( p1(X4,f19(X1))
                        & X3 = f20(X1,X4) )
                     => ( p1(X3,f40(X1))
                        & X4 = f20(X2,X3) ) ) ) ) ) ) ) ) )).

fof(formula_92,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => p8(f21(X1,X2)) ) )).

fof(formula_154,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f15(X1,X2),f36(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_49,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( X2 = f40(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f15(X4,X3),X1) ) ) ) )).

fof(formula_134,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p8(X2) )
     => ( p3(f45(X1,X2))
        & p8(f45(X1,X2)) ) ) )).

fof(formula_113,axiom,(
    p3(c32) )).

fof(formula_174,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => ( p13(X1,X2)
      <=> p16(X1,X2) ) ) )).

fof(formula_256,lemma,(
    ! [X1,X2] : 
      ( p35(X2,f34(f34(X1)))
     => ( X2 != c32
       => f49(X1,f46(X1,X2)) = f51(X1,f37(X1),f50(X1,X2)) ) ) )).

fof(formula_152,lemma,(
    ! [X1,X2] : 
      ( p16(X1,f30(X2))
    <=> ( X1 = c32
        | X1 = f30(X2) ) ) )).

fof(formula_241,axiom,(
    ! [X1,X2] : 
      ( p35(X1,f34(X2))
    <=> p16(X1,X2) ) )).

fof(formula_217,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p16(X1,X2)
           => ( p16(f19(X1),f19(X2))
              & p16(f40(X1),f40(X2)) ) ) ) ) )).

fof(formula_23,axiom,(
    ! [X1,X2,X3,X4] : 
      ( X4 = f28(X1,X2,X3)
    <=> ! [X5] : 
          ( p1(X5,X4)
        <=> ~ ( X5 != X1
              & X5 != X2
              & X5 != X3 ) ) ) )).

fof(formula_94,axiom,(
    $true )).

fof(formula_98,axiom,(
    p3(c32) )).

fof(formula_142,lemma,(
    ! [X1] : f30(X1) != c32 )).

fof(formula_179,lemma,(
    ! [X1] : p1(X1,f29(X1)) )).

fof(formula_263,lemma,(
    ! [X1,X2,X3] : 
      ( p35(X3,f34(X1))
     => ~ ( p1(X2,f41(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_183,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f21(X1,X2),X2) ) )).

fof(formula_295,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p16(X1,f38(X2)) ) )).

fof(formula_42,axiom,(
    ! [X1] : 
      ( p5(X1)
    <=> ( p6(X1)
        & p7(X1) ) ) )).

fof(formula_141,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( p48(X1)
      <=> ! [X2] : 
            ( p1(X2,f24(X1))
           => p1(f15(X2,X2),X1) ) ) ) )).

fof(formula_160,axiom,(
    ! [X1] : 
      ( ~ p3(X1)
     => ? [X2] : 
          ( p35(X2,f34(X1))
          & ~ p3(X2) ) ) )).

fof(formula_108,axiom,(
    ! [X1] : 
      ( p8(f14(X1))
      & p4(f14(X1)) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p26(X1)
      <=> p27(X1,f24(X1)) ) ) )).

fof(formula_258,axiom,(
    ! [X1] : f39(c32,X1) = c32 )).

fof(formula_125,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p8(f17(X1,X2))
        & p4(f17(X1,X2)) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ( p6(X1)
        & p7(X1) )
     => p5(X1) ) )).

fof(formula_130,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p8(X1) )
     => ~ p3(f19(X1)) ) )).

fof(formula_35,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f11(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_198,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => f40(f45(X1,X2)) = f18(X2,f40(X1)) ) ) )).

fof(formula_279,lemma,(
    ! [X1,X2] : 
      ( p16(f30(X1),f30(X2))
     => X1 = X2 ) )).

fof(formula_213,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( p1(X1,f19(f45(X3,X2)))
           => f20(f45(X3,X2),X1) = f20(X2,f20(X3,X1)) ) ) ) )).

fof(formula_55,axiom,(
    ! [X1,X2] : 
      ( p44(X1,X2)
    <=> f12(X1,X2) = c32 ) )).

fof(formula_288,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f19(f17(X3,X2)))
      <=> ( p1(X1,X2)
          & p1(X1,f19(X3)) ) ) ) )).

fof(formula_163,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1)
      & p9(X1)
      & p3(X1)
      & p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_207,lemma,(
    ! [X1,X2,X3] : 
      ( ( p16(X1,X2)
        & p16(X2,X3) )
     => p16(X1,X3) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ( X2 = f38(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_294,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f19(f17(X2,X1)) = f12(f19(X2),X1) ) )).

fof(formula_62,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p48(X1)
      <=> p31(X1,f24(X1)) ) ) )).

fof(formula_30,axiom,(
    ! [X1,X2] : 
      ( X2 = f34(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p16(X3,X1) ) ) )).

fof(formula_87,axiom,(
    ! [X1] : p8(f14(X1)) )).

fof(formula_221,axiom,(
    ! [X1,X2] : 
      ( p35(X1,X2)
     => ( p3(X2)
        | p1(X1,X2) ) ) )).

fof(formula_38,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p16(X1,X2)
          <=> ! [X3,X4] : 
                ( p1(f15(X3,X4),X1)
               => p1(f15(X3,X4),X2) ) ) ) ) )).

fof(formula_128,axiom,(
    p8(c32) )).

fof(formula_215,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => ( p1(X1,X2)
       => p5(X1) ) ) )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ( X2 = f30(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p6(X1)
        & p7(X1)
        & p5(X1) ) ) )).

fof(formula_178,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f15(X1,X2),f36(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_115,axiom,(
    p7(c32) )).

fof(formula_45,axiom,(
    ! [X1] : f37(X1) = X1 )).

fof(formula_158,axiom,(
    ? [X1] : 
      ( p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_204,lemma,(
    ! [X1,X2,X3] : 
      ( ( p16(X1,X2)
        & p16(X1,X3) )
     => p16(X1,f12(X2,X3)) ) )).

fof(formula_286,lemma,(
    ! [X1,X2] : p16(X1,f11(X1,X2)) )).

fof(formula_60,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p16(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_293,lemma,(
    ! [X1,X2,X3] : 
      ( f30(X1) = f10(X2,X3)
     => X1 = X2 ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p3(X1)
        & p4(X1) )
     => ( p8(X1)
        & p4(X1)
        & p9(X1) ) ) )).

fof(formula_121,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( ~ p3(f29(X1))
        & p6(f29(X1))
        & p7(f29(X1))
        & p5(f29(X1)) ) ) )).

fof(formula_296,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f17(X2,X1) = f45(f14(X1),X2) ) )).

fof(formula_88,axiom,(
    ! [X1,X2] : 
      ( p35(X2,f34(f34(X1)))
     => p35(f50(X1,X2),f34(X1)) ) )).

fof(formula_129,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
        & ~ p3(X2) )
     => ~ p3(f36(X1,X2)) ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => ( p13(X1,X2)
        | p13(X2,X1) ) ) )).

fof(formula_270,lemma,(
    ! [X1,X2] : 
      ~ ( p16(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_136,axiom,(
    ! [X1,X2] : f12(X1,X1) = X1 )).

fof(formula_205,axiom,(
    ! [X1] : f11(X1,c32) = X1 )).

fof(formula_66,axiom,(
    $true )).

fof(formula_138,axiom,(
    ! [X1] : 
      ( p8(X1)
     => f43(f43(X1)) = X1 ) )).

fof(formula_248,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => p16(f19(f45(X1,X2)),f19(X1)) ) ) )).

fof(formula_273,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( ( f19(X1) = c32
          | f40(X1) = c32 )
       => X1 = c32 ) ) )).

fof(formula_240,lemma,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p1(X2,X3)
        & p1(X3,X1) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p22(X1)
      <=> p23(X1,f24(X1)) ) ) )).

fof(formula_58,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p27(X1,X2)
        <=> ! [X3,X4,X5] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(X5,X2)
                & p1(f15(X3,X4),X1)
                & p1(f15(X4,X5),X1) )
             => p1(f15(X3,X5),X1) ) ) ) )).

fof(formula_155,lemma,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p35(X1,f34(X2)) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( X1 = c32
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_193,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => p16(f18(X2,f25(X2,X1)),X1) ) )).

fof(formula_83,axiom,(
    $true )).

fof(formula_208,lemma,(
    f34(c32) = f30(c32) )).

fof(formula_284,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p3(X2) ) )).

fof(formula_180,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f10(X1,X2) = f10(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_175,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => p13(X1,X1) ) )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( X2 = f19(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f15(X3,X4),X1) ) ) ) )).

fof(formula_169,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p52(X1) ) )).

fof(formula_192,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f18(X2,X1),f40(X2)) ) )).

fof(formula_252,lemma,(
    ! [X1,X2] : 
      ( p35(X2,f34(f34(X1)))
     => ~ ( X2 != c32
          & f46(X1,X2) = c32 ) ) )).

fof(formula_177,axiom,(
    ! [X1,X2] : 
      ( p44(X1,X2)
     => p44(X2,X1) ) )).

fof(formula_251,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p16(f40(X1),f19(X2))
           => f19(f45(X1,X2)) = f19(X1) ) ) ) )).

fof(formula_173,axiom,(
    ! [X1,X2,X3] : 
      ( ( p35(X2,f34(X1))
        & p35(X3,f34(X1)) )
     => f51(X1,X2,X3) = f39(X2,X3) ) )).

fof(formula_110,axiom,(
    p52(c32) )).

fof(formula_283,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p8(X4)
     => ( p1(f15(X1,X2),f45(f14(X3),X4))
      <=> ( p1(X1,X3)
          & p1(f15(X1,X2),X4) ) ) ) )).

fof(formula_61,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
       => f47(X1) = f43(X1) ) ) )).

fof(formula_167,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1)
      & p9(X1) ) )).

fof(formula_264,lemma,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
       => ( f40(X1) = f19(f47(X1))
          & f19(X1) = f40(f47(X1)) ) ) ) )).

fof(formula_140,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_100,axiom,(
    p52(c32) )).

fof(formula_56,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
      <=> ! [X2,X3] : 
            ( ( p1(X2,f19(X1))
              & p1(X3,f19(X1))
              & f20(X1,X2) = f20(X1,X3) )
           => X2 = X3 ) ) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2,X3] : 
          ( X3 = f25(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f15(X4,X5),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_131,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p8(X1) )
     => ~ p3(f40(X1)) ) )).

fof(formula_144,lemma,(
    ! [X1,X2] : 
      ~ ( p44(f30(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_122,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f39(X1,X2)) ) )).

fof(formula_118,axiom,(
    ! [X1] : ~ p3(f30(X1)) )).

fof(formula_120,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1)
        & p9(X1) )
     => ( p8(f43(X1))
        & p4(f43(X1)) ) ) )).

fof(formula_126,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( p6(f38(X1))
        & p7(f38(X1))
        & p5(f38(X1)) ) ) )).

fof(formula_247,lemma,(
    ! [X1,X2] : 
      ( p35(X2,f34(X1))
     => ! [X3] : 
          ( p35(X3,f34(X1))
         => ( p44(X2,X3)
          <=> p16(X2,f41(X1,X3)) ) ) ) )).

fof(formula_54,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( X2 = f43(X1)
          <=> ! [X3,X4] : 
                ( p1(f15(X3,X4),X2)
              <=> p1(f15(X4,X3),X1) ) ) ) ) )).

fof(formula_206,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p35(X1,X2) ) )).

fof(formula_132,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f19(X1))
        & p8(f19(X1)) ) ) )).

fof(formula_238,lemma,(
    ! [X1,X2] : 
      ( p16(X1,f30(X2))
    <=> ( X1 = c32
        | X1 = f30(X2) ) ) )).

fof(formula_73,axiom,(
    $true )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p8(X1) ) )).

fof(formula_266,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ( ( p9(X2)
          & p1(X1,f40(X2)) )
       => ( X1 = f20(X2,f20(f47(X2),X1))
          & X1 = f20(f45(f47(X2),X2),X1) ) ) ) )).

fof(formula_250,lemma,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => X2 = f11(X1,f39(X2,X1)) ) )).

fof(formula_123,axiom,(
    ! [X1,X2] : ~ p3(f10(X1,X2)) )).

fof(formula_222,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_153,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p16(X1,f38(X2)) ) )).

fof(formula_82,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p8(f43(X1)) ) )).

fof(formula_297,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f40(f17(X2,X1)),f40(X2)) ) )).

fof(formula_199,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f25(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f40(X3))
            & p1(f15(X1,X4),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_106,axiom,(
    p3(c32) )).

fof(formula_170,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p52(X1)
      & p4(X1) ) )).

fof(formula_162,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p3(X1)
      & p4(X1) ) )).

fof(formula_75,axiom,(
    $true )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => ! [X3] : 
          ( p8(X3)
         => ( X3 = f21(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f15(X4,X5),X3)
              <=> ( p1(X5,X1)
                  & p1(f15(X4,X5),X2) ) ) ) ) ) )).

fof(formula_268,lemma,(
    f19(c32) = c32 )).

fof(formula_117,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f11(X1,X2)) ) )).

fof(formula_203,lemma,(
    ! [X1,X2] : p16(f12(X1,X2),X1) )).

fof(formula_197,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ( p16(X1,f40(X2))
       => f18(X2,f25(X2,X1)) = X1 ) ) )).

fof(formula_231,lemma,(
    ! [X1,X2] : 
      ( p1(X2,X1)
     => f20(f14(X1),X2) = X2 ) )).

fof(formula_74,axiom,(
    ! [X1] : p35(f37(X1),f34(X1)) )).

fof(formula_257,lemma,(
    ! [X1,X2] : f39(X1,f39(X1,X2)) = f12(X1,X2) )).

fof(formula_59,axiom,(
    ! [X1,X2] : 
      ( p35(X2,f34(f34(X1)))
     => ! [X3] : 
          ( p35(X3,f34(f34(X1)))
         => ( X3 = f46(X1,X2)
          <=> ! [X4] : 
                ( p35(X4,f34(X1))
               => ( p1(X4,X3)
                <=> p1(f41(X1,X4),X2) ) ) ) ) ) )).

fof(formula_107,axiom,(
    ! [X1,X2] : ~ p3(f15(X1,X2)) )).

fof(formula_157,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1) ) )).

fof(formula_202,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p16(X1,X2)
       => p16(f25(X3,X1),f25(X3,X2)) ) ) )).

fof(formula_69,axiom,(
    $true )).

fof(formula_214,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( p1(X1,f19(X2))
           => f20(f45(X2,X3),X1) = f20(X3,f20(X2,X1)) ) ) ) )).

fof(formula_156,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(X2,f19(f17(X3,X1)))
      <=> ( p1(X2,f19(X3))
          & p1(X2,X1) ) ) ) )).

fof(formula_41,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( ( p1(X2,f19(X1))
           => ( X3 = f20(X1,X2)
            <=> p1(f15(X2,X3),X1) ) )
          & ( ~ p1(X2,f19(X1))
           => ( X3 = f20(X1,X2)
            <=> X3 = c32 ) ) ) ) )).

fof(formula_67,axiom,(
    $true )).

fof(formula_89,axiom,(
    ! [X1,X2,X3] : 
      ( ( p35(X2,f34(X1))
        & p35(X3,f34(X1)) )
     => p35(f51(X1,X2,X3),f34(X1)) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p6(X1)
    <=> ! [X2] : 
          ( p1(X2,X1)
         => p16(X2,X1) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( p6(X1)
        & p7(X1) ) ) )).

fof(formula_91,axiom,(
    ! [X1,X2] : 
      ( p35(X2,f34(f34(X1)))
     => p35(f46(X1,X2),f34(f34(X1))) ) )).

fof(formula_230,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ( X2 = f14(X1)
      <=> ( f19(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f20(X2,X3) = X3 ) ) ) ) )).

fof(formula_277,lemma,(
    ! [X1] : f10(X1,X1) = f30(X1) )).

fof(formula_96,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p8(X2) )
     => ( p3(f45(X2,X1))
        & p8(f45(X2,X1)) ) ) )).

fof(formula_269,lemma,(
    f40(c32) = c32 )).

fof(formula_137,axiom,(
    ! [X1,X2] : 
      ( p35(X2,f34(X1))
     => f41(X1,f41(X1,X2)) = X2 ) )).

fof(formula_249,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => p16(f40(f45(X1,X2)),f40(X2)) ) ) )).

fof(formula_259,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p35(X2,f34(X3)) )
     => p35(X1,X3) ) )).

fof(formula_272,lemma,(
    ! [X1,X2,X3] : 
      ( ( p16(X1,X2)
        & p44(X2,X3) )
     => p44(X1,X3) ) )).

fof(formula_111,axiom,(
    p4(c32) )).

fof(formula_299,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p16(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p16(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p16(X3,X2)
            & ~ p53(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_90,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f17(X1,X2)) ) )).

fof(formula_285,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & ! [X3] : 
            ~ ( p1(X3,X2)
              & ! [X4] : 
                  ~ ( p1(X4,X2)
                    & p1(X4,X3) ) ) ) )).

fof(formula_76,axiom,(
    $true )).

fof(formula_86,axiom,(
    ! [X1,X2] : 
      ( p35(X2,f34(f34(X1)))
     => p35(f49(X1,X2),f34(X1)) ) )).

fof(formula_245,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ( p42(X1)
      <=> ! [X2] : 
            ( p5(X2)
           => ( p1(X2,X1)
             => p1(f29(X2),X1) ) ) ) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2,X3] : 
          ( X3 = f18(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f15(X5,X4),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p4(X1) ) )).

fof(formula_143,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f11(f30(X1),X2) = X2 ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ( ( X1 != c32
       => ( X2 = f33(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ! [X4] : 
                  ( p1(X4,X1)
                 => p1(X3,X4) ) ) ) )
      & ( X1 = c32
       => ( X2 = f33(X1)
        <=> X2 = c32 ) ) ) )).

fof(formula_237,lemma,(
    ! [X1,X2] : f11(X1,f39(X2,X1)) = f11(X1,X2) )).

fof(formula_289,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f17(X2,X1),X2) ) )).

fof(formula_85,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f45(X1,X2)) ) )).

fof(formula_254,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p16(f19(X1),f40(X2))
           => f40(f45(X2,X1)) = f40(X1) ) ) ) )).

fof(formula_149,lemma,(
    ! [X1,X2] : 
      ( p35(X2,f34(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_274,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( f19(X1) = c32
      <=> f40(X1) = c32 ) ) )).

fof(formula_166,axiom,(
    ? [X1] : ~ p3(X1) )).

fof(formula_135,axiom,(
    ! [X1,X2] : f11(X1,X1) = X1 )).

fof(formula_95,axiom,(
    ! [X1] : 
    ? [X2] : p35(X2,X1) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( X2 = f14(X1)
      <=> ! [X3,X4] : 
            ( p1(f15(X3,X4),X2)
          <=> ( p1(X3,X1)
              & X3 = X4 ) ) ) ) )).

fof(formula_186,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f40(f21(X1,X2)) = f12(f40(X2),X1) ) )).

fof(formula_161,axiom,(
    ? [X1] : p3(X1) )).

fof(formula_64,axiom,(
    $true )).

fof(formula_44,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p23(X1,X2)
        <=> ! [X3,X4] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(f15(X3,X4),X1)
                & p1(f15(X4,X3),X1) )
             => X3 = X4 ) ) ) )).

fof(formula_133,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f40(X1))
        & p8(f40(X1)) ) ) )).

fof(formula_165,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p35(X2,f34(X1))
      & p3(X2) ) )).

fof(formula_68,axiom,(
    $true )).

fof(formula_246,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ( ~ ( ~ p42(X1)
            & ! [X2] : 
                ( p5(X2)
               => X1 != f29(X2) ) )
        & ~ ( ? [X2] : 
                ( p5(X2)
                & X1 = f29(X2) )
            & p42(X1) ) ) ) )).

fof(formula_218,lemma,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2)
     => p16(f12(X1,X3),f12(X2,X3)) ) )).

fof(formula_227,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p1(X1,X2)
          <=> p13(f29(X1),X2) ) ) ) )).

fof(formula_212,lemma,(
    ! [X1] : 
      ( p8(X1)
     => p16(X1,f36(f19(X1),f40(X1))) ) )).

fof(formula_260,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p44(X1,X2)
          & ! [X3] : ~ p1(X3,f12(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f12(X1,X2))
          & p44(X1,X2) ) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p16(X1,X2)
        & p16(X2,X1) ) ) )).

fof(formula_176,axiom,(
    ! [X1,X2] : p16(X1,X1) )).

fof(formula_243,lemma,(
    ! [X1] : 
      ( p16(X1,c32)
     => X1 = c32 ) )).

fof(formula_244,lemma,(
    ! [X1,X2] : f39(f11(X1,X2),X2) = f39(X1,X2) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_228,lemma,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2)
     => p16(f39(X1,X3),f39(X2,X3)) ) )).

fof(formula_229,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f15(X1,X2) = f15(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_300,lemma,(
    ! [X1,X2,X3] : 
      ( f30(X1) = f10(X2,X3)
     => X2 = X3 ) )).

fof(formula_104,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f12(X1,X2)) ) )).

fof(formula_116,axiom,(
    p5(c32) )).

fof(formula_103,axiom,(
    ! [X1] : ~ p3(f29(X1)) )).

fof(formula_282,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(X2,X1)
       => f20(f17(X3,X1),X2) = f20(X3,X2) ) ) )).

fof(formula_224,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(f15(X1,X2),X3)
       => ( p1(X1,f24(X3))
          & p1(X2,f24(X3)) ) ) ) )).

fof(formula_114,axiom,(
    p6(c32) )).

fof(formula_11,axiom,(
    ! [X1,X2] : f12(X1,X2) = f12(X2,X1) )).

fof(formula_188,lemma,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => f11(X1,X2) = X2 ) )).

fof(formula_47,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f39(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_50,axiom,(
    ! [X1,X2] : 
      ( p35(X2,f34(X1))
     => f41(X1,X2) = f39(X1,X2) ) )).

fof(formula_291,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(f15(X1,X2),X3)
      <=> ( p1(X1,f19(X3))
          & X2 = f20(X3,X1) ) ) ) )).

fof(formula_185,lemma,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2)
     => ( p16(f36(X1,X3),f36(X2,X3))
        & p16(f36(X3,X1),f36(X3,X2)) ) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( X1 = X2
          <=> ! [X3,X4] : 
                ( p1(f15(X3,X4),X1)
              <=> p1(f15(X3,X4),X2) ) ) ) ) )).

fof(formula_40,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f12(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_150,conjecture,(
    ! [X1] : 
      ( p8(X1)
     => ( p22(X1)
      <=> ! [X2,X3] : 
            ( ( p1(f15(X2,X3),X1)
              & p1(f15(X3,X2),X1) )
           => X2 = X3 ) ) ) )).

fof(formula_71,axiom,(
    $true )).

fof(formula_275,lemma,(
    ! [X1,X2] : 
      ( f39(X1,f30(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_234,lemma,(
    ! [X1,X2] : 
      ( f39(X1,X2) = c32
    <=> p16(X1,X2) ) )).

fof(formula_255,lemma,(
    ! [X1,X2] : 
      ( p35(X2,f34(f34(X1)))
     => ( X2 != c32
       => f51(X1,f37(X1),f49(X1,X2)) = f50(X1,f46(X1,X2)) ) ) )).

fof(formula_210,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( p1(X1,f19(f45(X3,X2)))
          <=> ( p1(X1,f19(X3))
              & p1(f20(X3,X1),f19(X2)) ) ) ) ) )).

fof(formula_276,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( X2 = f17(X3,X1)
          <=> ( f19(X2) = f12(f19(X3),X1)
              & ! [X4] : 
                  ( p1(X4,f19(X2))
                 => f20(X2,X4) = f20(X3,X4) ) ) ) ) ) )).

fof(formula_265,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( ! [X2,X3] : ~ p1(f15(X2,X3),X1)
       => X1 = c32 ) ) )).

fof(formula_78,axiom,(
    $true )).

fof(formula_105,axiom,(
    ! [X1] : ~ p3(f34(X1)) )).

fof(formula_225,lemma,(
    ! [X1] : 
      ( ! [X2] : 
          ( p1(X2,X1)
         => ( p5(X2)
            & p16(X2,X1) ) )
     => p5(X1) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( X3 = f25(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( p1(X4,f19(X1))
                & p1(f20(X1,X4),X2) ) ) ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( X3 = f18(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(X5,f19(X1))
                  & p1(X5,X2)
                  & X4 = f20(X1,X5) ) ) ) ) )).

fof(formula_200,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f25(X2,X1),f19(X2)) ) )).

fof(formula_101,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p52(X1) )
     => ( p8(f17(X1,X2))
        & p52(f17(X1,X2)) ) ) )).

fof(formula_194,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f18(X2,X1) = f18(X2,f12(f19(X2),X1)) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
       => ( p35(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p3(X1)
       => ( p35(X2,X1)
        <=> p3(X2) ) ) ) )).

fof(formula_171,axiom,(
    ! [X1,X2] : 
      ( p35(X2,f34(f34(X1)))
     => f49(X1,X2) = f38(X2) ) )).

fof(formula_253,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f11(f30(X1),X2) = X2 ) )).

fof(formula_261,lemma,(
    ! [X1] : 
      ( X1 != c32
     => ! [X2] : 
          ( p35(X2,f34(X1))
         => ! [X3] : 
              ( p35(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f41(X1,X2)) ) ) ) ) )).

fof(formula_201,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ~ ( X1 != c32
          & p16(X1,f40(X2))
          & f25(X2,X1) = c32 ) ) )).

fof(formula_51,axiom,(
    ! [X1,X2] : f15(X1,X2) = f10(f10(X1,X2),f30(X1)) )).

fof(formula_191,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f18(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f19(X3))
            & p1(f15(X4,X1),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_93,axiom,(
    $true )).

fof(formula_37,axiom,(
    ! [X1] : 
      ( p7(X1)
    <=> ! [X2,X3] : 
          ~ ( p1(X2,X1)
            & p1(X3,X1)
            & ~ p1(X2,X3)
            & X2 != X3
            & ~ p1(X3,X2) ) ) )).

fof(formula_235,lemma,(
    ! [X1,X2] : 
      ( p16(f30(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_124,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f11(X2,X1)) ) )).

fof(formula_280,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(X2,f19(f17(X3,X1)))
       => f20(f17(X3,X1),X2) = f20(X3,X2) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2,X3] : 
          ( p8(X3)
         => ( X3 = f17(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f15(X4,X5),X3)
              <=> ( p1(X4,X2)
                  & p1(f15(X4,X5),X1) ) ) ) ) ) )).

fof(formula_70,axiom,(
    $true )).

fof(formula_242,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p44(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p44(X1,X2) ) ) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ( p16(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_220,axiom,(
    ! [X1] : f12(X1,c32) = c32 )).

fof(formula_239,axiom,(
    ! [X1] : f39(X1,c32) = X1 )).

fof(formula_159,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p8(X1) ) )).

fof(formula_97,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f43(X1))
        & p8(f43(X1)) ) ) )).
%------------------------------------------------------------------------------
