%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
     => p7(X1,X2) ) )).

fof(formula_9,axiom,(
    $true )).

fof(formula_2,axiom,(
    $true )).

fof(formula_8,axiom,(
    ! [X1] : 
    ? [X2] : p7(X2,X1) )).

fof(formula_26,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f6(X1,X2)
    <=> ! [X4] : 
          ( p8(X4,X3)
        <=> ( p8(X4,X1)
            & p8(X4,X2) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p4(X1)
     => p2(X1) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ~ ( p8(X1,X2)
        & p4(X2) ) )).

fof(formula_12,axiom,(
    ? [X1] : ~ p4(X1) )).

fof(formula_4,axiom,(
    ? [X1] : 
      ( p1(X1)
      & p4(X1)
      & p2(X1) ) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( p1(X1)
     => p1(f9(X1,X2)) ) )).

fof(formula_25,conjecture,(
    ! [X1,X2,X3] : 
      ( p1(X3)
     => ( p8(X1,f9(X3,X2))
      <=> ( p8(X1,X3)
          & p8(X1,f10(X2,X2)) ) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : f9(X1,X2) = f6(X1,f10(X2,X2)) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
     => ( p4(X2)
        | p8(X1,X2) ) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ~ ( p4(X1)
        & X1 != X2
        & p4(X2) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( p1(X1)
        & p4(X1)
        & p2(X1) )
     => ( p1(X1)
        & p2(X1)
        & p3(X1) ) ) )).

fof(formula_20,axiom,(
    $true )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p4(X1)
     => X1 = c5 ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
     => ~ p8(X2,X1) ) )).

fof(formula_7,axiom,(
    ! [X1] : f6(X1,c5) = c5 )).

fof(formula_3,axiom,(
    ? [X1] : 
      ( p1(X1)
      & p2(X1) ) )).

fof(formula_21,axiom,(
    $true )).

fof(formula_11,axiom,(
    ? [X1] : p4(X1) )).

fof(formula_17,axiom,(
    ! [X1,X2] : f6(X1,X1) = X1 )).

fof(formula_16,axiom,(
    ! [X1,X2] : f6(X1,X2) = f6(X2,X1) )).

fof(formula_6,axiom,(
    p4(c5) )).

fof(formula_1,axiom,(
    ? [X1] : 
      ( p1(X1)
      & p2(X1)
      & p3(X1) ) )).
%------------------------------------------------------------------------------
