%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(A,C) = f15(B,C) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(C,A) = f15(C,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f19(A) = f19(B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(A,C) = f20(B,C) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(C,A) = f20(C,B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(A,C) = f21(B,C) ) )).

fof(f21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(C,A) = f21(C,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f24(A) = f24(B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(A,C) = f25(B,C) ) )).

fof(f25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(C,A) = f25(C,B) ) )).

fof(f30_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f30(A,C,D) = f30(B,C,D) ) )).

fof(f30_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f30(C,A,D) = f30(C,B,D) ) )).

fof(f30_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f30(C,D,A) = f30(C,D,B) ) )).

fof(f31_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f31(A) = f31(B) ) )).

fof(f32_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f32(A) = f32(B) ) )).

fof(f35_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f35(A) = f35(B) ) )).

fof(f36_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f36(A) = f36(B) ) )).

fof(f40_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f40(A,C) = f40(B,C) ) )).

fof(f40_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f40(C,A) = f40(C,B) ) )).

fof(f41_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f41(A,C) = f41(B,C) ) )).

fof(f41_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f41(C,A) = f41(C,B) ) )).

fof(f43_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f43(A) = f43(B) ) )).

fof(f44_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f44(A) = f44(B) ) )).

fof(f47_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f47(A,C) = f47(B,C) ) )).

fof(f47_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f47(C,A) = f47(C,B) ) )).

fof(f48_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f48(A) = f48(B) ) )).

fof(f49_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f49(A,C) = f49(B,C) ) )).

fof(f49_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f49(C,A) = f49(C,B) ) )).

fof(f52_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f52(A,C) = f52(B,C) ) )).

fof(f52_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f52(C,A) = f52(C,B) ) )).

fof(f53_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f53(A) = f53(B) ) )).

fof(f54_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f54(A,C) = f54(B,C) ) )).

fof(f54_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f54(C,A) = f54(C,B) ) )).

fof(f55_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f55(A,C) = f55(B,C) ) )).

fof(f55_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f55(C,A) = f55(C,B) ) )).

fof(f56_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f56(A) = f56(B) ) )).

fof(f57_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f57(A,C) = f57(B,C) ) )).

fof(f57_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f57(C,A) = f57(C,B) ) )).

fof(f58_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f58(A,C) = f58(B,C) ) )).

fof(f58_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f58(C,A) = f58(C,B) ) )).

fof(f59_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f59(A,C,D) = f59(B,C,D) ) )).

fof(f59_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f59(C,A,D) = f59(C,B,D) ) )).

fof(f59_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f59(C,D,A) = f59(C,D,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(A,C) )
     => p13(B,C) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(C,A) )
     => p13(C,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(A,C) )
     => p16(B,C) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(C,A) )
     => p16(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(A,C) )
     => p23(B,C) ) )).

fof(p23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(C,A) )
     => p23(C,B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p26(A) )
     => p26(B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(A,C) )
     => p27(B,C) ) )).

fof(p27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(C,A) )
     => p27(C,B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p28(A) )
     => p28(B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p29(A,C) )
     => p29(B,C) ) )).

fof(p29_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p29(C,A) )
     => p29(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p33_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p33(A,C) )
     => p33(B,C) ) )).

fof(p33_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p33(C,A) )
     => p33(C,B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p37(A,C) )
     => p37(B,C) ) )).

fof(p37_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p37(C,A) )
     => p37(C,B) ) )).

fof(p38_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p38(A) )
     => p38(B) ) )).

fof(p39_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p39(A,C) )
     => p39(B,C) ) )).

fof(p39_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p39(C,A) )
     => p39(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p42_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p42(A,C) )
     => p42(B,C) ) )).

fof(p42_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p42(C,A) )
     => p42(C,B) ) )).

fof(p45_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p45(A) )
     => p45(B) ) )).

fof(p46_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p46(A) )
     => p46(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p50_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p50(A,C) )
     => p50(B,C) ) )).

fof(p50_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p50(C,A) )
     => p50(C,B) ) )).

fof(p51_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p51(A) )
     => p51(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p60_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p60(A) )
     => p60(B) ) )).

fof(p61_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p61(A,C) )
     => p61(B,C) ) )).

fof(p61_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p61(C,A) )
     => p61(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_46,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( X2 = f19(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f15(X3,X4),X1) ) ) ) )).

fof(formula_251,lemma,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p1(X2,X3)
        & p1(X3,X1) ) )).

fof(formula_248,lemma,(
    ! [X1,X2] : f11(X1,f47(X2,X1)) = f11(X1,X2) )).

fof(formula_114,axiom,(
    ! [X1] : ~ p3(f36(X1)) )).

fof(formula_139,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p8(X1) )
     => ~ p3(f19(X1)) ) )).

fof(formula_254,lemma,(
    ! [X1] : 
      ( p16(X1,c34)
     => X1 = c34 ) )).

fof(formula_142,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f48(X1))
        & p8(f48(X1)) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( p6(X1)
        & p7(X1) ) ) )).

fof(formula_274,lemma,(
    ! [X1,X2,X3] : 
      ( p37(X3,f36(X1))
     => ~ ( p1(X2,f49(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_177,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1)
      & p9(X1) ) )).

fof(formula_222,lemma,(
    ! [X1] : 
      ( p6(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p2(X1,X2)
           => p1(X1,X2) ) ) ) )).

fof(formula_49,axiom,(
    ! [X1,X2] : 
      ( X2 = f44(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_66,axiom,(
    ! [X1,X2] : 
      ( p37(X2,f36(f36(X1)))
     => ! [X3] : 
          ( p37(X3,f36(f36(X1)))
         => ( X3 = f55(X1,X2)
          <=> ! [X4] : 
                ( p37(X4,f36(X1))
               => ( p1(X4,X3)
                <=> p1(f49(X1,X4),X2) ) ) ) ) ) )).

fof(formula_193,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f21(X1,X2),X2) ) )).

fof(formula_125,axiom,(
    p5(c34) )).

fof(formula_246,lemma,(
    ! [X1,X2] : 
      ( p16(f32(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_178,axiom,(
    ? [X1] : 
      ( ~ p3(X1)
      & p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_250,axiom,(
    ! [X1] : f47(X1,c34) = X1 )).

fof(formula_134,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p8(f17(X1,X2))
        & p4(f17(X1,X2)) ) ) )).

fof(formula_86,axiom,(
    $true )).

fof(formula_298,lemma,(
    ! [X1,X2] : p16(X1,f11(X1,X2)) )).

fof(formula_74,axiom,(
    $true )).

fof(formula_292,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(X2,f19(f17(X3,X1)))
       => f20(f17(X3,X1),X2) = f20(X3,X2) ) ) )).

fof(formula_115,axiom,(
    p3(c34) )).

fof(formula_211,conjecture,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f52(X3,X2))
      <=> ( p1(X1,X3)
          & p1(X1,f41(X2,X2)) ) ) ) )).

fof(formula_25,axiom,(
    ! [X1] : f31(X1) = f11(X1,f32(X1)) )).

fof(formula_72,axiom,(
    $true )).

fof(formula_105,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p8(X2) )
     => ( p3(f54(X2,X1))
        & p8(f54(X2,X1)) ) ) )).

fof(formula_304,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( p50(X1,f24(X1))
      <=> p45(X1) ) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ( X2 = f32(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_271,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p39(X1,X2)
          & ! [X3] : ~ p1(X3,f12(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f12(X1,X2))
          & p39(X1,X2) ) ) )).

fof(formula_107,axiom,(
    p3(c34) )).

fof(formula_141,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f19(X1))
        & p8(f19(X1)) ) ) )).

fof(formula_100,axiom,(
    ! [X1,X2] : 
      ( p37(X2,f36(f36(X1)))
     => p37(f55(X1,X2),f36(f36(X1))) ) )).

fof(formula_199,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p16(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f36(X3),X2) )
      & ! [X3] : 
          ~ ( p16(X3,X2)
            & ~ p61(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_278,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p37(X2,f36(X3))
        & p3(X3) ) )).

fof(formula_161,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( p26(X1)
      <=> ! [X2,X3] : 
            ~ ( p1(X2,f24(X1))
              & p1(X3,f24(X1))
              & X2 != X3
              & ~ p1(f15(X2,X3),X1)
              & ~ p1(f15(X3,X2),X1) ) ) ) )).

fof(formula_58,axiom,(
    ! [X1] : 
      ( p8(X1)
     => f24(X1) = f11(f19(X1),f48(X1)) ) )).

fof(formula_106,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f53(X1))
        & p8(f53(X1)) ) ) )).

fof(formula_217,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p37(X1,X2) ) )).

fof(formula_156,lemma,(
    ! [X1,X2] : 
      ( p16(f32(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_270,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p37(X2,f36(X3)) )
     => p37(X1,X3) ) )).

fof(formula_155,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( p28(X1)
      <=> ! [X2,X3,X4] : 
            ( ( p1(f15(X2,X3),X1)
              & p1(f15(X3,X4),X1) )
           => p1(f15(X2,X4),X1) ) ) ) )).

fof(formula_68,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
       => f56(X1) = f53(X1) ) ) )).

fof(formula_102,axiom,(
    $true )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p38(X1)
      <=> ! [X2] : 
            ~ ( p16(X2,f24(X1))
              & X2 != c34
              & ! [X3] : 
                  ~ ( p1(X3,X2)
                    & p39(f40(X1,X3),X2) ) ) ) ) )).

fof(formula_111,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p4(X1)
        & p8(X2)
        & p4(X2) )
     => ( p8(f54(X1,X2))
        & p4(f54(X1,X2)) ) ) )).

fof(formula_167,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p3(X1)
        & p4(X1) )
     => ( p8(X1)
        & p4(X1)
        & p9(X1) ) ) )).

fof(formula_169,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p8(X1) ) )).

fof(formula_302,axiom,(
    ! [X1,X2] : 
      ~ ( p3(X1)
        & X1 != X2
        & p3(X2) ) )).

fof(formula_152,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f11(f32(X1),X2) = X2 ) )).

fof(formula_170,axiom,(
    ! [X1] : 
      ( ~ p3(X1)
     => ? [X2] : 
          ( p37(X2,f36(X1))
          & ~ p3(X2) ) ) )).

fof(formula_307,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f19(f17(X2,X1)) = f12(f19(X2),X1) ) )).

fof(formula_308,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p16(X1,f44(X2)) ) )).

fof(formula_230,lemma,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => f12(X1,X2) = X1 ) )).

fof(formula_81,axiom,(
    $true )).

fof(formula_288,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( X2 = f17(X3,X1)
          <=> ( f19(X2) = f12(f19(X3),X1)
              & ! [X4] : 
                  ( p1(X4,f19(X2))
                 => f20(X2,X4) = f20(X3,X4) ) ) ) ) ) )).

fof(formula_263,lemma,(
    ! [X1,X2] : 
      ( p37(X2,f36(f36(X1)))
     => ~ ( X2 != c34
          & f55(X1,X2) = c34 ) ) )).

fof(formula_186,axiom,(
    ! [X1,X2] : p16(X1,X1) )).

fof(formula_306,lemma,(
    ! [X1,X2,X3] : 
      ( f32(X1) = f10(X2,X3)
     => X1 = X2 ) )).

fof(formula_113,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f12(X1,X2)) ) )).

fof(formula_123,axiom,(
    p6(c34) )).

fof(formula_135,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( p6(f44(X1))
        & p7(f44(X1))
        & p5(f44(X1)) ) ) )).

fof(formula_165,lemma,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p37(X1,f36(X2)) ) )).

fof(formula_137,axiom,(
    p8(c34) )).

fof(formula_174,axiom,(
    ? [X1] : 
      ( ~ p3(X1)
      & p8(X1) ) )).

fof(formula_207,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ( p16(X1,f48(X2))
       => f18(X2,f25(X2,X1)) = X1 ) ) )).

fof(formula_119,axiom,(
    p60(c34) )).

fof(formula_39,axiom,(
    ! [X1] : 
      ( p7(X1)
    <=> ! [X2,X3] : 
          ~ ( p1(X2,X1)
            & p1(X3,X1)
            & ~ p1(X2,X3)
            & X2 != X3
            & ~ p1(X3,X2) ) ) )).

fof(formula_127,axiom,(
    ! [X1] : ~ p3(f32(X1)) )).

fof(formula_197,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p16(X1,X2)
        & p16(X3,X4) )
     => p16(f41(X1,X3),f41(X2,X4)) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2,X3] : 
          ( X3 = f18(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f15(X5,X4),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_264,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f11(f32(X1),X2) = X2 ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( X3 = f25(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( p1(X4,f19(X1))
                & p1(f20(X1,X4),X2) ) ) ) ) )).

fof(formula_185,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => p13(X1,X1) ) )).

fof(formula_281,lemma,(
    f48(c34) = c34 )).

fof(formula_90,axiom,(
    $true )).

fof(formula_282,lemma,(
    ! [X1,X2] : 
      ~ ( p16(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_98,axiom,(
    ! [X1,X2,X3] : 
      ( ( p37(X2,f36(X1))
        & p37(X3,f36(X1)) )
     => p37(f59(X1,X2,X3),f36(X1)) ) )).

fof(formula_54,axiom,(
    ! [X1,X2] : 
      ( p37(X2,f36(X1))
     => f49(X1,X2) = f47(X1,X2) ) )).

fof(formula_63,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
      <=> ! [X2,X3] : 
            ( ( p1(X2,f19(X1))
              & p1(X3,f19(X1))
              & f20(X1,X2) = f20(X1,X3) )
           => X2 = X3 ) ) ) )).

fof(formula_310,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f48(f17(X2,X1)),f48(X2)) ) )).

fof(formula_61,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( X2 = f53(X1)
          <=> ! [X3,X4] : 
                ( p1(f15(X3,X4),X2)
              <=> p1(f15(X4,X3),X1) ) ) ) ) )).

fof(formula_144,axiom,(
    ! [X1,X2] : f11(X1,X1) = X1 )).

fof(formula_85,axiom,(
    $true )).

fof(formula_159,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( p22(X1)
      <=> ! [X2,X3] : 
            ( ( p1(f15(X2,X3),X1)
              & p1(f15(X3,X2),X1) )
           => X2 = X3 ) ) ) )).

fof(formula_227,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ~ ( ~ p1(X1,X2)
              & X1 != X2
              & ~ p1(X2,X1) ) ) ) )).

fof(formula_175,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p37(X2,f36(X1))
      & p3(X2) ) )).

fof(formula_272,lemma,(
    ! [X1] : 
      ( X1 != c34
     => ! [X2] : 
          ( p37(X2,f36(X1))
         => ! [X3] : 
              ( p37(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f49(X1,X2)) ) ) ) ) )).

fof(formula_76,axiom,(
    $true )).

fof(formula_51,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f47(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_299,lemma,(
    ! [X1,X2] : 
      ( p39(X1,X2)
    <=> f47(X1,X2) = X1 ) )).

fof(formula_109,axiom,(
    p60(c34) )).

fof(formula_252,axiom,(
    ! [X1,X2] : 
      ( p37(X1,f36(X2))
    <=> p16(X1,X2) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2,X3] : 
          ( X3 = f25(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f15(X4,X5),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_218,lemma,(
    ! [X1,X2,X3] : 
      ( ( p16(X1,X2)
        & p16(X2,X3) )
     => p16(X1,X3) ) )).

fof(formula_221,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( p1(X1,f19(f54(X3,X2)))
          <=> ( p1(X1,f19(X3))
              & p1(f20(X3,X1),f19(X2)) ) ) ) ) )).

fof(formula_305,lemma,(
    ! [X1,X2,X3] : 
      ( ( p16(X1,X2)
        & p16(X3,X2) )
     => p16(f11(X1,X3),X2) ) )).

fof(formula_92,axiom,(
    $true )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2] : 
          ( X2 = f48(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : 
                  ( p1(X4,f19(X1))
                  & X3 = f20(X1,X4) ) ) ) ) )).

fof(formula_124,axiom,(
    p7(c34) )).

fof(formula_214,lemma,(
    ! [X1,X2] : p16(f12(X1,X2),X1) )).

fof(formula_196,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f48(f21(X1,X2)) = f12(f48(X2),X1) ) )).

fof(formula_143,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p8(X2) )
     => ( p3(f54(X1,X2))
        & p8(f54(X1,X2)) ) ) )).

fof(formula_203,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => p16(f18(X2,f25(X2,X1)),X1) ) )).

fof(formula_184,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => ( p13(X1,X2)
      <=> p16(X1,X2) ) ) )).

fof(formula_73,axiom,(
    $true )).

fof(formula_309,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f17(X2,X1) = f54(f14(X1),X2) ) )).

fof(formula_313,lemma,(
    ! [X1,X2,X3] : 
      ( f32(X1) = f10(X2,X3)
     => X2 = X3 ) )).

fof(formula_208,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => f48(f54(X1,X2)) = f18(X2,f48(X1)) ) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => ! [X3] : 
          ( p8(X3)
         => ( X3 = f21(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f15(X4,X5),X3)
              <=> ( p1(X5,X1)
                  & p1(f15(X4,X5),X2) ) ) ) ) ) )).

fof(formula_182,axiom,(
    ! [X1,X2] : 
      ( p37(X2,f36(f36(X1)))
     => f58(X1,X2) = f35(X2) ) )).

fof(formula_154,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p39(f32(X1),X2) ) )).

fof(formula_191,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f48(f21(X2,X3)))
      <=> ( p1(X1,X2)
          & p1(X1,f48(X3)) ) ) ) )).

fof(formula_53,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( X2 = f48(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f15(X4,X3),X1) ) ) ) )).

fof(formula_162,lemma,(
    ! [X1,X2] : 
      ( p16(X1,f32(X2))
    <=> ( X1 = c34
        | X1 = f32(X2) ) ) )).

fof(formula_129,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1)
        & p9(X1) )
     => ( p8(f53(X1))
        & p4(f53(X1)) ) ) )).

fof(formula_112,axiom,(
    ! [X1] : ~ p3(f31(X1)) )).

fof(formula_237,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => ~ ( p16(X1,X2)
          & X1 != c34
          & ! [X3] : 
              ( p5(X3)
             => ~ ( p1(X3,X1)
                  & ! [X4] : 
                      ( p5(X4)
                     => ( p1(X4,X1)
                       => p13(X3,X4) ) ) ) ) ) ) )).

fof(formula_219,lemma,(
    f36(c34) = f32(c34) )).

fof(formula_82,axiom,(
    ! [X1] : p37(f43(X1),f36(X1)) )).

fof(formula_69,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p46(X1)
      <=> p33(X1,f24(X1)) ) ) )).

fof(formula_35,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f10(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_24,axiom,(
    ! [X1,X2,X3,X4] : 
      ( X4 = f30(X1,X2,X3)
    <=> ! [X5] : 
          ( p1(X5,X4)
        <=> ~ ( X5 != X1
              & X5 != X2
              & X5 != X3 ) ) ) )).

fof(formula_110,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p60(X1) )
     => ( p8(f17(X1,X2))
        & p60(f17(X1,X2)) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p6(X1)
        & p7(X1)
        & p5(X1) ) ) )).

fof(formula_47,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p23(X1,X2)
        <=> ! [X3,X4] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(f15(X3,X4),X1)
                & p1(f15(X4,X3),X1) )
             => X3 = X4 ) ) ) )).

fof(formula_153,lemma,(
    ! [X1,X2] : 
      ~ ( p39(f32(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_62,axiom,(
    ! [X1,X2] : 
      ( p39(X1,X2)
    <=> f12(X1,X2) = c34 ) )).

fof(formula_268,lemma,(
    ! [X1,X2] : f47(X1,f47(X1,X2)) = f12(X1,X2) )).

fof(formula_97,axiom,(
    ! [X1,X2] : 
      ( p37(X2,f36(f36(X1)))
     => p37(f58(X1,X2),f36(X1)) ) )).

fof(formula_296,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p3(X2) ) )).

fof(formula_136,axiom,(
    p3(c34) )).

fof(formula_80,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p8(f56(X1))
        & p4(f56(X1)) ) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( X2 = f14(X1)
      <=> ! [X3,X4] : 
            ( p1(f15(X3,X4),X2)
          <=> ( p1(X3,X1)
              & X3 = X4 ) ) ) ) )).

fof(formula_118,axiom,(
    p8(c34) )).

fof(formula_276,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( ! [X2,X3] : ~ p1(f15(X2,X3),X1)
       => X1 = c34 ) ) )).

fof(formula_55,axiom,(
    ! [X1,X2] : f15(X1,X2) = f10(f10(X1,X2),f32(X1)) )).

fof(formula_59,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p27(X1,X2)
        <=> ! [X3,X4] : 
              ~ ( p1(X3,X2)
                & p1(X4,X2)
                & X3 != X4
                & ~ p1(f15(X3,X4),X1)
                & ~ p1(f15(X4,X3),X1) ) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2,X3] : 
          ( p8(X3)
         => ( X3 = f17(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f15(X4,X5),X3)
              <=> ( p1(X4,X2)
                  & p1(f15(X4,X5),X1) ) ) ) ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( X3 = f18(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(X5,f19(X1))
                  & p1(X5,X2)
                  & X4 = f20(X1,X5) ) ) ) ) )).

fof(formula_77,axiom,(
    $true )).

fof(formula_200,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => f17(f21(X1,X3),X2) = f21(X1,f17(X3,X2)) ) )).

fof(formula_244,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( f48(X1) = f19(f53(X1))
        & f19(X1) = f48(f53(X1)) ) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p33(X1,X2)
        <=> ! [X3] : 
              ( p1(X3,X2)
             => p1(f15(X3,X3),X1) ) ) ) )).

fof(formula_226,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => ( p1(X1,X2)
       => p5(X1) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : f10(X1,X2) = f10(X2,X1) )).

fof(formula_291,lemma,(
    ! [X1,X2] : 
      ( p16(f32(X1),f32(X2))
     => X1 = X2 ) )).

fof(formula_42,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p42(X1,X2)
        <=> ! [X3] : 
              ~ ( p16(X3,X2)
                & X3 != c34
                & ! [X4] : 
                    ~ ( p1(X4,X3)
                      & p39(f40(X1,X4),X3) ) ) ) ) )).

fof(formula_215,lemma,(
    ! [X1,X2,X3] : 
      ( ( p16(X1,X2)
        & p16(X1,X3) )
     => p16(X1,f12(X2,X3)) ) )).

fof(formula_38,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f41(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f15(X5,X6) ) ) ) )).

fof(formula_83,axiom,(
    $true )).

fof(formula_157,lemma,(
    ! [X1,X2] : 
      ( f47(X1,X2) = c34
    <=> p16(X1,X2) ) )).

fof(formula_179,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p60(X1) ) )).

fof(formula_279,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( p38(X1)
      <=> p42(X1,f24(X1)) ) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p16(X1,X2)
        & p16(X2,X1) ) ) )).

fof(formula_283,lemma,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
       => p9(f56(X1)) ) ) )).

fof(formula_275,lemma,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
       => ( f48(X1) = f19(f56(X1))
          & f19(X1) = f48(f56(X1)) ) ) ) )).

fof(formula_311,lemma,(
    ! [X1] : f44(f36(X1)) = X1 )).

fof(formula_187,axiom,(
    ! [X1,X2] : 
      ( p39(X1,X2)
     => p39(X2,X1) ) )).

fof(formula_146,axiom,(
    ! [X1,X2] : 
      ( p37(X2,f36(X1))
     => f49(X1,f49(X1,X2)) = X2 ) )).

fof(formula_164,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f15(X1,X2),f41(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_202,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f18(X2,X1),f48(X2)) ) )).

fof(formula_239,lemma,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2)
     => p16(f47(X1,X3),f47(X2,X3)) ) )).

fof(formula_84,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f52(X1,X2)) ) )).

fof(formula_212,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ~ ( X1 != c34
          & p16(X1,f48(X2))
          & f25(X2,X1) = c34 ) ) )).

fof(formula_145,axiom,(
    ! [X1,X2] : f12(X1,X1) = X1 )).

fof(formula_103,axiom,(
    $true )).

fof(formula_71,axiom,(
    $true )).

fof(formula_209,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f25(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f48(X3))
            & p1(f15(X1,X4),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_253,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p39(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p39(X1,X2) ) ) )).

fof(formula_147,axiom,(
    ! [X1] : 
      ( p8(X1)
     => f53(f53(X1)) = X1 ) )).

fof(formula_300,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f19(f17(X3,X2)))
      <=> ( p1(X1,X2)
          & p1(X1,f19(X3)) ) ) ) )).

fof(formula_224,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( p1(X1,f19(f54(X3,X2)))
           => f20(f54(X3,X2),X1) = f20(X2,f20(X3,X1)) ) ) ) )).

fof(formula_171,axiom,(
    ? [X1] : p3(X1) )).

fof(formula_79,axiom,(
    $true )).

fof(formula_256,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ( p51(X1)
      <=> ! [X2] : 
            ( p5(X2)
           => ( p1(X2,X1)
             => p1(f31(X2),X1) ) ) ) ) )).

fof(formula_87,axiom,(
    $true )).

fof(formula_37,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f11(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_64,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ! [X3] : 
              ( p8(X3)
             => ( X3 = f54(X1,X2)
              <=> ! [X4,X5] : 
                    ( p1(f15(X4,X5),X3)
                  <=> ? [X6] : 
                        ( p1(f15(X4,X6),X1)
                        & p1(f15(X6,X5),X2) ) ) ) ) ) ) )).

fof(formula_67,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p16(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_236,lemma,(
    ! [X1] : 
      ( ! [X2] : 
          ( p1(X2,X1)
         => ( p5(X2)
            & p16(X2,X1) ) )
     => p5(X1) ) )).

fof(formula_195,lemma,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2)
     => ( p16(f41(X1,X3),f41(X2,X3))
        & p16(f41(X3,X1),f41(X3,X2)) ) ) )).

fof(formula_176,axiom,(
    ? [X1] : ~ p3(X1) )).

fof(formula_289,lemma,(
    ! [X1] : f10(X1,X1) = f32(X1) )).

fof(formula_122,axiom,(
    p3(c34) )).

fof(formula_240,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f15(X1,X2) = f15(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_108,axiom,(
    p8(c34) )).

fof(formula_11,axiom,(
    ! [X1,X2] : f12(X1,X2) = f12(X2,X1) )).

fof(formula_225,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( p1(X1,f19(X2))
           => f20(f54(X2,X3),X1) = f20(X3,f20(X2,X1)) ) ) ) )).

fof(formula_301,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f17(X2,X1),X2) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p22(X1)
      <=> p23(X1,f24(X1)) ) ) )).

fof(formula_220,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(f15(X1,X2),X3)
       => ( p1(X1,f19(X3))
          & p1(X2,f48(X3)) ) ) ) )).

fof(formula_206,lemma,(
    ! [X1] : 
      ( p8(X1)
     => f18(X1,f19(X1)) = f48(X1) ) )).

fof(formula_243,lemma,(
    ! [X1,X2] : p16(f47(X1,X2),X1) )).

fof(formula_188,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f15(X1,X2),f41(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_65,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p29(X1,X2)
        <=> ! [X3,X4,X5] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(X5,X2)
                & p1(f15(X3,X4),X1)
                & p1(f15(X4,X5),X1) )
             => p1(f15(X3,X5),X1) ) ) ) )).

fof(formula_205,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( p16(X1,f19(X2))
       => p16(X1,f25(X2,f18(X2,X1))) ) ) )).

fof(formula_132,axiom,(
    ! [X1,X2] : ~ p3(f10(X1,X2)) )).

fof(formula_160,lemma,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2)
     => ( p1(X3,X1)
        | p16(X1,f47(X2,f32(X3))) ) ) )).

fof(formula_140,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p8(X1) )
     => ~ p3(f48(X1)) ) )).

fof(formula_303,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(f15(X1,X2),X3)
      <=> ( p1(X1,f19(X3))
          & X2 = f20(X3,X1) ) ) ) )).

fof(formula_189,lemma,(
    ! [X1] : p1(X1,f31(X1)) )).

fof(formula_91,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p8(f53(X1)) ) )).

fof(formula_121,axiom,(
    p9(c34) )).

fof(formula_190,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f10(X1,X2) = f10(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_172,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p3(X1)
      & p4(X1) ) )).

fof(formula_163,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p16(X1,f44(X2)) ) )).

fof(formula_284,lemma,(
    ! [X1,X2,X3] : 
      ( ( p16(X1,X2)
        & p39(X2,X3) )
     => p39(X1,X3) ) )).

fof(formula_233,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_249,lemma,(
    ! [X1,X2] : 
      ( p16(X1,f32(X2))
    <=> ( X1 = c34
        | X1 = f32(X2) ) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p8(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f15(X3,X4) ) ) )).

fof(formula_148,axiom,(
    ! [X1,X2] : 
      ( p37(X2,f36(f36(X1)))
     => f55(X1,f55(X1,X2)) = X2 ) )).

fof(formula_266,lemma,(
    ! [X1,X2] : 
      ( p37(X2,f36(f36(X1)))
     => ( X2 != c34
       => f59(X1,f43(X1),f57(X1,X2)) = f58(X1,f55(X1,X2)) ) ) )).

fof(formula_56,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p50(X1,X2)
        <=> ( p33(X1,X2)
            & p29(X1,X2)
            & p23(X1,X2)
            & p27(X1,X2)
            & p42(X1,X2) ) ) ) )).

fof(formula_216,axiom,(
    ! [X1] : f11(X1,c34) = X1 )).

fof(formula_89,axiom,(
    $true )).

fof(formula_234,lemma,(
    ! [X1] : p16(c34,X1) )).

fof(formula_262,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p16(f48(X1),f19(X2))
           => f19(f54(X1,X2)) = f19(X1) ) ) ) )).

fof(formula_180,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p60(X1)
      & p4(X1) ) )).

fof(formula_269,axiom,(
    ! [X1] : f47(c34,X1) = c34 )).

fof(formula_228,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p16(X1,X2)
           => ( p16(f19(X1),f19(X2))
              & p16(f48(X1),f48(X2)) ) ) ) ) )).

fof(formula_245,lemma,(
    ! [X1,X2] : 
      ( f47(X1,X2) = c34
    <=> p16(X1,X2) ) )).

fof(formula_213,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p16(X1,X2)
       => p16(f25(X3,X1),f25(X3,X2)) ) ) )).

fof(formula_75,axiom,(
    $true )).

fof(formula_280,lemma,(
    f19(c34) = c34 )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => ( p13(X1,X2)
        | p13(X2,X1) ) ) )).

fof(formula_133,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f11(X2,X1)) ) )).

fof(formula_192,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f48(f21(X1,X2)),X1) ) )).

fof(formula_149,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_223,lemma,(
    ! [X1] : 
      ( p8(X1)
     => p16(X1,f41(f19(X1),f48(X1))) ) )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ( p16(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_126,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f11(X1,X2)) ) )).

fof(formula_166,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(X2,f19(f17(X3,X1)))
      <=> ( p1(X2,f19(X3))
          & p1(X2,X1) ) ) ) )).

fof(formula_286,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( f19(X1) = c34
      <=> f48(X1) = c34 ) ) )).

fof(formula_242,lemma,(
    ! [X1,X2] : 
      ( p1(X2,X1)
     => f20(f14(X1),X2) = X2 ) )).

fof(formula_294,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(X2,X1)
       => f20(f17(X3,X1),X2) = f20(X3,X2) ) ) )).

fof(formula_287,lemma,(
    ! [X1,X2] : 
      ( f47(X1,f32(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_241,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ( X2 = f14(X1)
      <=> ( f19(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f20(X2,X3) = X3 ) ) ) ) )).

fof(formula_231,axiom,(
    ! [X1] : f12(X1,c34) = c34 )).

fof(formula_265,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p16(f19(X1),f48(X2))
           => f48(f54(X2,X1)) = f48(X1) ) ) ) )).

fof(formula_60,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : f52(X1,X2) = f12(X1,f41(X2,X2)) ) )).

fof(formula_285,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( ( f19(X1) = c34
          | f48(X1) = c34 )
       => X1 = c34 ) ) )).

fof(formula_194,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f48(f21(X1,X2)),f48(X2)) ) )).

fof(formula_48,axiom,(
    ! [X1] : f43(X1) = X1 )).

fof(formula_138,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
        & ~ p3(X2) )
     => ~ p3(f41(X1,X2)) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_277,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ( ( p9(X2)
          & p1(X1,f48(X2)) )
       => ( X1 = f20(X2,f20(f56(X2),X1))
          & X1 = f20(f54(f56(X2),X2),X1) ) ) ) )).

fof(formula_297,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & ! [X3] : 
            ~ ( p1(X3,X2)
              & ! [X4] : 
                  ~ ( p1(X4,X2)
                    & p1(X4,X3) ) ) ) )).

fof(formula_238,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p1(X1,X2)
          <=> p13(f31(X1),X2) ) ) ) )).

fof(formula_130,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( ~ p3(f31(X1))
        & p6(f31(X1))
        & p7(f31(X1))
        & p5(f31(X1)) ) ) )).

fof(formula_258,lemma,(
    ! [X1,X2] : 
      ( p37(X2,f36(X1))
     => ! [X3] : 
          ( p37(X3,f36(X1))
         => ( p39(X2,X3)
          <=> p16(X2,f49(X1,X3)) ) ) ) )).

fof(formula_255,lemma,(
    ! [X1,X2] : f47(f11(X1,X2),X2) = f47(X1,X2) )).

fof(formula_99,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f17(X1,X2)) ) )).

fof(formula_101,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => p8(f21(X1,X2)) ) )).

fof(formula_247,lemma,(
    ! [X1,X2,X3] : 
      ( p16(f10(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_78,axiom,(
    $true )).

fof(formula_94,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f54(X1,X2)) ) )).

fof(formula_131,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f47(X1,X2)) ) )).

fof(formula_168,axiom,(
    ? [X1] : 
      ( p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_120,axiom,(
    p4(c34) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p8(X1) ) )).

fof(formula_295,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p8(X4)
     => ( p1(f15(X1,X2),f54(f14(X3),X4))
      <=> ( p1(X1,X3)
          & p1(f15(X1,X2),X4) ) ) ) )).

fof(formula_128,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f11(X1,X2)) ) )).

fof(formula_267,lemma,(
    ! [X1,X2] : 
      ( p37(X2,f36(f36(X1)))
     => ( X2 != c34
       => f57(X1,f55(X1,X2)) = f59(X1,f43(X1),f58(X1,X2)) ) ) )).

fof(formula_57,axiom,(
    ! [X1] : 
      ( p51(X1)
    <=> X1 = f44(X1) ) )).

fof(formula_290,axiom,(
    ! [X1] : 
      ( p3(X1)
     => X1 = c34 ) )).

fof(formula_229,lemma,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2)
     => p16(f12(X1,X3),f12(X2,X3)) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p28(X1)
      <=> p29(X1,f24(X1)) ) ) )).

fof(formula_44,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( ( p1(X2,f19(X1))
           => ( X3 = f20(X1,X2)
            <=> p1(f15(X2,X3),X1) ) )
          & ( ~ p1(X2,f19(X1))
           => ( X3 = f20(X1,X2)
            <=> X3 = c34 ) ) ) ) )).

fof(formula_273,lemma,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p9(X1)
       => ! [X2] : 
            ( ( p8(X2)
              & p4(X2) )
           => ( X2 = f56(X1)
            <=> ( f19(X2) = f48(X1)
                & ! [X3,X4] : 
                    ( ( ( p1(X3,f48(X1))
                        & X4 = f20(X2,X3) )
                     => ( p1(X4,f19(X1))
                        & X3 = f20(X1,X4) ) )
                    & ( ( p1(X4,f19(X1))
                        & X3 = f20(X1,X4) )
                     => ( p1(X3,f48(X1))
                        & X4 = f20(X2,X3) ) ) ) ) ) ) ) ) )).

fof(formula_88,axiom,(
    ! [X1,X2] : 
      ( p37(X2,f36(X1))
     => p37(f49(X1,X2),f36(X1)) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( X1 = c34
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_257,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ( ~ ( ~ p51(X1)
            & ! [X2] : 
                ( p5(X2)
               => X1 != f31(X2) ) )
        & ~ ( ? [X2] : 
                ( p5(X2)
                & X1 = f31(X2) )
            & p51(X1) ) ) ) )).

fof(formula_150,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( p46(X1)
      <=> ! [X2] : 
            ( p1(X2,f24(X1))
           => p1(f15(X2,X2),X1) ) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p26(X1)
      <=> p27(X1,f24(X1)) ) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p16(X1,X2)
          <=> ! [X3,X4] : 
                ( p1(f15(X3,X4),X1)
               => p1(f15(X3,X4),X2) ) ) ) ) )).

fof(formula_50,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p45(X1)
      <=> ( p46(X1)
          & p28(X1)
          & p22(X1)
          & p26(X1)
          & p38(X1) ) ) ) )).

fof(formula_235,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(f15(X1,X2),X3)
       => ( p1(X1,f24(X3))
          & p1(X2,f24(X3)) ) ) ) )).

fof(formula_96,axiom,(
    ! [X1] : p8(f14(X1)) )).

fof(formula_117,axiom,(
    ! [X1] : 
      ( p8(f14(X1))
      & p4(f14(X1)) ) )).

fof(formula_45,axiom,(
    ! [X1] : 
      ( p5(X1)
    <=> ( p6(X1)
        & p7(X1) ) ) )).

fof(formula_31,axiom,(
    ! [X1,X2] : 
      ( X2 = f36(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p16(X3,X1) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ( p6(X1)
        & p7(X1) )
     => p5(X1) ) )).

fof(formula_183,axiom,(
    ! [X1,X2,X3] : 
      ( ( p37(X2,f36(X1))
        & p37(X3,f36(X1)) )
     => f59(X1,X2,X3) = f47(X2,X3) ) )).

fof(formula_93,axiom,(
    $true )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ( ( X1 != c34
       => ( X2 = f35(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ! [X4] : 
                  ( p1(X4,X1)
                 => p1(X3,X4) ) ) ) )
      & ( X1 = c34
       => ( X2 = f35(X1)
        <=> X2 = c34 ) ) ) )).

fof(formula_151,lemma,(
    ! [X1] : f32(X1) != c34 )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p4(X1) ) )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( X1 = X2
          <=> ! [X3,X4] : 
                ( p1(f15(X3,X4),X1)
              <=> p1(f15(X3,X4),X2) ) ) ) ) )).

fof(formula_261,lemma,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => X2 = f11(X1,f47(X2,X1)) ) )).

fof(formula_293,lemma,(
    ! [X1] : 
      ( f19(f14(X1)) = X1
      & f48(f14(X1)) = X1 ) )).

fof(formula_43,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f12(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_232,axiom,(
    ! [X1,X2] : 
      ( p37(X1,X2)
     => ( p3(X2)
        | p1(X1,X2) ) ) )).

fof(formula_95,axiom,(
    ! [X1,X2] : 
      ( p37(X2,f36(f36(X1)))
     => p37(f57(X1,X2),f36(X1)) ) )).

fof(formula_312,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p16(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p16(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p16(X3,X2)
            & ~ p61(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_198,lemma,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => f11(X1,X2) = X2 ) )).

fof(formula_158,lemma,(
    ! [X1,X2] : 
      ( p37(X2,f36(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_173,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1)
      & p9(X1)
      & p3(X1)
      & p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_210,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p16(f25(X2,X1),f19(X2)) ) )).

fof(formula_70,axiom,(
    $true )).

fof(formula_34,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
       => ( p37(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p3(X1)
       => ( p37(X2,X1)
        <=> p3(X2) ) ) ) )).

fof(formula_204,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f18(X2,X1) = f18(X2,f12(f19(X2),X1)) ) )).

fof(formula_260,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => p16(f48(f54(X1,X2)),f48(X2)) ) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( p6(X1)
    <=> ! [X2] : 
          ( p1(X2,X1)
         => p16(X2,X1) ) ) )).

fof(formula_259,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => p16(f19(f54(X1,X2)),f19(X1)) ) ) )).

fof(formula_201,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f18(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f19(X3))
            & p1(f15(X4,X1),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_181,axiom,(
    ! [X1,X2] : 
      ( p37(X2,f36(f36(X1)))
     => f57(X1,X2) = f44(X2) ) )).

fof(formula_104,axiom,(
    ! [X1] : 
    ? [X2] : p37(X2,X1) )).

fof(formula_116,axiom,(
    ! [X1,X2] : ~ p3(f15(X1,X2)) )).

fof(formula_10,axiom,(
    ! [X1,X2] : f11(X1,X2) = f11(X2,X1) )).
%------------------------------------------------------------------------------
