%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(A,C) = f2(B,C) ) )).

fof(f2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(C,A) = f2(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_4,axiom,(
    ? [X1] : 
      ( p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p6(X1)
        & p7(X1)
        & p5(X1) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( p6(X1)
        & p7(X1) ) ) )).

fof(formula_11,axiom,(
    $true )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( ( p6(X1)
        & p7(X1) )
     => p5(X1) ) )).

fof(formula_8,axiom,(
    ? [X1] : p8(X1) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_14,axiom,(
    ! [X1,X2] : ~ p8(f3(X1,X2)) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p9(X1) ) )).

fof(formula_1,conjecture,(
    ! [X1,X2] : 
    ? [X3] : 
    ! [X4] : 
      ( p1(X4,X3)
    <=> ( p1(X4,f2(X1,X2))
        & ? [X5,X6] : 
            ( f3(X5,X6) = X4
            & p1(X5,X1)
            & X6 = f4(X5) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_5,axiom,(
    ? [X1] : 
      ( ~ p8(X1)
      & p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_9,axiom,(
    ? [X1] : ~ p8(X1) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( ! [X3,X4,X5] : 
          ( ( X3 = X4
            & ? [X6,X7] : 
                ( f3(X6,X7) = X4
                & p1(X6,X1)
                & X7 = f4(X6) )
            & X3 = X5
            & ? [X8,X9] : 
                ( f3(X8,X9) = X5
                & p1(X8,X1)
                & X9 = f4(X8) ) )
         => X4 = X5 )
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5] : 
              ( p1(X5,f2(X1,X2))
              & X5 = X4
              & ? [X10,X11] : 
                  ( f3(X10,X11) = X4
                  & p1(X10,X1)
                  & X11 = f4(X10) ) ) ) ) )).
%------------------------------------------------------------------------------
