%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f2(A) = f2(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(formula_1,conjecture,(
    ! [X1] : 
      ( ( ! [X2,X3,X4] : 
            ( ( p1(X2,X1)
              & X3 = f2(X2)
              & X4 = f2(X2) )
           => X3 = X4 )
        & ! [X2] : 
            ~ ( p1(X2,X1)
              & ! [X3] : X3 != f2(X2) ) )
     => ? [X2] : 
          ( p3(X2)
          & p4(X2)
          & f5(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f6(X2,X3) = f2(X3) ) ) ) )).

fof(formula_33,axiom,(
    ? [X1] : ~ p8(X1) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p8(X2) ) )).

fof(formula_32,axiom,(
    ? [X1] : 
      ( ~ p8(X1)
      & p3(X1) ) )).

fof(formula_26,axiom,(
    p8(c10) )).

fof(formula_27,axiom,(
    p3(c10) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( p1(X2,X1)
            & X3 = f2(X2)
            & p1(X2,X1)
            & X4 = f2(X2) )
         => X3 = X4 )
     => ? [X2] : 
          ( p3(X2)
          & p4(X2)
          & ! [X3,X4] : 
              ( p1(f7(X3,X4),X2)
            <=> ( p1(X3,X1)
                & p1(X3,X1)
                & X4 = f2(X3) ) ) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_22,axiom,(
    p8(c10) )).

fof(formula_20,axiom,(
    p3(c10) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ~ ( p8(X1)
        & X1 != X2
        & p8(X2) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( X2 = f5(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f7(X3,X4),X1) ) ) ) )).

fof(formula_14,axiom,(
    $true )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p8(f5(X1))
        & p3(f5(X1)) ) ) )).

fof(formula_3,axiom,(
    $true )).

fof(formula_6,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p4(X1) ) )).

fof(formula_21,axiom,(
    p12(c10) )).

fof(formula_23,axiom,(
    ! [X1,X2] : ~ p8(f7(X1,X2)) )).

fof(formula_17,axiom,(
    $true )).

fof(formula_25,axiom,(
    ! [X1,X2] : ~ p8(f9(X1,X2)) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => ( p8(X2)
        | p1(X1,X2) ) ) )).

fof(formula_5,axiom,(
    $true )).

fof(formula_30,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p3(X1) ) )).

fof(formula_38,axiom,(
    ! [X1] : 
      ( p8(X1)
     => X1 = c10 ) )).

fof(formula_18,axiom,(
    ! [X1] : 
    ? [X2] : p11(X2,X1) )).

fof(formula_24,axiom,(
    ! [X1] : ~ p8(f2(X1)) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p3(X1) ) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p11(X1,X2) ) )).

fof(formula_34,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p12(X1) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p3(X1) )
     => ~ p8(f5(X1)) ) )).

fof(formula_31,axiom,(
    ? [X1] : p8(X1) )).

fof(formula_10,axiom,(
    ! [X1,X2] : f9(X1,X2) = f9(X2,X1) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_19,axiom,(
    p8(c10) )).

fof(formula_16,axiom,(
    $true )).

fof(formula_13,axiom,(
    ! [X1,X2] : f7(X1,X2) = f9(f9(X1,X2),f2(X1)) )).

fof(formula_4,axiom,(
    $true )).

fof(formula_15,axiom,(
    $true )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( ( p3(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( ( p1(X2,f5(X1))
           => ( X3 = f6(X1,X2)
            <=> p1(f7(X2,X3),X1) ) )
          & ( ~ p1(X2,f5(X1))
           => ( X3 = f6(X1,X2)
            <=> X3 = c10 ) ) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p4(X1) ) )).
%------------------------------------------------------------------------------
