%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f12(A,C,D) = f12(B,C,D) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f12(C,A,D) = f12(C,B,D) ) )).

fof(f12_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f12(C,D,A) = f12(C,D,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p11(A,C,D) )
     => p11(B,C,D) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p11(C,A,D) )
     => p11(C,B,D) ) )).

fof(p11_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p11(C,D,A) )
     => p11(C,D,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(A,C,D) )
     => p13(B,C,D) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(C,A,D) )
     => p13(C,B,D) ) )).

fof(p13_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(C,D,A) )
     => p13(C,D,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(A,C) )
     => p16(B,C) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(C,A) )
     => p16(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(A,C,D) )
     => p9(B,C,D) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(C,A,D) )
     => p9(C,B,D) ) )).

fof(p9_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(C,D,A) )
     => p9(C,D,B) ) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_44,axiom,(
    ! [X1,X2] : p16(X1,X1) )).

fof(formula_10,axiom,(
    $true )).

fof(formula_19,axiom,(
    p4(c10) )).

fof(formula_36,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p4(X1) ) )).

fof(formula_20,axiom,(
    p14(c10) )).

fof(formula_31,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p4(X1) ) )).

fof(formula_45,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p9(X4,X3,X1)
     => ( p16(X1,X2)
       => p9(X4,X3,X2) ) ) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p13(X3,X1,X2)
      & p4(X3)
      & p3(X3) ) )).

fof(formula_30,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1)
      & p8(X1)
      & p2(X1) ) )).

fof(formula_28,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1) ) )).

fof(formula_33,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_11,axiom,(
    ! [X1,X2,X3] : 
      ( p13(X3,X1,X2)
     => p5(f12(X1,X2,X3),f6(X1)) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p5(X2,f6(X1))
          & ~ p2(X2) ) ) )).

fof(formula_47,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
    ? [X2] : p5(X2,X1) )).

fof(formula_37,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p5(X2,f6(X1))
      & p2(X2) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
    ? [X3] : p9(X3,X1,X2) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( p5(X3,f6(f7(X1,X2)))
     => p4(X3) ) )).

fof(formula_49,axiom,(
    ! [X1] : 
      ( p16(X1,c10)
     => X1 = c10 ) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( p9(X3,X1,X2)
     => ( ( ( X2 = c10
           => X1 = c10 )
         => ( p11(X3,X1,X2)
          <=> X1 = f12(X1,X2,X3) ) )
        & ( X2 = c10
         => ( X1 = c10
            | ( p11(X3,X1,X2)
            <=> X3 = c10 ) ) ) ) ) )).

fof(formula_8,axiom,(
    $true )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
    ? [X3] : p13(X3,X1,X2) )).

fof(formula_18,axiom,(
    p2(c10) )).

fof(formula_50,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p5(X2,f6(X3)) )
     => p5(X1,X3) ) )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c10 ) )).

fof(formula_55,conjecture,(
    ! [X1,X2,X3,X4] : 
      ( ( p3(X4)
        & p11(X4,X1,X2)
        & p9(X4,X1,X2) )
     => ( p16(X2,X3)
       => ( ( X2 = c10
            & X1 != c10 )
          | ( p3(X4)
            & p11(X4,X1,X3)
            & p9(X4,X1,X3) ) ) ) ) )).

fof(formula_22,axiom,(
    p2(c10) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( ( ~ p2(X1)
        & ~ p2(X2) )
     => ~ p2(f7(X1,X2)) ) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3] : 
      ( p9(X3,X1,X2)
     => p5(X3,f6(f7(X1,X2))) ) )).

fof(formula_34,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p2(X1)
      & p3(X1) ) )).

fof(formula_24,axiom,(
    p4(c10) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p4(X1) )
     => ~ p2(f15(X1)) ) )).

fof(formula_7,axiom,(
    $true )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p4(X1) ) )).

fof(formula_21,axiom,(
    ! [X1] : ~ p2(f6(X1)) )).

fof(formula_38,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_48,axiom,(
    ! [X1,X2] : 
      ( p5(X1,f6(X2))
    <=> p16(X1,X2) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p13(X3,X1,X2)
      & p4(X3)
      & p3(X3)
      & p11(X3,X1,X2) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p5(X1,X2) ) )).

fof(formula_23,axiom,(
    p2(c10) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_39,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1)
      & p8(X1) ) )).

fof(formula_51,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p5(X2,f6(X3))
        & p2(X3) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p2(X1)
        & p3(X1) )
     => ( p4(X1)
        & p3(X1)
        & p8(X1) ) ) )).

fof(formula_54,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_43,axiom,(
    ! [X1,X2,X3] : 
      ( p9(X3,X1,X2)
    <=> p13(X3,X1,X2) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_9,axiom,(
    $true )).

fof(formula_53,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_42,axiom,(
    ! [X1,X2,X3] : 
      ( p13(X3,X1,X2)
     => f12(X1,X2,X3) = f15(X3) ) )).

fof(formula_40,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p14(X1) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p2(f15(X1))
        & p4(f15(X1)) ) ) )).

fof(formula_41,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p14(X1)
      & p3(X1) ) )).
%------------------------------------------------------------------------------
