%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f2(A) = f2(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_31,axiom,(
    $true )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p10(X1)
        & p11(X1)
        & p12(X1) ) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p12(X1)
     => ! [X2] : 
          ( p1(X2,X1)
         => ( p10(X2)
            & p11(X2)
            & p12(X2) ) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p8(f6(X1))
        & p3(f6(X1)) ) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( ~ p8(X1)
     => ? [X2] : 
          ( p1(X2,f2(X1))
          & ~ p8(X2) ) ) )).

fof(formula_29,axiom,(
    ? [X1] : ~ p8(X1) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p3(X1) ) )).

fof(formula_34,axiom,(
    $true )).

fof(formula_30,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
     => ~ p5(X2,X1) ) )).

fof(formula_15,axiom,(
    ? [X1] : 
      ( ~ p8(X1)
      & p10(X1)
      & p11(X1)
      & p12(X1) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p12(X1)
     => ( p10(X1)
        & p11(X1) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X2,f2(X1))
      & p8(X2)
      & p3(X2)
      & p4(X2)
      & p9(X2)
      & p10(X2)
      & p11(X2)
      & p12(X2)
      & p13(X2)
      & p14(X2) ) )).

fof(formula_3,axiom,(
    ? [X1] : 
      ( ~ p8(X1)
      & p10(X1)
      & p11(X1)
      & p12(X1)
      & p13(X1) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ~ p8(X1)
     => ? [X2] : 
          ( p1(X2,f2(X1))
          & ~ p8(X2)
          & p14(X2) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p4(X1) ) )).

fof(formula_28,axiom,(
    ? [X1] : p8(X1) )).

fof(formula_14,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p4(X1)
      & p9(X1)
      & p8(X1)
      & p10(X1)
      & p11(X1)
      & p12(X1) ) )).

fof(formula_18,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p8(X1)
      & p4(X1) ) )).

fof(formula_13,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p11(X1)
      & p12(X1) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X2,f2(X1))
      & p8(X2) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p12(X1) )
     => ( p10(X1)
        & p11(X1)
        & p12(X1)
        & p13(X1) ) ) )).

fof(formula_1,conjecture,(
    ! [X1,X2,X3] : 
      ( ( p1(X2,f2(f2(X1)))
        & p3(X3)
        & p4(X3) )
     => ? [X4] : 
        ! [X5] : 
          ( p5(X5,X4)
        <=> ( p5(X5,f2(f6(X3)))
            & p5(f7(X3,X5),X2) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p4(X1)
        & p14(X2) )
     => p14(f7(X1,X2)) ) )).

fof(formula_32,axiom,(
    $true )).

fof(formula_20,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p3(X1) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ! [X2] : 
          ( p1(X2,f2(X1))
         => p14(X2) ) ) )).

fof(formula_35,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p4(X1) ) )).

fof(formula_33,axiom,(
    $true )).

fof(formula_22,axiom,(
    ? [X1] : 
      ( ~ p8(X1)
      & p3(X1) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( ( p3(X1)
        & p8(X1)
        & p4(X1) )
     => ( p3(X1)
        & p4(X1)
        & p9(X1) ) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p11(X1) )
     => p12(X1) ) )).

fof(formula_37,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X2,f2(f2(X1)))
        & p3(X3)
        & p4(X3) )
     => ( ! [X4,X5,X6] : 
            ( ( X4 = X5
              & p5(f7(X3,X5),X2)
              & X4 = X6
              & p5(f7(X3,X6),X2) )
           => X5 = X6 )
       => ? [X4] : 
          ! [X5] : 
            ( p5(X5,X4)
          <=> ? [X6] : 
                ( p5(X6,f2(f6(X3)))
                & X6 = X5
                & p5(f7(X3,X5),X2) ) ) ) ) )).

fof(formula_4,axiom,(
    ? [X1] : 
      ( ~ p8(X1)
      & p14(X1) ) )).

fof(formula_8,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p4(X1)
      & p9(X1) ) )).

fof(formula_36,axiom,(
    ! [X1] : ~ p8(f2(X1)) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p3(X1) )
     => ~ p8(f6(X1)) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p14(X1) ) )).
%------------------------------------------------------------------------------
