%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(A,C) = f15(B,C) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(C,A) = f15(C,B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(A,C) = f19(B,C) ) )).

fof(f19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(C,A) = f19(C,B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(A,C) = f20(B,C) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(C,A) = f20(C,B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(A,C) = f21(B,C) ) )).

fof(f21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(C,A) = f21(C,B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f25(A) = f25(B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f26(A,C,D) = f26(B,C,D) ) )).

fof(f26_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f26(C,A,D) = f26(C,B,D) ) )).

fof(f26_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f26(C,D,A) = f26(C,D,B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f28(A) = f28(B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(A,C) = f29(B,C) ) )).

fof(f29_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(C,A) = f29(C,B) ) )).

fof(f31_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f31(A,C) = f31(B,C) ) )).

fof(f31_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f31(C,A) = f31(C,B) ) )).

fof(f32_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f32(A,C) = f32(B,C) ) )).

fof(f32_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f32(C,A) = f32(C,B) ) )).

fof(f33_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f33(A) = f33(B) ) )).

fof(f34_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f34(A,C) = f34(B,C) ) )).

fof(f34_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f34(C,A) = f34(C,B) ) )).

fof(f35_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f35(A,C) = f35(B,C) ) )).

fof(f35_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f35(C,A) = f35(C,B) ) )).

fof(f38_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f38(A) = f38(B) ) )).

fof(f39_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f39(A,C) = f39(B,C) ) )).

fof(f39_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f39(C,A) = f39(C,B) ) )).

fof(f44_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f44(A,C,D) = f44(B,C,D) ) )).

fof(f44_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f44(C,A,D) = f44(C,B,D) ) )).

fof(f44_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f44(C,D,A) = f44(C,D,B) ) )).

fof(f45_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f45(A) = f45(B) ) )).

fof(f49_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f49(A,C,D) = f49(B,C,D) ) )).

fof(f49_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f49(C,A,D) = f49(C,B,D) ) )).

fof(f49_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f49(C,D,A) = f49(C,D,B) ) )).

fof(f51_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f51(A,C,D) = f51(B,C,D) ) )).

fof(f51_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f51(C,A,D) = f51(C,B,D) ) )).

fof(f51_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f51(C,D,A) = f51(C,D,B) ) )).

fof(f52_substitution_1,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f52(A,C,D,E,F,G) = f52(B,C,D,E,F,G) ) )).

fof(f52_substitution_2,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f52(C,A,D,E,F,G) = f52(C,B,D,E,F,G) ) )).

fof(f52_substitution_3,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f52(C,D,A,E,F,G) = f52(C,D,B,E,F,G) ) )).

fof(f52_substitution_4,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f52(C,D,E,A,F,G) = f52(C,D,E,B,F,G) ) )).

fof(f52_substitution_5,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f52(C,D,E,F,A,G) = f52(C,D,E,F,B,G) ) )).

fof(f52_substitution_6,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f52(C,D,E,F,G,A) = f52(C,D,E,F,G,B) ) )).

fof(f53_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f53(A) = f53(B) ) )).

fof(f54_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f54(A) = f54(B) ) )).

fof(f55_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f55(A) = f55(B) ) )).

fof(f56_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f56(A) = f56(B) ) )).

fof(f59_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f59(A) = f59(B) ) )).

fof(f60_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f60(A,C) = f60(B,C) ) )).

fof(f60_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f60(C,A) = f60(C,B) ) )).

fof(f61_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f61(A) = f61(B) ) )).

fof(f62_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f62(A,C,D) = f62(B,C,D) ) )).

fof(f62_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f62(C,A,D) = f62(C,B,D) ) )).

fof(f62_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f62(C,D,A) = f62(C,D,B) ) )).

fof(f63_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f63(A) = f63(B) ) )).

fof(f64_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f64(A) = f64(B) ) )).

fof(f69_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f69(A) = f69(B) ) )).

fof(f70_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f70(A) = f70(B) ) )).

fof(f74_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f74(A,C) = f74(B,C) ) )).

fof(f74_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f74(C,A) = f74(C,B) ) )).

fof(f76_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f76(A,C) = f76(B,C) ) )).

fof(f76_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f76(C,A) = f76(C,B) ) )).

fof(f78_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f78(A,C) = f78(B,C) ) )).

fof(f78_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f78(C,A) = f78(C,B) ) )).

fof(f79_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f79(A) = f79(B) ) )).

fof(f83_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f83(A,C) = f83(B,C) ) )).

fof(f83_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f83(C,A) = f83(C,B) ) )).

fof(f84_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f84(A,C) = f84(B,C) ) )).

fof(f84_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f84(C,A) = f84(C,B) ) )).

fof(f85_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f85(A) = f85(B) ) )).

fof(f86_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f86(A,C,D) = f86(B,C,D) ) )).

fof(f86_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f86(C,A,D) = f86(C,B,D) ) )).

fof(f86_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f86(C,D,A) = f86(C,D,B) ) )).

fof(f87_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f87(A,C) = f87(B,C) ) )).

fof(f87_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f87(C,A) = f87(C,B) ) )).

fof(f88_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f88(A,C) = f88(B,C) ) )).

fof(f88_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f88(C,A) = f88(C,B) ) )).

fof(f89_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f89(A,C,D) = f89(B,C,D) ) )).

fof(f89_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f89(C,A,D) = f89(C,B,D) ) )).

fof(f89_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f89(C,D,A) = f89(C,D,B) ) )).

fof(f92_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f92(A,C,D) = f92(B,C,D) ) )).

fof(f92_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f92(C,A,D) = f92(C,B,D) ) )).

fof(f92_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f92(C,D,A) = f92(C,D,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p23(A) )
     => p23(B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p24(A) )
     => p24(B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(A,C) )
     => p27(B,C) ) )).

fof(p27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(C,A) )
     => p27(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p30(A,C) )
     => p30(B,C) ) )).

fof(p30_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p30(C,A) )
     => p30(C,B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p36(A) )
     => p36(B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p37(A,C) )
     => p37(B,C) ) )).

fof(p37_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p37(C,A) )
     => p37(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p40(A) )
     => p40(B) ) )).

fof(p41_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p41(A,C) )
     => p41(B,C) ) )).

fof(p41_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p41(C,A) )
     => p41(C,B) ) )).

fof(p42_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p42(A) )
     => p42(B) ) )).

fof(p43_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p43(A,C) )
     => p43(B,C) ) )).

fof(p43_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p43(C,A) )
     => p43(C,B) ) )).

fof(p46_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p46(A,C,D) )
     => p46(B,C,D) ) )).

fof(p46_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p46(C,A,D) )
     => p46(C,B,D) ) )).

fof(p46_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p46(C,D,A) )
     => p46(C,D,B) ) )).

fof(p48_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p48(A,C,D) )
     => p48(B,C,D) ) )).

fof(p48_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p48(C,A,D) )
     => p48(C,B,D) ) )).

fof(p48_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p48(C,D,A) )
     => p48(C,D,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p50_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p50(A) )
     => p50(B) ) )).

fof(p57_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p57(A,C) )
     => p57(B,C) ) )).

fof(p57_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p57(C,A) )
     => p57(C,B) ) )).

fof(p58_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p58(A,C,D) )
     => p58(B,C,D) ) )).

fof(p58_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p58(C,A,D) )
     => p58(C,B,D) ) )).

fof(p58_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p58(C,D,A) )
     => p58(C,D,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p65_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p65(A) )
     => p65(B) ) )).

fof(p66_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p66(A,C) )
     => p66(B,C) ) )).

fof(p66_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p66(C,A) )
     => p66(C,B) ) )).

fof(p67_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p67(A,C,D) )
     => p67(B,C,D) ) )).

fof(p67_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p67(C,A,D) )
     => p67(C,B,D) ) )).

fof(p67_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p67(C,D,A) )
     => p67(C,D,B) ) )).

fof(p68_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p68(A,C) )
     => p68(B,C) ) )).

fof(p68_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p68(C,A) )
     => p68(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p71_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p71(A) )
     => p71(B) ) )).

fof(p72_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p72(A) )
     => p72(B) ) )).

fof(p73_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p73(A,C) )
     => p73(B,C) ) )).

fof(p73_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p73(C,A) )
     => p73(C,B) ) )).

fof(p75_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p75(A) )
     => p75(B) ) )).

fof(p77_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p77(A,C) )
     => p77(B,C) ) )).

fof(p77_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p77(C,A) )
     => p77(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p80_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p80(A,C,D) )
     => p80(B,C,D) ) )).

fof(p80_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p80(C,A,D) )
     => p80(C,B,D) ) )).

fof(p80_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p80(C,D,A) )
     => p80(C,D,B) ) )).

fof(p81_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p81(A) )
     => p81(B) ) )).

fof(p82_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p82(A) )
     => p82(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(p90_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p90(A) )
     => p90(B) ) )).

fof(p91_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p91(A) )
     => p91(B) ) )).

fof(p93_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p93(A,C) )
     => p93(B,C) ) )).

fof(p93_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p93(C,A) )
     => p93(C,B) ) )).

fof(formula_78,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p77(X1,X2)
        <=> ( p57(X1,X2)
            & p43(X1,X2)
            & p37(X1,X2)
            & p41(X1,X2)
            & p68(X1,X2) ) ) ) )).

fof(formula_313,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => f31(f35(X1,X3),X2) = f35(X1,f31(X3,X2)) ) )).

fof(formula_342,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p30(f38(f78(X2,X1)),f38(X2))
        & p30(f38(f78(X2,X1)),X1) ) ) )).

fof(formula_229,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p30(X1,f70(X2)) ) )).

fof(formula_66,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( X2 = f33(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f29(X3,X4),X1) ) ) ) )).

fof(formula_124,axiom,(
    ! [X1,X2,X3] : 
      ( p58(X3,X1,X2)
     => p4(f49(X1,X2,X3),f14(X1)) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ! [X2,X3] : 
          ( X3 = f32(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(X5,f33(X1))
                  & p1(X5,X2)
                  & X4 = f34(X1,X5) ) ) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p4(X1,c18)
     => ( p5(X1)
        & p6(X1)
        & p3(X1)
        & p16(X1) ) ) )).

fof(formula_83,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ( X2 = f79(X1)
          <=> ! [X3,X4] : 
                ( p1(f29(X3,X4),X2)
              <=> p1(f29(X4,X3),X1) ) ) ) ) )).

fof(formula_374,lemma,(
    ! [X1,X2] : 
      ( p3(X2)
     => ~ ( p30(X1,X2)
          & X1 != c47
          & ! [X3] : 
              ( p3(X3)
             => ~ ( p1(X3,X1)
                  & ! [X4] : 
                      ( p3(X4)
                     => ( p1(X4,X1)
                       => p27(X3,X4) ) ) ) ) ) ) )).

fof(formula_288,lemma,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p4(X2,f14(f14(f55(X1)))) )
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,f14(X1))
            & ? [X5] : 
                ( p1(X5,X2)
                & X4 = f74(X5,f56(X1)) ) ) ) ) )).

fof(formula_64,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ! [X2,X3] : 
          ( ( p1(X2,f33(X1))
           => ( X3 = f34(X1,X2)
            <=> p1(f29(X2,X3),X1) ) )
          & ( ~ p1(X2,f33(X1))
           => ( X3 = f34(X1,X2)
            <=> X3 = c47 ) ) ) ) )).

fof(formula_216,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f20(f56(X1),X2) = X2 ) )).

fof(formula_19,axiom,(
    ! [X1,X2] : f21(X1,X2) = f21(X2,X1) )).

fof(formula_41,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p57(X1,X2)
        <=> ! [X3] : 
              ( p1(X3,X2)
             => p1(f29(X3,X3),X1) ) ) ) )).

fof(formula_170,axiom,(
    p6(c18) )).

fof(formula_205,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p7(f45(X1))
        & p13(f45(X1)) ) ) )).

fof(formula_119,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(X1))
     => p4(f76(X1,X2),f14(X1)) ) )).

fof(formula_143,axiom,(
    $true )).

fof(formula_189,axiom,(
    ! [X1] : ~ p7(f56(X1)) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p5(X2)
            & p6(X2)
            & p3(X2) ) ) ) )).

fof(formula_103,axiom,(
    $true )).

fof(formula_303,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => p30(f45(f35(X1,X2)),X1) ) )).

fof(formula_296,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p13(X2)
      & p12(X2)
      & f33(X2) = X1
      & ! [X3] : 
          ( p1(X3,X1)
         => f34(X2,X3) = f56(X3) ) ) )).

fof(formula_245,axiom,(
    ? [X1] : 
      ( p13(X1)
      & p12(X1)
      & p17(X1)
      & p7(X1)
      & p5(X1)
      & p6(X1)
      & p3(X1) ) )).

fof(formula_99,axiom,(
    $true )).

fof(formula_436,axiom,(
    ! [X1] : 
      ( p7(X1)
     => X1 = c47 ) )).

fof(formula_38,axiom,(
    ! [X1] : 
      ( ? [X2,X3] : X1 = f29(X2,X3)
     => ! [X2] : 
          ( X2 = f54(X1)
        <=> ! [X3,X4] : 
              ( X1 = f29(X3,X4)
             => X2 = X3 ) ) ) )).

fof(formula_425,lemma,(
    ! [X1] : p36(f61(X1)) )).

fof(formula_94,axiom,(
    $true )).

fof(formula_407,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => ( X2 != c47
       => f89(X1,f69(X1),f87(X1,X2)) = f88(X1,f84(X1,X2)) ) ) )).

fof(formula_355,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p40(X2)
       => p40(f78(X2,X1)) ) ) )).

fof(formula_72,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f74(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_33,axiom,(
    ! [X1,X2,X3,X4] : 
      ( X4 = f44(X1,X2,X3)
    <=> ! [X5] : 
          ( p1(X5,X4)
        <=> ~ ( X5 != X1
              & X5 != X2
              & X5 != X3 ) ) ) )).

fof(formula_187,axiom,(
    p3(c47) )).

fof(formula_197,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p5(f70(X1))
        & p6(f70(X1))
        & p3(f70(X1)) ) ) )).

fof(formula_93,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ( p72(X1)
      <=> p57(X1,f38(X1)) ) ) )).

fof(formula_414,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p66(X1,X2)
          & ! [X3] : ~ p1(X3,f21(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f21(X1,X2))
          & p66(X1,X2) ) ) )).

fof(formula_387,lemma,(
    ! [X1,X2] : f20(X1,f74(X2,X1)) = f20(X1,X2) )).

fof(formula_96,axiom,(
    $true )).

fof(formula_58,axiom,(
    ! [X1] : 
      ( ( ~ p22(X1)
        & p50(X1) )
     => ! [X2] : 
          ( p4(X2,f25(X1))
         => ! [X3] : 
              ( p4(X3,f25(X1))
             => ( p67(X1,X2,X3)
              <=> f51(X1,X2,X3) = X3 ) ) ) ) )).

fof(formula_240,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p13(X1) ) )).

fof(formula_196,axiom,(
    ! [X1,X2] : 
      ( ( p13(X1)
        & p12(X1) )
     => ( p13(f31(X1,X2))
        & p12(f31(X1,X2)) ) ) )).

fof(formula_255,axiom,(
    ? [X1] : 
      ( p13(X1)
      & p91(X1)
      & p12(X1) ) )).

fof(formula_88,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ! [X3] : 
              ( p13(X3)
             => ( X3 = f83(X1,X2)
              <=> ! [X4,X5] : 
                    ( p1(f29(X4,X5),X3)
                  <=> ? [X6] : 
                        ( p1(f29(X4,X6),X1)
                        & p1(f29(X6,X5),X2) ) ) ) ) ) ) )).

fof(formula_307,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => f45(f35(X1,X2)) = f21(f45(X2),X1) ) )).

fof(formula_235,axiom,(
    ? [X1] : 
      ( p13(X1)
      & p12(X1) ) )).

fof(formula_444,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p7(X2) ) )).

fof(formula_408,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => ( X2 != c47
       => f87(X1,f84(X1,X2)) = f89(X1,f69(X1),f88(X1,X2)) ) ) )).

fof(formula_155,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => p8(f21(X1,X2)) ) )).

fof(formula_233,axiom,(
    ? [X1] : 
      ( ~ p7(X1)
      & p5(X1)
      & p6(X1)
      & p3(X1)
      & p16(X1) ) )).

fof(formula_312,lemma,(
    ! [X1,X2] : 
      ( ( p30(X1,X2)
        & p8(X2) )
     => p8(X1) ) )).

fof(formula_95,axiom,(
    $true )).

fof(formula_344,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p12(X4)
        & p48(X4,X1,X2)
        & p46(X4,X1,X2) )
     => ! [X5] : 
          ( ( p13(X5)
            & p12(X5) )
         => ( p1(X3,X1)
           => ( X2 = c47
              | f34(f83(X4,X5),X3) = f34(X5,f34(X4,X3)) ) ) ) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & p6(X1) )
     => p3(X1) ) )).

fof(formula_451,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => p30(f31(X2,X1),X2) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p9(X1)
     => ( p10(X1)
        & p11(X1) ) ) )).

fof(formula_169,axiom,(
    p5(c18) )).

fof(formula_237,axiom,(
    ? [X1] : 
      ( p5(X1)
      & p6(X1)
      & p3(X1) ) )).

fof(formula_336,lemma,(
    ! [X1,X2,X3] : 
      ( ( p30(X1,X2)
        & p30(X1,X3) )
     => p30(X1,f21(X2,X3)) ) )).

fof(formula_158,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p7(f79(X1))
        & p13(f79(X1)) ) ) )).

fof(formula_126,axiom,(
    $true )).

fof(formula_168,axiom,(
    ! [X1] : ~ p7(f55(X1)) )).

fof(formula_434,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ! [X3] : 
          ( ( p13(X3)
            & p12(X3) )
         => ( X2 = f31(X3,X1)
          <=> ( f33(X2) = f21(f33(X3),X1)
              & ! [X4] : 
                  ( p1(X4,f33(X2))
                 => f34(X2,X4) = f34(X3,X4) ) ) ) ) ) )).

fof(formula_37,axiom,(
    ! [X1] : 
      ( ( ~ p22(X1)
        & p50(X1) )
     => ! [X2] : 
          ( p4(X2,f25(X1))
         => ! [X3] : 
              ( p4(X3,f25(X1))
             => f51(X1,X2,X3) = f52(f25(X1),f25(X1),f25(X1),f53(X1),X2,X3) ) ) ) )).

fof(formula_224,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f14(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_150,axiom,(
    ? [X1] : p50(X1) )).

fof(formula_213,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_335,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p1(X1,f38(f78(X3,X2)))
       => ( p1(X1,f38(X3))
          & p1(X1,X2) ) ) ) )).

fof(formula_458,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p30(X1,f70(X2)) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2,X3] : 
          ( p13(X3)
         => ( X3 = f31(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f29(X4,X5),X3)
              <=> ( p1(X4,X2)
                  & p1(f29(X4,X5),X1) ) ) ) ) ) )).

fof(formula_217,lemma,(
    ! [X1,X2] : 
      ~ ( p66(f56(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_153,axiom,(
    ! [X1] : 
    ? [X2] : p4(X2,X1) )).

fof(formula_130,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => p4(f87(X1,X2),f14(X1)) ) )).

fof(formula_323,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => f45(f83(X1,X2)) = f32(X2,f45(X1)) ) ) )).

fof(formula_282,axiom,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( X2 = X3
            & p3(X3)
            & X2 = X4
            & p3(X4) )
         => X3 = X4 )
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X4,X1)
              & X4 = X3
              & p3(X3) ) ) ) )).

fof(formula_202,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p13(X1) )
     => ~ p7(f33(X1)) ) )).

fof(formula_286,lemma,(
    ! [X1,X2] : 
    ? [X3] : 
    ! [X4] : 
      ( p1(X4,X3)
    <=> ( p1(X4,f15(X1,X2))
        & ? [X5,X6] : 
            ( f29(X5,X6) = X4
            & p1(X5,X1)
            & X6 = f56(X5) ) ) ) )).

fof(formula_45,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2,X3] : 
          ( X3 = f60(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( X4 != X2
                & p1(f29(X4,X2),X1) ) ) ) ) )).

fof(formula_431,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( ( f33(X1) = c47
          | f45(X1) = c47 )
       => X1 = c47 ) ) )).

fof(formula_104,axiom,(
    $true )).

fof(formula_274,lemma,(
    ! [X1,X2,X3] : 
      ( ( p13(X2)
        & p13(X3)
        & p12(X3) )
     => ? [X4] : 
          ( p13(X4)
          & ! [X5,X6] : 
              ( p1(f29(X5,X6),X4)
            <=> ( p1(X5,X1)
                & p1(X6,X1)
                & p1(f29(f34(X3,X5),f34(X3,X6)),X2) ) ) ) ) )).

fof(formula_324,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p1(X1,f39(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f45(X3))
            & p1(f29(X1,X4),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_464,lemma,(
    ! [X1,X2,X3] : 
      ( f56(X1) = f19(X2,X3)
     => X2 = X3 ) )).

fof(formula_373,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p65(X2)
       => p65(f78(X2,X1)) ) ) )).

fof(formula_432,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( f33(X1) = c47
      <=> f45(X1) = c47 ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p7(X1)
        & p12(X1) )
     => ( p13(X1)
        & p12(X1)
        & p17(X1) ) ) )).

fof(formula_265,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => ( p27(X1,X2)
      <=> p30(X1,X2) ) ) )).

fof(formula_462,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p12(X4)
        & p48(X4,X1,X2)
        & p46(X4,X1,X2) )
     => ( p30(X2,X3)
       => ( ( X2 = c47
            & X1 != c47 )
          | ( p12(X4)
            & p48(X4,X1,X3)
            & p46(X4,X1,X3) ) ) ) ) )).

fof(formula_349,lemma,(
    ! [X1,X2,X3] : 
      ( p46(X3,X2,X1)
     => ( ! [X4] : 
            ~ ( p1(X4,X2)
              & ! [X5] : ~ p1(f29(X4,X5),X3) )
      <=> f49(X2,X1,X3) = X2 ) ) )).

fof(formula_332,lemma,(
    ! [X1,X2] : p30(f21(X1,X2),X1) )).

fof(formula_212,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => f84(X1,f84(X1,X2)) = X2 ) )).

fof(formula_160,axiom,(
    p7(c47) )).

fof(formula_131,axiom,(
    ! [X1] : p13(f28(X1)) )).

fof(formula_272,lemma,(
    ! [X1] : 
      ( ? [X2] : 
          ( p3(X2)
          & p1(X2,X1) )
     => ? [X2] : 
          ( p3(X2)
          & p1(X2,X1)
          & ! [X3] : 
              ( p3(X3)
             => ( p1(X3,X1)
               => p27(X2,X3) ) ) ) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p13(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f29(X3,X4) ) ) )).

fof(formula_105,axiom,(
    ! [X1] : p13(f61(X1)) )).

fof(formula_322,lemma,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f21(X1,X2)) ) )).

fof(formula_89,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p43(X1,X2)
        <=> ! [X3,X4,X5] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(X5,X2)
                & p1(f29(X3,X4),X1)
                & p1(f29(X4,X5),X1) )
             => p1(f29(X3,X5),X1) ) ) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ( p42(X1)
      <=> p43(X1,f38(X1)) ) ) )).

fof(formula_376,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( p1(X1,X2)
          <=> p27(f55(X1),X2) ) ) ) )).

fof(formula_191,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1)
        & p17(X1) )
     => ( p13(f79(X1))
        & p12(f79(X1)) ) ) )).

fof(formula_206,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f20(X1,X2)) ) )).

fof(formula_166,axiom,(
    ! [X1] : 
      ( ~ p7(f14(X1))
      & p10(f14(X1))
      & p11(f14(X1))
      & p9(f14(X1)) ) )).

fof(formula_55,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ( p65(X1)
      <=> ! [X2] : 
            ~ ( p30(X2,f38(X1))
              & X2 != c47
              & ! [X3] : 
                  ~ ( p1(X3,X2)
                    & p66(f60(X1,X3),X2) ) ) ) ) )).

fof(formula_43,axiom,(
    ! [X1,X2] : 
      ( ( X1 != c47
       => ( X2 = f59(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ! [X4] : 
                  ( p1(X4,X1)
                 => p1(X3,X4) ) ) ) )
      & ( X1 = c47
       => ( X2 = f59(X1)
        <=> X2 = c47 ) ) ) )).

fof(formula_258,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p22(X1)
        & p23(X1)
        & p24(X1)
        & p4(X2,f25(X1))
        & p4(X3,f25(X1)) )
     => f26(X1,X2,X3) = f62(X1,X2,X3) ) )).

fof(formula_271,lemma,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( p1(X2,X1)
            & X3 = f56(X2)
            & p1(X2,X1)
            & X4 = f56(X2) )
         => X3 = X4 )
     => ? [X2] : 
          ( p13(X2)
          & p12(X2)
          & ! [X3,X4] : 
              ( p1(f29(X3,X4),X2)
            <=> ( p1(X3,X1)
                & p1(X3,X1)
                & X4 = f56(X3) ) ) ) ) )).

fof(formula_232,lemma,(
    ! [X1,X2,X3] : 
      ( ( p13(X3)
        & p12(X3) )
     => ( p1(X2,f33(f31(X3,X1)))
      <=> ( p1(X2,f33(X3))
          & p1(X2,X1) ) ) ) )).

fof(formula_207,axiom,(
    ! [X1,X2] : 
      ( ( p7(X1)
        & p13(X2) )
     => ( p7(f83(X1,X2))
        & p13(f83(X1,X2)) ) ) )).

fof(formula_228,lemma,(
    ! [X1,X2] : 
      ( p30(X1,f56(X2))
    <=> ( X1 = c47
        | X1 = f56(X2) ) ) )).

fof(formula_337,axiom,(
    ! [X1] : f20(X1,c47) = X1 )).

fof(formula_190,axiom,(
    ! [X1,X2] : 
      ( ~ p7(X1)
     => ~ p7(f20(X1,X2)) ) )).

fof(formula_459,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => f31(X2,X1) = f83(f28(X1),X2) ) )).

fof(formula_80,axiom,(
    ! [X1] : 
      ( p13(X1)
     => f38(X1) = f20(f33(X1),f45(X1)) ) )).

fof(formula_171,axiom,(
    p3(c18) )).

fof(formula_192,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( ~ p7(f55(X1))
        & p5(f55(X1))
        & p6(f55(X1))
        & p3(f55(X1)) ) ) )).

fof(formula_370,lemma,(
    ! [X1] : p30(c47,X1) )).

fof(formula_315,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => p30(f32(X2,X1),f45(X2)) ) )).

fof(formula_133,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f14(X1))
        & p4(X3,f14(X1)) )
     => p4(f89(X1,X2,X3),f14(X1)) ) )).

fof(formula_422,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ( ( p17(X2)
          & p1(X1,f45(X2)) )
       => ( X1 = f34(X2,f34(f85(X2),X1))
          & X1 = f34(f83(f85(X2),X2),X1) ) ) ) )).

fof(formula_275,axiom,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p13(X2) )
     => ( ! [X3,X4,X5] : 
            ( ( p1(X3,X1)
              & ? [X6] : 
                  ( X3 = X6
                  & p1(X4,X6)
                  & ! [X7] : 
                      ( p1(X7,X6)
                     => p1(f29(X4,X7),X2) ) )
              & p1(X3,X1)
              & ? [X8] : 
                  ( X3 = X8
                  & p1(X5,X8)
                  & ! [X9] : 
                      ( p1(X9,X8)
                     => p1(f29(X5,X9),X2) ) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,X1)
                & p1(X5,X1)
                & ? [X10] : 
                    ( X5 = X10
                    & p1(X4,X10)
                    & ! [X11] : 
                        ( p1(X11,X10)
                       => p1(f29(X4,X11),X2) ) ) ) ) ) ) )).

fof(formula_129,axiom,(
    ! [X1,X2,X3] : 
      ( p58(X3,X1,X2)
     => p4(f86(X1,X2,X3),f14(X2)) ) )).

fof(formula_44,axiom,(
    ! [X1,X2] : 
      ( X2 = f56(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_115,axiom,(
    ! [X1,X2] : 
      ( p13(X1)
     => p13(f78(X1,X2)) ) )).

fof(formula_142,axiom,(
    $true )).

fof(formula_203,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p13(X1) )
     => ~ p7(f45(X1)) ) )).

fof(formula_86,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ( p17(X1)
      <=> ! [X2,X3] : 
            ( ( p1(X2,f33(X1))
              & p1(X3,f33(X1))
              & f34(X1,X2) = f34(X1,X3) )
           => X2 = X3 ) ) ) )).

fof(formula_69,axiom,(
    ! [X1,X2] : 
      ( X2 = f70(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_215,lemma,(
    ! [X1] : f56(X1) != c47 )).

fof(formula_244,axiom,(
    ? [X1] : 
      ( p13(X1)
      & p7(X1)
      & p12(X1) ) )).

fof(formula_445,lemma,(
    ! [X1,X2] : 
      ( f54(f29(X1,X2)) = X1
      & f64(f29(X1,X2)) = X2 ) )).

fof(formula_339,lemma,(
    ! [X1,X2,X3] : 
      ( ( p30(X1,X2)
        & p30(X2,X3) )
     => p30(X1,X3) ) )).

fof(formula_242,axiom,(
    ? [X1] : p7(X1) )).

fof(formula_152,axiom,(
    ! [X1,X2] : 
    ? [X3] : p58(X3,X1,X2) )).

fof(formula_140,axiom,(
    ! [X1] : 
      ( p50(X1)
     => p90(X1) ) )).

fof(formula_290,lemma,(
    ! [X1] : 
    ? [X2] : 
    ! [X3] : 
      ( p1(X3,X2)
    <=> ( p1(X3,X1)
        & p3(X3) ) ) )).

fof(formula_194,axiom,(
    ! [X1,X2] : ~ p7(f19(X1,X2)) )).

fof(formula_173,axiom,(
    ! [X1,X2] : 
      ( ( p13(X1)
        & p13(X2) )
     => p13(f21(X1,X2)) ) )).

fof(formula_57,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f15(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f29(X5,X6) ) ) ) )).

fof(formula_439,lemma,(
    ! [X1,X2] : 
      ( p30(f56(X1),f56(X2))
     => X1 = X2 ) )).

fof(formula_198,axiom,(
    p7(c47) )).

fof(formula_48,axiom,(
    ! [X1,X2] : 
      ( X2 = f14(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p30(X3,X1) ) ) )).

fof(formula_299,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f29(X1,X2),f15(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_268,axiom,(
    ! [X1,X2] : p30(X1,X1) )).

fof(formula_135,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => p4(f84(X1,X2),f14(f14(X1))) ) )).

fof(formula_114,axiom,(
    $true )).

fof(formula_180,axiom,(
    p13(c47) )).

fof(formula_450,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p1(X1,f33(f31(X3,X2)))
      <=> ( p1(X1,X2)
          & p1(X1,f33(X3)) ) ) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( X2 = f61(X1)
      <=> ( f38(X2) = X1
          & ! [X3,X4] : 
              ( ( p1(X3,X1)
                & p1(X4,X1) )
             => ( p1(f29(X3,X4),X2)
              <=> p30(X3,X4) ) ) ) ) ) )).

fof(formula_108,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p7(X1)
        & ~ p7(X2)
        & p12(X4)
        & p48(X4,f15(X1,X2),X3)
        & p58(X4,f15(X1,X2),X3)
        & p4(X5,X1)
        & p4(X6,X2) )
     => p4(f52(X1,X2,X3,X4,X5,X6),X3) ) )).

fof(formula_87,axiom,(
    ! [X1] : 
      ( ( ~ p22(X1)
        & p81(X1) )
     => ( p82(X1)
      <=> ! [X2] : 
            ( p4(X2,f25(X1))
           => ! [X3] : 
                ( p4(X3,f25(X1))
               => f51(X1,f62(X1,X2,X3),X3) = X3 ) ) ) ) )).

fof(formula_184,axiom,(
    p7(c47) )).

fof(formula_79,axiom,(
    ! [X1] : 
      ( p75(X1)
    <=> X1 = f70(X1) ) )).

fof(formula_301,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f19(X1,X2) = f19(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_302,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p1(X1,f45(f35(X2,X3)))
      <=> ( p1(X1,X2)
          & p1(X1,f45(X3)) ) ) ) )).

fof(formula_238,axiom,(
    ? [X1] : 
      ( p5(X1)
      & p6(X1)
      & p3(X1)
      & p75(X1) ) )).

fof(formula_71,axiom,(
    ! [X1,X2] : 
      ( p73(X1,X2)
    <=> ? [X3] : 
          ( p13(X3)
          & p12(X3)
          & p17(X3)
          & f33(X3) = X1
          & f45(X3) = X2 ) ) )).

fof(formula_260,axiom,(
    ! [X1,X2,X3] : 
      ( p58(X3,X1,X2)
     => f86(X1,X2,X3) = f45(X3) ) )).

fof(formula_367,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
     => ( p7(X2)
        | p1(X1,X2) ) ) )).

fof(formula_398,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f14(X1))
     => ! [X3] : 
          ( p4(X3,f14(X1))
         => ( p66(X2,X3)
          <=> p30(X2,f76(X1,X3)) ) ) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ! [X2,X3] : 
          ( X3 = f39(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( p1(X4,f33(X1))
                & p1(f34(X1,X4),X2) ) ) ) ) )).

fof(formula_39,axiom,(
    ! [X1] : f55(X1) = f20(X1,f56(X1)) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p5(X1)
        & p6(X1)
        & p3(X1) ) ) )).

fof(formula_181,axiom,(
    p91(c47) )).

fof(formula_298,axiom,(
    ! [X1,X2] : 
      ( p73(X1,X2)
     => p73(X2,X1) ) )).

fof(formula_81,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p41(X1,X2)
        <=> ! [X3,X4] : 
              ~ ( p1(X3,X2)
                & p1(X4,X2)
                & X3 != X4
                & ~ p1(f29(X3,X4),X1)
                & ~ p1(f29(X4,X3),X1) ) ) ) )).

fof(formula_163,axiom,(
    ! [X1,X2] : 
      ( ( p13(X1)
        & p12(X1)
        & p8(X2) )
     => p8(f32(X1,X2)) ) )).

fof(formula_148,axiom,(
    ? [X1] : p24(X1) )).

fof(formula_287,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ( p1(X3,f55(X1))
            & ? [X4] : 
                ( p3(X4)
                & X3 = X4
                & ( p1(X4,c18)
                 => ! [X5] : 
                      ( p4(X5,f14(f14(X4)))
                     => ~ ( X5 != c47
                          & ! [X6] : 
                              ~ ( p1(X6,X5)
                                & ! [X7] : 
                                    ( ( p1(X7,X5)
                                      & p30(X6,X7) )
                                   => X7 = X6 ) ) ) ) ) ) ) ) ) )).

fof(formula_92,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ( p17(X1)
       => f85(X1) = f79(X1) ) ) )).

fof(formula_208,axiom,(
    ! [X1,X2] : f20(X1,X1) = X1 )).

fof(formula_305,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => p30(f45(f35(X1,X2)),f45(X2)) ) )).

fof(formula_278,axiom,(
    ! [X1,X2] : 
      ( ! [X3,X4,X5] : 
          ( ( X3 = X4
            & ? [X6,X7] : 
                ( f29(X6,X7) = X4
                & p1(X6,X1)
                & X7 = f56(X6) )
            & X3 = X5
            & ? [X8,X9] : 
                ( f29(X8,X9) = X5
                & p1(X8,X1)
                & X9 = f56(X8) ) )
         => X4 = X5 )
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5] : 
              ( p1(X5,f15(X1,X2))
              & X5 = X4
              & ? [X10,X11] : 
                  ( f29(X10,X11) = X4
                  & p1(X10,X1)
                  & X11 = f56(X10) ) ) ) ) )).

fof(formula_390,lemma,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p1(X2,X3)
        & p1(X3,X1) ) )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ( X1 = X2
          <=> ! [X3,X4] : 
                ( p1(f29(X3,X4),X1)
              <=> p1(f29(X3,X4),X2) ) ) ) ) )).

fof(formula_50,axiom,(
    ! [X1] : 
      ( ? [X2,X3] : X1 = f29(X2,X3)
     => ! [X2] : 
          ( X2 = f64(X1)
        <=> ! [X3,X4] : 
              ( X1 = f29(X3,X4)
             => X2 = X4 ) ) ) )).

fof(formula_200,axiom,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & ~ p7(X2) )
     => ~ p7(f15(X1,X2)) ) )).

fof(formula_54,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f19(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_399,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => p30(f33(f83(X1,X2)),f33(X1)) ) ) )).

fof(formula_359,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p36(X2)
       => p36(f78(X2,X1)) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p4(X2,f14(X1))
         => p8(X2) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_358,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ( p30(X1,X2)
           => ( p30(f33(X1),f33(X2))
              & p30(f45(X1),f45(X2)) ) ) ) ) )).

fof(formula_416,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ! [X3] : 
              ( ( p13(X3)
                & p12(X3) )
             => ( p80(X1,X2,X3)
               => ( ( p72(X1)
                   => p72(X2) )
                  & ( p42(X1)
                   => p42(X2) )
                  & ( p40(X1)
                   => p40(X2) )
                  & ( p36(X1)
                   => p36(X2) )
                  & ( p65(X1)
                   => p65(X2) ) ) ) ) ) ) )).

fof(formula_420,lemma,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ( p17(X1)
       => ( f45(X1) = f33(f85(X1))
          & f33(X1) = f45(f85(X1)) ) ) ) )).

fof(formula_340,lemma,(
    f14(c47) = f56(c47) )).

fof(formula_427,lemma,(
    f45(c47) = c47 )).

fof(formula_77,axiom,(
    ! [X1,X2] : f29(X1,X2) = f19(f19(X1,X2),f56(X1)) )).

fof(formula_455,lemma,(
    ! [X1,X2,X3] : 
      ( ( p30(X1,X2)
        & p30(X3,X2) )
     => p30(f20(X1,X3),X2) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ( p40(X1)
      <=> p41(X1,f38(X1)) ) ) )).

fof(formula_449,lemma,(
    ! [X1,X2] : 
      ( p66(X1,X2)
    <=> f74(X1,X2) = X1 ) )).

fof(formula_154,axiom,(
    ! [X1,X2] : 
    ? [X3] : p46(X3,X1,X2) )).

fof(formula_273,lemma,
    ( ( ( p1(c47,c18)
       => ! [X1] : 
            ( p4(X1,f14(f14(c47)))
           => ~ ( X1 != c47
                & ! [X2] : 
                    ~ ( p1(X2,X1)
                      & ! [X3] : 
                          ( ( p1(X3,X1)
                            & p30(X2,X3) )
                         => X3 = X2 ) ) ) ) )
      & ! [X4] : 
          ( p3(X4)
         => ( ( p1(X4,c18)
             => ! [X5] : 
                  ( p4(X5,f14(f14(X4)))
                 => ~ ( X5 != c47
                      & ! [X6] : 
                          ~ ( p1(X6,X5)
                            & ! [X7] : 
                                ( ( p1(X7,X5)
                                  & p30(X6,X7) )
                               => X7 = X6 ) ) ) ) )
           => ( p1(f55(X4),c18)
             => ! [X8] : 
                  ( p4(X8,f14(f14(f55(X4))))
                 => ~ ( X8 != c47
                      & ! [X9] : 
                          ~ ( p1(X9,X8)
                            & ! [X10] : 
                                ( ( p1(X10,X8)
                                  & p30(X9,X10) )
                               => X10 = X9 ) ) ) ) ) ) )
      & ! [X4] : 
          ( p3(X4)
         => ( ( p75(X4)
              & ! [X11] : 
                  ( p3(X11)
                 => ( p1(X11,X4)
                   => ( p1(X11,c18)
                     => ! [X12] : 
                          ( p4(X12,f14(f14(X11)))
                         => ~ ( X12 != c47
                              & ! [X13] : 
                                  ~ ( p1(X13,X12)
                                    & ! [X14] : 
                                        ( ( p1(X14,X12)
                                          & p30(X13,X14) )
                                       => X14 = X13 ) ) ) ) ) ) ) )
           => ( X4 = c47
              | ( p1(X4,c18)
               => ! [X15] : 
                    ( p4(X15,f14(f14(X4)))
                   => ~ ( X15 != c47
                        & ! [X16] : 
                            ~ ( p1(X16,X15)
                              & ! [X17] : 
                                  ( ( p1(X17,X15)
                                    & p30(X16,X17) )
                                 => X17 = X16 ) ) ) ) ) ) ) ) )
   => ! [X4] : 
        ( p3(X4)
       => ( p1(X4,c18)
         => ! [X18] : 
              ( p4(X18,f14(f14(X4)))
             => ~ ( X18 != c47
                  & ! [X19] : 
                      ~ ( p1(X19,X18)
                        & ! [X20] : 
                            ( ( p1(X20,X18)
                              & p30(X19,X20) )
                           => X20 = X19 ) ) ) ) ) ) )).

fof(formula_345,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( p2(X1,X2)
           => p1(X1,X2) ) ) ) )).

fof(formula_98,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p22(X1)
        & p50(X1)
        & p4(X2,f25(X1))
        & p4(X3,f25(X1)) )
     => p4(f51(X1,X2,X3),f25(X1)) ) )).

fof(formula_304,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => p30(f35(X1,X2),X2) ) )).

fof(formula_413,lemma,(
    ! [X1] : 
      ( p3(X1)
     => p40(f61(X1)) ) )).

fof(formula_139,axiom,(
    $true )).

fof(formula_368,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_85,axiom,(
    ! [X1,X2] : 
      ( p66(X1,X2)
    <=> f21(X1,X2) = c47 ) )).

fof(formula_403,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ( p30(f45(X1),f33(X2))
           => f33(f83(X1,X2)) = f33(X1) ) ) ) )).

fof(formula_111,axiom,(
    $true )).

fof(formula_437,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p12(X4)
        & p48(X4,X1,X2)
        & p46(X4,X1,X2) )
     => ( p1(X3,X1)
       => ( X2 = c47
          | p1(f34(X4,X3),f45(X4)) ) ) ) )).

fof(formula_281,axiom,(
    ! [X1,X2,X3] : 
      ( ( p13(X2)
        & p13(X3)
        & p12(X3) )
     => ( ! [X4,X5,X6] : 
            ( ( X4 = X5
              & ? [X7,X8] : 
                  ( X5 = f29(X7,X8)
                  & p1(f29(f34(X3,X7),f34(X3,X8)),X2) )
              & X4 = X6
              & ? [X9,X10] : 
                  ( X6 = f29(X9,X10)
                  & p1(f29(f34(X3,X9),f34(X3,X10)),X2) ) )
           => X5 = X6 )
       => ? [X4] : 
          ! [X5] : 
            ( p1(X5,X4)
          <=> ? [X6] : 
                ( p1(X6,f15(X1,X1))
                & X6 = X5
                & ? [X11,X12] : 
                    ( X5 = f29(X11,X12)
                    & p1(f29(f34(X3,X11),f34(X3,X12)),X2) ) ) ) ) ) )).

fof(formula_270,lemma,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p13(X2) )
     => ( ! [X3,X4,X5] : 
            ( ( p1(X3,X1)
              & ? [X6] : 
                  ( X3 = X6
                  & p1(X4,X6)
                  & ! [X7] : 
                      ( p1(X7,X6)
                     => p1(f29(X4,X7),X2) ) )
              & p1(X3,X1)
              & ? [X8] : 
                  ( X3 = X8
                  & p1(X5,X8)
                  & ! [X9] : 
                      ( p1(X9,X8)
                     => p1(f29(X5,X9),X2) ) ) )
           => X4 = X5 )
       => ? [X3] : 
            ( p13(X3)
            & p12(X3)
            & ! [X4,X5] : 
                ( p1(f29(X4,X5),X3)
              <=> ( p1(X4,X1)
                  & p1(X4,X1)
                  & ? [X10] : 
                      ( X4 = X10
                      & p1(X5,X10)
                      & ! [X11] : 
                          ( p1(X11,X10)
                         => p1(f29(X5,X11),X2) ) ) ) ) ) ) ) )).

fof(formula_372,lemma,(
    ! [X1] : 
      ( ! [X2] : 
          ( p1(X2,X1)
         => ( p3(X2)
            & p30(X2,X1) ) )
     => p3(X1) ) )).

fof(formula_280,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p4(X2,f14(f14(f55(X1)))) )
     => ( ! [X3,X4,X5] : 
            ( ( X3 = X4
              & ? [X6] : 
                  ( p1(X6,X2)
                  & X4 = f74(X6,f56(X1)) )
              & X3 = X5
              & ? [X7] : 
                  ( p1(X7,X2)
                  & X5 = f74(X7,f56(X1)) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,f14(X1))
                & X5 = X4
                & ? [X8] : 
                    ( p1(X8,X2)
                    & X4 = f74(X8,f56(X1)) ) ) ) ) ) )).

fof(formula_247,axiom,(
    ? [X1] : 
      ( ~ p7(X1)
      & p13(X1) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p8(X1)
    <=> ? [X2] : 
          ( p13(X2)
          & p12(X2)
          & f45(X2) = X1
          & p1(f33(X2),c18) ) ) )).

fof(formula_138,axiom,(
    ! [X1] : 
      ( p24(X1)
     => p90(X1) ) )).

fof(formula_251,axiom,(
    ? [X1] : 
      ( p13(X1)
      & p12(X1)
      & p17(X1) ) )).

fof(formula_319,lemma,(
    ! [X1] : 
      ( p13(X1)
     => f32(X1,f33(X1)) = f45(X1) ) )).

fof(formula_120,axiom,(
    $true )).

fof(formula_157,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f21(X1,X2)) ) )).

fof(formula_276,axiom,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p13(X2) )
     => ! [X3] : 
          ( ! [X4,X5,X6] : 
              ( ( X4 = X5
                & ? [X7,X8] : 
                    ( f29(X7,X8) = X5
                    & p1(X7,X1)
                    & ? [X9] : 
                        ( X7 = X9
                        & p1(X8,X9)
                        & ! [X10] : 
                            ( p1(X10,X9)
                           => p1(f29(X8,X10),X2) ) ) )
                & X4 = X6
                & ? [X11,X12] : 
                    ( f29(X11,X12) = X6
                    & p1(X11,X1)
                    & ? [X13] : 
                        ( X11 = X13
                        & p1(X12,X13)
                        & ! [X14] : 
                            ( p1(X14,X13)
                           => p1(f29(X12,X14),X2) ) ) ) )
             => X5 = X6 )
         => ? [X4] : 
            ! [X5] : 
              ( p1(X5,X4)
            <=> ? [X6] : 
                  ( p1(X6,f15(X1,X3))
                  & X6 = X5
                  & ? [X15,X16] : 
                      ( f29(X15,X16) = X5
                      & p1(X15,X1)
                      & ? [X17] : 
                          ( X15 = X17
                          & p1(X16,X17)
                          & ! [X18] : 
                              ( p1(X18,X17)
                             => p1(f29(X16,X18),X2) ) ) ) ) ) ) ) )).

fof(formula_330,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ( p8(X1)
       => p8(f32(X2,X1)) ) ) )).

fof(formula_118,axiom,(
    $true )).

fof(formula_382,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( f45(X1) = f33(f79(X1))
        & f33(X1) = f45(f79(X1)) ) ) )).

fof(formula_441,lemma,(
    ! [X1] : 
      ( f33(f28(X1)) = X1
      & f45(f28(X1)) = X1 ) )).

fof(formula_326,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p46(X4,X3,X1)
     => ( p30(X1,X2)
       => p46(X4,X3,X2) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_297,axiom,(
    ! [X1,X2] : 
      ( p66(X1,X2)
     => p66(X2,X1) ) )).

fof(formula_317,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => f32(X2,X1) = f32(X2,f21(f33(X2),X1)) ) )).

fof(formula_174,axiom,(
    ! [X1] : 
      ( ( ~ p22(X1)
        & p90(X1) )
     => ~ p7(f25(X1)) ) )).

fof(formula_177,axiom,(
    ! [X1,X2] : ~ p7(f29(X1,X2)) )).

fof(formula_348,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ! [X3] : 
          ( ( p13(X3)
            & p12(X3) )
         => ( p1(X1,f33(f83(X3,X2)))
           => f34(f83(X3,X2),X1) = f34(X2,f34(X3,X1)) ) ) ) )).

fof(formula_446,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & ! [X3] : 
            ~ ( p1(X3,X2)
              & ! [X4] : 
                  ~ ( p1(X4,X2)
                    & p1(X4,X3) ) ) ) )).

fof(formula_389,axiom,(
    ! [X1] : f74(X1,c47) = X1 )).

fof(formula_379,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ( X2 = f28(X1)
      <=> ( f33(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f34(X2,X3) = X3 ) ) ) ) )).

fof(formula_391,axiom,(
    ! [X1,X2] : 
      ( p4(X1,f14(X2))
    <=> p30(X1,X2) ) )).

fof(formula_392,lemma,(
    ! [X1] : p42(f61(X1)) )).

fof(formula_67,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p37(X1,X2)
        <=> ! [X3,X4] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(f29(X3,X4),X1)
                & p1(f29(X4,X3),X1) )
             => X3 = X4 ) ) ) )).

fof(formula_329,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p30(X1,X2)
       => p30(f39(X3,X1),f39(X3,X2)) ) ) )).

fof(formula_417,lemma,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ( p17(X1)
       => ! [X2] : 
            ( ( p13(X2)
              & p12(X2) )
           => ( X2 = f85(X1)
            <=> ( f33(X2) = f45(X1)
                & ! [X3,X4] : 
                    ( ( ( p1(X3,f45(X1))
                        & X4 = f34(X2,X3) )
                     => ( p1(X4,f33(X1))
                        & X3 = f34(X1,X4) ) )
                    & ( ( p1(X4,f33(X1))
                        & X3 = f34(X1,X4) )
                     => ( p1(X3,f45(X1))
                        & X4 = f34(X2,X3) ) ) ) ) ) ) ) ) )).

fof(formula_360,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p77(X2,X1)
       => ( f38(f78(X2,X1)) = X1
          & p71(f78(X2,X1)) ) ) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ( p36(X1)
      <=> p37(X1,f38(X1)) ) ) )).

fof(formula_377,lemma,(
    ! [X1,X2,X3] : 
      ( p30(X1,X2)
     => p30(f74(X1,X3),f74(X2,X3)) ) )).

fof(formula_128,axiom,(
    ! [X1,X2] : 
      ( ( p13(X1)
        & p13(X2) )
     => p13(f83(X1,X2)) ) )).

fof(formula_63,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f21(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_159,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f74(X1,X2)) ) )).

fof(formula_460,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => p30(f45(f31(X2,X1)),f45(X2)) ) )).

fof(formula_195,axiom,(
    ! [X1,X2] : 
      ( ~ p7(X1)
     => ~ p7(f20(X2,X1)) ) )).

fof(formula_141,axiom,(
    ! [X1] : 
      ( p81(X1)
     => ( p24(X1)
        & p50(X1) ) ) )).

fof(formula_73,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ! [X2] : 
          ( X2 = f45(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : 
                  ( p1(X4,f33(X1))
                  & X3 = f34(X1,X4) ) ) ) ) )).

fof(formula_100,axiom,(
    $true )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ( p13(X2)
     => ! [X3] : 
          ( p13(X3)
         => ( X3 = f35(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f29(X4,X5),X3)
              <=> ( p1(X5,X1)
                  & p1(f29(X4,X5),X2) ) ) ) ) ) )).

fof(formula_65,axiom,(
    ! [X1] : 
      ( p3(X1)
    <=> ( p5(X1)
        & p6(X1) ) ) )).

fof(formula_51,axiom,(
    ! [X1] : 
      ( p5(X1)
    <=> ! [X2] : 
          ( p1(X2,X1)
         => p30(X2,X1) ) ) )).

fof(formula_338,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p4(X1,X2) ) )).

fof(formula_454,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( p77(X1,f38(X1))
      <=> p71(X1) ) ) )).

fof(formula_351,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ! [X3] : 
          ( ( p13(X3)
            & p12(X3) )
         => ( p1(X1,f33(X2))
           => f34(f83(X2,X3),X1) = f34(X3,f34(X2,X1)) ) ) ) )).

fof(formula_402,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p12(X4)
        & p48(X4,X1,X2)
        & p46(X4,X1,X2) )
     => ( X2 != c47
       => ! [X5] : 
            ( p1(X5,f39(X4,X3))
          <=> ( p1(X5,X1)
              & p1(f34(X4,X5),X3) ) ) ) ) )).

fof(formula_429,lemma,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ( p17(X1)
       => p17(f85(X1)) ) ) )).

fof(formula_423,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p4(X2,f14(X3))
        & p7(X3) ) )).

fof(formula_380,lemma,(
    ! [X1,X2] : 
      ( p1(X2,X1)
     => f34(f28(X1),X2) = X2 ) )).

fof(formula_253,axiom,(
    ? [X1] : 
      ( p13(X1)
      & p91(X1) ) )).

fof(formula_149,axiom,(
    ? [X1] : p90(X1) )).

fof(formula_257,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p7(X1)
        & ~ p7(X2)
        & p12(X4)
        & p48(X4,f15(X1,X2),X3)
        & p58(X4,f15(X1,X2),X3)
        & p4(X5,X1)
        & p4(X6,X2) )
     => f52(X1,X2,X3,X4,X5,X6) = f92(X4,X5,X6) ) )).

fof(formula_383,lemma,(
    ! [X1,X2] : 
      ( f74(X1,X2) = c47
    <=> p30(X1,X2) ) )).

fof(formula_352,conjecture,(
    ! [X1] : 
      ( ( ~ p22(X1)
        & p23(X1)
        & p82(X1)
        & p81(X1) )
     => ! [X2] : 
          ( p4(X2,f25(X1))
         => ! [X3] : 
              ( p4(X3,f25(X1))
             => p67(X1,f26(X1,X2,X3),X2) ) ) ) )).

fof(formula_385,lemma,(
    ! [X1,X2,X3] : 
      ( p30(f19(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_162,axiom,(
    p91(c47) )).

fof(formula_59,axiom,(
    ! [X1] : 
      ( p6(X1)
    <=> ! [X2,X3] : 
          ~ ( p1(X2,X1)
            & p1(X3,X1)
            & ~ p1(X2,X3)
            & X2 != X3
            & ~ p1(X3,X2) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( ( p7(X1)
        & p3(X1) )
     => ( p5(X1)
        & p6(X1)
        & p3(X1)
        & p16(X1) ) ) )).

fof(formula_443,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p13(X4)
     => ( p1(f29(X1,X2),f83(f28(X3),X4))
      <=> ( p1(X1,X3)
          & p1(f29(X1,X2),X4) ) ) ) )).

fof(formula_262,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => f88(X1,X2) = f59(X2) ) )).

fof(formula_193,axiom,(
    ! [X1,X2] : 
      ( ( p13(X1)
        & p13(X2) )
     => p13(f74(X1,X2)) ) )).

fof(formula_116,axiom,(
    $true )).

fof(formula_388,lemma,(
    ! [X1,X2] : 
      ( p30(X1,f56(X2))
    <=> ( X1 = c47
        | X1 = f56(X2) ) ) )).

fof(formula_167,axiom,(
    ! [X1,X2] : 
      ( ( p13(X1)
        & p12(X1)
        & p13(X2)
        & p12(X2) )
     => ( p13(f83(X1,X2))
        & p12(f83(X1,X2)) ) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2,X3] : 
          ( X3 = f32(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f29(X5,X4),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_249,axiom,(
    ? [X1] : ~ p7(X1) )).

fof(formula_463,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p30(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p30(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p30(X3,X2)
            & ~ p93(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_239,axiom,(
    ? [X1] : 
      ( p13(X1)
      & p12(X1)
      & p17(X1)
      & p7(X1) ) )).

fof(formula_185,axiom,(
    p5(c47) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => ( p27(X1,X2)
        | p27(X2,X1) ) ) )).

fof(formula_109,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ( p13(f85(X1))
        & p12(f85(X1)) ) ) )).

fof(formula_327,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p1(X1,f78(X3,X2))
      <=> ( p1(X1,X3)
          & p1(X1,f15(X2,X2)) ) ) ) )).

fof(formula_362,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p13(X2)
      & p77(X2,X1) ) )).

fof(formula_179,axiom,(
    ! [X1] : 
      ( p13(f28(X1))
      & p12(f28(X1)) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p11(X1) )
     => p9(X1) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : f19(X1,X2) = f19(X2,X1) )).

fof(formula_125,axiom,(
    $true )).

fof(formula_117,axiom,(
    $true )).

fof(formula_264,axiom,(
    ! [X1,X2,X3] : 
      ( p46(X3,X1,X2)
    <=> p58(X3,X1,X2) ) )).

fof(formula_74,axiom,(
    ! [X1] : 
      ( X1 = c18
    <=> ( p1(c47,X1)
        & p75(X1)
        & p3(X1)
        & ! [X2] : 
            ( p3(X2)
           => ( ( p1(c47,X2)
                & p75(X2) )
             => p30(X1,X2) ) ) ) ) )).

fof(formula_331,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => f78(X2,X1) = f31(f35(X1,X2),X1) ) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( X2 = f28(X1)
      <=> ! [X3,X4] : 
            ( p1(f29(X3,X4),X2)
          <=> ( p1(X3,X1)
              & X3 = X4 ) ) ) ) )).

fof(formula_316,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => p30(f32(X2,f39(X2,X1)),X1) ) )).

fof(formula_361,lemma,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ( p8(f33(X1))
       => p8(f45(X1)) ) ) )).

fof(formula_36,axiom,(
    ! [X1,X2,X3] : 
      ( p46(X3,X1,X2)
     => ( ( ( X2 = c47
           => X1 = c47 )
         => ( p48(X3,X1,X2)
          <=> X1 = f49(X1,X2,X3) ) )
        & ( X2 = c47
         => ( X1 = c47
            | ( p48(X3,X1,X2)
            <=> X3 = c47 ) ) ) ) ) )).

fof(formula_227,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( p40(X1)
      <=> ! [X2,X3] : 
            ~ ( p1(X2,f38(X1))
              & p1(X3,f38(X1))
              & X2 != X3
              & ~ p1(f29(X2,X3),X1)
              & ~ p1(f29(X3,X2),X1) ) ) ) )).

fof(formula_106,axiom,(
    $true )).

fof(formula_277,axiom,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( p1(X2,X1)
            & X3 = f56(X2)
            & p1(X2,X1)
            & X4 = f56(X2) )
         => X3 = X4 )
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X4,X1)
              & p1(X4,X1)
              & X3 = f56(X4) ) ) ) )).

fof(formula_76,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(X1))
     => f76(X1,X2) = f74(X1,X2) ) )).

fof(formula_395,lemma,(
    ! [X1,X2] : f74(f20(X1,X2),X2) = f74(X1,X2) )).

fof(formula_204,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p7(f33(X1))
        & p13(f33(X1)) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2,X3] : 
          ( X3 = f39(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f29(X4,X5),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_123,axiom,(
    ! [X1] : 
      ( p13(X1)
     => p13(f79(X1)) ) )).

fof(formula_401,lemma,(
    ! [X1,X2] : 
      ( p30(X1,X2)
     => X2 = f20(X1,f74(X2,X1)) ) )).

fof(formula_334,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => f78(X2,X1) = f35(X1,f31(X2,X1)) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p30(X1,X2)
        & p30(X2,X1) ) ) )).

fof(formula_300,lemma,(
    ! [X1] : p1(X1,f55(X1)) )).

fof(formula_182,axiom,(
    p12(c47) )).

fof(formula_146,axiom,(
    $true )).

fof(formula_320,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ( p30(X1,f45(X2))
       => f32(X2,f39(X2,X1)) = X1 ) ) )).

fof(formula_214,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( p72(X1)
      <=> ! [X2] : 
            ( p1(X2,f38(X1))
           => p1(f29(X2,X2),X1) ) ) ) )).

fof(formula_243,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p4(X2,f14(X1))
      & p7(X2)
      & p13(X2)
      & p12(X2)
      & p17(X2)
      & p5(X2)
      & p6(X2)
      & p3(X2)
      & p16(X2)
      & p8(X2) ) )).

fof(formula_107,axiom,(
    $true )).

fof(formula_241,axiom,(
    ! [X1] : 
      ( ~ p7(X1)
     => ? [X2] : 
          ( p4(X2,f14(X1))
          & ~ p7(X2) ) ) )).

fof(formula_110,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p22(X1)
        & p24(X1)
        & p4(X2,f25(X1))
        & p4(X3,f25(X1)) )
     => p4(f62(X1,X2,X3),f25(X1)) ) )).

fof(formula_343,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ! [X3] : 
          ( ( p13(X3)
            & p12(X3) )
         => ( p1(X1,f33(f83(X3,X2)))
          <=> ( p1(X1,f33(X3))
              & p1(f34(X3,X1),f33(X2)) ) ) ) ) )).

fof(formula_62,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p68(X1,X2)
        <=> ! [X3] : 
              ~ ( p30(X3,X2)
                & X3 != c47
                & ! [X4] : 
                    ~ ( p1(X4,X3)
                      & p66(f60(X1,X4),X3) ) ) ) ) )).

fof(formula_56,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f20(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p5(X1)
        & p6(X1) ) ) )).

fof(formula_246,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p58(X3,X1,X2)
      & p13(X3)
      & p12(X3) ) )).

fof(formula_199,axiom,(
    p13(c47) )).

fof(formula_127,axiom,(
    $true )).

fof(formula_121,axiom,(
    $true )).

fof(formula_176,axiom,(
    p7(c47) )).

fof(formula_49,axiom,(
    ! [X1] : 
      ( ( ~ p22(X1)
        & p24(X1) )
     => ! [X2] : 
          ( p4(X2,f25(X1))
         => ! [X3] : 
              ( p4(X3,f25(X1))
             => f62(X1,X2,X3) = f52(f25(X1),f25(X1),f25(X1),f63(X1),X2,X3) ) ) ) )).

fof(formula_186,axiom,(
    p6(c47) )).

fof(formula_164,axiom,(
    ! [X1,X2] : 
      ( ( p13(X1)
        & p91(X1) )
     => ( p13(f31(X1,X2))
        & p91(f31(X1,X2)) ) ) )).

fof(formula_412,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p4(X2,f14(X3)) )
     => p4(X1,X3) ) )).

fof(formula_411,axiom,(
    ! [X1] : f74(c47,X1) = c47 )).

fof(formula_419,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ! [X3] : 
              ( ( p13(X3)
                & p12(X3) )
             => ( ( p71(X1)
                  & p80(X1,X2,X3) )
               => p71(X2) ) ) ) ) )).

fof(formula_134,axiom,(
    ! [X1,X2] : 
      ( p13(X1)
     => p13(f31(X1,X2)) ) )).

fof(formula_210,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(X1))
     => f76(X1,f76(X1,X2)) = X2 ) )).

fof(formula_397,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ( ~ ( ~ p75(X1)
            & ! [X2] : 
                ( p3(X2)
               => X1 != f55(X2) ) )
        & ~ ( ? [X2] : 
                ( p3(X2)
                & X1 = f55(X2) )
            & p75(X1) ) ) ) )).

fof(formula_261,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => f87(X1,X2) = f70(X2) ) )).

fof(formula_289,lemma,(
    ! [X1,X2,X3] : 
      ( ( p13(X2)
        & p13(X3)
        & p12(X3) )
     => ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f15(X1,X1))
            & ? [X6,X7] : 
                ( X5 = f29(X6,X7)
                & p1(f29(f34(X3,X6),f34(X3,X7)),X2) ) ) ) ) )).

fof(formula_226,lemma,(
    ! [X1,X2,X3] : 
      ( p30(X1,X2)
     => ( p1(X3,X1)
        | p30(X1,f74(X2,f56(X3))) ) ) )).

fof(formula_453,lemma,(
    ! [X1,X2,X3] : 
      ( ( p13(X3)
        & p12(X3) )
     => ( p1(f29(X1,X2),X3)
      <=> ( p1(X1,f33(X3))
          & X2 = f34(X3,X1) ) ) ) )).

fof(formula_371,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p1(f29(X1,X2),X3)
       => ( p1(X1,f38(X3))
          & p1(X2,f38(X3)) ) ) ) )).

fof(formula_440,lemma,(
    ! [X1,X2,X3] : 
      ( ( p13(X3)
        & p12(X3) )
     => ( p1(X2,f33(f31(X3,X1)))
       => f34(f31(X3,X1),X2) = f34(X3,X2) ) ) )).

fof(formula_145,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ( p12(f63(X1))
        & p48(f63(X1),f15(f25(X1),f25(X1)),f25(X1))
        & p46(f63(X1),f15(f25(X1),f25(X1)),f25(X1)) ) ) )).

fof(formula_178,axiom,(
    ! [X1] : 
      ( ( p3(X1)
        & p16(X1) )
     => ( ~ p7(f55(X1))
        & p5(f55(X1))
        & p6(f55(X1))
        & p3(f55(X1))
        & p16(f55(X1)) ) ) )).

fof(formula_220,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( p42(X1)
      <=> ! [X2,X3,X4] : 
            ( ( p1(f29(X2,X3),X1)
              & p1(f29(X3,X4),X1) )
           => p1(f29(X2,X4),X1) ) ) ) )).

fof(formula_82,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : f78(X1,X2) = f21(X1,f15(X2,X2)) ) )).

fof(formula_113,axiom,(
    ! [X1] : p4(f69(X1),f14(X1)) )).

fof(formula_461,lemma,(
    ! [X1] : f70(f14(X1)) = X1 )).

fof(formula_418,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X3,f14(X1))
     => ~ ( p1(X2,f76(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_222,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ~ ( p71(X2)
          & p73(X1,f38(X2))
          & ! [X3] : 
              ( p13(X3)
             => ~ p77(X3,X1) ) ) ) )).

fof(formula_306,lemma,(
    ! [X1,X2,X3] : 
      ( p30(X1,X2)
     => ( p30(f15(X1,X3),f15(X2,X3))
        & p30(f15(X3,X1),f15(X3,X2)) ) ) )).

fof(formula_364,lemma,(
    ! [X1] : 
      ( ~ p7(X1)
     => ~ ( ! [X2] : 
              ~ ( p1(X2,X1)
                & X2 = c47 )
          & ! [X2] : 
              ( ( p13(X2)
                & p12(X2) )
             => ~ ( f33(X2) = X1
                  & ! [X3] : 
                      ( p1(X3,X1)
                     => p1(f34(X2,X3),X3) ) ) ) ) ) )).

fof(formula_254,axiom,(
    ? [X1] : 
      ( p90(X1)
      & ~ p22(X1) ) )).

fof(formula_112,axiom,(
    $true )).

fof(formula_386,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( ( p71(X2)
          & p30(X1,f38(X2)) )
       => f38(f78(X2,X1)) = X1 ) ) )).

fof(formula_161,axiom,(
    p13(c47) )).

fof(formula_308,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p30(X1,X2)
        & p30(X3,X4) )
     => p30(f15(X1,X3),f15(X2,X4)) ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : f20(X1,X2) = f20(X2,X1) )).

fof(formula_183,axiom,(
    p17(c47) )).

fof(formula_156,axiom,(
    ! [X1,X2] : 
      ( ( p7(X1)
        & p13(X2) )
     => ( p7(f83(X2,X1))
        & p13(f83(X2,X1)) ) ) )).

fof(formula_363,lemma,(
    ! [X1,X2,X3] : 
      ( p30(X1,X2)
     => p30(f21(X1,X3),f21(X2,X3)) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p13(X1) ) )).

fof(formula_341,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p1(f29(X1,X2),X3)
       => ( p1(X1,f33(X3))
          & p1(X2,f45(X3)) ) ) ) )).

fof(formula_295,lemma,
    ( ! [X1] : 
        ( p3(X1)
       => ( ! [X2] : 
              ( p3(X2)
             => ( p1(X2,X1)
               => ( p1(X2,c18)
                 => ! [X3] : 
                      ( p4(X3,f14(f14(X2)))
                     => ~ ( X3 != c47
                          & ! [X4] : 
                              ~ ( p1(X4,X3)
                                & ! [X5] : 
                                    ( ( p1(X5,X3)
                                      & p30(X4,X5) )
                                   => X5 = X4 ) ) ) ) ) ) )
         => ( p1(X1,c18)
           => ! [X6] : 
                ( p4(X6,f14(f14(X1)))
               => ~ ( X6 != c47
                    & ! [X7] : 
                        ~ ( p1(X7,X6)
                          & ! [X8] : 
                              ( ( p1(X8,X6)
                                & p30(X7,X8) )
                             => X8 = X7 ) ) ) ) ) ) )
   => ! [X1] : 
        ( p3(X1)
       => ( p1(X1,c18)
         => ! [X9] : 
              ( p4(X9,f14(f14(X1)))
             => ~ ( X9 != c47
                  & ! [X10] : 
                      ~ ( p1(X10,X9)
                        & ! [X11] : 
                            ( ( p1(X11,X9)
                              & p30(X10,X11) )
                           => X11 = X10 ) ) ) ) ) ) )).

fof(formula_291,lemma,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f14(f14(X1)))
        & p13(X3)
        & p12(X3) )
     => ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f14(f33(X3)))
            & p1(f32(X3,X5),X2) ) ) ) )).

fof(formula_421,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( ! [X2,X3] : ~ p1(f29(X2,X3),X1)
       => X1 = c47 ) ) )).

fof(formula_325,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => p30(f39(X2,X1),f33(X2)) ) )).

fof(formula_350,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p72(X2)
       => p72(f78(X2,X1)) ) ) )).

fof(formula_346,lemma,(
    ! [X1] : 
      ( p13(X1)
     => p30(X1,f15(f33(X1),f45(X1))) ) )).

fof(formula_147,axiom,(
    ! [X1] : 
      ( p50(X1)
     => ( p12(f53(X1))
        & p48(f53(X1),f15(f25(X1),f25(X1)),f25(X1))
        & p46(f53(X1),f15(f25(X1),f25(X1)),f25(X1)) ) ) )).

fof(formula_309,lemma,(
    ! [X1,X2,X3] : 
      ( p46(X3,X1,X2)
     => ( p30(f33(X3),X1)
        & p30(f45(X3),X2) ) ) )).

fof(formula_209,axiom,(
    ! [X1,X2] : f21(X1,X1) = X1 )).

fof(formula_250,axiom,(
    ! [X1] : 
      ( ~ p7(X1)
     => ? [X2] : 
          ( p4(X2,f14(X1))
          & ~ p7(X2)
          & p8(X2) ) ) )).

fof(formula_266,axiom,(
    ! [X1,X2] : 
      ( p73(X1,X2)
    <=> p93(X1,X2) ) )).

fof(formula_447,lemma,(
    ! [X1] : 
      ( p3(X1)
     => p71(f61(X1)) ) )).

fof(formula_175,axiom,(
    ! [X1] : ~ p7(f14(X1)) )).

fof(formula_283,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f14(f14(X1)))
        & p13(X3)
        & p12(X3) )
     => ( ! [X4,X5,X6] : 
            ( ( X4 = X5
              & p1(f32(X3,X5),X2)
              & X4 = X6
              & p1(f32(X3,X6),X2) )
           => X5 = X6 )
       => ? [X4] : 
          ! [X5] : 
            ( p1(X5,X4)
          <=> ? [X6] : 
                ( p1(X6,f14(f33(X3)))
                & X6 = X5
                & p1(f32(X3,X5),X2) ) ) ) ) )).

fof(formula_279,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( ! [X2,X3,X4] : 
            ( ( X2 = X3
              & ? [X5] : 
                  ( p3(X5)
                  & X3 = X5
                  & ( p1(X5,c18)
                   => ! [X6] : 
                        ( p4(X6,f14(f14(X5)))
                       => ~ ( X6 != c47
                            & ! [X7] : 
                                ~ ( p1(X7,X6)
                                  & ! [X8] : 
                                      ( ( p1(X8,X6)
                                        & p30(X7,X8) )
                                     => X8 = X7 ) ) ) ) ) )
              & X2 = X4
              & ? [X9] : 
                  ( p3(X9)
                  & X4 = X9
                  & ( p1(X9,c18)
                   => ! [X10] : 
                        ( p4(X10,f14(f14(X9)))
                       => ~ ( X10 != c47
                            & ! [X11] : 
                                ~ ( p1(X11,X10)
                                  & ! [X12] : 
                                      ( ( p1(X12,X10)
                                        & p30(X11,X12) )
                                     => X12 = X11 ) ) ) ) ) ) )
           => X3 = X4 )
       => ? [X2] : 
          ! [X3] : 
            ( p1(X3,X2)
          <=> ? [X4] : 
                ( p1(X4,f55(X1))
                & X4 = X3
                & ? [X13] : 
                    ( p3(X13)
                    & X3 = X13
                    & ( p1(X13,c18)
                     => ! [X14] : 
                          ( p4(X14,f14(f14(X13)))
                         => ~ ( X14 != c47
                              & ! [X15] : 
                                  ~ ( p1(X15,X14)
                                    & ! [X16] : 
                                        ( ( p1(X16,X14)
                                          & p30(X15,X16) )
                                       => X16 = X15 ) ) ) ) ) ) ) ) ) ) )).

fof(formula_218,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p66(f56(X1),X2) ) )).

fof(formula_357,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p42(X2)
       => p42(f78(X2,X1)) ) ) )).

fof(formula_20,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p22(X1)
        & p23(X1)
        & p24(X1)
        & p4(X2,f25(X1))
        & p4(X3,f25(X1)) )
     => f26(X1,X2,X3) = f26(X1,X3,X2) ) )).

fof(formula_365,lemma,(
    ! [X1,X2] : 
      ( p30(X1,X2)
     => f21(X1,X2) = X1 ) )).

fof(formula_369,lemma,(
    ! [X1] : p72(f61(X1)) )).

fof(formula_188,axiom,(
    ! [X1,X2] : 
      ( ( p13(X1)
        & p13(X2) )
     => p13(f20(X1,X2)) ) )).

fof(formula_136,axiom,(
    ! [X1,X2] : 
      ( p13(X2)
     => p13(f35(X1,X2)) ) )).

fof(formula_248,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p4(X2,f14(X1))
      & p7(X2) ) )).

fof(formula_426,lemma,(
    f33(c47) = c47 )).

fof(formula_263,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f14(X1))
        & p4(X3,f14(X1)) )
     => f89(X1,X2,X3) = f74(X2,X3) ) )).

fof(formula_137,axiom,(
    $true )).

fof(formula_236,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p58(X3,X1,X2)
      & p13(X3)
      & p12(X3)
      & p48(X3,X1,X2) ) )).

fof(formula_356,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ~ ( ~ p1(X1,X2)
              & X1 != X2
              & ~ p1(X2,X1) ) ) ) )).

fof(formula_354,lemma,(
    ! [X1,X2,X3] : 
      ( p46(X3,X1,X2)
     => ( ! [X4] : 
            ~ ( p1(X4,X2)
              & ! [X5] : ~ p1(f29(X5,X4),X3) )
      <=> f86(X1,X2,X3) = X2 ) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p12(X1)
    <=> ! [X2,X3,X4] : 
          ( ( p1(f29(X2,X3),X1)
            & p1(f29(X2,X4),X1) )
         => X3 = X4 ) ) )).

fof(formula_234,axiom,(
    ? [X1] : 
      ( ~ p7(X1)
      & p8(X1) ) )).

fof(formula_400,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => p30(f45(f83(X1,X2)),f45(X2)) ) ) )).

fof(formula_47,axiom,(
    ! [X1] : 
      ( X1 = c47
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_102,axiom,(
    $true )).

fof(formula_314,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p1(X1,f32(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f33(X3))
            & p1(f29(X4,X1),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_91,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p30(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_442,lemma,(
    ! [X1,X2,X3] : 
      ( ( p13(X3)
        & p12(X3) )
     => ( p1(X2,X1)
       => f34(f31(X3,X1),X2) = f34(X3,X2) ) ) )).

fof(formula_292,lemma,(
    ! [X1,X2] : 
      ( p3(X2)
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,f55(X2))
            & ? [X5] : 
                ( p3(X5)
                & X4 = X5
                & p1(X5,X1) ) ) ) ) )).

fof(formula_84,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ! [X3] : 
              ( ( p13(X3)
                & p12(X3) )
             => ( p80(X1,X2,X3)
              <=> ( f33(X3) = f38(X1)
                  & f45(X3) = f38(X2)
                  & p17(X3)
                  & ! [X4,X5] : 
                      ( p1(f29(X4,X5),X1)
                    <=> ( p1(X4,f38(X1))
                        & p1(X5,f38(X1))
                        & p1(f29(f34(X3,X4),f34(X3,X5)),X2) ) ) ) ) ) ) ) )).

fof(formula_393,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p66(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p66(X1,X2) ) ) )).

fof(formula_221,lemma,(
    ! [X1,X2] : 
      ( p30(f56(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_211,axiom,(
    ! [X1] : 
      ( p13(X1)
     => f79(f79(X1)) = X1 ) )).

fof(formula_452,axiom,(
    ! [X1,X2] : 
      ~ ( p7(X1)
        & X1 != X2
        & p7(X2) ) )).

fof(formula_428,lemma,(
    ! [X1,X2] : 
      ~ ( p30(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_396,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ( p75(X1)
      <=> ! [X2] : 
            ( p3(X2)
           => ( p1(X2,X1)
             => p1(f55(X2),X1) ) ) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p12(X1) ) )).

fof(formula_269,axiom,(
    ! [X1,X2] : p73(X1,X1) )).

fof(formula_457,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => f33(f31(X2,X1)) = f21(f33(X2),X1) ) )).

fof(formula_394,lemma,(
    ! [X1] : 
      ( p30(X1,c47)
     => X1 = c47 ) )).

fof(formula_42,axiom,(
    ! [X1,X2,X3] : 
      ( p58(X3,X1,X2)
    <=> p30(X3,f15(X1,X2)) ) )).

fof(formula_448,lemma,(
    ! [X1,X2] : p30(X1,f20(X1,X2)) )).

fof(formula_75,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( X2 = f45(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f29(X4,X3),X1) ) ) ) )).

fof(formula_375,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p71(X2)
       => p71(f78(X2,X1)) ) ) )).

fof(formula_378,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f29(X1,X2) = f29(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_333,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p4(X2,f14(f14(X1)))
         => ~ ( X2 != c47
              & ! [X3] : 
                  ~ ( p1(X3,X2)
                    & ! [X4] : 
                        ( ( p1(X4,X2)
                          & p30(X3,X4) )
                       => X4 = X3 ) ) ) ) ) )).

fof(formula_172,axiom,(
    ~ p7(c18) )).

fof(formula_285,lemma,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p13(X2) )
     => ! [X3] : 
        ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f15(X1,X3))
            & ? [X6,X7] : 
                ( f29(X6,X7) = X5
                & p1(X6,X1)
                & ? [X8] : 
                    ( X6 = X8
                    & p1(X7,X8)
                    & ! [X9] : 
                        ( p1(X9,X8)
                       => p1(f29(X7,X9),X2) ) ) ) ) ) ) )).

fof(formula_293,lemma,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p13(X2) )
     => ( ( ! [X3,X4,X5] : 
              ( ( p1(X3,X1)
                & ? [X6] : 
                    ( X3 = X6
                    & p1(X4,X6)
                    & ! [X7] : 
                        ( p1(X7,X6)
                       => p1(f29(X4,X7),X2) ) )
                & ? [X8] : 
                    ( X3 = X8
                    & p1(X5,X8)
                    & ! [X9] : 
                        ( p1(X9,X8)
                       => p1(f29(X5,X9),X2) ) ) )
             => X4 = X5 )
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & ! [X4] : 
                    ~ ? [X10] : 
                        ( X3 = X10
                        & p1(X4,X10)
                        & ! [X11] : 
                            ( p1(X11,X10)
                           => p1(f29(X4,X11),X2) ) ) ) )
       => ? [X3] : 
            ( p13(X3)
            & p12(X3)
            & f33(X3) = X1
            & ! [X4] : 
                ( p1(X4,X1)
               => ? [X12] : 
                    ( X4 = X12
                    & p1(f34(X3,X4),X12)
                    & ! [X13] : 
                        ( p1(X13,X12)
                       => p1(f29(f34(X3,X4),X13),X2) ) ) ) ) ) ) )).

fof(formula_435,lemma,(
    ! [X1] : f19(X1,X1) = f56(X1) )).

fof(formula_406,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ( p30(f33(X1),f45(X2))
           => f45(f83(X2,X1)) = f45(X1) ) ) ) )).

fof(formula_223,lemma,(
    ! [X1,X2] : 
      ( f74(X1,X2) = c47
    <=> p30(X1,X2) ) )).

fof(formula_430,lemma,(
    ! [X1,X2,X3] : 
      ( ( p30(X1,X2)
        & p66(X2,X3) )
     => p66(X1,X3) ) )).

fof(formula_456,lemma,(
    ! [X1,X2,X3] : 
      ( f56(X1) = f19(X2,X3)
     => X1 = X2 ) )).

fof(formula_259,axiom,(
    ! [X1,X2,X3] : 
      ( p58(X3,X1,X2)
     => f49(X1,X2,X3) = f33(X3) ) )).

fof(formula_409,lemma,(
    ! [X1,X2] : f74(X1,f74(X1,X2)) = f21(X1,X2) )).

fof(formula_410,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ! [X3] : 
              ( ( p13(X3)
                & p12(X3) )
             => ( p80(X1,X2,X3)
               => p80(X2,X1,f85(X3)) ) ) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p8(X1) ) )).

fof(formula_68,axiom,(
    ! [X1] : f69(X1) = X1 )).

fof(formula_311,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p30(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f14(X3),X2) )
      & ! [X3] : 
          ~ ( p30(X3,X2)
            & ~ p93(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_353,lemma,(
    ! [X1,X2] : 
      ( p3(X2)
     => ( p1(X1,X2)
       => p3(X1) ) ) )).

fof(formula_97,axiom,(
    $true )).

fof(formula_60,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ( p30(X1,X2)
          <=> ! [X3,X4] : 
                ( p1(f29(X3,X4),X1)
               => p1(f29(X3,X4),X2) ) ) ) ) )).

fof(formula_151,axiom,(
    ? [X1] : p81(X1) )).

fof(formula_225,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( p36(X1)
      <=> ! [X2,X3] : 
            ( ( p1(f29(X2,X3),X1)
              & p1(f29(X3,X2),X1) )
           => X2 = X3 ) ) ) )).

fof(formula_61,axiom,(
    ! [X1,X2] : 
      ( p30(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_101,axiom,(
    $true )).

fof(formula_267,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => p27(X1,X1) ) )).

fof(formula_404,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => ~ ( X2 != c47
          & f84(X1,X2) = c47 ) ) )).

fof(formula_310,lemma,(
    ! [X1,X2] : 
      ( p30(X1,X2)
     => f20(X1,X2) = X2 ) )).

fof(formula_144,axiom,(
    ! [X1,X2,X3] : 
      ( p46(X3,X1,X2)
     => p4(X3,f14(f15(X1,X2))) ) )).

fof(formula_433,lemma,(
    ! [X1,X2] : 
      ( f74(X1,f56(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_294,lemma,(
    ! [X1] : 
      ( ( ! [X2,X3,X4] : 
            ( ( p1(X2,X1)
              & X3 = f56(X2)
              & X4 = f56(X2) )
           => X3 = X4 )
        & ! [X2] : 
            ~ ( p1(X2,X1)
              & ! [X3] : X3 != f56(X2) ) )
     => ? [X2] : 
          ( p13(X2)
          & p12(X2)
          & f33(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f34(X2,X3) = f56(X3) ) ) ) )).

fof(formula_366,axiom,(
    ! [X1] : f21(X1,c47) = c47 )).

fof(formula_53,axiom,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
       => ( p4(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p7(X1)
       => ( p4(X2,X1)
        <=> p7(X2) ) ) ) )).

fof(formula_70,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ( p71(X1)
      <=> ( p72(X1)
          & p42(X1)
          & p36(X1)
          & p40(X1)
          & p65(X1) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( p4(X3,f14(f15(X1,X2)))
     => p13(X3) ) )).

fof(formula_90,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => ! [X3] : 
          ( p4(X3,f14(f14(X1)))
         => ( X3 = f84(X1,X2)
          <=> ! [X4] : 
                ( p4(X4,f14(X1))
               => ( p1(X4,X3)
                <=> p1(f76(X1,X4),X2) ) ) ) ) ) )).

fof(formula_424,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( p65(X1)
      <=> p68(X1,f38(X1)) ) ) )).

fof(formula_438,lemma,(
    ! [X1] : 
      ( p3(X1)
     => p65(f61(X1)) ) )).

fof(formula_132,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => p4(f88(X1,X2),f14(X1)) ) )).

fof(formula_381,lemma,(
    ! [X1,X2] : p30(f74(X1,X2),X1) )).

fof(formula_405,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f20(f56(X1),X2) = X2 ) )).

fof(formula_415,lemma,(
    ! [X1] : 
      ( X1 != c47
     => ! [X2] : 
          ( p4(X2,f14(X1))
         => ! [X3] : 
              ( p4(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f76(X1,X2)) ) ) ) ) )).

fof(formula_347,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => p30(f60(f78(X3,X1),X2),f60(X3,X2)) ) )).

fof(formula_318,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p30(X1,f33(X2))
       => p30(X1,f39(X2,f32(X2,X1))) ) ) )).

fof(formula_256,axiom,(
    ! [X1] : 
      ( ( ~ p22(X1)
        & p90(X1) )
     => ? [X2] : 
          ( p4(X2,f14(f25(X1)))
          & ~ p7(X2) ) ) )).

fof(formula_122,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p22(X1)
        & p23(X1)
        & p24(X1)
        & p4(X2,f25(X1))
        & p4(X3,f25(X1)) )
     => p4(f26(X1,X2,X3),f25(X1)) ) )).

fof(formula_230,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f29(X1,X2),f15(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_165,axiom,(
    ! [X1] : 
      ( ~ p7(f56(X1))
      & p8(f56(X1)) ) )).

fof(formula_231,lemma,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p4(X1,f14(X2)) ) )).

fof(formula_321,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p46(X4,X3,X1)
     => ( p30(f45(X4),X2)
       => p46(X4,X3,X2) ) ) )).

fof(formula_284,axiom,(
    ! [X1,X2] : 
      ( p3(X2)
     => ( ! [X3,X4,X5] : 
            ( ( X3 = X4
              & ? [X6] : 
                  ( p3(X6)
                  & X4 = X6
                  & p1(X6,X1) )
              & X3 = X5
              & ? [X7] : 
                  ( p3(X7)
                  & X5 = X7
                  & p1(X7,X1) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,f55(X2))
                & X5 = X4
                & ? [X8] : 
                    ( p3(X8)
                    & X4 = X8
                    & p1(X8,X1) ) ) ) ) ) )).

fof(formula_252,axiom,(
    ? [X1] : 
      ( ~ p7(X1)
      & p5(X1)
      & p6(X1)
      & p3(X1) ) )).

fof(formula_384,lemma,(
    ! [X1,X2] : 
      ( p30(f56(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_328,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ~ ( X1 != c47
          & p30(X1,f45(X2))
          & f39(X2,X1) = c47 ) ) )).

fof(formula_201,axiom,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ( p13(f35(X1,X2))
        & p12(f35(X1,X2)) ) ) )).

fof(formula_219,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => p30(f33(f35(X1,X2)),f33(X2)) ) )).
%------------------------------------------------------------------------------
