%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f10(A,C,D) = f10(B,C,D) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f10(C,A,D) = f10(C,B,D) ) )).

fof(f10_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f10(C,D,A) = f10(C,D,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f11(A,C,D) = f11(B,C,D) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f11(C,A,D) = f11(C,B,D) ) )).

fof(f11_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f11(C,D,A) = f11(C,D,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f12(A,C,D,E,F,G) = f12(B,C,D,E,F,G) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f12(C,A,D,E,F,G) = f12(C,B,D,E,F,G) ) )).

fof(f12_substitution_3,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f12(C,D,A,E,F,G) = f12(C,D,B,E,F,G) ) )).

fof(f12_substitution_4,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f12(C,D,E,A,F,G) = f12(C,D,E,B,F,G) ) )).

fof(f12_substitution_5,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f12(C,D,E,F,A,G) = f12(C,D,E,F,B,G) ) )).

fof(f12_substitution_6,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f12(C,D,E,F,G,A) = f12(C,D,E,F,G,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f13(A) = f13(B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f22(A) = f22(B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f23(A,C,D) = f23(B,C,D) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f23(C,A,D) = f23(C,B,D) ) )).

fof(f23_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f23(C,D,A) = f23(C,D,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(A,C,D) )
     => p14(B,C,D) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(C,A,D) )
     => p14(C,B,D) ) )).

fof(p14_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(C,D,A) )
     => p14(C,D,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(A,C,D) )
     => p17(B,C,D) ) )).

fof(p17_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(C,A,D) )
     => p17(C,B,D) ) )).

fof(p17_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(C,D,A) )
     => p17(C,D,B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(A,C,D) )
     => p19(B,C,D) ) )).

fof(p19_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(C,A,D) )
     => p19(C,B,D) ) )).

fof(p19_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(C,D,A) )
     => p19(C,D,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p21(A,C,D) )
     => p21(B,C,D) ) )).

fof(p21_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p21(C,A,D) )
     => p21(C,B,D) ) )).

fof(p21_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p21(C,D,A) )
     => p21(C,D,B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p24(A,C) )
     => p24(B,C) ) )).

fof(p24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p24(C,A) )
     => p24(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( ~ p5(X1)
        & p7(X1) )
     => ! [X2] : 
          ( p8(X2,f9(X1))
         => ! [X3] : 
              ( p8(X3,f9(X1))
             => ( p14(X1,X2,X3)
              <=> f11(X1,X2,X3) = X3 ) ) ) ) )).

fof(formula_34,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p8(X1,X2) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ~ ( p15(X1)
        & X1 != X2
        & p15(X2) ) )).

fof(formula_13,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p5(X1)
        & p6(X1)
        & p7(X1)
        & p8(X2,f9(X1))
        & p8(X3,f9(X1)) )
     => p8(f10(X1,X2,X3),f9(X1)) ) )).

fof(formula_16,axiom,(
    $true )).

fof(formula_18,axiom,(
    ! [X1,X2,X3] : 
      ( p21(X3,X1,X2)
     => p8(X3,f22(f18(X1,X2))) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_30,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p15(X1)
        & ~ p15(X2)
        & p16(X4)
        & p17(X4,f18(X1,X2),X3)
        & p19(X4,f18(X1,X2),X3)
        & p8(X5,X1)
        & p8(X6,X2) )
     => f12(X1,X2,X3,X4,X5,X6) = f23(X4,X5,X6) ) )).

fof(formula_7,axiom,(
    $true )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( ( ~ p5(X1)
        & p20(X1) )
     => ~ p15(f9(X1)) ) )).

fof(formula_9,axiom,(
    $true )).

fof(formula_12,axiom,(
    $true )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p15(X2) ) )).

fof(formula_19,axiom,(
    $true )).

fof(formula_31,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p5(X1)
        & p6(X1)
        & p7(X1)
        & p8(X2,f9(X1))
        & p8(X3,f9(X1)) )
     => f10(X1,X2,X3) = f11(X1,X2,X3) ) )).

fof(formula_32,axiom,(
    ! [X1,X2,X3] : 
      ( p21(X3,X1,X2)
    <=> p19(X3,X1,X2) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p15(X1)
     => X1 = c25 ) )).

fof(formula_35,conjecture,(
    ! [X1] : 
      ( ( ~ p5(X1)
        & p6(X1)
        & p7(X1) )
     => ! [X2] : 
          ( p8(X2,f9(X1))
         => ! [X3] : 
              ( p8(X3,f9(X1))
             => ( ( p14(X1,X2,X3)
                  & p14(X1,X3,X2) )
               => X2 = X3 ) ) ) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( ( ~ p5(X1)
        & p20(X1) )
     => ? [X2] : 
          ( p8(X2,f22(f9(X1)))
          & ~ p15(X2) ) ) )).

fof(formula_10,axiom,(
    $true )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
    ? [X3] : p21(X3,X1,X2) )).

fof(formula_33,axiom,(
    ! [X1,X2] : p24(X1,X1) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
    ? [X3] : p19(X3,X1,X2) )).

fof(formula_8,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p5(X1)
        & p7(X1)
        & p8(X2,f9(X1))
        & p8(X3,f9(X1)) )
     => p8(f11(X1,X2,X3),f9(X1)) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p16(f13(X1))
        & p17(f13(X1),f18(f9(X1),f9(X1)),f9(X1))
        & p21(f13(X1),f18(f9(X1),f9(X1)),f9(X1)) ) ) )).

fof(formula_14,axiom,(
    $true )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( ( p3(X1)
        & p4(X1) )
     => p2(X1) ) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p5(X1)
        & p6(X1)
        & p7(X1)
        & p8(X2,f9(X1))
        & p8(X3,f9(X1)) )
     => f10(X1,X2,X3) = f10(X1,X3,X2) ) )).

fof(formula_28,axiom,(
    ? [X1] : 
      ( p20(X1)
      & ~ p5(X1) ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( p8(X1,f22(X2))
    <=> p24(X1,X2) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
    ? [X2] : p8(X2,X1) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( ~ p15(f22(X1))
      & p3(f22(X1))
      & p4(f22(X1))
      & p2(f22(X1)) ) )).

fof(formula_39,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p8(X2,f22(X3))
        & p15(X3) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
     => ( p15(X2)
        | p1(X1,X2) ) ) )).

fof(formula_21,axiom,(
    ? [X1] : p20(X1) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( ~ p5(X1)
        & p7(X1) )
     => ! [X2] : 
          ( p8(X2,f9(X1))
         => ! [X3] : 
              ( p8(X3,f9(X1))
             => f11(X1,X2,X3) = f12(f9(X1),f9(X1),f9(X1),f13(X1),X2,X3) ) ) ) )).

fof(formula_38,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p8(X2,f22(X3)) )
     => p8(X1,X3) ) )).

fof(formula_11,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p15(X1)
        & ~ p15(X2)
        & p16(X4)
        & p17(X4,f18(X1,X2),X3)
        & p19(X4,f18(X1,X2),X3)
        & p8(X5,X1)
        & p8(X6,X2) )
     => p8(f12(X1,X2,X3,X4,X5,X6),X3) ) )).

fof(formula_22,axiom,(
    ? [X1] : p7(X1) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p3(X1)
        & p4(X1) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p20(X1) ) )).

fof(formula_17,axiom,(
    $true )).
%------------------------------------------------------------------------------
