%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f100_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f100(A,C,D) = f100(B,C,D) ) )).

fof(f100_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f100(C,A,D) = f100(C,B,D) ) )).

fof(f100_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f100(C,D,A) = f100(C,D,B) ) )).

fof(f101_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f101(A,C) = f101(B,C) ) )).

fof(f101_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f101(C,A) = f101(C,B) ) )).

fof(f102_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f102(A,C) = f102(B,C) ) )).

fof(f102_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f102(C,A) = f102(C,B) ) )).

fof(f103_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f103(A,C,D) = f103(B,C,D) ) )).

fof(f103_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f103(C,A,D) = f103(C,B,D) ) )).

fof(f103_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f103(C,D,A) = f103(C,D,B) ) )).

fof(f105_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f105(A,C,D) = f105(B,C,D) ) )).

fof(f105_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f105(C,A,D) = f105(C,B,D) ) )).

fof(f105_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f105(C,D,A) = f105(C,D,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(A,C) = f25(B,C) ) )).

fof(f25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(C,A) = f25(C,B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f28(A,C) = f28(B,C) ) )).

fof(f28_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f28(C,A) = f28(C,B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(A,C) = f29(B,C) ) )).

fof(f29_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(C,A) = f29(C,B) ) )).

fof(f33_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f33(A) = f33(B) ) )).

fof(f34_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f34(A,C,D) = f34(B,C,D) ) )).

fof(f34_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f34(C,A,D) = f34(C,B,D) ) )).

fof(f34_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f34(C,D,A) = f34(C,D,B) ) )).

fof(f35_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f35(A,C) = f35(B,C) ) )).

fof(f35_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f35(C,A) = f35(C,B) ) )).

fof(f38_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f38(A,C,D) = f38(B,C,D) ) )).

fof(f38_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f38(C,A,D) = f38(C,B,D) ) )).

fof(f38_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f38(C,D,A) = f38(C,D,B) ) )).

fof(f39_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f39(A,C,D) = f39(B,C,D) ) )).

fof(f39_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f39(C,A,D) = f39(C,B,D) ) )).

fof(f39_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f39(C,D,A) = f39(C,D,B) ) )).

fof(f41_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f41(A) = f41(B) ) )).

fof(f42_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f42(A,C) = f42(B,C) ) )).

fof(f42_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f42(C,A) = f42(C,B) ) )).

fof(f44_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f44(A,C) = f44(B,C) ) )).

fof(f44_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f44(C,A) = f44(C,B) ) )).

fof(f45_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f45(A,C) = f45(B,C) ) )).

fof(f45_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f45(C,A) = f45(C,B) ) )).

fof(f46_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f46(A) = f46(B) ) )).

fof(f47_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f47(A,C) = f47(B,C) ) )).

fof(f47_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f47(C,A) = f47(C,B) ) )).

fof(f48_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f48(A,C) = f48(B,C) ) )).

fof(f48_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f48(C,A) = f48(C,B) ) )).

fof(f51_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f51(A) = f51(B) ) )).

fof(f52_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f52(A,C) = f52(B,C) ) )).

fof(f52_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f52(C,A) = f52(C,B) ) )).

fof(f57_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f57(A,C,D) = f57(B,C,D) ) )).

fof(f57_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f57(C,A,D) = f57(C,B,D) ) )).

fof(f57_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f57(C,D,A) = f57(C,D,B) ) )).

fof(f58_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f58(A) = f58(B) ) )).

fof(f62_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f62(A,C,D) = f62(B,C,D) ) )).

fof(f62_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f62(C,A,D) = f62(C,B,D) ) )).

fof(f62_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f62(C,D,A) = f62(C,D,B) ) )).

fof(f63_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f63(A,C,D) = f63(B,C,D) ) )).

fof(f63_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f63(C,A,D) = f63(C,B,D) ) )).

fof(f63_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f63(C,D,A) = f63(C,D,B) ) )).

fof(f64_substitution_1,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f64(A,C,D,E,F,G) = f64(B,C,D,E,F,G) ) )).

fof(f64_substitution_2,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f64(C,A,D,E,F,G) = f64(C,B,D,E,F,G) ) )).

fof(f64_substitution_3,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f64(C,D,A,E,F,G) = f64(C,D,B,E,F,G) ) )).

fof(f64_substitution_4,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f64(C,D,E,A,F,G) = f64(C,D,E,B,F,G) ) )).

fof(f64_substitution_5,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f64(C,D,E,F,A,G) = f64(C,D,E,F,B,G) ) )).

fof(f64_substitution_6,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f64(C,D,E,F,G,A) = f64(C,D,E,F,G,B) ) )).

fof(f65_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f65(A) = f65(B) ) )).

fof(f66_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f66(A) = f66(B) ) )).

fof(f67_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f67(A) = f67(B) ) )).

fof(f68_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f68(A) = f68(B) ) )).

fof(f71_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f71(A) = f71(B) ) )).

fof(f72_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f72(A,C) = f72(B,C) ) )).

fof(f72_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f72(C,A) = f72(C,B) ) )).

fof(f73_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f73(A) = f73(B) ) )).

fof(f74_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f74(A,C,D) = f74(B,C,D) ) )).

fof(f74_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f74(C,A,D) = f74(C,B,D) ) )).

fof(f74_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f74(C,D,A) = f74(C,D,B) ) )).

fof(f75_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f75(A) = f75(B) ) )).

fof(f76_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f76(A) = f76(B) ) )).

fof(f81_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f81(A) = f81(B) ) )).

fof(f83_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f83(A) = f83(B) ) )).

fof(f84_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f84(A) = f84(B) ) )).

fof(f88_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f88(A,C) = f88(B,C) ) )).

fof(f88_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f88(C,A) = f88(C,B) ) )).

fof(f90_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f90(A,C) = f90(B,C) ) )).

fof(f90_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f90(C,A) = f90(C,B) ) )).

fof(f92_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f92(A,C) = f92(B,C) ) )).

fof(f92_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f92(C,A) = f92(C,B) ) )).

fof(f93_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f93(A) = f93(B) ) )).

fof(f97_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f97(A,C) = f97(B,C) ) )).

fof(f97_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f97(C,A) = f97(C,B) ) )).

fof(f98_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f98(A,C) = f98(B,C) ) )).

fof(f98_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f98(C,A) = f98(C,B) ) )).

fof(f99_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f99(A) = f99(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p104_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p104(A) )
     => p104(B) ) )).

fof(p106_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p106(A,C) )
     => p106(B,C) ) )).

fof(p106_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p106(C,A) )
     => p106(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p23(A) )
     => p23(B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p24(A) )
     => p24(B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p26(A) )
     => p26(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p30(A) )
     => p30(B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p31(A) )
     => p31(B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p32(A) )
     => p32(B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p36(A) )
     => p36(B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p37(A) )
     => p37(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(A,C) )
     => p40(B,C) ) )).

fof(p40_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(C,A) )
     => p40(C,B) ) )).

fof(p43_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p43(A,C) )
     => p43(B,C) ) )).

fof(p43_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p43(C,A) )
     => p43(C,B) ) )).

fof(p49_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p49(A) )
     => p49(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p50_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p50(A,C) )
     => p50(B,C) ) )).

fof(p50_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p50(C,A) )
     => p50(C,B) ) )).

fof(p53_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p53(A) )
     => p53(B) ) )).

fof(p54_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p54(A,C) )
     => p54(B,C) ) )).

fof(p54_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p54(C,A) )
     => p54(C,B) ) )).

fof(p55_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p55(A) )
     => p55(B) ) )).

fof(p56_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p56(A,C) )
     => p56(B,C) ) )).

fof(p56_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p56(C,A) )
     => p56(C,B) ) )).

fof(p59_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p59(A,C,D) )
     => p59(B,C,D) ) )).

fof(p59_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p59(C,A,D) )
     => p59(C,B,D) ) )).

fof(p59_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p59(C,D,A) )
     => p59(C,D,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p61_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p61(A,C,D) )
     => p61(B,C,D) ) )).

fof(p61_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p61(C,A,D) )
     => p61(C,B,D) ) )).

fof(p61_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p61(C,D,A) )
     => p61(C,D,B) ) )).

fof(p69_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p69(A,C) )
     => p69(B,C) ) )).

fof(p69_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p69(C,A) )
     => p69(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p70_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p70(A,C,D) )
     => p70(B,C,D) ) )).

fof(p70_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p70(C,A,D) )
     => p70(C,B,D) ) )).

fof(p70_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p70(C,D,A) )
     => p70(C,D,B) ) )).

fof(p77_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p77(A) )
     => p77(B) ) )).

fof(p78_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p78(A,C) )
     => p78(B,C) ) )).

fof(p78_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p78(C,A) )
     => p78(C,B) ) )).

fof(p79_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p79(A,C,D) )
     => p79(B,C,D) ) )).

fof(p79_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p79(C,A,D) )
     => p79(C,B,D) ) )).

fof(p79_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p79(C,D,A) )
     => p79(C,D,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p80_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p80(A) )
     => p80(B) ) )).

fof(p82_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p82(A,C) )
     => p82(B,C) ) )).

fof(p82_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p82(C,A) )
     => p82(C,B) ) )).

fof(p85_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p85(A) )
     => p85(B) ) )).

fof(p86_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p86(A) )
     => p86(B) ) )).

fof(p87_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p87(A,C) )
     => p87(B,C) ) )).

fof(p87_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p87(C,A) )
     => p87(C,B) ) )).

fof(p89_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p89(A) )
     => p89(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(p91_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p91(A,C) )
     => p91(B,C) ) )).

fof(p91_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p91(C,A) )
     => p91(C,B) ) )).

fof(p94_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p94(A,C,D) )
     => p94(B,C,D) ) )).

fof(p94_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p94(C,A,D) )
     => p94(C,B,D) ) )).

fof(p94_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p94(C,D,A) )
     => p94(C,D,B) ) )).

fof(p95_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p95(A) )
     => p95(B) ) )).

fof(p96_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p96(A) )
     => p96(B) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => p5(X2) ) ) )).

fof(formula_58,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p69(X1,X2)
        <=> ! [X3] : 
              ( p1(X3,X2)
             => p1(f42(X3,X3),X1) ) ) ) )).

fof(formula_183,axiom,(
    p104(c60) )).

fof(formula_232,axiom,(
    ! [X1,X2] : 
      ( ( p24(X1)
        & p23(X1) )
     => ( p24(f44(X1,X2))
        & p23(f44(X1,X2)) ) ) )).

fof(formula_463,lemma,(
    ! [X1] : 
      ( p16(X1)
     => p53(f73(X1)) ) )).

fof(formula_110,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ( p26(X1)
       => f99(X1) = f93(X1) ) ) )).

fof(formula_208,axiom,(
    p14(c60) )).

fof(formula_364,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => f45(X2,X1) = f45(X2,f35(f46(X2),X1)) ) )).

fof(formula_143,axiom,(
    ! [X1] : 
      ( p24(X1)
     => p24(f93(X1)) ) )).

fof(formula_64,axiom,(
    ! [X1] : 
      ( X1 = c60
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_349,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => p43(f58(f48(X1,X2)),X1) ) )).

fof(formula_324,axiom,(
    ! [X1,X2] : 
      ( ! [X3,X4,X5] : 
          ( ( X3 = X4
            & ? [X6,X7] : 
                ( f42(X6,X7) = X4
                & p1(X6,X1)
                & X7 = f68(X6) )
            & X3 = X5
            & ? [X8,X9] : 
                ( f42(X8,X9) = X5
                & p1(X8,X1)
                & X9 = f68(X8) ) )
         => X4 = X5 )
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5] : 
              ( p1(X5,f25(X1,X2))
              & X5 = X4
              & ? [X10,X11] : 
                  ( f42(X10,X11) = X4
                  & p1(X10,X1)
                  & X11 = f68(X10) ) ) ) ) )).

fof(formula_269,lemma,(
    ! [X1,X2,X3] : 
      ( p43(X1,X2)
     => ( p1(X3,X1)
        | p43(X1,f88(X2,f68(X3))) ) ) )).

fof(formula_65,axiom,(
    ! [X1,X2] : 
      ( X2 = f15(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p43(X3,X1) ) ) )).

fof(formula_400,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ! [X3] : 
          ( ( p24(X3)
            & p23(X3) )
         => ( p1(X1,f46(X2))
           => f47(f97(X2,X3),X1) = f47(X3,f47(X2,X1)) ) ) ) )).

fof(formula_500,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p1(X1,f46(f44(X3,X2)))
      <=> ( p1(X1,X2)
          & p1(X1,f46(X3)) ) ) ) )).

fof(formula_129,axiom,(
    $true )).

fof(formula_133,axiom,(
    $true )).

fof(formula_311,axiom,(
    ! [X1,X2] : 
      ( ( p16(X1)
        & p16(X2) )
     => ( p40(X1,X2)
      <=> p43(X1,X2) ) ) )).

fof(formula_70,axiom,(
    ! [X1,X2] : 
      ( ( ~ p14(X1)
       => ( p4(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p14(X1)
       => ( p4(X2,X1)
        <=> p14(X2) ) ) ) )).

fof(formula_195,axiom,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p80(X1) )
     => ~ p14(f33(X1)) ) )).

fof(formula_354,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p43(X1,X2)
        & p43(X3,X4) )
     => p43(f25(X1,X3),f25(X2,X4)) ) )).

fof(formula_53,axiom,(
    ! [X1,X2,X3] : 
      ( p59(X3,X1,X2)
     => ( ( ( X2 = c60
           => X1 = c60 )
         => ( p61(X3,X1,X2)
          <=> X1 = f62(X1,X2,X3) ) )
        & ( X2 = c60
         => ( X1 = c60
            | ( p61(X3,X1,X2)
            <=> X3 = c60 ) ) ) ) ) )).

fof(formula_79,axiom,(
    ! [X1,X2] : 
      ( p43(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_258,lemma,(
    ! [X1] : f68(X1) != c60 )).

fof(formula_137,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p30(X1)
        & p31(X1)
        & p32(X1)
        & p4(X2,f33(X1))
        & p4(X3,f33(X1)) )
     => p4(f34(X1,X2,X3),f33(X1)) ) )).

fof(formula_56,axiom,(
    ! [X1] : f67(X1) = f29(X1,f68(X1)) )).

fof(formula_263,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( p55(X1)
      <=> ! [X2,X3,X4] : 
            ( ( p1(f42(X2,X3),X1)
              & p1(f42(X3,X4),X1) )
           => p1(f42(X2,X4),X1) ) ) ) )).

fof(formula_467,lemma,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ( p26(X1)
       => ! [X2] : 
            ( ( p24(X2)
              & p23(X2) )
           => ( X2 = f99(X1)
            <=> ( f46(X2) = f58(X1)
                & ! [X3,X4] : 
                    ( ( ( p1(X3,f58(X1))
                        & X4 = f47(X2,X3) )
                     => ( p1(X4,f46(X1))
                        & X3 = f47(X1,X4) ) )
                    & ( ( p1(X4,f46(X1))
                        & X3 = f47(X1,X4) )
                     => ( p1(X3,f58(X1))
                        & X4 = f47(X2,X3) ) ) ) ) ) ) ) ) )).

fof(formula_471,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( ! [X2,X3] : ~ p1(f42(X2,X3),X1)
       => X1 = c60 ) ) )).

fof(formula_469,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ! [X3] : 
              ( ( p24(X3)
                & p23(X3) )
             => ( ( p85(X1)
                  & p94(X1,X2,X3) )
               => p85(X2) ) ) ) ) )).

fof(formula_367,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ( p43(X1,f58(X2))
       => f45(X2,f52(X2,X1)) = X1 ) ) )).

fof(formula_351,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => p43(f58(f48(X1,X2)),f58(X2)) ) )).

fof(formula_188,axiom,(
    ! [X1,X2] : 
      ( ( p24(X1)
        & p23(X1)
        & p24(X2)
        & p23(X2) )
     => ( p24(f97(X1,X2))
        & p23(f97(X1,X2)) ) ) )).

fof(formula_93,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( X2 = f58(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f42(X4,X3),X1) ) ) ) )).

fof(formula_237,axiom,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ( p24(f48(X1,X2))
        & p23(f48(X1,X2)) ) ) )).

fof(formula_119,axiom,(
    $true )).

fof(formula_157,axiom,(
    ! [X1,X2] : 
      ( p24(X2)
     => p24(f48(X1,X2)) ) )).

fof(formula_85,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p50(X1,X2)
        <=> ! [X3,X4] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(f42(X3,X4),X1)
                & p1(f42(X4,X3),X1) )
             => X3 = X4 ) ) ) )).

fof(formula_335,lemma,(
    ! [X1,X2,X3] : 
      ( ( p24(X2)
        & p24(X3)
        & p23(X3) )
     => ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f25(X1,X1))
            & ? [X6,X7] : 
                ( X5 = f42(X6,X7)
                & p1(f42(f47(X3,X6),f47(X3,X7)),X2) ) ) ) ) )).

fof(formula_365,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p43(X1,f46(X2))
       => p43(X1,f52(X2,f45(X2,X1))) ) ) )).

fof(formula_447,lemma,(
    ! [X1] : 
      ( p16(X1)
     => ( ~ ( ~ p89(X1)
            & ! [X2] : 
                ( p16(X2)
               => X1 != f67(X2) ) )
        & ~ ( ? [X2] : 
                ( p16(X2)
                & X1 = f67(X2) )
            & p89(X1) ) ) ) )).

fof(formula_439,axiom,(
    ! [X1] : f88(X1,c60) = X1 )).

fof(formula_453,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ( p43(f58(X1),f46(X2))
           => f46(f97(X1,X2)) = f46(X1) ) ) ) )).

fof(formula_185,axiom,(
    ! [X1,X2] : 
      ( ( p24(X1)
        & p104(X1) )
     => ( p24(f44(X1,X2))
        & p104(f44(X1,X2)) ) ) )).

fof(formula_320,lemma,(
    ! [X1,X2,X3] : 
      ( ( p24(X2)
        & p24(X3)
        & p23(X3) )
     => ? [X4] : 
          ( p24(X4)
          & ! [X5,X6] : 
              ( p1(f42(X5,X6),X4)
            <=> ( p1(X5,X1)
                & p1(X6,X1)
                & p1(f42(f47(X3,X5),f47(X3,X6)),X2) ) ) ) ) )).

fof(formula_290,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p70(X3,X1,X2)
      & p24(X3)
      & p23(X3) ) )).

fof(formula_410,lemma,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ( p19(f46(X1))
       => p19(f58(X1)) ) ) )).

fof(formula_228,axiom,(
    ! [X1,X2] : ~ p14(f28(X1,X2)) )).

fof(formula_476,lemma,(
    f46(c60) = c60 )).

fof(formula_460,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ! [X3] : 
              ( ( p24(X3)
                & p23(X3) )
             => ( p94(X1,X2,X3)
               => p94(X2,X1,f99(X3)) ) ) ) ) )).

fof(formula_192,axiom,(
    p16(c27) )).

fof(formula_482,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( f46(X1) = c60
      <=> f58(X1) = c60 ) ) )).

fof(formula_314,axiom,(
    ! [X1,X2] : p43(X1,X1) )).

fof(formula_488,lemma,(
    ! [X1] : 
      ( p16(X1)
     => p77(f73(X1)) ) )).

fof(formula_67,axiom,(
    ! [X1] : 
      ( ? [X2,X3] : X1 = f42(X2,X3)
     => ! [X2] : 
          ( X2 = f76(X1)
        <=> ! [X3,X4] : 
              ( X1 = f42(X3,X4)
             => X2 = X4 ) ) ) )).

fof(formula_437,lemma,(
    ! [X1,X2] : f29(X1,f88(X2,X1)) = f29(X1,X2) )).

fof(formula_357,lemma,(
    ! [X1,X2] : 
      ( p43(X1,X2)
     => f29(X1,X2) = X2 ) )).

fof(formula_369,lemma,(
    ! [X1,X2] : 
      ( p19(X1)
     => p19(f35(X1,X2)) ) )).

fof(formula_466,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ! [X3] : 
              ( ( p24(X3)
                & p23(X3) )
             => ( p94(X1,X2,X3)
               => ( ( p86(X1)
                   => p86(X2) )
                  & ( p55(X1)
                   => p55(X2) )
                  & ( p53(X1)
                   => p53(X2) )
                  & ( p49(X1)
                   => p49(X2) )
                  & ( p77(X1)
                   => p77(X2) ) ) ) ) ) ) )).

fof(formula_371,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => f58(f97(X1,X2)) = f45(X2,f58(X1)) ) ) )).

fof(formula_139,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(X1))
     => p4(f90(X1,X2),f15(X1)) ) )).

fof(formula_323,axiom,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( p1(X2,X1)
            & X3 = f68(X2)
            & p1(X2,X1)
            & X4 = f68(X2) )
         => X3 = X4 )
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X4,X1)
              & p1(X4,X1)
              & X3 = f68(X4) ) ) ) )).

fof(formula_507,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => f46(f44(X2,X1)) = f35(f46(X2),X1) ) )).

fof(formula_302,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p30(X1)
        & p31(X1)
        & p32(X1)
        & p4(X2,f33(X1))
        & p4(X3,f33(X1)) )
     => f34(X1,X2,X3) = f63(X1,X2,X3) ) )).

fof(formula_155,axiom,(
    ! [X1,X2] : 
      ( p24(X1)
     => p24(f44(X1,X2)) ) )).

fof(formula_44,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ( p49(X1)
      <=> p50(X1,f51(X1)) ) ) )).

fof(formula_252,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f15(X1))
        & p4(X3,f15(X1)) )
     => f39(X1,X2,X2) = X2 ) )).

fof(formula_328,axiom,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( X2 = X3
            & p16(X3)
            & X2 = X4
            & p16(X4) )
         => X3 = X4 )
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X4,X1)
              & X4 = X3
              & p16(X3) ) ) ) )).

fof(formula_383,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => f92(X2,X1) = f48(X1,f44(X2,X1)) ) )).

fof(formula_162,axiom,(
    ! [X1] : 
      ( p95(X1)
     => ( p37(X1)
        & p32(X1) ) ) )).

fof(formula_112,axiom,(
    $true )).

fof(formula_59,axiom,(
    ! [X1,X2,X3] : 
      ( p70(X3,X1,X2)
    <=> p43(X3,f25(X1,X2)) ) )).

fof(formula_360,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => f44(f48(X1,X3),X2) = f48(X1,f44(X3,X2)) ) )).

fof(formula_43,axiom,(
    ! [X1,X2] : 
      ( p24(X2)
     => ! [X3] : 
          ( p24(X3)
         => ( X3 = f48(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f42(X4,X5),X3)
              <=> ( p1(X5,X1)
                  & p1(f42(X4,X5),X2) ) ) ) ) ) )).

fof(formula_118,axiom,(
    $true )).

fof(formula_347,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f28(X1,X2) = f28(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_486,axiom,(
    ! [X1] : 
      ( p14(X1)
     => X1 = c60 ) )).

fof(formula_416,axiom,(
    ! [X1] : f35(X1,c60) = c60 )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p5(X2)
            & p7(X2) ) ) ) )).

fof(formula_461,axiom,(
    ! [X1] : f88(c60,X1) = c60 )).

fof(formula_468,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X3,f15(X1))
     => ~ ( p1(X2,f90(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_444,lemma,(
    ! [X1] : 
      ( p43(X1,c60)
     => X1 = c60 ) )).

fof(formula_214,axiom,(
    ! [X1,X2] : 
      ( ~ p14(X1)
     => ~ p14(f29(X1,X2)) ) )).

fof(formula_312,axiom,(
    ! [X1,X2] : 
      ( p87(X1,X2)
    <=> p106(X1,X2) ) )).

fof(formula_426,lemma,(
    ! [X1] : 
      ( p16(X1)
     => ! [X2] : 
          ( p16(X2)
         => ( p1(X1,X2)
          <=> p40(f67(X1),X2) ) ) ) )).

fof(formula_84,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( X2 = f46(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f42(X3,X4),X1) ) ) ) )).

fof(formula_508,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p43(X1,f84(X2)) ) )).

fof(formula_204,axiom,(
    p24(c60) )).

fof(formula_72,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ( p77(X1)
      <=> ! [X2] : 
            ~ ( p43(X2,f51(X1))
              & X2 != c60
              & ! [X3] : 
                  ~ ( p1(X3,X2)
                    & p78(f72(X1,X3),X2) ) ) ) ) )).

fof(formula_123,axiom,(
    ! [X1] : p24(f73(X1)) )).

fof(formula_220,axiom,(
    ! [X1,X2] : 
      ( p12(X1)
     => ( p3(f35(X1,X2))
        & p6(f35(X1,X2))
        & p8(f35(X1,X2))
        & p10(f35(X1,X2))
        & p12(f35(X1,X2)) ) ) )).

fof(formula_266,lemma,(
    ! [X1,X2] : 
      ( f88(X1,X2) = c60
    <=> p43(X1,X2) ) )).

fof(formula_186,axiom,(
    ! [X1] : 
      ( ~ p14(f68(X1))
      & p19(f68(X1)) ) )).

fof(formula_480,lemma,(
    ! [X1,X2,X3] : 
      ( ( p43(X1,X2)
        & p78(X2,X3) )
     => p78(X1,X3) ) )).

fof(formula_492,lemma,(
    ! [X1,X2,X3] : 
      ( ( p24(X3)
        & p23(X3) )
     => ( p1(X2,X1)
       => f47(f44(X3,X1),X2) = f47(X3,X2) ) ) )).

fof(formula_262,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => p43(f46(f48(X1,X2)),f46(X2)) ) )).

fof(formula_408,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p49(X2)
       => p49(f92(X2,X1)) ) ) )).

fof(formula_73,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f29(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p12(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p5(X2)
            & p13(X2)
            & p7(X2)
            & p11(X2)
            & p9(X2) ) ) ) )).

fof(formula_502,axiom,(
    ! [X1,X2] : 
      ~ ( p14(X1)
        & X1 != X2
        & p14(X2) ) )).

fof(formula_179,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ( p14(f93(X1))
        & p24(f93(X1)) ) ) )).

fof(formula_377,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p43(X1,X2)
       => p43(f52(X3,X1),f52(X3,X2)) ) ) )).

fof(formula_217,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => ( p3(f35(X2,X1))
        & p6(f35(X2,X1))
        & p8(f35(X2,X1)) ) ) )).

fof(formula_338,lemma,(
    ! [X1,X2] : 
      ( p16(X2)
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,f67(X2))
            & ? [X5] : 
                ( p16(X5)
                & X4 = X5
                & p1(X5,X1) ) ) ) ) )).

fof(formula_378,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ( p19(X1)
       => p19(f45(X2,X1)) ) ) )).

fof(formula_244,axiom,(
    p12(c60) )).

fof(formula_49,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ( p55(X1)
      <=> p56(X1,f51(X1)) ) ) )).

fof(formula_51,axiom,(
    ! [X1] : 
      ( p19(X1)
    <=> ? [X2] : 
          ( p24(X2)
          & p23(X2)
          & f58(X2) = X1
          & p1(f46(X2),c27) ) ) )).

fof(formula_86,axiom,(
    ! [X1] : f83(X1) = X1 )).

fof(formula_108,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => ! [X3] : 
          ( p4(X3,f15(f15(X1)))
         => ( X3 = f98(X1,X2)
          <=> ! [X4] : 
                ( p4(X4,f15(X1))
               => ( p1(X4,X3)
                <=> p1(f90(X1,X4),X2) ) ) ) ) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( ( p17(X1)
        & p18(X1) )
     => p16(X1) ) )).

fof(formula_329,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f15(f15(X1)))
        & p24(X3)
        & p23(X3) )
     => ( ! [X4,X5,X6] : 
            ( ( X4 = X5
              & p1(f45(X3,X5),X2)
              & X4 = X6
              & p1(f45(X3,X6),X2) )
           => X5 = X6 )
       => ? [X4] : 
          ! [X5] : 
            ( p1(X5,X4)
          <=> ? [X6] : 
                ( p1(X6,f15(f46(X3)))
                & X6 = X5
                & p1(f45(X3,X5),X2) ) ) ) ) )).

fof(formula_114,axiom,(
    $true )).

fof(formula_315,axiom,(
    ! [X1,X2] : p87(X1,X1) )).

fof(formula_472,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ( ( p26(X2)
          & p1(X1,f58(X2)) )
       => ( X1 = f47(X2,f47(f99(X2),X1))
          & X1 = f47(f97(f99(X2),X2),X1) ) ) ) )).

fof(formula_104,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ( p26(X1)
      <=> ! [X2,X3] : 
            ( ( p1(X2,f46(X1))
              & p1(X3,f46(X1))
              & f47(X1,X2) = f47(X1,X3) )
           => X2 = X3 ) ) ) )).

fof(formula_207,axiom,(
    p26(c60) )).

fof(formula_490,lemma,(
    ! [X1,X2,X3] : 
      ( ( p24(X3)
        & p23(X3) )
     => ( p1(X2,f46(f44(X3,X1)))
       => f47(f44(X3,X1),X2) = f47(X3,X2) ) ) )).

fof(formula_182,axiom,(
    p24(c60) )).

fof(formula_268,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( p49(X1)
      <=> ! [X2,X3] : 
            ( ( p1(f42(X2,X3),X1)
              & p1(f42(X3,X2),X1) )
           => X2 = X3 ) ) ) )).

fof(formula_506,lemma,(
    ! [X1,X2,X3] : 
      ( f68(X1) = f28(X2,X3)
     => X1 = X2 ) )).

fof(formula_457,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => ( X2 != c60
       => f103(X1,f83(X1),f101(X1,X2)) = f102(X1,f98(X1,X2)) ) ) )).

fof(formula_260,lemma,(
    ! [X1,X2] : 
      ~ ( p78(f68(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_132,axiom,(
    ! [X1] : p4(f83(X1),f15(X1)) )).

fof(formula_300,axiom,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p80(X1) )
     => ? [X2] : 
          ( p4(X2,f15(f33(X1)))
          & ~ p14(X2) ) ) )).

fof(formula_50,axiom,(
    ! [X1,X2,X3,X4] : 
      ( X4 = f57(X1,X2,X3)
    <=> ! [X5] : 
          ( p1(X5,X4)
        <=> ~ ( X5 != X1
              & X5 != X2
              & X5 != X3 ) ) ) )).

fof(formula_82,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ! [X2,X3] : 
          ( ( p1(X2,f46(X1))
           => ( X3 = f47(X1,X2)
            <=> p1(f42(X2,X3),X1) ) )
          & ( ~ p1(X2,f46(X1))
           => ( X3 = f47(X1,X2)
            <=> X3 = c60 ) ) ) ) )).

fof(formula_449,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => p43(f46(f97(X1,X2)),f46(X1)) ) ) )).

fof(formula_407,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ( p43(X1,X2)
           => ( p43(f46(X1),f46(X2))
              & p43(f58(X1),f58(X2)) ) ) ) ) )).

fof(formula_227,axiom,(
    ! [X1,X2] : 
      ( ( p24(X1)
        & p24(X2) )
     => p24(f88(X1,X2)) ) )).

fof(formula_454,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => ~ ( X2 != c60
          & f98(X1,X2) = c60 ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p16(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p17(X2)
            & p18(X2)
            & p16(X2) ) ) ) )).

fof(formula_142,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p30(X1)
        & p36(X1)
        & p37(X1)
        & p4(X2,f33(X1))
        & p4(X3,f33(X1)) )
     => p4(f38(X1,X2,X3),f33(X1)) ) )).

fof(formula_385,lemma,(
    ! [X1,X2,X3] : 
      ( ( p43(X1,X2)
        & p43(X1,X3) )
     => p43(X1,f35(X2,X3)) ) )).

fof(formula_224,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => ( p3(f88(X1,X2))
        & p6(f88(X1,X2))
        & p8(f88(X1,X2)) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p12(X1)
     => p10(X1) ) )).

fof(formula_234,axiom,(
    p14(c60) )).

fof(formula_272,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p43(X1,f84(X2)) ) )).

fof(formula_421,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p1(f42(X1,X2),X3)
       => ( p1(X1,f51(X3))
          & p1(X2,f51(X3)) ) ) ) )).

fof(formula_92,axiom,(
    ! [X1] : 
      ( X1 = c27
    <=> ( p1(c60,X1)
        & p89(X1)
        & p16(X1)
        & ! [X2] : 
            ( p16(X2)
           => ( ( p1(c60,X2)
                & p89(X2) )
             => p43(X1,X2) ) ) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( ( p21(X1)
        & p22(X1) )
     => p20(X1) ) )).

fof(formula_223,axiom,(
    ! [X1,X2] : 
      ( p6(X1)
     => ( p3(f88(X1,X2))
        & p6(f88(X1,X2)) ) ) )).

fof(formula_191,axiom,(
    p18(c27) )).

fof(formula_68,axiom,(
    ! [X1] : 
      ( p17(X1)
    <=> ! [X2] : 
          ( p1(X2,X1)
         => p43(X2,X1) ) ) )).

fof(formula_164,axiom,(
    $true )).

fof(formula_176,axiom,(
    ! [X1,X2] : 
      ( p19(X2)
     => p19(f35(X1,X2)) ) )).

fof(formula_401,lemma,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p36(X1)
        & p96(X1)
        & p95(X1) )
     => ! [X2] : 
          ( p4(X2,f33(X1))
         => ! [X3] : 
              ( p4(X3,f33(X1))
             => p79(X1,f38(X1,X2,X3),X2) ) ) ) )).

fof(formula_433,lemma,(
    ! [X1,X2] : 
      ( f88(X1,X2) = c60
    <=> p43(X1,X2) ) )).

fof(formula_337,lemma,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f15(f15(X1)))
        & p24(X3)
        & p23(X3) )
     => ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f15(f46(X3)))
            & p1(f45(X3,X5),X2) ) ) ) )).

fof(formula_131,axiom,(
    $true )).

fof(formula_397,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ! [X3] : 
          ( ( p24(X3)
            & p23(X3) )
         => ( p1(X1,f46(f97(X3,X2)))
           => f47(f97(X3,X2),X1) = f47(X2,f47(X3,X1)) ) ) ) )).

fof(formula_240,axiom,(
    p3(c60) )).

fof(formula_250,axiom,(
    ! [X1,X2] : f29(X1,X1) = X1 )).

fof(formula_319,lemma,
    ( ( ( p1(c60,c27)
       => ! [X1] : 
            ( p4(X1,f15(f15(c60)))
           => ~ ( X1 != c60
                & ! [X2] : 
                    ~ ( p1(X2,X1)
                      & ! [X3] : 
                          ( ( p1(X3,X1)
                            & p43(X2,X3) )
                         => X3 = X2 ) ) ) ) )
      & ! [X4] : 
          ( p16(X4)
         => ( ( p1(X4,c27)
             => ! [X5] : 
                  ( p4(X5,f15(f15(X4)))
                 => ~ ( X5 != c60
                      & ! [X6] : 
                          ~ ( p1(X6,X5)
                            & ! [X7] : 
                                ( ( p1(X7,X5)
                                  & p43(X6,X7) )
                               => X7 = X6 ) ) ) ) )
           => ( p1(f67(X4),c27)
             => ! [X8] : 
                  ( p4(X8,f15(f15(f67(X4))))
                 => ~ ( X8 != c60
                      & ! [X9] : 
                          ~ ( p1(X9,X8)
                            & ! [X10] : 
                                ( ( p1(X10,X8)
                                  & p43(X9,X10) )
                               => X10 = X9 ) ) ) ) ) ) )
      & ! [X4] : 
          ( p16(X4)
         => ( ( p89(X4)
              & ! [X11] : 
                  ( p16(X11)
                 => ( p1(X11,X4)
                   => ( p1(X11,c27)
                     => ! [X12] : 
                          ( p4(X12,f15(f15(X11)))
                         => ~ ( X12 != c60
                              & ! [X13] : 
                                  ~ ( p1(X13,X12)
                                    & ! [X14] : 
                                        ( ( p1(X14,X12)
                                          & p43(X13,X14) )
                                       => X14 = X13 ) ) ) ) ) ) ) )
           => ( X4 = c60
              | ( p1(X4,c27)
               => ! [X15] : 
                    ( p4(X15,f15(f15(X4)))
                   => ~ ( X15 != c60
                        & ! [X16] : 
                            ~ ( p1(X16,X15)
                              & ! [X17] : 
                                  ( ( p1(X17,X15)
                                    & p43(X16,X17) )
                                 => X17 = X16 ) ) ) ) ) ) ) ) )
   => ! [X4] : 
        ( p16(X4)
       => ( p1(X4,c27)
         => ! [X18] : 
              ( p4(X18,f15(f15(X4)))
             => ~ ( X18 != c60
                  & ! [X19] : 
                      ~ ( p1(X19,X18)
                        & ! [X20] : 
                            ( ( p1(X20,X18)
                              & p43(X19,X20) )
                           => X20 = X19 ) ) ) ) ) ) )).

fof(formula_213,axiom,(
    ! [X1] : ~ p14(f68(X1)) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( X2 = f41(X1)
      <=> ! [X3,X4] : 
            ( p1(f42(X3,X4),X2)
          <=> ( p1(X3,X1)
              & X3 = X4 ) ) ) ) )).

fof(formula_390,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p1(f42(X1,X2),X3)
       => ( p1(X1,f46(X3))
          & p1(X2,f58(X3)) ) ) ) )).

fof(formula_197,axiom,(
    p14(c60) )).

fof(formula_160,axiom,(
    $true )).

fof(formula_215,axiom,(
    ! [X1,X2] : 
      ( p6(X1)
     => ( p3(f35(X2,X1))
        & p6(f35(X2,X1)) ) ) )).

fof(formula_126,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p14(X1)
        & ~ p14(X2)
        & p23(X4)
        & p61(X4,f25(X1,X2),X3)
        & p70(X4,f25(X1,X2),X3)
        & p4(X5,X1)
        & p4(X6,X2) )
     => p4(f64(X1,X2,X3,X4,X5,X6),X3) ) )).

fof(formula_219,axiom,(
    ! [X1,X2] : 
      ( p10(X1)
     => ( p3(f35(X2,X1))
        & p6(f35(X2,X1))
        & p8(f35(X2,X1))
        & p10(f35(X2,X1)) ) ) )).

fof(formula_271,lemma,(
    ! [X1,X2] : 
      ( p43(X1,f68(X2))
    <=> ( X1 = c60
        | X1 = f68(X2) ) ) )).

fof(formula_91,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ! [X2] : 
          ( X2 = f58(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : 
                  ( p1(X4,f46(X1))
                  & X3 = f47(X1,X4) ) ) ) ) )).

fof(formula_146,axiom,(
    $true )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p5(X2)
            & p7(X2)
            & p11(X2)
            & p9(X2) ) ) ) )).

fof(formula_345,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f42(X1,X2),f25(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_57,axiom,(
    ! [X1] : 
      ( p24(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f42(X3,X4) ) ) )).

fof(formula_389,lemma,(
    f15(c60) = f68(c60) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p4(X1,c27)
     => ( p17(X1)
        & p18(X1)
        & p16(X1)
        & p13(X1) ) ) )).

fof(formula_261,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p78(f68(X1),X2) ) )).

fof(formula_305,axiom,(
    ! [X1,X2,X3] : 
      ( p70(X3,X1,X2)
     => f100(X1,X2,X3) = f58(X3) ) )).

fof(formula_362,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => p43(f45(X2,X1),f58(X2)) ) )).

fof(formula_141,axiom,(
    $true )).

fof(formula_102,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ! [X3] : 
              ( ( p24(X3)
                & p23(X3) )
             => ( p94(X1,X2,X3)
              <=> ( f46(X3) = f51(X1)
                  & f58(X3) = f51(X2)
                  & p26(X3)
                  & ! [X4,X5] : 
                      ( p1(f42(X4,X5),X1)
                    <=> ( p1(X4,f51(X1))
                        & p1(X5,f51(X1))
                        & p1(f42(f47(X3,X4),f47(X3,X5)),X2) ) ) ) ) ) ) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p14(X1)
        & p23(X1) )
     => ( p24(X1)
        & p23(X1)
        & p26(X1) ) ) )).

fof(formula_246,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ( p14(f46(X1))
        & p24(f46(X1)) ) ) )).

fof(formula_499,lemma,(
    ! [X1,X2] : 
      ( p78(X1,X2)
    <=> f88(X1,X2) = X1 ) )).

fof(formula_63,axiom,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( X2 = f73(X1)
      <=> ( f51(X2) = X1
          & ! [X3,X4] : 
              ( ( p1(X3,X1)
                & p1(X4,X1) )
             => ( p1(f42(X3,X4),X2)
              <=> p43(X3,X4) ) ) ) ) ) )).

fof(formula_356,lemma,(
    ! [X1,X2,X3] : 
      ( p59(X3,X1,X2)
     => ( p43(f46(X3),X1)
        & p43(f58(X3),X2) ) ) )).

fof(formula_274,lemma,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p4(X1,f15(X2)) ) )).

fof(formula_374,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p59(X4,X3,X1)
     => ( p43(X1,X2)
       => p59(X4,X3,X2) ) ) )).

fof(formula_326,axiom,(
    ! [X1,X2] : 
      ( ( p16(X1)
        & p4(X2,f15(f15(f67(X1)))) )
     => ( ! [X3,X4,X5] : 
            ( ( X3 = X4
              & ? [X6] : 
                  ( p1(X6,X2)
                  & X4 = f88(X6,f68(X1)) )
              & X3 = X5
              & ? [X7] : 
                  ( p1(X7,X2)
                  & X5 = f88(X7,f68(X1)) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,f15(X1))
                & X5 = X4
                & ? [X8] : 
                    ( p1(X8,X2)
                    & X4 = f88(X8,f68(X1)) ) ) ) ) ) )).

fof(formula_445,lemma,(
    ! [X1,X2] : f88(f29(X1,X2),X2) = f88(X1,X2) )).

fof(formula_32,axiom,(
    ! [X1,X2] : f28(X1,X2) = f28(X2,X1) )).

fof(formula_340,lemma,(
    ! [X1] : 
      ( ( ! [X2,X3,X4] : 
            ( ( p1(X2,X1)
              & X3 = f68(X2)
              & X4 = f68(X2) )
           => X3 = X4 )
        & ! [X2] : 
            ~ ( p1(X2,X1)
              & ! [X3] : X3 != f68(X2) ) )
     => ? [X2] : 
          ( p24(X2)
          & p23(X2)
          & f46(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f47(X2,X3) = f68(X3) ) ) ) )).

fof(formula_446,lemma,(
    ! [X1] : 
      ( p16(X1)
     => ( p89(X1)
      <=> ! [X2] : 
            ( p16(X2)
           => ( p1(X2,X1)
             => p1(f67(X2),X1) ) ) ) ) )).

fof(formula_107,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p56(X1,X2)
        <=> ! [X3,X4,X5] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(X5,X2)
                & p1(f42(X3,X4),X1)
                & p1(f42(X4,X5),X1) )
             => p1(f42(X3,X5),X1) ) ) ) )).

fof(formula_422,lemma,(
    ! [X1] : 
      ( ! [X2] : 
          ( p1(X2,X1)
         => ( p16(X2)
            & p43(X2,X1) ) )
     => p16(X1) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p14(X1)
     => p19(X1) ) )).

fof(formula_199,axiom,(
    ! [X1,X2] : 
      ( p3(X1)
     => p3(f35(X1,X2)) ) )).

fof(formula_254,axiom,(
    ! [X1] : 
      ( p24(X1)
     => f93(f93(X1)) = X1 ) )).

fof(formula_69,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ( X1 = X2
          <=> ! [X3,X4] : 
                ( p1(f42(X3,X4),X1)
              <=> p1(f42(X3,X4),X2) ) ) ) ) )).

fof(formula_163,axiom,(
    $true )).

fof(formula_512,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p23(X4)
        & p61(X4,X1,X2)
        & p59(X4,X1,X2) )
     => ( p43(X2,X3)
       => ( ( X2 = c60
            & X1 != c60 )
          | ( p23(X4)
            & p61(X4,X1,X3)
            & p59(X4,X1,X3) ) ) ) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p19(X1)
     => ! [X2] : 
          ( p4(X2,f15(X1))
         => p19(X2) ) ) )).

fof(formula_125,axiom,(
    $true )).

fof(formula_206,axiom,(
    p23(c60) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p4(X2,f15(X1))
         => ( p3(X2)
            & p6(X2)
            & p8(X2)
            & p10(X2) ) ) ) )).

fof(formula_205,axiom,(
    p104(c60) )).

fof(formula_441,axiom,(
    ! [X1,X2] : 
      ( p4(X1,f15(X2))
    <=> p43(X1,X2) ) )).

fof(formula_283,axiom,(
    ? [X1] : 
      ( p24(X1)
      & p23(X1)
      & p26(X1)
      & p14(X1) ) )).

fof(formula_154,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f15(X1))
        & p4(X3,f15(X1)) )
     => p4(f103(X1,X2,X3),f15(X1)) ) )).

fof(formula_255,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => f98(X1,f98(X1,X2)) = X2 ) )).

fof(formula_116,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p30(X1)
        & p32(X1)
        & p4(X2,f33(X1))
        & p4(X3,f33(X1)) )
     => p4(f63(X1,X2,X3),f33(X1)) ) )).

fof(formula_411,lemma,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p31(X1)
        & p32(X1) )
     => ! [X2] : 
          ( p4(X2,f33(X1))
         => ! [X3] : 
              ( p4(X3,f33(X1))
             => ( ( p79(X1,X2,X3)
                  & p79(X1,X3,X2) )
               => X2 = X3 ) ) ) ) )).

fof(formula_456,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ( p43(f46(X1),f58(X2))
           => f58(f97(X2,X1)) = f58(X1) ) ) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p12(X1)
     => ! [X2] : 
          ( p4(X2,f15(X1))
         => ( p3(X2)
            & p6(X2)
            & p8(X2)
            & p10(X2)
            & p12(X2) ) ) ) )).

fof(formula_295,axiom,(
    ? [X1] : 
      ( p24(X1)
      & p23(X1)
      & p26(X1) ) )).

fof(formula_198,axiom,(
    ! [X1,X2] : ~ p14(f42(X1,X2)) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p10(X1)
     => p8(X1) ) )).

fof(formula_352,lemma,(
    ! [X1,X2,X3] : 
      ( p43(X1,X2)
     => ( p43(f25(X1,X3),f25(X2,X3))
        & p43(f25(X3,X1),f25(X3,X2)) ) ) )).

fof(formula_106,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ! [X3] : 
              ( p24(X3)
             => ( X3 = f97(X1,X2)
              <=> ! [X4,X5] : 
                    ( p1(f42(X4,X5),X3)
                  <=> ? [X6] : 
                        ( p1(f42(X4,X6),X1)
                        & p1(f42(X6,X5),X2) ) ) ) ) ) ) )).

fof(formula_80,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p82(X1,X2)
        <=> ! [X3] : 
              ~ ( p43(X3,X2)
                & X3 != c60
                & ! [X4] : 
                    ~ ( p1(X4,X3)
                      & p78(f72(X1,X4),X3) ) ) ) ) )).

fof(formula_153,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => p4(f102(X1,X2),f15(X1)) ) )).

fof(formula_55,axiom,(
    ! [X1] : 
      ( ? [X2,X3] : X1 = f42(X2,X3)
     => ! [X2] : 
          ( X2 = f66(X1)
        <=> ! [X3,X4] : 
              ( X1 = f42(X3,X4)
             => X2 = X3 ) ) ) )).

fof(formula_149,axiom,(
    ! [X1,X2,X3] : 
      ( p70(X3,X1,X2)
     => p4(f100(X1,X2,X3),f15(X2)) ) )).

fof(formula_233,axiom,(
    ! [X1] : 
      ( p16(X1)
     => ( p17(f84(X1))
        & p18(f84(X1))
        & p16(f84(X1)) ) ) )).

fof(formula_99,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p54(X1,X2)
        <=> ! [X3,X4] : 
              ~ ( p1(X3,X2)
                & p1(X4,X2)
                & X3 != X4
                & ~ p1(f42(X3,X4),X1)
                & ~ p1(f42(X4,X3),X1) ) ) ) )).

fof(formula_203,axiom,(
    ! [X1] : 
      ( p24(f41(X1))
      & p23(f41(X1)) ) )).

fof(formula_130,axiom,(
    ! [X1] : 
      ( p80(X1)
     => p4(f81(X1),f15(f33(X1))) ) )).

fof(formula_238,axiom,(
    ! [X1] : 
      ( ( ~ p14(X1)
        & p24(X1) )
     => ~ p14(f46(X1)) ) )).

fof(formula_334,lemma,(
    ! [X1,X2] : 
      ( ( p16(X1)
        & p4(X2,f15(f15(f67(X1)))) )
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,f15(X1))
            & ? [X5] : 
                ( p1(X5,X2)
                & X4 = f88(X5,f68(X1)) ) ) ) ) )).

fof(formula_505,lemma,(
    ! [X1,X2,X3] : 
      ( ( p43(X1,X2)
        & p43(X3,X2) )
     => p43(f29(X1,X3),X2) ) )).

fof(formula_165,axiom,(
    ! [X1,X2,X3] : 
      ( p59(X3,X1,X2)
     => p4(X3,f15(f25(X1,X2))) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p6(X1) ) )).

fof(formula_48,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ( p53(X1)
      <=> p54(X1,f51(X1)) ) ) )).

fof(formula_381,lemma,(
    ! [X1,X2] : p43(f35(X1,X2),X1) )).

fof(formula_120,axiom,(
    $true )).

fof(formula_284,axiom,(
    ? [X1] : 
      ( p14(X1)
      & p24(X1) ) )).

fof(formula_264,lemma,(
    ! [X1,X2] : 
      ( p43(f68(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_291,axiom,(
    ? [X1] : 
      ( ~ p14(X1)
      & p24(X1) ) )).

fof(formula_285,axiom,(
    ! [X1] : 
      ( ~ p14(X1)
     => ? [X2] : 
          ( p4(X2,f15(X1))
          & ~ p14(X2) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ( p3(X1)
        & p6(X1)
        & p8(X1)
        & p10(X1)
        & p12(X1) ) ) )).

fof(formula_194,axiom,(
    ! [X1,X2] : 
      ( ( p24(X1)
        & p24(X2) )
     => p24(f35(X1,X2)) ) )).

fof(formula_278,axiom,(
    ? [X1] : 
      ( p24(X1)
      & p23(X1) ) )).

fof(formula_42,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ! [X2,X3] : 
          ( X3 = f45(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(X5,f46(X1))
                  & p1(X5,X2)
                  & X4 = f47(X1,X5) ) ) ) ) )).

fof(formula_89,axiom,(
    ! [X1,X2] : 
      ( p87(X1,X2)
    <=> ? [X3] : 
          ( p24(X3)
          & p23(X3)
          & p26(X3)
          & f46(X3) = X1
          & f58(X3) = X2 ) ) )).

fof(formula_470,lemma,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ( p26(X1)
       => ( f58(X1) = f46(f99(X1))
          & f46(X1) = f58(f99(X1)) ) ) ) )).

fof(formula_226,axiom,(
    ! [X1] : 
      ( p16(X1)
     => ( ~ p14(f67(X1))
        & p17(f67(X1))
        & p18(f67(X1))
        & p16(f67(X1)) ) ) )).

fof(formula_218,axiom,(
    ! [X1,X2] : 
      ( p10(X1)
     => ( p3(f35(X1,X2))
        & p6(f35(X1,X2))
        & p8(f35(X1,X2))
        & p10(f35(X1,X2)) ) ) )).

fof(formula_121,axiom,(
    $true )).

fof(formula_376,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ~ ( X1 != c60
          & p43(X1,f58(X2))
          & f52(X2,X1) = c60 ) ) )).

fof(formula_159,axiom,(
    ! [X1] : 
      ( p37(X1)
     => p80(X1) ) )).

fof(formula_103,axiom,(
    ! [X1,X2] : 
      ( p78(X1,X2)
    <=> f35(X1,X2) = c60 ) )).

fof(formula_135,axiom,(
    $true )).

fof(formula_171,axiom,(
    ? [X1] : p32(X1) )).

fof(formula_405,lemma,(
    ! [X1] : 
      ( p16(X1)
     => ! [X2] : 
          ( p16(X2)
         => ~ ( ~ p1(X1,X2)
              & X1 != X2
              & ~ p1(X2,X1) ) ) ) )).

fof(formula_296,axiom,(
    ? [X1] : 
      ( ~ p14(X1)
      & p17(X1)
      & p18(X1)
      & p16(X1) ) )).

fof(formula_277,axiom,(
    ? [X1] : 
      ( ~ p14(X1)
      & p19(X1) ) )).

fof(formula_493,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p24(X4)
     => ( p1(f42(X1,X2),f97(f41(X3),X4))
      <=> ( p1(X1,X3)
          & p1(f42(X1,X2),X4) ) ) ) )).

fof(formula_510,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => p43(f58(f44(X2,X1)),f58(X2)) ) )).

fof(formula_348,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p1(X1,f58(f48(X2,X3)))
      <=> ( p1(X1,X2)
          & p1(X1,f58(X3)) ) ) ) )).

fof(formula_196,axiom,(
    ! [X1] : ~ p14(f15(X1)) )).

fof(formula_317,lemma,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( p1(X2,X1)
            & X3 = f68(X2)
            & p1(X2,X1)
            & X4 = f68(X2) )
         => X3 = X4 )
     => ? [X2] : 
          ( p24(X2)
          & p23(X2)
          & ! [X3,X4] : 
              ( p1(f42(X3,X4),X2)
            <=> ( p1(X3,X1)
                & p1(X3,X1)
                & X4 = f68(X3) ) ) ) ) )).

fof(formula_435,lemma,(
    ! [X1,X2,X3] : 
      ( p43(f28(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_325,axiom,(
    ! [X1] : 
      ( p16(X1)
     => ( ! [X2,X3,X4] : 
            ( ( X2 = X3
              & ? [X5] : 
                  ( p16(X5)
                  & X3 = X5
                  & ( p1(X5,c27)
                   => ! [X6] : 
                        ( p4(X6,f15(f15(X5)))
                       => ~ ( X6 != c60
                            & ! [X7] : 
                                ~ ( p1(X7,X6)
                                  & ! [X8] : 
                                      ( ( p1(X8,X6)
                                        & p43(X7,X8) )
                                     => X8 = X7 ) ) ) ) ) )
              & X2 = X4
              & ? [X9] : 
                  ( p16(X9)
                  & X4 = X9
                  & ( p1(X9,c27)
                   => ! [X10] : 
                        ( p4(X10,f15(f15(X9)))
                       => ~ ( X10 != c60
                            & ! [X11] : 
                                ~ ( p1(X11,X10)
                                  & ! [X12] : 
                                      ( ( p1(X12,X10)
                                        & p43(X11,X12) )
                                     => X12 = X11 ) ) ) ) ) ) )
           => X3 = X4 )
       => ? [X2] : 
          ! [X3] : 
            ( p1(X3,X2)
          <=> ? [X4] : 
                ( p1(X4,f67(X1))
                & X4 = X3
                & ? [X13] : 
                    ( p16(X13)
                    & X3 = X13
                    & ( p1(X13,c27)
                     => ! [X14] : 
                          ( p4(X14,f15(f15(X13)))
                         => ~ ( X14 != c60
                              & ! [X15] : 
                                  ~ ( p1(X15,X14)
                                    & ! [X16] : 
                                        ( ( p1(X16,X14)
                                          & p43(X15,X16) )
                                       => X16 = X15 ) ) ) ) ) ) ) ) ) ) )).

fof(formula_361,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p1(X1,f45(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f46(X3))
            & p1(f42(X4,X1),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_387,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p4(X1,X2) ) )).

fof(formula_327,axiom,(
    ! [X1,X2,X3] : 
      ( ( p24(X2)
        & p24(X3)
        & p23(X3) )
     => ( ! [X4,X5,X6] : 
            ( ( X4 = X5
              & ? [X7,X8] : 
                  ( X5 = f42(X7,X8)
                  & p1(f42(f47(X3,X7),f47(X3,X8)),X2) )
              & X4 = X6
              & ? [X9,X10] : 
                  ( X6 = f42(X9,X10)
                  & p1(f42(f47(X3,X9),f47(X3,X10)),X2) ) )
           => X5 = X6 )
       => ? [X4] : 
          ! [X5] : 
            ( p1(X5,X4)
          <=> ? [X6] : 
                ( p1(X6,f25(X1,X1))
                & X6 = X5
                & ? [X11,X12] : 
                    ( X5 = f42(X11,X12)
                    & p1(f42(f47(X3,X11),f47(X3,X12)),X2) ) ) ) ) ) )).

fof(formula_309,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f15(X1))
        & p4(X3,f15(X1)) )
     => f103(X1,X2,X3) = f88(X2,X3) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_248,axiom,(
    ! [X1,X2] : 
      ( ( p19(X1)
        & p19(X2) )
     => p19(f29(X1,X2)) ) )).

fof(formula_177,axiom,(
    ! [X1,X2] : 
      ( ( p14(X1)
        & p24(X2) )
     => ( p14(f97(X2,X1))
        & p24(f97(X2,X1)) ) ) )).

fof(formula_483,lemma,(
    ! [X1,X2] : 
      ( f88(X1,f68(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_279,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p70(X3,X1,X2)
      & p24(X3)
      & p23(X3)
      & p61(X3,X1,X2) ) )).

fof(formula_61,axiom,(
    ! [X1,X2] : 
      ( X2 = f68(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_368,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p59(X4,X3,X1)
     => ( p43(f58(X4),X2)
       => p59(X4,X3,X2) ) ) )).

fof(formula_350,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => p43(f48(X1,X2),X2) ) )).

fof(formula_339,lemma,(
    ! [X1,X2] : 
      ( ( ~ p14(X1)
        & p24(X2) )
     => ( ( ! [X3,X4,X5] : 
              ( ( p1(X3,X1)
                & ? [X6] : 
                    ( X3 = X6
                    & p1(X4,X6)
                    & ! [X7] : 
                        ( p1(X7,X6)
                       => p1(f42(X4,X7),X2) ) )
                & ? [X8] : 
                    ( X3 = X8
                    & p1(X5,X8)
                    & ! [X9] : 
                        ( p1(X9,X8)
                       => p1(f42(X5,X9),X2) ) ) )
             => X4 = X5 )
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & ! [X4] : 
                    ~ ? [X10] : 
                        ( X3 = X10
                        & p1(X4,X10)
                        & ! [X11] : 
                            ( p1(X11,X10)
                           => p1(f42(X4,X11),X2) ) ) ) )
       => ? [X3] : 
            ( p24(X3)
            & p23(X3)
            & f46(X3) = X1
            & ! [X4] : 
                ( p1(X4,X1)
               => ? [X12] : 
                    ( X4 = X12
                    & p1(f47(X3,X4),X12)
                    & ! [X13] : 
                        ( p1(X13,X12)
                       => p1(f42(f47(X3,X4),X13),X2) ) ) ) ) ) ) )).

fof(formula_140,axiom,(
    $true )).

fof(formula_136,axiom,(
    $true )).

fof(formula_33,axiom,(
    ! [X1,X2] : f29(X1,X2) = f29(X2,X1) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p14(X1)
     => p23(X1) ) )).

fof(formula_202,axiom,(
    ! [X1] : 
      ( ( p16(X1)
        & p13(X1) )
     => ( ~ p14(f67(X1))
        & p17(f67(X1))
        & p18(f67(X1))
        & p16(f67(X1))
        & p13(f67(X1)) ) ) )).

fof(formula_332,lemma,(
    ! [X1,X2] : 
    ? [X3] : 
    ! [X4] : 
      ( p1(X4,X3)
    <=> ( p1(X4,f25(X1,X2))
        & ? [X5,X6] : 
            ( f42(X5,X6) = X4
            & p1(X5,X1)
            & X6 = f68(X5) ) ) ) )).

fof(formula_111,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ( p86(X1)
      <=> p69(X1,f51(X1)) ) ) )).

fof(formula_386,axiom,(
    ! [X1] : f29(X1,c60) = X1 )).

fof(formula_35,axiom,(
    ! [X1,X2] : f35(X1,X2) = f35(X2,X1) )).

fof(formula_62,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2,X3] : 
          ( X3 = f72(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( X4 != X2
                & p1(f42(X4,X2),X1) ) ) ) ) )).

fof(formula_170,axiom,(
    ? [X1] : p80(X1) )).

fof(formula_310,axiom,(
    ! [X1,X2,X3] : 
      ( p59(X3,X1,X2)
    <=> p70(X3,X1,X2) ) )).

fof(formula_419,lemma,(
    ! [X1] : p86(f73(X1)) )).

fof(formula_173,axiom,(
    ! [X1,X2] : 
    ? [X3] : p70(X3,X1,X2) )).

fof(formula_404,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p53(X2)
       => p53(f92(X2,X1)) ) ) )).

fof(formula_344,axiom,(
    ! [X1,X2] : 
      ( p87(X1,X2)
     => p87(X2,X1) ) )).

fof(formula_308,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => f102(X1,X2) = f71(X2) ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p43(X1,X2)
        & p43(X2,X1) ) ) )).

fof(formula_303,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p30(X1)
        & p36(X1)
        & p37(X1)
        & p4(X2,f33(X1))
        & p4(X3,f33(X1)) )
     => f38(X1,X2,X3) = f74(X1,X2,X3) ) )).

fof(formula_241,axiom,(
    p6(c60) )).

fof(formula_189,axiom,(
    ! [X1] : ~ p14(f67(X1)) )).

fof(formula_343,axiom,(
    ! [X1,X2] : 
      ( p78(X1,X2)
     => p78(X2,X1) ) )).

fof(formula_373,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => p43(f52(X2,X1),f46(X2)) ) )).

fof(formula_513,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p43(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p43(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p43(X3,X2)
            & ~ p106(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_128,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p30(X1)
        & p37(X1)
        & p4(X2,f33(X1))
        & p4(X3,f33(X1)) )
     => p4(f74(X1,X2,X3),f33(X1)) ) )).

fof(formula_425,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p85(X2)
       => p85(f92(X2,X1)) ) ) )).

fof(formula_211,axiom,(
    p16(c60) )).

fof(formula_318,lemma,(
    ! [X1] : 
      ( ? [X2] : 
          ( p16(X2)
          & p1(X2,X1) )
     => ? [X2] : 
          ( p16(X2)
          & p1(X2,X1)
          & ! [X3] : 
              ( p16(X3)
             => ( p1(X3,X1)
               => p40(X2,X3) ) ) ) ) )).

fof(formula_181,axiom,(
    p14(c60) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p16(X1)
     => ( p17(X1)
        & p18(X1) ) ) )).

fof(formula_379,conjecture,(
    ! [X1] : 
      ( p80(X1)
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => f90(f33(X1),X2) = f103(f33(X1),f81(X1),X2) ) ) )).

fof(formula_481,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( ( f46(X1) = c60
          | f58(X1) = c60 )
       => X1 = c60 ) ) )).

fof(formula_417,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
     => ( p14(X2)
        | p1(X1,X2) ) ) )).

fof(formula_54,axiom,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p32(X1) )
     => ! [X2] : 
          ( p4(X2,f33(X1))
         => ! [X3] : 
              ( p4(X3,f33(X1))
             => f63(X1,X2,X3) = f64(f33(X1),f33(X1),f33(X1),f65(X1),X2,X3) ) ) ) )).

fof(formula_424,lemma,(
    ! [X1,X2] : 
      ( p16(X2)
     => ~ ( p43(X1,X2)
          & X1 != c60
          & ! [X3] : 
              ( p16(X3)
             => ~ ( p1(X3,X1)
                  & ! [X4] : 
                      ( p16(X4)
                     => ( p1(X4,X1)
                       => p40(X3,X4) ) ) ) ) ) ) )).

fof(formula_190,axiom,(
    p17(c27) )).

fof(formula_355,lemma,(
    ! [X1] : 
      ( p80(X1)
     => f81(X1) = f33(X1) ) )).

fof(formula_477,lemma,(
    f58(c60) = c60 )).

fof(formula_156,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => p4(f98(X1,X2),f15(f15(X1))) ) )).

fof(formula_287,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p4(X2,f15(X1))
      & p14(X2)
      & p24(X2)
      & p23(X2)
      & p26(X2)
      & p17(X2)
      & p18(X2)
      & p16(X2)
      & p13(X2)
      & p19(X2) ) )).

fof(formula_452,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p23(X4)
        & p61(X4,X1,X2)
        & p59(X4,X1,X2) )
     => ( X2 != c60
       => ! [X5] : 
            ( p1(X5,f52(X4,X3))
          <=> ( p1(X5,X1)
              & p1(f47(X4,X5),X3) ) ) ) ) )).

fof(formula_88,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ( p85(X1)
      <=> ( p86(X1)
          & p55(X1)
          & p49(X1)
          & p53(X1)
          & p77(X1) ) ) ) )).

fof(formula_406,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p55(X2)
       => p55(f92(X2,X1)) ) ) )).

fof(formula_168,axiom,(
    ! [X1] : 
      ( p32(X1)
     => ( p23(f65(X1))
        & p61(f65(X1),f25(f33(X1),f33(X1)),f33(X1))
        & p59(f65(X1),f25(f33(X1),f33(X1)),f33(X1)) ) ) )).

fof(formula_180,axiom,(
    ! [X1,X2] : 
      ( p19(X1)
     => p19(f88(X1,X2)) ) )).

fof(formula_474,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( p77(X1)
      <=> p82(X1,f51(X1)) ) ) )).

fof(formula_286,axiom,(
    ? [X1] : p14(X1) )).

fof(formula_448,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f15(X1))
     => ! [X3] : 
          ( p4(X3,f15(X1))
         => ( p78(X2,X3)
          <=> p43(X2,f90(X1,X3)) ) ) ) )).

fof(formula_230,axiom,(
    ! [X1,X2] : 
      ( p10(X1)
     => ( p3(f88(X1,X2))
        & p6(f88(X1,X2))
        & p8(f88(X1,X2))
        & p10(f88(X1,X2)) ) ) )).

fof(formula_210,axiom,(
    p18(c60) )).

fof(formula_494,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p14(X2) ) )).

fof(formula_479,lemma,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ( p26(X1)
       => p26(f99(X1)) ) ) )).

fof(formula_484,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ! [X3] : 
          ( ( p24(X3)
            & p23(X3) )
         => ( X2 = f44(X3,X1)
          <=> ( f46(X2) = f35(f46(X3),X1)
              & ! [X4] : 
                  ( p1(X4,f46(X2))
                 => f47(X2,X4) = f47(X3,X4) ) ) ) ) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ( ( p16(X1)
        & p16(X2) )
     => ( p40(X1,X2)
        | p40(X2,X1) ) ) )).

fof(formula_415,lemma,(
    ! [X1,X2] : 
      ( p43(X1,X2)
     => f35(X1,X2) = X1 ) )).

fof(formula_236,axiom,(
    ! [X1,X2] : 
      ( ( ~ p14(X1)
        & ~ p14(X2) )
     => ~ p14(f25(X1,X2)) ) )).

fof(formula_229,axiom,(
    ! [X1,X2] : 
      ( ~ p14(X1)
     => ~ p14(f29(X2,X1)) ) )).

fof(formula_256,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_395,lemma,(
    ! [X1] : 
      ( p24(X1)
     => p43(X1,f25(f46(X1),f58(X1))) ) )).

fof(formula_434,lemma,(
    ! [X1,X2] : 
      ( p43(f68(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_96,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p91(X1,X2)
        <=> ( p69(X1,X2)
            & p56(X1,X2)
            & p50(X1,X2)
            & p54(X1,X2)
            & p82(X1,X2) ) ) ) )).

fof(formula_429,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ( X2 = f41(X1)
      <=> ( f46(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f47(X2,X3) = X3 ) ) ) ) )).

fof(formula_322,axiom,(
    ! [X1,X2] : 
      ( ( ~ p14(X1)
        & p24(X2) )
     => ! [X3] : 
          ( ! [X4,X5,X6] : 
              ( ( X4 = X5
                & ? [X7,X8] : 
                    ( f42(X7,X8) = X5
                    & p1(X7,X1)
                    & ? [X9] : 
                        ( X7 = X9
                        & p1(X8,X9)
                        & ! [X10] : 
                            ( p1(X10,X9)
                           => p1(f42(X8,X10),X2) ) ) )
                & X4 = X6
                & ? [X11,X12] : 
                    ( f42(X11,X12) = X6
                    & p1(X11,X1)
                    & ? [X13] : 
                        ( X11 = X13
                        & p1(X12,X13)
                        & ! [X14] : 
                            ( p1(X14,X13)
                           => p1(f42(X12,X14),X2) ) ) ) )
             => X5 = X6 )
         => ? [X4] : 
            ! [X5] : 
              ( p1(X5,X4)
            <=> ? [X6] : 
                  ( p1(X6,f25(X1,X3))
                  & X6 = X5
                  & ? [X15,X16] : 
                      ( f42(X15,X16) = X5
                      & p1(X15,X1)
                      & ? [X17] : 
                          ( X15 = X17
                          & p1(X16,X17)
                          & ! [X18] : 
                              ( p1(X18,X17)
                             => p1(f42(X16,X18),X2) ) ) ) ) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ! [X2] : 
          ( p4(X2,f15(X1))
         => ( p3(X2)
            & p6(X2) ) ) ) )).

fof(formula_90,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f88(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p5(X2)
            & p7(X2)
            & p9(X2) ) ) ) )).

fof(formula_438,lemma,(
    ! [X1,X2] : 
      ( p43(X1,f68(X2))
    <=> ( X1 = c60
        | X1 = f68(X2) ) ) )).

fof(formula_307,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f15(X1))
        & p4(X3,f15(X1)) )
     => f39(X1,X2,X3) = f35(X2,X3) ) )).

fof(formula_391,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p43(f51(f92(X2,X1)),f51(X2))
        & p43(f51(f92(X2,X1)),X1) ) ) )).

fof(formula_239,axiom,(
    p14(c60) )).

fof(formula_363,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => p43(f45(X2,f52(X2,X1)),X1) ) )).

fof(formula_270,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( p53(X1)
      <=> ! [X2,X3] : 
            ~ ( p1(X2,f51(X1))
              & p1(X3,f51(X1))
              & X2 != X3
              & ~ p1(f42(X2,X3),X1)
              & ~ p1(f42(X3,X2),X1) ) ) ) )).

fof(formula_380,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => f92(X2,X1) = f44(f48(X1,X2),X1) ) )).

fof(formula_403,lemma,(
    ! [X1,X2,X3] : 
      ( p59(X3,X1,X2)
     => ( ! [X4] : 
            ~ ( p1(X4,X2)
              & ! [X5] : ~ p1(f42(X5,X4),X3) )
      <=> f100(X1,X2,X3) = X2 ) ) )).

fof(formula_372,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p1(X1,f52(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f58(X3))
            & p1(f42(X1,X4),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_167,axiom,(
    $true )).

fof(formula_511,lemma,(
    ! [X1] : f84(f15(X1)) = X1 )).

fof(formula_301,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p14(X1)
        & ~ p14(X2)
        & p23(X4)
        & p61(X4,f25(X1,X2),X3)
        & p70(X4,f25(X1,X2),X3)
        & p4(X5,X1)
        & p4(X6,X2) )
     => f64(X1,X2,X3,X4,X5,X6) = f105(X4,X5,X6) ) )).

fof(formula_501,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => p43(f44(X2,X1),X2) ) )).

fof(formula_66,axiom,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p37(X1) )
     => ! [X2] : 
          ( p4(X2,f33(X1))
         => ! [X3] : 
              ( p4(X3,f33(X1))
             => f74(X1,X2,X3) = f64(f33(X1),f33(X1),f33(X1),f75(X1),X2,X3) ) ) ) )).

fof(formula_331,lemma,(
    ! [X1,X2] : 
      ( ( ~ p14(X1)
        & p24(X2) )
     => ! [X3] : 
        ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f25(X1,X3))
            & ? [X6,X7] : 
                ( f42(X6,X7) = X5
                & p1(X6,X1)
                & ? [X8] : 
                    ( X6 = X8
                    & p1(X7,X8)
                    & ! [X9] : 
                        ( p1(X9,X8)
                       => p1(f42(X7,X9),X2) ) ) ) ) ) ) )).

fof(formula_273,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f42(X1,X2),f25(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_503,lemma,(
    ! [X1,X2,X3] : 
      ( ( p24(X3)
        & p23(X3) )
     => ( p1(f42(X1,X2),X3)
      <=> ( p1(X1,f46(X3))
          & X2 = f47(X3,X1) ) ) ) )).

fof(formula_336,lemma,(
    ! [X1] : 
    ? [X2] : 
    ! [X3] : 
      ( p1(X3,X2)
    <=> ( p1(X3,X1)
        & p16(X3) ) ) )).

fof(formula_145,axiom,(
    $true )).

fof(formula_491,lemma,(
    ! [X1] : 
      ( f46(f41(X1)) = X1
      & f58(f41(X1)) = X1 ) )).

fof(formula_359,lemma,(
    ! [X1,X2] : 
      ( ( p43(X1,X2)
        & p19(X2) )
     => p19(X1) ) )).

fof(formula_174,axiom,(
    ! [X1] : 
    ? [X2] : p4(X2,X1) )).

fof(formula_423,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p77(X2)
       => p77(f92(X2,X1)) ) ) )).

fof(formula_399,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p86(X2)
       => p86(f92(X2,X1)) ) ) )).

fof(formula_436,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( ( p85(X2)
          & p43(X1,f51(X2)) )
       => f51(f92(X2,X1)) = X1 ) ) )).

fof(formula_294,axiom,(
    ! [X1] : 
      ( ~ p14(X1)
     => ? [X2] : 
          ( p4(X2,f15(X1))
          & ~ p14(X2)
          & p19(X2) ) ) )).

fof(formula_148,axiom,(
    ! [X1,X2] : 
      ( ( p24(X1)
        & p24(X2) )
     => p24(f97(X1,X2)) ) )).

fof(formula_75,axiom,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p32(X1) )
     => ! [X2] : 
          ( p4(X2,f33(X1))
         => ! [X3] : 
              ( p4(X3,f33(X1))
             => ( p79(X1,X2,X3)
              <=> f63(X1,X2,X3) = X3 ) ) ) ) )).

fof(formula_281,axiom,(
    ? [X1] : 
      ( p17(X1)
      & p18(X1)
      & p16(X1) ) )).

fof(formula_47,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2,X3] : 
          ( X3 = f52(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f42(X4,X5),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_235,axiom,(
    p24(c60) )).

fof(formula_333,lemma,(
    ! [X1] : 
      ( p16(X1)
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ( p1(X3,f67(X1))
            & ? [X4] : 
                ( p16(X4)
                & X3 = X4
                & ( p1(X4,c27)
                 => ! [X5] : 
                      ( p4(X5,f15(f15(X4)))
                     => ~ ( X5 != c60
                          & ! [X6] : 
                              ~ ( p1(X6,X5)
                                & ! [X7] : 
                                    ( ( p1(X7,X5)
                                      & p43(X6,X7) )
                                   => X7 = X6 ) ) ) ) ) ) ) ) ) )).

fof(formula_247,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ( p14(f58(X1))
        & p24(f58(X1)) ) ) )).

fof(formula_178,axiom,(
    ! [X1,X2] : 
      ( p19(X1)
     => p19(f35(X1,X2)) ) )).

fof(formula_144,axiom,(
    ! [X1,X2,X3] : 
      ( p70(X3,X1,X2)
     => p4(f62(X1,X2,X3),f15(X1)) ) )).

fof(formula_251,axiom,(
    ! [X1,X2] : f35(X1,X1) = X1 )).

fof(formula_316,lemma,(
    ! [X1,X2] : 
      ( ( ~ p14(X1)
        & p24(X2) )
     => ( ! [X3,X4,X5] : 
            ( ( p1(X3,X1)
              & ? [X6] : 
                  ( X3 = X6
                  & p1(X4,X6)
                  & ! [X7] : 
                      ( p1(X7,X6)
                     => p1(f42(X4,X7),X2) ) )
              & p1(X3,X1)
              & ? [X8] : 
                  ( X3 = X8
                  & p1(X5,X8)
                  & ! [X9] : 
                      ( p1(X9,X8)
                     => p1(f42(X5,X9),X2) ) ) )
           => X4 = X5 )
       => ? [X3] : 
            ( p24(X3)
            & p23(X3)
            & ! [X4,X5] : 
                ( p1(f42(X4,X5),X3)
              <=> ( p1(X4,X1)
                  & p1(X4,X1)
                  & ? [X10] : 
                      ( X4 = X10
                      & p1(X5,X10)
                      & ! [X11] : 
                          ( p1(X11,X10)
                         => p1(f42(X5,X11),X2) ) ) ) ) ) ) ) )).

fof(formula_388,lemma,(
    ! [X1,X2,X3] : 
      ( ( p43(X1,X2)
        & p43(X2,X3) )
     => p43(X1,X3) ) )).

fof(formula_275,lemma,(
    ! [X1,X2,X3] : 
      ( ( p24(X3)
        & p23(X3) )
     => ( p1(X2,f46(f44(X3,X1)))
      <=> ( p1(X2,f46(X3))
          & p1(X2,X1) ) ) ) )).

fof(formula_249,axiom,(
    ! [X1,X2] : 
      ( ( p14(X1)
        & p24(X2) )
     => ( p14(f97(X1,X2))
        & p24(f97(X1,X2)) ) ) )).

fof(formula_253,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(X1))
     => f90(X1,f90(X1,X2)) = X2 ) )).

fof(formula_418,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( p23(X1)
    <=> ! [X2,X3,X4] : 
          ( ( p1(f42(X2,X3),X1)
            & p1(f42(X2,X4),X1) )
         => X3 = X4 ) ) )).

fof(formula_138,axiom,(
    $true )).

fof(formula_402,lemma,(
    ! [X1,X2] : 
      ( p16(X2)
     => ( p1(X1,X2)
       => p16(X1) ) ) )).

fof(formula_77,axiom,(
    ! [X1] : 
      ( p80(X1)
     => f81(X1) = f33(X1) ) )).

fof(formula_222,axiom,(
    ! [X1,X2] : 
      ( p3(X1)
     => p3(f88(X1,X2)) ) )).

fof(formula_413,lemma,(
    ! [X1,X2,X3] : 
      ( p43(X1,X2)
     => p43(f35(X1,X3),f35(X2,X3)) ) )).

fof(formula_60,axiom,(
    ! [X1,X2] : 
      ( ( X1 != c60
       => ( X2 = f71(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ! [X4] : 
                  ( p1(X4,X1)
                 => p1(X3,X4) ) ) ) )
      & ( X1 = c60
       => ( X2 = f71(X1)
        <=> X2 = c60 ) ) ) )).

fof(formula_134,axiom,(
    ! [X1,X2] : 
      ( p24(X1)
     => p24(f92(X1,X2)) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p4(X2,f15(X1))
         => p3(X2) ) ) )).

fof(formula_370,lemma,(
    ! [X1] : 
      ( p80(X1)
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => f39(f33(X1),X2,f81(X1)) = X2 ) ) )).

fof(formula_74,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f25(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f42(X5,X6) ) ) ) )).

fof(formula_105,axiom,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p95(X1) )
     => ( p96(X1)
      <=> ! [X2] : 
            ( p4(X2,f33(X1))
           => ! [X3] : 
                ( p4(X3,f33(X1))
               => f63(X1,f74(X1,X2,X3),X3) = X3 ) ) ) ) )).

fof(formula_150,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => p4(f101(X1,X2),f15(X1)) ) )).

fof(formula_169,axiom,(
    ? [X1] : p37(X1) )).

fof(formula_398,lemma,(
    ! [X1,X2,X3] : 
      ( p59(X3,X2,X1)
     => ( ! [X4] : 
            ~ ( p1(X4,X2)
              & ! [X5] : ~ p1(f42(X4,X5),X3) )
      <=> f62(X2,X1,X3) = X2 ) ) )).

fof(formula_175,axiom,(
    ! [X1,X2] : 
    ? [X3] : p59(X3,X1,X2) )).

fof(formula_259,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f29(f68(X1),X2) = X2 ) )).

fof(formula_113,axiom,(
    $true )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p14(X1)
     => p24(X1) ) )).

fof(formula_124,axiom,(
    $true )).

fof(formula_420,lemma,(
    ! [X1] : p43(c60,X1) )).

fof(formula_280,axiom,(
    ? [X1] : 
      ( ~ p14(X1)
      & p3(X1)
      & p6(X1)
      & p8(X1)
      & p10(X1)
      & p12(X1) ) )).

fof(formula_36,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p30(X1)
        & p36(X1)
        & p37(X1)
        & p4(X2,f33(X1))
        & p4(X3,f33(X1)) )
     => f38(X1,X2,X3) = f38(X1,X3,X2) ) )).

fof(formula_212,axiom,(
    ! [X1,X2] : 
      ( ( p24(X1)
        & p24(X2) )
     => p24(f29(X1,X2)) ) )).

fof(formula_473,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p4(X2,f15(X3))
        & p14(X3) ) )).

fof(formula_514,lemma,(
    ! [X1,X2,X3] : 
      ( f68(X1) = f28(X2,X3)
     => X2 = X3 ) )).

fof(formula_299,axiom,(
    ? [X1] : 
      ( p24(X1)
      & p104(X1)
      & p23(X1) ) )).

fof(formula_450,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => p43(f58(f97(X1,X2)),f58(X2)) ) ) )).

fof(formula_455,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f29(f68(X1),X2) = X2 ) )).

fof(formula_384,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p1(X1,f51(f92(X3,X2)))
       => ( p1(X1,f51(X3))
          & p1(X1,X2) ) ) ) )).

fof(formula_289,axiom,(
    ? [X1] : 
      ( p24(X1)
      & p23(X1)
      & p26(X1)
      & p14(X1)
      & p17(X1)
      & p18(X1)
      & p16(X1) ) )).

fof(formula_427,lemma,(
    ! [X1,X2,X3] : 
      ( p43(X1,X2)
     => p43(f88(X1,X3),f88(X2,X3)) ) )).

fof(formula_346,lemma,(
    ! [X1] : p1(X1,f67(X1)) )).

fof(formula_313,axiom,(
    ! [X1,X2] : 
      ( ( p16(X1)
        & p16(X2) )
     => p40(X1,X1) ) )).

fof(formula_45,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ! [X2,X3] : 
          ( X3 = f52(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( p1(X4,f46(X1))
                & p1(f47(X1,X4),X2) ) ) ) ) )).

fof(formula_193,axiom,(
    ~ p14(c27) )).

fof(formula_166,axiom,(
    ! [X1] : 
      ( p37(X1)
     => ( p23(f75(X1))
        & p61(f75(X1),f25(f33(X1),f33(X1)),f33(X1))
        & p59(f75(X1),f25(f33(X1),f33(X1)),f33(X1)) ) ) )).

fof(formula_161,axiom,(
    ! [X1] : 
      ( p32(X1)
     => p80(X1) ) )).

fof(formula_393,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p23(X4)
        & p61(X4,X1,X2)
        & p59(X4,X1,X2) )
     => ! [X5] : 
          ( ( p24(X5)
            & p23(X5) )
         => ( p1(X3,X1)
           => ( X2 = c60
              | f47(f97(X4,X5),X3) = f47(X5,f47(X4,X3)) ) ) ) ) )).

fof(formula_81,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f35(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_431,lemma,(
    ! [X1,X2] : p43(f88(X1,X2),X1) )).

fof(formula_451,lemma,(
    ! [X1,X2] : 
      ( p43(X1,X2)
     => X2 = f29(X1,f88(X2,X1)) ) )).

fof(formula_245,axiom,(
    ! [X1] : 
      ( ( ~ p14(X1)
        & p24(X1) )
     => ~ p14(f58(X1)) ) )).

fof(formula_396,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => p43(f72(f92(X3,X1),X2),f72(X3,X2)) ) )).

fof(formula_101,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ( X2 = f93(X1)
          <=> ! [X3,X4] : 
                ( p1(f42(X3,X4),X2)
              <=> p1(f42(X4,X3),X1) ) ) ) ) )).

fof(formula_341,lemma,
    ( ! [X1] : 
        ( p16(X1)
       => ( ! [X2] : 
              ( p16(X2)
             => ( p1(X2,X1)
               => ( p1(X2,c27)
                 => ! [X3] : 
                      ( p4(X3,f15(f15(X2)))
                     => ~ ( X3 != c60
                          & ! [X4] : 
                              ~ ( p1(X4,X3)
                                & ! [X5] : 
                                    ( ( p1(X5,X3)
                                      & p43(X4,X5) )
                                   => X5 = X4 ) ) ) ) ) ) )
         => ( p1(X1,c27)
           => ! [X6] : 
                ( p4(X6,f15(f15(X1)))
               => ~ ( X6 != c60
                    & ! [X7] : 
                        ~ ( p1(X7,X6)
                          & ! [X8] : 
                              ( ( p1(X8,X6)
                                & p43(X7,X8) )
                             => X8 = X7 ) ) ) ) ) ) )
   => ! [X1] : 
        ( p16(X1)
       => ( p1(X1,c27)
         => ! [X9] : 
              ( p4(X9,f15(f15(X1)))
             => ~ ( X9 != c60
                  & ! [X10] : 
                      ~ ( p1(X10,X9)
                        & ! [X11] : 
                            ( ( p1(X11,X9)
                              & p43(X10,X11) )
                           => X11 = X10 ) ) ) ) ) ) )).

fof(formula_225,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1)
        & p26(X1) )
     => ( p24(f93(X1))
        & p23(f93(X1)) ) ) )).

fof(formula_443,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p78(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p78(X1,X2) ) ) )).

fof(formula_489,lemma,(
    ! [X1,X2] : 
      ( p43(f68(X1),f68(X2))
     => X1 = X2 ) )).

fof(formula_231,axiom,(
    ! [X1,X2] : 
      ( p12(X1)
     => ( p3(f88(X1,X2))
        & p6(f88(X1,X2))
        & p8(f88(X1,X2))
        & p10(f88(X1,X2))
        & p12(f88(X1,X2)) ) ) )).

fof(formula_83,axiom,(
    ! [X1] : 
      ( p16(X1)
    <=> ( p17(X1)
        & p18(X1) ) ) )).

fof(formula_20,axiom,(
    ! [X1,X2,X3] : 
      ( p4(X3,f15(f25(X1,X2)))
     => p24(X3) ) )).

fof(formula_288,axiom,(
    ? [X1] : 
      ( p24(X1)
      & p14(X1)
      & p23(X1) ) )).

fof(formula_115,axiom,(
    $true )).

fof(formula_184,axiom,(
    ! [X1,X2] : 
      ( ( p24(X1)
        & p23(X1)
        & p19(X2) )
     => p19(f45(X1,X2)) ) )).

fof(formula_358,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p43(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f15(X3),X2) )
      & ! [X3] : 
          ~ ( p43(X3,X2)
            & ~ p106(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( ( p14(X1)
        & p16(X1) )
     => ( p17(X1)
        & p18(X1)
        & p16(X1)
        & p13(X1) ) ) )).

fof(formula_304,axiom,(
    ! [X1,X2,X3] : 
      ( p70(X3,X1,X2)
     => f62(X1,X2,X3) = f46(X3) ) )).

fof(formula_282,axiom,(
    ? [X1] : 
      ( p17(X1)
      & p18(X1)
      & p16(X1)
      & p89(X1) ) )).

fof(formula_392,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ! [X3] : 
          ( ( p24(X3)
            & p23(X3) )
         => ( p1(X1,f46(f97(X3,X2)))
          <=> ( p1(X1,f46(X3))
              & p1(f47(X3,X1),f46(X2)) ) ) ) ) )).

fof(formula_442,lemma,(
    ! [X1] : p55(f73(X1)) )).

fof(formula_394,lemma,(
    ! [X1] : 
      ( p17(X1)
     => ! [X2] : 
          ( p16(X2)
         => ( p2(X1,X2)
           => p1(X1,X2) ) ) ) )).

fof(formula_293,axiom,(
    ? [X1] : ~ p14(X1) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p6(X1)
     => p3(X1) ) )).

fof(formula_71,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f28(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_94,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(X1))
     => f90(X1,X2) = f88(X1,X2) ) )).

fof(formula_76,axiom,(
    ! [X1] : 
      ( p18(X1)
    <=> ! [X2,X3] : 
          ~ ( p1(X2,X1)
            & p1(X3,X1)
            & ~ p1(X2,X3)
            & X2 != X3
            & ~ p1(X3,X2) ) ) )).

fof(formula_495,lemma,(
    ! [X1,X2] : 
      ( f66(f42(X1,X2)) = X1
      & f76(f42(X1,X2)) = X2 ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p4(X2,f15(X1))
         => ( p3(X2)
            & p6(X2)
            & p8(X2) ) ) ) )).

fof(formula_440,lemma,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p1(X2,X3)
        & p1(X3,X1) ) )).

fof(formula_100,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : f92(X1,X2) = f35(X1,f25(X2,X2)) ) )).

fof(formula_409,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p91(X2,X1)
       => ( f51(f92(X2,X1)) = X1
          & p85(f92(X2,X1)) ) ) ) )).

fof(formula_478,lemma,(
    ! [X1,X2] : 
      ~ ( p43(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_242,axiom,(
    p8(c60) )).

fof(formula_459,lemma,(
    ! [X1,X2] : f88(X1,f88(X1,X2)) = f35(X1,X2) )).

fof(formula_147,axiom,(
    $true )).

fof(formula_172,axiom,(
    ? [X1] : p95(X1) )).

fof(formula_465,lemma,(
    ! [X1] : 
      ( X1 != c60
     => ! [X2] : 
          ( p4(X2,f15(X1))
         => ! [X3] : 
              ( p4(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f90(X1,X2)) ) ) ) ) )).

fof(formula_485,lemma,(
    ! [X1] : f28(X1,X1) = f68(X1) )).

fof(formula_216,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => ( p3(f35(X1,X2))
        & p6(f35(X1,X2))
        & p8(f35(X1,X2)) ) ) )).

fof(formula_432,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( f58(X1) = f46(f93(X1))
        & f46(X1) = f58(f93(X1)) ) ) )).

fof(formula_464,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p78(X1,X2)
          & ! [X3] : ~ p1(X3,f35(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f35(X1,X2))
          & p78(X1,X2) ) ) )).

fof(formula_37,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f15(X1))
        & p4(X3,f15(X1)) )
     => f39(X1,X2,X3) = f39(X1,X3,X2) ) )).

fof(formula_201,axiom,(
    ! [X1,X2] : 
      ( p6(X1)
     => ( p3(f35(X1,X2))
        & p6(f35(X1,X2)) ) ) )).

fof(formula_122,axiom,(
    $true )).

fof(formula_257,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( p86(X1)
      <=> ! [X2] : 
            ( p1(X2,f51(X1))
           => p1(f42(X2,X2),X1) ) ) ) )).

fof(formula_78,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ( p43(X1,X2)
          <=> ! [X3,X4] : 
                ( p1(f42(X3,X4),X1)
               => p1(f42(X3,X4),X2) ) ) ) ) )).

fof(formula_496,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & ! [X3] : 
            ~ ( p1(X3,X2)
              & ! [X4] : 
                  ~ ( p1(X4,X2)
                    & p1(X4,X3) ) ) ) )).

fof(formula_265,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ~ ( p85(X2)
          & p87(X1,f51(X2))
          & ! [X3] : 
              ( p24(X3)
             => ~ p91(X3,X1) ) ) ) )).

fof(formula_342,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p24(X2)
      & p23(X2)
      & f46(X2) = X1
      & ! [X3] : 
          ( p1(X3,X1)
         => f47(X2,X3) = f68(X3) ) ) )).

fof(formula_458,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => ( X2 != c60
       => f101(X1,f98(X1,X2)) = f103(X1,f83(X1),f102(X1,X2)) ) ) )).

fof(formula_353,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => f58(f48(X1,X2)) = f35(f58(X2),X1) ) )).

fof(formula_97,axiom,(
    ! [X1] : 
      ( p89(X1)
    <=> X1 = f84(X1) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ( p17(X1)
        & p18(X1)
        & p16(X1) ) ) )).

fof(formula_487,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p23(X4)
        & p61(X4,X1,X2)
        & p59(X4,X1,X2) )
     => ( p1(X3,X1)
       => ( X2 = c60
          | p1(f47(X4,X3),f58(X4)) ) ) ) )).

fof(formula_412,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p24(X2)
      & p91(X2,X1) ) )).

fof(formula_187,axiom,(
    ! [X1] : 
      ( ~ p14(f15(X1))
      & p21(f15(X1))
      & p22(f15(X1))
      & p20(f15(X1)) ) )).

fof(formula_95,axiom,(
    ! [X1,X2] : f42(X1,X2) = f28(f28(X1,X2),f68(X1)) )).

fof(formula_375,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p1(X1,f92(X3,X2))
      <=> ( p1(X1,X3)
          & p1(X1,f25(X2,X2)) ) ) ) )).

fof(formula_330,axiom,(
    ! [X1,X2] : 
      ( p16(X2)
     => ( ! [X3,X4,X5] : 
            ( ( X3 = X4
              & ? [X6] : 
                  ( p16(X6)
                  & X4 = X6
                  & p1(X6,X1) )
              & X3 = X5
              & ? [X7] : 
                  ( p16(X7)
                  & X5 = X7
                  & p1(X7,X1) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,f67(X2))
                & X5 = X4
                & ? [X8] : 
                    ( p16(X8)
                    & X4 = X8
                    & p1(X8,X1) ) ) ) ) ) )).

fof(formula_221,axiom,(
    ! [X1,X2] : 
      ( p12(X1)
     => ( p3(f35(X2,X1))
        & p6(f35(X2,X1))
        & p8(f35(X2,X1))
        & p10(f35(X2,X1))
        & p12(f35(X2,X1)) ) ) )).

fof(formula_414,lemma,(
    ! [X1] : 
      ( ~ p14(X1)
     => ~ ( ! [X2] : 
              ~ ( p1(X2,X1)
                & X2 = c60 )
          & ! [X2] : 
              ( ( p24(X2)
                & p23(X2) )
             => ~ ( f46(X2) = X1
                  & ! [X3] : 
                      ( p1(X3,X1)
                     => p1(f47(X2,X3),X3) ) ) ) ) ) )).

fof(formula_306,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => f101(X1,X2) = f84(X2) ) )).

fof(formula_46,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2,X3] : 
          ( X3 = f45(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f42(X5,X4),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_267,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f15(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_109,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p43(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_297,axiom,(
    ? [X1] : 
      ( p24(X1)
      & p104(X1) ) )).

fof(formula_200,axiom,(
    ! [X1,X2] : 
      ( p3(X1)
     => p3(f35(X2,X1)) ) )).

fof(formula_428,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f42(X1,X2) = f42(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p20(X1)
     => ( p21(X1)
        & p22(X1) ) ) )).

fof(formula_127,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ( p24(f99(X1))
        & p23(f99(X1)) ) ) )).

fof(formula_276,axiom,(
    ? [X1] : 
      ( ~ p14(X1)
      & p17(X1)
      & p18(X1)
      & p16(X1)
      & p13(X1) ) )).

fof(formula_87,axiom,(
    ! [X1,X2] : 
      ( X2 = f84(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_209,axiom,(
    p17(c60) )).

fof(formula_243,axiom,(
    p10(c60) )).

fof(formula_34,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p30(X1)
        & p31(X1)
        & p32(X1)
        & p4(X2,f33(X1))
        & p4(X3,f33(X1)) )
     => f34(X1,X2,X3) = f34(X1,X3,X2) ) )).

fof(formula_509,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => f44(X2,X1) = f97(f41(X1),X2) ) )).

fof(formula_98,axiom,(
    ! [X1] : 
      ( p24(X1)
     => f51(X1) = f29(f46(X1),f58(X1)) ) )).

fof(formula_504,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( p91(X1,f51(X1))
      <=> p85(X1) ) ) )).

fof(formula_151,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f15(X1))
        & p4(X3,f15(X1)) )
     => p4(f39(X1,X2,X3),f15(X1)) ) )).

fof(formula_498,lemma,(
    ! [X1,X2] : p43(X1,f29(X1,X2)) )).

fof(formula_430,lemma,(
    ! [X1,X2] : 
      ( p1(X2,X1)
     => f47(f41(X1),X2) = X2 ) )).

fof(formula_366,lemma,(
    ! [X1] : 
      ( p24(X1)
     => f45(X1,f46(X1)) = f58(X1) ) )).

fof(formula_475,lemma,(
    ! [X1] : p49(f73(X1)) )).

fof(formula_152,axiom,(
    ! [X1] : p24(f41(X1)) )).

fof(formula_117,axiom,(
    $true )).

fof(formula_41,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2,X3] : 
          ( p24(X3)
         => ( X3 = f44(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f42(X4,X5),X3)
              <=> ( p1(X4,X2)
                  & p1(f42(X4,X5),X1) ) ) ) ) ) )).

fof(formula_158,axiom,(
    $true )).

fof(formula_321,axiom,(
    ! [X1,X2] : 
      ( ( ~ p14(X1)
        & p24(X2) )
     => ( ! [X3,X4,X5] : 
            ( ( p1(X3,X1)
              & ? [X6] : 
                  ( X3 = X6
                  & p1(X4,X6)
                  & ! [X7] : 
                      ( p1(X7,X6)
                     => p1(f42(X4,X7),X2) ) )
              & p1(X3,X1)
              & ? [X8] : 
                  ( X3 = X8
                  & p1(X5,X8)
                  & ! [X9] : 
                      ( p1(X9,X8)
                     => p1(f42(X5,X9),X2) ) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,X1)
                & p1(X5,X1)
                & ? [X10] : 
                    ( X5 = X10
                    & p1(X4,X10)
                    & ! [X11] : 
                        ( p1(X11,X10)
                       => p1(f42(X4,X11),X2) ) ) ) ) ) ) )).

fof(formula_462,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p4(X2,f15(X3)) )
     => p4(X1,X3) ) )).

fof(formula_298,axiom,(
    ? [X1] : 
      ( p80(X1)
      & ~ p30(X1) ) )).

fof(formula_382,lemma,(
    ! [X1] : 
      ( p19(X1)
     => ! [X2] : 
          ( p4(X2,f15(f15(X1)))
         => ~ ( X2 != c60
              & ! [X3] : 
                  ~ ( p1(X3,X2)
                    & ! [X4] : 
                        ( ( p1(X4,X2)
                          & p43(X3,X4) )
                       => X4 = X3 ) ) ) ) ) )).

fof(formula_497,lemma,(
    ! [X1] : 
      ( p16(X1)
     => p85(f73(X1)) ) )).

fof(formula_292,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p4(X2,f15(X1))
      & p14(X2) ) )).
%------------------------------------------------------------------------------
