%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(A,C) )
     => p20(B,C) ) )).

fof(p20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(C,A) )
     => p20(C,B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p12(X1)
     => ! [X2] : 
          ( p3(X2,f4(X1))
         => ( p13(X2)
            & p12(X2) ) ) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(X1)
        & p3(X2,f4(f4(f5(X1)))) )
     => ? [X3] : 
        ! [X4] : 
          ( p6(X4,X3)
        <=> ( p6(X4,f4(f5(X1)))
            & p6(f7(f8(X1),X4),X2) ) ) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ( p13(X1)
        & p12(X1)
        & p11(X1)
        & p10(X1)
        & p9(X1) ) ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( p12(X1)
     => ( p13(f7(X1,X2))
        & p12(f7(X1,X2)) ) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => ~ p6(X2,X1) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p12(X1)
     => p13(X1) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p3(X2,f4(X1))
         => p13(X2) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p12(X1)
     => ! [X2] : 
          ( p3(X2,X1)
         => ( p15(X2)
            & p16(X2) ) ) ) )).

fof(formula_44,axiom,(
    ! [X1] : 
      ( p14(X1)
     => X1 = c22 ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( ( ~ p14(X1)
       => ( p3(X2,X1)
        <=> p6(X2,X1) ) )
      & ( p14(X1)
       => ( p3(X2,X1)
        <=> p14(X2) ) ) ) )).

fof(formula_39,axiom,(
    ! [X1] : 
    ? [X2] : p3(X2,X1) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p10(X1)
     => p11(X1) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( ~ p14(X1)
     => ? [X2] : 
          ( p3(X2,f4(X1))
          & ~ p14(X2) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p11(X1)
     => p12(X1) ) )).

fof(formula_32,axiom,(
    $true )).

fof(formula_1,conjecture,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(X1)
        & p3(X2,f4(f4(f5(X1)))) )
     => ? [X3] : 
          ( p3(X3,f4(f4(f5(X1))))
          & ! [X4] : 
              ( p3(X4,f4(f5(X1)))
             => ( p6(X4,X3)
              <=> p6(f7(f8(X1),X4),X2) ) ) ) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( p9(X1)
     => ( p13(f7(X1,X2))
        & p12(f7(X1,X2))
        & p11(f7(X1,X2))
        & p10(f7(X1,X2))
        & p9(f7(X1,X2)) ) ) )).

fof(formula_42,axiom,(
    ? [X1] : p14(X1) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p11(X1)
     => ! [X2] : 
          ( p3(X2,X1)
         => ( p15(X2)
            & p16(X2)
            & p17(X2) ) ) ) )).

fof(formula_43,axiom,(
    ? [X1] : ~ p14(X1) )).

fof(formula_25,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p3(X2,f4(X1))
      & p14(X2) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( ( p1(X1)
        & p2(X1) )
     => p20(f8(X1),X1) ) )).

fof(formula_40,axiom,(
    p14(c22) )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p6(X3,X1)
         => p6(X3,X2) )
     => p3(X1,f4(X2)) ) )).

fof(formula_33,axiom,(
    $true )).

fof(formula_35,axiom,(
    ! [X1] : ~ p14(f4(X1)) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p3(X2,X1)
         => ( p15(X2)
            & p16(X2)
            & p18(X2)
            & p17(X2) ) ) ) )).

fof(formula_22,axiom,(
    $true )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( p11(X1)
     => ( p13(f7(X1,X2))
        & p12(f7(X1,X2))
        & p11(f7(X1,X2)) ) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p11(X1)
     => ! [X2] : 
          ( p3(X2,f4(X1))
         => ( p13(X2)
            & p12(X2)
            & p11(X2) ) ) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( ( p1(X1)
        & p2(X1) )
     => ? [X2] : 
          ( p3(X2,f4(f5(X1)))
          & p20(X2,X1) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p9(X1)
     => p10(X1) ) )).

fof(formula_45,axiom,(
    ! [X1,X2] : 
      ~ ( p6(X1,X2)
        & p14(X2) ) )).

fof(formula_6,axiom,(
    ? [X1] : 
      ( ~ p14(X1)
      & p13(X1)
      & p12(X1)
      & p11(X1)
      & p10(X1)
      & p9(X1) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p9(X1)
     => ! [X2] : 
          ( p3(X2,f4(X1))
         => ( p13(X2)
            & p12(X2)
            & p11(X2)
            & p10(X2)
            & p9(X2) ) ) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p21(X1) ) )).

fof(formula_28,axiom,(
    $true )).

fof(formula_38,axiom,(
    $true )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( p13(X1)
     => p13(f7(X1,X2)) ) )).

fof(formula_30,axiom,(
    $true )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p9(X1)
     => ! [X2] : 
          ( p3(X2,X1)
         => ( p15(X2)
            & p19(X2)
            & p16(X2)
            & p18(X2)
            & p17(X2) ) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p3(X2,f4(X1))
         => ( p13(X2)
            & p12(X2)
            & p11(X2)
            & p10(X2) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p3(X2,X1)
         => p15(X2) ) ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
      ( p10(X1)
     => ( p13(f7(X1,X2))
        & p12(f7(X1,X2))
        & p11(f7(X1,X2))
        & p10(f7(X1,X2)) ) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ~ ( p14(X1)
        & X1 != X2
        & p14(X2) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p21(X1)
     => p3(f8(X1),f4(f5(X1))) ) )).
%------------------------------------------------------------------------------
