%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f3(A) = f3(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f7(A,C,D) = f7(B,C,D) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f7(C,A,D) = f7(C,B,D) ) )).

fof(f7_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f7(C,D,A) = f7(C,D,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(A,C) )
     => p12(B,C) ) )).

fof(p12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(C,A) )
     => p12(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_10,axiom,(
    $true )).

fof(formula_18,conjecture,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p2(X2,f3(f4(X1)))
         => ( p5(X2,X1)
          <=> p6(f10(f4(X1),X2),X1) ) ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( p2(X2,f3(X1))
     => p2(f10(X1,X2),f3(X1)) ) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( ( p2(X2,f3(X1))
        & p2(X3,f3(X1)) )
     => p2(f7(X1,X2,X3),f3(X1)) ) )).

fof(formula_2,axiom,(
    $true )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f3(X2))
    <=> p12(X1,X2) ) )).

fof(formula_8,axiom,(
    $true )).

fof(formula_5,axiom,(
    $true )).

fof(formula_12,axiom,(
    ? [X1] : p9(X1) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p9(X1)
     => p2(f8(X1),f3(f4(X1))) ) )).

fof(formula_15,axiom,(
    ! [X1,X2,X3] : 
      ( ( p2(X2,f3(X1))
        & p2(X3,f3(X1)) )
     => f7(X1,X2,X3) = f11(X2,X3) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p9(X1)
     => ! [X2] : 
          ( p2(X2,f3(f4(X1)))
         => f10(f4(X1),X2) = f7(f4(X1),f8(X1),X2) ) ) )).

fof(formula_9,axiom,(
    $true )).

fof(formula_13,axiom,(
    ! [X1] : 
    ? [X2] : p2(X2,X1) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( p2(X2,f3(X1))
     => f10(X1,f10(X1,X2)) = X2 ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p9(X1) ) )).

fof(formula_11,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_16,axiom,(
    ! [X1,X2] : p12(X1,X1) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p2(X2,f3(f4(X1)))
         => ( p5(X2,X1)
          <=> p6(f7(f4(X1),f8(X1),X2),X1) ) ) ) )).
%------------------------------------------------------------------------------
