%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f17(A) = f17(B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(A,C) = f19(B,C) ) )).

fof(f19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(C,A) = f19(C,B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(A,C) = f20(B,C) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(C,A) = f20(C,B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(A,C) = f21(B,C) ) )).

fof(f21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(C,A) = f21(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(A,C) )
     => p22(B,C) ) )).

fof(p22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(C,A) )
     => p22(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_26,axiom,(
    $true )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p3(X2,X1)
         => ( p4(X2)
            & p6(X2) ) ) ) )).

fof(formula_50,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p3(X2,f14(X3)) )
     => p3(X1,X3) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ! [X2] : 
          ( p3(X2,X1)
         => p4(X2) ) ) )).

fof(formula_36,axiom,(
    p7(c23) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ! [X2] : 
          ( p3(X2,X1)
         => ( p4(X2)
            & p6(X2)
            & p8(X2) ) ) ) )).

fof(formula_52,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p3(X2,f14(X3))
        & p13(X3) ) )).

fof(formula_28,axiom,(
    $true )).

fof(formula_42,axiom,(
    ? [X1] : 
      ( p15(X1)
      & ~ p16(X1) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ! [X2] : 
          ( p3(X2,f14(X1))
         => ( p2(X2)
            & p5(X2)
            & p7(X2) ) ) ) )).

fof(formula_44,axiom,(
    ! [X1,X2] : p22(X1,X1) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p5(X1)
     => p2(X1) ) )).

fof(formula_30,axiom,(
    ? [X1] : p15(X1) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p11(X1)
     => p9(X1) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p18(X1)
     => p15(X1) ) )).

fof(formula_33,axiom,(
    p13(c23) )).

fof(formula_45,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p3(X1,X2) ) )).

fof(formula_47,axiom,(
    ! [X1,X2] : 
      ( p3(X1,f14(X2))
    <=> p22(X1,X2) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p18(X1)
     => ! [X2] : 
          ( p3(X2,f14(f17(X1)))
         => f19(X1,X2) = f20(f17(X1),f21(X1,f20(f17(X1),X2))) ) ) )).

fof(formula_24,axiom,(
    ! [X1,X2] : 
      ( ( p18(X1)
        & p3(X2,f14(f17(X1))) )
     => p3(f21(X1,X2),f14(f17(X1))) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
    ? [X2] : p3(X2,X1) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p9(X1)
     => p7(X1) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ! [X2] : 
          ( p3(X2,f14(X1))
         => p2(X2) ) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
     => ( p13(X2)
        | p1(X1,X2) ) ) )).

fof(formula_53,axiom,(
    ! [X1] : 
      ( p13(X1)
     => X1 = c23 ) )).

fof(formula_34,axiom,(
    p2(c23) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ( p2(X1)
        & p5(X1)
        & p7(X1)
        & p9(X1)
        & p11(X1) ) ) )).

fof(formula_49,axiom,(
    ! [X1] : 
      ( p18(X1)
     => ! [X2] : 
          ( p3(X2,f14(f17(X1)))
         => p22(X2,f21(X1,X2)) ) ) )).

fof(formula_55,axiom,(
    ! [X1,X2] : 
      ~ ( p13(X1)
        & X1 != X2
        & p13(X2) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p9(X1)
     => ! [X2] : 
          ( p3(X2,f14(X1))
         => ( p2(X2)
            & p5(X2)
            & p7(X2)
            & p9(X2) ) ) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( p3(X2,f14(X1))
     => p3(f20(X1,X2),f14(X1)) ) )).

fof(formula_51,axiom,(
    ! [X1,X2,X3] : 
      ( p3(X3,f14(X1))
     => ~ ( p1(X2,f20(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
      ( ( p18(X1)
        & p3(X2,f14(f17(X1))) )
     => p3(f19(X1,X2),f14(f17(X1))) ) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( p22(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p9(X1)
     => ! [X2] : 
          ( p3(X2,X1)
         => ( p4(X2)
            & p6(X2)
            & p10(X2)
            & p8(X2) ) ) ) )).

fof(formula_29,axiom,(
    ? [X1] : p18(X1) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( ( ~ p16(X1)
        & p15(X1) )
     => ! [X2] : 
          ( p3(X2,f14(f17(X1)))
         => ! [X3] : 
              ( p3(X3,f17(X1))
             => ( p1(X3,f20(f17(X1),X2))
              <=> ~ p1(X3,X2) ) ) ) ) )).

fof(formula_27,axiom,(
    $true )).

fof(formula_37,axiom,(
    p9(c23) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ( p3(X2,f14(X1))
     => f20(X1,f20(X1,X2)) = X2 ) )).

fof(formula_21,axiom,(
    $true )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( ( ~ p16(X1)
        & p15(X1) )
     => ~ p13(f17(X1)) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p11(X1)
     => ! [X2] : 
          ( p3(X2,f14(X1))
         => ( p2(X2)
            & p5(X2)
            & p7(X2)
            & p9(X2)
            & p11(X2) ) ) ) )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( ( ~ p16(X1)
        & p15(X1) )
     => ? [X2] : 
          ( p3(X2,f14(f17(X1)))
          & ~ p13(X2) ) ) )).

fof(formula_54,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p13(X2) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p11(X1)
     => ! [X2] : 
          ( p3(X2,X1)
         => ( p4(X2)
            & p12(X2)
            & p6(X2)
            & p10(X2)
            & p8(X2) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p3(X2,f14(X1))
         => ( p2(X2)
            & p5(X2) ) ) ) )).

fof(formula_41,axiom,(
    ? [X1] : 
      ( ~ p13(X1)
      & p2(X1)
      & p5(X1)
      & p7(X1)
      & p9(X1)
      & p11(X1) ) )).

fof(formula_22,axiom,(
    $true )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p5(X1) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_35,axiom,(
    p5(c23) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p15(X1)
     => ( p16(X1)
      <=> p13(f17(X1)) ) ) )).

fof(formula_48,conjecture,(
    ! [X1] : 
      ( p18(X1)
     => ! [X2] : 
          ( p3(X2,f14(f17(X1)))
         => p22(f19(X1,X2),X2) ) ) )).

fof(formula_38,axiom,(
    p11(c23) )).
%------------------------------------------------------------------------------
