%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f3(A) = f3(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(A,C) )
     => p12(B,C) ) )).

fof(p12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(C,A) )
     => p12(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_7,axiom,(
    $true )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p1(X1)
        & p11(X2,X1)
        & p2(X2,f3(f4(X1))) )
     => p10(f6(f4(X1),X2),X1) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( ( p9(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p2(X2,f3(f4(X1)))
          & p11(X2,X1)
          & p10(X2,X1) ) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( ( p9(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p2(X2,f3(f4(X1)))
          & p10(X2,X1) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(X2,f3(f4(X1))) )
     => p2(f5(X1,X2),f3(f4(X1))) ) )).

fof(formula_3,axiom,(
    $true )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p1(X1)
        & p10(X2,X1)
        & p2(X2,f3(f4(X1))) )
     => p11(f6(f4(X1),X2),X1) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(X2,f3(f4(X1))) )
     => p2(f7(X1,X2),f3(f4(X1))) ) )).

fof(formula_10,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( p2(X2,f3(X1))
     => p2(f6(X1,X2),f3(X1)) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p8(X1) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p1(X1)
        & p2(X2,f3(f4(X1))) )
     => p11(f5(X1,X2),X1) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : p12(X1,X1) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p2(X2,f3(f4(X1)))
         => ( ( p10(X2,X1)
             => f7(X1,X2) = X2 )
            & ( ( p9(X1)
                & f7(X1,X2) = X2 )
             => p10(X2,X1) ) ) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p2(X2,f3(f4(X1)))
         => ( p11(X2,X1)
          <=> p10(f6(f4(X1),X2),X1) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p2(X2,f3(f4(X1)))
         => f5(X1,X2) = f6(f4(X1),f7(X1,f6(f4(X1),X2))) ) ) )).

fof(formula_11,axiom,(
    ? [X1] : p8(X1) )).

fof(formula_12,axiom,(
    ! [X1] : 
    ? [X2] : p2(X2,X1) )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( p2(X2,f3(X1))
     => f6(X1,f6(X1,X2)) = X2 ) )).

fof(formula_8,axiom,(
    $true )).

fof(formula_9,axiom,(
    $true )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p1(X1)
        & p2(X2,f3(f4(X1))) )
     => p10(f7(X1,X2),X1) ) )).

fof(formula_25,conjecture,(
    ! [X1] : 
      ( ( p9(X1)
        & p1(X1) )
     => ! [X2] : 
          ( p1(X2)
         => ! [X3] : 
              ( p2(X3,f3(f4(X1)))
             => ! [X4] : 
                  ( p2(X4,f3(f4(X2)))
                 => ( ( p11(X4,X2)
                     => f5(X2,X4) = X4 )
                    & ( f5(X1,X3) = X3
                     => p11(X3,X1) ) ) ) ) ) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f3(X2))
    <=> p12(X1,X2) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( ( p9(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p2(X2,f3(f4(X1)))
          & p11(X2,X1) ) ) )).
%------------------------------------------------------------------------------
