%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f3(A) = f3(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p12(X1)
     => ! [X2] : 
          ( p2(X2,f3(X1))
         => ( p14(X2)
            & p13(X2)
            & p12(X2) ) ) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( p2(X2,f3(X1))
     => f9(X1,f9(X1,X2)) = X2 ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p2(X2,f3(X1))
         => ( p14(X2)
            & p13(X2)
            & p12(X2)
            & p11(X2)
            & p10(X2) ) ) ) )).

fof(formula_1,conjecture,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(X2,f3(f3(f4(X1)))) )
     => ! [X3] : 
        ? [X4] : 
        ! [X5] : 
          ( p5(X5,X4)
        <=> ( p5(X5,f6(f7(f4(X1),X2),X3))
            & ? [X6,X7] : 
                ( f8(X6,X7) = X5
                & p5(X6,f7(f4(X1),X2))
                & ! [X8] : 
                    ( p2(X8,f3(f4(X1)))
                   => ( X8 = X6
                     => X7 = f9(f4(X1),X8) ) ) ) ) ) ) )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ( p2(X2,f3(f3(X1)))
     => p2(f7(X1,X2),f3(f3(X1))) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
     => ~ p5(X2,X1) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ! [X2] : 
          ( p2(X2,X1)
         => p16(X2) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p15(X1)
     => ( p14(X1)
        & p13(X1)
        & p12(X1)
        & p11(X1)
        & p10(X1) ) ) )).

fof(formula_31,axiom,(
    $true )).

fof(formula_30,axiom,(
    $true )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ( p2(X2,f3(X1))
     => p2(f9(X1,X2),f3(X1)) ) )).

fof(formula_6,axiom,(
    ? [X1] : 
      ( ~ p15(X1)
      & p14(X1)
      & p13(X1)
      & p12(X1)
      & p11(X1)
      & p10(X1) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p2(X2,f3(X1))
      & p15(X2) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ! [X2] : 
          ( p2(X2,f3(X1))
         => p14(X2) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( ~ p15(X1)
     => ? [X2] : 
          ( p2(X2,f3(X1))
          & ~ p15(X2) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p13(X1)
     => p14(X1) ) )).

fof(formula_27,axiom,(
    $true )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( ( ~ p15(X1)
        & ~ p15(X2) )
     => ~ p15(f6(X1,X2)) ) )).

fof(formula_33,axiom,(
    ! [X1] : ~ p15(f3(X1)) )).

fof(formula_34,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(X2,f3(f3(f4(X1)))) )
     => ! [X3] : 
          ( ! [X4,X5,X6] : 
              ( ( X4 = X5
                & ? [X7,X8] : 
                    ( f8(X7,X8) = X5
                    & p5(X7,f7(f4(X1),X2))
                    & ! [X9] : 
                        ( p2(X9,f3(f4(X1)))
                       => ( X9 = X7
                         => X8 = f9(f4(X1),X9) ) ) )
                & X4 = X6
                & ? [X10,X11] : 
                    ( f8(X10,X11) = X6
                    & p5(X10,f7(f4(X1),X2))
                    & ! [X12] : 
                        ( p2(X12,f3(f4(X1)))
                       => ( X12 = X10
                         => X11 = f9(f4(X1),X12) ) ) ) )
             => X5 = X6 )
         => ? [X4] : 
            ! [X5] : 
              ( p5(X5,X4)
            <=> ? [X6] : 
                  ( p5(X6,f6(f7(f4(X1),X2),X3))
                  & X6 = X5
                  & ? [X13,X14] : 
                      ( f8(X13,X14) = X5
                      & p5(X13,f7(f4(X1),X2))
                      & ! [X15] : 
                          ( p2(X15,f3(f4(X1)))
                         => ( X15 = X13
                           => X14 = f9(f4(X1),X15) ) ) ) ) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p11(X1)
     => ! [X2] : 
          ( p2(X2,X1)
         => ( p16(X2)
            & p17(X2)
            & p19(X2)
            & p18(X2) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p2(X2,X1)
         => ( p16(X2)
            & p20(X2)
            & p17(X2)
            & p19(X2)
            & p18(X2) ) ) ) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ( p2(X2,f3(f3(X1)))
     => f7(X1,f7(X1,X2)) = X2 ) )).

fof(formula_29,axiom,(
    $true )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p12(X1)
     => p13(X1) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p2(X2,f3(X1))
         => ( p14(X2)
            & p13(X2) ) ) ) )).

fof(formula_32,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X3,f3(f6(X1,X2)))
     => p21(X3) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p11(X1)
     => p12(X1) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p2(X2,X1)
         => ( p16(X2)
            & p17(X2) ) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p10(X1)
     => p11(X1) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p12(X1)
     => ! [X2] : 
          ( p2(X2,X1)
         => ( p16(X2)
            & p17(X2)
            & p18(X2) ) ) ) )).

fof(formula_25,axiom,(
    $true )).

fof(formula_24,axiom,(
    $true )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p11(X1)
     => ! [X2] : 
          ( p2(X2,f3(X1))
         => ( p14(X2)
            & p13(X2)
            & p12(X2)
            & p11(X2) ) ) ) )).
%------------------------------------------------------------------------------
