%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(A,C) = f22(B,C) ) )).

fof(f22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(C,A) = f22(C,B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(A,C) = f23(B,C) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(C,A) = f23(C,B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f25(A) = f25(B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f3(A) = f3(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p26(A) )
     => p26(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p16(X1)
     => ( p15(X1)
        & p14(X1)
        & p13(X1)
        & p12(X1)
        & p11(X1) ) ) )).

fof(formula_54,axiom,(
    ? [X1] : 
      ( p16(X1)
      & p7(X1) ) )).

fof(formula_48,axiom,(
    ! [X1,X2] : ~ p16(f23(X1,X2)) )).

fof(formula_36,axiom,(
    ! [X1,X2] : f22(X1,X2) = f23(f23(X1,X2),f25(X1)) )).

fof(formula_27,axiom,(
    $true )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p11(X1)
     => p12(X1) ) )).

fof(formula_64,axiom,(
    ! [X1,X2] : 
      ~ ( p16(X1)
        & X1 != X2
        & p16(X2) ) )).

fof(formula_49,axiom,(
    p16(c24) )).

fof(formula_1,conjecture,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(X2,f3(f3(f4(X1)))) )
     => ( ( ! [X3,X4,X5] : 
              ( ( p5(X3,X2)
                & ! [X6] : 
                    ( p2(X6,f3(f4(X1)))
                   => ( X6 = X3
                     => X4 = f6(f4(X1),X6) ) )
                & ! [X7] : 
                    ( p2(X7,f3(f4(X1)))
                   => ( X7 = X3
                     => X5 = f6(f4(X1),X7) ) ) )
             => X4 = X5 )
          & ! [X3] : 
              ~ ( p5(X3,X2)
                & ! [X4] : 
                    ~ ! [X8] : 
                        ( p2(X8,f3(f4(X1)))
                       => ( X8 = X3
                         => X4 = f6(f4(X1),X8) ) ) ) )
       => ? [X3] : 
            ( p7(X3)
            & p8(X3)
            & f9(X3) = X2
            & ! [X4] : 
                ( p5(X4,X2)
               => ! [X9] : 
                    ( p2(X9,f3(f4(X1)))
                   => ( X9 = X4
                     => f10(X3,X4) = f6(f4(X1),X9) ) ) ) ) ) ) )).

fof(formula_55,axiom,(
    ? [X1] : p16(X1) )).

fof(formula_51,axiom,(
    ! [X1] : 
      ( ( ~ p16(X1)
        & p7(X1) )
     => ~ p16(f9(X1)) ) )).

fof(formula_53,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p8(X1) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p11(X1)
     => ! [X2] : 
          ( p2(X2,X1)
         => ( p17(X2)
            & p21(X2)
            & p18(X2)
            & p20(X2)
            & p19(X2) ) ) ) )).

fof(formula_47,axiom,(
    ! [X1] : ~ p16(f25(X1)) )).

fof(formula_39,axiom,(
    $true )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p16(X1)
     => p8(X1) ) )).

fof(formula_22,axiom,(
    $true )).

fof(formula_56,axiom,(
    ? [X1] : 
      ( ~ p16(X1)
      & p7(X1) ) )).

fof(formula_29,axiom,(
    ! [X1] : ~ p16(f3(X1)) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p14(X1)
     => p15(X1) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ! [X2] : 
          ( p2(X2,f3(X1))
         => ( p15(X2)
            & p14(X2) ) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ! [X2] : 
          ( p2(X2,X1)
         => ( p17(X2)
            & p18(X2) ) ) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( p16(X1)
     => p7(X1) ) )).

fof(formula_57,axiom,(
    ? [X1] : ~ p16(X1) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p12(X1)
     => ! [X2] : 
          ( p2(X2,X1)
         => ( p17(X2)
            & p18(X2)
            & p20(X2)
            & p19(X2) ) ) ) )).

fof(formula_43,axiom,(
    p7(c24) )).

fof(formula_62,axiom,(
    ! [X1] : 
      ( p16(X1)
     => X1 = c24 ) )).

fof(formula_42,axiom,(
    p16(c24) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ! [X2] : 
          ( X2 = f9(X1)
        <=> ! [X3] : 
              ( p5(X3,X2)
            <=> ? [X4] : p5(f22(X3,X4),X1) ) ) ) )).

fof(formula_50,axiom,(
    p7(c24) )).

fof(formula_23,axiom,(
    $true )).

fof(formula_44,axiom,(
    p26(c24) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p2(X2,X1)
         => ( p17(X2)
            & p18(X2)
            & p19(X2) ) ) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( ( p7(X1)
        & p8(X1) )
     => ! [X2,X3] : 
          ( ( p5(X2,f9(X1))
           => ( X3 = f10(X1,X2)
            <=> p5(f22(X2,X3),X1) ) )
          & ( ~ p5(X2,f9(X1))
           => ( X3 = f10(X1,X2)
            <=> X3 = c24 ) ) ) ) )).

fof(formula_24,axiom,(
    $true )).

fof(formula_28,axiom,(
    $true )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p12(X1)
     => ! [X2] : 
          ( p2(X2,f3(X1))
         => ( p15(X2)
            & p14(X2)
            & p13(X2)
            & p12(X2) ) ) ) )).

fof(formula_26,axiom,(
    $true )).

fof(formula_38,axiom,(
    $true )).

fof(formula_19,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p2(X2,f3(X1))
      & p16(X2) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p13(X1)
     => p14(X1) ) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( p2(X2,f3(X1))
     => p2(f6(X1,X2),f3(X1)) ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
      ( p2(X2,f3(X1))
     => f6(X1,f6(X1,X2)) = X2 ) )).

fof(formula_41,axiom,(
    ! [X1] : 
    ? [X2] : p2(X2,X1) )).

fof(formula_6,axiom,(
    ? [X1] : 
      ( ~ p16(X1)
      & p15(X1)
      & p14(X1)
      & p13(X1)
      & p12(X1)
      & p11(X1) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p15(X1)
     => ! [X2] : 
          ( p2(X2,X1)
         => p17(X2) ) ) )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( p16(X1)
     => ( p16(f9(X1))
        & p7(f9(X1)) ) ) )).

fof(formula_61,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p5(X3,X1)
        <=> p5(X3,X2) )
     => X1 = X2 ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : ~ p16(f22(X1,X2)) )).

fof(formula_60,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ( p16(X2)
        | p5(X1,X2) ) ) )).

fof(formula_45,axiom,(
    p16(c24) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p11(X1)
     => ! [X2] : 
          ( p2(X2,f3(X1))
         => ( p15(X2)
            & p14(X2)
            & p13(X2)
            & p12(X2)
            & p11(X2) ) ) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p15(X1)
     => ! [X2] : 
          ( p2(X2,f3(X1))
         => p15(X2) ) ) )).

fof(formula_40,axiom,(
    $true )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( ~ p16(X1)
     => ? [X2] : 
          ( p2(X2,f3(X1))
          & ~ p16(X2) ) ) )).

fof(formula_63,axiom,(
    ! [X1,X2] : 
      ~ ( p5(X1,X2)
        & p16(X2) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p2(X2,f3(X1))
         => ( p15(X2)
            & p14(X2)
            & p13(X2) ) ) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
     => ~ p5(X2,X1) ) )).

fof(formula_59,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
     => p2(X1,X2) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p12(X1)
     => p13(X1) ) )).

fof(formula_58,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p26(X1) ) )).

fof(formula_37,axiom,(
    $true )).

fof(formula_30,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(X2,f3(f3(f4(X1)))) )
     => ( ! [X3,X4,X5] : 
            ( ( p5(X3,X2)
              & ! [X6] : 
                  ( p2(X6,f3(f4(X1)))
                 => ( X6 = X3
                   => X4 = f6(f4(X1),X6) ) )
              & p5(X3,X2)
              & ! [X7] : 
                  ( p2(X7,f3(f4(X1)))
                 => ( X7 = X3
                   => X5 = f6(f4(X1),X7) ) ) )
           => X4 = X5 )
       => ? [X3] : 
            ( p7(X3)
            & p8(X3)
            & ! [X4,X5] : 
                ( p5(f22(X4,X5),X3)
              <=> ( p5(X4,X2)
                  & p5(X4,X2)
                  & ! [X8] : 
                      ( p2(X8,f3(f4(X1)))
                     => ( X8 = X4
                       => X5 = f6(f4(X1),X8) ) ) ) ) ) ) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : f23(X1,X2) = f23(X2,X1) )).
%------------------------------------------------------------------------------
