%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f13(A) = f13(B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f3(A) = f3(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(A,C,D) )
     => p14(B,C,D) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(C,A,D) )
     => p14(C,B,D) ) )).

fof(p14_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(C,D,A) )
     => p14(C,D,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(A,C,D) )
     => p16(B,C,D) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,A,D) )
     => p16(C,B,D) ) )).

fof(p16_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,D,A) )
     => p16(C,D,B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(A,C,D) )
     => p17(B,C,D) ) )).

fof(p17_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(C,A,D) )
     => p17(C,B,D) ) )).

fof(p17_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(C,D,A) )
     => p17(C,D,B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(A,C) )
     => p20(B,C) ) )).

fof(p20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(C,A) )
     => p20(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p8(X1)
      <=> p9(f10(X1),f11(X1)) ) ) )).

fof(formula_30,axiom,(
    ! [X1,X2] : 
      ( ( ~ p18(X1)
        & ~ p18(X2) )
     => ~ p18(f4(X1,X2)) ) )).

fof(formula_17,axiom,(
    $true )).

fof(formula_43,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p2(X2,f3(X3))
        & p18(X3) ) )).

fof(formula_16,axiom,(
    $true )).

fof(formula_42,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p2(X2,f3(X3)) )
     => p2(X1,X3) ) )).

fof(formula_33,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p2(X2,f3(X1))
      & p18(X2) ) )).

fof(formula_15,axiom,(
    $true )).

fof(formula_18,axiom,(
    ! [X1,X2,X3] : 
      ( p16(X3,X1,X2)
     => p2(X3,f3(f4(X1,X2))) ) )).

fof(formula_2,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X3,f3(f4(X1,X2)))
     => p5(X3) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p2(X1,X2) ) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p16(f10(X1),f11(X1),f11(X1)) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ~ ( p18(X1)
        & X1 != X2
        & p18(X2) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p15(X1) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
    ? [X3] : p17(X3,X1,X2) )).

fof(formula_26,axiom,(
    ! [X1] : ~ p18(f3(X1)) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ( p18(X2)
        | p1(X1,X2) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
    ? [X2] : p2(X2,X1) )).

fof(formula_3,axiom,(
    ! [X1,X2] : f6(X1,X2) = f6(X2,X1) )).

fof(formula_28,axiom,(
    ! [X1] : ~ p18(f13(X1)) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ! [X2] : 
          ( p2(X2,f11(X1))
         => ! [X3] : 
              ( p2(X3,f11(X1))
             => ( p14(X1,X2,X3)
              <=> p1(f12(X2,X3),f10(X1)) ) ) ) ) )).

fof(formula_8,axiom,(
    $true )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f3(X2))
    <=> p20(X1,X2) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : p20(X1,X1) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
    ? [X3] : p16(X3,X1,X2) )).

fof(formula_27,axiom,(
    p18(c19) )).

fof(formula_37,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p1(f12(X1,X2),f4(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_35,axiom,(
    ! [X1,X2,X3] : 
      ( p16(X3,X1,X2)
    <=> p17(X3,X1,X2) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : ~ p18(f6(X1,X2)) )).

fof(formula_10,axiom,(
    $true )).

fof(formula_21,axiom,(
    ? [X1] : p7(X1) )).

fof(formula_20,axiom,(
    $true )).

fof(formula_45,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p18(X2) ) )).

fof(formula_32,axiom,(
    ? [X1] : p18(X1) )).

fof(formula_9,axiom,(
    $true )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p9(X1,X2)
        <=> ! [X3,X4,X5] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(X5,X2)
                & p1(f12(X3,X4),X1)
                & p1(f12(X4,X5),X1) )
             => p1(f12(X3,X5),X1) ) ) ) )).

fof(formula_44,axiom,(
    ! [X1] : 
      ( p18(X1)
     => X1 = c19 ) )).

fof(formula_22,axiom,(
    ? [X1] : p15(X1) )).

fof(formula_34,axiom,(
    ? [X1] : ~ p18(X1) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( ~ p18(X1)
     => ? [X2] : 
          ( p2(X2,f3(X1))
          & ~ p18(X2) ) ) )).

fof(formula_11,axiom,(
    $true )).

fof(formula_39,conjecture,(
    ! [X1] : 
      ( ( p8(X1)
        & p7(X1) )
     => ! [X2] : 
          ( p2(X2,f11(X1))
         => ! [X3] : 
              ( p2(X3,f11(X1))
             => ! [X4] : 
                  ( p2(X4,f11(X1))
                 => ( ( p14(X1,X2,X3)
                      & p14(X1,X3,X4) )
                   => p14(X1,X2,X4) ) ) ) ) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f12(X1,X2) = f6(f6(X1,X2),f13(X1)) )).
%------------------------------------------------------------------------------
