%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(A,C) = f13(B,C) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(C,A) = f13(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(A,C) = f14(B,C) ) )).

fof(f14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(C,A) = f14(C,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f15(A,C,D) = f15(B,C,D) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f15(C,A,D) = f15(C,B,D) ) )).

fof(f15_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f15(C,D,A) = f15(C,D,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f16(A,C,D) = f16(B,C,D) ) )).

fof(f16_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f16(C,A,D) = f16(C,B,D) ) )).

fof(f16_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f16(C,D,A) = f16(C,D,B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f18(A,C,D) = f18(B,C,D) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f18(C,A,D) = f18(C,B,D) ) )).

fof(f18_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f18(C,D,A) = f18(C,D,B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(A,C) = f19(B,C) ) )).

fof(f19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(C,A) = f19(C,B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(A,C) = f20(B,C) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(C,A) = f20(C,B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f21(A) = f21(B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f24(A,C,D) = f24(B,C,D) ) )).

fof(f24_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f24(C,A,D) = f24(C,B,D) ) )).

fof(f24_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f24(C,D,A) = f24(C,D,B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f25(A,C,D,E,F,G) = f25(B,C,D,E,F,G) ) )).

fof(f25_substitution_2,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f25(C,A,D,E,F,G) = f25(C,B,D,E,F,G) ) )).

fof(f25_substitution_3,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f25(C,D,A,E,F,G) = f25(C,D,B,E,F,G) ) )).

fof(f25_substitution_4,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f25(C,D,E,A,F,G) = f25(C,D,E,B,F,G) ) )).

fof(f25_substitution_5,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f25(C,D,E,F,A,G) = f25(C,D,E,F,B,G) ) )).

fof(f25_substitution_6,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f25(C,D,E,F,G,A) = f25(C,D,E,F,G,B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f27(A,C,D) = f27(B,C,D) ) )).

fof(f27_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f27(C,A,D) = f27(C,B,D) ) )).

fof(f27_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f27(C,D,A) = f27(C,D,B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f28(A) = f28(B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f3(A,C,D) = f3(B,C,D) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f3(C,A,D) = f3(C,B,D) ) )).

fof(f3_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f3(C,D,A) = f3(C,D,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p23(A) )
     => p23(B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p26(A) )
     => p26(B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p29(A,C,D) )
     => p29(B,C,D) ) )).

fof(p29_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p29(C,A,D) )
     => p29(C,B,D) ) )).

fof(p29_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p29(C,D,A) )
     => p29(C,D,B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p30(A,C,D) )
     => p30(B,C,D) ) )).

fof(p30_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p30(C,A,D) )
     => p30(C,B,D) ) )).

fof(p30_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p30(C,D,A) )
     => p30(C,D,B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p31(A) )
     => p31(B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p32(A) )
     => p32(B) ) )).

fof(p33_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p33(A,C,D) )
     => p33(B,C,D) ) )).

fof(p33_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p33(C,A,D) )
     => p33(C,B,D) ) )).

fof(p33_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p33(C,D,A) )
     => p33(C,D,B) ) )).

fof(p35_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p35(A,C) )
     => p35(B,C) ) )).

fof(p35_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p35(C,A) )
     => p35(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(formula_56,axiom,(
    ! [X1,X2] : 
      ( ~ p31(X1)
     => ~ p31(f13(X2,X1)) ) )).

fof(formula_49,axiom,(
    ! [X1] : 
      ( ( ~ p22(X1)
        & p32(X1) )
     => ~ p31(f4(X1)) ) )).

fof(formula_23,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p22(X1)
        & p26(X1)
        & p8(X2,f4(X1))
        & p8(X3,f4(X1)) )
     => p8(f27(X1,X2,X3),f4(X1)) ) )).

fof(formula_52,axiom,(
    ! [X1] : ~ p31(f28(X1)) )).

fof(formula_36,axiom,(
    $true )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( p23(X1)
     => p32(X1) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f13(X1,X2) = f13(X2,X1) )).

fof(formula_75,axiom,(
    ! [X1,X2] : p35(X1,X1) )).

fof(formula_53,axiom,(
    ! [X1,X2] : 
      ( ~ p31(X1)
     => ~ p31(f13(X1,X2)) ) )).

fof(formula_37,axiom,(
    ! [X1,X2,X3] : 
      ( p33(X3,X1,X2)
     => p8(X3,f9(f10(X1,X2))) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p26(X1)
     => p32(X1) ) )).

fof(formula_16,axiom,(
    $true )).

fof(formula_55,axiom,(
    ! [X1,X2] : ~ p31(f12(X1,X2)) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p23(X1)
     => ( p17(f5(X1))
        & p29(f5(X1),f10(f4(X1),f4(X1)),f4(X1))
        & p33(f5(X1),f10(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : f14(X1,X2) = f14(X2,X1) )).

fof(formula_39,axiom,(
    $true )).

fof(formula_66,axiom,(
    ? [X1] : ~ p31(X1) )).

fof(formula_25,axiom,(
    $true )).

fof(formula_27,axiom,(
    $true )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( ( p11(X1)
        & p17(X1) )
     => ! [X2,X3] : f18(X1,X2,X3) = f19(X1,f20(X2,X3)) ) )).

fof(formula_45,axiom,(
    ! [X1,X2] : 
    ? [X3] : p30(X3,X1,X2) )).

fof(formula_42,axiom,(
    ? [X1] : p32(X1) )).

fof(formula_61,axiom,(
    ! [X1,X2,X3] : 
      ( ( p8(X2,f9(X1))
        & p8(X3,f9(X1)) )
     => f15(X1,X2,X2) = X2 ) )).

fof(formula_82,axiom,(
    ! [X1,X2,X3] : 
      ( ( p7(X1,X2)
        & p8(X2,f9(X3)) )
     => p8(X1,X3) ) )).

fof(formula_78,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
     => p8(X1,X2) ) )).

fof(formula_44,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_71,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p31(X1)
        & ~ p31(X2)
        & p17(X4)
        & p29(X4,f10(X1,X2),X3)
        & p30(X4,f10(X1,X2),X3)
        & p8(X5,X1)
        & p8(X6,X2) )
     => f25(X1,X2,X3,X4,X5,X6) = f18(X4,X5,X6) ) )).

fof(formula_86,axiom,(
    ! [X1,X2] : 
      ~ ( p31(X1)
        & X1 != X2
        & p31(X2) ) )).

fof(formula_8,axiom,(
    ! [X1,X2,X3] : 
      ( ( p8(X2,f9(X1))
        & p8(X3,f9(X1)) )
     => f16(X1,X2,X3) = f16(X1,X3,X2) ) )).

fof(formula_54,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p31(X1)
        & p17(X2)
        & p29(X2,f10(X1,X1),X1)
        & p30(X2,f10(X1,X1),X1)
        & p17(X3)
        & p29(X3,f10(X1,X1),X1)
        & p30(X3,f10(X1,X1),X1) )
     => ( ~ p22(f3(X1,X2,X3))
        & p2(f3(X1,X2,X3)) ) ) )).

fof(formula_47,axiom,(
    ! [X1,X2] : 
    ? [X3] : p33(X3,X1,X2) )).

fof(formula_68,axiom,(
    ? [X1] : 
      ( p32(X1)
      & ~ p22(X1) ) )).

fof(formula_57,axiom,(
    ! [X1,X2] : 
      ( ( ~ p31(X1)
        & ~ p31(X2) )
     => ~ p31(f10(X1,X2)) ) )).

fof(formula_62,axiom,(
    ! [X1,X2,X3] : 
      ( ( p8(X2,f9(X1))
        & p8(X3,f9(X1)) )
     => f16(X1,X2,X2) = X2 ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p2(f21(X1))
      & p1(f21(X1)) ) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3] : 
      ( ( p17(X2)
        & p29(X2,f10(X1,X1),X1)
        & p30(X2,f10(X1,X1),X1)
        & p17(X3)
        & p29(X3,f10(X1,X1),X1)
        & p30(X3,f10(X1,X1),X1) )
     => ( p2(f3(X1,X2,X3))
        & p1(f3(X1,X2,X3)) ) ) )).

fof(formula_32,axiom,(
    $true )).

fof(formula_72,axiom,(
    ! [X1,X2,X3] : 
      ( ( p8(X2,f9(X1))
        & p8(X3,f9(X1)) )
     => f15(X1,X2,X3) = f13(X2,X3) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( ( ~ p22(X1)
        & p26(X1) )
     => ! [X2] : 
          ( p8(X2,f4(X1))
         => ! [X3] : 
              ( p8(X3,f4(X1))
             => f27(X1,X2,X3) = f25(f4(X1),f4(X1),f4(X1),f6(X1),X2,X3) ) ) ) )).

fof(formula_19,axiom,(
    $true )).

fof(formula_81,axiom,(
    ! [X1,X2] : 
      ( p8(X1,f9(X2))
    <=> p35(X1,X2) ) )).

fof(formula_15,axiom,(
    $true )).

fof(formula_80,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
     => ( p31(X2)
        | p7(X1,X2) ) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p26(X1)
        & p23(X1) ) ) )).

fof(formula_63,axiom,(
    ! [X1] : 
      ( ~ p31(X1)
     => ? [X2] : 
          ( p8(X2,f9(X1))
          & ~ p31(X2) ) ) )).

fof(formula_67,axiom,(
    ? [X1] : 
      ( p1(X1)
      & p2(X1) ) )).

fof(formula_58,axiom,(
    ! [X1,X2,X3] : 
      ( ( p17(X2)
        & p29(X2,f10(X1,X1),X1)
        & p30(X2,f10(X1,X1),X1)
        & p17(X3)
        & p29(X3,f10(X1,X1),X1)
        & p30(X3,f10(X1,X1),X1) )
     => ! [X4,X5,X6] : 
          ( f3(X1,X2,X3) = f3(X4,X5,X6)
         => ( X1 = X4
            & X2 = X5
            & X3 = X6 ) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
     => ~ p7(X2,X1) ) )).

fof(formula_51,axiom,(
    p31(c34) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( ( p2(X2)
        & p1(X2) )
     => ( X2 = f21(X1)
      <=> ( f4(X2) = f9(X1)
          & ! [X3] : 
              ( p8(X3,f9(X1))
             => ! [X4] : 
                  ( p8(X4,f9(X1))
                 => ( f18(f5(X2),X3,X4) = f15(X1,X3,X4)
                    & f18(f6(X2),X3,X4) = f16(X1,X3,X4) ) ) ) ) ) ) )).

fof(formula_60,axiom,(
    ! [X1,X2] : f14(X1,X1) = X1 )).

fof(formula_18,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p22(X1)
        & p23(X1)
        & p8(X2,f4(X1))
        & p8(X3,f4(X1)) )
     => p8(f24(X1,X2,X3),f4(X1)) ) )).

fof(formula_30,axiom,(
    ! [X1,X2,X3] : 
      ( ( p8(X2,f9(X1))
        & p8(X3,f9(X1)) )
     => p8(f16(X1,X2,X3),f9(X1)) ) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3] : 
      ( ( p8(X2,f9(X1))
        & p8(X3,f9(X1)) )
     => f15(X1,X2,X3) = f15(X1,X3,X2) ) )).

fof(formula_69,axiom,(
    ! [X1] : 
      ( ( ~ p22(X1)
        & p32(X1) )
     => ? [X2] : 
          ( p8(X2,f9(f4(X1)))
          & ~ p31(X2) ) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p2(X1)
       => X1 = f3(f4(X1),f5(X1),f6(X1)) ) ) )).

fof(formula_21,axiom,(
    $true )).

fof(formula_76,axiom,(
    ! [X1] : f13(X1,c34) = X1 )).

fof(formula_48,axiom,(
    ! [X1] : 
      ( ~ p22(f21(X1))
      & p2(f21(X1)) ) )).

fof(formula_28,axiom,(
    ! [X1,X2,X3] : 
      ( ( p8(X2,f9(X1))
        & p8(X3,f9(X1)) )
     => p8(f15(X1,X2,X3),f9(X1)) ) )).

fof(formula_79,axiom,(
    ! [X1] : f14(X1,c34) = c34 )).

fof(formula_35,axiom,(
    $true )).

fof(formula_22,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p31(X1)
        & ~ p31(X2)
        & p17(X4)
        & p29(X4,f10(X1,X2),X3)
        & p30(X4,f10(X1,X2),X3)
        & p8(X5,X1)
        & p8(X6,X2) )
     => p8(f25(X1,X2,X3,X4,X5,X6),X3) ) )).

fof(formula_38,axiom,(
    ! [X1] : 
      ( p26(X1)
     => ( p17(f6(X1))
        & p29(f6(X1),f10(f4(X1),f4(X1)),f4(X1))
        & p33(f6(X1),f10(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( ( ~ p22(X1)
        & p23(X1) )
     => ! [X2] : 
          ( p8(X2,f4(X1))
         => ! [X3] : 
              ( p8(X3,f4(X1))
             => f24(X1,X2,X3) = f25(f4(X1),f4(X1),f4(X1),f5(X1),X2,X3) ) ) ) )).

fof(formula_84,axiom,(
    ! [X1] : 
      ( p31(X1)
     => X1 = c34 ) )).

fof(formula_24,axiom,(
    $true )).

fof(formula_20,axiom,(
    $true )).

fof(formula_46,axiom,(
    ! [X1] : 
    ? [X2] : p8(X2,X1) )).

fof(formula_70,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p22(X1)
      & p2(X1) ) )).

fof(formula_3,axiom,(
    ! [X1,X2,X3] : 
      ( p8(X3,f9(f10(X1,X2)))
     => p11(X3) ) )).

fof(formula_77,conjecture,(
    ! [X1,X2] : 
      ( p8(X2,f4(f21(X1)))
     => ! [X3] : 
          ( p8(X3,f4(f21(X1)))
         => ( f24(f21(X1),X2,X3) = f13(X2,X3)
            & f27(f21(X1),X2,X3) = f14(X2,X3) ) ) ) )).

fof(formula_43,axiom,(
    ? [X1] : p23(X1) )).

fof(formula_83,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p7(X1,X2)
        & p8(X2,f9(X3))
        & p31(X3) ) )).

fof(formula_50,axiom,(
    ! [X1] : ~ p31(f9(X1)) )).

fof(formula_26,axiom,(
    $true )).

fof(formula_65,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p8(X2,f9(X1))
      & p31(X2) ) )).

fof(formula_73,axiom,(
    ! [X1,X2,X3] : 
      ( ( p8(X2,f9(X1))
        & p8(X3,f9(X1)) )
     => f16(X1,X2,X3) = f14(X2,X3) ) )).

fof(formula_64,axiom,(
    ? [X1] : p31(X1) )).

fof(formula_29,axiom,(
    $true )).

fof(formula_13,axiom,(
    ! [X1,X2] : f20(X1,X2) = f12(f12(X1,X2),f28(X1)) )).

fof(formula_85,axiom,(
    ! [X1,X2] : 
      ~ ( p7(X1,X2)
        & p31(X2) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : f12(X1,X2) = f12(X2,X1) )).

fof(formula_59,axiom,(
    ! [X1,X2] : f13(X1,X1) = X1 )).

fof(formula_74,axiom,(
    ! [X1,X2,X3] : 
      ( p33(X3,X1,X2)
    <=> p30(X3,X1,X2) ) )).

fof(formula_41,axiom,(
    ? [X1] : p26(X1) )).
%------------------------------------------------------------------------------
