%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(A,C) = f13(B,C) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(C,A) = f13(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(A,C) = f14(B,C) ) )).

fof(f14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(C,A) = f14(C,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f16(A,C,D) = f16(B,C,D) ) )).

fof(f16_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f16(C,A,D) = f16(C,B,D) ) )).

fof(f16_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f16(C,D,A) = f16(C,D,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f21(A,C,D) = f21(B,C,D) ) )).

fof(f21_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f21(C,A,D) = f21(C,B,D) ) )).

fof(f21_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f21(C,D,A) = f21(C,D,B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f22(A,C,D,E,F,G) = f22(B,C,D,E,F,G) ) )).

fof(f22_substitution_2,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f22(C,A,D,E,F,G) = f22(C,B,D,E,F,G) ) )).

fof(f22_substitution_3,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f22(C,D,A,E,F,G) = f22(C,D,B,E,F,G) ) )).

fof(f22_substitution_4,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f22(C,D,E,A,F,G) = f22(C,D,E,B,F,G) ) )).

fof(f22_substitution_5,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f22(C,D,E,F,A,G) = f22(C,D,E,F,B,G) ) )).

fof(f22_substitution_6,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f22(C,D,E,F,G,A) = f22(C,D,E,F,G,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f24(A,C,D) = f24(B,C,D) ) )).

fof(f24_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f24(C,A,D) = f24(C,B,D) ) )).

fof(f24_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f24(C,D,A) = f24(C,D,B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f26(A) = f26(B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f29(A) = f29(B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f3(A,C,D) = f3(B,C,D) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f3(C,A,D) = f3(C,B,D) ) )).

fof(f3_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f3(C,D,A) = f3(C,D,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p23(A) )
     => p23(B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p25(A,C,D) )
     => p25(B,C,D) ) )).

fof(p25_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p25(C,A,D) )
     => p25(C,B,D) ) )).

fof(p25_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p25(C,D,A) )
     => p25(C,D,B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p27(A,C,D) )
     => p27(B,C,D) ) )).

fof(p27_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p27(C,A,D) )
     => p27(C,B,D) ) )).

fof(p27_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p27(C,D,A) )
     => p27(C,D,B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p28(A,C,D) )
     => p28(B,C,D) ) )).

fof(p28_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p28(C,A,D) )
     => p28(C,B,D) ) )).

fof(p28_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p28(C,D,A) )
     => p28(C,D,B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p30(A) )
     => p30(B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p31(A) )
     => p31(B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p32(A,C,D) )
     => p32(B,C,D) ) )).

fof(p32_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p32(C,A,D) )
     => p32(C,B,D) ) )).

fof(p32_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p32(C,D,A) )
     => p32(C,D,B) ) )).

fof(p34_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p34(A,C) )
     => p34(B,C) ) )).

fof(p34_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p34(C,A) )
     => p34(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(formula_61,axiom,(
    ? [X1] : 
      ( p1(X1)
      & p2(X1) ) )).

fof(formula_68,axiom,(
    ! [X1,X2] : 
      ( p34(X1,X2)
     => f13(X1,X2) = X2 ) )).

fof(formula_67,axiom,(
    ! [X1,X2] : p34(X1,X1) )).

fof(formula_81,axiom,(
    ! [X1,X2] : 
      ~ ( p30(X1)
        & X1 != X2
        & p30(X2) ) )).

fof(formula_23,axiom,(
    $true )).

fof(formula_78,axiom,(
    ! [X1] : 
      ( p30(X1)
     => X1 = c33 ) )).

fof(formula_45,axiom,(
    ! [X1] : 
      ( ( ~ p19(X1)
        & p31(X1) )
     => ~ p30(f4(X1)) ) )).

fof(formula_18,axiom,(
    $true )).

fof(formula_32,axiom,(
    $true )).

fof(formula_42,axiom,(
    ! [X1] : 
    ? [X2] : p8(X2,X1) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f13(X1,X2) = f13(X2,X1) )).

fof(formula_19,axiom,(
    $true )).

fof(formula_24,axiom,(
    $true )).

fof(formula_6,axiom,(
    ! [X1,X2] : f14(X1,X2) = f14(X2,X1) )).

fof(formula_33,axiom,(
    ! [X1,X2,X3] : 
      ( p32(X3,X1,X2)
     => p8(X3,f9(f10(X1,X2))) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p2(f29(X1))
      & p1(f29(X1)) ) )).

fof(formula_62,axiom,(
    ? [X1] : 
      ( p31(X1)
      & ~ p19(X1) ) )).

fof(formula_44,axiom,(
    ! [X1] : 
      ( ~ p19(f29(X1))
      & p2(f29(X1)) ) )).

fof(formula_31,axiom,(
    $true )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( ( ~ p19(X1)
        & p23(X1) )
     => ! [X2] : 
          ( p8(X2,f4(X1))
         => ! [X3] : 
              ( p8(X3,f4(X1))
             => f24(X1,X2,X3) = f22(f4(X1),f4(X1),f4(X1),f6(X1),X2,X3) ) ) ) )).

fof(formula_72,axiom,(
    ! [X1] : f14(X1,c33) = c33 )).

fof(formula_38,axiom,(
    ? [X1] : p31(X1) )).

fof(formula_28,axiom,(
    $true )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( ( ~ p19(X1)
        & p20(X1) )
     => ! [X2] : 
          ( p8(X2,f4(X1))
         => ! [X3] : 
              ( p8(X3,f4(X1))
             => f21(X1,X2,X3) = f22(f4(X1),f4(X1),f4(X1),f5(X1),X2,X3) ) ) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p23(X1)
     => p31(X1) ) )).

fof(formula_22,axiom,(
    $true )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p20(X1)
     => ( p15(f5(X1))
        & p27(f5(X1),f10(f4(X1),f4(X1)),f4(X1))
        & p32(f5(X1),f10(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_77,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p7(X1,X2)
        & p8(X2,f9(X3))
        & p30(X3) ) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( ( p15(X2)
        & p27(X2,f10(X1,X1),X1)
        & p28(X2,f10(X1,X1),X1)
        & p15(X3)
        & p27(X3,f10(X1,X1),X1)
        & p28(X3,f10(X1,X1),X1) )
     => ( p2(f3(X1,X2,X3))
        & p1(f3(X1,X2,X3)) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ( p11(X1)
        & p15(X1) )
     => ! [X2,X3] : f16(X1,X2,X3) = f17(X1,f18(X2,X3)) ) )).

fof(formula_54,axiom,(
    ! [X1,X2,X3] : 
      ( ( p15(X2)
        & p27(X2,f10(X1,X1),X1)
        & p28(X2,f10(X1,X1),X1)
        & p15(X3)
        & p27(X3,f10(X1,X1),X1)
        & p28(X3,f10(X1,X1),X1) )
     => ! [X4,X5,X6] : 
          ( f3(X1,X2,X3) = f3(X4,X5,X6)
         => ( X1 = X4
            & X2 = X5
            & X3 = X6 ) ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : f12(X1,X2) = f12(X2,X1) )).

fof(formula_65,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p30(X1)
        & ~ p30(X2)
        & p15(X4)
        & p27(X4,f10(X1,X2),X3)
        & p28(X4,f10(X1,X2),X3)
        & p8(X5,X1)
        & p8(X6,X2) )
     => f22(X1,X2,X3,X4,X5,X6) = f16(X4,X5,X6) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p20(X1)
     => p31(X1) ) )).

fof(formula_48,axiom,(
    ! [X1] : ~ p30(f26(X1)) )).

fof(formula_3,axiom,(
    ! [X1,X2,X3] : 
      ( p8(X3,f9(f10(X1,X2)))
     => p11(X3) ) )).

fof(formula_46,axiom,(
    ! [X1] : ~ p30(f9(X1)) )).

fof(formula_50,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p30(X1)
        & p15(X2)
        & p27(X2,f10(X1,X1),X1)
        & p28(X2,f10(X1,X1),X1)
        & p15(X3)
        & p27(X3,f10(X1,X1),X1)
        & p28(X3,f10(X1,X1),X1) )
     => ( ~ p19(f3(X1,X2,X3))
        & p2(f3(X1,X2,X3)) ) ) )).

fof(formula_52,axiom,(
    ! [X1,X2] : 
      ( ~ p30(X1)
     => ~ p30(f13(X2,X1)) ) )).

fof(formula_58,axiom,(
    ? [X1] : p30(X1) )).

fof(formula_56,axiom,(
    ! [X1,X2] : f14(X1,X1) = X1 )).

fof(formula_57,axiom,(
    ! [X1] : 
      ( ~ p30(X1)
     => ? [X2] : 
          ( p8(X2,f9(X1))
          & ~ p30(X2) ) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p23(X1)
     => ( p15(f6(X1))
        & p27(f6(X1),f10(f4(X1),f4(X1)),f4(X1))
        & p32(f6(X1),f10(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_66,axiom,(
    ! [X1,X2,X3] : 
      ( p32(X3,X1,X2)
    <=> p28(X3,X1,X2) ) )).

fof(formula_21,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p19(X1)
        & p23(X1)
        & p8(X2,f4(X1))
        & p8(X3,f4(X1)) )
     => p8(f24(X1,X2,X3),f4(X1)) ) )).

fof(formula_53,axiom,(
    ! [X1,X2] : 
      ( ( ~ p30(X1)
        & ~ p30(X2) )
     => ~ p30(f10(X1,X2)) ) )).

fof(formula_49,axiom,(
    ! [X1,X2] : 
      ( ~ p30(X1)
     => ~ p30(f13(X1,X2)) ) )).

fof(formula_37,axiom,(
    ? [X1] : p23(X1) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p2(X1)
       => X1 = f3(f4(X1),f5(X1),f6(X1)) ) ) )).

fof(formula_64,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p19(X1)
      & p2(X1) ) )).

fof(formula_25,axiom,(
    $true )).

fof(formula_14,axiom,(
    $true )).

fof(formula_13,axiom,(
    $true )).

fof(formula_16,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p19(X1)
        & p20(X1)
        & p8(X2,f4(X1))
        & p8(X3,f4(X1)) )
     => p8(f21(X1,X2,X3),f4(X1)) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p23(X1)
        & p20(X1) ) ) )).

fof(formula_60,axiom,(
    ? [X1] : ~ p30(X1) )).

fof(formula_39,axiom,(
    ? [X1] : p20(X1) )).

fof(formula_70,axiom,(
    ! [X1,X2] : 
      ( p8(X2,f4(f29(X1)))
     => ! [X3] : 
          ( p8(X3,f4(f29(X1)))
         => ( f21(f29(X1),X2,X3) = f13(X2,X3)
            & f24(f29(X1),X2,X3) = f14(X2,X3) ) ) ) )).

fof(formula_76,axiom,(
    ! [X1,X2,X3] : 
      ( ( p7(X1,X2)
        & p8(X2,f9(X3)) )
     => p8(X1,X3) ) )).

fof(formula_40,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_71,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
     => p8(X1,X2) ) )).

fof(formula_79,axiom,(
    ! [X1,X2] : 
      ~ ( p7(X1,X2)
        & p30(X2) ) )).

fof(formula_59,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p8(X2,f9(X1))
      & p30(X2) ) )).

fof(formula_63,axiom,(
    ! [X1] : 
      ( ( ~ p19(X1)
        & p31(X1) )
     => ? [X2] : 
          ( p8(X2,f9(f4(X1)))
          & ~ p30(X2) ) ) )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
    ? [X3] : p28(X3,X1,X2) )).

fof(formula_51,axiom,(
    ! [X1,X2] : ~ p30(f12(X1,X2)) )).

fof(formula_74,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
     => ( p30(X2)
        | p7(X1,X2) ) ) )).

fof(formula_20,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p30(X1)
        & ~ p30(X2)
        & p15(X4)
        & p27(X4,f10(X1,X2),X3)
        & p28(X4,f10(X1,X2),X3)
        & p8(X5,X1)
        & p8(X6,X2) )
     => p8(f22(X1,X2,X3,X4,X5,X6),X3) ) )).

fof(formula_73,conjecture,(
    ! [X1,X2] : 
      ( p8(X2,f4(f29(X1)))
     => ! [X3] : 
          ( p8(X3,f4(f29(X1)))
         => ( p25(f29(X1),X2,X3)
          <=> p34(X2,X3) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( ( ~ p19(X1)
        & p20(X1) )
     => ! [X2] : 
          ( p8(X2,f4(X1))
         => ! [X3] : 
              ( p8(X3,f4(X1))
             => ( p25(X1,X2,X3)
              <=> f21(X1,X2,X3) = X3 ) ) ) ) )).

fof(formula_35,axiom,(
    $true )).

fof(formula_17,axiom,(
    $true )).

fof(formula_80,axiom,(
    ! [X1,X2] : p34(X1,f13(X1,X2)) )).

fof(formula_69,axiom,(
    ! [X1] : f13(X1,c33) = X1 )).

fof(formula_47,axiom,(
    p30(c33) )).

fof(formula_26,axiom,(
    $true )).

fof(formula_43,axiom,(
    ! [X1,X2] : 
    ? [X3] : p32(X3,X1,X2) )).

fof(formula_75,axiom,(
    ! [X1,X2] : 
      ( p8(X1,f9(X2))
    <=> p34(X1,X2) ) )).

fof(formula_55,axiom,(
    ! [X1,X2] : f13(X1,X1) = X1 )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
     => ~ p7(X2,X1) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : f18(X1,X2) = f12(f12(X1,X2),f26(X1)) )).
%------------------------------------------------------------------------------
