%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f17(A) = f17(B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(A,C) = f20(B,C) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(C,A) = f20(C,B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(A,C) = f21(B,C) ) )).

fof(f21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(C,A) = f21(C,B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(A,C) = f22(B,C) ) )).

fof(f22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(C,A) = f22(C,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f24(A,C,D) = f24(B,C,D) ) )).

fof(f24_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f24(C,A,D) = f24(C,B,D) ) )).

fof(f24_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f24(C,D,A) = f24(C,D,B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f25(A,C,D) = f25(B,C,D) ) )).

fof(f25_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f25(C,A,D) = f25(C,B,D) ) )).

fof(f25_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f25(C,D,A) = f25(C,D,B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f26(A,C,D) = f26(B,C,D) ) )).

fof(f26_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f26(C,A,D) = f26(C,B,D) ) )).

fof(f26_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f26(C,D,A) = f26(C,D,B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f28(A,C,D) = f28(B,C,D) ) )).

fof(f28_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f28(C,A,D) = f28(C,B,D) ) )).

fof(f28_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f28(C,D,A) = f28(C,D,B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f29(A) = f29(B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f3(A,C,D) = f3(B,C,D) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f3(C,A,D) = f3(C,B,D) ) )).

fof(f3_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f3(C,D,A) = f3(C,D,B) ) )).

fof(f31_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f31(A,C,D) = f31(B,C,D) ) )).

fof(f31_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f31(C,A,D) = f31(C,B,D) ) )).

fof(f31_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f31(C,D,A) = f31(C,D,B) ) )).

fof(f32_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f32(A,C) = f32(B,C) ) )).

fof(f32_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f32(C,A) = f32(C,B) ) )).

fof(f33_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f33(A,C) = f33(B,C) ) )).

fof(f33_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f33(C,A) = f33(C,B) ) )).

fof(f34_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f34(A) = f34(B) ) )).

fof(f36_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f36(A,C,D) = f36(B,C,D) ) )).

fof(f36_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f36(C,A,D) = f36(C,B,D) ) )).

fof(f36_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f36(C,D,A) = f36(C,D,B) ) )).

fof(f37_substitution_1,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f37(A,C,D,E,F,G) = f37(B,C,D,E,F,G) ) )).

fof(f37_substitution_2,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f37(C,A,D,E,F,G) = f37(C,B,D,E,F,G) ) )).

fof(f37_substitution_3,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f37(C,D,A,E,F,G) = f37(C,D,B,E,F,G) ) )).

fof(f37_substitution_4,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f37(C,D,E,A,F,G) = f37(C,D,E,B,F,G) ) )).

fof(f37_substitution_5,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f37(C,D,E,F,A,G) = f37(C,D,E,F,B,G) ) )).

fof(f37_substitution_6,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f37(C,D,E,F,G,A) = f37(C,D,E,F,G,B) ) )).

fof(f38_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f38(A) = f38(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(A,C) )
     => p16(B,C) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(C,A) )
     => p16(C,B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p23(A) )
     => p23(B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p27(A) )
     => p27(B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p30(A) )
     => p30(B) ) )).

fof(p35_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p35(A) )
     => p35(B) ) )).

fof(p39_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p39(A,C,D) )
     => p39(B,C,D) ) )).

fof(p39_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p39(C,A,D) )
     => p39(C,B,D) ) )).

fof(p39_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p39(C,D,A) )
     => p39(C,D,B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p40(A,C,D) )
     => p40(B,C,D) ) )).

fof(p40_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p40(C,A,D) )
     => p40(C,B,D) ) )).

fof(p40_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p40(C,D,A) )
     => p40(C,D,B) ) )).

fof(p41_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p41(A) )
     => p41(B) ) )).

fof(p42_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p42(A) )
     => p42(B) ) )).

fof(p43_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p43(A,C,D) )
     => p43(B,C,D) ) )).

fof(p43_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p43(C,A,D) )
     => p43(C,B,D) ) )).

fof(p43_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p43(C,D,A) )
     => p43(C,D,B) ) )).

fof(p45_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p45(A,C) )
     => p45(B,C) ) )).

fof(p45_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p45(C,A) )
     => p45(C,B) ) )).

fof(p46_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p46(A,C,D) )
     => p46(B,C,D) ) )).

fof(p46_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p46(C,A,D) )
     => p46(C,B,D) ) )).

fof(p46_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p46(C,D,A) )
     => p46(C,D,B) ) )).

fof(p47_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p47(A,C) )
     => p47(B,C) ) )).

fof(p47_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p47(C,A) )
     => p47(C,B) ) )).

fof(p48_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p48(A,C) )
     => p48(B,C) ) )).

fof(p48_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p48(C,A) )
     => p48(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_101,axiom,(
    ! [X1,X2] : 
      ~ ( p7(X1,X2)
        & p41(X2) ) )).

fof(formula_74,axiom,(
    ! [X1,X2,X3] : 
      ( ( p16(X2,f17(X1))
        & p16(X3,f17(X1)) )
     => f26(X1,X2,X2) = X2 ) )).

fof(formula_11,axiom,(
    ! [X1,X2,X3] : 
      ( ( p16(X2,f17(X1))
        & p16(X3,f17(X1)) )
     => f26(X1,X2,X3) = f26(X1,X3,X2) ) )).

fof(formula_85,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p8(X1)
        & p12(X1)
        & p23(X1)
        & p16(X2,f4(X1))
        & p16(X3,f4(X1)) )
     => f24(X1,X2,X3) = f28(X1,X2,X3) ) )).

fof(formula_48,axiom,(
    ? [X1] : p23(X1) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( ( p19(X1)
        & p30(X1) )
     => ! [X2,X3] : f31(X1,X2,X3) = f32(X1,f33(X2,X3)) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : f21(X1,X2) = f21(X2,X1) )).

fof(formula_80,axiom,(
    ? [X1] : 
      ( p42(X1)
      & ~ p8(X1) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p2(f34(X1))
      & p1(f34(X1)) ) )).

fof(formula_88,axiom,(
    ! [X1,X2,X3] : 
      ( p43(X3,X1,X2)
    <=> p40(X3,X1,X2) ) )).

fof(formula_67,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p12(X1)
        & p23(X1) )
     => ( p19(f6(X1))
        & p30(f6(X1))
        & p39(f6(X1),f18(f4(X1),f4(X1)),f4(X1))
        & p45(f6(X1),f4(X1))
        & p46(f6(X1),f18(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_23,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p8(X1)
        & p35(X1)
        & p16(X2,f4(X1))
        & p16(X3,f4(X1)) )
     => p16(f36(X1,X2,X3),f4(X1)) ) )).

fof(formula_51,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_79,axiom,(
    ? [X1] : 
      ( p1(X1)
      & p2(X1) ) )).

fof(formula_90,axiom,(
    ! [X1] : f21(X1,c44) = X1 )).

fof(formula_95,axiom,(
    ! [X1] : p48(c44,X1) )).

fof(formula_43,axiom,(
    $true )).

fof(formula_81,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p42(X1) )
     => ? [X2] : 
          ( p16(X2,f17(f4(X1)))
          & ~ p41(X2) ) ) )).

fof(formula_57,axiom,(
    ! [X1] : ~ p41(f17(X1)) )).

fof(formula_46,axiom,(
    $true )).

fof(formula_60,axiom,(
    ! [X1] : 
      ( ~ p8(f34(X1))
      & p2(f34(X1))
      & p10(f34(X1))
      & p11(f34(X1))
      & p12(f34(X1))
      & p13(f34(X1))
      & p14(f34(X1))
      & p15(f34(X1))
      & p9(f34(X1)) ) )).

fof(formula_102,axiom,(
    ! [X1,X2] : 
      ~ ( p41(X1)
        & X1 != X2
        & p41(X2) ) )).

fof(formula_26,axiom,(
    $true )).

fof(formula_35,axiom,(
    $true )).

fof(formula_63,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p11(X1)
        & p35(X1) )
     => ( p19(f5(X1))
        & p30(f5(X1))
        & p39(f5(X1),f18(f4(X1),f4(X1)),f4(X1))
        & p47(f5(X1),f4(X1))
        & p46(f5(X1),f18(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_29,axiom,(
    $true )).

fof(formula_78,axiom,(
    ? [X1] : ~ p41(X1) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p8(X1)
        & p12(X1)
        & p23(X1)
        & p16(X2,f4(X1))
        & p16(X3,f4(X1)) )
     => f24(X1,X2,X3) = f24(X1,X3,X2) ) )).

fof(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( ( p16(X2,f17(X1))
        & p16(X3,f17(X1)) )
     => f25(X1,X2,X3) = f25(X1,X3,X2) ) )).

fof(formula_92,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
     => p16(X1,X2) ) )).

fof(formula_42,axiom,(
    $true )).

fof(formula_97,axiom,(
    ! [X1,X2] : 
      ( p16(X1,f17(X2))
    <=> p48(X1,X2) ) )).

fof(formula_44,axiom,(
    ! [X1,X2,X3] : 
      ( p43(X3,X1,X2)
     => p16(X3,f17(f18(X1,X2))) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p2(X1)
       => X1 = f3(f4(X1),f5(X1),f6(X1)) ) ) )).

fof(formula_54,axiom,(
    ! [X1,X2] : 
    ? [X3] : p43(X3,X1,X2) )).

fof(formula_20,axiom,(
    $true )).

fof(formula_89,axiom,(
    ! [X1,X2] : p48(X1,X1) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p23(X1) )
     => ! [X2] : 
          ( p16(X2,f4(X1))
         => ! [X3] : 
              ( p16(X3,f4(X1))
             => f28(X1,X2,X3) = f37(f4(X1),f4(X1),f4(X1),f6(X1),X2,X3) ) ) ) )).

fof(formula_30,axiom,(
    $true )).

fof(formula_71,axiom,(
    ! [X1,X2] : f21(X1,X1) = X1 )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p23(X1) )
     => ( p27(X1)
       => ! [X2] : 
            ( p16(X2,f4(X1))
           => ( X2 = f29(X1)
            <=> ! [X3] : 
                  ( p16(X3,f4(X1))
                 => ( f28(X1,X2,X3) = X2
                    & f28(X1,X3,X2) = X2 ) ) ) ) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p8(X1)
          & p10(X1)
          & p11(X1)
          & p12(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1) )
       => ( ~ p8(X1)
          & p9(X1) ) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p8(X1)
          & p9(X1) )
       => ( ~ p8(X1)
          & p10(X1)
          & p11(X1)
          & p12(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1) ) ) ) )).

fof(formula_98,axiom,(
    ! [X1,X2,X3] : 
      ( ( p7(X1,X2)
        & p16(X2,f17(X3)) )
     => p16(X1,X3) ) )).

fof(formula_52,axiom,(
    ! [X1,X2] : 
    ? [X3] : p40(X3,X1,X2) )).

fof(formula_27,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p41(X1)
        & ~ p41(X2)
        & p30(X4)
        & p39(X4,f18(X1,X2),X3)
        & p40(X4,f18(X1,X2),X3)
        & p16(X5,X1)
        & p16(X6,X2) )
     => p16(f37(X1,X2,X3,X4,X5,X6),X3) ) )).

fof(formula_32,axiom,(
    $true )).

fof(formula_72,axiom,(
    ! [X1,X2] : f22(X1,X1) = X1 )).

fof(formula_33,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p8(X1)
        & p12(X1)
        & p23(X1)
        & p16(X2,f4(X1))
        & p16(X3,f4(X1)) )
     => p16(f24(X1,X2,X3),f4(X1)) ) )).

fof(formula_69,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p13(X1)
        & p23(X1) )
     => ( p19(f6(X1))
        & p30(f6(X1))
        & p39(f6(X1),f18(f4(X1),f4(X1)),f4(X1))
        & p47(f6(X1),f4(X1))
        & p46(f6(X1),f18(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_82,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p8(X1)
      & p2(X1) ) )).

fof(formula_70,axiom,(
    ! [X1,X2,X3] : 
      ( ( p30(X2)
        & p39(X2,f18(X1,X1),X1)
        & p40(X2,f18(X1,X1),X1)
        & p30(X3)
        & p39(X3,f18(X1,X1),X1)
        & p40(X3,f18(X1,X1),X1) )
     => ! [X4,X5,X6] : 
          ( f3(X1,X2,X3) = f3(X4,X5,X6)
         => ( X1 = X4
            & X2 = X5
            & X3 = X6 ) ) ) )).

fof(formula_38,axiom,(
    ! [X1] : 
      ( p23(X1)
     => p42(X1) ) )).

fof(formula_65,axiom,(
    ! [X1,X2] : ~ p41(f20(X1,X2)) )).

fof(formula_73,axiom,(
    ! [X1,X2,X3] : 
      ( ( p16(X2,f17(X1))
        & p16(X3,f17(X1)) )
     => f25(X1,X2,X2) = X2 ) )).

fof(formula_84,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p41(X1)
        & ~ p41(X2)
        & p30(X4)
        & p39(X4,f18(X1,X2),X3)
        & p40(X4,f18(X1,X2),X3)
        & p16(X5,X1)
        & p16(X6,X2) )
     => f37(X1,X2,X3,X4,X5,X6) = f31(X4,X5,X6) ) )).

fof(formula_68,axiom,(
    ! [X1,X2] : 
      ( ( ~ p41(X1)
        & ~ p41(X2) )
     => ~ p41(f18(X1,X2)) ) )).

fof(formula_24,axiom,(
    $true )).

fof(formula_55,axiom,(
    ! [X1] : 
      ( ~ p8(f34(X1))
      & p2(f34(X1)) ) )).

fof(formula_56,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p42(X1) )
     => ~ p41(f4(X1)) ) )).

fof(formula_61,axiom,(
    ! [X1] : ~ p41(f38(X1)) )).

fof(formula_87,axiom,(
    ! [X1,X2,X3] : 
      ( ( p16(X2,f17(X1))
        & p16(X3,f17(X1)) )
     => f26(X1,X2,X3) = f22(X2,X3) ) )).

fof(formula_37,axiom,(
    ! [X1,X2,X3] : 
      ( ( p16(X2,f17(X1))
        & p16(X3,f17(X1)) )
     => p16(f26(X1,X2,X3),f17(X1)) ) )).

fof(formula_49,axiom,(
    ? [X1] : p42(X1) )).

fof(formula_19,axiom,(
    ! [X1,X2,X3] : 
      ( ( p30(X2)
        & p39(X2,f18(X1,X1),X1)
        & p40(X2,f18(X1,X1),X1)
        & p30(X3)
        & p39(X3,f18(X1,X1),X1)
        & p40(X3,f18(X1,X1),X1) )
     => ( p2(f3(X1,X2,X3))
        & p1(f3(X1,X2,X3)) ) ) )).

fof(formula_58,axiom,(
    p41(c44) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p23(X1) )
     => ( p27(X1)
      <=> ? [X2] : 
            ( p16(X2,f4(X1))
            & ! [X3] : 
                ( p16(X3,f4(X1))
               => ( f28(X1,X2,X3) = X2
                  & f28(X1,X3,X2) = X2 ) ) ) ) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p23(X1) )
     => p16(f29(X1),f4(X1)) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : f22(X1,X2) = f22(X2,X1) )).

fof(formula_6,axiom,(
    ! [X1,X2] : f20(X1,X2) = f20(X2,X1) )).

fof(formula_83,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p8(X1)
      & p2(X1)
      & p10(X1)
      & p11(X1)
      & p12(X1)
      & p13(X1)
      & p14(X1)
      & p15(X1)
      & p9(X1) ) )).

fof(formula_50,axiom,(
    ? [X1] : p35(X1) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( p16(X3,f17(f18(X1,X2)))
     => p19(X3) ) )).

fof(formula_77,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p16(X2,f17(X1))
      & p41(X2) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
     => ~ p7(X2,X1) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p35(X1)
     => p42(X1) ) )).

fof(formula_45,axiom,(
    ! [X1] : 
      ( p23(X1)
     => ( p30(f6(X1))
        & p39(f6(X1),f18(f4(X1),f4(X1)),f4(X1))
        & p43(f6(X1),f18(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_21,axiom,(
    $true )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p35(X1) )
     => ! [X2] : 
          ( p16(X2,f4(X1))
         => ! [X3] : 
              ( p16(X3,f4(X1))
             => f36(X1,X2,X3) = f37(f4(X1),f4(X1),f4(X1),f5(X1),X2,X3) ) ) ) )).

fof(formula_62,axiom,(
    ! [X1,X2] : 
      ( ~ p41(X1)
     => ~ p41(f21(X1,X2)) ) )).

fof(formula_28,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p8(X1)
        & p23(X1)
        & p16(X2,f4(X1))
        & p16(X3,f4(X1)) )
     => p16(f28(X1,X2,X3),f4(X1)) ) )).

fof(formula_75,axiom,(
    ! [X1] : 
      ( ~ p41(X1)
     => ? [X2] : 
          ( p16(X2,f17(X1))
          & ~ p41(X2) ) ) )).

fof(formula_99,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p7(X1,X2)
        & p16(X2,f17(X3))
        & p41(X3) ) )).

fof(formula_86,axiom,(
    ! [X1,X2,X3] : 
      ( ( p16(X2,f17(X1))
        & p16(X3,f17(X1)) )
     => f25(X1,X2,X3) = f21(X2,X3) ) )).

fof(formula_66,axiom,(
    ! [X1,X2] : 
      ( ~ p41(X1)
     => ~ p41(f21(X2,X1)) ) )).

fof(formula_41,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p23(X1)
        & p35(X1) ) ) )).

fof(formula_31,axiom,(
    $true )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( ( p2(X2)
        & p1(X2) )
     => ( X2 = f34(X1)
      <=> ( f4(X2) = f17(X1)
          & ! [X3] : 
              ( p16(X3,f17(X1))
             => ! [X4] : 
                  ( p16(X4,f17(X1))
                 => ( f31(f5(X2),X3,X4) = f25(X1,X3,X4)
                    & f31(f6(X2),X3,X4) = f26(X1,X3,X4) ) ) ) ) ) ) )).

fof(formula_34,axiom,(
    ! [X1,X2,X3] : 
      ( ( p16(X2,f17(X1))
        & p16(X3,f17(X1)) )
     => p16(f25(X1,X2,X3),f17(X1)) ) )).

fof(formula_94,axiom,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => ( p41(X2)
        | p7(X1,X2) ) ) )).

fof(formula_53,axiom,(
    ! [X1] : 
    ? [X2] : p16(X2,X1) )).

fof(formula_76,axiom,(
    ? [X1] : p41(X1) )).

fof(formula_59,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p10(X1)
        & p35(X1) )
     => ( p19(f5(X1))
        & p30(f5(X1))
        & p39(f5(X1),f18(f4(X1),f4(X1)),f4(X1))
        & p45(f5(X1),f4(X1))
        & p46(f5(X1),f18(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_96,conjecture,(
    ! [X1] : 
      ( p27(f34(X1))
      & f29(f34(X1)) = c44 ) )).

fof(formula_100,axiom,(
    ! [X1] : 
      ( p41(X1)
     => X1 = c44 ) )).

fof(formula_93,axiom,(
    ! [X1] : f22(X1,c44) = c44 )).

fof(formula_39,axiom,(
    $true )).

fof(formula_25,axiom,(
    $true )).

fof(formula_64,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p41(X1)
        & p30(X2)
        & p39(X2,f18(X1,X1),X1)
        & p40(X2,f18(X1,X1),X1)
        & p30(X3)
        & p39(X3,f18(X1,X1),X1)
        & p40(X3,f18(X1,X1),X1) )
     => ( ~ p8(f3(X1,X2,X3))
        & p2(f3(X1,X2,X3)) ) ) )).

fof(formula_47,axiom,(
    ! [X1] : 
      ( p35(X1)
     => ( p30(f5(X1))
        & p39(f5(X1),f18(f4(X1),f4(X1)),f4(X1))
        & p43(f5(X1),f18(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : f33(X1,X2) = f20(f20(X1,X2),f38(X1)) )).

fof(formula_91,axiom,(
    ! [X1,X2] : 
      ( p16(X2,f4(f34(X1)))
     => ! [X3] : 
          ( p16(X3,f4(f34(X1)))
         => ( f36(f34(X1),X2,X3) = f21(X2,X3)
            & f28(f34(X1),X2,X3) = f22(X2,X3) ) ) ) )).
%------------------------------------------------------------------------------
