%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f21(A) = f21(B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(A,C) = f22(B,C) ) )).

fof(f22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(C,A) = f22(C,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(A,C) = f24(B,C) ) )).

fof(f24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(C,A) = f24(C,B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f25(A) = f25(B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f26(A) = f26(B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(A,C) = f27(B,C) ) )).

fof(f27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(C,A) = f27(C,B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f28(A,C) = f28(B,C) ) )).

fof(f28_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f28(C,A) = f28(C,B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f29(A) = f29(B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f34_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f34(A,C,D,E) = f34(B,C,D,E) ) )).

fof(f34_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f34(C,A,D,E) = f34(C,B,D,E) ) )).

fof(f34_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f34(C,D,A,E) = f34(C,D,B,E) ) )).

fof(f34_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f34(C,D,E,A) = f34(C,D,E,B) ) )).

fof(f35_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f35(A,C) = f35(B,C) ) )).

fof(f35_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f35(C,A) = f35(C,B) ) )).

fof(f37_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f37(A,C,D,E) = f37(B,C,D,E) ) )).

fof(f37_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f37(C,A,D,E) = f37(C,B,D,E) ) )).

fof(f37_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f37(C,D,A,E) = f37(C,D,B,E) ) )).

fof(f37_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f37(C,D,E,A) = f37(C,D,E,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f46_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f46(A) = f46(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f8(A,C,D) = f8(B,C,D) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f8(C,A,D) = f8(C,B,D) ) )).

fof(f8_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f8(C,D,A) = f8(C,D,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(A,C) )
     => p20(B,C) ) )).

fof(p20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(C,A) )
     => p20(C,B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p23(A) )
     => p23(B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p30(A,C,D) )
     => p30(B,C,D) ) )).

fof(p30_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p30(C,A,D) )
     => p30(C,B,D) ) )).

fof(p30_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p30(C,D,A) )
     => p30(C,D,B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p31(A,C,D) )
     => p31(B,C,D) ) )).

fof(p31_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p31(C,A,D) )
     => p31(C,B,D) ) )).

fof(p31_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p31(C,D,A) )
     => p31(C,D,B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p32(A) )
     => p32(B) ) )).

fof(p33_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p33(A,C,D) )
     => p33(B,C,D) ) )).

fof(p33_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p33(C,A,D) )
     => p33(C,B,D) ) )).

fof(p33_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p33(C,D,A) )
     => p33(C,D,B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p36(A) )
     => p36(B) ) )).

fof(p38_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p38(A) )
     => p38(B) ) )).

fof(p39_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p39(A) )
     => p39(B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p40(A) )
     => p40(B) ) )).

fof(p41_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p41(A,C,D) )
     => p41(B,C,D) ) )).

fof(p41_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p41(C,A,D) )
     => p41(C,B,D) ) )).

fof(p41_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p41(C,D,A) )
     => p41(C,D,B) ) )).

fof(p42_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p42(A,C,D) )
     => p42(B,C,D) ) )).

fof(p42_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p42(C,A,D) )
     => p42(C,B,D) ) )).

fof(p42_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p42(C,D,A) )
     => p42(C,D,B) ) )).

fof(p43_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p43(A) )
     => p43(B) ) )).

fof(p44_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p44(A) )
     => p44(B) ) )).

fof(p45_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p45(A) )
     => p45(B) ) )).

fof(p47_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p47(A) )
     => p47(B) ) )).

fof(p48_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p48(A) )
     => p48(B) ) )).

fof(p49_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p49(A) )
     => p49(B) ) )).

fof(p51_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p51(A,C) )
     => p51(B,C) ) )).

fof(p51_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p51(C,A) )
     => p51(C,B) ) )).

fof(p52_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p52(A,C) )
     => p52(B,C) ) )).

fof(p52_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p52(C,A) )
     => p52(C,B) ) )).

fof(p53_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p53(A,C,D) )
     => p53(B,C,D) ) )).

fof(p53_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p53(C,A,D) )
     => p53(C,B,D) ) )).

fof(p53_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p53(C,D,A) )
     => p53(C,D,B) ) )).

fof(p54_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p54(A,C,D) )
     => p54(B,C,D) ) )).

fof(p54_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p54(C,A,D) )
     => p54(C,B,D) ) )).

fof(p54_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p54(C,D,A) )
     => p54(C,D,B) ) )).

fof(p55_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p55(A,C,D) )
     => p55(B,C,D) ) )).

fof(p55_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p55(C,A,D) )
     => p55(C,B,D) ) )).

fof(p55_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p55(C,D,A) )
     => p55(C,D,B) ) )).

fof(p56_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p56(A,C) )
     => p56(B,C) ) )).

fof(p56_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p56(C,A) )
     => p56(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p49(X1)
     => p48(X1) ) )).

fof(formula_69,axiom,(
    ? [X1] : ~ p36(X1) )).

fof(formula_64,axiom,(
    ? [X1] : 
      ( p1(X1)
      & p2(X1) ) )).

fof(formula_51,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p14(X1)
        & p49(X1) )
     => ( p23(f9(X1))
        & p32(f9(X1))
        & p33(f9(X1),f22(f4(X1),f4(X1)),f4(X1))
        & p51(f9(X1),f4(X1))
        & p41(f9(X1),f22(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_88,axiom,(
    ! [X1,X2,X3] : 
      ( ( p11(X1,X2)
        & p20(X2,f21(X3)) )
     => p20(X1,X3) ) )).

fof(formula_90,axiom,(
    ! [X1] : 
      ( p36(X1)
     => X1 = c50 ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p47(X1)
     => p48(X1) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( p7(X1)
       => X1 = f8(f4(X1),f9(X1),f10(X1)) ) ) )).

fof(formula_67,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p2(X1)
      & p43(X1)
      & p44(X1)
      & p45(X1) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1)
        & p20(X2,f4(X1)) )
     => p20(f27(X1,X2),f4(f25(X1))) ) )).

fof(formula_89,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p11(X1,X2)
        & p20(X2,f21(X3))
        & p36(X3) ) )).

fof(formula_21,axiom,(
    $true )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( ( ~ p12(X1)
          & p14(X1)
          & p15(X1)
          & p16(X1)
          & p17(X1)
          & p18(X1)
          & p19(X1) )
       => ( ~ p12(X1)
          & p13(X1) ) ) ) )).

fof(formula_74,axiom,(
    ? [X1] : 
      ( p6(X1)
      & ~ p12(X1)
      & p7(X1)
      & p14(X1)
      & p15(X1)
      & p16(X1)
      & p17(X1)
      & p18(X1)
      & p19(X1)
      & p13(X1) ) )).

fof(formula_72,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p48(X1) )
     => ? [X2] : 
          ( p20(X2,f21(f4(X1)))
          & ~ p36(X2) ) ) )).

fof(formula_65,axiom,(
    ! [X1] : 
      ( ~ p36(X1)
     => ? [X2] : 
          ( p20(X2,f21(X1))
          & ~ p36(X2) ) ) )).

fof(formula_47,axiom,(
    ! [X1,X2] : 
      ( ( ~ p36(X1)
        & p31(X2,X1,X1) )
     => ( ~ p12(f3(X1,X2))
        & p2(f3(X1,X2)) ) ) )).

fof(formula_77,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1) )
     => f26(X1) = f46(X1) ) )).

fof(formula_62,axiom,(
    ! [X1,X2] : 
      ( p31(X2,X1,X1)
     => ! [X3,X4] : 
          ( f3(X1,X2) = f3(X3,X4)
         => ( X1 = X3
            & X2 = X4 ) ) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
    ? [X3] : p42(X3,X1,X2) )).

fof(formula_54,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p15(X1)
        & p49(X1) )
     => ( p23(f9(X1))
        & p32(f9(X1))
        & p33(f9(X1),f22(f4(X1),f4(X1)),f4(X1))
        & p52(f9(X1),f4(X1))
        & p41(f9(X1),f22(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_70,axiom,(
    ? [X1] : 
      ( p6(X1)
      & p7(X1) ) )).

fof(formula_84,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => p20(X1,X2) ) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( ( ~ p12(X1)
        & p6(X1)
        & ~ p12(X2)
        & p6(X2) )
     => ( p7(f35(X1,X2))
        & p6(f35(X1,X2)) ) ) )).

fof(formula_73,axiom,(
    ? [X1] : 
      ( p6(X1)
      & ~ p12(X1)
      & p7(X1) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1) )
     => ( p38(f26(X1))
        & p39(f26(X1))
        & p40(f26(X1))
        & p41(f26(X1),f4(X1),f4(X1))
        & p42(f26(X1),f4(X1),f4(X1)) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1) )
     => f25(X1) = f3(f4(X1),f26(X1)) ) )).

fof(formula_32,axiom,(
    $true )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( ( p43(X1)
        & p44(X1)
        & p45(X1)
        & p1(X1) )
     => ( p23(f5(X1))
        & p38(f5(X1))
        & p39(f5(X1))
        & p40(f5(X1))
        & p41(f5(X1),f4(X1),f4(X1)) ) ) )).

fof(formula_81,axiom,(
    ! [X1,X2] : p56(X1,X1) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( p20(X3,f21(f22(X1,X2)))
     => p23(X3) ) )).

fof(formula_34,axiom,(
    ! [X1,X2,X3] : 
      ( p42(X3,X1,X2)
     => p20(X3,f21(f22(X1,X2))) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1) )
     => p23(f46(X1)) ) )).

fof(formula_18,axiom,(
    $true )).

fof(formula_49,axiom,(
    ! [X1] : ~ p36(f21(X1)) )).

fof(formula_76,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( ~ p36(X1)
        & ~ p36(X2)
        & p20(X3,X1)
        & p20(X4,X2) )
     => f37(X1,X2,X3,X4) = f28(X3,X4) ) )).

fof(formula_33,axiom,(
    $true )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( ( ~ p12(X1)
          & p13(X1) )
       => ( ~ p12(X1)
          & p14(X1)
          & p15(X1)
          & p16(X1)
          & p17(X1)
          & p18(X1)
          & p19(X1) ) ) ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( p31(X2,X1,X1)
     => ( p2(f3(X1,X2))
        & p1(f3(X1,X2)) ) ) )).

fof(formula_15,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( ~ p36(X1)
        & ~ p36(X2)
        & p20(X3,X1)
        & p20(X4,X2) )
     => p20(f37(X1,X2,X3,X4),f22(X1,X2)) ) )).

fof(formula_79,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p12(X1)
        & p16(X1)
        & p18(X1)
        & p19(X1)
        & p6(X1)
        & p20(X2,f4(X1))
        & p20(X3,f4(X1)) )
     => ( p53(X1,X2,X3)
      <=> p54(X1,X2,X3) ) ) )).

fof(formula_91,axiom,(
    ! [X1,X2] : 
      ~ ( p11(X1,X2)
        & p36(X2) ) )).

fof(formula_75,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1)
        & ~ p12(X2)
        & p13(X2)
        & p6(X2)
        & p20(X3,f4(X1))
        & p20(X4,f4(X2)) )
     => f34(X1,X2,X3,X4) = f28(X3,X4) ) )).

fof(formula_55,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p36(X1)
        & p32(X2)
        & p33(X2,f22(X1,X1),X1)
        & p31(X2,f22(X1,X1),X1)
        & p32(X3)
        & p33(X3,f22(X1,X1),X1)
        & p31(X3,f22(X1,X1),X1) )
     => ( ~ p12(f8(X1,X2,X3))
        & p7(f8(X1,X2,X3)) ) ) )).

fof(formula_59,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1) )
     => ( ~ p12(f25(X1))
        & p2(f25(X1))
        & p43(f25(X1))
        & p44(f25(X1))
        & p45(f25(X1)) ) ) )).

fof(formula_29,axiom,(
    $true )).

fof(formula_24,axiom,(
    $true )).

fof(formula_93,axiom,(
    ! [X1,X2] : 
      ~ ( p36(X1)
        & X1 != X2
        & p36(X2) ) )).

fof(formula_53,axiom,(
    ! [X1] : ~ p36(f29(X1)) )).

fof(formula_82,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p12(X1)
        & p16(X1)
        & p18(X1)
        & p19(X1)
        & p6(X1)
        & p20(X2,f4(X1))
        & p20(X3,f4(X1)) )
     => p53(X1,X2,X2) ) )).

fof(formula_78,axiom,(
    ! [X1,X2,X3] : 
      ( p42(X3,X1,X2)
    <=> p31(X3,X1,X2) ) )).

fof(formula_13,axiom,(
    ! [X1,X2,X3] : 
      ( ( p32(X2)
        & p33(X2,f22(X1,X1),X1)
        & p31(X2,f22(X1,X1),X1)
        & p32(X3)
        & p33(X3,f22(X1,X1),X1)
        & p31(X3,f22(X1,X1),X1) )
     => ( p7(f8(X1,X2,X3))
        & p6(f8(X1,X2,X3)) ) ) )).

fof(formula_45,axiom,(
    ! [X1] : 
    ? [X2] : p20(X2,X1) )).

fof(formula_68,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p20(X2,f21(X1))
      & p36(X2) ) )).

fof(formula_85,axiom,(
    ! [X1,X2] : 
      ( p20(X1,X2)
     => ( p36(X2)
        | p11(X1,X2) ) ) )).

fof(formula_87,axiom,(
    ! [X1,X2] : 
      ( p20(X1,f21(X2))
    <=> p56(X1,X2) ) )).

fof(formula_43,axiom,(
    ? [X1] : p6(X1) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1) )
     => ( p2(f25(X1))
        & p43(f25(X1))
        & p44(f25(X1))
        & p45(f25(X1))
        & p1(f25(X1)) ) ) )).

fof(formula_41,axiom,(
    ? [X1] : p48(X1) )).

fof(formula_50,axiom,(
    p36(c50) )).

fof(formula_44,axiom,(
    ! [X1,X2] : 
    ? [X3] : p31(X3,X1,X2) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p48(X1) ) )).

fof(formula_56,axiom,(
    ! [X1,X2] : 
      ( ( p38(X2)
        & p39(X2)
        & p40(X2)
        & p41(X2,X1,X1)
        & p31(X2,X1,X1) )
     => ( p2(f3(X1,X2))
        & p43(f3(X1,X2))
        & p44(f3(X1,X2))
        & p45(f3(X1,X2)) ) ) )).

fof(formula_86,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1) )
     => ! [X2] : 
          ( p20(X2,f4(X1))
         => ! [X3] : 
              ( p20(X3,f4(X1))
             => ( p11(f37(f4(X1),f4(X1),X2,X3),f46(X1))
              <=> p53(X1,X2,X3) ) ) ) ) )).

fof(formula_40,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_57,axiom,(
    ! [X1,X2] : ~ p36(f24(X1,X2)) )).

fof(formula_17,axiom,(
    $true )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1) )
     => ! [X2] : 
          ( p20(X2,f4(X1))
         => f27(X1,X2) = X2 ) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => ~ p11(X2,X1) ) )).

fof(formula_71,axiom,(
    ? [X1] : 
      ( p48(X1)
      & ~ p12(X1) ) )).

fof(formula_63,axiom,(
    ! [X1,X2,X3] : 
      ( ( p32(X2)
        & p33(X2,f22(X1,X1),X1)
        & p31(X2,f22(X1,X1),X1)
        & p32(X3)
        & p33(X3,f22(X1,X1),X1)
        & p31(X3,f22(X1,X1),X1) )
     => ! [X4,X5,X6] : 
          ( f8(X1,X2,X3) = f8(X4,X5,X6)
         => ( X1 = X4
            & X2 = X5
            & X3 = X6 ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p20(X2,f4(X1))
         => ! [X3] : 
              ( p20(X3,f4(X1))
             => ( p30(X1,X2,X3)
              <=> p11(f28(X2,X3),f5(X1)) ) ) ) ) )).

fof(formula_16,axiom,(
    $true )).

fof(formula_58,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p16(X1)
        & p47(X1) )
     => ( p23(f10(X1))
        & p32(f10(X1))
        & p33(f10(X1),f22(f4(X1),f4(X1)),f4(X1))
        & p51(f10(X1),f4(X1))
        & p41(f10(X1),f22(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p2(X1)
       => X1 = f3(f4(X1),f5(X1)) ) ) )).

fof(formula_83,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p12(X1)
        & p43(X1)
        & p1(X1)
        & p20(X2,f4(X1))
        & p20(X3,f4(X1)) )
     => p55(X1,X2,X2) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : f24(X1,X2) = f24(X2,X1) )).

fof(formula_66,axiom,(
    ? [X1] : p36(X1) )).

fof(formula_60,axiom,(
    ! [X1,X2] : 
      ( ( ~ p36(X1)
        & ~ p36(X2) )
     => ~ p36(f22(X1,X2)) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p47(X1)
     => ( p32(f10(X1))
        & p33(f10(X1),f22(f4(X1),f4(X1)),f4(X1))
        & p42(f10(X1),f22(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_92,conjecture,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1) )
     => ! [X2] : 
          ( p20(X2,f4(X1))
         => ! [X3] : 
              ( p20(X3,f4(X1))
             => ( p53(X1,X2,X3)
              <=> p55(f25(X1),f27(X1,X2),f27(X1,X3)) ) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : f28(X1,X2) = f24(f24(X1,X2),f29(X1)) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( p47(X1)
        & p49(X1) ) ) )).

fof(formula_39,axiom,(
    ? [X1] : p47(X1) )).

fof(formula_48,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p48(X1) )
     => ~ p36(f4(X1)) ) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1)
        & ~ p12(X2)
        & p13(X2)
        & p6(X2)
        & p20(X3,f4(X1))
        & p20(X4,f4(X2)) )
     => p20(f34(X1,X2,X3,X4),f4(f35(X1,X2))) ) )).

fof(formula_38,axiom,(
    ! [X1] : 
      ( p49(X1)
     => ( p32(f9(X1))
        & p33(f9(X1),f22(f4(X1),f4(X1)),f4(X1))
        & p42(f9(X1),f22(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_80,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p12(X1)
        & p43(X1)
        & p1(X1)
        & p20(X2,f4(X1))
        & p20(X3,f4(X1)) )
     => ( p55(X1,X2,X3)
      <=> p30(X1,X2,X3) ) ) )).

fof(formula_61,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p17(X1)
        & p47(X1) )
     => ( p23(f10(X1))
        & p32(f10(X1))
        & p33(f10(X1),f22(f4(X1),f4(X1)),f4(X1))
        & p52(f10(X1),f4(X1))
        & p41(f10(X1),f22(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p42(f5(X1),f4(X1),f4(X1)) ) )).

fof(formula_20,axiom,(
    $true )).

fof(formula_37,axiom,(
    $true )).

fof(formula_42,axiom,(
    ? [X1] : p49(X1) )).
%------------------------------------------------------------------------------
