%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f17(A) = f17(B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f22(A) = f22(B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f23(A) = f23(B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(A,C) = f24(B,C) ) )).

fof(f24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(C,A) = f24(C,B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(A,C) = f25(B,C) ) )).

fof(f25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(C,A) = f25(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f37_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f37(A) = f37(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(A,C) )
     => p16(B,C) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(C,A) )
     => p16(C,B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(A,C,D) )
     => p20(B,C,D) ) )).

fof(p20_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(C,A,D) )
     => p20(C,B,D) ) )).

fof(p20_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(C,D,A) )
     => p20(C,D,B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p21(A,C,D) )
     => p21(B,C,D) ) )).

fof(p21_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p21(C,A,D) )
     => p21(C,B,D) ) )).

fof(p21_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p21(C,D,A) )
     => p21(C,D,B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p26(A,C,D) )
     => p26(B,C,D) ) )).

fof(p26_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p26(C,A,D) )
     => p26(C,B,D) ) )).

fof(p26_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p26(C,D,A) )
     => p26(C,D,B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p27(A,C,D) )
     => p27(B,C,D) ) )).

fof(p27_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p27(C,A,D) )
     => p27(C,B,D) ) )).

fof(p27_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p27(C,D,A) )
     => p27(C,D,B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p28(A,C,D) )
     => p28(B,C,D) ) )).

fof(p28_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p28(C,A,D) )
     => p28(C,B,D) ) )).

fof(p28_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p28(C,D,A) )
     => p28(C,D,B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p29(A) )
     => p29(B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p30(A) )
     => p30(B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p31(A) )
     => p31(B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p32(A,C,D) )
     => p32(B,C,D) ) )).

fof(p32_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p32(C,A,D) )
     => p32(C,B,D) ) )).

fof(p32_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p32(C,D,A) )
     => p32(C,D,B) ) )).

fof(p33_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p33(A,C,D) )
     => p33(B,C,D) ) )).

fof(p33_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p33(C,A,D) )
     => p33(C,B,D) ) )).

fof(p33_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p33(C,D,A) )
     => p33(C,D,B) ) )).

fof(p34_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p34(A) )
     => p34(B) ) )).

fof(p35_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p35(A) )
     => p35(B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p36(A) )
     => p36(B) ) )).

fof(p38_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p38(A) )
     => p38(B) ) )).

fof(p39_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p39(A) )
     => p39(B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p40(A) )
     => p40(B) ) )).

fof(p41_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p41(A) )
     => p41(B) ) )).

fof(p43_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p43(A,C,D) )
     => p43(B,C,D) ) )).

fof(p43_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p43(C,A,D) )
     => p43(C,B,D) ) )).

fof(p43_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p43(C,D,A) )
     => p43(C,D,B) ) )).

fof(p44_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p44(A,C,D) )
     => p44(B,C,D) ) )).

fof(p44_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p44(C,A,D) )
     => p44(C,B,D) ) )).

fof(p44_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p44(C,D,A) )
     => p44(C,D,B) ) )).

fof(p45_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p45(A,C) )
     => p45(B,C) ) )).

fof(p45_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p45(C,A) )
     => p45(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_70,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1) )
     => ! [X2] : 
          ( p16(X2,f4(X1))
         => ! [X3] : 
              ( p16(X3,f4(X1))
             => ( p43(X1,X2,X3)
              <=> p44(f22(X1),f24(X1,X2),f24(X1,X3)) ) ) ) ) )).

fof(formula_63,conjecture,(
    ! [X1,X2] : 
      ( ( ~ p8(X2)
        & p9(X2)
        & p7(X2) )
     => ! [X3] : 
          ( p16(X3,f4(X2))
         => ( p20(X2,X3,X1)
          <=> p26(f22(X2),X1,f24(X2,X3)) ) ) ) )).

fof(formula_68,axiom,(
    ! [X1] : 
      ( p41(X1)
     => X1 = c42 ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1) )
     => ! [X2] : 
          ( p16(X2,f4(X1))
         => f24(X1,X2) = X2 ) ) )).

fof(formula_26,axiom,(
    $true )).

fof(formula_64,axiom,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => ( p41(X2)
        | p6(X1,X2) ) ) )).

fof(formula_71,axiom,(
    ! [X1,X2] : 
      ~ ( p41(X1)
        & X1 != X2
        & p41(X2) ) )).

fof(formula_45,axiom,(
    ! [X1,X2] : 
      ( ( ~ p41(X1)
        & ~ p41(X2) )
     => ~ p41(f18(X1,X2)) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( ( ~ p8(X1)
          & p10(X1)
          & p11(X1)
          & p12(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1) )
       => ( ~ p8(X1)
          & p9(X1) ) ) ) )).

fof(formula_30,axiom,(
    ? [X1] : p38(X1) )).

fof(formula_66,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p16(X2,f17(X3)) )
     => p16(X1,X3) ) )).

fof(formula_55,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1) )
     => f23(X1) = f37(X1) ) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_62,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => p16(X1,X2) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p33(f5(X1),f4(X1),f4(X1)) ) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_58,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p8(X1)
        & p34(X1)
        & p1(X1)
        & p16(X2,f4(X1))
        & p16(X3,f4(X1)) )
     => ( p44(X1,X2,X3)
      <=> p27(X1,X2,X3) ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( p16(X3,f17(f18(X1,X2)))
     => p19(X3) ) )).

fof(formula_56,axiom,(
    ! [X1,X2,X3] : 
      ( p33(X3,X1,X2)
    <=> p28(X3,X1,X2) ) )).

fof(formula_15,axiom,(
    $true )).

fof(formula_50,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p8(X1)
      & p2(X1)
      & p34(X1)
      & p35(X1)
      & p36(X1) ) )).

fof(formula_49,axiom,(
    ? [X1] : p41(X1) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p40(X1)
     => p39(X1) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( p28(X2,X1,X1)
     => ( p2(f3(X1,X2))
        & p1(f3(X1,X2)) ) ) )).

fof(formula_57,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p8(X1)
        & p12(X1)
        & p14(X1)
        & p15(X1)
        & p7(X1)
        & p16(X2,f4(X1))
        & p16(X3,f4(X1)) )
     => ( p43(X1,X2,X3)
      <=> p21(X1,X2,X3) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p7(X1) )
     => ! [X2] : 
          ( p16(X2,f4(X1))
         => ! [X3] : 
              ( p20(X1,X2,X3)
            <=> ! [X4] : 
                  ( p16(X4,f4(X1))
                 => ( p6(X4,X3)
                   => p21(X1,X2,X4) ) ) ) ) ) )).

fof(formula_67,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p6(X1,X2)
        & p16(X2,f17(X3))
        & p41(X3) ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1)
        & p16(X2,f4(f22(X1))) )
     => p16(f25(X1,X2),f4(X1)) ) )).

fof(formula_52,axiom,(
    ? [X1] : ~ p41(X1) )).

fof(formula_34,axiom,(
    ? [X1] : p7(X1) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p39(X1) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2,X3] : 
          ( p16(X3,f4(X1))
         => ( p26(X1,X2,X3)
          <=> ! [X4] : 
                ( p16(X4,f4(X1))
               => ( p6(X4,X2)
                 => p27(X1,X3,X4) ) ) ) ) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1) )
     => ( p29(f23(X1))
        & p30(f23(X1))
        & p31(f23(X1))
        & p32(f23(X1),f4(X1),f4(X1))
        & p33(f23(X1),f4(X1),f4(X1)) ) ) )).

fof(formula_53,axiom,(
    ? [X1] : 
      ( p39(X1)
      & ~ p8(X1) ) )).

fof(formula_61,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p8(X1)
        & p34(X1)
        & p1(X1)
        & p16(X2,f4(X1))
        & p16(X3,f4(X1)) )
     => p44(X1,X2,X2) ) )).

fof(formula_27,axiom,(
    ! [X1,X2,X3] : 
      ( p33(X3,X1,X2)
     => p16(X3,f17(f18(X1,X2))) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1) )
     => p19(f37(X1)) ) )).

fof(formula_60,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p8(X1)
        & p12(X1)
        & p14(X1)
        & p15(X1)
        & p7(X1)
        & p16(X2,f4(X1))
        & p16(X3,f4(X1)) )
     => p43(X1,X2,X2) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p38(X1)
        & p40(X1) ) ) )).

fof(formula_47,axiom,(
    ? [X1] : 
      ( p1(X1)
      & p2(X1) ) )).

fof(formula_29,axiom,(
    $true )).

fof(formula_54,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p39(X1) )
     => ? [X2] : 
          ( p16(X2,f17(f4(X1)))
          & ~ p41(X2) ) ) )).

fof(formula_69,axiom,(
    ! [X1,X2] : 
      ~ ( p6(X1,X2)
        & p41(X2) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1)
        & p16(X2,f4(X1)) )
     => p16(f24(X1,X2),f4(f22(X1))) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p2(X1)
       => X1 = f3(f4(X1),f5(X1)) ) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ( ( ~ p41(X1)
        & p28(X2,X1,X1) )
     => ( ~ p8(f3(X1,X2))
        & p2(f3(X1,X2)) ) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p38(X1)
     => p39(X1) ) )).

fof(formula_39,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p39(X1) )
     => ~ p41(f4(X1)) ) )).

fof(formula_48,axiom,(
    ! [X1] : 
      ( ~ p41(X1)
     => ? [X2] : 
          ( p16(X2,f17(X1))
          & ~ p41(X2) ) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ( p28(X2,X1,X1)
     => ! [X3,X4] : 
          ( f3(X1,X2) = f3(X3,X4)
         => ( X1 = X3
            & X2 = X4 ) ) ) )).

fof(formula_22,axiom,(
    $true )).

fof(formula_33,axiom,(
    ? [X1] : p40(X1) )).

fof(formula_59,axiom,(
    ! [X1,X2] : p45(X1,X1) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1) )
     => f22(X1) = f3(f4(X1),f23(X1)) ) )).

fof(formula_41,axiom,(
    p41(c42) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( ( ~ p8(X1)
          & p9(X1) )
       => ( ~ p8(X1)
          & p10(X1)
          & p11(X1)
          & p12(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1) ) ) ) )).

fof(formula_44,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1) )
     => ( ~ p8(f22(X1))
        & p2(f22(X1))
        & p34(f22(X1))
        & p35(f22(X1))
        & p36(f22(X1)) ) ) )).

fof(formula_25,axiom,(
    $true )).

fof(formula_36,axiom,(
    ! [X1] : 
    ? [X2] : p16(X2,X1) )).

fof(formula_32,axiom,(
    ? [X1] : p39(X1) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1) )
     => ! [X2] : 
          ( p16(X2,f4(f22(X1)))
         => f25(X1,X2) = X2 ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => ~ p6(X2,X1) ) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
    ? [X3] : p28(X3,X1,X2) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
    ? [X3] : p33(X3,X1,X2) )).

fof(formula_31,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1) )
     => ( p2(f22(X1))
        & p34(f22(X1))
        & p35(f22(X1))
        & p36(f22(X1))
        & p1(f22(X1)) ) ) )).

fof(formula_42,axiom,(
    ! [X1] : 
      ( ( p34(X1)
        & p35(X1)
        & p36(X1)
        & p1(X1) )
     => ( p19(f5(X1))
        & p29(f5(X1))
        & p30(f5(X1))
        & p31(f5(X1))
        & p32(f5(X1),f4(X1),f4(X1)) ) ) )).

fof(formula_51,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p16(X2,f17(X1))
      & p41(X2) ) )).

fof(formula_43,axiom,(
    ! [X1,X2] : 
      ( ( p29(X2)
        & p30(X2)
        & p31(X2)
        & p32(X2,X1,X1)
        & p28(X2,X1,X1) )
     => ( p2(f3(X1,X2))
        & p34(f3(X1,X2))
        & p35(f3(X1,X2))
        & p36(f3(X1,X2)) ) ) )).

fof(formula_40,axiom,(
    ! [X1] : ~ p41(f17(X1)) )).

fof(formula_65,axiom,(
    ! [X1,X2] : 
      ( p16(X1,f17(X2))
    <=> p45(X1,X2) ) )).
%------------------------------------------------------------------------------
