%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f12(A) = f12(B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(A,C) = f13(B,C) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(C,A) = f13(C,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(A,C) = f15(B,C) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(C,A) = f15(C,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f17(A) = f17(B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f18(A,C,D) = f18(B,C,D) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f18(C,A,D) = f18(C,B,D) ) )).

fof(f18_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f18(C,D,A) = f18(C,D,B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f20(A,C,D) = f20(B,C,D) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f20(C,A,D) = f20(C,B,D) ) )).

fof(f20_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f20(C,D,A) = f20(C,D,B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f21(A) = f21(B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f25(A,C,D) = f25(B,C,D) ) )).

fof(f25_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f25(C,A,D) = f25(C,B,D) ) )).

fof(f25_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f25(C,D,A) = f25(C,D,B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f26(A,C) = f26(B,C) ) )).

fof(f26_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f26(C,A) = f26(C,B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(A,C) = f27(B,C) ) )).

fof(f27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(C,A) = f27(C,B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(A,C) = f29(B,C) ) )).

fof(f29_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(C,A) = f29(C,B) ) )).

fof(f30_substitution_1,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f30(A,C,D,E,F,G) = f30(B,C,D,E,F,G) ) )).

fof(f30_substitution_2,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f30(C,A,D,E,F,G) = f30(C,B,D,E,F,G) ) )).

fof(f30_substitution_3,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f30(C,D,A,E,F,G) = f30(C,D,B,E,F,G) ) )).

fof(f30_substitution_4,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f30(C,D,E,A,F,G) = f30(C,D,E,B,F,G) ) )).

fof(f30_substitution_5,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f30(C,D,E,F,A,G) = f30(C,D,E,F,B,G) ) )).

fof(f30_substitution_6,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f30(C,D,E,F,G,A) = f30(C,D,E,F,G,B) ) )).

fof(f31_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f31(A) = f31(B) ) )).

fof(f32_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f32(A) = f32(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p22(A,C,D) )
     => p22(B,C,D) ) )).

fof(p22_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p22(C,A,D) )
     => p22(C,B,D) ) )).

fof(p22_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p22(C,D,A) )
     => p22(C,D,B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p23(A,C,D) )
     => p23(B,C,D) ) )).

fof(p23_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p23(C,A,D) )
     => p23(C,B,D) ) )).

fof(p23_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p23(C,D,A) )
     => p23(C,D,B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p24(A) )
     => p24(B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p28(A) )
     => p28(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p33_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p33(A) )
     => p33(B) ) )).

fof(p34_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p34(A,C,D) )
     => p34(B,C,D) ) )).

fof(p34_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p34(C,A,D) )
     => p34(C,B,D) ) )).

fof(p34_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p34(C,D,A) )
     => p34(C,D,B) ) )).

fof(p35_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p35(A,C,D) )
     => p35(B,C,D) ) )).

fof(p35_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p35(C,A,D) )
     => p35(C,B,D) ) )).

fof(p35_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p35(C,D,A) )
     => p35(C,D,B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p36(A) )
     => p36(B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p37(A) )
     => p37(B) ) )).

fof(p38_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(A,C,D) )
     => p38(B,C,D) ) )).

fof(p38_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(C,A,D) )
     => p38(C,B,D) ) )).

fof(p38_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(C,D,A) )
     => p38(C,D,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(A,C) )
     => p40(B,C) ) )).

fof(p40_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(C,A) )
     => p40(C,B) ) )).

fof(p41_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p41(A,C,D) )
     => p41(B,C,D) ) )).

fof(p41_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p41(C,A,D) )
     => p41(C,B,D) ) )).

fof(p41_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p41(C,D,A) )
     => p41(C,D,B) ) )).

fof(p42_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p42(A,C) )
     => p42(B,C) ) )).

fof(p42_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p42(C,A) )
     => p42(C,B) ) )).

fof(p43_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p43(A,C,D) )
     => p43(B,C,D) ) )).

fof(p43_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p43(C,A,D) )
     => p43(C,B,D) ) )).

fof(p43_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p43(C,D,A) )
     => p43(C,D,B) ) )).

fof(p44_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p44(A,C) )
     => p44(B,C) ) )).

fof(p44_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p44(C,A) )
     => p44(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_48,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p7(X1)
        & p16(X1) )
     => ( p14(f31(X1))
        & p24(f31(X1))
        & p34(f31(X1),f13(f17(X1),f17(X1)),f17(X1))
        & p40(f31(X1),f17(X1))
        & p41(f31(X1),f13(f17(X1),f17(X1)),f17(X1)) ) ) )).

fof(formula_21,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p3(X1)
        & p16(X1)
        & p11(X2,f17(X1))
        & p11(X3,f17(X1)) )
     => p11(f20(X1,X2,X3),f17(X1)) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
        & p2(X1) )
     => p11(f29(X1,X2),f17(X1)) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
    ? [X3] : p38(X3,X1,X2) )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p36(X1) )
     => ~ p33(f17(X1)) ) )).

fof(formula_3,axiom,(
    ! [X1,X2,X3] : 
      ( p11(X3,f12(f13(X1,X2)))
     => p14(X3) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p2(X1) )
     => ! [X2] : 
          ( p11(X2,f17(X1))
         => ! [X3] : 
              ( p22(X1,X2,X3)
            <=> ! [X4] : 
                  ( p11(X4,f17(X1))
                 => ( p1(X4,X3)
                   => p23(X1,X4,X2) ) ) ) ) ) )).

fof(formula_33,axiom,(
    ! [X1,X2,X3] : 
      ( p38(X3,X1,X2)
     => p11(X3,f12(f13(X1,X2))) ) )).

fof(formula_59,axiom,(
    ! [X1,X2,X3] : 
      ( p38(X3,X1,X2)
    <=> p35(X3,X1,X2) ) )).

fof(formula_62,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p3(X1)
        & p7(X1)
        & p9(X1)
        & p10(X1)
        & p2(X1)
        & p11(X2,f17(X1))
        & p11(X3,f17(X1)) )
     => p43(X1,X2,X2) ) )).

fof(formula_55,axiom,(
    ? [X1] : 
      ( p36(X1)
      & ~ p3(X1) ) )).

fof(formula_70,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p11(X2,f12(X3))
        & p33(X3) ) )).

fof(formula_66,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => ( p33(X2)
        | p1(X1,X2) ) ) )).

fof(formula_49,axiom,(
    ! [X1,X2] : 
      ( ( ~ p33(X1)
        & ~ p33(X2) )
     => ~ p33(f13(X1,X2)) ) )).

fof(formula_53,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p11(X2,f12(X1))
      & p33(X2) ) )).

fof(formula_16,axiom,(
    $true )).

fof(formula_38,axiom,(
    ? [X1] : p37(X1) )).

fof(formula_32,axiom,(
    $true )).

fof(formula_22,axiom,(
    $true )).

fof(formula_65,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p5(X1)
        & p37(X1) )
     => ! [X2] : 
          ( p11(X2,f17(X1))
         => ! [X3] : 
              ( p11(X3,f17(X1))
             => ( ( p23(X1,X2,X3)
                  & p23(X1,X3,X2) )
               => X2 = X3 ) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p2(X1) )
     => ( ( ~ p3(X1)
          & p4(X1)
          & p28(X1)
          & p2(X1) )
       => ! [X2,X3] : 
            ( p11(X3,f17(X1))
           => ( X3 = f29(X1,X2)
            <=> ( p22(X1,X3,X2)
                & ! [X4] : 
                    ( p11(X4,f17(X1))
                   => ( p22(X1,X4,X2)
                     => p23(X1,X3,X4) ) ) ) ) ) ) ) )).

fof(formula_50,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p8(X1)
        & p16(X1) )
     => ( p14(f31(X1))
        & p24(f31(X1))
        & p34(f31(X1),f13(f17(X1),f17(X1)),f17(X1))
        & p42(f31(X1),f17(X1))
        & p41(f31(X1),f13(f17(X1),f17(X1)),f17(X1)) ) ) )).

fof(formula_18,axiom,(
    $true )).

fof(formula_28,axiom,(
    $true )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
    ? [X3] : p35(X3,X1,X2) )).

fof(formula_60,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p3(X1)
        & p7(X1)
        & p9(X1)
        & p10(X1)
        & p2(X1)
        & p11(X2,f17(X1))
        & p11(X3,f17(X1)) )
     => ( p43(X1,X2,X3)
      <=> p23(X1,X2,X3) ) ) )).

fof(formula_36,axiom,(
    ? [X1] : p16(X1) )).

fof(formula_69,conjecture,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p4(X1)
        & p28(X1)
        & p2(X1) )
     => ( ~ p3(X1)
        & p4(X1)
        & p19(X1)
        & p2(X1)
        & f21(X1) = f29(X1,c39) ) ) )).

fof(formula_24,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p3(X1)
        & p7(X1)
        & p16(X1)
        & p11(X2,f17(X1))
        & p11(X3,f17(X1)) )
     => p11(f18(X1,X2,X3),f17(X1)) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f15(X1,X2) = f15(X2,X1) )).

fof(formula_23,axiom,(
    $true )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p16(X1) )
     => p11(f21(X1),f17(X1)) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p16(X1)
        & p37(X1) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( ( ~ p3(X1)
          & p4(X1) )
       => ( ~ p3(X1)
          & p5(X1)
          & p6(X1)
          & p7(X1)
          & p8(X1)
          & p9(X1)
          & p10(X1) ) ) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : f27(X1,X2) = f15(f15(X1,X2),f32(X1)) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p16(X1) )
     => ! [X2] : 
          ( p11(X2,f17(X1))
         => ! [X3] : 
              ( p11(X3,f17(X1))
             => f20(X1,X2,X3) = f30(f17(X1),f17(X1),f17(X1),f31(X1),X2,X3) ) ) ) )).

fof(formula_52,axiom,(
    ? [X1] : p33(X1) )).

fof(formula_51,axiom,(
    ! [X1] : 
      ( ~ p33(X1)
     => ? [X2] : 
          ( p11(X2,f12(X1))
          & ~ p33(X2) ) ) )).

fof(formula_57,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p33(X1)
        & ~ p33(X2)
        & p24(X4)
        & p34(X4,f13(X1,X2),X3)
        & p35(X4,f13(X1,X2),X3)
        & p11(X5,X1)
        & p11(X6,X2) )
     => f30(X1,X2,X3,X4,X5,X6) = f25(X4,X5,X6) ) )).

fof(formula_56,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p36(X1) )
     => ? [X2] : 
          ( p11(X2,f12(f17(X1)))
          & ~ p33(X2) ) ) )).

fof(formula_37,axiom,(
    ? [X1] : p36(X1) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p16(X1) )
     => ( p19(X1)
       => ! [X2] : 
            ( p11(X2,f17(X1))
           => ( X2 = f21(X1)
            <=> ! [X3] : 
                  ( p11(X3,f17(X1))
                 => ( f20(X1,X2,X3) = X2
                    & f20(X1,X3,X2) = X2 ) ) ) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p16(X1) )
     => ( p19(X1)
      <=> ? [X2] : 
            ( p11(X2,f17(X1))
            & ! [X3] : 
                ( p11(X3,f17(X1))
               => ( f20(X1,X2,X3) = X2
                  & f20(X1,X3,X2) = X2 ) ) ) ) ) )).

fof(formula_17,axiom,(
    $true )).

fof(formula_47,axiom,(
    ! [X1,X2] : ~ p33(f15(X1,X2)) )).

fof(formula_15,axiom,(
    $true )).

fof(formula_58,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p3(X1)
        & p7(X1)
        & p16(X1)
        & p11(X2,f17(X1))
        & p11(X3,f17(X1)) )
     => f18(X1,X2,X3) = f20(X1,X2,X3) ) )).

fof(formula_54,axiom,(
    ? [X1] : ~ p33(X1) )).

fof(formula_46,axiom,(
    ! [X1] : ~ p33(f32(X1)) )).

fof(formula_35,axiom,(
    $true )).

fof(formula_68,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p11(X2,f12(X3)) )
     => p11(X1,X3) ) )).

fof(formula_72,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p33(X2) ) )).

fof(formula_71,axiom,(
    ! [X1] : 
      ( p33(X1)
     => X1 = c39 ) )).

fof(formula_67,axiom,(
    ! [X1,X2] : 
      ( p11(X1,f12(X2))
    <=> p44(X1,X2) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( ( p14(X1)
        & p24(X1) )
     => ! [X2,X3] : f25(X1,X2,X3) = f26(X1,f27(X2,X3)) ) )).

fof(formula_39,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( ( ~ p3(X1)
          & p5(X1)
          & p6(X1)
          & p7(X1)
          & p8(X1)
          & p9(X1)
          & p10(X1) )
       => ( ~ p3(X1)
          & p4(X1) ) ) ) )).

fof(formula_61,axiom,(
    ! [X1,X2] : p44(X1,X1) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p3(X1)
        & p7(X1)
        & p16(X1)
        & p11(X2,f17(X1))
        & p11(X3,f17(X1)) )
     => f18(X1,X2,X3) = f18(X1,X3,X2) ) )).

fof(formula_20,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p33(X1)
        & ~ p33(X2)
        & p24(X4)
        & p34(X4,f13(X1,X2),X3)
        & p35(X4,f13(X1,X2),X3)
        & p11(X5,X1)
        & p11(X6,X2) )
     => p11(f30(X1,X2,X3,X4,X5,X6),X3) ) )).

fof(formula_63,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p11(X1,X2) ) )).

fof(formula_64,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p7(X1)
        & p9(X1)
        & p2(X1) )
     => ! [X2] : 
          ( p11(X2,f17(X1))
         => ! [X3] : 
              ( p11(X3,f17(X1))
             => p23(X1,f18(X1,X2,X3),X2) ) ) ) )).

fof(formula_31,axiom,(
    $true )).

fof(formula_41,axiom,(
    ! [X1] : 
    ? [X2] : p11(X2,X1) )).

fof(formula_19,axiom,(
    $true )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p16(X1)
     => ( p24(f31(X1))
        & p34(f31(X1),f13(f17(X1),f17(X1)),f17(X1))
        & p38(f31(X1),f13(f17(X1),f17(X1)),f17(X1)) ) ) )).

fof(formula_25,axiom,(
    $true )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p37(X1)
     => p36(X1) ) )).

fof(formula_45,axiom,(
    p33(c39) )).

fof(formula_44,axiom,(
    ! [X1] : ~ p33(f12(X1)) )).

fof(formula_73,axiom,(
    ! [X1,X2] : 
      ~ ( p33(X1)
        & X1 != X2
        & p33(X2) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p16(X1)
     => p36(X1) ) )).
%------------------------------------------------------------------------------
