%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p5(A,C,D) )
     => p5(B,C,D) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p5(C,A,D) )
     => p5(C,B,D) ) )).

fof(p5_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p5(C,D,A) )
     => p5(C,D,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(A,C,D) )
     => p6(B,C,D) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(C,A,D) )
     => p6(C,B,D) ) )).

fof(p6_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(C,D,A) )
     => p6(C,D,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(formula_6,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p2(X1,X2)
        <=> ? [X3] : 
              ( p3(X3,f4(X1))
              & p5(X1,X2,X3)
              & ! [X4] : 
                  ( p3(X4,f4(X1))
                 => ( p5(X1,X2,X4)
                   => p6(X1,X3,X4) ) )
              & ! [X4] : 
                  ( p3(X4,f4(X1))
                 => ( ( p5(X1,X2,X4)
                      & ! [X5] : 
                          ( p3(X5,f4(X1))
                         => ( p5(X1,X2,X5)
                           => p6(X1,X4,X5) ) ) )
                   => X4 = X3 ) ) ) ) ) )).

fof(formula_4,axiom,(
    $true )).

fof(formula_9,conjecture,(
    ! [X1] : 
      ( ( p8(X1)
        & p1(X1) )
     => ! [X2] : 
          ( p2(X1,X2)
        <=> ? [X3] : 
              ( p3(X3,f4(X1))
              & p5(X1,X2,X3)
              & ! [X4] : 
                  ( p3(X4,f4(X1))
                 => ( p5(X1,X2,X4)
                   => p6(X1,X3,X4) ) ) ) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
    ? [X2] : p3(X2,X1) )).

fof(formula_5,axiom,(
    $true )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p7(X1) ) )).

fof(formula_7,axiom,(
    ? [X1] : p7(X1) )).

fof(formula_3,axiom,(
    $true )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p1(X1) )
     => ! [X2] : 
          ( p3(X2,f4(X1))
         => ! [X3] : 
              ( p3(X3,f4(X1))
             => ( ( p6(X1,X2,X3)
                  & p6(X1,X3,X2) )
               => X2 = X3 ) ) ) ) )).
%------------------------------------------------------------------------------
