%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f13(A) = f13(B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f19(A) = f19(B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(A,C) = f20(B,C) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(C,A) = f20(C,B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(A,C) = f23(B,C) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(C,A) = f23(C,B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(A,C) = f27(B,C) ) )).

fof(f27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(C,A) = f27(C,B) ) )).

fof(f30_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f30(A,C) = f30(B,C) ) )).

fof(f30_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f30(C,A) = f30(C,B) ) )).

fof(f31_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f31(A,C) = f31(B,C) ) )).

fof(f31_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f31(C,A) = f31(C,B) ) )).

fof(f32_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f32(A) = f32(B) ) )).

fof(f33_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f33(A) = f33(B) ) )).

fof(f34_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f34(A,C) = f34(B,C) ) )).

fof(f34_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f34(C,A) = f34(C,B) ) )).

fof(f35_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f35(A,C) = f35(B,C) ) )).

fof(f35_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f35(C,A) = f35(C,B) ) )).

fof(f37_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f37(A,C) = f37(B,C) ) )).

fof(f37_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f37(C,A) = f37(C,B) ) )).

fof(f48_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f48(A) = f48(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(A,C) )
     => p15(B,C) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(C,A) )
     => p15(C,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(A,C) )
     => p18(B,C) ) )).

fof(p18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(C,A) )
     => p18(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(A,C) )
     => p22(B,C) ) )).

fof(p22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(C,A) )
     => p22(C,B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p24(A,C,D) )
     => p24(B,C,D) ) )).

fof(p24_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p24(C,A,D) )
     => p24(C,B,D) ) )).

fof(p24_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p24(C,D,A) )
     => p24(C,D,B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p25(A,C,D) )
     => p25(B,C,D) ) )).

fof(p25_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p25(C,A,D) )
     => p25(C,B,D) ) )).

fof(p25_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p25(C,D,A) )
     => p25(C,D,B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p26(A) )
     => p26(B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p28(A,C,D) )
     => p28(B,C,D) ) )).

fof(p28_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p28(C,A,D) )
     => p28(C,B,D) ) )).

fof(p28_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p28(C,D,A) )
     => p28(C,D,B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p29(A,C,D) )
     => p29(B,C,D) ) )).

fof(p29_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p29(C,A,D) )
     => p29(C,B,D) ) )).

fof(p29_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p29(C,D,A) )
     => p29(C,D,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p36(A,C) )
     => p36(B,C) ) )).

fof(p36_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p36(C,A) )
     => p36(C,B) ) )).

fof(p38_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(A,C,D) )
     => p38(B,C,D) ) )).

fof(p38_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(C,A,D) )
     => p38(C,B,D) ) )).

fof(p38_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(C,D,A) )
     => p38(C,D,B) ) )).

fof(p39_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p39(A,C,D) )
     => p39(B,C,D) ) )).

fof(p39_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p39(C,A,D) )
     => p39(C,B,D) ) )).

fof(p39_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p39(C,D,A) )
     => p39(C,D,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p40(A) )
     => p40(B) ) )).

fof(p41_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p41(A) )
     => p41(B) ) )).

fof(p42_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p42(A) )
     => p42(B) ) )).

fof(p43_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p43(A,C,D) )
     => p43(B,C,D) ) )).

fof(p43_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p43(C,A,D) )
     => p43(C,B,D) ) )).

fof(p43_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p43(C,D,A) )
     => p43(C,D,B) ) )).

fof(p44_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p44(A,C,D) )
     => p44(B,C,D) ) )).

fof(p44_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p44(C,A,D) )
     => p44(C,B,D) ) )).

fof(p44_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p44(C,D,A) )
     => p44(C,D,B) ) )).

fof(p45_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p45(A) )
     => p45(B) ) )).

fof(p46_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p46(A) )
     => p46(B) ) )).

fof(p47_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p47(A) )
     => p47(B) ) )).

fof(p49_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p49(A) )
     => p49(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p50_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p50(A) )
     => p50(B) ) )).

fof(p51_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p51(A) )
     => p51(B) ) )).

fof(p53_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p53(A,C,D) )
     => p53(B,C,D) ) )).

fof(p53_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p53(C,A,D) )
     => p53(C,B,D) ) )).

fof(p53_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p53(C,D,A) )
     => p53(C,D,B) ) )).

fof(p54_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p54(A,C,D) )
     => p54(B,C,D) ) )).

fof(p54_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p54(C,A,D) )
     => p54(C,B,D) ) )).

fof(p54_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p54(C,D,A) )
     => p54(C,D,B) ) )).

fof(p55_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p55(A,C,D) )
     => p55(B,C,D) ) )).

fof(p55_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p55(C,A,D) )
     => p55(C,B,D) ) )).

fof(p55_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p55(C,D,A) )
     => p55(C,D,B) ) )).

fof(p56_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p56(A,C) )
     => p56(B,C) ) )).

fof(p56_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p56(C,A) )
     => p56(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2,X3] : 
          ( p18(X3,f13(X1))
         => ( p22(X1,X2)
           => ( X3 = f23(X1,X2)
            <=> ( p24(X1,X2,X3)
                & ! [X4] : 
                    ( p18(X4,f13(X1))
                   => ( p24(X1,X2,X4)
                     => p25(X1,X4,X3) ) ) ) ) ) ) ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( p10(X1)
     => p18(f37(X1,X2),f13(X1)) ) )).

fof(formula_45,axiom,(
    ! [X1,X2] : 
      ( ( p17(X1)
        & p17(X2) )
     => p17(f20(X1,X2)) ) )).

fof(formula_56,axiom,(
    ? [X1] : p16(X1) )).

fof(formula_65,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p2(X1)
        & p6(X1)
        & p8(X1)
        & p9(X1)
        & p1(X1)
        & p18(X2,f13(X1))
        & p18(X3,f13(X1)) )
     => ( p54(X1,X2,X3)
      <=> p29(X1,X2,X3) ) ) )).

fof(formula_66,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p2(X1)
        & p45(X1)
        & p10(X1)
        & p18(X2,f13(X1))
        & p18(X3,f13(X1)) )
     => ( p55(X1,X2,X3)
      <=> p25(X1,X2,X3) ) ) )).

fof(formula_29,axiom,(
    $true )).

fof(formula_85,axiom,(
    ! [X1,X2] : 
      ~ ( p15(X1,X2)
        & p16(X2) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( p39(X2,X1,X1)
     => ( p11(f12(X1,X2))
        & p10(f12(X1,X2)) ) ) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( ( ~ p2(X1)
        & p3(X1)
        & p1(X1)
        & p18(X2,f13(f32(X1))) )
     => p18(f35(X1,X2),f13(X1)) ) )).

fof(formula_58,axiom,(
    ? [X1] : ~ p16(X1) )).

fof(formula_52,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p2(X2)
        & p1(X2) )
     => ( p15(X1,f31(X2,X3))
      <=> ? [X4] : 
            ( p18(X4,f13(X2))
            & X1 = X4
            & p53(X2,X4,X3) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p1(X1) )
     => ! [X2] : f30(X1,X2) = f27(X1,f31(X1,X2)) ) )).

fof(formula_62,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p50(X1) )
     => ? [X2] : 
          ( p18(X2,f19(f13(X1)))
          & ~ p16(X2) ) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p49(X1)
     => p50(X1) ) )).

fof(formula_22,axiom,(
    $true )).

fof(formula_33,axiom,(
    $true )).

fof(formula_24,axiom,(
    ! [X1,X2] : 
      ( ( ~ p2(X1)
        & p3(X1)
        & p1(X1)
        & p18(X2,f13(X1)) )
     => p18(f34(X1,X2),f13(f32(X1))) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p3(X1)
        & p1(X1) )
     => p21(f48(X1)) ) )).

fof(formula_73,axiom,(
    ! [X1,X2] : 
      ( ( ~ p2(X2)
        & p3(X2)
        & p1(X2) )
     => ! [X3] : 
          ( p18(X3,f13(X2))
         => ( p53(X2,X3,X1)
          <=> p24(f32(X2),X1,f34(X2,X3)) ) ) ) )).

fof(formula_77,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p15(X3,X1)
        <=> p15(X3,X2) )
     => X1 = X2 ) )).

fof(formula_75,conjecture,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p3(X1)
        & p26(X1)
        & p1(X1) )
     => ! [X2] : 
          ( f27(X1,X2) = f37(f32(X1),X2)
          & f30(X1,X2) = f23(f32(X1),X2) ) ) )).

fof(formula_34,axiom,(
    ! [X1,X2,X3] : 
      ( p44(X3,X1,X2)
     => p18(X3,f19(f20(X1,X2))) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p3(X1)
        & p1(X1) )
     => ( p11(f32(X1))
        & p45(f32(X1))
        & p46(f32(X1))
        & p47(f32(X1))
        & p10(f32(X1)) ) ) )).

fof(formula_82,axiom,(
    ! [X1,X2,X3] : 
      ( ( p15(X1,X2)
        & p18(X2,f19(X3)) )
     => p18(X1,X3) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p3(X1)
        & p1(X1) )
     => ! [X2] : 
          ( p18(X2,f13(f32(X1)))
         => f35(X1,X2) = X2 ) ) )).

fof(formula_69,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p2(X1)
        & p45(X1)
        & p10(X1)
        & p18(X2,f13(X1))
        & p18(X3,f13(X1)) )
     => p55(X1,X2,X2) ) )).

fof(formula_51,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p3(X1)
        & p1(X1) )
     => ( ~ p2(f32(X1))
        & p11(f32(X1))
        & p45(f32(X1))
        & p46(f32(X1))
        & p47(f32(X1)) ) ) )).

fof(formula_49,axiom,(
    ! [X1] : 
      ( ( p45(X1)
        & p46(X1)
        & p47(X1)
        & p10(X1) )
     => ( p21(f14(X1))
        & p40(f14(X1))
        & p41(f14(X1))
        & p42(f14(X1))
        & p43(f14(X1),f13(X1),f13(X1)) ) ) )).

fof(formula_37,axiom,(
    ? [X1] : p49(X1) )).

fof(formula_38,axiom,(
    ? [X1] : p10(X1) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p15(X1,X2)
     => ~ p15(X2,X1) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p3(X1)
        & p1(X1) )
     => f32(X1) = f12(f13(X1),f33(X1)) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p51(X1)
     => p50(X1) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
    ? [X3] : p39(X3,X1,X2) )).

fof(formula_71,axiom,(
    ! [X1] : 
      ( ( p47(X1)
        & p10(X1) )
     => ! [X2] : 
          ( p22(X1,X2)
        <=> ? [X3] : 
              ( p18(X3,f13(X1))
              & p24(X1,X2,X3)
              & ! [X4] : 
                  ( p18(X4,f13(X1))
                 => ( p24(X1,X2,X4)
                   => p25(X1,X4,X3) ) ) ) ) ) )).

fof(formula_57,axiom,(
    ? [X1] : 
      ( p10(X1)
      & ~ p2(X1)
      & p11(X1)
      & p45(X1)
      & p46(X1)
      & p47(X1) ) )).

fof(formula_41,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_32,axiom,(
    $true )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p17(X1)
     => ! [X2] : 
          ( p18(X2,f19(X1))
         => p17(X2) ) ) )).

fof(formula_47,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p50(X1) )
     => ~ p16(f13(X1)) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p3(X1)
        & p1(X1) )
     => ! [X2] : 
          ( p18(X2,f13(X1))
         => f34(X1,X2) = X2 ) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( ( ~ p2(X1)
        & p1(X1) )
     => p18(f30(X1,X2),f13(X1)) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p3(X1)
        & p1(X1) )
     => ( p40(f33(X1))
        & p41(f33(X1))
        & p42(f33(X1))
        & p43(f33(X1),f13(X1),f13(X1))
        & p44(f33(X1),f13(X1),f13(X1)) ) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( ( ~ p2(X1)
        & p1(X1) )
     => p18(f27(X1,X2),f13(X1)) ) )).

fof(formula_83,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p15(X1,X2)
        & p18(X2,f19(X3))
        & p16(X3) ) )).

fof(formula_64,axiom,(
    ! [X1,X2,X3] : 
      ( p44(X3,X1,X2)
    <=> p39(X3,X1,X2) ) )).

fof(formula_68,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p2(X1)
        & p6(X1)
        & p8(X1)
        & p9(X1)
        & p1(X1)
        & p18(X2,f13(X1))
        & p18(X3,f13(X1)) )
     => p54(X1,X2,X2) ) )).

fof(formula_17,axiom,(
    $true )).

fof(formula_61,axiom,(
    ! [X1] : 
      ( ~ p16(X1)
     => ? [X2] : 
          ( p18(X2,f19(X1))
          & ~ p16(X2)
          & p17(X2) ) ) )).

fof(formula_76,axiom,(
    ! [X1,X2] : 
      ( p18(X1,X2)
     => ( p16(X2)
        | p15(X1,X2) ) ) )).

fof(formula_86,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p3(X1)
        & p1(X1) )
     => ! [X2] : 
          ( p18(X2,f13(X1))
         => ! [X3] : 
              ( p18(X3,f13(X1))
             => ( p54(X1,X2,X3)
              <=> p55(f32(X1),f34(X1,X2),f34(X1,X3)) ) ) ) ) )).

fof(formula_40,axiom,(
    ? [X1] : p51(X1) )).

fof(formula_67,axiom,(
    ! [X1,X2] : p56(X1,X1) )).

fof(formula_84,axiom,(
    ! [X1] : 
      ( p16(X1)
     => X1 = c52 ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( p10(X1)
     => p18(f23(X1,X2),f13(X1)) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p1(X1) )
     => ( ( ~ p2(X1)
          & p3(X1)
          & p26(X1)
          & p1(X1) )
       => ! [X2,X3] : 
            ( p18(X3,f13(X1))
           => ( X3 = f27(X1,X2)
            <=> ( p28(X1,X3,X2)
                & ! [X4] : 
                    ( p18(X4,f13(X1))
                   => ( p28(X1,X4,X2)
                     => p29(X1,X3,X4) ) ) ) ) ) ) ) )).

fof(formula_54,axiom,(
    ? [X1] : 
      ( ~ p16(X1)
      & p17(X1) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p49(X1)
        & p51(X1) ) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p10(X1)
     => p50(X1) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2,X3] : 
          ( p18(X3,f13(X1))
         => ( p36(X1,X2)
           => ( X3 = f37(X1,X2)
            <=> ( p38(X1,X2,X3)
                & ! [X4] : 
                    ( p18(X4,f13(X1))
                   => ( p38(X1,X2,X4)
                     => p25(X1,X3,X4) ) ) ) ) ) ) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ( ( ~ p16(X1)
        & p39(X2,X1,X1) )
     => ( ~ p2(f12(X1,X2))
        & p11(f12(X1,X2)) ) ) )).

fof(formula_39,axiom,(
    ? [X1] : p50(X1) )).

fof(formula_19,axiom,(
    $true )).

fof(formula_59,axiom,(
    ! [X1] : 
      ( ~ p16(X1)
     => ? [X2] : 
          ( p18(X2,f19(X1))
          & ~ p16(X2)
          & p17(X2) ) ) )).

fof(formula_63,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p3(X1)
        & p1(X1) )
     => f33(X1) = f48(X1) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p10(X1)
     => p44(f14(X1),f13(X1),f13(X1)) ) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( p18(X3,f19(f20(X1,X2)))
     => p21(X3) ) )).

fof(formula_72,axiom,(
    ! [X1,X2] : 
      ( p15(X1,X2)
     => p18(X1,X2) ) )).

fof(formula_48,axiom,(
    p16(c52) )).

fof(formula_81,axiom,(
    ! [X1,X2] : 
      ( p18(X1,f19(X2))
    <=> p56(X1,X2) ) )).

fof(formula_53,axiom,(
    ! [X1,X2] : 
      ( p39(X2,X1,X1)
     => ! [X3,X4] : 
          ( f12(X1,X2) = f12(X3,X4)
         => ( X1 = X3
            & X2 = X4 ) ) ) )).

fof(formula_79,axiom,(
    ! [X1,X2] : 
      ( ( ~ p2(X2)
        & p3(X2)
        & p1(X2) )
     => ! [X3] : 
          ( p18(X3,f13(f32(X2)))
         => ( p38(f32(X2),X1,X3)
          <=> p28(X2,f35(X2,X3),X1) ) ) ) )).

fof(formula_43,axiom,(
    ! [X1] : 
    ? [X2] : p18(X2,X1) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p16(X1)
     => p17(X1) ) )).

fof(formula_50,axiom,(
    ! [X1,X2] : 
      ( ( p40(X2)
        & p41(X2)
        & p42(X2)
        & p43(X2,X1,X1)
        & p39(X2,X1,X1) )
     => ( p11(f12(X1,X2))
        & p45(f12(X1,X2))
        & p46(f12(X1,X2))
        & p47(f12(X1,X2)) ) ) )).

fof(formula_36,axiom,(
    $true )).

fof(formula_44,axiom,(
    ! [X1,X2] : 
    ? [X3] : p44(X3,X1,X2) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p2(X1)
          & p3(X1) )
       => ( ~ p2(X1)
          & p4(X1)
          & p5(X1)
          & p6(X1)
          & p7(X1)
          & p8(X1)
          & p9(X1) ) ) ) )).

fof(formula_70,axiom,(
    ! [X1] : 
      ( ( p47(X1)
        & p10(X1) )
     => ! [X2] : 
          ( p36(X1,X2)
        <=> ? [X3] : 
              ( p18(X3,f13(X1))
              & p38(X1,X2,X3)
              & ! [X4] : 
                  ( p18(X4,f13(X1))
                 => ( p38(X1,X2,X4)
                   => p25(X1,X3,X4) ) ) ) ) ) )).

fof(formula_78,axiom,(
    ! [X1,X2] : 
      ( ( ~ p2(X2)
        & p3(X2)
        & p1(X2) )
     => ! [X3] : 
          ( p18(X3,f13(X2))
         => ( p28(X2,X3,X1)
          <=> p38(f32(X2),X1,f34(X2,X3)) ) ) ) )).

fof(formula_74,axiom,(
    ! [X1,X2] : 
      ( ( ~ p2(X2)
        & p3(X2)
        & p1(X2) )
     => ! [X3] : 
          ( p18(X3,f13(f32(X2)))
         => ( p24(f32(X2),X1,X3)
          <=> p53(X2,f35(X2,X3),X1) ) ) ) )).

fof(formula_55,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p11(X1) ) )).

fof(formula_87,axiom,(
    ! [X1,X2] : 
      ~ ( p16(X1)
        & X1 != X2
        & p16(X2) ) )).

fof(formula_80,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p3(X1)
        & p26(X1)
        & p1(X1) )
     => ! [X2] : 
          ( p18(X2,f13(X1))
         => ! [X3] : 
              ( X2 = f30(X1,X3)
            <=> ( p53(X1,X2,X3)
                & ! [X4] : 
                    ( p18(X4,f13(X1))
                   => ( p53(X1,X4,X3)
                     => p54(X1,X4,X2) ) ) ) ) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ( p11(X1)
       => X1 = f12(f13(X1),f14(X1)) ) ) )).

fof(formula_60,axiom,(
    ? [X1] : 
      ( p50(X1)
      & ~ p2(X1) ) )).
%------------------------------------------------------------------------------
