%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f12(A) = f12(B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(A,C) = f14(B,C) ) )).

fof(f14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(C,A) = f14(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(A,C,D) )
     => p13(B,C,D) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(C,A,D) )
     => p13(C,B,D) ) )).

fof(p13_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(C,D,A) )
     => p13(C,D,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(A,C,D) )
     => p16(B,C,D) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,A,D) )
     => p16(C,B,D) ) )).

fof(p16_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,D,A) )
     => p16(C,D,B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(A,C,D) )
     => p17(B,C,D) ) )).

fof(p17_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(C,A,D) )
     => p17(C,B,D) ) )).

fof(p17_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(C,D,A) )
     => p17(C,D,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_37,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p4(X2,f5(X3)) )
     => p4(X1,X3) ) )).

fof(formula_24,axiom,(
    ! [X1,X2] : 
    ? [X3] : p16(X3,X1,X2) )).

fof(formula_18,axiom,(
    $true )).

fof(formula_9,axiom,(
    $true )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p9(X2,X1)
          <=> ( p10(f11(X2),f11(X1))
              & p10(f12(X2),f12(X1)) ) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p15(X1) ) )).

fof(formula_14,axiom,(
    $true )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ? [X2] : p9(X2,X1) ) )).

fof(formula_34,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p4(X1,X2) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
    ? [X3] : p17(X3,X1,X2) )).

fof(formula_20,axiom,(
    ? [X1] : p15(X1) )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_26,axiom,(
    p2(c18) )).

fof(formula_3,axiom,(
    ! [X1,X2,X3] : 
      ( p4(X3,f5(f6(X1,X2)))
     => p7(X3) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( p4(X1,f5(X2))
    <=> p10(X1,X2) ) )).

fof(formula_39,conjecture,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p9(X2,X1)
         => ! [X3] : 
              ( p4(X3,f11(X1))
             => ! [X4] : 
                  ( p4(X4,f11(X1))
                 => ! [X5] : 
                      ( p4(X5,f11(X2))
                     => ! [X6] : 
                          ( p4(X6,f11(X2))
                         => ( ( X5 = X3
                              & X6 = X4
                              & p13(X2,X5,X6) )
                           => p13(X1,X3,X4) ) ) ) ) ) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p4(X2,f5(X1))
          & ~ p2(X2)
          & p3(X2) ) ) )).

fof(formula_16,axiom,(
    ! [X1,X2,X3] : 
      ( p16(X3,X1,X2)
     => p4(X3,f5(f6(X1,X2))) ) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p4(X2,f5(X1))
          & ~ p2(X2)
          & p3(X2) ) ) )).

fof(formula_7,axiom,(
    $true )).

fof(formula_8,axiom,(
    $true )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p16(f12(X1),f11(X1),f11(X1)) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => p3(f6(X1,X2)) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : p10(X1,X1) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_10,axiom,(
    $true )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p4(X2,f11(X1))
         => ! [X3] : 
              ( p4(X3,f11(X1))
             => ( p13(X1,X2,X3)
              <=> p1(f14(X2,X3),f12(X1)) ) ) ) ) )).

fof(formula_38,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p4(X2,f5(X3))
        & p2(X3) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p4(X2,f5(X1))
         => p3(X2) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p9(X2,X1)
         => p8(X2) ) ) )).

fof(formula_27,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p3(X1) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c18 ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_32,axiom,(
    ! [X1,X2,X3] : 
      ( p16(X3,X1,X2)
    <=> p17(X3,X1,X2) ) )).

fof(formula_19,axiom,(
    ? [X1] : p8(X1) )).

fof(formula_29,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_28,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_22,axiom,(
    ! [X1] : 
    ? [X2] : p4(X2,X1) )).
%------------------------------------------------------------------------------
