%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f13(A) = f13(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(A,C) = f15(B,C) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(C,A) = f15(C,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(A,C,D) )
     => p14(B,C,D) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(C,A,D) )
     => p14(C,B,D) ) )).

fof(p14_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(C,D,A) )
     => p14(C,D,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(A,C,D) )
     => p16(B,C,D) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,A,D) )
     => p16(C,B,D) ) )).

fof(p16_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,D,A) )
     => p16(C,D,B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(A,C,D) )
     => p19(B,C,D) ) )).

fof(p19_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(C,A,D) )
     => p19(C,B,D) ) )).

fof(p19_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(C,D,A) )
     => p19(C,D,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p21(A,C) )
     => p21(B,C) ) )).

fof(p21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p21(C,A) )
     => p21(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p4(X2,f5(X1))
          & ~ p2(X2)
          & p3(X2) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_43,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p4(X2,f5(X3))
        & p2(X3) ) )).

fof(formula_8,axiom,(
    $true )).

fof(formula_18,axiom,(
    ! [X1,X2,X3] : 
      ( p16(X3,X1,X2)
     => p4(X3,f5(f6(X1,X2))) ) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_38,axiom,(
    ! [X1,X2,X3] : 
      ( p7(X3)
     => ( p1(X1,f17(X3,X2))
      <=> ( p1(X1,X3)
          & p1(X1,f6(X2,X2)) ) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p9(X2,X1)
         => p8(X2) ) ) )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ( p4(X1,f5(X2))
    <=> p21(X1,X2) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p4(X1,X2) ) )).

fof(formula_22,axiom,(
    ? [X1] : p18(X1) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p4(X2,f5(X1))
          & ~ p2(X2)
          & p3(X2) ) ) )).

fof(formula_42,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p4(X2,f5(X3)) )
     => p4(X1,X3) ) )).

fof(formula_11,axiom,(
    $true )).

fof(formula_15,axiom,(
    $true )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p7(X1)
     => p7(f17(X1,X2)) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p4(X2,f13(X1))
         => ! [X3] : 
              ( p4(X3,f13(X1))
             => ( p14(X1,X2,X3)
              <=> p1(f15(X2,X3),f11(X1)) ) ) ) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p16(f11(X1),f13(X1),f13(X1)) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
    ? [X3] : p19(X3,X1,X2) )).

fof(formula_36,axiom,(
    ! [X1,X2] : p21(X1,X1) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
    ? [X3] : p16(X3,X1,X2) )).

fof(formula_20,axiom,(
    $true )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p4(X2,f5(X1))
         => p3(X2) ) ) )).

fof(formula_3,axiom,(
    ! [X1,X2,X3] : 
      ( p4(X3,f5(f6(X1,X2)))
     => p7(X3) ) )).

fof(formula_14,axiom,(
    $true )).

fof(formula_34,axiom,(
    ! [X1,X2] : 
      ( p7(X1)
     => f12(X1,X2) = f17(X1,X2) ) )).

fof(formula_47,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_45,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c20 ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p18(X1) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_30,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p9(X2,X1)
         => ( p10(X2,X1)
          <=> f11(X2) = f12(f11(X1),f13(X2)) ) ) ) )).

fof(formula_35,axiom,(
    ! [X1,X2,X3] : 
      ( p16(X3,X1,X2)
    <=> p19(X3,X1,X2) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => p3(f6(X1,X2)) ) )).

fof(formula_16,axiom,(
    $true )).

fof(formula_29,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p3(X1) ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_44,conjecture,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( ( p10(X2,X1)
            & p9(X2,X1) )
         => ! [X3] : 
              ( p4(X3,f13(X1))
             => ! [X4] : 
                  ( p4(X4,f13(X1))
                 => ! [X5] : 
                      ( p4(X5,f13(X2))
                     => ! [X6] : 
                          ( p4(X6,f13(X2))
                         => ( ( X5 = X3
                              & X6 = X4
                              & p14(X1,X3,X4)
                              & p1(X5,f13(X2))
                              & p1(X6,f13(X2)) )
                           => p14(X2,X5,X6) ) ) ) ) ) ) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ? [X2] : p9(X2,X1) ) )).

fof(formula_21,axiom,(
    ? [X1] : p8(X1) )).

fof(formula_28,axiom,(
    p2(c20) )).

fof(formula_37,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p1(f15(X1,X2),f6(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_31,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_24,axiom,(
    ! [X1] : 
    ? [X2] : p4(X2,X1) )).

fof(formula_9,axiom,(
    $true )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( p7(X1)
     => p16(f12(X1,X2),X2,X2) ) )).
%------------------------------------------------------------------------------
