%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(A,C,D) )
     => p9(B,C,D) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(C,A,D) )
     => p9(C,B,D) ) )).

fof(p9_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(C,D,A) )
     => p9(C,D,B) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ! [X2] : 
          ( p4(X2,f5(X1))
         => p7(X2) ) ) )).

fof(formula_21,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p1(X1)
        & p2(X1)
        & p3(X1)
        & p4(X2,f5(f6(X1)))
        & p7(X3)
        & p4(X3,f5(X2)) )
     => ( ! [X4,X5,X6] : 
            ( ( X4 = X5
              & ? [X7] : 
                  ( X7 = X5
                  & ? [X8] : 
                      ( p4(X8,f6(X1))
                      & p8(X8,X2)
                      & p9(X1,X7,X8) ) )
              & X4 = X6
              & ? [X9] : 
                  ( X9 = X6
                  & ? [X10] : 
                      ( p4(X10,f6(X1))
                      & p8(X10,X2)
                      & p9(X1,X9,X10) ) ) )
           => X5 = X6 )
       => ? [X4] : 
          ! [X5] : 
            ( p8(X5,X4)
          <=> ? [X6] : 
                ( p8(X6,f5(X3))
                & X6 = X5
                & ? [X11] : 
                    ( X11 = X5
                    & ? [X12] : 
                        ( p4(X12,f6(X1))
                        & p8(X12,X2)
                        & p9(X1,X11,X12) ) ) ) ) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( ~ p11(X1)
     => ? [X2] : 
          ( p4(X2,f5(X1))
          & ~ p11(X2)
          & p7(X2) ) ) )).

fof(formula_1,conjecture,(
    ! [X1,X2,X3] : 
      ( ( ~ p1(X1)
        & p2(X1)
        & p3(X1)
        & p4(X2,f5(f6(X1)))
        & p7(X3)
        & p4(X3,f5(X2)) )
     => ? [X4] : 
        ! [X5] : 
          ( p8(X5,X4)
        <=> ( p8(X5,f5(X3))
            & ? [X6] : 
                ( X6 = X5
                & ? [X7] : 
                    ( p4(X7,f6(X1))
                    & p8(X7,X2)
                    & p9(X1,X6,X7) ) ) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p4(X2,f5(X1))
      & p11(X2) ) )).

fof(formula_13,axiom,(
    ? [X1] : ~ p11(X1) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( ~ p11(X1)
     => ? [X2] : 
          ( p4(X2,f5(X1))
          & ~ p11(X2) ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p10(X1) ) )).

fof(formula_12,axiom,(
    ? [X1] : p11(X1) )).

fof(formula_2,axiom,(
    $true )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( ( ~ p1(X1)
        & p10(X1) )
     => ~ p11(f6(X1)) ) )).

fof(formula_18,axiom,(
    $true )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( ~ p11(X1)
     => ? [X2] : 
          ( p4(X2,f5(X1))
          & ~ p11(X2)
          & p7(X2) ) ) )).

fof(formula_17,axiom,(
    $true )).

fof(formula_3,axiom,(
    ? [X1] : 
      ( p10(X1)
      & ~ p1(X1) ) )).

fof(formula_6,axiom,(
    ? [X1] : 
      ( ~ p11(X1)
      & p7(X1) ) )).

fof(formula_20,axiom,(
    ! [X1] : ~ p11(f5(X1)) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p11(X1)
     => p7(X1) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( ~ p1(X1)
        & p10(X1) )
     => ? [X2] : 
          ( p4(X2,f5(f6(X1)))
          & ~ p11(X2) ) ) )).

fof(formula_15,axiom,(
    $true )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
     => ~ p8(X2,X1) ) )).
%------------------------------------------------------------------------------
