%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f24(A) = f24(B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f26(A) = f26(B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f27(A) = f27(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(A,C) )
     => p14(B,C) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(C,A) )
     => p14(C,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(A,C,D) )
     => p16(B,C,D) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,A,D) )
     => p16(C,B,D) ) )).

fof(p16_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,D,A) )
     => p16(C,D,B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p22(A,C,D) )
     => p22(B,C,D) ) )).

fof(p22_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p22(C,A,D) )
     => p22(C,B,D) ) )).

fof(p22_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p22(C,D,A) )
     => p22(C,D,B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p23(A) )
     => p23(B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p25(A,C,D) )
     => p25(B,C,D) ) )).

fof(p25_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p25(C,A,D) )
     => p25(C,B,D) ) )).

fof(p25_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p25(C,D,A) )
     => p25(C,D,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p6(X1,X2) ) )).

fof(formula_35,axiom,(
    ? [X1] : p8(X1) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( p16(X2,X1,X1)
     => ! [X3,X4] : 
          ( f17(X1,X2) = f17(X3,X4)
         => ( X1 = X3
            & X2 = X4 ) ) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p4(X2) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p2(X1) )
     => ? [X2] : 
          ( p6(X2,f7(f5(X1)))
          & ~ p4(X2) ) ) )).

fof(formula_18,axiom,(
    ? [X1] : ~ p4(X1) )).

fof(formula_3,axiom,(
    ? [X1] : 
      ( p2(X1)
      & ~ p3(X1) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
    ? [X2] : p6(X2,X1) )).

fof(formula_28,axiom,(
    $true )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_40,axiom,(
    ! [X1] : p23(f26(X1)) )).

fof(formula_36,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p6(X2,f7(X3))
        & p4(X3) ) )).

fof(formula_44,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p9(X1) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p6(X2,f7(X3)) )
     => p6(X1,X3) ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
    ? [X3] : p25(X3,X1,X2) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( p6(X1,f7(X2))
    <=> p14(X1,X2) ) )).

fof(formula_6,axiom,(
    ? [X1] : 
      ( p8(X1)
      & ~ p3(X1)
      & p9(X1)
      & p10(X1)
      & p11(X1)
      & p12(X1) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p9(X1)
       => X1 = f17(f5(X1),f24(X1)) ) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
    ? [X3] : p16(X3,X1,X2) )).

fof(formula_16,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p6(X2,f7(X1))
      & p4(X2) ) )).

fof(formula_25,axiom,(
    $true )).

fof(formula_42,axiom,(
    $true )).

fof(formula_51,axiom,(
    ! [X1] : 
      ( p9(f15(X1))
      & p10(f15(X1))
      & p11(f15(X1))
      & p12(f15(X1)) ) )).

fof(formula_27,axiom,(
    $true )).

fof(formula_49,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p25(f24(X1),f5(X1),f5(X1)) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p2(X1) )
     => ~ p4(f5(X1)) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( ( ~ p4(X1)
        & p16(X2,X1,X1) )
     => ( ~ p3(f17(X1,X2))
        & p9(f17(X1,X2)) ) ) )).

fof(formula_48,axiom,(
    ! [X1] : 
      ( p9(f15(X1))
      & p8(f15(X1)) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( ( ~ p4(X1)
        & ~ p4(X2) )
     => ~ p4(f18(X1,X2)) ) )).

fof(formula_45,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p11(X1)
        & p12(X1)
        & p8(X1) )
     => ( p23(f24(X1))
        & p19(f24(X1))
        & p20(f24(X1))
        & p21(f24(X1))
        & p22(f24(X1),f5(X1),f5(X1)) ) ) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => ( p4(X2)
        | p1(X1,X2) ) ) )).

fof(formula_53,conjecture,(
    ! [X1] : 
      ( f5(f15(X1)) = X1
      & f24(f15(X1)) = f27(X1) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ( ( p19(X2)
        & p20(X2)
        & p21(X2)
        & p22(X2,X1,X1)
        & p16(X2,X1,X1) )
     => ( p9(f17(X1,X2))
        & p10(f17(X1,X2))
        & p11(f17(X1,X2))
        & p12(f17(X1,X2)) ) ) )).

fof(formula_7,axiom,(
    p4(c13) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p4(X1)
     => X1 = c13 ) )).

fof(formula_30,axiom,(
    ! [X1,X2,X3] : 
      ( p6(X3,f7(f18(X1,X2)))
     => p23(X3) ) )).

fof(formula_38,axiom,(
    ! [X1,X2,X3] : 
      ( p25(X3,X1,X2)
    <=> p16(X3,X1,X2) ) )).

fof(formula_31,axiom,(
    ! [X1] : ~ p4(f7(X1)) )).

fof(formula_41,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p2(X1) ) )).

fof(formula_50,axiom,(
    $true )).

fof(formula_47,axiom,(
    ! [X1] : 
      ( p19(f27(X1))
      & p20(f27(X1))
      & p21(f27(X1))
      & p22(f27(X1),X1,X1)
      & p25(f27(X1),X1,X1) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : p14(X1,X1) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ~ ( p4(X1)
        & X1 != X2
        & p4(X2) ) )).

fof(formula_26,axiom,(
    $true )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( ~ p4(X1)
     => ( ~ p3(f15(X1))
        & p9(f15(X1))
        & p10(f15(X1))
        & p11(f15(X1))
        & p12(f15(X1)) ) ) )).

fof(formula_2,axiom,(
    $true )).

fof(formula_17,axiom,(
    ? [X1] : p4(X1) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ( p16(X2,X1,X1)
     => ( p9(f17(X1,X2))
        & p8(f17(X1,X2)) ) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( ~ p4(X1)
     => ? [X2] : 
          ( p6(X2,f7(X1))
          & ~ p4(X2) ) ) )).

fof(formula_46,axiom,(
    ! [X1] : f27(X1) = f26(X1) )).

fof(formula_52,axiom,(
    ! [X1] : f15(X1) = f17(X1,f27(X1)) )).

fof(formula_43,axiom,(
    ! [X1,X2,X3] : 
      ( p25(X3,X1,X2)
     => p6(X3,f7(f18(X1,X2))) ) )).
%------------------------------------------------------------------------------
