%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f26(A) = f26(B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(A,C) = f27(B,C) ) )).

fof(f27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(C,A) = f27(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f38_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f38(A) = f38(B) ) )).

fof(f39_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f39(A,C) = f39(B,C) ) )).

fof(f39_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f39(C,A) = f39(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f41_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f41(A,C) = f41(B,C) ) )).

fof(f41_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f41(C,A) = f41(C,B) ) )).

fof(f42_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f42(A,C) = f42(B,C) ) )).

fof(f42_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f42(C,A) = f42(C,B) ) )).

fof(f43_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f43(A,C) = f43(B,C) ) )).

fof(f43_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f43(C,A) = f43(C,B) ) )).

fof(f44_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f44(A) = f44(B) ) )).

fof(f45_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f45(A) = f45(B) ) )).

fof(f46_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f46(A) = f46(B) ) )).

fof(f47_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f47(A) = f47(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f56_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f56(A,C) = f56(B,C) ) )).

fof(f56_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f56(C,A) = f56(C,B) ) )).

fof(f61_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f61(A) = f61(B) ) )).

fof(f62_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f62(A) = f62(B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f8(A,C,D) = f8(B,C,D) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f8(C,A,D) = f8(C,B,D) ) )).

fof(f8_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f8(C,D,A) = f8(C,D,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p23(A) )
     => p23(B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p24(A) )
     => p24(B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p25(A,C) )
     => p25(B,C) ) )).

fof(p25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p25(C,A) )
     => p25(C,B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p28(A) )
     => p28(B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p29(A) )
     => p29(B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p30(A) )
     => p30(B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p31(A) )
     => p31(B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p32(A) )
     => p32(B) ) )).

fof(p33_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p33(A) )
     => p33(B) ) )).

fof(p34_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p34(A) )
     => p34(B) ) )).

fof(p35_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p35(A) )
     => p35(B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p36(A) )
     => p36(B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p37(A) )
     => p37(B) ) )).

fof(p48_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p48(A,C,D) )
     => p48(B,C,D) ) )).

fof(p48_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p48(C,A,D) )
     => p48(C,B,D) ) )).

fof(p48_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p48(C,D,A) )
     => p48(C,D,B) ) )).

fof(p49_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p49(A) )
     => p49(B) ) )).

fof(p50_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p50(A,C,D) )
     => p50(B,C,D) ) )).

fof(p50_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p50(C,A,D) )
     => p50(C,B,D) ) )).

fof(p50_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p50(C,D,A) )
     => p50(C,D,B) ) )).

fof(p51_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p51(A) )
     => p51(B) ) )).

fof(p52_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p52(A) )
     => p52(B) ) )).

fof(p53_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p53(A) )
     => p53(B) ) )).

fof(p54_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p54(A,C,D) )
     => p54(B,C,D) ) )).

fof(p54_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p54(C,A,D) )
     => p54(C,B,D) ) )).

fof(p54_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p54(C,D,A) )
     => p54(C,D,B) ) )).

fof(p55_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p55(A,C,D) )
     => p55(B,C,D) ) )).

fof(p55_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p55(C,A,D) )
     => p55(C,B,D) ) )).

fof(p55_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p55(C,D,A) )
     => p55(C,D,B) ) )).

fof(p57_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p57(A) )
     => p57(B) ) )).

fof(p58_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p58(A) )
     => p58(B) ) )).

fof(p59_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p59(A) )
     => p59(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p60_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p60(A) )
     => p60(B) ) )).

fof(p63_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p63(A) )
     => p63(B) ) )).

fof(p64_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p64(A) )
     => p64(B) ) )).

fof(p65_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p65(A) )
     => p65(B) ) )).

fof(p66_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p66(A,C,D) )
     => p66(B,C,D) ) )).

fof(p66_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p66(C,A,D) )
     => p66(C,B,D) ) )).

fof(p66_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p66(C,D,A) )
     => p66(C,D,B) ) )).

fof(p67_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p67(A,C) )
     => p67(B,C) ) )).

fof(p67_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p67(C,A) )
     => p67(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(formula_33,axiom,(
    $true )).

fof(formula_87,axiom,(
    ! [X1] : 
      ( ~ p65(X1)
     => ? [X2] : 
          ( p25(X2,f26(X1))
          & ~ p65(X2) ) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p2(X1)
       => X1 = f3(f4(X1),f5(X1)) ) ) )).

fof(formula_45,axiom,(
    $true )).

fof(formula_103,conjecture,(
    ! [X1] : f38(f46(X1)) = c40 )).

fof(formula_64,axiom,(
    p65(c40) )).

fof(formula_114,axiom,(
    ! [X1,X2] : 
      ~ ( p11(X1,X2)
        & p65(X2) ) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ( ( ~ p12(X1)
        & p6(X1) )
     => p25(f41(X1,X2),f4(X1)) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p24(X1)
       => ~ p12(X1) ) ) )).

fof(formula_62,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p63(X1) )
     => ~ p65(f4(X1)) ) )).

fof(formula_82,axiom,(
    ? [X1] : 
      ( p6(X1)
      & ~ p12(X1)
      & p7(X1)
      & p15(X1)
      & p16(X1)
      & p17(X1)
      & p18(X1)
      & p19(X1)
      & p20(X1)
      & p13(X1)
      & p21(X1)
      & p22(X1)
      & p23(X1) ) )).

fof(formula_85,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p2(X1)
      & p57(X1)
      & p58(X1)
      & p59(X1)
      & p29(X1) ) )).

fof(formula_75,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p14(X1)
        & p6(X1) )
     => ( ~ p12(f44(X1))
        & p2(f44(X1))
        & p57(f44(X1))
        & p58(f44(X1))
        & p59(f44(X1))
        & p32(f44(X1))
        & p33(f44(X1))
        & p31(f44(X1))
        & p24(f44(X1))
        & p30(f44(X1))
        & p29(f44(X1)) ) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => ~ p11(X2,X1) ) )).

fof(formula_94,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p57(X1)
      & p58(X1)
      & p59(X1)
      & p24(X1)
      & p30(X1)
      & p29(X1)
      & p32(X1)
      & p33(X1)
      & p31(X1) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( ( ~ p12(X1)
          & p13(X1)
          & p14(X1) )
       => ( ~ p12(X1)
          & p15(X1)
          & p16(X1)
          & p17(X1)
          & p18(X1)
          & p19(X1)
          & p20(X1)
          & p13(X1)
          & p21(X1)
          & p22(X1)
          & p23(X1) ) ) ) )).

fof(formula_52,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_58,axiom,(
    ! [X1,X2] : 
    ? [X3] : p55(X3,X1,X2) )).

fof(formula_97,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p63(X1) )
     => ? [X2] : 
          ( p25(X2,f26(f4(X1)))
          & ~ p65(X2) ) ) )).

fof(formula_57,axiom,(
    ! [X1] : 
    ? [X2] : p25(X2,X1) )).

fof(formula_100,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1) )
     => f45(X1) = f62(X1) ) )).

fof(formula_86,axiom,(
    ? [X1] : 
      ( p1(X1)
      & p2(X1) ) )).

fof(formula_111,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p14(X1)
        & p6(X1) )
     => ( ~ p12(X1)
        & p13(X1)
        & p21(X1)
        & p6(X1)
        & f61(X1) = f42(X1,c40) ) ) )).

fof(formula_30,axiom,(
    $true )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p1(X1)
     => f38(X1) = f39(X1,c40) ) )).

fof(formula_107,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p11(X3,X1)
        <=> p11(X3,X2) )
     => X1 = X2 ) )).

fof(formula_66,axiom,(
    ! [X1] : 
      ( ~ p12(f47(X1))
      & p7(f47(X1))
      & p15(f47(X1))
      & p16(f47(X1))
      & p17(f47(X1))
      & p18(f47(X1))
      & p19(f47(X1))
      & p20(f47(X1))
      & p13(f47(X1)) ) )).

fof(formula_37,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p60(X1) )
     => p25(f61(X1),f4(X1)) ) )).

fof(formula_49,axiom,(
    $true )).

fof(formula_68,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p22(X1)
        & p6(X1) )
     => ( ~ p12(f44(X1))
        & p2(f44(X1))
        & p57(f44(X1))
        & p58(f44(X1))
        & p59(f44(X1))
        & p33(f44(X1))
        & p24(f44(X1))
        & p30(f44(X1)) ) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p29(X1) )
       => ( ~ p12(X1)
          & p31(X1) ) ) ) )).

fof(formula_80,axiom,(
    ! [X1,X2,X3] : 
      ( ( p49(X2)
        & p50(X2,f27(X1,X1),X1)
        & p48(X2,f27(X1,X1),X1)
        & p49(X3)
        & p50(X3,f27(X1,X1),X1)
        & p48(X3,f27(X1,X1),X1) )
     => ! [X4,X5,X6] : 
          ( f8(X1,X2,X3) = f8(X4,X5,X6)
         => ( X1 = X4
            & X2 = X5
            & X3 = X6 ) ) ) )).

fof(formula_115,axiom,(
    ! [X1,X2] : 
      ~ ( p65(X1)
        & X1 != X2
        & p65(X2) ) )).

fof(formula_98,axiom,(
    ? [X1] : 
      ( p6(X1)
      & ~ p12(X1)
      & p7(X1) ) )).

fof(formula_84,axiom,(
    ? [X1] : 
      ( p6(X1)
      & ~ p12(X1)
      & p7(X1)
      & p15(X1)
      & p16(X1)
      & p17(X1)
      & p18(X1)
      & p19(X1)
      & p20(X1)
      & p13(X1)
      & p35(X1)
      & p21(X1)
      & p22(X1)
      & p23(X1)
      & p36(X1)
      & p34(X1) ) )).

fof(formula_96,axiom,(
    ? [X1] : 
      ( p63(X1)
      & ~ p12(X1) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p63(X1) ) )).

fof(formula_109,axiom,(
    ! [X1,X2] : 
      ( p25(X1,f26(X2))
    <=> p67(X1,X2) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1) )
     => f44(X1) = f3(f4(X1),f45(X1)) ) )).

fof(formula_90,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p2(X1)
      & p57(X1)
      & p58(X1)
      & p59(X1) ) )).

fof(formula_73,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1) )
     => ( ~ p12(f44(X1))
        & p2(f44(X1))
        & p57(f44(X1))
        & p58(f44(X1))
        & p59(f44(X1)) ) ) )).

fof(formula_69,axiom,(
    ! [X1] : 
      ( ~ p12(f47(X1))
      & p7(f47(X1))
      & p15(f47(X1))
      & p16(f47(X1))
      & p17(f47(X1))
      & p18(f47(X1))
      & p19(f47(X1))
      & p20(f47(X1))
      & p13(f47(X1))
      & p35(f47(X1))
      & p37(f47(X1))
      & p21(f47(X1))
      & p22(f47(X1))
      & p23(f47(X1))
      & p36(f47(X1))
      & p34(f47(X1)) ) )).

fof(formula_60,axiom,(
    ! [X1] : 
      ( ~ p12(f47(X1))
      & p7(f47(X1)) ) )).

fof(formula_102,axiom,(
    ! [X1,X2] : p67(X1,X1) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p25(f38(X1),f4(X1)) ) )).

fof(formula_79,axiom,(
    ! [X1,X2] : 
      ( p48(X2,X1,X1)
     => ! [X3,X4] : 
          ( f3(X1,X2) = f3(X3,X4)
         => ( X1 = X3
            & X2 = X4 ) ) ) )).

fof(formula_113,axiom,(
    ! [X1] : 
      ( p65(X1)
     => X1 = c40 ) )).

fof(formula_77,axiom,(
    ! [X1] : 
      ( ~ p12(f46(X1))
      & p2(f46(X1))
      & p57(f46(X1))
      & p58(f46(X1))
      & p59(f46(X1))
      & p32(f46(X1))
      & p33(f46(X1))
      & p31(f46(X1))
      & p24(f46(X1))
      & p30(f46(X1))
      & p29(f46(X1)) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p29(X1) )
       => ( ~ p12(X1)
          & p24(X1)
          & p30(X1) ) ) ) )).

fof(formula_61,axiom,(
    ! [X1,X2] : 
      ( ( ~ p65(X1)
        & p48(X2,X1,X1) )
     => ( ~ p12(f3(X1,X2))
        & p2(f3(X1,X2)) ) ) )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( p60(X1)
        & p64(X1) ) ) )).

fof(formula_74,axiom,(
    ! [X1,X2] : 
      ( ( ~ p65(X1)
        & ~ p65(X2) )
     => ~ p65(f27(X1,X2)) ) )).

fof(formula_38,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1) )
     => p28(f62(X1)) ) )).

fof(formula_89,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p2(X1)
      & p57(X1)
      & p58(X1)
      & p59(X1)
      & p24(X1)
      & p30(X1)
      & p29(X1) ) )).

fof(formula_83,axiom,(
    ? [X1] : 
      ( p6(X1)
      & ~ p12(X1)
      & p7(X1)
      & p15(X1)
      & p16(X1)
      & p17(X1)
      & p18(X1)
      & p19(X1)
      & p20(X1)
      & p13(X1)
      & p21(X1)
      & p22(X1)
      & p23(X1)
      & p36(X1) ) )).

fof(formula_93,axiom,(
    ? [X1] : ~ p65(X1) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( p32(X1)
          & p33(X1) )
       => p31(X1) ) ) )).

fof(formula_71,axiom,(
    ! [X1,X2] : 
      ( ( p51(X2)
        & p52(X2)
        & p53(X2)
        & p54(X2,X1,X1)
        & p48(X2,X1,X1) )
     => ( p2(f3(X1,X2))
        & p57(f3(X1,X2))
        & p58(f3(X1,X2))
        & p59(f3(X1,X2)) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( ( ~ p12(X1)
          & p35(X1)
          & p23(X1)
          & p36(X1) )
       => ( ~ p12(X1)
          & p34(X1) ) ) ) )).

fof(formula_99,axiom,(
    ? [X1] : 
      ( p6(X1)
      & ~ p12(X1)
      & p7(X1)
      & p15(X1)
      & p16(X1)
      & p17(X1)
      & p18(X1)
      & p19(X1)
      & p20(X1)
      & p13(X1) ) )).

fof(formula_39,axiom,(
    ! [X1] : 
      ( p60(X1)
     => p63(X1) ) )).

fof(formula_46,axiom,(
    ! [X1,X2,X3] : 
      ( p55(X3,X1,X2)
     => p25(X3,f26(f27(X1,X2))) ) )).

fof(formula_70,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p65(X1)
        & p49(X2)
        & p50(X2,f27(X1,X1),X1)
        & p48(X2,f27(X1,X1),X1)
        & p49(X3)
        & p50(X3,f27(X1,X1),X1)
        & p48(X3,f27(X1,X1),X1) )
     => ( ~ p12(f8(X1,X2,X3))
        & p7(f8(X1,X2,X3)) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : f46(X1) = f44(f47(X1)) )).

fof(formula_63,axiom,(
    ! [X1] : ~ p65(f26(X1)) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1) )
     => ( p51(f45(X1))
        & p52(f45(X1))
        & p53(f45(X1))
        & p54(f45(X1),f4(X1),f4(X1))
        & p55(f45(X1),f4(X1),f4(X1)) ) ) )).

fof(formula_110,axiom,(
    ! [X1,X2,X3] : 
      ( ( p11(X1,X2)
        & p25(X2,f26(X3)) )
     => p25(X1,X3) ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( p1(X1)
     => p25(f56(X1,X2),f4(X1)) ) )).

fof(formula_44,axiom,(
    $true )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( ( ~ p12(X1)
          & p13(X1) )
       => ( ~ p12(X1)
          & p15(X1)
          & p16(X1)
          & p17(X1)
          & p18(X1)
          & p19(X1)
          & p20(X1) ) ) ) )).

fof(formula_88,axiom,(
    ? [X1] : p65(X1) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1) )
     => ( p2(f44(X1))
        & p57(f44(X1))
        & p58(f44(X1))
        & p59(f44(X1))
        & p1(f44(X1)) ) ) )).

fof(formula_48,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p55(f5(X1),f4(X1),f4(X1)) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p31(X1)
       => ( p32(X1)
          & p33(X1) ) ) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ( p1(X1)
     => p25(f39(X1,X2),f4(X1)) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p7(f47(X1))
      & p6(f47(X1)) ) )).

fof(formula_50,axiom,(
    ! [X1] : 
      ( p64(X1)
     => ( p49(f9(X1))
        & p50(f9(X1),f27(f4(X1),f4(X1)),f4(X1))
        & p55(f9(X1),f27(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_104,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => p25(X1,X2) ) )).

fof(formula_106,axiom,(
    ! [X1,X2] : 
      ( p25(X1,X2)
     => ( p65(X2)
        | p11(X1,X2) ) ) )).

fof(formula_53,axiom,(
    ? [X1] : p63(X1) )).

fof(formula_108,axiom,(
    ! [X1] : 
      ( p21(f47(X1))
      & f61(f47(X1)) = c40 ) )).

fof(formula_59,axiom,(
    ! [X1] : 
      ( ~ p12(f47(X1))
      & p7(f47(X1))
      & p15(f47(X1))
      & p16(f47(X1))
      & p17(f47(X1))
      & p18(f47(X1))
      & p19(f47(X1))
      & p20(f47(X1))
      & p13(f47(X1))
      & p35(f47(X1))
      & p37(f47(X1))
      & p21(f47(X1))
      & p22(f47(X1))
      & p23(f47(X1))
      & p36(f47(X1))
      & p34(f47(X1))
      & p14(f47(X1)) ) )).

fof(formula_92,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p25(X2,f26(X1))
      & p65(X2) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p2(f46(X1))
      & p1(f46(X1)) ) )).

fof(formula_42,axiom,(
    ! [X1] : 
      ( p64(X1)
     => p63(X1) ) )).

fof(formula_24,axiom,(
    ! [X1,X2,X3] : 
      ( ( p49(X2)
        & p50(X2,f27(X1,X1),X1)
        & p48(X2,f27(X1,X1),X1)
        & p49(X3)
        & p50(X3,f27(X1,X1),X1)
        & p48(X3,f27(X1,X1),X1) )
     => ( p7(f8(X1,X2,X3))
        & p6(f8(X1,X2,X3)) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( ( ~ p12(X1)
          & p13(X1)
          & p35(X1) )
       => ( ~ p12(X1)
          & p15(X1)
          & p16(X1)
          & p17(X1)
          & p18(X1)
          & p19(X1)
          & p20(X1)
          & p13(X1)
          & p37(X1) ) ) ) )).

fof(formula_72,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p21(X1)
        & p6(X1) )
     => ( ~ p12(f44(X1))
        & p2(f44(X1))
        & p57(f44(X1))
        & p58(f44(X1))
        & p59(f44(X1))
        & p32(f44(X1))
        & p24(f44(X1))
        & p30(f44(X1)) ) ) )).

fof(formula_28,axiom,(
    $true )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( ( ~ p12(X1)
          & p21(X1)
          & p22(X1) )
       => ( ~ p12(X1)
          & p23(X1) ) ) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p6(X1) )
     => ! [X2] : f41(X1,X2) = f42(X1,f43(X1,X2)) ) )).

fof(formula_47,axiom,(
    ! [X1] : 
      ( p60(X1)
     => ( p49(f10(X1))
        & p50(f10(X1),f27(f4(X1),f4(X1)),f4(X1))
        & p55(f10(X1),f27(f4(X1),f4(X1)),f4(X1)) ) ) )).

fof(formula_41,axiom,(
    $true )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( p48(X2,X1,X1)
     => ( p2(f3(X1,X2))
        & p1(f3(X1,X2)) ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( ( ~ p12(X1)
          & p23(X1) )
       => ( ~ p12(X1)
          & p21(X1)
          & p22(X1) ) ) ) )).

fof(formula_67,axiom,(
    ! [X1] : 
      ( ( p57(X1)
        & p58(X1)
        & p59(X1)
        & p1(X1) )
     => ( p28(f5(X1))
        & p51(f5(X1))
        & p52(f5(X1))
        & p53(f5(X1))
        & p54(f5(X1),f4(X1),f4(X1)) ) ) )).

fof(formula_51,axiom,(
    ? [X1] : p60(X1) )).

fof(formula_55,axiom,(
    ? [X1] : p6(X1) )).

fof(formula_112,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p11(X1,X2)
        & p25(X2,f26(X3))
        & p65(X3) ) )).

fof(formula_81,axiom,(
    ? [X1] : 
      ( p6(X1)
      & ~ p12(X1)
      & p7(X1)
      & p15(X1)
      & p16(X1)
      & p17(X1)
      & p18(X1)
      & p19(X1)
      & p20(X1)
      & p13(X1)
      & p35(X1)
      & p37(X1)
      & p21(X1)
      & p22(X1) ) )).

fof(formula_95,axiom,(
    ? [X1] : 
      ( p6(X1)
      & p7(X1) ) )).

fof(formula_56,axiom,(
    ! [X1,X2] : 
    ? [X3] : p48(X3,X1,X2) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( ( ~ p12(X1)
          & p15(X1)
          & p16(X1)
          & p17(X1)
          & p18(X1)
          & p19(X1)
          & p20(X1) )
       => ( ~ p12(X1)
          & p13(X1) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p30(X1)
       => ~ p12(X1) ) ) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( ( ~ p12(X1)
        & p6(X1) )
     => p25(f42(X1,X2),f4(X1)) ) )).

fof(formula_91,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p48(X3,X1,X2)
      & p28(X3)
      & p49(X3) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( ( ~ p12(X1)
          & p34(X1) )
       => ( ~ p12(X1)
          & p35(X1)
          & p21(X1)
          & p22(X1)
          & p23(X1)
          & p36(X1) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3] : 
      ( p25(X3,f26(f27(X1,X2)))
     => p28(X3) ) )).

fof(formula_76,axiom,(
    ! [X1] : 
      ( ~ p12(f46(X1))
      & p2(f46(X1))
      & p57(f46(X1))
      & p58(f46(X1))
      & p59(f46(X1)) ) )).

fof(formula_54,axiom,(
    ? [X1] : p64(X1) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( p7(X1)
       => X1 = f8(f4(X1),f9(X1),f10(X1)) ) ) )).

fof(formula_105,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p14(X1)
        & p6(X1) )
     => ! [X2] : 
          ( f42(X1,X2) = f39(f44(X1),X2)
          & f41(X1,X2) = f56(f44(X1),X2) ) ) )).

fof(formula_65,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p6(X1) )
     => ( ~ p12(f44(X1))
        & p2(f44(X1))
        & p57(f44(X1))
        & p58(f44(X1))
        & p59(f44(X1))
        & p24(f44(X1))
        & p30(f44(X1)) ) ) )).

fof(formula_78,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p12(X2)
        & p6(X2) )
     => ( p11(X1,f43(X2,X3))
      <=> ? [X4] : 
            ( p25(X4,f4(X2))
            & X1 = X4
            & p66(X2,X4,X3) ) ) ) )).

fof(formula_101,axiom,(
    ! [X1,X2,X3] : 
      ( p55(X3,X1,X2)
    <=> p48(X3,X1,X2) ) )).
%------------------------------------------------------------------------------
