%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f18(A) = f18(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p11(A,C,D) )
     => p11(B,C,D) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p11(C,A,D) )
     => p11(C,B,D) ) )).

fof(p11_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p11(C,D,A) )
     => p11(C,D,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p12(A,C,D) )
     => p12(B,C,D) ) )).

fof(p12_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p12(C,A,D) )
     => p12(C,B,D) ) )).

fof(p12_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p12(C,D,A) )
     => p12(C,D,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(A,C) )
     => p13(B,C) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(C,A) )
     => p13(C,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(A,C) )
     => p14(B,C) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(C,A) )
     => p14(C,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(A,C) )
     => p15(B,C) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(C,A) )
     => p15(C,B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(A,C,D) )
     => p19(B,C,D) ) )).

fof(p19_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(C,A,D) )
     => p19(C,B,D) ) )).

fof(p19_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(C,D,A) )
     => p19(C,D,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p2(X1)
        & p3(X1) )
     => ( p4(X1)
        & p3(X1)
        & p8(X1) ) ) )).

fof(formula_43,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_29,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p17(X1)
      & p3(X1) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_28,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1) ) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ( p15(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_33,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1)
      & p8(X1) ) )).

fof(formula_27,axiom,(
    p4(c16) )).

fof(formula_16,axiom,(
    ? [X1] : p5(X1) )).

fof(formula_36,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p17(X1)
      & p3(X1) ) )).

fof(formula_32,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p4(X1) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( p6(X1)
       => p7(X1) ) ) )).

fof(formula_24,axiom,(
    p17(c16) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ? [X2] : p14(X2,X1) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p14(X2,X1)
         => p5(X2) ) ) )).

fof(formula_30,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p4(X1) ) )).

fof(formula_15,axiom,(
    $true )).

fof(formula_35,axiom,(
    ? [X1] : 
      ( p9(X1)
      & ~ p6(X1) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
    ? [X2] : p15(X2,X1) )).

fof(formula_31,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p2(X1)
      & p3(X1) ) )).

fof(formula_23,axiom,(
    p4(c16) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p5(X1)
     => p9(X1) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p4(X1) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( ~ p7(X1)
       => ~ p6(X1) ) ) )).

fof(formula_41,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c16 ) )).

fof(formula_34,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p17(X1) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p9(X1)
     => ? [X2] : p10(X2,X1) ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p15(X1,X2) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p10(X2,X1) )
     => ! [X3] : 
          ( p11(X3,X1,X2)
         => p10(X3,X1) ) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( ( p13(X2,X1)
            & p14(X2,X1) )
         => ! [X3] : 
              ( p15(X3,f18(X1))
             => ! [X4] : 
                  ( p15(X4,f18(X1))
                 => ! [X5] : 
                      ( p15(X5,f18(X2))
                     => ! [X6] : 
                          ( p15(X6,f18(X2))
                         => ( ( X5 = X3
                              & X6 = X4
                              & p19(X1,X3,X4)
                              & p1(X5,f18(X2))
                              & p1(X6,f18(X2)) )
                           => p19(X2,X5,X6) ) ) ) ) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_26,axiom,(
    p2(c16) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p9(X1)
     => ! [X2] : 
          ( p10(X2,X1)
         => p5(X2) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p9(X1)
     => ! [X2] : 
          ( p10(X2,X1)
         => ! [X3] : 
              ( p11(X3,X1,X2)
             => ( p12(X3,X1,X2)
              <=> ( p13(X3,X2)
                  & p14(X3,X2) ) ) ) ) ) )).

fof(formula_10,axiom,(
    $true )).

fof(formula_17,axiom,(
    ? [X1] : p9(X1) )).

fof(formula_8,axiom,(
    $true )).

fof(formula_22,axiom,(
    p2(c16) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_38,conjecture,(
    ! [X1] : 
      ( p9(X1)
     => ! [X2] : 
          ( ( ~ p6(X2)
            & p10(X2,X1) )
         => ! [X3] : 
              ( ( ~ p6(X3)
                & p12(X3,X1,X2)
                & p11(X3,X1,X2) )
             => ! [X4] : 
                  ( p15(X4,f18(X2))
                 => ! [X5] : 
                      ( p15(X5,f18(X2))
                     => ! [X6] : 
                          ( p15(X6,f18(X3))
                         => ! [X7] : 
                              ( p15(X7,f18(X3))
                             => ( ( X4 = X6
                                  & X5 = X7
                                  & p19(X2,X4,X5) )
                               => p19(X3,X6,X7) ) ) ) ) ) ) ) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p10(X2,X1) )
     => ? [X3] : p11(X3,X1,X2) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( ( ~ p6(X1)
        & p9(X1) )
     => ~ p2(f18(X1)) ) )).
%------------------------------------------------------------------------------
