%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f17(A,C,D) = f17(B,C,D) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f17(C,A,D) = f17(C,B,D) ) )).

fof(f17_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f17(C,D,A) = f17(C,D,B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f20(A,C,D,E) = f20(B,C,D,E) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f20(C,A,D,E) = f20(C,B,D,E) ) )).

fof(f20_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f20(C,D,A,E) = f20(C,D,B,E) ) )).

fof(f20_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f20(C,D,E,A) = f20(C,D,E,B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(A,C) = f21(B,C) ) )).

fof(f21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(C,A) = f21(C,B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(A,C) = f27(B,C) ) )).

fof(f27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(C,A) = f27(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(A,C) )
     => p13(B,C) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(C,A) )
     => p13(C,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(A,C,D) )
     => p14(B,C,D) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(C,A,D) )
     => p14(C,B,D) ) )).

fof(p14_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(C,D,A) )
     => p14(C,D,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(A,C,D) )
     => p16(B,C,D) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,A,D) )
     => p16(C,B,D) ) )).

fof(p16_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,D,A) )
     => p16(C,D,B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p18(A,C,D) )
     => p18(B,C,D) ) )).

fof(p18_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p18(C,A,D) )
     => p18(C,B,D) ) )).

fof(p18_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p18(C,D,A) )
     => p18(C,D,B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p22(A,C,D) )
     => p22(B,C,D) ) )).

fof(p22_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p22(C,A,D) )
     => p22(C,B,D) ) )).

fof(p22_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p22(C,D,A) )
     => p22(C,D,B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p23(A,C,D) )
     => p23(B,C,D) ) )).

fof(p23_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p23(C,A,D) )
     => p23(C,B,D) ) )).

fof(p23_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p23(C,D,A) )
     => p23(C,D,B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p24(A,C,D) )
     => p24(B,C,D) ) )).

fof(p24_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p24(C,A,D) )
     => p24(C,B,D) ) )).

fof(p24_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p24(C,D,A) )
     => p24(C,D,B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p26(A) )
     => p26(B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p28(A,C) )
     => p28(B,C) ) )).

fof(p28_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p28(C,A) )
     => p28(C,B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p29(A) )
     => p29(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_34,axiom,(
    p26(c25) )).

fof(formula_13,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( ~ p9(X1)
        & p12(X1)
        & ~ p9(X2)
        & p12(X2)
        & p3(X3)
        & p22(X3,f15(X1),f15(X2))
        & p23(X3,f15(X1),f15(X2))
        & p5(X4,f15(X1)) )
     => p5(f20(X1,X2,X3,X4),f15(X2)) ) )).

fof(formula_39,axiom,(
    p4(c25) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( ( p12(X1)
        & p13(X2,X1) )
     => ( p3(f21(X1,X2))
        & p22(f21(X1,X2),f15(X2),f15(X1))
        & p24(f21(X1,X2),f15(X2),f15(X1)) ) ) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
      ( ( ~ p9(X1)
        & p12(X1)
        & ~ p9(X2)
        & p13(X2,X1) )
     => ( ~ p2(f21(X1,X2))
        & p4(f21(X1,X2))
        & p3(f21(X1,X2))
        & p22(f21(X1,X2),f15(X2),f15(X1)) ) ) )).

fof(formula_57,conjecture,(
    ! [X1] : 
      ( ( ~ p9(X1)
        & p12(X1) )
     => ! [X2] : 
          ( ( ~ p9(X2)
            & p29(X2)
            & p19(X2)
            & p13(X2,X1) )
         => ! [X3] : 
              ( p14(X1,X2,X3)
             => p18(X1,X2,X3) ) ) ) )).

fof(formula_62,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c25 ) )).

fof(formula_15,axiom,(
    $true )).

fof(formula_17,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p9(X1)
        & p12(X1)
        & ~ p9(X2)
        & p13(X2,X1)
        & p5(X3,f15(X2)) )
     => p5(f17(X1,X2,X3),f15(X1)) ) )).

fof(formula_48,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1)
      & p11(X1) ) )).

fof(formula_23,axiom,(
    ! [X1,X2,X3] : 
      ( p24(X3,X1,X2)
     => p5(X3,f6(f7(X1,X2))) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( ~ p10(X1)
       => ~ p9(X1) ) ) )).

fof(formula_42,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p26(X1)
      & p3(X1) ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ( ( ~ p2(X1)
        & ~ p2(X2) )
     => ~ p2(f7(X1,X2)) ) )).

fof(formula_33,axiom,(
    p4(c25) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p12(X1) ) )).

fof(formula_31,axiom,(
    ! [X1,X2] : 
    ? [X3] : p24(X3,X1,X2) )).

fof(formula_51,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p26(X1)
      & p3(X1) ) )).

fof(formula_64,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_55,axiom,(
    ! [X1,X2] : p28(X1,X1) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p4(X1) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p12(X1)
     => ! [X2] : 
          ( p13(X2,X1)
         => p8(X2) ) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
    ? [X3] : p23(X3,X1,X2) )).

fof(formula_43,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p4(X1) ) )).

fof(formula_49,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p26(X1) ) )).

fof(formula_22,axiom,(
    $true )).

fof(formula_21,axiom,(
    $true )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( ( ~ p9(X1)
        & p12(X1) )
     => ~ p2(f15(X1)) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_59,axiom,(
    ! [X1,X2] : 
      ( p5(X1,f6(X2))
    <=> p28(X1,X2) ) )).

fof(formula_50,axiom,(
    ? [X1] : 
      ( p12(X1)
      & ~ p9(X1) ) )).

fof(formula_45,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p2(X1)
      & p3(X1) ) )).

fof(formula_37,axiom,(
    ! [X1] : ~ p2(f6(X1)) )).

fof(formula_44,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p5(X2,f6(X1))
          & ~ p2(X2) ) ) )).

fof(formula_63,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p2(X1)
        & p3(X1) )
     => ( p4(X1)
        & p3(X1)
        & p11(X1) ) ) )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( ( ~ p9(X1)
        & p12(X1) )
     => ? [X2] : 
          ( p5(X2,f6(f15(X1)))
          & ~ p2(X2) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( ( ~ p9(X1)
        & p12(X1) )
     => ! [X2] : 
          ( ( ~ p9(X2)
            & p13(X2,X1) )
         => ! [X3] : 
              ( p14(X1,X2,X3)
            <=> ? [X4] : 
                  ( p5(X4,f15(X2))
                  & ! [X5] : 
                      ( p5(X5,f15(X2))
                     => ( p16(X2,X4,X5)
                       => p1(f17(X1,X2,X5),X3) ) ) ) ) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
    ? [X2] : p5(X2,X1) )).

fof(formula_53,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( ~ p9(X1)
        & p12(X1)
        & ~ p9(X2)
        & p12(X2)
        & p3(X3)
        & p22(X3,f15(X1),f15(X2))
        & p23(X3,f15(X1),f15(X2))
        & p5(X4,f15(X1)) )
     => f20(X1,X2,X3,X4) = f27(X3,X4) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p12(X1)
     => ? [X2] : p13(X2,X1) ) )).

fof(formula_54,axiom,(
    ! [X1,X2,X3] : 
      ( p24(X3,X1,X2)
    <=> p23(X3,X1,X2) ) )).

fof(formula_60,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p5(X2,f6(X3)) )
     => p5(X1,X3) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p9(X1)
       => p10(X1) ) ) )).

fof(formula_46,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p4(X1) ) )).

fof(formula_27,axiom,(
    ? [X1] : p12(X1) )).

fof(formula_41,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1) ) )).

fof(formula_47,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p5(X2,f6(X1))
      & p2(X2) ) )).

fof(formula_56,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p5(X1,X2) ) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( p5(X3,f6(f7(X1,X2)))
     => p4(X3) ) )).

fof(formula_19,axiom,(
    $true )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( ( ~ p9(X1)
        & p12(X1) )
     => ! [X2] : 
          ( ( ~ p9(X2)
            & p13(X2,X1) )
         => ! [X3] : 
              ( p5(X3,f15(X2))
             => f17(X1,X2,X3) = f20(X2,X1,f21(X1,X2),X3) ) ) ) )).

fof(formula_14,axiom,(
    $true )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( ( ~ p9(X1)
        & p8(X1) )
     => ( p19(X1)
      <=> ! [X2] : 
            ( p5(X2,f15(X1))
           => ! [X3] : 
                ( p5(X3,f15(X1))
               => ? [X4] : 
                    ( p5(X4,f15(X1))
                    & p16(X1,X2,X4)
                    & p16(X1,X3,X4) ) ) ) ) ) )).

fof(formula_26,axiom,(
    ? [X1] : p8(X1) )).

fof(formula_16,axiom,(
    $true )).

fof(formula_38,axiom,(
    p2(c25) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( ( ~ p9(X1)
        & p12(X1) )
     => ! [X2] : 
          ( ( ~ p9(X2)
            & p13(X2,X1) )
         => ! [X3] : 
              ( p18(X1,X2,X3)
            <=> ! [X4] : 
                  ( p5(X4,f15(X2))
                 => ? [X5] : 
                      ( p5(X5,f15(X2))
                      & p16(X2,X4,X5)
                      & p1(f17(X1,X2,X5),X3) ) ) ) ) ) )).

fof(formula_58,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_24,axiom,(
    $true )).

fof(formula_61,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p5(X2,f6(X3))
        & p2(X3) ) )).

fof(formula_32,axiom,(
    p2(c25) )).
%------------------------------------------------------------------------------
