%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f26(A) = f26(B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f39_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f39(A) = f39(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f42_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f42(A,C) = f42(B,C) ) )).

fof(f42_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f42(C,A) = f42(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p23(A) )
     => p23(B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p24(A) )
     => p24(B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p25(A,C) )
     => p25(B,C) ) )).

fof(p25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p25(C,A) )
     => p25(C,B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(A,C) )
     => p27(B,C) ) )).

fof(p27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(C,A) )
     => p27(C,B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p28(A,C) )
     => p28(B,C) ) )).

fof(p28_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p28(C,A) )
     => p28(C,B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p29(A) )
     => p29(B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p30(A) )
     => p30(B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p31(A) )
     => p31(B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p32(A) )
     => p32(B) ) )).

fof(p33_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p33(A) )
     => p33(B) ) )).

fof(p34_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p34(A) )
     => p34(B) ) )).

fof(p35_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p35(A) )
     => p35(B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p36(A,C) )
     => p36(B,C) ) )).

fof(p36_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p36(C,A) )
     => p36(C,B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p37(A,C,D) )
     => p37(B,C,D) ) )).

fof(p37_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p37(C,A,D) )
     => p37(C,B,D) ) )).

fof(p37_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p37(C,D,A) )
     => p37(C,D,B) ) )).

fof(p38_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(A,C,D) )
     => p38(B,C,D) ) )).

fof(p38_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(C,A,D) )
     => p38(C,B,D) ) )).

fof(p38_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(C,D,A) )
     => p38(C,D,B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p40(A) )
     => p40(B) ) )).

fof(p41_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p41(A,C,D) )
     => p41(B,C,D) ) )).

fof(p41_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p41(C,A,D) )
     => p41(C,B,D) ) )).

fof(p41_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p41(C,D,A) )
     => p41(C,D,B) ) )).

fof(p43_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p43(A) )
     => p43(B) ) )).

fof(p45_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p45(A,C,D) )
     => p45(B,C,D) ) )).

fof(p45_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p45(C,A,D) )
     => p45(C,B,D) ) )).

fof(p45_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p45(C,D,A) )
     => p45(C,D,B) ) )).

fof(p46_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p46(A,C) )
     => p46(B,C) ) )).

fof(p46_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p46(C,A) )
     => p46(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_92,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p40(X1) )
     => ? [X2] : 
          ( p25(X2,f26(f4(X1)))
          & ~ p22(X2) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p9(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p10(X1)
          & p11(X1) ) ) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1)
          & p16(X1)
          & p21(X1)
          & p18(X1)
          & p35(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1)
          & p16(X1)
          & p20(X1)
          & p17(X1)
          & p21(X1)
          & p18(X1)
          & p35(X1)
          & p12(X1) ) ) ) )).

fof(formula_64,axiom,(
    ! [X1] : 
      ( ~ p7(f39(X1))
      & p2(f39(X1))
      & p8(f39(X1))
      & p13(f39(X1))
      & p14(f39(X1))
      & p20(f39(X1))
      & p17(f39(X1))
      & p21(f39(X1))
      & p15(f39(X1))
      & p16(f39(X1))
      & p9(f39(X1)) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p9(X1) )
       => ( ~ p7(X1)
          & p21(X1) ) ) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p30(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p24(X1) ) ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p16(X1)
       => ~ p7(X1) ) ) )).

fof(formula_94,axiom,(
    ! [X1,X2,X3] : 
      ( p41(X3,X1,X2)
    <=> p38(X3,X1,X2) ) )).

fof(formula_50,axiom,(
    ? [X1] : p40(X1) )).

fof(formula_88,axiom,(
    ? [X1] : 
      ( p40(X1)
      & ~ p7(X1) ) )).

fof(formula_46,axiom,(
    ! [X1,X2,X3] : 
      ( p41(X3,X1,X2)
     => p25(X3,f26(f42(X1,X2))) ) )).

fof(formula_40,axiom,(
    $true )).

fof(formula_77,axiom,(
    ? [X1] : p22(X1) )).

fof(formula_108,axiom,(
    ! [X1,X2] : 
      ~ ( p22(X1)
        & X1 != X2
        & p22(X2) ) )).

fof(formula_74,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p15(X1)
      & p16(X1)
      & p9(X1)
      & p20(X1)
      & p17(X1)
      & p21(X1)
      & p24(X1)
      & p10(X1)
      & p11(X1) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p22(X1)
     => p23(X1) ) )).

fof(formula_65,axiom,(
    ! [X1] : 
      ( ~ p7(f39(X1))
      & p2(f39(X1))
      & p8(f39(X1))
      & p13(f39(X1))
      & p14(f39(X1))
      & p15(f39(X1))
      & p16(f39(X1))
      & p9(f39(X1))
      & p20(f39(X1))
      & p17(f39(X1))
      & p21(f39(X1))
      & p10(f39(X1))
      & p11(f39(X1))
      & p18(f39(X1))
      & p35(f39(X1)) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p17(X1)
          & p10(X1)
          & p11(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p20(X1)
          & p17(X1)
          & p21(X1)
          & p10(X1)
          & p11(X1)
          & p15(X1)
          & p16(X1)
          & p9(X1) ) ) ) )).

fof(formula_79,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & ~ p29(X1) ) )).

fof(formula_49,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1) )
       => ( ~ p7(X1)
          & ~ p29(X1) ) ) ) )).

fof(formula_47,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p41(f5(X1),f4(X1),f4(X1)) ) )).

fof(formula_73,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ? [X2] : 
          ( p25(X2,f26(f4(X1)))
          & p27(X2,X1)
          & p28(X2,X1) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p20(X1)
          & p24(X1)
          & p10(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1)
          & p16(X1)
          & p9(X1)
          & p20(X1)
          & p17(X1)
          & p21(X1)
          & p24(X1)
          & p10(X1)
          & p11(X1) ) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1)
          & p20(X1)
          & p10(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1)
          & p16(X1)
          & p9(X1)
          & p20(X1)
          & p17(X1)
          & p21(X1) ) ) ) )).

fof(formula_70,axiom,(
    ? [X1] : 
      ( ~ p22(X1)
      & p23(X1) ) )).

fof(formula_81,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p25(X2,f26(X1))
      & p22(X2) ) )).

fof(formula_63,axiom,(
    ! [X1] : 
      ( ~ p7(f39(X1))
      & p2(f39(X1))
      & p8(f39(X1))
      & p13(f39(X1))
      & p14(f39(X1)) ) )).

fof(formula_90,axiom,(
    ! [X1] : 
      ( ~ p22(X1)
     => ? [X2] : 
          ( p25(X2,f26(X1))
          & ~ p22(X2)
          & p23(X2) ) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( p8(X1)
          & p15(X1)
          & p10(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p15(X1)
          & p17(X1) ) ) ) )).

fof(formula_72,axiom,(
    ! [X1] : 
      ( ~ p22(X1)
     => ? [X2] : 
          ( p25(X2,f26(X1))
          & ~ p22(X2) ) ) )).

fof(formula_43,axiom,(
    $true )).

fof(formula_78,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p15(X1)
      & p16(X1)
      & p9(X1)
      & p30(X1) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p15(X1)
       => ~ p7(X1) ) ) )).

fof(formula_53,axiom,(
    ! [X1,X2] : 
    ? [X3] : p41(X3,X1,X2) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p19(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1)
          & p16(X1) ) ) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p19(X1) )
       => ( ~ p7(X1)
          & p17(X1) ) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => ~ p6(X2,X1) ) )).

fof(formula_39,axiom,(
    $true )).

fof(formula_87,axiom,(
    ! [X1] : 
      ( ~ p22(X1)
     => ? [X2] : 
          ( p25(X2,f26(X1))
          & ~ p22(X2)
          & p23(X2) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( p8(X1)
          & p13(X1)
          & p14(X1)
          & p20(X1)
          & p32(X1)
          & p15(X1)
          & p16(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p20(X1)
          & p17(X1)
          & p21(X1)
          & p10(X1)
          & p11(X1)
          & ~ p29(X1)
          & p33(X1)
          & p34(X1)
          & p15(X1)
          & p16(X1)
          & p9(X1) ) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p30(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p9(X1) ) ) ) )).

fof(formula_103,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p25(X2,f26(X3)) )
     => p25(X1,X3) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p11(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p20(X1) ) ) ) )).

fof(formula_85,axiom,(
    ? [X1] : ~ p22(X1) )).

fof(formula_96,axiom,(
    ! [X1,X2] : p46(X1,X1) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p7(X1)
       => p29(X1) ) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p9(X1) )
       => ( ~ p7(X1)
          & p15(X1)
          & p16(X1) ) ) ) )).

fof(formula_75,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p20(X1)
      & p17(X1)
      & p21(X1)
      & p10(X1)
      & p11(X1)
      & p15(X1)
      & p16(X1)
      & p9(X1)
      & p18(X1)
      & p31(X1)
      & p32(X1) ) )).

fof(formula_42,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p40(X1) ) )).

fof(formula_38,axiom,(
    $true )).

fof(formula_106,axiom,(
    ! [X1] : 
      ( p22(X1)
     => X1 = c44 ) )).

fof(formula_69,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p15(X1)
      & p16(X1)
      & p9(X1)
      & p20(X1)
      & p17(X1)
      & p21(X1)
      & p10(X1)
      & p11(X1) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p23(X1)
     => ! [X2] : 
          ( p25(X2,f26(X1))
         => p23(X2) ) ) )).

fof(formula_56,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p40(X1) )
     => ~ p22(f4(X1)) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p24(X1)
        & p1(X1) )
     => ! [X2] : 
          ( p25(X2,f26(f4(X1)))
         => ( p27(X2,X1)
            & p28(X2,X1) ) ) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p30(X1)
          & p8(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p31(X1) ) ) ) )).

fof(formula_83,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p15(X1)
      & p16(X1)
      & p9(X1)
      & p20(X1)
      & p17(X1)
      & p21(X1)
      & p10(X1)
      & p11(X1)
      & p31(X1)
      & p32(X1) ) )).

fof(formula_45,axiom,(
    $true )).

fof(formula_93,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p15(X1)
      & p16(X1)
      & p17(X1)
      & p18(X1)
      & p19(X1) ) )).

fof(formula_58,axiom,(
    ! [X1] : 
      ( ~ p7(f39(X1))
      & p2(f39(X1))
      & p8(f39(X1))
      & p13(f39(X1))
      & p14(f39(X1))
      & p15(f39(X1))
      & p16(f39(X1))
      & p9(f39(X1))
      & p20(f39(X1))
      & p17(f39(X1))
      & p21(f39(X1))
      & p10(f39(X1))
      & p11(f39(X1))
      & p18(f39(X1)) ) )).

fof(formula_66,axiom,(
    ! [X1,X2] : 
      ( p38(X2,X1,X1)
     => ! [X3,X4] : 
          ( f3(X1,X2) = f3(X3,X4)
         => ( X1 = X3
            & X2 = X4 ) ) ) )).

fof(formula_104,axiom,(
    ! [X1] : f4(f39(X1)) = f26(X1) )).

fof(formula_48,axiom,(
    $true )).

fof(formula_54,axiom,(
    ! [X1] : 
      ( ( ~ p29(X1)
        & p1(X1) )
     => ( ~ p22(f5(X1))
        & p43(f5(X1)) ) ) )).

fof(formula_51,axiom,(
    ! [X1,X2] : 
    ? [X3] : p38(X3,X1,X2) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p32(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p10(X1)
          & p31(X1) ) ) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( p8(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1)
          & p20(X1)
          & p10(X1)
          & p31(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1)
          & p20(X1)
          & p32(X1) ) ) ) )).

fof(formula_62,axiom,(
    ! [X1,X2] : 
      ( ( ~ p22(X1)
        & ~ p22(X2) )
     => ~ p22(f42(X1,X2)) ) )).

fof(formula_61,axiom,(
    ! [X1] : 
      ( ~ p22(X1)
     => ( ~ p7(f39(X1))
        & ~ p30(f39(X1))
        & p2(f39(X1))
        & p8(f39(X1))
        & p13(f39(X1))
        & p14(f39(X1))
        & p20(f39(X1))
        & p17(f39(X1))
        & p21(f39(X1))
        & p10(f39(X1))
        & p11(f39(X1))
        & ~ p29(f39(X1))
        & p18(f39(X1))
        & p19(f39(X1))
        & p35(f39(X1))
        & p12(f39(X1))
        & p15(f39(X1))
        & p16(f39(X1))
        & p9(f39(X1)) ) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p25(X2,f26(f4(X1)))
         => ( p36(X2,X1)
          <=> ! [X3] : 
                ( p25(X3,f4(X1))
               => ! [X4] : 
                    ( p25(X4,f4(X1))
                   => ( ( p6(X3,X2)
                        & p37(X1,X3,X4) )
                     => p6(X4,X2) ) ) ) ) ) ) )).

fof(formula_99,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => p25(X1,X2) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p9(X1)
          & p24(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p24(X1)
          & p31(X1) ) ) ) )).

fof(formula_67,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p8(X1)
        & p13(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p25(X2,f26(f4(X1)))
          & ~ p22(X2)
          & p28(X2,X1)
          & p36(X2,X1) ) ) )).

fof(formula_89,axiom,(
    ! [X1] : 
      ( p40(X1)
     => ? [X2] : 
          ( p25(X2,f26(f26(f4(X1))))
          & ~ p22(X2)
          & p23(X2) ) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ~ p29(X1)
       => ~ p7(X1) ) ) )).

fof(formula_59,axiom,(
    ! [X1] : 
      ( ~ p7(f39(X1))
      & p2(f39(X1))
      & p8(f39(X1))
      & p13(f39(X1))
      & p14(f39(X1))
      & p20(f39(X1))
      & p17(f39(X1))
      & p21(f39(X1))
      & p10(f39(X1))
      & p11(f39(X1))
      & ~ p29(f39(X1))
      & p18(f39(X1))
      & p19(f39(X1))
      & p35(f39(X1))
      & p12(f39(X1))
      & p15(f39(X1))
      & p16(f39(X1))
      & p9(f39(X1)) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p14(X1)
          & p17(X1)
          & p11(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p14(X1)
          & p15(X1)
          & p17(X1) ) ) ) )).

fof(formula_100,axiom,(
    ! [X1,X2] : 
      ( p25(X1,X2)
     => ( p22(X2)
        | p6(X1,X2) ) ) )).

fof(formula_102,axiom,(
    ! [X1,X2] : 
      ( p25(X1,f26(X2))
    <=> p46(X1,X2) ) )).

fof(formula_80,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p15(X1)
      & p16(X1)
      & p9(X1) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p14(X1)
          & p11(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p14(X1)
          & p16(X1) ) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p19(X1) )
       => ( ~ p7(X1)
          & p18(X1) ) ) ) )).

fof(formula_97,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p7(X1)
        & p8(X1)
        & p1(X1)
        & p25(X2,f4(X1))
        & p25(X3,f4(X1)) )
     => p45(X1,X2,X2) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( p20(X1)
          & p17(X1) )
       => p21(X1) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p12(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1)
          & p16(X1)
          & p17(X1)
          & p18(X1)
          & p19(X1) ) ) ) )).

fof(formula_91,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p15(X1)
      & p16(X1)
      & p20(X1)
      & p17(X1)
      & p21(X1)
      & p18(X1)
      & p19(X1)
      & p35(X1)
      & p12(X1) ) )).

fof(formula_101,axiom,(
    ! [X1,X2] : 
      ( p25(X2,f4(f39(X1)))
     => ! [X3] : 
          ( p25(X3,f4(f39(X1)))
         => ( p45(f39(X1),X2,X3)
          <=> p46(X2,X3) ) ) ) )).

fof(formula_76,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & ~ p30(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p20(X1)
      & p17(X1)
      & p21(X1)
      & ~ p29(X1)
      & p18(X1)
      & p19(X1)
      & p35(X1)
      & p12(X1)
      & p15(X1)
      & p16(X1) ) )).

fof(formula_71,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p9(X1) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p2(X1)
       => X1 = f3(f4(X1),f5(X1)) ) ) )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p12(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1)
          & p16(X1)
          & p20(X1)
          & p17(X1)
          & p21(X1)
          & p18(X1)
          & p35(X1) ) ) ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( p38(X2,X1,X1)
     => ( p2(f3(X1,X2))
        & p1(f3(X1,X2)) ) ) )).

fof(formula_52,axiom,(
    ! [X1] : 
    ? [X2] : p25(X2,X1) )).

fof(formula_95,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p7(X1)
        & p8(X1)
        & p1(X1)
        & p25(X2,f4(X1))
        & p25(X3,f4(X1)) )
     => ( p45(X1,X2,X3)
      <=> p37(X1,X2,X3) ) ) )).

fof(formula_86,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p15(X1)
      & p16(X1)
      & p9(X1)
      & p20(X1)
      & p17(X1)
      & p21(X1) ) )).

fof(formula_82,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p8(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p25(X2,f26(f4(X1)))
          & ~ p22(X2)
          & p23(X2)
          & p27(X2,X1)
          & p28(X2,X1) ) ) )).

fof(formula_44,axiom,(
    $true )).

fof(formula_68,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p24(X1) ) )).

fof(formula_55,axiom,(
    ! [X1,X2] : 
      ( ( p23(X1)
        & p23(X2) )
     => p23(f42(X1,X2)) ) )).

fof(formula_60,axiom,(
    p22(c44) )).

fof(formula_84,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p25(X2,f26(f26(X1)))
      & ~ p22(X2)
      & p23(X2) ) )).

fof(formula_57,axiom,(
    ! [X1] : ~ p22(f26(X1)) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p21(X1)
       => ( p20(X1)
          & p17(X1) ) ) ) )).

fof(formula_105,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p6(X1,X2)
        & p25(X2,f26(X3))
        & p22(X3) ) )).

fof(formula_98,conjecture,(
    ! [X1,X2] : 
      ( p25(X2,f26(f4(f39(X1))))
     => ( p36(X2,f39(X1))
      <=> ! [X3,X4] : 
            ( ( p46(X3,X4)
              & p46(X4,X1)
              & p6(X3,X2) )
           => p6(X4,X2) ) ) ) )).

fof(formula_107,axiom,(
    ! [X1,X2] : 
      ~ ( p6(X1,X2)
        & p22(X2) ) )).

fof(formula_41,axiom,(
    ! [X1] : 
      ( p2(f39(X1))
      & p1(f39(X1)) ) )).
%------------------------------------------------------------------------------
