%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f19(A) = f19(B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(A,C) = f20(B,C) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(C,A) = f20(C,B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f25(A,C,D) = f25(B,C,D) ) )).

fof(f25_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f25(C,A,D) = f25(C,B,D) ) )).

fof(f25_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f25(C,D,A) = f25(C,D,B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(A,C) = f27(B,C) ) )).

fof(f27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(C,A) = f27(C,B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f28(A,C,D,E) = f28(B,C,D,E) ) )).

fof(f28_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f28(C,A,D,E) = f28(C,B,D,E) ) )).

fof(f28_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f28(C,D,A,E) = f28(C,D,B,E) ) )).

fof(f28_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f28(C,D,E,A) = f28(C,D,E,B) ) )).

fof(f30_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f30(A,C) = f30(B,C) ) )).

fof(f30_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f30(C,A) = f30(C,B) ) )).

fof(f31_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f31(A,C) = f31(B,C) ) )).

fof(f31_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f31(C,A) = f31(C,B) ) )).

fof(f34_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f34(A,C,D) = f34(B,C,D) ) )).

fof(f34_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f34(C,A,D) = f34(C,B,D) ) )).

fof(f34_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f34(C,D,A) = f34(C,D,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f4(A,C,D,E) = f4(B,C,D,E) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f4(C,A,D,E) = f4(C,B,D,E) ) )).

fof(f4_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f4(C,D,A,E) = f4(C,D,B,E) ) )).

fof(f4_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f4(C,D,E,A) = f4(C,D,E,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(A,C,D) )
     => p15(B,C,D) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(C,A,D) )
     => p15(C,B,D) ) )).

fof(p15_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(C,D,A) )
     => p15(C,D,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(A,C,D) )
     => p16(B,C,D) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,A,D) )
     => p16(C,B,D) ) )).

fof(p16_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,D,A) )
     => p16(C,D,B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(A,C,D) )
     => p17(B,C,D) ) )).

fof(p17_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(C,A,D) )
     => p17(C,B,D) ) )).

fof(p17_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(C,D,A) )
     => p17(C,D,B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(A,C) )
     => p18(B,C) ) )).

fof(p18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(C,A) )
     => p18(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(A,C) )
     => p23(B,C) ) )).

fof(p23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(C,A) )
     => p23(C,B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p24(A) )
     => p24(B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p26(A,C,D) )
     => p26(B,C,D) ) )).

fof(p26_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p26(C,A,D) )
     => p26(C,B,D) ) )).

fof(p26_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p26(C,D,A) )
     => p26(C,D,B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p29(A,C,D) )
     => p29(B,C,D) ) )).

fof(p29_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p29(C,A,D) )
     => p29(C,B,D) ) )).

fof(p29_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p29(C,D,A) )
     => p29(C,D,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p32(A) )
     => p32(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_68,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p8(X3,X1)
        <=> p8(X3,X2) )
     => X1 = X2 ) )).

fof(formula_67,axiom,(
    ! [X1,X2] : 
      ( p18(X1,X2)
     => ( p9(X2)
        | p8(X1,X2) ) ) )).

fof(formula_58,axiom,(
    ! [X1] : 
      ( ~ p9(X1)
     => ? [X2] : 
          ( p18(X2,f19(X1))
          & ~ p9(X2)
          & p10(X2) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3] : 
      ( p18(X3,f19(f20(X1,X2)))
     => p21(X3) ) )).

fof(formula_52,axiom,(
    ? [X1] : p9(X1) )).

fof(formula_44,axiom,(
    p9(c33) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ( ( p10(X1)
        & p10(X2) )
     => p10(f20(X1,X2)) ) )).

fof(formula_54,axiom,(
    ? [X1] : ~ p9(X1) )).

fof(formula_66,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
     => p18(X1,X2) ) )).

fof(formula_23,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p24(X1)
        & p1(X1)
        & ~ p24(X2)
        & p2(X2,X1)
        & p18(X3,f5(X2)) )
     => ( p3(f25(X1,X2,X3),X1)
        & p2(f25(X1,X2,X3),X1) ) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( p21(X1)
     => p29(f27(X1,X2),X2,X2) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( p21(X1)
     => p21(f30(X1,X2)) ) )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ( ( ~ p24(X1)
        & p1(X1)
        & ~ p24(X2)
        & p2(X2,X1) )
     => ( ~ p9(f7(X1,X2))
        & p21(f7(X1,X2))
        & p14(f7(X1,X2))
        & p17(f7(X1,X2),f5(X2),f5(X1)) ) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p32(X1)
     => p29(f6(X1),f5(X1),f5(X1)) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(X2,X1) )
     => ( p14(f7(X1,X2))
        & p17(f7(X1,X2),f5(X2),f5(X1))
        & p29(f7(X1,X2),f5(X2),f5(X1)) ) ) )).

fof(formula_46,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p1(X1)
        & ~ p9(X2)
        & p15(X3,X2,X2)
        & p14(X4)
        & p17(X4,X2,f5(X1))
        & p15(X4,X2,f5(X1)) )
     => ( ~ p24(f4(X1,X2,X3,X4))
        & p3(f4(X1,X2,X3,X4),X1) ) ) )).

fof(formula_59,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ? [X2] : 
          ( p2(X2,X1)
          & p3(X2,X1) ) ) )).

fof(formula_56,axiom,(
    ? [X1] : 
      ( p21(X1)
      & p14(X1)
      & p22(X1) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p2(X2,X1)
         => p32(X2) ) ) )).

fof(formula_19,axiom,(
    $true )).

fof(formula_28,axiom,(
    $true )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( ( p21(X1)
        & p9(X1)
        & p14(X1) )
     => ( p21(X1)
        & p14(X1)
        & p22(X1) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(X2,X1) )
     => ( p3(X2,X1)
       => X2 = f4(X1,f5(X2),f6(X2),f7(X1,X2)) ) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( ( p12(X1)
        & p13(X1) )
     => p11(X1) ) )).

fof(formula_24,axiom,(
    ! [X1,X2] : 
      ( p21(X1)
     => p21(f31(X1,X2)) ) )).

fof(formula_74,axiom,(
    ! [X1,X2] : 
      ~ ( p9(X1)
        & X1 != X2
        & p9(X2) ) )).

fof(formula_51,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p15(X3,X1,X2)
      & p21(X3)
      & p14(X3)
      & p17(X3,X1,X2) ) )).

fof(formula_55,axiom,(
    ! [X1] : 
      ( ~ p9(X1)
     => ? [X2] : 
          ( p18(X2,f19(X1))
          & ~ p9(X2)
          & p10(X2) ) ) )).

fof(formula_35,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p9(X1)
     => p14(X1) ) )).

fof(formula_47,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( ~ p24(X2)
        & p1(X2)
        & ~ p24(X3)
        & p2(X3,X2)
        & p18(X4,f5(X3)) )
     => ( p8(X1,f34(X2,X3,X4))
      <=> ? [X5] : 
            ( p18(X5,f5(X3))
            & X1 = X5
            & p26(X3,X4,X5) ) ) ) )).

fof(formula_42,axiom,(
    ! [X1] : 
      ( ~ p9(f19(X1))
      & p12(f19(X1))
      & p13(f19(X1))
      & p11(f19(X1)) ) )).

fof(formula_48,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p1(X1)
        & p15(X3,X2,X2)
        & p14(X4)
        & p17(X4,X2,f5(X1))
        & p15(X4,X2,f5(X1)) )
     => ! [X5,X6,X7,X8] : 
          ( f4(X1,X2,X3,X4) = f4(X5,X6,X7,X8)
         => ( X1 = X5
            & X2 = X6
            & X3 = X7
            & X4 = X8 ) ) ) )).

fof(formula_70,axiom,(
    ! [X1,X2,X3] : 
      ( ( p8(X1,X2)
        & p18(X2,f19(X3)) )
     => p18(X1,X3) ) )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( ( ~ p24(X1)
        & p1(X1) )
     => ~ p9(f5(X1)) ) )).

fof(formula_45,axiom,(
    ! [X1,X2] : 
      ( ( p21(X1)
        & p14(X1) )
     => ( p21(f31(X1,X2))
        & p14(f31(X1,X2)) ) ) )).

fof(formula_61,axiom,(
    ! [X1,X2] : 
      ( p21(X1)
     => f27(X1,X2) = f30(X1,X2) ) )).

fof(formula_29,axiom,(
    $true )).

fof(formula_20,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p14(X3)
        & p15(X3,X1,X2) )
     => ( p14(f28(X1,X2,X3,X4))
        & p29(f28(X1,X2,X3,X4),X1,X2) ) ) )).

fof(formula_57,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p24(X1) ) )).

fof(formula_30,axiom,(
    ! [X1,X2,X3] : 
      ( p29(X3,X1,X2)
     => p18(X3,f19(f20(X1,X2))) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ? [X2] : p2(X2,X1) ) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
    ? [X3] : p29(X3,X1,X2) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p23(X1,X2)
        & p23(X2,X1) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p11(X1)
     => ( p12(X1)
        & p13(X1) ) ) )).

fof(formula_60,axiom,(
    ! [X1] : 
      ( ( ~ p24(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p18(X2,f19(f5(X1)))
          & ~ p9(X2) ) ) )).

fof(formula_62,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p14(X3)
        & p15(X3,X1,X2) )
     => f28(X1,X2,X3,X4) = f31(X3,X4) ) )).

fof(formula_22,axiom,(
    $true )).

fof(formula_63,axiom,(
    ! [X1,X2,X3] : 
      ( p29(X3,X1,X2)
    <=> p15(X3,X1,X2) ) )).

fof(formula_72,axiom,(
    ! [X1] : 
      ( p9(X1)
     => X1 = c33 ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
     => ~ p8(X2,X1) ) )).

fof(formula_32,axiom,(
    $true )).

fof(formula_73,axiom,(
    ! [X1,X2] : 
      ~ ( p8(X1,X2)
        & p9(X2) ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( ( ~ p9(X1)
        & ~ p9(X2) )
     => ! [X3] : 
          ( p15(X3,X1,X2)
         => ( ( p14(X3)
              & p17(X3,X1,X2) )
           => ( p14(X3)
              & ~ p9(X3)
              & p16(X3,X1,X2)
              & p17(X3,X1,X2) ) ) ) ) )).

fof(formula_71,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p8(X1,X2)
        & p18(X2,f19(X3))
        & p9(X3) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( ( ~ p24(X1)
        & p1(X1) )
     => ! [X2] : 
          ( ( ~ p24(X2)
            & p2(X2,X1) )
         => ! [X3] : 
              ( p18(X3,f5(X2))
             => ! [X4] : 
                  ( ( p3(X4,X1)
                    & p2(X4,X1) )
                 => ( X4 = f25(X1,X2,X3)
                  <=> ( ! [X5] : 
                          ( p8(X5,f5(X4))
                        <=> ? [X6] : 
                              ( p18(X6,f5(X2))
                              & X6 = X5
                              & p26(X2,X3,X6) ) )
                      & f6(X4) = f27(f6(X2),f5(X4))
                      & f7(X1,X4) = f28(f5(X2),f5(X1),f7(X1,X2),f5(X4)) ) ) ) ) ) ) )).

fof(formula_16,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p1(X1)
        & p15(X3,X2,X2)
        & p14(X4)
        & p17(X4,X2,f5(X1))
        & p15(X4,X2,f5(X1)) )
     => ( p3(f4(X1,X2,X3,X4),X1)
        & p2(f4(X1,X2,X3,X4),X1) ) ) )).

fof(formula_38,axiom,(
    ! [X1] : 
    ? [X2] : p18(X2,X1) )).

fof(formula_34,axiom,(
    ? [X1] : p32(X1) )).

fof(formula_69,axiom,(
    ! [X1,X2] : 
      ( p18(X1,f19(X2))
    <=> p23(X1,X2) ) )).

fof(formula_53,axiom,(
    ? [X1] : 
      ( p21(X1)
      & p9(X1)
      & p14(X1) ) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( p15(X3,X1,X2)
     => ( ( p14(X3)
          & p16(X3,X1,X2) )
       => ( p14(X3)
          & p17(X3,X1,X2) ) ) ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
    ? [X3] : p15(X3,X1,X2) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( ~ p9(X2)
     => ! [X3] : 
          ( p15(X3,X1,X2)
         => ( ( p14(X3)
              & p17(X3,X1,X2) )
           => ( p14(X3)
              & p16(X3,X1,X2)
              & p17(X3,X1,X2) ) ) ) ) )).

fof(formula_50,axiom,(
    ? [X1] : 
      ( p21(X1)
      & p14(X1) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p18(X2,f19(X1))
         => p10(X2) ) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( p23(X1,X2)
    <=> ! [X3] : 
          ( p8(X3,X1)
         => p8(X3,X2) ) ) )).

fof(formula_64,axiom,(
    ! [X1,X2] : p23(X1,X1) )).

fof(formula_18,axiom,(
    $true )).

fof(formula_26,axiom,(
    $true )).

fof(formula_65,conjecture,(
    ! [X1] : 
      ( ( ~ p24(X1)
        & p1(X1) )
     => ! [X2] : 
          ( ( ~ p24(X2)
            & p2(X2,X1) )
         => ! [X3] : 
              ( p18(X3,f5(X2))
             => f5(f25(X1,X2,X3)) = f34(X1,X2,X3) ) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p9(X1)
     => p10(X1) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p32(X1)
     => p1(X1) ) )).

fof(formula_49,axiom,(
    ? [X1] : 
      ( ~ p9(X1)
      & p10(X1) ) )).
%------------------------------------------------------------------------------
