%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f23(A) = f23(B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(A,C) = f24(B,C) ) )).

fof(f24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(C,A) = f24(C,B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f28(A) = f28(B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f29(A) = f29(B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(A,C) )
     => p22(B,C) ) )).

fof(p22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(C,A) )
     => p22(C,B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p25(A) )
     => p25(B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p26(A) )
     => p26(B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p27(A,C,D) )
     => p27(B,C,D) ) )).

fof(p27_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p27(C,A,D) )
     => p27(C,B,D) ) )).

fof(p27_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p27(C,D,A) )
     => p27(C,D,B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p30(A) )
     => p30(B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p31(A,C,D) )
     => p31(B,C,D) ) )).

fof(p31_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p31(C,A,D) )
     => p31(C,B,D) ) )).

fof(p31_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p31(C,D,A) )
     => p31(C,D,B) ) )).

fof(p33_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p33(A) )
     => p33(B) ) )).

fof(p34_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p34(A) )
     => p34(B) ) )).

fof(p35_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p35(A) )
     => p35(B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p36(A) )
     => p36(B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p37(A) )
     => p37(B) ) )).

fof(p38_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p38(A) )
     => p38(B) ) )).

fof(p39_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p39(A) )
     => p39(B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(A,C) )
     => p40(B,C) ) )).

fof(p40_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(C,A) )
     => p40(C,B) ) )).

fof(p41_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p41(A,C) )
     => p41(B,C) ) )).

fof(p41_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p41(C,A) )
     => p41(C,B) ) )).

fof(p42_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p42(A,C) )
     => p42(B,C) ) )).

fof(p42_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p42(C,A) )
     => p42(C,B) ) )).

fof(p43_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p43(A,C) )
     => p43(B,C) ) )).

fof(p43_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p43(C,A) )
     => p43(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p20(X1)
     => ! [X2] : 
          ( p22(X2,f23(X1))
         => p20(X2) ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p9(X1) )
       => ( ~ p7(X1)
          & p18(X1) ) ) ) )).

fof(formula_34,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
    ? [X3] : p31(X3,X1,X2) )).

fof(formula_31,axiom,(
    ! [X1,X2,X3] : 
      ( p31(X3,X1,X2)
     => p22(X3,f23(f24(X1,X2))) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p11(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p12(X1) ) ) ) )).

fof(formula_77,axiom,(
    ! [X1,X2] : p43(X1,X1) )).

fof(formula_87,axiom,(
    ! [X1,X2] : 
      ~ ( p19(X1)
        & X1 != X2
        & p19(X2) ) )).

fof(formula_51,axiom,(
    ! [X1] : 
      ( ~ p7(f29(X1))
      & p2(f29(X1))
      & p8(f29(X1))
      & p13(f29(X1))
      & p14(f29(X1))
      & p12(f29(X1))
      & p17(f29(X1))
      & p18(f29(X1))
      & p15(f29(X1))
      & p16(f29(X1))
      & p9(f29(X1)) ) )).

fof(formula_37,axiom,(
    ! [X1] : 
    ? [X2] : p22(X2,X1) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p15(X1)
       => ~ p7(X1) ) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p22(f28(X1),f4(X1)) ) )).

fof(formula_65,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p22(X2,f23(X1))
      & p19(X2) ) )).

fof(formula_22,axiom,(
    $true )).

fof(formula_49,axiom,(
    ! [X1,X2] : 
      ( ( ~ p19(X1)
        & ~ p19(X2) )
     => ~ p19(f24(X1,X2)) ) )).

fof(formula_55,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p26(X1) ) )).

fof(formula_81,conjecture,(
    ! [X1] : 
      ( ~ p19(X1)
     => ! [X2] : 
          ( ( ~ p19(X2)
            & p40(X2,f29(X1))
            & p41(X2,f29(X1))
            & p42(X2,f23(f4(f29(X1))))
            & p22(X2,f23(f4(f29(X1)))) )
         => ! [X3] : 
              ~ ( p6(X3,X2)
                & p19(X3) ) ) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( p27(X2,X1,X1)
     => ( p2(f3(X1,X2))
        & p1(f3(X1,X2)) ) ) )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p30(X1) )
     => ~ p19(f4(X1)) ) )).

fof(formula_66,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p22(X2,f23(f23(X1)))
      & ~ p19(X2)
      & p20(X2) ) )).

fof(formula_69,axiom,(
    ? [X1] : 
      ( p21(X1)
      & p33(X1) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p25(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p9(X1) ) ) ) )).

fof(formula_86,axiom,(
    ! [X1,X2] : 
      ~ ( p6(X1,X2)
        & p19(X2) ) )).

fof(formula_48,axiom,(
    p21(c32) )).

fof(formula_64,axiom,(
    ? [X1] : 
      ( ~ p19(X1)
      & p21(X1) ) )).

fof(formula_53,axiom,(
    ! [X1,X2] : 
      ( p27(X2,X1,X1)
     => ! [X3,X4] : 
          ( f3(X1,X2) = f3(X3,X4)
         => ( X1 = X3
            & X2 = X4 ) ) ) )).

fof(formula_58,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p9(X1) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
    ? [X3] : p27(X3,X1,X2) )).

fof(formula_35,axiom,(
    ? [X1] : p30(X1) )).

fof(formula_61,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & ~ p25(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p12(X1)
      & p17(X1)
      & p18(X1)
      & ~ p34(X1)
      & p35(X1)
      & p36(X1)
      & p37(X1)
      & p38(X1)
      & p15(X1)
      & p16(X1) ) )).

fof(formula_28,axiom,(
    $true )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( ~ p7(f29(X1))
      & p2(f29(X1))
      & p8(f29(X1))
      & p13(f29(X1))
      & p14(f29(X1))
      & p12(f29(X1))
      & p17(f29(X1))
      & p18(f29(X1))
      & p39(f29(X1))
      & p10(f29(X1))
      & p11(f29(X1))
      & ~ p34(f29(X1))
      & p15(f29(X1))
      & p16(f29(X1))
      & p9(f29(X1)) ) )).

fof(formula_23,axiom,(
    $true )).

fof(formula_72,axiom,(
    ! [X1] : 
      ( ~ p19(X1)
     => ? [X2] : 
          ( p22(X2,f23(X1))
          & ~ p19(X2)
          & p20(X2) ) ) )).

fof(formula_73,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & ~ p25(X1)
        & p8(X1)
        & p13(X1)
        & p14(X1)
        & p17(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p22(X2,f23(f4(X1)))
          & ~ p19(X2)
          & p42(X2,f23(f4(X1)))
          & p40(X2,X1)
          & p41(X2,X1) ) ) )).

fof(formula_88,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p8(X1)
        & p13(X1)
        & p14(X1)
        & p12(X1)
        & p1(X1) )
     => ! [X2] : 
          ( ( ~ p19(X2)
            & p40(X2,X1)
            & p41(X2,X1)
            & p22(X2,f23(f4(X1))) )
         => ( p42(X2,f23(f4(X1)))
          <=> ~ p6(f28(X1),X2) ) ) ) )).

fof(formula_75,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p30(X1) )
     => ? [X2] : 
          ( p22(X2,f23(f4(X1)))
          & ~ p19(X2) ) ) )).

fof(formula_44,axiom,(
    ! [X1] : ~ p19(f23(X1)) )).

fof(formula_83,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p22(X2,f23(X3)) )
     => p22(X1,X3) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p9(X1) )
       => ( ~ p7(X1)
          & p15(X1)
          & p16(X1) ) ) ) )).

fof(formula_82,axiom,(
    ! [X1,X2] : 
      ( p22(X1,f23(X2))
    <=> p43(X1,X2) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1)
          & p12(X1)
          & p10(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1)
          & p16(X1)
          & p9(X1)
          & p12(X1)
          & p17(X1)
          & p18(X1) ) ) ) )).

fof(formula_54,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p8(X1)
        & p13(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p22(X2,f23(f4(X1)))
          & ~ p19(X2)
          & p40(X2,X1)
          & p41(X2,X1) ) ) )).

fof(formula_76,axiom,(
    ! [X1,X2,X3] : 
      ( p31(X3,X1,X2)
    <=> p27(X3,X1,X2) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p18(X1)
       => ( p12(X1)
          & p17(X1) ) ) ) )).

fof(formula_59,axiom,(
    ? [X1] : 
      ( p19(X1)
      & p21(X1) ) )).

fof(formula_70,axiom,(
    ? [X1] : 
      ( p30(X1)
      & ~ p7(X1) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( p8(X1)
          & p15(X1)
          & p10(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p15(X1)
          & p17(X1) ) ) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p31(f5(X1),f4(X1),f4(X1)) ) )).

fof(formula_85,axiom,(
    ! [X1] : 
      ( p19(X1)
     => X1 = c32 ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p14(X1)
          & p17(X1)
          & p11(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p14(X1)
          & p15(X1)
          & p17(X1) ) ) ) )).

fof(formula_30,axiom,(
    $true )).

fof(formula_71,axiom,(
    ! [X1] : 
      ( p30(X1)
     => ? [X2] : 
          ( p22(X2,f23(f23(f4(X1))))
          & ~ p19(X2)
          & p20(X2) ) ) )).

fof(formula_62,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p15(X1)
      & p16(X1)
      & p9(X1)
      & p25(X1) ) )).

fof(formula_40,axiom,(
    p21(c32) )).

fof(formula_74,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p13(X1)
      & p39(X1) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p2(X1)
       => X1 = f3(f4(X1),f5(X1)) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => ~ p6(X2,X1) ) )).

fof(formula_45,axiom,(
    ! [X1] : 
      ( ~ p7(f29(X1))
      & p2(f29(X1))
      & p8(f29(X1))
      & p13(f29(X1))
      & p14(f29(X1))
      & p12(f29(X1))
      & p17(f29(X1))
      & p18(f29(X1))
      & p10(f29(X1))
      & p11(f29(X1))
      & ~ p34(f29(X1))
      & p35(f29(X1))
      & p36(f29(X1))
      & p37(f29(X1))
      & p38(f29(X1))
      & p15(f29(X1))
      & p16(f29(X1))
      & p9(f29(X1)) ) )).

fof(formula_78,axiom,(
    ! [X1] : f28(f29(X1)) = c32 )).

fof(formula_29,axiom,(
    $true )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p19(X1)
     => p21(X1) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p16(X1)
       => ~ p7(X1) ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2,X3] : 
      ( p22(X3,f23(f24(X1,X2)))
     => p21(X3) ) )).

fof(formula_39,axiom,(
    p19(c32) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p2(f29(X1))
      & p1(f29(X1)) ) )).

fof(formula_60,axiom,(
    ! [X1] : 
      ( ~ p19(X1)
     => ? [X2] : 
          ( p22(X2,f23(X1))
          & ~ p19(X2) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p9(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p10(X1)
          & p11(X1) ) ) ) )).

fof(formula_47,axiom,(
    p19(c32) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( p12(X1)
          & p17(X1) )
       => p18(X1) ) ) )).

fof(formula_67,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p15(X1)
      & p16(X1)
      & p9(X1)
      & p12(X1)
      & p17(X1)
      & p18(X1) ) )).

fof(formula_68,axiom,(
    ! [X1] : 
      ( ~ p19(X1)
     => ? [X2] : 
          ( p22(X2,f23(X1))
          & ~ p19(X2)
          & p20(X2) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p25(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p26(X1) ) ) ) )).

fof(formula_33,axiom,(
    $true )).

fof(formula_84,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p6(X1,X2)
        & p22(X2,f23(X3))
        & p19(X3) ) )).

fof(formula_79,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => p22(X1,X2) ) )).

fof(formula_46,axiom,(
    ! [X1] : 
      ( ~ p19(X1)
     => ( ~ p7(f29(X1))
        & ~ p25(f29(X1))
        & p2(f29(X1))
        & p8(f29(X1))
        & p13(f29(X1))
        & p14(f29(X1))
        & p12(f29(X1))
        & p17(f29(X1))
        & p18(f29(X1))
        & p10(f29(X1))
        & p11(f29(X1))
        & ~ p34(f29(X1))
        & p35(f29(X1))
        & p36(f29(X1))
        & p37(f29(X1))
        & p38(f29(X1))
        & p15(f29(X1))
        & p16(f29(X1))
        & p9(f29(X1)) ) ) )).

fof(formula_80,axiom,(
    ! [X1,X2] : 
      ( p22(X1,X2)
     => ( p19(X2)
        | p6(X1,X2) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p19(X1)
     => p20(X1) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ( ( p20(X1)
        & p20(X2) )
     => p20(f24(X1,X2)) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p30(X1) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p14(X1)
          & p11(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p14(X1)
          & p16(X1) ) ) ) )).

fof(formula_57,axiom,(
    ? [X1] : 
      ( ~ p19(X1)
      & p20(X1) ) )).

fof(formula_50,axiom,(
    ! [X1] : 
      ( ~ p7(f29(X1))
      & p2(f29(X1))
      & p8(f29(X1))
      & p13(f29(X1))
      & p14(f29(X1)) ) )).

fof(formula_63,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p15(X1)
      & p16(X1)
      & p9(X1) ) )).

fof(formula_41,axiom,(
    p33(c32) )).

fof(formula_24,axiom,(
    $true )).

fof(formula_56,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p15(X1)
      & p16(X1)
      & p9(X1)
      & p12(X1)
      & p17(X1)
      & p18(X1)
      & p10(X1)
      & p11(X1) ) )).
%------------------------------------------------------------------------------
