%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f28(A) = f28(B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(A,C) = f29(B,C) ) )).

fof(f29_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(C,A) = f29(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f43_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f43(A,C) = f43(B,C) ) )).

fof(f43_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f43(C,A) = f43(C,B) ) )).

fof(f44_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f44(A,C) = f44(B,C) ) )).

fof(f44_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f44(C,A) = f44(C,B) ) )).

fof(f49_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f49(A,C) = f49(B,C) ) )).

fof(f49_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f49(C,A) = f49(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f50_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f50(A) = f50(B) ) )).

fof(f51_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f51(A) = f51(B) ) )).

fof(f54_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f54(A,C,D) = f54(B,C,D) ) )).

fof(f54_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f54(C,A,D) = f54(C,B,D) ) )).

fof(f54_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f54(C,D,A) = f54(C,D,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f9(A,C,D,E) = f9(B,C,D,E) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f9(C,A,D,E) = f9(C,B,D,E) ) )).

fof(f9_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f9(C,D,A,E) = f9(C,D,B,E) ) )).

fof(f9_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f9(C,D,E,A) = f9(C,D,E,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p23(A) )
     => p23(B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p24(A) )
     => p24(B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p25(A) )
     => p25(B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p26(A) )
     => p26(B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(A,C) )
     => p27(B,C) ) )).

fof(p27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(C,A) )
     => p27(C,B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p30(A) )
     => p30(B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p31(A) )
     => p31(B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p32(A,C) )
     => p32(B,C) ) )).

fof(p32_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p32(C,A) )
     => p32(C,B) ) )).

fof(p33_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p33(A,C) )
     => p33(B,C) ) )).

fof(p33_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p33(C,A) )
     => p33(C,B) ) )).

fof(p34_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p34(A,C) )
     => p34(B,C) ) )).

fof(p34_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p34(C,A) )
     => p34(C,B) ) )).

fof(p35_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p35(A) )
     => p35(B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p36(A,C) )
     => p36(B,C) ) )).

fof(p36_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p36(C,A) )
     => p36(C,B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p37(A) )
     => p37(B) ) )).

fof(p38_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p38(A) )
     => p38(B) ) )).

fof(p39_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p39(A) )
     => p39(B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p40(A) )
     => p40(B) ) )).

fof(p41_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p41(A) )
     => p41(B) ) )).

fof(p42_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p42(A) )
     => p42(B) ) )).

fof(p45_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p45(A,C,D) )
     => p45(B,C,D) ) )).

fof(p45_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p45(C,A,D) )
     => p45(C,B,D) ) )).

fof(p45_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p45(C,D,A) )
     => p45(C,D,B) ) )).

fof(p46_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p46(A) )
     => p46(B) ) )).

fof(p47_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p47(A,C,D) )
     => p47(B,C,D) ) )).

fof(p47_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p47(C,A,D) )
     => p47(C,B,D) ) )).

fof(p47_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p47(C,D,A) )
     => p47(C,D,B) ) )).

fof(p48_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p48(A) )
     => p48(B) ) )).

fof(p52_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p52(A,C) )
     => p52(B,C) ) )).

fof(p52_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p52(C,A) )
     => p52(C,B) ) )).

fof(p53_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p53(A,C) )
     => p53(B,C) ) )).

fof(p53_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p53(C,A) )
     => p53(C,B) ) )).

fof(p55_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p55(A,C,D) )
     => p55(B,C,D) ) )).

fof(p55_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p55(C,A,D) )
     => p55(C,B,D) ) )).

fof(p55_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p55(C,D,A) )
     => p55(C,D,B) ) )).

fof(p57_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p57(A) )
     => p57(B) ) )).

fof(p58_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p58(A,C) )
     => p58(B,C) ) )).

fof(p58_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p58(C,A) )
     => p58(C,B) ) )).

fof(p59_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p59(A) )
     => p59(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p60_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p60(A) )
     => p60(B) ) )).

fof(p61_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p61(A) )
     => p61(B) ) )).

fof(p62_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p62(A) )
     => p62(B) ) )).

fof(p63_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p63(A) )
     => p63(B) ) )).

fof(p64_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p64(A,C) )
     => p64(B,C) ) )).

fof(p64_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p64(C,A) )
     => p64(C,B) ) )).

fof(p65_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p65(A,C) )
     => p65(B,C) ) )).

fof(p65_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p65(C,A) )
     => p65(C,B) ) )).

fof(p66_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p66(A,C) )
     => p66(B,C) ) )).

fof(p66_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p66(C,A) )
     => p66(C,B) ) )).

fof(p67_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p67(A,C,D) )
     => p67(B,C,D) ) )).

fof(p67_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p67(C,A,D) )
     => p67(C,B,D) ) )).

fof(p67_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p67(C,D,A) )
     => p67(C,D,B) ) )).

fof(p68_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p68(A,C) )
     => p68(B,C) ) )).

fof(p68_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p68(C,A) )
     => p68(C,B) ) )).

fof(p69_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p69(A,C,D) )
     => p69(B,C,D) ) )).

fof(p69_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p69(C,A,D) )
     => p69(C,B,D) ) )).

fof(p69_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p69(C,D,A) )
     => p69(C,D,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p20(X1)
       => ~ p12(X1) ) ) )).

fof(formula_38,axiom,(
    ! [X1] : 
      ( p2(f51(X1))
      & p1(f51(X1)) ) )).

fof(formula_31,axiom,(
    ! [X1,X2] : 
      ( ( ~ p12(X1)
        & p30(X1)
        & p31(X1)
        & ~ p12(X2)
        & p18(X2)
        & p48(X2)
        & p7(X2,X1) )
     => p27(f49(X1,X2),f28(f4(X1))) ) )).

fof(formula_58,axiom,(
    p57(c56) )).

fof(formula_67,axiom,(
    ! [X1] : 
      ( ~ p24(X1)
     => ( ~ p12(f51(X1))
        & ~ p35(f51(X1))
        & p2(f51(X1))
        & p13(f51(X1))
        & p18(f51(X1))
        & p19(f51(X1))
        & p17(f51(X1))
        & p22(f51(X1))
        & p23(f51(X1))
        & p15(f51(X1))
        & p16(f51(X1))
        & ~ p59(f51(X1))
        & p60(f51(X1))
        & p61(f51(X1))
        & p62(f51(X1))
        & p63(f51(X1))
        & p20(f51(X1))
        & p21(f51(X1))
        & p14(f51(X1)) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p25(X1)
     => ! [X2] : 
          ( p27(X2,f28(X1))
         => p25(X2) ) ) )).

fof(formula_107,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p13(X1)
      & p18(X1)
      & p19(X1)
      & p20(X1)
      & p21(X1)
      & p14(X1)
      & p17(X1)
      & p22(X1)
      & p23(X1) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( p17(X1)
          & p22(X1) )
       => p23(X1) ) ) )).

fof(formula_126,axiom,(
    ! [X1,X2,X3] : 
      ( p55(X3,X1,X2)
    <=> p45(X3,X1,X2) ) )).

fof(formula_57,axiom,(
    p26(c56) )).

fof(formula_73,axiom,(
    p26(c56) )).

fof(formula_87,axiom,(
    ! [X1,X2] : 
      ( p45(X2,X1,X1)
     => ! [X3,X4] : 
          ( f3(X1,X2) = f3(X3,X4)
         => ( X1 = X3
            & X2 = X4 ) ) ) )).

fof(formula_70,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p22(X1)
        & p1(X1) )
     => ( ~ p24(f50(X1))
        & p64(f50(X1),X1) ) ) )).

fof(formula_72,axiom,(
    p24(c56) )).

fof(formula_54,axiom,(
    ! [X1] : 
    ? [X2] : p27(X2,X1) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( ( p30(X1)
        & p31(X1) )
     => ! [X2] : 
          ( p27(X2,f28(f4(X1)))
         => ( p24(X2)
           => p36(X2,X1) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p2(X1)
       => X1 = f3(f4(X1),f5(X1)) ) ) )).

fof(formula_93,axiom,(
    ? [X1] : 
      ( ~ p24(X1)
      & p25(X1) ) )).

fof(formula_139,axiom,(
    ! [X1,X2] : 
      ~ ( p24(X1)
        & X1 != X2
        & p24(X2) ) )).

fof(formula_106,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p27(X2,f28(f28(X1)))
      & ~ p24(X2)
      & p25(X2) ) )).

fof(formula_129,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p6(X1) )
     => ! [X2] : 
          ( ( ~ p24(X2)
            & p52(X2,f51(f50(X1)))
            & p53(X2,f51(f50(X1)))
            & p65(X2,f28(f4(f51(f50(X1)))))
            & p27(X2,f28(f4(f51(f50(X1))))) )
         => X2 = f43(X1,f54(X1,f50(X1),X2)) ) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p31(X1)
     => p6(X1) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p6(X1) )
     => ! [X2] : 
          ( ( ~ p12(X2)
            & p7(X2,X1) )
         => f43(X1,X2) = f44(X1,X2) ) ) )).

fof(formula_83,axiom,(
    ! [X1] : 
      ( ~ p12(f51(X1))
      & p2(f51(X1))
      & p13(f51(X1))
      & p18(f51(X1))
      & p19(f51(X1))
      & p17(f51(X1))
      & p22(f51(X1))
      & p23(f51(X1))
      & p20(f51(X1))
      & p21(f51(X1))
      & p14(f51(X1)) ) )).

fof(formula_132,axiom,(
    ! [X1,X2] : 
      ( p27(X1,X2)
     => ( p24(X2)
        | p11(X1,X2) ) ) )).

fof(formula_113,axiom,(
    ! [X1] : 
      ( ~ p24(X1)
     => ? [X2] : 
          ( p27(X2,f28(X1))
          & ~ p24(X2)
          & p25(X2) ) ) )).

fof(formula_53,axiom,(
    ! [X1,X2] : 
    ? [X3] : p45(X3,X1,X2) )).

fof(formula_30,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p6(X1)
        & p45(X3,X2,X2)
        & p46(X4)
        & p47(X4,X2,f4(X1))
        & p45(X4,X2,f4(X1)) )
     => ( p8(f9(X1,X2,X3,X4),X1)
        & p7(f9(X1,X2,X3,X4),X1) ) ) )).

fof(formula_90,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p18(X1)
        & p19(X1)
        & p20(X1)
        & p21(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & ~ p24(X2)
          & p64(X2,X1)
          & p52(X2,X1)
          & p58(X2,X1)
          & p53(X2,X1) ) ) )).

fof(formula_43,axiom,(
    $true )).

fof(formula_95,axiom,(
    ? [X1] : 
      ( p24(X1)
      & p26(X1) ) )).

fof(formula_79,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p12(X1)
        & p6(X1)
        & ~ p24(X2)
        & p27(X2,f28(f4(X1)))
        & ~ p24(X3)
        & p52(X3,f51(X2))
        & p53(X3,f51(X2))
        & p65(X3,f28(f4(f51(X2))))
        & p27(X3,f28(f4(f51(X2)))) )
     => ( ~ p12(f54(X1,X2,X3))
        & p13(f54(X1,X2,X3))
        & p18(f54(X1,X2,X3))
        & p8(f54(X1,X2,X3),X1)
        & p48(f54(X1,X2,X3)) ) ) )).

fof(formula_118,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p6(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & ~ p24(X2) ) ) )).

fof(formula_117,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p2(X1)
      & p18(X1)
      & p48(X1) ) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( p27(X3,f28(f29(X1,X2)))
     => p26(X3) ) )).

fof(formula_121,axiom,(
    ! [X1] : 
      ( ( p30(X1)
        & p31(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & p33(X2,X1) ) ) )).

fof(formula_89,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p18(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & ~ p24(X2)
          & p52(X2,X1)
          & p53(X2,X1) ) ) )).

fof(formula_119,axiom,(
    ! [X1] : 
      ( ( p30(X1)
        & p31(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & p24(X2)
          & p32(X2,X1)
          & p33(X2,X1)
          & p38(X2)
          & p39(X2)
          & p40(X2)
          & p41(X2)
          & p42(X2)
          & p34(X2,X1)
          & p36(X2,X1) ) ) )).

fof(formula_115,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ? [X2] : 
          ( p7(X2,X1)
          & p8(X2,X1) ) ) )).

fof(formula_78,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p17(X1)
        & p1(X1) )
     => ( ~ p24(f50(X1))
        & p52(f50(X1),X1) ) ) )).

fof(formula_84,axiom,(
    ! [X1] : 
      ( ~ p12(f51(X1))
      & p2(f51(X1))
      & p13(f51(X1))
      & p18(f51(X1))
      & p19(f51(X1))
      & p17(f51(X1))
      & p22(f51(X1))
      & p23(f51(X1))
      & p48(f51(X1))
      & p15(f51(X1))
      & p16(f51(X1))
      & ~ p59(f51(X1))
      & p20(f51(X1))
      & p21(f51(X1))
      & p14(f51(X1)) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p13(X1)
          & p19(X1)
          & p22(X1)
          & p16(X1) )
       => ( ~ p12(X1)
          & p13(X1)
          & p19(X1)
          & p20(X1)
          & p22(X1) ) ) ) )).

fof(formula_69,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p1(X1) )
     => ~ p24(f50(X1)) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p13(X1)
          & p14(X1) )
       => ( ~ p12(X1)
          & p13(X1)
          & p15(X1)
          & p16(X1) ) ) ) )).

fof(formula_76,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p12(X1)
        & p6(X1)
        & ~ p24(X2)
        & p27(X2,f28(f4(X1)))
        & ~ p24(X3)
        & p52(X3,f51(X2))
        & p53(X3,f51(X2))
        & p27(X3,f28(f4(f51(X2)))) )
     => ( ~ p12(f54(X1,X2,X3))
        & p13(f54(X1,X2,X3))
        & p18(f54(X1,X2,X3))
        & p8(f54(X1,X2,X3),X1) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p13(X1)
          & p19(X1)
          & p16(X1) )
       => ( ~ p12(X1)
          & p13(X1)
          & p19(X1)
          & p21(X1) ) ) ) )).

fof(formula_85,axiom,(
    ! [X1] : 
      ( p31(X1)
     => p66(f50(X1),X1) ) )).

fof(formula_44,axiom,(
    $true )).

fof(formula_110,axiom,(
    ? [X1] : 
      ( p6(X1)
      & ~ p12(X1) ) )).

fof(formula_71,axiom,(
    ! [X1,X2] : 
      ( ( ~ p12(X1)
        & p6(X1)
        & ~ p12(X2)
        & p18(X2)
        & p48(X2)
        & p7(X2,X1) )
     => ( ~ p24(f43(X1,X2))
        & p52(f43(X1,X2),f51(f50(X1)))
        & p53(f43(X1,X2),f51(f50(X1)))
        & p65(f43(X1,X2),f28(f4(f51(f50(X1))))) ) ) )).

fof(formula_77,axiom,(
    ! [X1] : 
      ( ( p30(X1)
        & p31(X1) )
     => p33(f50(X1),X1) ) )).

fof(formula_62,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p6(X1) )
     => ~ p24(f4(X1)) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p31(X1)
     => ! [X2] : 
          ( p27(X2,f28(f4(X1)))
         => ( p24(X2)
           => p34(X2,X1) ) ) ) )).

fof(formula_61,axiom,(
    ! [X1,X2] : 
      ( ( ~ p12(X1)
        & p6(X1)
        & ~ p12(X2)
        & p7(X2,X1) )
     => ( ~ p24(f10(X1,X2))
        & p26(f10(X1,X2))
        & p46(f10(X1,X2))
        & p47(f10(X1,X2),f4(X2),f4(X1)) ) ) )).

fof(formula_125,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p18(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & ~ p24(X2)
          & p64(X2,X1)
          & p58(X2,X1) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p24(X1)
     => p26(X1) ) )).

fof(formula_114,axiom,(
    ! [X1] : 
      ( p31(X1)
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & p24(X2)
          & p38(X2)
          & p39(X2)
          & p40(X2)
          & p41(X2)
          & p42(X2)
          & p34(X2,X1) ) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( p13(X1)
          & p20(X1)
          & p15(X1) )
       => ( ~ p12(X1)
          & p13(X1)
          & p20(X1)
          & p22(X1) ) ) ) )).

fof(formula_68,axiom,(
    ! [X1,X2] : 
      ( ( ~ p12(X1)
        & p6(X1)
        & ~ p12(X2)
        & p7(X2,X1) )
     => ( ~ p24(f43(X1,X2))
        & p53(f43(X1,X2),f51(f50(X1))) ) ) )).

fof(formula_97,axiom,(
    ! [X1] : 
      ( ( p30(X1)
        & p31(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & p32(X2,X1) ) ) )).

fof(formula_60,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p1(X1) )
     => ( ~ p24(f50(X1))
        & p58(f50(X1),X1)
        & p53(f50(X1),X1) ) ) )).

fof(formula_120,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ? [X2] : 
          ( p7(X2,X1)
          & ~ p12(X2)
          & p13(X2)
          & p18(X2)
          & p19(X2)
          & p8(X2,X1)
          & p48(X2) ) ) )).

fof(formula_134,axiom,(
    ! [X1,X2] : 
      ( p27(X1,f28(X2))
    <=> p68(X1,X2) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p23(X1)
       => ( p17(X1)
          & p22(X1) ) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p13(X1)
          & p35(X1) )
       => ( ~ p12(X1)
          & p13(X1)
          & p37(X1) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p24(X1)
     => p25(X1) ) )).

fof(formula_94,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p2(X1)
      & p13(X1)
      & p18(X1)
      & p19(X1)
      & p14(X1) ) )).

fof(formula_48,axiom,(
    ! [X1,X2] : 
      ( ( p6(X1)
        & p7(X2,X1) )
     => ( p46(f10(X1,X2))
        & p47(f10(X1,X2),f4(X2),f4(X1))
        & p55(f10(X1,X2),f4(X2),f4(X1)) ) ) )).

fof(formula_50,axiom,(
    ? [X1] : p31(X1) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p6(X1)
     => p27(f50(X1),f28(f4(X1))) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( ( p30(X1)
        & p31(X1) )
     => ! [X2] : 
          ( p27(X2,f28(f4(X1)))
         => ( ( p33(X2,X1)
              & p34(X2,X1) )
           => ( p34(X2,X1)
              & p36(X2,X1) ) ) ) ) )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ? [X2] : p7(X2,X1) ) )).

fof(formula_33,axiom,(
    $true )).

fof(formula_138,axiom,(
    ! [X1,X2] : 
      ~ ( p11(X1,X2)
        & p24(X2) ) )).

fof(formula_55,axiom,(
    ! [X1,X2] : 
    ? [X3] : p55(X3,X1,X2) )).

fof(formula_137,axiom,(
    ! [X1] : 
      ( p24(X1)
     => X1 = c56 ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => ~ p11(X2,X1) ) )).

fof(formula_131,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => p27(X1,X2) ) )).

fof(formula_136,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p11(X1,X2)
        & p27(X2,f28(X3))
        & p24(X3) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( ( p30(X1)
        & p31(X1) )
     => ! [X2] : 
          ( p27(X2,f28(f4(X1)))
         => ( p36(X2,X1)
           => p34(X2,X1) ) ) ) )).

fof(formula_112,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ? [X2] : 
          ( p27(X2,f28(f28(f4(X1))))
          & ~ p24(X2)
          & p25(X2) ) ) )).

fof(formula_102,axiom,(
    ? [X1] : 
      ( ~ p24(X1)
      & p26(X1) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p14(X1) )
       => ( ~ p12(X1)
          & p20(X1)
          & p21(X1) ) ) ) )).

fof(formula_108,axiom,(
    ! [X1] : 
      ( ~ p24(X1)
     => ? [X2] : 
          ( p27(X2,f28(X1))
          & ~ p24(X2)
          & p25(X2) ) ) )).

fof(formula_130,conjecture,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p30(X1)
        & p31(X1) )
     => ! [X2] : 
          ( ( ~ p24(X2)
            & p52(X2,f51(f50(X1)))
            & p53(X2,f51(f50(X1)))
            & p65(X2,f28(f4(f51(f50(X1)))))
            & p27(X2,f28(f4(f51(f50(X1))))) )
         => ! [X3] : 
              ( p27(X3,f4(X1))
             => ( p11(X3,f49(X1,f54(X1,f50(X1),X2)))
              <=> p69(X1,X2,X3) ) ) ) ) )).

fof(formula_56,axiom,(
    p24(c56) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( ( p30(X1)
        & p31(X1) )
     => ! [X2] : 
          ( p27(X2,f28(f4(X1)))
         => ( p24(X2)
           => ( p32(X2,X1)
              & p33(X2,X1) ) ) ) ) )).

fof(formula_51,axiom,(
    ? [X1] : p6(X1) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p21(X1)
       => ~ p12(X1) ) ) )).

fof(formula_46,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p55(f5(X1),f4(X1),f4(X1)) ) )).

fof(formula_41,axiom,(
    $true )).

fof(formula_111,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p30(X1)
        & p31(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & ~ p24(X2)
          & p32(X2,X1)
          & p33(X2,X1) ) ) )).

fof(formula_91,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p13(X1)
      & p18(X1)
      & p19(X1)
      & p37(X1) ) )).

fof(formula_75,axiom,(
    ! [X1] : 
      ( ( p21(X1)
        & p1(X1) )
     => ( ~ p24(f50(X1))
        & p52(f50(X1),X1) ) ) )).

fof(formula_37,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p12(X1)
        & p6(X1)
        & ~ p24(X2)
        & p27(X2,f28(f4(X1)))
        & ~ p24(X3)
        & p52(X3,f51(X2))
        & p53(X3,f51(X2))
        & p27(X3,f28(f4(f51(X2)))) )
     => ( ~ p12(f54(X1,X2,X3))
        & p8(f54(X1,X2,X3),X1)
        & p7(f54(X1,X2,X3),X1) ) ) )).

fof(formula_122,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p30(X1)
        & p31(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & ~ p24(X2)
          & p33(X2,X1) ) ) )).

fof(formula_105,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & ~ p24(X2)
          & p25(X2)
          & p64(X2,X1)
          & p52(X2,X1) ) ) )).

fof(formula_39,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p6(X1) ) )).

fof(formula_82,axiom,(
    ! [X1] : 
      ( ( p30(X1)
        & p31(X1) )
     => ( p32(f50(X1),X1)
        & p33(f50(X1),X1) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p13(X1)
          & p16(X1) )
       => ( ~ p12(X1)
          & p13(X1)
          & p17(X1) ) ) ) )).

fof(formula_99,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & ~ p35(X1)
      & p2(X1)
      & p13(X1)
      & p18(X1)
      & p19(X1)
      & p17(X1)
      & p22(X1)
      & p23(X1)
      & ~ p59(X1)
      & p60(X1)
      & p61(X1)
      & p62(X1)
      & p63(X1)
      & p20(X1)
      & p21(X1) ) )).

fof(formula_59,axiom,(
    ! [X1,X2] : 
      ( ( p25(X1)
        & p25(X2) )
     => p25(f29(X1,X2)) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p13(X1)
          & p18(X1)
          & p19(X1)
          & p20(X1)
          & p17(X1)
          & p15(X1) )
       => ( ~ p12(X1)
          & p13(X1)
          & p18(X1)
          & p19(X1)
          & p20(X1)
          & p21(X1)
          & p14(X1)
          & p17(X1)
          & p22(X1)
          & p23(X1) ) ) ) )).

fof(formula_74,axiom,(
    ! [X1,X2] : 
      ( ( ~ p24(X1)
        & ~ p24(X2) )
     => ~ p24(f29(X1,X2)) ) )).

fof(formula_45,axiom,(
    ! [X1,X2,X3] : 
      ( p55(X3,X1,X2)
     => p27(X3,f28(f29(X1,X2))) ) )).

fof(formula_42,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ! [X2] : 
          ( p7(X2,X1)
         => p1(X2) ) ) )).

fof(formula_96,axiom,(
    ! [X1] : 
      ( ~ p24(X1)
     => ? [X2] : 
          ( p27(X2,f28(X1))
          & ~ p24(X2) ) ) )).

fof(formula_66,axiom,(
    ! [X1] : 
      ( ( p20(X1)
        & p1(X1) )
     => ( ~ p24(f50(X1))
        & p64(f50(X1),X1) ) ) )).

fof(formula_100,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p2(X1)
      & p13(X1)
      & p18(X1)
      & p19(X1)
      & p20(X1)
      & p21(X1)
      & p14(X1)
      & p35(X1) ) )).

fof(formula_103,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p27(X2,f28(X1))
      & p24(X2) ) )).

fof(formula_133,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p11(X3,X1)
        <=> p11(X3,X2) )
     => X1 = X2 ) )).

fof(formula_123,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & p58(X2,X1)
          & p53(X2,X1) ) ) )).

fof(formula_36,axiom,(
    $true )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( ( p6(X1)
        & p7(X2,X1) )
     => ( p8(X2,X1)
       => X2 = f9(X1,f4(X2),f5(X2),f10(X1,X2)) ) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ( p45(X2,X1,X1)
     => ( p2(f3(X1,X2))
        & p1(f3(X1,X2)) ) ) )).

fof(formula_104,axiom,(
    ! [X1] : 
      ( ( p30(X1)
        & p31(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & p32(X2,X1)
          & p33(X2,X1) ) ) )).

fof(formula_32,axiom,(
    $true )).

fof(formula_86,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p12(X2)
        & p6(X2)
        & ~ p12(X3)
        & p7(X3,X2) )
     => ( p11(X1,f44(X2,X3))
      <=> ? [X4] : 
            ( p27(X4,f28(f4(X2)))
            & X1 = X4
            & p67(X2,X3,X4) ) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p13(X1)
          & p35(X1) )
       => ( ~ p12(X1)
          & p13(X1)
          & p18(X1)
          & p19(X1)
          & p14(X1) ) ) ) )).

fof(formula_124,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & ~ p24(X2)
          & p58(X2,X1)
          & p53(X2,X1) ) ) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
      ( ( ~ p12(X1)
        & p6(X1)
        & ~ p12(X2)
        & p7(X2,X1) )
     => p27(f43(X1,X2),f28(f4(f51(f50(X1))))) ) )).

fof(formula_135,axiom,(
    ! [X1,X2,X3] : 
      ( ( p11(X1,X2)
        & p27(X2,f28(X3)) )
     => p27(X1,X3) ) )).

fof(formula_98,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & p64(X2,X1)
          & p52(X2,X1) ) ) )).

fof(formula_116,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & ~ p35(X1)
        & p13(X1)
        & p18(X1)
        & p19(X1)
        & p22(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & ~ p24(X2)
          & p65(X2,f28(f4(X1)))
          & p52(X2,X1)
          & p53(X2,X1) ) ) )).

fof(formula_81,axiom,(
    ! [X1] : 
      ( ~ p12(f51(X1))
      & p2(f51(X1))
      & p13(f51(X1))
      & p18(f51(X1))
      & p19(f51(X1)) ) )).

fof(formula_47,axiom,(
    $true )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( ( p30(X1)
        & p31(X1) )
     => ! [X2] : 
          ( p27(X2,f28(f4(X1)))
         => ( ( p32(X2,X1)
              & p36(X2,X1) )
           => ( p24(X2)
              & p32(X2,X1)
              & p33(X2,X1)
              & p38(X2)
              & p39(X2)
              & p40(X2)
              & p41(X2)
              & p42(X2)
              & p34(X2,X1)
              & p36(X2,X1) ) ) ) ) )).

fof(formula_101,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p2(X1)
      & p13(X1)
      & p18(X1)
      & p19(X1)
      & p20(X1)
      & p21(X1)
      & p14(X1) ) )).

fof(formula_92,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p2(X1)
      & p13(X1)
      & p18(X1)
      & p19(X1)
      & p20(X1)
      & p21(X1)
      & p14(X1)
      & p17(X1)
      & p22(X1)
      & p23(X1)
      & p15(X1)
      & p16(X1) ) )).

fof(formula_128,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p30(X1)
        & p31(X1) )
     => ! [X2] : 
          ( ( ~ p12(X2)
            & p18(X2)
            & p48(X2)
            & p7(X2,X1) )
         => ! [X3] : 
              ( p27(X3,f4(X1))
             => ( p11(X3,f49(X1,X2))
              <=> p69(X1,f43(X1,X2),X3) ) ) ) ) )).

fof(formula_80,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p6(X1)
        & ~ p24(X2)
        & p45(X3,X2,X2)
        & p46(X4)
        & p47(X4,X2,f4(X1))
        & p45(X4,X2,f4(X1)) )
     => ( ~ p12(f9(X1,X2,X3,X4))
        & p8(f9(X1,X2,X3,X4),X1) ) ) )).

fof(formula_63,axiom,(
    ! [X1] : ~ p24(f28(X1)) )).

fof(formula_109,axiom,(
    ? [X1] : 
      ( p26(X1)
      & p57(X1) ) )).

fof(formula_64,axiom,(
    ! [X1] : 
      ( ~ p12(f51(X1))
      & p2(f51(X1))
      & p13(f51(X1))
      & p18(f51(X1))
      & p19(f51(X1))
      & p17(f51(X1))
      & p22(f51(X1))
      & p23(f51(X1))
      & p15(f51(X1))
      & p16(f51(X1))
      & ~ p59(f51(X1))
      & p60(f51(X1))
      & p61(f51(X1))
      & p62(f51(X1))
      & p63(f51(X1))
      & p20(f51(X1))
      & p21(f51(X1))
      & p14(f51(X1)) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p14(X1) )
       => ( ~ p12(X1)
          & p23(X1) ) ) ) )).

fof(formula_49,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_127,axiom,(
    ! [X1,X2] : p68(X1,X1) )).

fof(formula_65,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p6(X1) )
     => ~ p24(f50(X1)) ) )).

fof(formula_88,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p6(X1)
        & p45(X3,X2,X2)
        & p46(X4)
        & p47(X4,X2,f4(X1))
        & p45(X4,X2,f4(X1)) )
     => ! [X5,X6,X7,X8] : 
          ( f9(X1,X2,X3,X4) = f9(X5,X6,X7,X8)
         => ( X1 = X5
            & X2 = X6
            & X3 = X7
            & X4 = X8 ) ) ) )).
%------------------------------------------------------------------------------
