%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f21(A) = f21(B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f22(A) = f22(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(A,C) )
     => p13(B,C) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(C,A) )
     => p13(C,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(A,C) )
     => p16(B,C) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(C,A) )
     => p16(C,B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(A,C) )
     => p23(B,C) ) )).

fof(p23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(C,A) )
     => p23(C,B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p24(A,C) )
     => p24(B,C) ) )).

fof(p24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p24(C,A) )
     => p24(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p1(X2)
         => p3(f6(X2,X1)) ) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ! [X3] : 
              ( p3(X3)
             => ( ( p9(X1,X2)
                  & p9(X2,X3) )
               => p9(X1,X3) ) ) ) ) )).

fof(formula_72,axiom,(
    p19(c8) )).

fof(formula_73,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p20(f6(X1,c8)) ) )).

fof(formula_51,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p10(X1,c8) ) )).

fof(formula_88,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => ! [X3] : 
              ( p1(X3)
             => ( ( p23(X1,X2)
                  & p23(X2,X3) )
               => p23(X1,X3) ) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p15(X1)
      <=> ! [X2] : 
            ( p1(X2)
           => ! [X3] : 
                ( p1(X3)
               => ! [X4] : 
                    ( p3(X4)
                   => ! [X5] : 
                        ( p3(X5)
                       => ! [X6] : 
                            ( p3(X6)
                           => ( f5(f5(X4,f6(X2,X5)),f6(X3,X6)) = X1
                             => ( p16(X2,X3)
                                | p16(X3,X2) ) ) ) ) ) ) ) ) ) )).

fof(formula_87,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => ( ( p23(X1,X2)
              & p23(X2,X1) )
           => X1 = X2 ) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p1(X2)
         => ( p4(X1,X2)
          <=> ? [X3] : 
                ( p3(X3)
                & ? [X4] : 
                    ( p3(X4)
                    & f5(X3,f6(X2,X4)) = X1 ) ) ) ) ) )).

fof(formula_17,axiom,(
    p3(c8) )).

fof(formula_81,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p1(X2)
         => f6(X2,X1) = f5(f6(X2,c8),X1) ) ) )).

fof(formula_64,axiom,(
    p15(c8) )).

fof(formula_85,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( c8 != X1
           => f21(f5(X1,X2)) = f21(X1) ) ) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => ( ( p13(X1,X2)
              & p13(X2,X1) )
           => X1 = X2 ) ) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p3(X2)
         => ! [X3] : 
              ( p3(X3)
             => ( p4(f5(X2,X3),X1)
              <=> ( p4(X2,X1)
                  | p4(X3,X1) ) ) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => ( p2(X1,X2)
          <=> X1 != X2 ) ) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ! [X3] : 
              ( p1(X3)
             => ! [X4] : 
                  ( p1(X4)
                 => ( f6(X3,X1) = f6(X4,X2)
                   => ( X3 = X4
                      & X2 = X1 ) ) ) ) ) ) )).

fof(formula_2,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ? [X2] : 
          ( p1(X2)
          & X1 != X2 ) ) )).

fof(formula_50,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ! [X3] : 
              ( p3(X3)
             => ( p10(X1,X2)
               => p10(f5(X3,X1),X2) ) ) ) ) )).

fof(formula_54,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( ( p11(X1,X2)
              & p11(X2,X1) )
           => X1 = X2 ) ) ) )).

fof(formula_59,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p12(f6(X1,c8)) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => ( p23(X1,X2)
          <=> p13(X2,X1) ) ) ) )).

fof(formula_78,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( c8 != X1
       => f6(f21(X1),f22(X1)) = X1 ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p17(X1)
      <=> ! [X2] : 
            ( p1(X2)
           => ! [X3] : 
                ( p1(X3)
               => ! [X4] : 
                    ( p3(X4)
                   => ! [X5] : 
                        ( p3(X5)
                       => ! [X6] : 
                            ( p3(X6)
                           => ( f5(f5(X4,f6(X2,X5)),f6(X3,X6)) = X1
                             => p13(X2,X3) ) ) ) ) ) ) ) ) )).

fof(formula_57,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p11(X1,c8) ) )).

fof(formula_82,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ! [X3] : 
              ( p3(X3)
             => f5(f5(X1,X2),X3) = f5(X1,f5(X2,X3)) ) ) ) )).

fof(formula_69,axiom,(
    p18(c8) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p1(X2)
         => f22(f6(X2,X1)) = X1 ) ) )).

fof(formula_41,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( ( p9(X1,X2)
              & p9(X2,X1) )
           => X1 = X2 ) ) ) )).

fof(formula_94,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => ( p24(X1,X2)
           => ~ p24(X2,X1) ) ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p19(X1)
      <=> ! [X2] : 
            ( p1(X2)
           => ! [X3] : 
                ( p1(X3)
               => ! [X4] : 
                    ( p3(X4)
                   => ! [X5] : 
                        ( p3(X5)
                       => ! [X6] : 
                            ( p3(X6)
                           => ( f5(f5(X4,f6(X2,X5)),f6(X3,X6)) = X1
                             => X2 != X3 ) ) ) ) ) ) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p7(X1)
      <=> ? [X2] : 
            ( p1(X2)
            & f6(X2,c8) = X1 ) ) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p1(X2)
         => f21(f6(X2,X1)) = X2 ) ) )).

fof(formula_71,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p19(f6(X1,c8)) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ! [X3] : 
              ( p1(X3)
             => f6(X3,f5(X2,X1)) = f5(f6(X3,X2),X1) ) ) ) )).

fof(formula_79,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ! [X3] : 
              ( p3(X3)
             => ( f5(X3,X2) = f5(X1,X2)
               => X3 = X1 ) ) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( p10(X1,X2)
          <=> ? [X3] : 
                ( p3(X3)
                & f5(X3,X2) = X1 ) ) ) ) )).

fof(formula_45,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p9(X1,c8) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( p9(X1,X2)
          <=> ? [X3] : 
                ( p3(X3)
                & f5(X2,X3) = X1 ) ) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => ! [X3] : 
              ( p1(X3)
             => ( ( p13(X1,X2)
                  & p13(X2,X3) )
               => p13(X1,X3) ) ) ) ) )).

fof(formula_63,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p15(f6(X1,c8)) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => p3(f5(X1,X2)) ) ) )).

fof(formula_44,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => ! [X3] : 
              ( p3(X3)
             => ! [X4] : 
                  ( p3(X4)
                 => ( p9(f6(X1,X3),f6(X2,X4))
                  <=> ( X1 = X2
                      & p9(X3,X4) ) ) ) ) ) ) )).

fof(formula_96,conjecture,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ! [X3] : 
              ( p3(X3)
             => ! [X4] : 
                  ( p3(X4)
                 => ( X2 != X4
                    | X1 != X3
                    | c8 = X1
                    | ? [X5] : 
                        ( p1(X5)
                        & ? [X6] : 
                            ( p3(X6)
                            & ? [X7] : 
                                ( p3(X7)
                                & f5(f5(X6,f6(X5,c8)),X7) = X1
                                & ! [X8] : 
                                    ( p1(X8)
                                   => ( ~ p4(X6,X8)
                                      | ~ p4(X7,X8)
                                      | ~ p13(X5,X8)
                                      | p13(X8,X5) ) ) ) ) )
                    | ! [X9] : 
                        ( p3(X9)
                       => ( f5(X3,X9) != X4
                          | ~ p18(X3)
                          | ? [X10] : 
                              ( p1(X10)
                              & ? [X11] : 
                                  ( p3(X11)
                                  & f5(f6(X10,c8),X11) = X9
                                  & ? [X12] : 
                                      ( p1(X12)
                                      & ? [X13] : 
                                          ( p3(X13)
                                          & f5(X13,f6(X12,c8)) = X3
                                          & p16(X12,X10) ) ) ) ) ) )
                    | ( c8 != X4
                      & c8 = X3 ) ) ) ) ) ) )).

fof(formula_74,axiom,(
    p20(c8) )).

fof(formula_70,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( p18(f6(X1,X2))
          <=> ( c8 = X2
              | ( c8 != X2
                & p18(X2)
                & p16(X1,f21(X2)) ) ) ) ) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p20(X1)
      <=> ! [X2] : 
            ( p1(X2)
           => ! [X3] : 
                ( p1(X3)
               => ! [X4] : 
                    ( p3(X4)
                   => ! [X5] : 
                        ( p3(X5)
                       => ( f5(X4,f6(X2,f6(X3,X5))) = X1
                         => X2 = X3 ) ) ) ) ) ) ) )).

fof(formula_47,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ! [X3] : 
              ( p3(X3)
             => ( ( p10(X1,X2)
                  & p10(X2,X3) )
               => p10(X1,X3) ) ) ) ) )).

fof(formula_38,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ~ p4(c8,X1) ) )).

fof(formula_48,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( ( p10(X1,X2)
              & p10(X2,X1) )
           => X1 = X2 ) ) ) )).

fof(formula_75,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( c8 != X1
       => ? [X2] : 
            ( p1(X2)
            & f21(X1) = X2 ) ) ) )).

fof(formula_91,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => ! [X3] : 
              ( p1(X3)
             => ( ( p13(X1,X2)
                  & p16(X2,X3) )
               => p16(X1,X3) ) ) ) ) )).

fof(formula_46,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p9(c8,X1)
      <=> c8 = X1 ) ) )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p10(c8,X1)
      <=> c8 = X1 ) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p14(X1)
      <=> ! [X2] : 
            ( p1(X2)
           => ! [X3] : 
                ( p1(X3)
               => ! [X4] : 
                    ( p3(X4)
                   => ! [X5] : 
                        ( p3(X5)
                       => ! [X6] : 
                            ( p3(X6)
                           => ( f5(f5(X4,f6(X2,X5)),f6(X3,X6)) = X1
                             => ( p13(X2,X3)
                                | p13(X3,X2) ) ) ) ) ) ) ) ) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( c8 = X1
        | ? [X2] : 
            ( p3(X2)
            & ? [X3] : 
                ( p1(X3)
                & f6(X3,X2) = X1 ) ) ) ) )).

fof(formula_49,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p10(X1,X1) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p1(X2)
         => f6(X2,X1) != X1 ) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => ( p24(X1,X2)
          <=> p16(X2,X1) ) ) ) )).

fof(formula_66,axiom,(
    p17(c8) )).

fof(formula_65,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p17(f6(X1,c8)) ) )).

fof(formula_95,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => ! [X3] : 
              ( p1(X3)
             => ( ( p24(X1,X2)
                  & p24(X2,X3) )
               => p24(X1,X3) ) ) ) ) )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ! [X3] : 
              ( p3(X3)
             => ( p9(X1,X2)
               => p9(f5(X1,X3),X2) ) ) ) ) )).

fof(formula_39,axiom,(
    ~ p7(c8) )).

fof(formula_56,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ! [X3] : 
              ( p3(X3)
             => ! [X4] : 
                  ( p3(X4)
                 => ( p11(X1,X2)
                   => p11(f5(f5(X3,X1),X4),X2) ) ) ) ) ) )).

fof(formula_55,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p11(X1,X1) ) )).

fof(formula_42,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p9(X1,X1) ) )).

fof(formula_83,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( c8 = f5(X1,X2)
          <=> ( c8 = X2
              & c8 = X1 ) ) ) ) )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => ( p16(X1,X2)
           => ~ p16(X2,X1) ) ) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p1(X2)
         => c8 != f6(X2,X1) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( c8 != X1
       => p1(f21(X1)) ) ) )).

fof(formula_68,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p18(f6(X1,c8)) ) )).

fof(formula_90,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ~ p16(X1,X1) ) )).

fof(formula_61,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p14(f6(X1,c8)) ) )).

fof(formula_76,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( c8 != X1
       => ? [X2] : 
            ( p3(X2)
            & f22(X1) = X2 ) ) ) )).

fof(formula_84,axiom,(
    ! [X1] : 
      ( p3(X1)
     => f5(X1,c8) = X1 ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p12(X1)
      <=> ! [X2] : 
            ( p1(X2)
           => ! [X3] : 
                ( p1(X3)
               => ! [X4] : 
                    ( p3(X4)
                   => ! [X5] : 
                        ( p3(X5)
                       => ! [X6] : 
                            ( p3(X6)
                           => ( f5(f5(X4,f6(X2,X5)),f6(X3,X6)) = X1
                             => ~ ( p13(X2,X3)
                                  & p13(X3,X2) ) ) ) ) ) ) ) ) ) )).

fof(formula_58,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p11(c8,X1)
      <=> c8 = X1 ) ) )).

fof(formula_67,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( p17(f6(X1,X2))
          <=> ( c8 = X2
              | ( c8 != X2
                & p17(X2)
                & p13(X1,f21(X2)) ) ) ) ) ) )).

fof(formula_77,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( ( c8 != X2
              & c8 != X1
              & f21(X2) = f21(X1)
              & f22(X2) = f22(X1) )
           => X2 = X1 ) ) ) )).

fof(formula_92,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => ( p13(X1,X2)
           => ( X1 = X2
              | p16(X1,X2) ) ) ) ) )).

fof(formula_37,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => ! [X3] : 
              ( p3(X3)
             => ( p4(f6(X2,X3),X1)
              <=> ( X1 = X2
                  | p4(X3,X1) ) ) ) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( p2(X1,X2)
          <=> X1 != X2 ) ) ) )).

fof(formula_62,axiom,(
    p14(c8) )).

fof(formula_53,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ! [X3] : 
              ( p3(X3)
             => ( ( p11(X1,X2)
                  & p11(X2,X3) )
               => p11(X1,X3) ) ) ) ) )).

fof(formula_60,axiom,(
    p12(c8) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p3(X1)
     => f5(c8,X1) = X1 ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p13(X1,X1) ) )).

fof(formula_86,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( c8 != X1
           => f22(f5(X1,X2)) = f5(f22(X1),X2) ) ) ) )).

fof(formula_80,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ! [X3] : 
              ( p3(X3)
             => ( f5(X2,X3) = f5(X2,X1)
               => X3 = X1 ) ) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( c8 != X1
       => p3(f22(X1)) ) ) )).

fof(formula_93,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => ( p16(X1,X2)
          <=> ( X1 != X2
              & p13(X1,X2) ) ) ) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p18(X1)
      <=> ! [X2] : 
            ( p1(X2)
           => ! [X3] : 
                ( p1(X3)
               => ! [X4] : 
                    ( p3(X4)
                   => ! [X5] : 
                        ( p3(X5)
                       => ! [X6] : 
                            ( p3(X6)
                           => ( f5(f5(X4,f6(X2,X5)),f6(X3,X6)) = X1
                             => p16(X2,X3) ) ) ) ) ) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( p11(X1,X2)
          <=> ? [X3] : 
                ( p3(X3)
                & ? [X4] : 
                    ( p3(X4)
                    & f5(f5(X3,X2),X4) = X1 ) ) ) ) ) )).

fof(formula_89,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p23(X1,X1) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => ! [X3] : 
              ( p1(X3)
             => ( ( p16(X1,X2)
                  & p16(X2,X3) )
               => p16(X1,X3) ) ) ) ) )).
%------------------------------------------------------------------------------
