%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f11(A,C,D) = f11(B,C,D) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f11(C,A,D) = f11(C,B,D) ) )).

fof(f11_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f11(C,D,A) = f11(C,D,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f12(A,C,D) = f12(B,C,D) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f12(C,A,D) = f12(C,B,D) ) )).

fof(f12_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f12(C,D,A) = f12(C,D,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f13(A) = f13(B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f15(A,C,D,E) = f15(B,C,D,E) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f15(C,A,D,E) = f15(C,B,D,E) ) )).

fof(f15_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f15(C,D,A,E) = f15(C,D,B,E) ) )).

fof(f15_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f15(C,D,E,A) = f15(C,D,E,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(A,C) = f16(B,C) ) )).

fof(f16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(C,A) = f16(C,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f19(A,C,D) = f19(B,C,D) ) )).

fof(f19_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f19(C,A,D) = f19(C,B,D) ) )).

fof(f19_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f19(C,D,A) = f19(C,D,B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(A,C) = f22(B,C) ) )).

fof(f22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(C,A) = f22(C,B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(A,C) = f23(B,C) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(C,A) = f23(C,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f24(A,C,D) = f24(B,C,D) ) )).

fof(f24_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f24(C,A,D) = f24(C,B,D) ) )).

fof(f24_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f24(C,D,A) = f24(C,D,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(formula_37,axiom,(
    ! [X1] : f22(X1,5) = f6(f6(f6(f6(f6(X1))))) )).

fof(formula_25,axiom,(
    ! [X1,X2,X3,X4,X5,X6,X7,X8] : 
      ( ( ! [X9,X10] : 
            ( ( p2(0,X9)
              & p2(X9,X8)
              & p2(0,X10)
              & p2(X10,X8) )
           => f11(X4,X9,X10) = f11(X4,X10,X9) )
        & ! [X9,X10] : 
            ( ( p2(0,X9)
              & p2(X9,X7)
              & p2(0,X10)
              & p2(X10,X7) )
           => f11(X1,X9,X10) = f11(X1,X10,X9) )
        & ! [X9,X10] : 
            ( ( p2(0,X9)
              & p2(X9,X7)
              & p2(0,X10)
              & p2(X10,X7) )
           => f11(X6,X9,X10) = f11(X6,X10,X9) ) )
     => ! [X9,X10] : 
          ( ( p2(0,X9)
            & p2(X9,X7)
            & p2(0,X10)
            & p2(X10,X7) )
         => f11(f16(X1,f18(X2,f18(f16(f18(X3,f18(X4,f13(X3))),f18(X5,f18(X6,f13(X5)))),f13(X2)))),X9,X10) = f11(f16(X1,f18(X2,f18(f16(f18(X3,f18(X4,f13(X3))),f18(X5,f18(X6,f13(X5)))),f13(X2)))),X10,X9) ) ) )).

fof(formula_78,axiom,(
    ! [X1] : 
      ( ( p2(c28,X1)
        & p2(X1,c38) )
     => ( X1 = c28
        | X1 = c38 ) ) )).

fof(formula_71,axiom,(
    p1(c36,c32) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ( p2(f6(X1),f6(X2))
    <=> p2(X1,X2) ) )).

fof(formula_77,axiom,(
    ! [X1] : 
      ( ( p2(c28,X1)
        & p2(X1,c28) )
     => X1 = c28 ) )).

fof(formula_24,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ! [X5,X6] : 
          ( ( p2(0,X5)
            & p2(X5,X4)
            & p2(0,X6)
            & p2(X6,X4) )
         => f11(X2,X5,X6) = f11(X2,X6,X5) )
     => ! [X5,X6] : 
          ( ( p2(0,X5)
            & p2(X5,X3)
            & p2(0,X6)
            & p2(X6,X3) )
         => f11(f18(X1,f18(X2,f13(X1))),X5,X6) = f11(f18(X1,f18(X2,f13(X1))),X6,X5) ) ) )).

fof(formula_29,axiom,(
    ! [X1] : f22(X1,1) = f6(X1) )).

fof(formula_82,axiom,(
    f6(f6(f6(f6(f6(c28))))) = c36 )).

fof(formula_2,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p1(X2,X3) )
     => p1(X1,X3) ) )).

fof(formula_55,axiom,(
    p1(c37,c20) )).

fof(formula_68,axiom,(
    p1(c32,c38) )).

fof(formula_52,axiom,(
    c26 != c27 )).

fof(formula_39,axiom,(
    ! [X1] : f23(X1,1) = f5(X1) )).

fof(formula_79,axiom,(
    ! [X1] : 
      ( ( p2(c28,X1)
        & p2(X1,c32) )
     => ( X1 = c28
        | X1 = c38
        | X1 = c32 ) ) )).

fof(formula_74,axiom,(
    p1(c36,c34) )).

fof(formula_80,axiom,(
    ! [X1] : 
      ( ( p2(c28,X1)
        & p2(X1,c34) )
     => ( X1 = c28
        | X1 = c38
        | X1 = c32
        | X1 = c34 ) ) )).

fof(formula_32,axiom,(
    ! [X1] : f22(2,X1) = f6(f6(X1)) )).

fof(formula_58,axiom,(
    p1(c38,c20) )).

fof(formula_83,axiom,(
    f6(c28) = c38 )).

fof(formula_69,axiom,(
    p1(c34,c38) )).

fof(formula_47,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ! [X7,X8] : 
            ( ( p2(0,X7)
              & p2(0,X8)
              & p2(X7,X3)
              & p2(X8,X4) )
           => f11(X5,X7,X8) = X6 )
        & p2(0,X1)
        & p2(X1,X3)
        & p2(0,X2)
        & p2(X2,X4) )
     => f11(f15(X5,X3,X4,X6),X1,X2) = X6 ) )).

fof(formula_70,axiom,(
    p1(c37,c32) )).

fof(formula_38,axiom,(
    ! [X1] : f22(5,X1) = f6(f6(f6(f6(f6(X1))))) )).

fof(formula_59,axiom,(
    p1(c32,c20) )).

fof(formula_57,axiom,(
    p1(c28,c20) )).

fof(formula_48,axiom,(
    ! [X1,X2,X3] : f8(f24(X1,X2,X3),X2) = X3 )).

fof(formula_36,axiom,(
    ! [X1] : f22(4,X1) = f6(f6(f6(f6(X1)))) )).

fof(formula_51,axiom,(
    p25 )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => p2(X1,f6(X2)) ) )).

fof(formula_46,axiom,(
    ! [X1,X2,X3,X4,X5,X6,X7] : 
      ( ( X1 != X3
        & X2 = X4
        & f11(X5,X3,X4) = X6 )
     => f11(f15(X5,X1,X2,X7),X3,X4) = X6 ) )).

fof(formula_44,axiom,(
    ! [X1,X2] : 
      ( p2(f23(X1,X2),X1)
     => p2(0,X2) ) )).

fof(formula_73,axiom,(
    p1(c37,c34) )).

fof(formula_60,axiom,(
    p1(c34,c20) )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
      ( ! [X3,X4] : 
          ( ( p2(0,X3)
            & p2(X3,X2)
            & p2(0,X4)
            & p2(X4,X2) )
         => f11(X1,X3,X4) = f11(X1,X4,X3) )
     => ! [X3,X4,X5,X6] : 
          ( ( p2(0,X3)
            & p2(X3,X2)
            & p2(0,X4)
            & p2(X4,X2)
            & p2(0,X5)
            & p2(X5,X2) )
         => f11(f15(X1,X5,X5,X6),X3,X4) = f11(f15(X1,X5,X5,X6),X4,X3) ) ) )).

fof(formula_81,axiom,(
    f6(f6(f6(f6(c28)))) = c37 )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f5(X2))
    <=> p1(X2,X1) ) )).

fof(formula_26,axiom,(
    ! [X1] : f19(0,c20,X1) = 0 )).

fof(formula_16,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p2(X2,X1)
        & p2(X1,X3) )
     => f8(f9(f10(X2,X3),X4),X1) = X4 ) )).

fof(formula_84,axiom,(
    f6(f6(c28)) = c32 )).

fof(formula_63,axiom,(
    p1(c38,c28) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( p1(X2,X1)
     => p2(X1,X2) ) )).

fof(formula_65,axiom,(
    p1(c34,c28) )).

fof(formula_43,axiom,(
    ! [X1,X2] : 
      ( p2(f6(X1),X2)
     => p1(X2,X1) ) )).

fof(formula_50,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( ! [X5] : 
            ( ( p2(0,X5)
              & p2(X5,X2) )
           => f8(X3,X5) = X4 )
        & p2(0,X1)
        & p2(X1,X2) )
     => f8(f24(X3,X2,X4),X1) = X4 ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
    <=> p2(X2,X1) ) )).

fof(formula_22,axiom,(
    ! [X1,X2,X3] : 
      ( ( ! [X4,X5] : 
            ( ( p2(0,X4)
              & p2(X4,X3)
              & p2(0,X5)
              & p2(X5,X3) )
           => f11(X1,X4,X5) = f11(X1,X5,X4) )
        & ! [X4,X5] : 
            ( ( p2(0,X4)
              & p2(X4,X3)
              & p2(0,X5)
              & p2(X5,X3) )
           => f11(X2,X4,X5) = f11(X2,X5,X4) ) )
     => ! [X4,X5] : 
          ( ( p2(0,X4)
            & p2(X4,X3)
            & p2(0,X5)
            & p2(X5,X3) )
         => f11(f17(X1,X2),X4,X5) = f11(f17(X1,X2),X5,X4) ) ) )).

fof(formula_40,axiom,(
    ! [X1] : f5(f6(X1)) = X1 )).

fof(formula_62,axiom,(
    p1(c36,c28) )).

fof(formula_49,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( X1 != X2
        & f8(X3,X2) = X4 )
     => f8(f24(X3,X1,X5),X2) = X4 ) )).

fof(formula_34,axiom,(
    ! [X1] : f22(3,X1) = f6(f6(f6(X1))) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( ! [X3,X4] : 
          ( ( p2(0,X3)
            & p2(X3,X2)
            & p2(0,X4)
            & p2(X4,X2) )
         => f11(X1,X3,X4) = f11(X1,X4,X3) )
     => ! [X3,X4] : 
          ( ( p2(0,X3)
            & p2(X3,X2)
            & p2(0,X4)
            & p2(X4,X2) )
         => f11(f13(X1),X3,X4) = f11(f13(X1),X4,X3) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : p1(f6(X1),X1) )).

fof(formula_75,axiom,(
    ! [X1] : 
      ( ( p2(c28,X1)
        & p2(X1,c37) )
     => ( X1 = c28
        | X1 = c38
        | X1 = c32
        | X1 = c34
        | X1 = c37 ) ) )).

fof(formula_27,axiom,(
    ! [X1] : c21 = f19(0,c20,X1) )).

fof(formula_3,axiom,(
    ! [X1] : ~ p1(X1,X1) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( ! [X3,X4] : 
          ( ( p2(0,X3)
            & p2(X3,X2)
            & p2(0,X4)
            & p2(X4,X2) )
         => f11(X1,X3,X4) = f11(X1,X4,X3) )
     => ! [X3,X4] : 
          ( ( p2(0,X3)
            & p2(X3,X2)
            & p2(0,X4)
            & p2(X4,X2) )
         => f11(f14(X1),X3,X4) = f11(f14(X1),X4,X3) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( ( p2(X1,X2)
        & X1 != X2 )
     => p1(X2,X1) ) )).

fof(formula_56,axiom,(
    p1(c36,c20) )).

fof(formula_76,axiom,(
    ! [X1] : 
      ( ( p2(c28,X1)
        & p2(X1,c36) )
     => ( X1 = c28
        | X1 = c38
        | X1 = c32
        | X1 = c34
        | X1 = c37
        | X1 = c36 ) ) )).

fof(formula_17,axiom,(
    ! [X1,X2,X3,X4,X5,X6,X7] : 
      ( ( p2(X2,X1)
        & p2(X1,X3)
        & p2(X5,X4)
        & p2(X4,X6) )
     => f11(f12(f10(X2,X3),f10(X5,X6),X7),X1,X4) = X7 ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> p1(f6(X2),X1) ) )).

fof(formula_4,axiom,(
    ! [X1] : p2(X1,X1) )).

fof(formula_61,axiom,(
    p1(c37,c28) )).

fof(formula_66,axiom,(
    p1(c37,c38) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( p2(0,X1)
     => p2(0,f7(X2,X1)) ) )).

fof(formula_64,axiom,(
    p1(c32,c28) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( p2(0,X1)
     => p2(f7(X2,X1),X1) ) )).

fof(formula_54,axiom,(
    p1(c36,c37) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( ( p2(X1,X2)
        & p2(X2,X3) )
     => p2(X1,X3) ) )).

fof(formula_33,axiom,(
    ! [X1] : f22(X1,3) = f6(f6(f6(X1))) )).

fof(formula_53,conjecture,
    ( ( p2(c28,c29)
      & p2(c28,c30)
      & p2(c28,c31)
      & p2(c32,c33)
      & p2(c29,c34)
      & p2(c30,c34)
      & p2(c31,c34)
      & p2(c33,c34)
      & p2(f8(c35,c33),f8(c35,c29)) )
   => p2(c28,c33) )).

fof(formula_45,axiom,(
    ! [X1,X2,X3,X4] : f11(f15(X1,X2,X3,X4),X2,X3) = X4 )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
      | p1(X2,X1)
      | X1 = X2 ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
    <=> p1(X2,X1) ) )).

fof(formula_72,axiom,(
    p1(c34,c32) )).

fof(formula_28,axiom,(
    f6(c20) = 0 )).

fof(formula_21,axiom,(
    ! [X1,X2,X3] : 
      ( ( ! [X4,X5] : 
            ( ( p2(0,X4)
              & p2(X4,X3)
              & p2(0,X5)
              & p2(X5,X3) )
           => f11(X1,X4,X5) = f11(X1,X5,X4) )
        & ! [X4,X5] : 
            ( ( p2(0,X4)
              & p2(X4,X3)
              & p2(0,X5)
              & p2(X5,X3) )
           => f11(X2,X4,X5) = f11(X2,X5,X4) ) )
     => ! [X4,X5] : 
          ( ( p2(0,X4)
            & p2(X4,X3)
            & p2(0,X5)
            & p2(X5,X3) )
         => f11(f16(X1,X2),X4,X5) = f11(f16(X1,X2),X5,X4) ) ) )).

fof(formula_67,axiom,(
    p1(c36,c38) )).

fof(formula_31,axiom,(
    ! [X1] : f22(X1,2) = f6(f6(X1)) )).

fof(formula_30,axiom,(
    ! [X1] : f22(1,X1) = f6(X1) )).

fof(formula_23,axiom,(
    ! [X1,X2,X3] : 
      ( ! [X4,X5] : 
          ( ( p2(0,X4)
            & p2(X4,X3)
            & p2(0,X5)
            & p2(X5,X3) )
         => f11(X2,X4,X5) = f11(X2,X5,X4) )
     => ! [X4,X5] : 
          ( ( p2(0,X4)
            & p2(X4,X3)
            & p2(0,X5)
            & p2(X5,X3) )
         => f11(f18(X1,f18(X2,f13(X1))),X4,X5) = f11(f18(X1,f18(X2,f13(X1))),X5,X4) ) ) )).

fof(formula_35,axiom,(
    ! [X1] : f22(X1,4) = f6(f6(f6(f6(X1)))) )).

fof(formula_85,axiom,(
    f6(f6(f6(c28))) = c34 )).

fof(formula_41,axiom,(
    ! [X1] : f6(f5(X1)) = X1 )).
%------------------------------------------------------------------------------
