%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(A,C) = f2(B,C) ) )).

fof(f2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(C,A) = f2(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f3(A) = f3(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(formula_20,axiom,(
    p1(c14) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p1(X2) )
     => p1(f4(f5(X1),X2)) ) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(f3(X2))
        & p1(X3)
        & p1(f4(f2(c7,f3(X2)),X1)) )
     => p1(f4(f2(c7,X2),f2(X1,X3))) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p1(X2) )
     => p1(f4(f4(f5(f2(c6,c7)),X1),X2)) ) )).

fof(formula_18,axiom,(
    p1(c13) )).

fof(formula_21,axiom,(
    p1(f4(f2(c7,c8),f2(c11,f2(c10,c6)))) )).

fof(formula_8,axiom,(
    ! [X1,X2,X3] : f4(X1,f4(f5(X1),X2)) = X2 )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : f2(X1,X2) = f2(X2,X1) )).

fof(formula_13,axiom,(
    p1(c8) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3] : f2(X1,c9) = X1 )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p1(X2) )
     => p1(f2(X1,X2)) ) )).

fof(formula_15,axiom,(
    p1(c9) )).

fof(formula_10,axiom,(
    ! [X1,X2,X3] : f2(X1,f2(X2,X3)) = f2(f2(X1,X2),X3) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p1(f3(X1)) ) )).

fof(formula_16,axiom,(
    p1(c10) )).

fof(formula_22,conjecture,(
    p1(f4(c12,c14)) )).

fof(formula_11,axiom,(
    ! [X1,X2,X3] : f2(X1,X1) = c9 )).

fof(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X2)
        & p1(f4(f2(X1,X2),X3))
        & p1(f4(f2(c7,c8),X1)) )
     => p1(f4(f2(c7,X2),X3)) ) )).

fof(formula_14,axiom,(
    p1(c6) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p1(X2) )
     => p1(f4(X1,X2)) ) )).

fof(formula_17,axiom,(
    p1(f4(f2(c11,c10),c12)) )).

fof(formula_19,axiom,(
    p1(f4(f2(c7,f3(c8)),f2(c11,c13))) )).
%------------------------------------------------------------------------------
