%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(A,C) = f13(B,C) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(C,A) = f13(C,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(A,C) = f16(B,C) ) )).

fof(f16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(C,A) = f16(C,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(A,C) = f20(B,C) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(C,A) = f20(C,B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(A,C) = f21(B,C) ) )).

fof(f21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(C,A) = f21(C,B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(A,C) = f22(B,C) ) )).

fof(f22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(C,A) = f22(C,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(A,C) = f24(B,C) ) )).

fof(f24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(C,A) = f24(C,B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(A,C) = f25(B,C) ) )).

fof(f25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(C,A) = f25(C,B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f26(A) = f26(B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f27(A) = f27(B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f29(A,C,D) = f29(B,C,D) ) )).

fof(f29_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f29(C,A,D) = f29(C,B,D) ) )).

fof(f29_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f29(C,D,A) = f29(C,D,B) ) )).

fof(f33_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f33(A,C) = f33(B,C) ) )).

fof(f33_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f33(C,A) = f33(C,B) ) )).

fof(f34_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f34(A,C) = f34(B,C) ) )).

fof(f34_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f34(C,A) = f34(C,B) ) )).

fof(f35_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f35(A) = f35(B) ) )).

fof(f36_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f36(A) = f36(B) ) )).

fof(f37_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f37(A) = f37(B) ) )).

fof(f38_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f38(A) = f38(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(A,C) )
     => p18(B,C) ) )).

fof(p18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(C,A) )
     => p18(C,B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(A,C,D) )
     => p19(B,C,D) ) )).

fof(p19_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(C,A,D) )
     => p19(C,B,D) ) )).

fof(p19_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(C,D,A) )
     => p19(C,D,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(A,C) )
     => p23(B,C) ) )).

fof(p23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(C,A) )
     => p23(C,B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p28(A) )
     => p28(B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p30(A,C) )
     => p30(B,C) ) )).

fof(p30_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p30(C,A) )
     => p30(C,B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p31(A) )
     => p31(B) ) )).

fof(p39_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p39(A,C) )
     => p39(B,C) ) )).

fof(p39_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p39(C,A) )
     => p39(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(A,C) )
     => p40(B,C) ) )).

fof(p40_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(C,A) )
     => p40(C,B) ) )).

fof(p41_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p41(A,C) )
     => p41(B,C) ) )).

fof(p41_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p41(C,A) )
     => p41(C,B) ) )).

fof(p42_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p42(A) )
     => p42(B) ) )).

fof(p43_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p43(A,C) )
     => p43(B,C) ) )).

fof(p43_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p43(C,A) )
     => p43(C,B) ) )).

fof(p44_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p44(A) )
     => p44(B) ) )).

fof(p45_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p45(A) )
     => p45(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(formula_60,axiom,(
    ! [X1,X2] : 
      ( p43(X1,X2)
    <=> ( p7(X1,X2)
        & p8(X1,X2) ) ) )).

fof(formula_51,axiom,(
    ! [X1,X2,X3,X4] : 
      ( X2 != c15
     => f36(f29(X1,X2,X3)) = f35(X1) ) )).

fof(formula_22,axiom,(
    ! [X1,X2] : ~ p19(c15,X1,X2) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( p7(f6(X1,X2),X3)
    <=> ( p7(X1,X3)
        | X2 = X3 ) ) )).

fof(formula_26,axiom,(
    ! [X1,X2,X3] : f21(f16(X1,f17(X2,X3)),X2) = X3 )).

fof(formula_43,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ~ p18(X2,X4)
     => f25(f29(X1,X2,X3),X4) = f29(X1,X2,c32) ) )).

fof(formula_20,axiom,(
    ! [X1] : ~ p18(c15,X1) )).

fof(formula_46,axiom,(
    ! [X1,X2] : f26(f29(X1,c15,X2)) = f29(X1,c15,c32) )).

fof(formula_1,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p1(X2,X3) )
     => p1(X1,X3) ) )).

fof(formula_37,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( p1(X5,X4)
     => ( p28(f29(X1,f16(X2,f17(X4,X5)),X3))
      <=> p28(f29(X1,X2,X3)) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : p1(c3,X1) )).

fof(formula_55,axiom,(
    ! [X1,X2,X3,X4,X5] : f38(f29(X1,f16(X2,f17(X4,X5)),X3)) = f6(f38(f29(X1,X2,X3)),X4) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
    <=> ! [X3] : 
          ( p7(X1,X3)
         => p1(X2,X3) ) ) )).

fof(formula_21,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p18(f16(X1,f17(X2,X4)),X3)
    <=> ( p18(X1,X3)
        | X2 = X3 ) ) )).

fof(formula_57,axiom,(
    ! [X1,X2] : 
      ( p40(X1,X2)
    <=> p39(f38(X1),X2) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : p4(f6(X1,X2)) )).

fof(formula_41,axiom,(
    ! [X1,X2,X3] : 
      ( ~ p31(f29(X1,X2,X3))
     => X3 = c32 ) )).

fof(formula_18,axiom,(
    ~ p14(c15) )).

fof(formula_52,axiom,(
    ! [X1] : f27(X1) = f25(f26(X1),f36(X1)) )).

fof(formula_49,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( X2 != c15
        & p18(X2,f35(X1))
        & p1(f21(X2,f35(X1)),f35(X1)) )
     => f26(f29(X1,X2,X3)) = f29(X1,f22(X2,f35(X1)),X3) ) )).

fof(formula_63,lemma,(
    ! [X1,X2,X3] : 
      ( p45(f26(f29(X1,X2,X3)))
     => p7(f38(f29(X1,X2,X3)),f36(f29(X1,X2,X3))) ) )).

fof(formula_42,axiom,(
    ! [X1,X2,X3,X4] : f24(f29(X1,X2,X3),X4) = f29(f33(X1,X4),f16(X2,f17(X4,c3)),X3) )).

fof(formula_3,axiom,(
    ! [X1] : p1(X1,X1) )).

fof(formula_33,axiom,(
    ! [X1,X2,X3] : 
      ( p23(X1,X2)
     => p23(X1,f25(X2,X3)) ) )).

fof(formula_54,axiom,(
    ! [X1,X2] : f38(f29(X1,c15,X2)) = c5 )).

fof(formula_11,axiom,(
    ! [X1,X2] : f9(f6(X1,X2),X2) = X1 )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
      | p1(X2,X1) ) )).

fof(formula_56,axiom,(
    ! [X1,X2] : 
      ( p39(X1,X2)
    <=> p7(X1,X2) ) )).

fof(formula_29,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p2(X4,X3)
     => f22(f16(X1,f17(X2,X4)),X3) = f16(f22(X1,X3),f17(X2,X3)) ) )).

fof(formula_23,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( p19(f16(X1,f17(X2,X4)),X3,X5)
    <=> ( p19(X1,X3,X5)
        | ( X2 = X3
          & X4 = X5 ) ) ) )).

fof(formula_45,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p18(X2,X4)
        & p2(X4,f21(X2,X4)) )
     => f25(f29(X1,X2,X3),X4) = f29(f34(X1,X4),f20(X2,X4),c32) ) )).

fof(formula_50,axiom,(
    ! [X1,X2] : f36(f29(X1,c15,X2)) = c3 )).

fof(formula_59,axiom,(
    ! [X1] : 
      ( p42(X1)
    <=> ? [X2] : p41(f38(X1),X2) ) )).

fof(formula_6,axiom,(
    ~ p4(c5) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
      ( p23(X1,X2)
     => p23(X1,f27(X2)) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : p28(f29(X1,c15,X2)) )).

fof(formula_38,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( p2(X4,X5)
     => ( p28(f29(X1,f16(X2,f17(X4,X5)),X3))
      <=> $false ) ) )).

fof(formula_24,axiom,(
    ! [X1,X2,X3] : f20(f16(X1,f17(X2,X3)),X2) = X1 )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( ( p7(X1,X2)
        & p8(X1,X2) )
     => f12(X1,X2) = f9(X1,X2) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p1(X1,X2)
        & ~ p1(X2,X1) ) ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ( p31(f29(X1,X2,c32))
    <=> $false ) )).

fof(formula_34,axiom,(
    ! [X1,X2] : 
      ( p23(X1,X2)
     => p23(X1,f26(X2)) ) )).

fof(formula_17,axiom,(
    ! [X1,X2,X3] : f6(f6(X1,X2),X3) = f6(f6(X1,X3),X2) )).

fof(formula_62,axiom,(
    ! [X1] : 
      ( p45(X1)
    <=> ? [X2] : 
          ( p23(X1,X2)
          & p31(X2)
          & p28(X2) ) ) )).

fof(formula_65,conjecture,(
    ! [X1,X2,X3] : 
      ( p45(f26(f29(X1,X2,X3)))
     => p41(f38(f29(X1,X2,X3)),f36(f29(X1,X2,X3))) ) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( ( p7(X1,X3)
        & X2 != X3 )
     => f9(f6(X1,X2),X3) = f6(f9(X1,X3),X2) ) )).

fof(formula_58,axiom,(
    ! [X1,X2] : 
      ( p41(X1,X2)
    <=> ( p7(X1,X2)
        & p8(X1,X2) ) ) )).

fof(formula_28,axiom,(
    ! [X1] : f22(c15,X1) = c15 )).

fof(formula_39,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p30(f29(X1,X2,X3),X4)
    <=> p18(X2,X4) ) )).

fof(formula_47,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( X2 != c15
        & ~ p18(X2,f35(X1)) )
     => f26(f29(X1,X2,X3)) = f29(X1,f22(X2,f35(X1)),c32) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( ( p7(X1,X2)
        & p8(X1,X2) )
     => f10(X1,X2) = X1 ) )).

fof(formula_64,lemma,(
    ! [X1,X2,X3] : 
      ( p45(f26(f29(X1,X2,X3)))
     => p8(f38(f29(X1,X2,X3)),f36(f29(X1,X2,X3))) ) )).

fof(formula_25,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( X2 != X3
        & p18(X1,X3) )
     => f20(f16(X1,f17(X2,X4)),X3) = f16(f20(X1,X3),f17(X2,X4)) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( ( p7(X1,X2)
        & p8(X1,X2) )
     => f11(X1,X2) = X2 ) )).

fof(formula_30,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p1(X3,X4)
     => f22(f16(X1,f17(X2,X4)),X3) = f16(f22(X1,X3),f17(X2,X4)) ) )).

fof(formula_48,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( X2 != c15
        & p18(X2,f35(X1))
        & p2(f35(X1),f21(X2,f35(X1))) )
     => f26(f29(X1,X2,X3)) = f29(X1,f22(X2,f35(X1)),c32) ) )).

fof(formula_32,axiom,(
    ! [X1,X2,X3] : 
      ( p23(X1,X2)
     => p23(X1,f24(X2,X3)) ) )).

fof(formula_19,axiom,(
    ! [X1,X2,X3] : p14(f16(X1,f17(X2,X3))) )).

fof(formula_27,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( X2 != X3
        & p18(X1,X3) )
     => f21(f16(X1,f17(X2,X4)),X3) = f21(X1,X3) ) )).

fof(formula_8,axiom,(
    ! [X1] : ~ p7(c5,X1) )).

fof(formula_31,axiom,(
    ! [X1] : p23(X1,X1) )).

fof(formula_44,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p18(X2,X4)
        & p1(f21(X2,X4),X4) )
     => f25(f29(X1,X2,X3),X4) = f29(f34(X1,X4),f20(X2,X4),X3) ) )).

fof(formula_53,axiom,(
    ! [X1] : f37(X1) = f36(X1) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( ( p7(X1,X2)
        & p8(X1,X2) )
     => f13(X1,X2) = X2 ) )).

fof(formula_61,axiom,(
    ! [X1] : 
      ( p44(X1)
    <=> ? [X2] : p41(f38(X1),X2) ) )).
%------------------------------------------------------------------------------
