%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(A,C,D) )
     => p9(B,C,D) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(C,A,D) )
     => p9(C,B,D) ) )).

fof(p9_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(C,D,A) )
     => p9(C,D,B) ) )).

fof(formula_16,axiom,(
    ! [X1] : f12(c5,X1) = c5 )).

fof(formula_3,axiom,(
    ! [X1] : p1(X1,X1) )).

fof(formula_6,axiom,(
    ~ p4(c5) )).

fof(formula_13,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( X2 != X3
        & p8(X1,X3) )
     => f10(f6(X1,f7(X2,X4)),X3) = f6(f10(X1,X3),f7(X2,X4)) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p8(f6(X1,f7(X2,X4)),X3)
    <=> ( p8(X1,X3)
        | X2 = X3 ) ) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3] : f11(f6(X1,f7(X2,X3)),X2) = X3 )).

fof(formula_8,axiom,(
    ! [X1] : ~ p8(c5,X1) )).

fof(formula_15,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( X2 != X3
        & p8(X1,X3) )
     => f11(f6(X1,f7(X2,X4)),X3) = f11(X1,X3) ) )).

fof(formula_18,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p1(X3,X4)
     => f12(f6(X1,f7(X2,X4)),X3) = f6(f12(X1,X3),f7(X2,X4)) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : ~ p9(c5,X1,X2) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3] : f10(f6(X1,f7(X2,X3)),X2) = X1 )).

fof(formula_11,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( p9(f6(X1,f7(X2,X4)),X3,X5)
    <=> ( p9(X1,X3,X5)
        | ( X2 = X3
          & X4 = X5 ) ) ) )).

fof(formula_19,conjecture,(
    ! [X1] : 
      ( ! [X2,X3] : 
          ( p9(X1,X2,X3)
         => ! [X4] : 
              ( p8(X1,X4)
             => ( p9(f10(X1,X4),X2,X3)
                | X2 = X4 ) ) )
     => ! [X5,X6,X7,X8] : 
          ( p9(f6(X1,f7(X7,X8)),X5,X6)
         => ! [X7] : 
              ( p8(f6(X1,f7(X7,X8)),X7)
             => ( p9(f10(f6(X1,f7(X7,X8)),X7),X5,X6)
                | X5 = X7 ) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3] : p4(f6(X1,f7(X2,X3))) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
      | p1(X2,X1) ) )).

fof(formula_5,axiom,(
    ! [X1] : p1(c3,X1) )).

fof(formula_17,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p2(X4,X3)
     => f12(f6(X1,f7(X2,X4)),X3) = f6(f12(X1,X3),f7(X2,X3)) ) )).

fof(formula_1,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p1(X2,X3) )
     => p1(X1,X3) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p1(X1,X2)
        & ~ p1(X2,X1) ) ) )).
%------------------------------------------------------------------------------
