%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(formula_27,axiom,(
    ! [X1,X2] : f4(X1,X1) = X1 )).

fof(formula_3,axiom,(
    ! [X1,X2] : f3(X1,X2) = f3(X2,X1) )).

fof(formula_32,lemma,(
    ! [X1,X2] : 
      ( f10(X1,X2) = c8
    <=> p6(X1,X2) ) )).

fof(formula_64,lemma,(
    ! [X1] : f3(X1,X1) = f7(X1) )).

fof(formula_36,axiom,(
    ? [X1] : ~ p12(X1) )).

fof(formula_19,axiom,(
    $true )).

fof(formula_11,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f4(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p6(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_43,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X2,X3) )
     => p6(X1,X3) ) )).

fof(formula_50,lemma,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2)
     => p6(f10(X1,X3),f10(X2,X3)) ) )).

fof(formula_21,axiom,(
    $true )).

fof(formula_46,lemma,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => f5(X1,X2) = X1 ) )).

fof(formula_47,axiom,(
    ! [X1] : f5(X1,c8) = c8 )).

fof(formula_67,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p12(X2) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => p11(X2,X1) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
    <=> f5(X1,X2) = c8 ) )).

fof(formula_59,lemma,(
    ! [X1,X2] : f10(X1,f10(X1,X2)) = f5(X1,X2) )).

fof(formula_71,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X3,X2) )
     => p6(f4(X1,X3),X2) ) )).

fof(formula_23,axiom,(
    $true )).

fof(formula_68,lemma,(
    ! [X1,X2] : p6(X1,f4(X1,X2)) )).

fof(formula_51,lemma,(
    ! [X1,X2] : p6(f10(X1,X2),X1) )).

fof(formula_44,lemma,(
    f9(c8) = f7(c8) )).

fof(formula_33,lemma,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2)
     => ( p1(X3,X1)
        | p6(X1,f10(X2,f7(X3))) ) ) )).

fof(formula_17,axiom,(
    $true )).

fof(formula_30,lemma,(
    ! [X1] : f7(X1) != c8 )).

fof(formula_61,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p11(X1,X2)
          & ! [X3] : ~ p1(X3,f5(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f5(X1,X2))
          & p11(X1,X2) ) ) )).

fof(formula_55,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p11(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p11(X1,X2) ) ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : p6(X1,X1) )).

fof(formula_66,lemma,(
    ! [X1,X2] : 
      ( p6(f7(X1),f7(X2))
     => X1 = X2 ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_70,axiom,(
    ! [X1,X2] : 
      ~ ( p12(X1)
        & X1 != X2
        & p12(X2) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( X2 = f7(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_28,axiom,(
    ! [X1,X2] : f5(X1,X1) = X1 )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( X2 = f9(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p6(X3,X1) ) ) )).

fof(formula_40,lemma,(
    ! [X1,X2] : p6(f5(X1,X2),X1) )).

fof(formula_4,axiom,(
    ! [X1,X2] : f4(X1,X2) = f4(X2,X1) )).

fof(formula_69,lemma,(
    ! [X1,X2] : 
      ( p11(X1,X2)
    <=> f10(X1,X2) = X1 ) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( ~ p12(X1)
     => ~ p12(f4(X1,X2)) ) )).

fof(formula_39,lemma,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => f4(X1,X2) = X2 ) )).

fof(formula_20,axiom,(
    $true )).

fof(formula_18,axiom,(
    $true )).

fof(formula_58,lemma,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => X2 = f4(X1,f10(X2,X1)) ) )).

fof(formula_42,axiom,(
    ! [X1] : f4(X1,c8) = X1 )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p6(X1,X2)
        & p6(X2,X1) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_34,lemma,(
    ! [X1,X2] : 
      ( p6(X1,f7(X2))
    <=> ( X1 = c8
        | X1 = f7(X2) ) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f5(X1,X2) = f5(X2,X1) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f10(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_54,axiom,(
    ! [X1] : f10(X1,c8) = X1 )).

fof(formula_60,axiom,(
    ! [X1] : f10(c8,X1) = c8 )).

fof(formula_72,conjecture,(
    ! [X1,X2,X3] : 
      ( f7(X1) = f3(X2,X3)
     => X1 = X2 ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_52,lemma,(
    ! [X1,X2] : 
      ( f10(X1,X2) = c8
    <=> p6(X1,X2) ) )).

fof(formula_49,lemma,(
    ! [X1] : p6(c8,X1) )).

fof(formula_63,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p11(X2,X3) )
     => p11(X1,X3) ) )).

fof(formula_24,axiom,(
    p12(c8) )).

fof(formula_57,lemma,(
    ! [X1,X2] : f10(f4(X1,X2),X2) = f10(X1,X2) )).

fof(formula_13,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f5(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f3(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_45,lemma,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2)
     => p6(f5(X1,X3),f5(X2,X3)) ) )).

fof(formula_35,axiom,(
    ? [X1] : p12(X1) )).

fof(formula_22,axiom,(
    $true )).

fof(formula_62,lemma,(
    ! [X1,X2] : 
      ~ ( p6(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ( ~ p12(X1)
     => ~ p12(f4(X2,X1)) ) )).

fof(formula_41,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X1,X3) )
     => p6(X1,f5(X2,X3)) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( X1 = c8
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_48,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_65,axiom,(
    ! [X1] : 
      ( p12(X1)
     => X1 = c8 ) )).

fof(formula_31,lemma,(
    ! [X1,X2] : 
      ( p6(f7(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_56,lemma,(
    ! [X1] : 
      ( p6(X1,c8)
     => X1 = c8 ) )).

fof(formula_53,lemma,(
    ! [X1,X2] : f4(X1,f10(X2,X1)) = f4(X1,X2) )).
%------------------------------------------------------------------------------
