%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p23(A) )
     => p23(B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p24(A) )
     => p24(B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p25(A) )
     => p25(B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p26(A) )
     => p26(B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p27(A) )
     => p27(B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p28(A) )
     => p28(B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p29(A) )
     => p29(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p30(A) )
     => p30(B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p31(A) )
     => p31(B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p32(A,C,D) )
     => p32(B,C,D) ) )).

fof(p32_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p32(C,A,D) )
     => p32(C,B,D) ) )).

fof(p32_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p32(C,D,A) )
     => p32(C,D,B) ) )).

fof(p33_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p33(A) )
     => p33(B) ) )).

fof(p34_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p34(A,C) )
     => p34(B,C) ) )).

fof(p34_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p34(C,A) )
     => p34(C,B) ) )).

fof(p35_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p35(A,C) )
     => p35(B,C) ) )).

fof(p35_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p35(C,A) )
     => p35(C,B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p36(A) )
     => p36(B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p37(A) )
     => p37(B) ) )).

fof(p38_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p38(A) )
     => p38(B) ) )).

fof(p39_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p39(A,C) )
     => p39(B,C) ) )).

fof(p39_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p39(C,A) )
     => p39(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(A,C) )
     => p40(B,C) ) )).

fof(p40_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(C,A) )
     => p40(C,B) ) )).

fof(p41_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p41(A,C) )
     => p41(B,C) ) )).

fof(p41_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p41(C,A) )
     => p41(C,B) ) )).

fof(p42_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p42(A) )
     => p42(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ~ p12(X1) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p2(X1) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p14(X1)
     => p15(X1) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p23(X1)
     => p19(X1) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p18(X1)
     => p12(X1) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p16(X1)
     => p17(X1) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p11(X1)
     => p15(X1) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p6(X1)
     => p5(X1) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p20(X1)
     => p21(X1) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p8(X1) ) )).

fof(formula_39,axiom,(
    ! [X1,X2,X3] : 
      ( ( p32(X1,X2,X3)
        & p8(X2)
        & p8(X3) )
     => p35(X3,X2) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p27(X1) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p4(X1) ) )).

fof(formula_38,axiom,(
    ! [X1,X2,X3] : 
      ( ( p32(X1,X2,X3)
        & p3(X2) )
    <=> ( p33(X2)
        & p34(X2,X3) ) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( p27(X1)
     => p3(X1) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ~ p6(X1) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p22(X1)
     => p23(X1) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p27(X1)
     => ~ p28(X1) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p29(X1)
     => p28(X1) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p13(X1)
     => p14(X1) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ~ p29(X1) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p9(X1)
     => p10(X1) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p30(X1)
    <=> p31(X1) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p5(X1) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p15(X1)
     => ~ p19(X1) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p4(X1)
     => p5(X1) ) )).

fof(formula_37,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ~ p8(X1) ) )).

fof(formula_40,axiom,(
    ! [X1,X2,X3] : 
      ( ( p20(X1)
        & p32(X1,X2,X3) )
     => p34(X2,X3) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p12(X1)
     => p11(X1) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ~ p11(X1) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p10(X1)
     => p11(X1) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p21(X1)
     => ~ p5(X1) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ~ p25(X1) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p26(X1)
     => ~ p5(X1) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p19(X1)
     => p6(X1) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p17(X1)
     => p18(X1) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p15(X1)
     => p6(X1) ) )).

fof(formula_43,conjecture,(
    ~ ? [X1,X2,X3,X4,X5,X6,X7,X8,X9] : 
        ( p22(X1)
        & p23(X1)
        & p20(X2)
        & p16(X3)
        & p17(X3)
        & p36(X3)
        & p37(X3)
        & p24(X3)
        & p13(X4)
        & p14(X4)
        & p38(X4)
        & p39(X2,X3)
        & p40(X2,X4)
        & p41(X2,X1)
        & p9(X7)
        & p10(X7)
        & p7(X7)
        & X5 != X6
        & p1(X5)
        & p2(X5)
        & p42(X5)
        & p1(X6)
        & p2(X6)
        & p42(X6)
        & X5 = X8
        & p41(X8,X7)
        & X6 = X9
        & p41(X9,X7) ) )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ( p34(X2,X1)
     => ? [X3] : 
          ( p20(X3)
          & p32(X3,X1,X2) ) ) )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( p28(X1)
     => p3(X1) ) )).

fof(formula_42,axiom,(
    ! [X1,X2,X3] : 
      ( ( p35(X1,X2)
        & p35(X1,X3) )
     => X2 = X3 ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p26(X1)
     => ~ p21(X1) ) )).
%------------------------------------------------------------------------------
