%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(A,C) )
     => p12(B,C) ) )).

fof(p12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(C,A) )
     => p12(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(A,C) )
     => p13(B,C) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(C,A) )
     => p13(C,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(A,C) )
     => p14(B,C) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(C,A) )
     => p14(C,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(A,C) )
     => p15(B,C) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(C,A) )
     => p15(C,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(A,C) )
     => p16(B,C) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(C,A) )
     => p16(C,B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p17(A,C) )
     => p17(B,C) ) )).

fof(p17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p17(C,A) )
     => p17(C,B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(A,C) )
     => p18(B,C) ) )).

fof(p18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(C,A) )
     => p18(C,B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p19(A,C) )
     => p19(B,C) ) )).

fof(p19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p19(C,A) )
     => p19(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(A,C) )
     => p20(B,C) ) )).

fof(p20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(C,A) )
     => p20(C,B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p21(A,C) )
     => p21(B,C) ) )).

fof(p21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p21(C,A) )
     => p21(C,B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(A,C) )
     => p22(B,C) ) )).

fof(p22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(C,A) )
     => p22(C,B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(A,C) )
     => p23(B,C) ) )).

fof(p23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(C,A) )
     => p23(C,B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p24(A,C) )
     => p24(B,C) ) )).

fof(p24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p24(C,A) )
     => p24(C,B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p25(A,C) )
     => p25(B,C) ) )).

fof(p25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p25(C,A) )
     => p25(C,B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p26(A,C) )
     => p26(B,C) ) )).

fof(p26_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p26(C,A) )
     => p26(C,B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(A,C) )
     => p27(B,C) ) )).

fof(p27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(C,A) )
     => p27(C,B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p28(A,C) )
     => p28(B,C) ) )).

fof(p28_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p28(C,A) )
     => p28(C,B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p29(A,C) )
     => p29(B,C) ) )).

fof(p29_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p29(C,A) )
     => p29(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p30(A,C) )
     => p30(B,C) ) )).

fof(p30_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p30(C,A) )
     => p30(C,B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p31(A,C) )
     => p31(B,C) ) )).

fof(p31_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p31(C,A) )
     => p31(C,B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p32(A,C) )
     => p32(B,C) ) )).

fof(p32_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p32(C,A) )
     => p32(C,B) ) )).

fof(p33_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p33(A,C) )
     => p33(B,C) ) )).

fof(p33_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p33(C,A) )
     => p33(C,B) ) )).

fof(p34_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p34(A,C) )
     => p34(B,C) ) )).

fof(p34_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p34(C,A) )
     => p34(C,B) ) )).

fof(p35_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p35(A,C) )
     => p35(B,C) ) )).

fof(p35_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p35(C,A) )
     => p35(C,B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p36(A,C) )
     => p36(B,C) ) )).

fof(p36_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p36(C,A) )
     => p36(C,B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p37(A,C) )
     => p37(B,C) ) )).

fof(p37_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p37(C,A) )
     => p37(C,B) ) )).

fof(p38_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p38(A,C) )
     => p38(B,C) ) )).

fof(p38_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p38(C,A) )
     => p38(C,B) ) )).

fof(p39_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p39(A,C) )
     => p39(B,C) ) )).

fof(p39_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p39(C,A) )
     => p39(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(A,C) )
     => p40(B,C) ) )).

fof(p40_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(C,A) )
     => p40(C,B) ) )).

fof(p41_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p41(A,C) )
     => p41(B,C) ) )).

fof(p41_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p41(C,A) )
     => p41(C,B) ) )).

fof(p42_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p42(A,C) )
     => p42(B,C) ) )).

fof(p42_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p42(C,A) )
     => p42(C,B) ) )).

fof(p43_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p43(A,C) )
     => p43(B,C) ) )).

fof(p43_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p43(C,A) )
     => p43(C,B) ) )).

fof(p44_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p44(A,C) )
     => p44(B,C) ) )).

fof(p44_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p44(C,A) )
     => p44(C,B) ) )).

fof(p45_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p45(A,C) )
     => p45(B,C) ) )).

fof(p45_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p45(C,A) )
     => p45(C,B) ) )).

fof(p46_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p46(A,C) )
     => p46(B,C) ) )).

fof(p46_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p46(C,A) )
     => p46(C,B) ) )).

fof(p47_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p47(A,C) )
     => p47(B,C) ) )).

fof(p47_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p47(C,A) )
     => p47(C,B) ) )).

fof(p48_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p48(A,C) )
     => p48(B,C) ) )).

fof(p48_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p48(C,A) )
     => p48(C,B) ) )).

fof(p49_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p49(A,C) )
     => p49(B,C) ) )).

fof(p49_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p49(C,A) )
     => p49(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p50_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p50(A,C) )
     => p50(B,C) ) )).

fof(p50_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p50(C,A) )
     => p50(C,B) ) )).

fof(p51_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p51(A,C) )
     => p51(B,C) ) )).

fof(p51_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p51(C,A) )
     => p51(C,B) ) )).

fof(p52_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p52(A,C) )
     => p52(B,C) ) )).

fof(p52_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p52(C,A) )
     => p52(C,B) ) )).

fof(p53_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p53(A,C) )
     => p53(B,C) ) )).

fof(p53_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p53(C,A) )
     => p53(C,B) ) )).

fof(p54_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p54(A,C,D) )
     => p54(B,C,D) ) )).

fof(p54_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p54(C,A,D) )
     => p54(C,B,D) ) )).

fof(p54_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p54(C,D,A) )
     => p54(C,D,B) ) )).

fof(p55_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p55(A,C,D,E) )
     => p55(B,C,D,E) ) )).

fof(p55_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p55(C,A,D,E) )
     => p55(C,B,D,E) ) )).

fof(p55_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p55(C,D,A,E) )
     => p55(C,D,B,E) ) )).

fof(p55_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p55(C,D,E,A) )
     => p55(C,D,E,B) ) )).

fof(p56_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p56(A,C,D) )
     => p56(B,C,D) ) )).

fof(p56_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p56(C,A,D) )
     => p56(C,B,D) ) )).

fof(p56_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p56(C,D,A) )
     => p56(C,D,B) ) )).

fof(p57_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p57(A,C) )
     => p57(B,C) ) )).

fof(p57_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p57(C,A) )
     => p57(C,B) ) )).

fof(p58_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p58(A,C,D) )
     => p58(B,C,D) ) )).

fof(p58_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p58(C,A,D) )
     => p58(C,B,D) ) )).

fof(p58_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p58(C,D,A) )
     => p58(C,D,B) ) )).

fof(p59_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p59(A,C,D) )
     => p59(B,C,D) ) )).

fof(p59_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p59(C,A,D) )
     => p59(C,B,D) ) )).

fof(p59_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p59(C,D,A) )
     => p59(C,D,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p60_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p60(A) )
     => p60(B) ) )).

fof(p61_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p61(A,C) )
     => p61(B,C) ) )).

fof(p61_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p61(C,A) )
     => p61(C,B) ) )).

fof(p62_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p62(A,C) )
     => p62(B,C) ) )).

fof(p62_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p62(C,A) )
     => p62(C,B) ) )).

fof(p63_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p63(A,C) )
     => p63(B,C) ) )).

fof(p63_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p63(C,A) )
     => p63(C,B) ) )).

fof(p64_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p64(A,C,D) )
     => p64(B,C,D) ) )).

fof(p64_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p64(C,A,D) )
     => p64(C,B,D) ) )).

fof(p64_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p64(C,D,A) )
     => p64(C,D,B) ) )).

fof(p65_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p65(A,C,D) )
     => p65(B,C,D) ) )).

fof(p65_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p65(C,A,D) )
     => p65(C,B,D) ) )).

fof(p65_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p65(C,D,A) )
     => p65(C,D,B) ) )).

fof(p66_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p66(A,C) )
     => p66(B,C) ) )).

fof(p66_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p66(C,A) )
     => p66(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_30,axiom,(
    ! [X1,X2] : 
      ( p35(X1,X2)
     => p38(X1,X2) ) )).

fof(formula_53,axiom,(
    ! [X1,X2] : 
      ( p33(X1,X2)
     => ~ p45(X1,X2) ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( p30(X1,X2)
     => p32(X1,X2) ) )).

fof(formula_49,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => p38(X1,X2) ) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ( p42(X1,X2)
     => p25(X1,X2) ) )).

fof(formula_64,axiom,(
    ! [X1,X2] : 
      ( p28(X1,X2)
    <=> ? [X3] : 
          ( p56(X1,X3,X2)
          & ? [X4] : 
              ( p56(X1,X4,X2)
              & X4 != X3
              & ! [X5] : 
                  ( p56(X1,X5,X2)
                 => ( X5 = X4
                    | X5 = X3 ) ) ) ) ) )).

fof(formula_44,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => p45(X1,X2) ) )).

fof(formula_50,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
     => p11(X1,X2) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p12(X1,X2)
     => p10(X1,X2) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ( p38(X1,X2)
     => p41(X1,X2) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( p21(X1,X2)
     => p20(X1,X2) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( p13(X1,X2)
     => p14(X1,X2) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( p15(X1,X2)
     => p19(X1,X2) ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( p14(X1,X2)
     => p21(X1,X2) ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
      ( p23(X1,X2)
     => p22(X1,X2) ) )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ( p35(X1,X2)
     => p36(X1,X2) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( p20(X1,X2)
     => p15(X1,X2) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( p26(X1,X2)
     => p27(X1,X2) ) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ( p26(X1,X2)
     => p25(X1,X2) ) )).

fof(formula_63,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p55(X1,X2,X3,X4)
     => X3 = X4 ) )).

fof(formula_65,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p57(X1,X2)
        & p58(X1,X2,X3)
        & p59(X1,X2,X4) )
     => X3 != X4 ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( p15(X1,X2)
     => p16(X1,X2) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p15(X1,X2)
     => p17(X1,X2) ) )).

fof(formula_43,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => p37(X1,X2) ) )).

fof(formula_47,axiom,(
    ! [X1,X2] : 
      ( p19(X1,X2)
     => p47(X1,X2) ) )).

fof(formula_45,axiom,(
    ! [X1,X2] : 
      ( p38(X1,X2)
     => p46(X1,X2) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( p24(X1,X2)
     => p25(X1,X2) ) )).

fof(formula_54,axiom,(
    ! [X1,X2] : 
      ( p46(X1,X2)
     => ~ p40(X1,X2) ) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
      ( p27(X1,X2)
     => p40(X1,X2) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
     => p6(X1,X2) ) )).

fof(formula_24,axiom,(
    ! [X1,X2] : 
      ( p28(X1,X2)
     => p29(X1,X2) ) )).

fof(formula_67,conjecture,(
    ~ ( ? [X1] : 
          ( p60(X1)
          & ? [X2,X3,X4,X5,X6,X7] : 
              ( p4(X1,X4)
              & p54(X1,X3,X2)
              & p12(X1,X2)
              & p13(X1,X3)
              & p14(X1,X3)
              & p9(X1,X4)
              & p50(X1,X4)
              & p61(X1,X4)
              & p53(X1,X4)
              & p23(X1,X5)
              & p62(X1,X5)
              & p25(X1,X6)
              & p58(X1,X6,X4)
              & p63(X1,X6)
              & p24(X1,X6)
              & p64(X1,X6,X5)
              & p65(X1,X6,X2)
              & ! [X8] : 
                  ( p56(X1,X8,X7)
                 => ? [X9,X10] : 
                      ( p26(X1,X9)
                      & p55(X1,X9,X8,X10)
                      & p65(X1,X10,X4) ) )
              & p28(X1,X7)
              & p29(X1,X7)
              & ! [X11] : 
                  ( p56(X1,X11,X7)
                 => ( p39(X1,X11)
                    & p52(X1,X11) ) ) ) )
      & ~ ? [X12] : 
            ( p60(X12)
            & ? [X13,X2,X3,X4,X5,X6,X7,X14] : 
                ( p29(X12,X13)
                & p4(X12,X4)
                & p54(X12,X3,X2)
                & p12(X12,X2)
                & p13(X12,X3)
                & p14(X12,X3)
                & p9(X12,X4)
                & p50(X12,X4)
                & p61(X12,X4)
                & p53(X12,X4)
                & p23(X12,X5)
                & p62(X12,X5)
                & p25(X12,X6)
                & p58(X12,X6,X4)
                & p63(X12,X6)
                & p24(X12,X6)
                & p64(X12,X6,X5)
                & p65(X12,X6,X2)
                & ! [X8] : 
                    ( p56(X12,X8,X7)
                   => ? [X9,X10] : 
                        ( p26(X12,X9)
                        & p55(X12,X9,X8,X10)
                        & p65(X12,X10,X4) ) )
                & p28(X12,X7)
                & p29(X12,X7)
                & ! [X11] : 
                    ( p56(X12,X11,X7)
                   => ( p39(X12,X11)
                      & p52(X12,X11) ) )
                & ! [X15] : 
                    ( p56(X12,X15,X14)
                   => ! [X16] : 
                        ( p56(X12,X16,X13)
                       => ? [X17] : 
                            ( p25(X12,X17)
                            & p58(X12,X17,X16)
                            & p59(X12,X17,X15)
                            & p63(X12,X17)
                            & p57(X12,X17)
                            & p42(X12,X17) ) ) )
                & p29(X12,X14)
                & ! [X18] : 
                    ( p56(X12,X18,X14)
                   => ( p49(X12,X18)
                      & p51(X12,X18)
                      & p66(X12,X18) ) ) ) ) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ( p35(X1,X2)
     => p37(X1,X2) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => p5(X1,X2) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( p39(X1,X2)
     => p30(X1,X2) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => p16(X1,X2) ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ( p43(X1,X2)
     => p44(X1,X2) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => p11(X1,X2) ) )).

fof(formula_60,axiom,(
    ! [X1,X2] : 
      ( p50(X1,X2)
     => ~ p51(X1,X2) ) )).

fof(formula_58,axiom,(
    ! [X1,X2] : 
      ( p41(X1,X2)
     => ~ p17(X1,X2) ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( p27(X1,X2)
     => p19(X1,X2) ) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ( p32(X1,X2)
     => p33(X1,X2) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
     => p7(X1,X2) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ( p25(X1,X2)
     => p27(X1,X2) ) )).

fof(formula_31,axiom,(
    ! [X1,X2] : 
      ( p32(X1,X2)
     => p35(X1,X2) ) )).

fof(formula_66,axiom,(
    ! [X1] : 
      ~ ? [X2] : p56(X1,X2,X2) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
     => p3(X1,X2) ) )).

fof(formula_59,axiom,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => ~ p31(X1,X2) ) )).

fof(formula_55,axiom,(
    ! [X1,X2] : 
      ( p18(X1,X2)
     => ~ p34(X1,X2) ) )).

fof(formula_34,axiom,(
    ! [X1,X2] : 
      ( p27(X1,X2)
     => p16(X1,X2) ) )).

fof(formula_51,axiom,(
    ! [X1,X2] : 
      ( p48(X1,X2)
     => p5(X1,X2) ) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( p22(X1,X2)
     => p5(X1,X2) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p2(X1,X2) ) )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ( p29(X1,X2)
     => p43(X1,X2) ) )).

fof(formula_57,axiom,(
    ! [X1,X2] : 
      ( p47(X1,X2)
     => ~ p44(X1,X2) ) )).

fof(formula_48,axiom,(
    ! [X1,X2] : 
      ( p38(X1,X2)
     => p19(X1,X2) ) )).

fof(formula_56,axiom,(
    ! [X1,X2] : 
      ( p45(X1,X2)
     => ~ p36(X1,X2) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ( p32(X1,X2)
     => p34(X1,X2) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => p2(X1,X2) ) )).

fof(formula_62,axiom,(
    ! [X1,X2,X3] : 
      ( ( p38(X1,X2)
        & p14(X1,X3)
        & p54(X1,X3,X2) )
     => ~ ? [X4] : 
            ( p14(X1,X4)
            & X4 != X3
            & p54(X1,X4,X2) ) ) )).

fof(formula_52,axiom,(
    ! [X1,X2] : 
      ( p49(X1,X2)
     => p48(X1,X2) ) )).

fof(formula_61,axiom,(
    ! [X1,X2] : 
      ( p52(X1,X2)
     => ~ p53(X1,X2) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
     => p1(X1,X2) ) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( p30(X1,X2)
     => p31(X1,X2) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( p15(X1,X2)
     => p18(X1,X2) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( p9(X1,X2)
     => p8(X1,X2) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( p27(X1,X2)
     => p41(X1,X2) ) )).
%------------------------------------------------------------------------------
