%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(formula_71,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( p33(X1,X2)
        & p25(X1,X5)
        & p32(X1,X2,X5)
        & p34(X1,X2,X4)
        & p33(X1,X3)
        & p25(X1,X6)
        & p32(X1,X3,X6)
        & p34(X1,X3,X4) )
     => X5 = X6 ) )).

fof(formula_66,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p20(X2,X1) )
     => p20(X3,X1) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( p25(X1,X2)
     => p5(X1,X2) ) )).

fof(formula_30,axiom,(
    ! [X1,X2] : 
      ( p28(X1,X2)
     => p19(X1,X2) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( p18(X1,X2)
     => p20(X1,X2) ) )).

fof(formula_47,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p11(X2,X1) )
     => p11(X3,X1) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
     => p5(X1,X2) ) )).

fof(formula_48,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p8(X2,X1) )
     => p8(X3,X1) ) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
     => p21(X1,X2) ) )).

fof(formula_38,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p4(X2,X1) )
     => p4(X3,X1) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => p12(X1,X2) ) )).

fof(formula_43,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p12(X2,X1) )
     => p12(X3,X1) ) )).

fof(formula_52,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p23(X2,X1) )
     => p23(X3,X1) ) )).

fof(formula_72,conjecture,(
    ~ ? [X1] : 
        ( p36(X1)
        & ? [X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12] : 
            ( p30(X1,X2,X9)
            & p1(X1,X2)
            & p2(X1,X2)
            & p30(X1,X3,X4)
            & p3(X1,X3)
            & p2(X1,X3)
            & p30(X1,X5,X4)
            & p6(X1,X4)
            & p3(X1,X5)
            & p2(X1,X5)
            & p25(X1,X7)
            & p34(X1,X6,X4)
            & p32(X1,X6,X7)
            & p19(X1,X6)
            & p35(X1,X6)
            & p33(X1,X6)
            & p29(X1,X7)
            & ! [X13] : 
                ( p6(X7,X13)
               => ? [X14] : 
                    ( p19(X7,X14)
                    & p34(X7,X14,X13)
                    & p35(X7,X14)
                    & p28(X7,X14) ) )
            & p30(X1,X8,X9)
            & p6(X1,X9)
            & p1(X1,X8)
            & p2(X1,X8)
            & p6(X1,X9)
            & p18(X1,X10)
            & p31(X1,X10,X9,X9)
            & p25(X1,X12)
            & p34(X1,X11,X4)
            & p32(X1,X11,X12)
            & p19(X1,X11)
            & p35(X1,X11)
            & p33(X1,X11)
            & p29(X1,X12)
            & ? [X15] : 
                ( p19(X12,X15)
                & p34(X12,X15,X9)
                & p35(X12,X15)
                & p28(X12,X15) ) ) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( p21(X1,X2)
     => p17(X1,X2) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => ~ p23(X1,X2) ) )).

fof(formula_34,axiom,(
    ! [X1,X2] : 
      ( p22(X1,X2)
     => ~ p7(X1,X2) ) )).

fof(formula_62,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p26(X2,X1) )
     => p26(X3,X1) ) )).

fof(formula_40,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p7(X2,X1) )
     => p7(X3,X1) ) )).

fof(formula_69,axiom,(
    ! [X1,X2,X3] : 
      ( ( p14(X1,X2)
        & p2(X1,X3)
        & p30(X1,X3,X2) )
     => ~ ? [X4] : 
            ( p2(X1,X4)
            & X4 != X3
            & p30(X1,X4,X2) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p2(X1,X2) ) )).

fof(formula_46,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p14(X2,X1) )
     => p14(X3,X1) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p14(X1,X2)
     => p15(X1,X2) ) )).

fof(formula_36,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p29(X3,X4)
        & p30(X3,X1,X2) )
     => p30(X4,X1,X2) ) )).

fof(formula_45,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p15(X2,X1) )
     => p15(X3,X1) ) )).

fof(formula_67,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p19(X2,X1) )
     => p19(X3,X1) ) )).

fof(formula_41,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p9(X2,X1) )
     => p9(X3,X1) ) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ( p20(X1,X2)
     => p16(X1,X2) ) )).

fof(formula_70,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p31(X1,X2,X3,X4)
     => X3 = X4 ) )).

fof(formula_50,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p18(X2,X1) )
     => p18(X3,X1) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( p18(X1,X2)
     => p19(X1,X2) ) )).

fof(formula_42,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p10(X2,X1) )
     => p10(X3,X1) ) )).

fof(formula_60,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p35(X2,X1) )
     => p35(X3,X1) ) )).

fof(formula_24,axiom,(
    ! [X1,X2] : 
      ( p20(X1,X2)
     => p22(X1,X2) ) )).

fof(formula_55,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p5(X2,X1) )
     => p5(X3,X1) ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
      ( p21(X1,X2)
     => p24(X1,X2) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => p8(X1,X2) ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( p24(X1,X2)
     => ~ p10(X1,X2) ) )).

fof(formula_59,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p29(X3,X4)
        & p34(X3,X1,X2) )
     => p34(X4,X1,X2) ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( p21(X1,X2)
     => p22(X1,X2) ) )).

fof(formula_53,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p24(X2,X1) )
     => p24(X3,X1) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => p13(X1,X2) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => p4(X1,X2) ) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( p21(X1,X2)
     => p23(X1,X2) ) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( p20(X1,X2)
     => p26(X1,X2) ) )).

fof(formula_31,axiom,(
    ! [X1,X2] : 
      ( p15(X1,X2)
     => ~ p26(X1,X2) ) )).

fof(formula_51,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( p29(X4,X5)
        & p31(X4,X1,X2,X3) )
     => p31(X5,X1,X2,X3) ) )).

fof(formula_44,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p13(X2,X1) )
     => p13(X3,X1) ) )).

fof(formula_56,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p25(X2,X1) )
     => p25(X3,X1) ) )).

fof(formula_54,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p21(X2,X1) )
     => p21(X3,X1) ) )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ( p20(X1,X2)
     => p17(X1,X2) ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( p14(X1,X2)
     => p17(X1,X2) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
     => p9(X1,X2) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
     => p2(X1,X2) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => p14(X1,X2) ) )).

fof(formula_35,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p1(X2,X1) )
     => p1(X3,X1) ) )).

fof(formula_49,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p6(X2,X1) )
     => p6(X3,X1) ) )).

fof(formula_39,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p2(X2,X1) )
     => p2(X3,X1) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => p7(X1,X2) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ( p17(X1,X2)
     => p27(X1,X2) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ( p19(X1,X2)
     => p20(X1,X2) ) )).

fof(formula_61,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p22(X2,X1) )
     => p22(X3,X1) ) )).

fof(formula_58,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p33(X2,X1) )
     => p33(X3,X1) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( p14(X1,X2)
     => p16(X1,X2) ) )).

fof(formula_37,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p3(X2,X1) )
     => p3(X3,X1) ) )).

fof(formula_64,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p27(X2,X1) )
     => p27(X3,X1) ) )).

fof(formula_63,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p16(X2,X1) )
     => p16(X3,X1) ) )).

fof(formula_68,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p28(X2,X1) )
     => p28(X3,X1) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
     => p10(X1,X2) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
     => p11(X1,X2) ) )).

fof(formula_65,axiom,(
    ! [X1,X2,X3] : 
      ( ( p29(X2,X3)
        & p17(X2,X1) )
     => p17(X3,X1) ) )).

fof(formula_57,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p29(X3,X4)
        & p32(X3,X1,X2) )
     => p32(X4,X1,X2) ) )).
%------------------------------------------------------------------------------
