%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C,D) = f10(B,C,D) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A,D) = f10(C,B,D) )).

cnf(f10_substitution_3,axiom,
    ( A != B
    | f10(C,D,A) = f10(C,D,B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A) = f11(B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C,D) = f13(B,C,D) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A,D) = f13(C,B,D) )).

cnf(f13_substitution_3,axiom,
    ( A != B
    | f13(C,D,A) = f13(C,D,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A) = f4(B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C,D) = f8(B,C,D) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A,D) = f8(C,B,D) )).

cnf(f8_substitution_3,axiom,
    ( A != B
    | f8(C,D,A) = f8(C,D,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A)
    | p12(B) )).

cnf(p7_substitution_1,axiom,
    ( A != B
    | ~ p7(A,C,D)
    | p7(B,C,D) )).

cnf(p7_substitution_2,axiom,
    ( A != B
    | ~ p7(C,A,D)
    | p7(C,B,D) )).

cnf(p7_substitution_3,axiom,
    ( A != B
    | ~ p7(C,D,A)
    | p7(C,D,B) )).

cnf(clause_17,axiom,(
    p12(f11(X1)) )).

cnf(clause_13,axiom,
    ( ~ p7(X4,X2,f11(X3))
    | p7(f10(X4,X1,X3),X2,f11(X3))
    | ~ p7(X1,X2,f11(X3)) )).

cnf(clause_12,axiom,
    ( ~ p7(f10(X1,X2,X3),X4,f11(X3))
    | p7(X2,X4,f11(X3)) )).

cnf(clause_8,axiom,(
    f10(X1,f13(X2,X1,f11(X3)),X3) = f10(X1,X2,X3) )).

cnf(clause_15,axiom,
    ( ~ p7(X4,X2,f11(X3))
    | ~ p1(X1,X2,X3)
    | p7(f8(X1,X4,X3),X2,f11(X3)) )).

cnf(clause_10,axiom,(
    f10(X1,f8(X2,X3,X4),X4) = f8(X2,f10(X1,X3,X4),X4) )).

cnf(clause_4,axiom,
    ( ~ p7(X1,X2,f11(c6))
    | p7(f4(X1),f4(X2),f11(c6)) )).

cnf(clause_6,axiom,
    ( p7(X2,X2,X1)
    | ~ p12(X1) )).

cnf(clause_2,negated_conjecture,(
    ~ p7(f4(f8(c2,c9,c6)),f10(f3(f4(c5)),f4(f10(c5,c9,c6)),c6),f11(c6)) )).

cnf(clause_3,axiom,(
    f4(f10(f4(X1),X2,c6)) = f4(f10(X1,X2,c6)) )).

cnf(clause_1,negated_conjecture,(
    p1(c2,f3(f4(c5)),c6) )).

cnf(clause_9,axiom,(
    f10(f8(X1,X2,X3),X4,X3) = f8(X1,f10(X2,X4,X3),X3) )).

cnf(clause_7,axiom,(
    f10(f13(X1,X2,f11(X3)),X2,X3) = f10(X1,X2,X3) )).

cnf(clause_11,axiom,
    ( ~ p7(f10(X1,X2,X3),X4,f11(X3))
    | p7(X1,X4,f11(X3)) )).

cnf(clause_16,axiom,
    ( X2 = X1
    | ~ p7(X2,X1,f11(X3))
    | ~ p7(X1,X2,f11(X3)) )).

cnf(clause_14,axiom,
    ( ~ p7(f8(X1,X2,X3),X4,f11(X3))
    | p7(X2,X4,f11(X3)) )).

cnf(clause_5,axiom,(
    f4(f10(f3(X1),X2,c6)) = f10(f4(f10(X1,X2,c6)),f3(X1),c6) )).
%------------------------------------------------------------------------------
