%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C) = f10(B,C) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A) = f10(C,B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A,C,D) = f11(B,C,D) )).

cnf(f11_substitution_2,axiom,
    ( A != B
    | f11(C,A,D) = f11(C,B,D) )).

cnf(f11_substitution_3,axiom,
    ( A != B
    | f11(C,D,A) = f11(C,D,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C) = f7(B,C) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A) = f7(C,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A) = f8(B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C,D,E,F,G,H,I) = f9(B,C,D,E,F,G,H,I) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A,D,E,F,G,H,I) = f9(C,B,D,E,F,G,H,I) )).

cnf(f9_substitution_3,axiom,
    ( A != B
    | f9(C,D,A,E,F,G,H,I) = f9(C,D,B,E,F,G,H,I) )).

cnf(f9_substitution_4,axiom,
    ( A != B
    | f9(C,D,E,A,F,G,H,I) = f9(C,D,E,B,F,G,H,I) )).

cnf(f9_substitution_5,axiom,
    ( A != B
    | f9(C,D,E,F,A,G,H,I) = f9(C,D,E,F,B,G,H,I) )).

cnf(f9_substitution_6,axiom,
    ( A != B
    | f9(C,D,E,F,G,A,H,I) = f9(C,D,E,F,G,B,H,I) )).

cnf(f9_substitution_7,axiom,
    ( A != B
    | f9(C,D,E,F,G,H,A,I) = f9(C,D,E,F,G,H,B,I) )).

cnf(f9_substitution_8,axiom,
    ( A != B
    | f9(C,D,E,F,G,H,I,A) = f9(C,D,E,F,G,H,I,B) )).

cnf(p26_substitution_1,axiom,
    ( A != B
    | ~ p26(A,C,D,E,F,G,H,I,J)
    | p26(B,C,D,E,F,G,H,I,J) )).

cnf(p26_substitution_2,axiom,
    ( A != B
    | ~ p26(C,A,D,E,F,G,H,I,J)
    | p26(C,B,D,E,F,G,H,I,J) )).

cnf(p26_substitution_3,axiom,
    ( A != B
    | ~ p26(C,D,A,E,F,G,H,I,J)
    | p26(C,D,B,E,F,G,H,I,J) )).

cnf(p26_substitution_4,axiom,
    ( A != B
    | ~ p26(C,D,E,A,F,G,H,I,J)
    | p26(C,D,E,B,F,G,H,I,J) )).

cnf(p26_substitution_5,axiom,
    ( A != B
    | ~ p26(C,D,E,F,A,G,H,I,J)
    | p26(C,D,E,F,B,G,H,I,J) )).

cnf(p26_substitution_6,axiom,
    ( A != B
    | ~ p26(C,D,E,F,G,A,H,I,J)
    | p26(C,D,E,F,G,B,H,I,J) )).

cnf(p26_substitution_7,axiom,
    ( A != B
    | ~ p26(C,D,E,F,G,H,A,I,J)
    | p26(C,D,E,F,G,H,B,I,J) )).

cnf(p26_substitution_8,axiom,
    ( A != B
    | ~ p26(C,D,E,F,G,H,I,A,J)
    | p26(C,D,E,F,G,H,I,B,J) )).

cnf(p26_substitution_9,axiom,
    ( A != B
    | ~ p26(C,D,E,F,G,H,I,J,A)
    | p26(C,D,E,F,G,H,I,J,B) )).

cnf(p27_substitution_1,axiom,
    ( A != B
    | ~ p27(A,C,D,E,F,G,H,I,J)
    | p27(B,C,D,E,F,G,H,I,J) )).

cnf(p27_substitution_2,axiom,
    ( A != B
    | ~ p27(C,A,D,E,F,G,H,I,J)
    | p27(C,B,D,E,F,G,H,I,J) )).

cnf(p27_substitution_3,axiom,
    ( A != B
    | ~ p27(C,D,A,E,F,G,H,I,J)
    | p27(C,D,B,E,F,G,H,I,J) )).

cnf(p27_substitution_4,axiom,
    ( A != B
    | ~ p27(C,D,E,A,F,G,H,I,J)
    | p27(C,D,E,B,F,G,H,I,J) )).

cnf(p27_substitution_5,axiom,
    ( A != B
    | ~ p27(C,D,E,F,A,G,H,I,J)
    | p27(C,D,E,F,B,G,H,I,J) )).

cnf(p27_substitution_6,axiom,
    ( A != B
    | ~ p27(C,D,E,F,G,A,H,I,J)
    | p27(C,D,E,F,G,B,H,I,J) )).

cnf(p27_substitution_7,axiom,
    ( A != B
    | ~ p27(C,D,E,F,G,H,A,I,J)
    | p27(C,D,E,F,G,H,B,I,J) )).

cnf(p27_substitution_8,axiom,
    ( A != B
    | ~ p27(C,D,E,F,G,H,I,A,J)
    | p27(C,D,E,F,G,H,I,B,J) )).

cnf(p27_substitution_9,axiom,
    ( A != B
    | ~ p27(C,D,E,F,G,H,I,J,A)
    | p27(C,D,E,F,G,H,I,J,B) )).

cnf(p28_substitution_1,axiom,
    ( A != B
    | ~ p28(A,C,D,E,F,G,H,I,J,K)
    | p28(B,C,D,E,F,G,H,I,J,K) )).

cnf(p28_substitution_2,axiom,
    ( A != B
    | ~ p28(C,A,D,E,F,G,H,I,J,K)
    | p28(C,B,D,E,F,G,H,I,J,K) )).

cnf(p28_substitution_3,axiom,
    ( A != B
    | ~ p28(C,D,A,E,F,G,H,I,J,K)
    | p28(C,D,B,E,F,G,H,I,J,K) )).

cnf(p28_substitution_4,axiom,
    ( A != B
    | ~ p28(C,D,E,A,F,G,H,I,J,K)
    | p28(C,D,E,B,F,G,H,I,J,K) )).

cnf(p28_substitution_5,axiom,
    ( A != B
    | ~ p28(C,D,E,F,A,G,H,I,J,K)
    | p28(C,D,E,F,B,G,H,I,J,K) )).

cnf(p28_substitution_6,axiom,
    ( A != B
    | ~ p28(C,D,E,F,G,A,H,I,J,K)
    | p28(C,D,E,F,G,B,H,I,J,K) )).

cnf(p28_substitution_7,axiom,
    ( A != B
    | ~ p28(C,D,E,F,G,H,A,I,J,K)
    | p28(C,D,E,F,G,H,B,I,J,K) )).

cnf(p28_substitution_8,axiom,
    ( A != B
    | ~ p28(C,D,E,F,G,H,I,A,J,K)
    | p28(C,D,E,F,G,H,I,B,J,K) )).

cnf(p28_substitution_9,axiom,
    ( A != B
    | ~ p28(C,D,E,F,G,H,I,J,A,K)
    | p28(C,D,E,F,G,H,I,J,B,K) )).

cnf(p28_substitution_10,axiom,
    ( A != B
    | ~ p28(C,D,E,F,G,H,I,J,K,A)
    | p28(C,D,E,F,G,H,I,J,K,B) )).

cnf(clause_3,axiom,(
    f4(X1,c2) = X1 )).

cnf(clause_12,axiom,(
    f11(X1,c2,c3) = c25 )).

cnf(clause_14,axiom,(
    f10(c25,X1) = X1 )).

cnf(clause_11,axiom,(
    f11(X1,c3,c2) = X1 )).

cnf(clause_13,axiom,(
    f11(X1,X2,X2) = c25 )).

cnf(clause_15,axiom,(
    f10(X1,f10(X2,X3)) = f10(X2,f10(X1,X3)) )).

cnf(clause_10,axiom,(
    f8(X1) = c24 )).

cnf(clause_23,negated_conjecture,(
    p27(c2,c2,c3,c3,c2,c2,c3,c3,X1) )).

cnf(clause_5,axiom,(
    f5(c2) = c3 )).

cnf(clause_1,axiom,(
    f1(X1,c2) = c2 )).

cnf(clause_25,negated_conjecture,
    ( ~ p27(c3,c3,c2,c2,c3,c3,c2,c2,X1)
    | ~ p27(c3,c2,c3,c2,c3,c2,c3,c2,X1)
    | ~ p27(c3,c3,c3,c3,c2,c2,c2,c2,X1) )).

cnf(clause_19,axiom,
    ( ~ p27(X1,X2,X3,X4,X5,X6,X7,X8,X9)
    | p28(f5(X1),f5(X2),f5(X3),f5(X4),f5(X5),f5(X6),f5(X7),f5(X8),f6(X9,f9(f5(X1),f5(X2),f5(X3),f5(X4),f5(X5),f5(X6),f5(X7),f5(X8))),f8(f7(f9(f5(X1),f5(X2),f5(X3),f5(X4),f5(X5),f5(X6),f5(X7),f5(X8)),X9))) )).

cnf(clause_7,axiom,(
    f6(f7(X1,X2),X3) = f7(X1,f6(X2,X3)) )).

cnf(clause_20,axiom,
    ( ~ p26(X1,X2,X3,X4,X5,X6,X7,X8,X9)
    | p27(X1,X2,X3,X4,X5,X6,X7,X8,X9) )).

cnf(clause_16,axiom,(
    f10(X1,f10(X1,X2)) = f10(X1,X2) )).

cnf(clause_17,axiom,
    ( ~ p26(X1,X2,X3,X4,X5,X6,X7,X8,X9)
    | p26(f1(X1,X10),f1(X2,X11),f1(X3,X12),f1(X4,X13),f1(X5,X14),f1(X6,X15),f1(X7,X16),f1(X8,X17),X9)
    | ~ p26(X10,X11,X12,X13,X14,X15,X16,X17,X9) )).

cnf(clause_21,axiom,
    ( p26(X1,X2,X3,X4,X5,X6,X7,X8,X9)
    | ~ p28(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(clause_4,axiom,(
    f4(X1,c3) = c3 )).

cnf(clause_9,axiom,(
    f8(f7(f9(X1,X2,X3,X4,X5,X6,X7,X8),X9)) = f10(f11(c12,X1,X2),f10(f11(c13,X3,X4),f10(f11(c14,X5,X6),f10(f11(c15,X7,X8),f10(f11(c16,X1,X3),f10(f11(c17,X2,X4),f10(f11(c18,X5,X7),f10(f11(c19,X6,X8),f10(f11(c20,X1,X5),f10(f11(c21,X2,X6),f10(f11(c22,X3,X7),f10(f11(c23,X4,X8),f8(X9))))))))))))) )).

cnf(clause_2,axiom,(
    f1(X1,c3) = X1 )).

cnf(clause_22,negated_conjecture,(
    p27(c2,c2,c2,c2,c3,c3,c3,c3,X1) )).

cnf(clause_24,negated_conjecture,(
    p27(c2,c3,c2,c3,c2,c3,c2,c3,X1) )).

cnf(clause_18,axiom,
    ( p27(f4(X1,X10),f4(X2,X11),f4(X3,X12),f4(X4,X13),f4(X5,X14),f4(X6,X15),f4(X7,X16),f4(X8,X17),X9)
    | ~ p27(X10,X11,X12,X13,X14,X15,X16,X17,X9)
    | ~ p26(X1,X2,X3,X4,X5,X6,X7,X8,X9) )).

cnf(clause_6,axiom,(
    f5(c3) = c2 )).

cnf(clause_8,axiom,(
    f6(X1,X2) = f7(X2,X1) )).
%------------------------------------------------------------------------------
