%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(p40_substitution_1,axiom,
    ( A != B
    | ~ p40(A)
    | p40(B) )).

cnf(clause_44,negated_conjecture,(
    c19 = f3(c24,c14) )).

cnf(clause_1,axiom,(
    f1(c2,X1) = X1 )).

cnf(clause_46,negated_conjecture,(
    c14 = f5(c38) )).

cnf(clause_23,negated_conjecture,(
    c18 = f6(c13,c19) )).

cnf(clause_10,axiom,(
    f3(X1,f3(X1,X2)) = f3(X1,X2) )).

cnf(clause_32,negated_conjecture,(
    c30 = f6(c29,c31) )).

cnf(clause_28,negated_conjecture,(
    c26 = f6(c13,c27) )).

cnf(clause_21,negated_conjecture,(
    c13 = f3(c14,c15) )).

cnf(clause_5,axiom,(
    f3(c2,X1) = c2 )).

cnf(clause_39,negated_conjecture,(
    c35 = f3(c37,c33) )).

cnf(clause_37,negated_conjecture,(
    c10 = f6(c34,c22) )).

cnf(clause_7,axiom,(
    f3(c4,X1) = X1 )).

cnf(clause_24,negated_conjecture,(
    c20 = f6(c21,c18) )).

cnf(clause_51,negated_conjecture,
    ( ~ p40(f5(c17))
    | ~ p40(f5(c15))
    | ~ p40(f5(c24)) )).

cnf(clause_25,negated_conjecture,(
    c12 = f6(c20,c22) )).

cnf(clause_22,negated_conjecture,(
    c16 = f3(c14,c17) )).

cnf(clause_40,negated_conjecture,(
    c38 = f6(c39,c32) )).

cnf(clause_2,axiom,(
    f1(X1,c2) = X1 )).

cnf(clause_16,negated_conjecture,(
    f3(X1,X2) = f3(X2,X1) )).

cnf(clause_11,axiom,(
    f3(X1,f1(X2,X3)) = f1(f3(X1,X2),f3(X1,X3)) )).

cnf(clause_42,negated_conjecture,(
    c39 = f6(c37,c23) )).

cnf(clause_30,negated_conjecture,(
    c27 = f6(c19,c25) )).

cnf(clause_6,axiom,(
    f3(X1,c2) = c2 )).

cnf(clause_26,negated_conjecture,(
    c23 = f3(c24,c15) )).

cnf(clause_35,negated_conjecture,(
    c21 = f3(c33,c23) )).

cnf(clause_34,negated_conjecture,(
    c32 = f3(c15,c17) )).

cnf(clause_8,axiom,(
    f3(X1,c4) = X1 )).

cnf(clause_18,negated_conjecture,(
    c7 = c8 )).

cnf(clause_20,negated_conjecture,(
    c11 = c12 )).

cnf(clause_9,axiom,(
    f3(X1,X1) = X1 )).

cnf(clause_4,axiom,(
    f1(X1,f1(X1,X2)) = X2 )).

cnf(clause_14,negated_conjecture,(
    f1(X1,X2) = f1(X2,X1) )).

cnf(clause_33,negated_conjecture,(
    c8 = f6(c30,c22) )).

cnf(clause_50,negated_conjecture,(
    p40(c11) )).

cnf(clause_3,axiom,(
    f1(X1,X1) = c2 )).

cnf(clause_27,negated_conjecture,(
    c25 = f3(c23,c17) )).

cnf(clause_47,negated_conjecture,(
    c33 = f5(c28) )).

cnf(clause_17,negated_conjecture,(
    f3(X1,f3(X2,X3)) = f3(X2,f3(X1,X3)) )).

cnf(clause_13,axiom,(
    f6(X1,X2) = f1(f3(X1,X2),f1(X1,X2)) )).

cnf(clause_15,negated_conjecture,(
    f1(X1,f1(X2,X3)) = f1(X2,f1(X1,X3)) )).

cnf(clause_48,negated_conjecture,(
    p40(c7) )).

cnf(clause_49,negated_conjecture,(
    p40(c9) )).

cnf(clause_19,negated_conjecture,(
    c9 = c10 )).

cnf(clause_45,negated_conjecture,(
    c36 = f6(c16,c19) )).

cnf(clause_31,negated_conjecture,(
    c29 = f6(c13,c16) )).

cnf(clause_29,negated_conjecture,(
    c28 = f6(c26,c16) )).

cnf(clause_38,negated_conjecture,(
    c34 = f6(c35,c36) )).

cnf(clause_41,negated_conjecture,(
    c22 = f3(c14,c33) )).

cnf(clause_36,negated_conjecture,(
    c31 = f3(c32,c33) )).

cnf(clause_12,axiom,(
    f5(X1) = f1(c4,X1) )).

cnf(clause_43,negated_conjecture,(
    c37 = f3(c24,c17) )).
%------------------------------------------------------------------------------
