%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A) = f4(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C) = f7(B,C) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A) = f7(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A)
    | p1(B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A)
    | p5(B) )).

cnf(clause_10,axiom,(
    f7(X1,X2) = f6(f2(X1,X2),f2(X2,X1)) )).

cnf(clause_6,axiom,(
    f2(X1,X2) = f3(f4(X1),X2) )).

cnf(clause_3,axiom,(
    p1(f2(f3(X1,X2),f3(X2,X1))) )).

cnf(clause_11,negated_conjecture,(
    ~ p5(f7(f3(c8,c9),f2(f2(c8,c9),c9))) )).

cnf(clause_5,axiom,(
    p1(f2(f2(X1,X2),f2(f3(X3,X1),f3(X3,X2)))) )).

cnf(clause_2,axiom,(
    p1(f2(X1,f3(X2,X1))) )).

cnf(clause_4,axiom,(
    p1(f2(f3(X1,f3(X2,X3)),f3(X2,f3(X1,X3)))) )).

cnf(clause_8,axiom,
    ( p5(X1)
    | ~ p5(f2(X2,X1))
    | ~ p5(X2) )).

cnf(clause_1,axiom,(
    p1(f2(f3(X1,X1),X1)) )).

cnf(clause_9,axiom,(
    f6(X1,X2) = f4(f3(f4(X1),f4(X2))) )).

cnf(clause_7,axiom,
    ( ~ p1(X1)
    | p5(X1) )).
%------------------------------------------------------------------------------
