%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C,D) = f5(B,C,D) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A,D) = f5(C,B,D) )).

cnf(f5_substitution_3,axiom,
    ( A != B
    | f5(C,D,A) = f5(C,D,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(p11_substitution_1,axiom,
    ( A != B
    | ~ p11(A)
    | p11(B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A)
    | p12(B) )).

cnf(p8_substitution_1,axiom,
    ( A != B
    | ~ p8(A)
    | p8(B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A)
    | p9(B) )).

cnf(clause_4,axiom,
    ( f5(c10,X2,X1) = X2
    | ~ p9(X1) )).

cnf(clause_3,negated_conjecture,(
    p8(c7) )).

cnf(clause_1,negated_conjecture,(
    c1 != c2 )).

cnf(clause_9,axiom,
    ( ~ p8(X1)
    | p12(X1) )).

cnf(clause_7,axiom,
    ( p9(X1)
    | ~ p12(X1) )).

cnf(clause_8,axiom,
    ( p11(X1)
    | ~ p12(X1) )).

cnf(clause_5,axiom,
    ( ~ p11(X1)
    | f5(f5(X2,X3,X1),X4,X1) = f5(X2,f5(X3,X4,X1),X1) )).

cnf(clause_6,axiom,
    ( f5(X2,f6(X2,X1),X1) = c10
    | X2 = c2
    | ~ p12(X1) )).

cnf(clause_2,negated_conjecture,(
    f3(c4) != f5(c1,f5(f6(c1,c7),f3(c4),c7),c7) )).
%------------------------------------------------------------------------------
