%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C) = f10(B,C) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A) = f10(C,B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A) = f11(B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C) = f13(B,C) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A) = f13(C,B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A,C) = f14(B,C) )).

cnf(f14_substitution_2,axiom,
    ( A != B
    | f14(C,A) = f14(C,B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C) = f15(B,C) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A) = f15(C,B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A,C) = f16(B,C) )).

cnf(f16_substitution_2,axiom,
    ( A != B
    | f16(C,A) = f16(C,B) )).

cnf(f17_substitution_1,axiom,
    ( A != B
    | f17(A) = f17(B) )).

cnf(f18_substitution_1,axiom,
    ( A != B
    | f18(A,C) = f18(B,C) )).

cnf(f18_substitution_2,axiom,
    ( A != B
    | f18(C,A) = f18(C,B) )).

cnf(f19_substitution_1,axiom,
    ( A != B
    | f19(A) = f19(B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(f20_substitution_1,axiom,
    ( A != B
    | f20(A) = f20(B) )).

cnf(f22_substitution_1,axiom,
    ( A != B
    | f22(A) = f22(B) )).

cnf(f23_substitution_1,axiom,
    ( A != B
    | f23(A) = f23(B) )).

cnf(f24_substitution_1,axiom,
    ( A != B
    | f24(A) = f24(B) )).

cnf(f26_substitution_1,axiom,
    ( A != B
    | f26(A) = f26(B) )).

cnf(f27_substitution_1,axiom,
    ( A != B
    | f27(A,C) = f27(B,C) )).

cnf(f27_substitution_2,axiom,
    ( A != B
    | f27(C,A) = f27(C,B) )).

cnf(f28_substitution_1,axiom,
    ( A != B
    | f28(A,C) = f28(B,C) )).

cnf(f28_substitution_2,axiom,
    ( A != B
    | f28(C,A) = f28(C,B) )).

cnf(f29_substitution_1,axiom,
    ( A != B
    | f29(A,C) = f29(B,C) )).

cnf(f29_substitution_2,axiom,
    ( A != B
    | f29(C,A) = f29(C,B) )).

cnf(f30_substitution_1,axiom,
    ( A != B
    | f30(A) = f30(B) )).

cnf(f31_substitution_1,axiom,
    ( A != B
    | f31(A) = f31(B) )).

cnf(f32_substitution_1,axiom,
    ( A != B
    | f32(A,C) = f32(B,C) )).

cnf(f32_substitution_2,axiom,
    ( A != B
    | f32(C,A) = f32(C,B) )).

cnf(f33_substitution_1,axiom,
    ( A != B
    | f33(A,C,D) = f33(B,C,D) )).

cnf(f33_substitution_2,axiom,
    ( A != B
    | f33(C,A,D) = f33(C,B,D) )).

cnf(f33_substitution_3,axiom,
    ( A != B
    | f33(C,D,A) = f33(C,D,B) )).

cnf(f34_substitution_1,axiom,
    ( A != B
    | f34(A,C,D) = f34(B,C,D) )).

cnf(f34_substitution_2,axiom,
    ( A != B
    | f34(C,A,D) = f34(C,B,D) )).

cnf(f34_substitution_3,axiom,
    ( A != B
    | f34(C,D,A) = f34(C,D,B) )).

cnf(f35_substitution_1,axiom,
    ( A != B
    | f35(A) = f35(B) )).

cnf(f36_substitution_1,axiom,
    ( A != B
    | f36(A,C) = f36(B,C) )).

cnf(f36_substitution_2,axiom,
    ( A != B
    | f36(C,A) = f36(C,B) )).

cnf(f37_substitution_1,axiom,
    ( A != B
    | f37(A,C) = f37(B,C) )).

cnf(f37_substitution_2,axiom,
    ( A != B
    | f37(C,A) = f37(C,B) )).

cnf(f38_substitution_1,axiom,
    ( A != B
    | f38(A,C) = f38(B,C) )).

cnf(f38_substitution_2,axiom,
    ( A != B
    | f38(C,A) = f38(C,B) )).

cnf(f39_substitution_1,axiom,
    ( A != B
    | f39(A,C,D,E) = f39(B,C,D,E) )).

cnf(f39_substitution_2,axiom,
    ( A != B
    | f39(C,A,D,E) = f39(C,B,D,E) )).

cnf(f39_substitution_3,axiom,
    ( A != B
    | f39(C,D,A,E) = f39(C,D,B,E) )).

cnf(f39_substitution_4,axiom,
    ( A != B
    | f39(C,D,E,A) = f39(C,D,E,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A) = f4(B) )).

cnf(f42_substitution_1,axiom,
    ( A != B
    | f42(A,C,D,E) = f42(B,C,D,E) )).

cnf(f42_substitution_2,axiom,
    ( A != B
    | f42(C,A,D,E) = f42(C,B,D,E) )).

cnf(f42_substitution_3,axiom,
    ( A != B
    | f42(C,D,A,E) = f42(C,D,B,E) )).

cnf(f42_substitution_4,axiom,
    ( A != B
    | f42(C,D,E,A) = f42(C,D,E,B) )).

cnf(f45_substitution_1,axiom,
    ( A != B
    | f45(A) = f45(B) )).

cnf(f46_substitution_1,axiom,
    ( A != B
    | f46(A,C,D) = f46(B,C,D) )).

cnf(f46_substitution_2,axiom,
    ( A != B
    | f46(C,A,D) = f46(C,B,D) )).

cnf(f46_substitution_3,axiom,
    ( A != B
    | f46(C,D,A) = f46(C,D,B) )).

cnf(f47_substitution_1,axiom,
    ( A != B
    | f47(A,C,D) = f47(B,C,D) )).

cnf(f47_substitution_2,axiom,
    ( A != B
    | f47(C,A,D) = f47(C,B,D) )).

cnf(f47_substitution_3,axiom,
    ( A != B
    | f47(C,D,A) = f47(C,D,B) )).

cnf(f48_substitution_1,axiom,
    ( A != B
    | f48(A,C,D) = f48(B,C,D) )).

cnf(f48_substitution_2,axiom,
    ( A != B
    | f48(C,A,D) = f48(C,B,D) )).

cnf(f48_substitution_3,axiom,
    ( A != B
    | f48(C,D,A) = f48(C,D,B) )).

cnf(f49_substitution_1,axiom,
    ( A != B
    | f49(A) = f49(B) )).

cnf(f50_substitution_1,axiom,
    ( A != B
    | f50(A,C) = f50(B,C) )).

cnf(f50_substitution_2,axiom,
    ( A != B
    | f50(C,A) = f50(C,B) )).

cnf(f51_substitution_1,axiom,
    ( A != B
    | f51(A,C,D) = f51(B,C,D) )).

cnf(f51_substitution_2,axiom,
    ( A != B
    | f51(C,A,D) = f51(C,B,D) )).

cnf(f51_substitution_3,axiom,
    ( A != B
    | f51(C,D,A) = f51(C,D,B) )).

cnf(f52_substitution_1,axiom,
    ( A != B
    | f52(A,C,D) = f52(B,C,D) )).

cnf(f52_substitution_2,axiom,
    ( A != B
    | f52(C,A,D) = f52(C,B,D) )).

cnf(f52_substitution_3,axiom,
    ( A != B
    | f52(C,D,A) = f52(C,D,B) )).

cnf(f53_substitution_1,axiom,
    ( A != B
    | f53(A,C,D) = f53(B,C,D) )).

cnf(f53_substitution_2,axiom,
    ( A != B
    | f53(C,A,D) = f53(C,B,D) )).

cnf(f53_substitution_3,axiom,
    ( A != B
    | f53(C,D,A) = f53(C,D,B) )).

cnf(f54_substitution_1,axiom,
    ( A != B
    | f54(A,C,D) = f54(B,C,D) )).

cnf(f54_substitution_2,axiom,
    ( A != B
    | f54(C,A,D) = f54(C,B,D) )).

cnf(f54_substitution_3,axiom,
    ( A != B
    | f54(C,D,A) = f54(C,D,B) )).

cnf(f55_substitution_1,axiom,
    ( A != B
    | f55(A) = f55(B) )).

cnf(f56_substitution_1,axiom,
    ( A != B
    | f56(A,C) = f56(B,C) )).

cnf(f56_substitution_2,axiom,
    ( A != B
    | f56(C,A) = f56(C,B) )).

cnf(f57_substitution_1,axiom,
    ( A != B
    | f57(A,C) = f57(B,C) )).

cnf(f57_substitution_2,axiom,
    ( A != B
    | f57(C,A) = f57(C,B) )).

cnf(f58_substitution_1,axiom,
    ( A != B
    | f58(A) = f58(B) )).

cnf(f59_substitution_1,axiom,
    ( A != B
    | f59(A,C) = f59(B,C) )).

cnf(f59_substitution_2,axiom,
    ( A != B
    | f59(C,A) = f59(C,B) )).

cnf(f60_substitution_1,axiom,
    ( A != B
    | f60(A) = f60(B) )).

cnf(f61_substitution_1,axiom,
    ( A != B
    | f61(A,C) = f61(B,C) )).

cnf(f61_substitution_2,axiom,
    ( A != B
    | f61(C,A) = f61(C,B) )).

cnf(f62_substitution_1,axiom,
    ( A != B
    | f62(A,C,D) = f62(B,C,D) )).

cnf(f62_substitution_2,axiom,
    ( A != B
    | f62(C,A,D) = f62(C,B,D) )).

cnf(f62_substitution_3,axiom,
    ( A != B
    | f62(C,D,A) = f62(C,D,B) )).

cnf(f63_substitution_1,axiom,
    ( A != B
    | f63(A,C) = f63(B,C) )).

cnf(f63_substitution_2,axiom,
    ( A != B
    | f63(C,A) = f63(C,B) )).

cnf(f64_substitution_1,axiom,
    ( A != B
    | f64(A,C) = f64(B,C) )).

cnf(f64_substitution_2,axiom,
    ( A != B
    | f64(C,A) = f64(C,B) )).

cnf(f65_substitution_1,axiom,
    ( A != B
    | f65(A,C) = f65(B,C) )).

cnf(f65_substitution_2,axiom,
    ( A != B
    | f65(C,A) = f65(C,B) )).

cnf(f66_substitution_1,axiom,
    ( A != B
    | f66(A,C,D) = f66(B,C,D) )).

cnf(f66_substitution_2,axiom,
    ( A != B
    | f66(C,A,D) = f66(C,B,D) )).

cnf(f66_substitution_3,axiom,
    ( A != B
    | f66(C,D,A) = f66(C,D,B) )).

cnf(f67_substitution_1,axiom,
    ( A != B
    | f67(A,C) = f67(B,C) )).

cnf(f67_substitution_2,axiom,
    ( A != B
    | f67(C,A) = f67(C,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C) = f7(B,C) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A) = f7(C,B) )).

cnf(f70_substitution_1,axiom,
    ( A != B
    | f70(A,C) = f70(B,C) )).

cnf(f70_substitution_2,axiom,
    ( A != B
    | f70(C,A) = f70(C,B) )).

cnf(f72_substitution_1,axiom,
    ( A != B
    | f72(A) = f72(B) )).

cnf(f78_substitution_1,axiom,
    ( A != B
    | f78(A,C,D) = f78(B,C,D) )).

cnf(f78_substitution_2,axiom,
    ( A != B
    | f78(C,A,D) = f78(C,B,D) )).

cnf(f78_substitution_3,axiom,
    ( A != B
    | f78(C,D,A) = f78(C,D,B) )).

cnf(f79_substitution_1,axiom,
    ( A != B
    | f79(A,C,D) = f79(B,C,D) )).

cnf(f79_substitution_2,axiom,
    ( A != B
    | f79(C,A,D) = f79(C,B,D) )).

cnf(f79_substitution_3,axiom,
    ( A != B
    | f79(C,D,A) = f79(C,D,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C,D) = f8(B,C,D) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A,D) = f8(C,B,D) )).

cnf(f8_substitution_3,axiom,
    ( A != B
    | f8(C,D,A) = f8(C,D,B) )).

cnf(f80_substitution_1,axiom,
    ( A != B
    | f80(A,C,D) = f80(B,C,D) )).

cnf(f80_substitution_2,axiom,
    ( A != B
    | f80(C,A,D) = f80(C,B,D) )).

cnf(f80_substitution_3,axiom,
    ( A != B
    | f80(C,D,A) = f80(C,D,B) )).

cnf(f81_substitution_1,axiom,
    ( A != B
    | f81(A,C,D) = f81(B,C,D) )).

cnf(f81_substitution_2,axiom,
    ( A != B
    | f81(C,A,D) = f81(C,B,D) )).

cnf(f81_substitution_3,axiom,
    ( A != B
    | f81(C,D,A) = f81(C,D,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p21_substitution_1,axiom,
    ( A != B
    | ~ p21(A)
    | p21(B) )).

cnf(p25_substitution_1,axiom,
    ( A != B
    | ~ p25(A)
    | p25(B) )).

cnf(p40_substitution_1,axiom,
    ( A != B
    | ~ p40(A,C,D,E,F,G,H,I)
    | p40(B,C,D,E,F,G,H,I) )).

cnf(p40_substitution_2,axiom,
    ( A != B
    | ~ p40(C,A,D,E,F,G,H,I)
    | p40(C,B,D,E,F,G,H,I) )).

cnf(p40_substitution_3,axiom,
    ( A != B
    | ~ p40(C,D,A,E,F,G,H,I)
    | p40(C,D,B,E,F,G,H,I) )).

cnf(p40_substitution_4,axiom,
    ( A != B
    | ~ p40(C,D,E,A,F,G,H,I)
    | p40(C,D,E,B,F,G,H,I) )).

cnf(p40_substitution_5,axiom,
    ( A != B
    | ~ p40(C,D,E,F,A,G,H,I)
    | p40(C,D,E,F,B,G,H,I) )).

cnf(p40_substitution_6,axiom,
    ( A != B
    | ~ p40(C,D,E,F,G,A,H,I)
    | p40(C,D,E,F,G,B,H,I) )).

cnf(p40_substitution_7,axiom,
    ( A != B
    | ~ p40(C,D,E,F,G,H,A,I)
    | p40(C,D,E,F,G,H,B,I) )).

cnf(p40_substitution_8,axiom,
    ( A != B
    | ~ p40(C,D,E,F,G,H,I,A)
    | p40(C,D,E,F,G,H,I,B) )).

cnf(p41_substitution_1,axiom,
    ( A != B
    | ~ p41(A,C,D,E,F,G,H,I)
    | p41(B,C,D,E,F,G,H,I) )).

cnf(p41_substitution_2,axiom,
    ( A != B
    | ~ p41(C,A,D,E,F,G,H,I)
    | p41(C,B,D,E,F,G,H,I) )).

cnf(p41_substitution_3,axiom,
    ( A != B
    | ~ p41(C,D,A,E,F,G,H,I)
    | p41(C,D,B,E,F,G,H,I) )).

cnf(p41_substitution_4,axiom,
    ( A != B
    | ~ p41(C,D,E,A,F,G,H,I)
    | p41(C,D,E,B,F,G,H,I) )).

cnf(p41_substitution_5,axiom,
    ( A != B
    | ~ p41(C,D,E,F,A,G,H,I)
    | p41(C,D,E,F,B,G,H,I) )).

cnf(p41_substitution_6,axiom,
    ( A != B
    | ~ p41(C,D,E,F,G,A,H,I)
    | p41(C,D,E,F,G,B,H,I) )).

cnf(p41_substitution_7,axiom,
    ( A != B
    | ~ p41(C,D,E,F,G,H,A,I)
    | p41(C,D,E,F,G,H,B,I) )).

cnf(p41_substitution_8,axiom,
    ( A != B
    | ~ p41(C,D,E,F,G,H,I,A)
    | p41(C,D,E,F,G,H,I,B) )).

cnf(p43_substitution_1,axiom,
    ( A != B
    | ~ p43(A,C)
    | p43(B,C) )).

cnf(p43_substitution_2,axiom,
    ( A != B
    | ~ p43(C,A)
    | p43(C,B) )).

cnf(p44_substitution_1,axiom,
    ( A != B
    | ~ p44(A,C)
    | p44(B,C) )).

cnf(p44_substitution_2,axiom,
    ( A != B
    | ~ p44(C,A)
    | p44(C,B) )).

cnf(p74_substitution_1,axiom,
    ( A != B
    | ~ p74(A,C,D)
    | p74(B,C,D) )).

cnf(p74_substitution_2,axiom,
    ( A != B
    | ~ p74(C,A,D)
    | p74(C,B,D) )).

cnf(p74_substitution_3,axiom,
    ( A != B
    | ~ p74(C,D,A)
    | p74(C,D,B) )).

cnf(p75_substitution_1,axiom,
    ( A != B
    | ~ p75(A,C,D)
    | p75(B,C,D) )).

cnf(p75_substitution_2,axiom,
    ( A != B
    | ~ p75(C,A,D)
    | p75(C,B,D) )).

cnf(p75_substitution_3,axiom,
    ( A != B
    | ~ p75(C,D,A)
    | p75(C,D,B) )).

cnf(p76_substitution_1,axiom,
    ( A != B
    | ~ p76(A,C,D)
    | p76(B,C,D) )).

cnf(p76_substitution_2,axiom,
    ( A != B
    | ~ p76(C,A,D)
    | p76(C,B,D) )).

cnf(p76_substitution_3,axiom,
    ( A != B
    | ~ p76(C,D,A)
    | p76(C,D,B) )).

cnf(p77_substitution_1,axiom,
    ( A != B
    | ~ p77(A,C,D)
    | p77(B,C,D) )).

cnf(p77_substitution_2,axiom,
    ( A != B
    | ~ p77(C,A,D)
    | p77(C,B,D) )).

cnf(p77_substitution_3,axiom,
    ( A != B
    | ~ p77(C,D,A)
    | p77(C,D,B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A,C)
    | p9(B,C) )).

cnf(p9_substitution_2,axiom,
    ( A != B
    | ~ p9(C,A)
    | p9(C,B) )).

cnf(clause_109,axiom,
    ( X1 = X3
    | f10(X1,X2) != f10(X3,X4) )).

cnf(clause_175,negated_conjecture,
    ( c83 != f70(c68,X1)
    | ~ p1(f10(c82,X1),c73) )).

cnf(clause_53,axiom,
    ( ~ p40(X1,X2,X3,X4,X5,X6,X7,X8)
    | p1(f10(X1,X3),X6) )).

cnf(clause_147,axiom,
    ( X2 = X4
    | f70(X1,X2) != f70(X3,X4) )).

cnf(clause_92,axiom,
    ( ~ p1(X1,f7(X2,X3))
    | X1 = f6(f51(X1,X2,X3))
    | X1 = f5(f52(X1,X2,X3)) )).

cnf(clause_143,axiom,(
    c68 != c69 )).

cnf(clause_110,axiom,
    ( f10(X1,X2) != f10(X3,X4)
    | X2 = X4 )).

cnf(clause_80,axiom,
    ( X1 = f10(f46(X1,X2,X3),f47(X1,X2,X3))
    | ~ p1(X1,f27(X2,X3)) )).

cnf(clause_150,axiom,
    ( ~ p1(f70(X1,X2),c71)
    | p1(X2,c71) )).

cnf(clause_5,axiom,
    ( X1 != X2
    | f6(X1) = f6(X2) )).

cnf(clause_161,axiom,
    ( p1(f78(X1,X2,X3),c71)
    | ~ p75(X1,X2,X3) )).

cnf(clause_139,axiom,(
    p9(c12,X1) )).

cnf(clause_44,axiom,
    ( X1 = f31(f33(X1,X2,X3))
    | p1(f34(X1,X2,X3),X3)
    | ~ p1(X1,f32(X2,X3)) )).

cnf(clause_127,axiom,
    ( ~ p1(f66(X1,X2,X3),X2)
    | p1(X3,X2)
    | ~ p1(X3,X1) )).

cnf(clause_159,axiom,
    ( p1(X2,c71)
    | ~ p74(X1,X2,X3) )).

cnf(clause_65,axiom,
    ( ~ p1(f10(f5(X1),f5(X2)),f42(X3,X4,X5,X6))
    | p1(X2,X5) )).

cnf(clause_19,axiom,
    ( ~ p1(X1,X2)
    | ~ p1(X1,X3)
    | p1(X1,f14(X2,X3)) )).

cnf(clause_45,axiom,
    ( X1 = f30(f34(X1,X2,X3))
    | ~ p1(X1,f32(X2,X3))
    | X1 = f31(f33(X1,X2,X3)) )).

cnf(clause_85,axiom,(
    f5(X1) != f6(X2) )).

cnf(clause_6,axiom,
    ( p1(f6(X1),f7(X2,X3))
    | ~ p1(X1,X2) )).

cnf(clause_113,axiom,
    ( X1 = X2
    | p1(X1,X2)
    | ~ p1(X1,f4(X2)) )).

cnf(clause_71,axiom,
    ( ~ p1(f10(f6(X1),f5(X2)),f42(X3,X4,X5,X6))
    | p1(X2,X5) )).

cnf(clause_23,axiom,
    ( p1(X1,f17(X2))
    | ~ p1(f16(X1,X2),X2) )).

cnf(clause_21,axiom,
    ( ~ p1(X1,X2)
    | p1(X1,f15(X2,X3)) )).

cnf(clause_174,hypothesis,(
    p1(f10(f70(c68,c82),c83),c73) )).

cnf(clause_123,axiom,
    ( p1(f65(X1,X2),X2)
    | ~ p1(X1,f22(X2)) )).

cnf(clause_79,axiom,
    ( p25(X1)
    | ~ p25(f4(X1)) )).

cnf(clause_49,axiom,
    ( X1 = X3
    | f36(X1,X2) != f36(X3,X4) )).

cnf(clause_37,axiom,
    ( ~ p1(f10(X1,X2),X3)
    | ~ p1(X1,X4)
    | p1(X2,f29(X3,X4)) )).

cnf(clause_170,axiom,
    ( ~ p77(X1,X2,X3)
    | p1(X1,c71) )).

cnf(clause_47,axiom,
    ( p1(f36(f38(X1,X2),f37(X1,X2)),X2)
    | ~ p1(X1,f35(X2)) )).

cnf(clause_42,axiom,
    ( p1(f34(X1,X2,X3),X3)
    | p1(f33(X1,X2,X3),X2)
    | ~ p1(X1,f32(X2,X3)) )).

cnf(clause_131,axiom,(
    f10(X1,X2) != c12 )).

cnf(clause_25,axiom,
    ( ~ p1(X1,f18(X1,X2))
    | p1(X1,f19(X2))
    | ~ p1(X3,X2) )).

cnf(clause_133,axiom,(
    f10(X1,X2) != X2 )).

cnf(clause_99,axiom,
    ( ~ p1(X1,f60(X2))
    | p1(f10(X1,f61(X1,X2)),X2) )).

cnf(clause_54,axiom,
    ( p1(X1,X5)
    | ~ p40(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(clause_28,axiom,
    ( ~ p1(X1,f23(X2))
    | p1(f14(X1,X3),f23(X2)) )).

cnf(clause_77,axiom,
    ( X1 = c12
    | ~ p43(X1,c12) )).

cnf(clause_120,axiom,
    ( ~ p1(X1,f15(X2,X3))
    | p1(X1,X3)
    | p1(X1,X2) )).

cnf(clause_86,axiom,(
    f6(X1) != f5(X2) )).

cnf(clause_14,axiom,
    ( X1 != X2
    | p1(X1,f4(X2)) )).

cnf(clause_90,axiom,
    ( ~ p1(X1,f7(X2,X3))
    | X1 = f5(f52(X1,X2,X3))
    | p1(f51(X1,X2,X3),X2) )).

cnf(clause_151,axiom,(
    p1(c68,c71) )).

cnf(clause_118,axiom,
    ( ~ p1(X1,f14(X2,X3))
    | p1(X1,X2) )).

cnf(clause_22,axiom,
    ( p1(X1,f17(X2))
    | p1(f16(X1,X2),X1) )).

cnf(clause_140,axiom,
    ( ~ p9(X2,X1)
    | ~ p9(X1,X2)
    | X1 = X2 )).

cnf(clause_146,axiom,
    ( X1 = X3
    | f70(X1,X2) != f70(X3,X4) )).

cnf(clause_107,axiom,
    ( ~ p1(X1,f11(X2))
    | p1(f10(f64(X1,X2),f63(X1,X2)),X2) )).

cnf(clause_93,axiom,
    ( p1(f10(X1,f53(X1,X2,X3)),X2)
    | ~ p1(X1,f28(X2,X3)) )).

cnf(clause_128,axiom,
    ( ~ p1(X3,X1)
    | ~ p9(X1,X2)
    | p1(X3,X2) )).

cnf(clause_34,axiom,
    ( ~ p25(X1)
    | p25(f15(X1,X2))
    | ~ p25(X2) )).

cnf(clause_1,axiom,(
    p1(X1,f2(X1,X2)) )).

cnf(clause_60,axiom,
    ( X1 = X3
    | ~ p41(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(clause_50,axiom,
    ( f36(X1,X2) != f36(X3,X4)
    | X2 = X4 )).

cnf(clause_36,axiom,
    ( p1(X1,f28(X3,X4))
    | ~ p1(f10(X1,X2),X3)
    | ~ p1(X2,X4) )).

cnf(clause_52,axiom,
    ( p41(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p1(f10(f10(X1,X2),f10(X3,X4)),f39(X5,X6,X7,X8))
    | p40(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(clause_163,axiom,
    ( p1(X2,c71)
    | ~ p75(X1,X2,X3) )).

cnf(clause_13,axiom,
    ( p1(X1,f4(X2))
    | ~ p1(X1,X2) )).

cnf(clause_173,axiom,(
    ~ p1(f10(c69,X1),c73) )).

cnf(clause_3,axiom,
    ( p1(f4(X1),c3)
    | ~ p1(X1,c3) )).

cnf(clause_91,axiom,
    ( ~ p1(X1,f7(X2,X3))
    | X1 = f6(f51(X1,X2,X3))
    | p1(f52(X1,X2,X3),X3) )).

cnf(clause_82,axiom,
    ( ~ p1(X1,f27(X2,X3))
    | p1(f10(f48(X1,X2,X3),f47(X1,X2,X3)),X2) )).

cnf(clause_7,axiom,
    ( ~ p1(X1,X2)
    | p1(f5(X1),f7(X3,X2)) )).

cnf(clause_132,axiom,(
    f10(X1,X2) != X1 )).

cnf(clause_142,axiom,
    ( X1 != X2
    | p9(X2,X1) )).

cnf(clause_61,axiom,
    ( ~ p41(X1,X2,X3,X4,X5,X6,X7,X8)
    | p1(X2,X7) )).

cnf(clause_62,axiom,
    ( p1(X4,X7)
    | ~ p41(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(clause_41,axiom,
    ( f31(X1) != f31(X2)
    | X1 = X2 )).

cnf(clause_126,axiom,
    ( ~ p1(X1,X2)
    | p1(f66(X2,X3,X1),X2)
    | p1(X1,X3) )).

cnf(clause_171,axiom,
    ( X3 = f70(X1,f81(X1,X2,X3))
    | ~ p77(X1,X2,X3) )).

cnf(clause_11,axiom,
    ( ~ p1(f10(X1,X2),X3)
    | p1(f10(X2,X1),f11(X3)) )).

cnf(clause_144,axiom,(
    c68 != f70(X1,X2) )).

cnf(clause_43,axiom,
    ( ~ p1(X1,f32(X2,X3))
    | X1 = f30(f34(X1,X2,X3))
    | p1(f33(X1,X2,X3),X2) )).

cnf(clause_48,axiom,
    ( p1(f36(X2,X1),X3)
    | ~ p1(f36(X1,X2),f35(X3)) )).

cnf(clause_115,axiom,
    ( X1 = X2
    | ~ p1(X1,f2(X2,X3))
    | p1(X1,X3) )).

cnf(clause_87,axiom,
    ( f5(X1) != f5(X2)
    | X1 = X2 )).

cnf(clause_63,axiom,(
    ~ p1(f10(f5(X1),f6(X2)),f42(X3,X4,X5,X6)) )).

cnf(clause_122,axiom,
    ( ~ p1(X1,f22(X2))
    | p1(X1,f65(X1,X2)) )).

cnf(clause_114,axiom,
    ( X1 = X2
    | ~ p1(X1,f2(X2,c12)) )).

cnf(clause_96,axiom,
    ( ~ p1(X1,f29(X2,X3))
    | p1(f54(X1,X2,X3),X3) )).

cnf(clause_26,axiom,
    ( p21(f22(X1))
    | p1(f20(X1),X1) )).

cnf(clause_84,axiom,
    ( ~ p1(X1,f49(X2))
    | X1 = f10(f50(X1,X2),f50(X1,X2)) )).

cnf(clause_164,axiom,
    ( ~ p75(X1,X2,X3)
    | X3 = f70(f70(f78(X1,X2,X3),X2),f70(f79(X1,X2,X3),X2)) )).

cnf(clause_4,axiom,
    ( f5(X1) = f5(X2)
    | X1 != X2 )).

cnf(clause_119,axiom,
    ( p1(X1,X3)
    | ~ p1(X1,f14(X2,X3)) )).

cnf(clause_102,axiom,
    ( p1(f62(X3,X2,X4),f2(X3,X2))
    | p1(X1,X4)
    | ~ p1(X1,X2) )).

cnf(clause_157,axiom,
    ( p75(X1,X2,X3)
    | p74(X1,X2,X3)
    | ~ p1(f10(f70(X1,X2),X3),c73)
    | p76(X1,X2,X3)
    | p77(X1,X2,X3) )).

cnf(clause_105,axiom,
    ( p9(X2,X3)
    | ~ p9(f2(X1,X2),X3) )).

cnf(clause_10,axiom,
    ( ~ p9(X3,X2)
    | p9(f2(X1,X3),X2)
    | ~ p1(X1,X2) )).

cnf(clause_35,axiom,
    ( p1(f10(X1,X4),f27(X5,X3))
    | ~ p1(f10(X2,X4),X5)
    | ~ p1(f10(X1,X2),X3) )).

cnf(clause_165,axiom,
    ( ~ p75(X1,X2,X3)
    | X1 = f70(f70(c69,f78(X1,X2,X3)),f79(X1,X2,X3)) )).

cnf(clause_125,axiom,
    ( p1(X1,X3)
    | ~ p1(X3,X2)
    | ~ p1(X1,f19(X2)) )).

cnf(clause_88,axiom,
    ( f6(X1) != f6(X2)
    | X1 = X2 )).

cnf(clause_39,axiom,(
    f31(X1) != f30(X2) )).

cnf(clause_172,axiom,(
    ~ p1(f10(c68,X1),c73) )).

cnf(clause_33,axiom,
    ( p25(f22(X1))
    | ~ p25(f26(X1)) )).

cnf(clause_116,axiom,
    ( ~ p1(X1,f13(X2,X3))
    | p1(X1,X2) )).

cnf(clause_58,axiom,
    ( p1(f10(X2,X4),X8)
    | ~ p41(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(clause_98,axiom,
    ( p1(f10(f59(X1,X2),X1),X2)
    | ~ p1(X1,f58(X2)) )).

cnf(clause_152,axiom,(
    p1(c69,c71) )).

cnf(clause_117,axiom,
    ( ~ p1(X1,f13(X2,X3))
    | ~ p1(X1,X3) )).

cnf(clause_32,axiom,
    ( p1(f26(X1),X1)
    | p25(f22(X1)) )).

cnf(clause_130,axiom,
    ( ~ p1(f10(X1,X2),X3)
    | p1(X1,f55(X3)) )).

cnf(clause_106,axiom,
    ( X1 = f10(f63(X1,X2),f64(X1,X2))
    | ~ p1(X1,f11(X2)) )).

cnf(clause_148,axiom,
    ( X3 != X4
    | f70(X1,X3) = f70(X2,X4)
    | X1 != X2 )).

cnf(clause_29,axiom,
    ( ~ p1(X1,f23(X2))
    | p1(f14(X3,X1),f23(X2)) )).

cnf(clause_69,axiom,
    ( ~ p1(f10(f6(X1),f6(X2)),f42(X3,X4,X5,X6))
    | p1(f10(X1,X2),X4) )).

cnf(clause_137,axiom,
    ( ~ p9(X2,X3)
    | ~ p9(X1,X2)
    | p9(X1,X3) )).

cnf(clause_100,axiom,
    ( p1(X1,X3)
    | p1(f62(X1,X2,X3),f2(X1,X2)) )).

cnf(clause_8,axiom,
    ( p1(f8(X1,X4,X2),X4)
    | ~ p1(X3,f2(X1,X4))
    | p1(X3,X2)
    | ~ p1(X1,X2) )).

cnf(clause_20,axiom,
    ( p1(X1,f15(X3,X2))
    | ~ p1(X1,X2) )).

cnf(clause_31,axiom,
    ( p25(f19(X1))
    | ~ p25(f24(X1)) )).

cnf(clause_112,axiom,
    ( f4(X1) != f4(X2)
    | X1 = X2 )).

cnf(clause_97,axiom,
    ( p1(f10(f57(X1,X2),X1),X2)
    | p1(f10(X1,f56(X1,X2)),X2)
    | ~ p1(X1,f55(X2)) )).

cnf(clause_156,axiom,
    ( ~ p1(X3,c71)
    | ~ p1(X1,c71)
    | p1(f10(f70(f70(f70(c69,X1),X2),X3),f70(f70(X1,X3),f70(X2,X3))),c73)
    | ~ p1(X2,c71) )).

cnf(clause_59,axiom,
    ( p1(X3,X5)
    | ~ p41(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(clause_12,axiom,
    ( X1 != X2
    | f2(X1,c12) = f2(X2,c12) )).

cnf(clause_74,axiom,
    ( ~ p1(f10(X1,X2),f45(X3))
    | p1(X1,X3) )).

cnf(clause_103,axiom,
    ( ~ p1(f62(X1,X2,X3),X3)
    | ~ p1(X4,X2)
    | p1(X4,X3) )).

cnf(clause_9,axiom,
    ( p1(X4,X2)
    | ~ p1(f8(X1,X3,X2),X2)
    | ~ p1(X1,X2)
    | ~ p1(X4,f2(X1,X3)) )).

cnf(clause_166,axiom,
    ( ~ p76(X1,X2,X3)
    | p1(f10(X1,f80(X1,X2,X3)),c73) )).

cnf(clause_66,axiom,
    ( ~ p1(f10(f5(X1),f5(X2)),f42(X3,X4,X5,X6))
    | p1(f10(X1,X2),X6) )).

cnf(clause_155,axiom,
    ( ~ p1(X2,c71)
    | ~ p1(X1,c71)
    | p1(f10(f70(f70(c68,X1),X2),X1),c73) )).

cnf(clause_136,axiom,(
    p9(X1,X1) )).

cnf(clause_167,axiom,
    ( p1(X2,c71)
    | ~ p76(X1,X2,X3) )).

cnf(clause_2,axiom,
    ( p1(X1,f2(X3,X2))
    | ~ p1(X1,X2) )).

cnf(clause_30,axiom,
    ( p1(f24(X1),X1)
    | p25(f19(X1)) )).

cnf(clause_70,axiom,
    ( ~ p1(f10(f6(X1),f5(X2)),f42(X3,X4,X5,X6))
    | p1(X1,X3) )).

cnf(clause_67,axiom,
    ( p1(X1,X3)
    | ~ p1(f10(f6(X1),f6(X2)),f42(X3,X4,X5,X6)) )).

cnf(clause_108,axiom,
    ( ~ p1(f10(X1,X2),f11(X3))
    | p1(f10(X2,X1),X3) )).

cnf(clause_16,axiom,
    ( ~ p1(X1,X2)
    | p1(X1,f2(X3,X2)) )).

cnf(clause_24,axiom,
    ( p1(X3,f19(X2))
    | ~ p1(X1,X2)
    | p1(f18(X3,X2),X2) )).

cnf(clause_78,axiom,
    ( p25(X1)
    | ~ p43(X1,X1) )).

cnf(clause_149,axiom,
    ( ~ p1(f70(X1,X2),c71)
    | p1(X1,c71) )).

cnf(clause_68,axiom,
    ( p1(X2,X3)
    | ~ p1(f10(f6(X1),f6(X2)),f42(X3,X4,X5,X6)) )).

cnf(clause_17,axiom,
    ( X1 != X2
    | p1(X1,f2(X2,X3)) )).

cnf(clause_135,axiom,
    ( p9(X1,X2)
    | ~ p1(f67(X1,X2),X2) )).

cnf(clause_141,axiom,
    ( p9(X1,X2)
    | X1 != X2 )).

cnf(clause_57,axiom,
    ( p1(X4,X7)
    | ~ p40(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(clause_160,axiom,
    ( X1 = f70(c68,X3)
    | ~ p74(X1,X2,X3) )).

cnf(clause_27,axiom,
    ( p21(f22(X1))
    | ~ p21(f20(X1)) )).

cnf(clause_138,axiom,
    ( p1(X1,X2)
    | ~ p1(X1,c12) )).

cnf(clause_75,axiom,
    ( ~ p1(f10(X1,X2),f45(X3))
    | p1(X2,X3) )).

cnf(clause_76,axiom,
    ( p1(X1,X2)
    | ~ p1(f10(X1,X2),f45(X3)) )).

cnf(clause_73,axiom,
    ( ~ p43(c12,f4(X1))
    | p25(X1) )).

cnf(clause_154,axiom,
    ( ~ p1(X1,c71)
    | p1(f10(X1,X1),f72(c73)) )).

cnf(clause_153,axiom,
    ( p1(f70(X1,X2),c71)
    | ~ p1(X2,c71)
    | ~ p1(X1,c71) )).

cnf(clause_124,axiom,
    ( ~ p1(X2,X1)
    | X1 != c12 )).

cnf(clause_64,axiom,
    ( ~ p1(f10(f5(X1),f5(X2)),f42(X3,X4,X5,X6))
    | p1(X1,X5) )).

cnf(clause_111,axiom,
    ( X1 = X2
    | f2(X1,c12) != f2(X2,c12) )).

cnf(clause_46,axiom,
    ( ~ p1(X1,f35(X2))
    | X1 = f36(f37(X1,X2),f38(X1,X2)) )).

cnf(clause_38,axiom,(
    f30(X1) != f31(X2) )).

cnf(clause_56,axiom,
    ( ~ p40(X1,X2,X3,X4,X5,X6,X7,X8)
    | p1(X2,X7) )).

cnf(clause_169,axiom,
    ( p1(f10(X2,f81(X1,X2,X3)),c73)
    | ~ p77(X1,X2,X3) )).

cnf(clause_168,axiom,
    ( X3 = f70(f80(X1,X2,X3),X2)
    | ~ p76(X1,X2,X3) )).

cnf(clause_40,axiom,
    ( f30(X1) != f30(X2)
    | X1 = X2 )).

cnf(clause_134,axiom,
    ( p9(X1,X2)
    | p1(f67(X1,X2),X1) )).

cnf(clause_51,axiom,
    ( p1(X1,c3)
    | ~ p1(f4(X1),c3) )).

cnf(clause_95,axiom,
    ( ~ p1(X1,f29(X2,X3))
    | p1(f10(f54(X1,X2,X3),X1),X2) )).

cnf(clause_89,axiom,
    ( ~ p1(X1,f7(X2,X3))
    | p1(f52(X1,X2,X3),X3)
    | p1(f51(X1,X2,X3),X2) )).

cnf(clause_145,axiom,(
    c69 != f70(X1,X2) )).

cnf(clause_18,axiom,
    ( ~ p1(X1,X2)
    | p1(X1,X3)
    | p1(X1,f13(X2,X3)) )).

cnf(clause_15,axiom,(
    p1(X1,f2(X1,c12)) )).

cnf(clause_101,axiom,
    ( p1(X1,X3)
    | ~ p1(f62(X1,X2,X3),X3) )).

cnf(clause_129,axiom,
    ( p1(X2,f55(X3))
    | ~ p1(f10(X1,X2),X3) )).

cnf(clause_83,axiom,
    ( ~ p1(X1,f49(X2))
    | p1(f50(X1,X2),X2) )).

cnf(clause_121,axiom,
    ( ~ p1(X1,f17(X2))
    | p1(X3,X2)
    | ~ p1(X3,X1) )).

cnf(clause_55,axiom,
    ( ~ p40(X1,X2,X3,X4,X5,X6,X7,X8)
    | p1(X3,X5) )).

cnf(clause_94,axiom,
    ( ~ p1(X1,f28(X2,X3))
    | p1(f53(X1,X2,X3),X3) )).

cnf(clause_158,axiom,
    ( p1(X3,c71)
    | ~ p74(X1,X2,X3) )).

cnf(clause_104,axiom,
    ( ~ p9(f2(X1,X2),X3)
    | p1(X1,X3) )).

cnf(clause_72,axiom,
    ( ~ p43(f4(X1),X2)
    | p44(X1,X2) )).

cnf(clause_81,axiom,
    ( ~ p1(X1,f27(X2,X3))
    | p1(f10(f46(X1,X2,X3),f48(X1,X2,X3)),X3) )).

cnf(clause_162,axiom,
    ( ~ p75(X1,X2,X3)
    | p1(f79(X1,X2,X3),c71) )).
%------------------------------------------------------------------------------
