%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C) = f10(B,C) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A) = f10(C,B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A,C,D) = f12(B,C,D) )).

cnf(f12_substitution_2,axiom,
    ( A != B
    | f12(C,A,D) = f12(C,B,D) )).

cnf(f12_substitution_3,axiom,
    ( A != B
    | f12(C,D,A) = f12(C,D,B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C,D) = f13(B,C,D) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A,D) = f13(C,B,D) )).

cnf(f13_substitution_3,axiom,
    ( A != B
    | f13(C,D,A) = f13(C,D,B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A,C,D) = f14(B,C,D) )).

cnf(f14_substitution_2,axiom,
    ( A != B
    | f14(C,A,D) = f14(C,B,D) )).

cnf(f14_substitution_3,axiom,
    ( A != B
    | f14(C,D,A) = f14(C,D,B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C,D) = f15(B,C,D) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A,D) = f15(C,B,D) )).

cnf(f15_substitution_3,axiom,
    ( A != B
    | f15(C,D,A) = f15(C,D,B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A,C) = f16(B,C) )).

cnf(f16_substitution_2,axiom,
    ( A != B
    | f16(C,A) = f16(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C,D,E) = f2(B,C,D,E) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A,D,E) = f2(C,B,D,E) )).

cnf(f2_substitution_3,axiom,
    ( A != B
    | f2(C,D,A,E) = f2(C,D,B,E) )).

cnf(f2_substitution_4,axiom,
    ( A != B
    | f2(C,D,E,A) = f2(C,D,E,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(clause_1,negated_conjecture,(
    p1(f2(f3(f3(c4,c5),c6),c7,c8,c8),c9,f10(c8,c8)) )).

cnf(clause_6,axiom,
    ( f3(X1,X2) != f3(X3,X4)
    | X1 = X3 )).

cnf(clause_10,axiom,(
    p1(f2(X1,X1,c8,c8),c9,f10(c8,c8)) )).

cnf(clause_9,axiom,
    ( p1(f2(X1,f16(X1,X2),c8,c8),c9,f10(c8,c8))
    | ~ p1(f2(f3(c4,X1),X2,c8,c8),c9,f10(c8,c8)) )).

cnf(clause_7,axiom,
    ( X2 = X4
    | f3(X1,X2) != f3(X3,X4) )).

cnf(clause_12,axiom,
    ( p1(f2(f3(X3,X1),f3(X4,X2),c8,c8),c9,f10(c8,c8))
    | ~ p1(f2(X1,X2,c8,c8),c9,f10(c8,c8))
    | ~ p1(f2(X3,X4,c8,c8),c9,f10(c8,c8)) )).

cnf(clause_11,axiom,(
    p1(f2(f3(f3(c4,X1),X2),X1,c8,c8),c9,f10(c8,c8)) )).

cnf(clause_4,axiom,
    ( p1(f2(X1,f14(X1,X2,X3),c8,c8),c9,f10(c8,c8))
    | ~ p1(f2(f3(X1,X2),X3,c8,c8),c9,f10(c8,c8))
    | X3 = f3(X1,X2)
    | X1 = f3(c4,X3)
    | X1 = f3(f3(c11,f12(X1,X2,X3)),f13(X1,X2,X3)) )).

cnf(clause_2,negated_conjecture,
    ( ~ p1(f2(c7,X1,c8,c8),c9,f10(c8,c8))
    | ~ p1(f2(c5,X1,c8,c8),c9,f10(c8,c8)) )).

cnf(clause_3,axiom,
    ( X1 = f3(f3(c11,f12(X1,X2,X3)),f13(X1,X2,X3))
    | ~ p1(f2(f3(X1,X2),X3,c8,c8),c9,f10(c8,c8))
    | X1 = f3(c4,X3)
    | X3 = f3(f14(X1,X2,X3),f15(X1,X2,X3))
    | X3 = f3(X1,X2) )).

cnf(clause_5,axiom,(
    c4 != f3(X1,X2) )).

cnf(clause_8,axiom,
    ( X2 = f3(c4,f16(X1,X2))
    | ~ p1(f2(f3(c4,X1),X2,c8,c8),c9,f10(c8,c8)) )).
%------------------------------------------------------------------------------
