%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C,D,E,F,G) = f10(B,C,D,E,F,G) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A,D,E,F,G) = f10(C,B,D,E,F,G) )).

cnf(f10_substitution_3,axiom,
    ( A != B
    | f10(C,D,A,E,F,G) = f10(C,D,B,E,F,G) )).

cnf(f10_substitution_4,axiom,
    ( A != B
    | f10(C,D,E,A,F,G) = f10(C,D,E,B,F,G) )).

cnf(f10_substitution_5,axiom,
    ( A != B
    | f10(C,D,E,F,A,G) = f10(C,D,E,F,B,G) )).

cnf(f10_substitution_6,axiom,
    ( A != B
    | f10(C,D,E,F,G,A) = f10(C,D,E,F,G,B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A,C,D,E) = f11(B,C,D,E) )).

cnf(f11_substitution_2,axiom,
    ( A != B
    | f11(C,A,D,E) = f11(C,B,D,E) )).

cnf(f11_substitution_3,axiom,
    ( A != B
    | f11(C,D,A,E) = f11(C,D,B,E) )).

cnf(f11_substitution_4,axiom,
    ( A != B
    | f11(C,D,E,A) = f11(C,D,E,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C,D,E) = f3(B,C,D,E) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A,D,E) = f3(C,B,D,E) )).

cnf(f3_substitution_3,axiom,
    ( A != B
    | f3(C,D,A,E) = f3(C,D,B,E) )).

cnf(f3_substitution_4,axiom,
    ( A != B
    | f3(C,D,E,A) = f3(C,D,E,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C,D,E,F) = f4(B,C,D,E,F) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A,D,E,F) = f4(C,B,D,E,F) )).

cnf(f4_substitution_3,axiom,
    ( A != B
    | f4(C,D,A,E,F) = f4(C,D,B,E,F) )).

cnf(f4_substitution_4,axiom,
    ( A != B
    | f4(C,D,E,A,F) = f4(C,D,E,B,F) )).

cnf(f4_substitution_5,axiom,
    ( A != B
    | f4(C,D,E,F,A) = f4(C,D,E,F,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C,D,E,F) = f8(B,C,D,E,F) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A,D,E,F) = f8(C,B,D,E,F) )).

cnf(f8_substitution_3,axiom,
    ( A != B
    | f8(C,D,A,E,F) = f8(C,D,B,E,F) )).

cnf(f8_substitution_4,axiom,
    ( A != B
    | f8(C,D,E,A,F) = f8(C,D,E,B,F) )).

cnf(f8_substitution_5,axiom,
    ( A != B
    | f8(C,D,E,F,A) = f8(C,D,E,F,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C,D,E,F) = f9(B,C,D,E,F) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A,D,E,F) = f9(C,B,D,E,F) )).

cnf(f9_substitution_3,axiom,
    ( A != B
    | f9(C,D,A,E,F) = f9(C,D,B,E,F) )).

cnf(f9_substitution_4,axiom,
    ( A != B
    | f9(C,D,E,A,F) = f9(C,D,E,B,F) )).

cnf(f9_substitution_5,axiom,
    ( A != B
    | f9(C,D,E,F,A) = f9(C,D,E,F,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D,E)
    | p1(B,C,D,E) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D,E)
    | p1(C,B,D,E) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A,E)
    | p1(C,D,B,E) )).

cnf(p1_substitution_4,axiom,
    ( A != B
    | ~ p1(C,D,E,A)
    | p1(C,D,E,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C,D)
    | p2(B,C,D) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A,D)
    | p2(C,B,D) )).

cnf(p2_substitution_3,axiom,
    ( A != B
    | ~ p2(C,D,A)
    | p2(C,D,B) )).

cnf(clause_13,axiom,
    ( X2 = X3
    | p2(X5,X1,X4)
    | ~ p1(X4,X2,X4,X3)
    | p2(X4,X5,X1)
    | p2(X1,X4,X5)
    | ~ p1(X5,X2,X5,X3)
    | ~ p1(X1,X2,X1,X3) )).

cnf(clause_15,axiom,
    ( ~ p2(X1,X2,X3)
    | X1 = X2
    | p2(X1,X5,f9(X1,X4,X2,X5,X3))
    | ~ p2(X4,X2,X5) )).

cnf(clause_19,axiom,(
    f11(X1,X2,X3,X4) = f3(f3(X2,X1,c5,c6),X1,X3,X4) )).

cnf(clause_18,axiom,
    ( p1(X1,X6,X1,f10(X1,X2,X3,X6,X4,X5))
    | ~ p2(X1,X2,X4)
    | ~ p1(X1,X2,X1,X3)
    | ~ p1(X1,X4,X1,X5)
    | ~ p2(X2,X6,X4) )).

cnf(clause_12,axiom,(
    ~ p2(c7,c5,c6) )).

cnf(clause_2,axiom,
    ( ~ p1(X1,X2,X3,X4)
    | p1(X3,X4,X5,X6)
    | ~ p1(X1,X2,X5,X6) )).

cnf(clause_20,hypothesis,(
    p2(c12,c13,c14) )).

cnf(clause_5,axiom,(
    p1(X1,f3(X2,X1,X3,X4),X3,X4) )).

cnf(clause_10,axiom,(
    ~ p2(c5,c6,c7) )).

cnf(clause_11,axiom,(
    ~ p2(c6,c7,c5) )).

cnf(clause_4,axiom,(
    p2(X1,X2,f3(X1,X2,X3,X4)) )).

cnf(clause_8,axiom,
    ( ~ p2(X1,X2,X3)
    | p2(X2,f4(X1,X2,X3,X5,X4),X4)
    | ~ p2(X4,X5,X3) )).

cnf(clause_21,negated_conjecture,(
    c13 != f11(c12,c14,c12,c13) )).

cnf(clause_17,axiom,
    ( ~ p1(X1,X2,X1,X3)
    | ~ p2(X2,X6,X4)
    | ~ p1(X1,X4,X1,X5)
    | p2(X3,f10(X1,X2,X3,X6,X4,X5),X5)
    | ~ p2(X1,X2,X4) )).

cnf(clause_3,axiom,
    ( X1 = X2
    | ~ p1(X1,X2,X3,X3) )).

cnf(clause_7,axiom,
    ( ~ p2(X1,X2,X1)
    | X1 = X2 )).

cnf(clause_6,axiom,
    ( ~ p1(X2,X7,X4,X8)
    | ~ p2(X1,X2,X5)
    | ~ p1(X1,X7,X3,X8)
    | X1 = X2
    | ~ p1(X2,X5,X4,X6)
    | p1(X5,X7,X6,X8)
    | ~ p1(X1,X2,X3,X4)
    | ~ p2(X3,X4,X6) )).

cnf(clause_1,axiom,(
    p1(X1,X2,X2,X1) )).

cnf(clause_9,axiom,
    ( ~ p2(X4,X5,X3)
    | ~ p2(X1,X2,X3)
    | p2(X5,f4(X1,X2,X3,X5,X4),X1) )).

cnf(clause_16,axiom,
    ( p2(f8(X1,X4,X2,X5,X3),X3,f9(X1,X4,X2,X5,X3))
    | X1 = X2
    | ~ p2(X4,X2,X5)
    | ~ p2(X1,X2,X3) )).

cnf(clause_14,axiom,
    ( X1 = X2
    | ~ p2(X1,X2,X3)
    | ~ p2(X4,X2,X5)
    | p2(X1,X4,f8(X1,X4,X2,X5,X3)) )).
%------------------------------------------------------------------------------
