%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A,C,D) = f11(B,C,D) )).

cnf(f11_substitution_2,axiom,
    ( A != B
    | f11(C,A,D) = f11(C,B,D) )).

cnf(f11_substitution_3,axiom,
    ( A != B
    | f11(C,D,A) = f11(C,D,B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A) = f13(B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A) = f15(B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A) = f16(B) )).

cnf(f17_substitution_1,axiom,
    ( A != B
    | f17(A,C) = f17(B,C) )).

cnf(f17_substitution_2,axiom,
    ( A != B
    | f17(C,A) = f17(C,B) )).

cnf(f18_substitution_1,axiom,
    ( A != B
    | f18(A,C) = f18(B,C) )).

cnf(f18_substitution_2,axiom,
    ( A != B
    | f18(C,A) = f18(C,B) )).

cnf(f19_substitution_1,axiom,
    ( A != B
    | f19(A,C) = f19(B,C) )).

cnf(f19_substitution_2,axiom,
    ( A != B
    | f19(C,A) = f19(C,B) )).

cnf(f20_substitution_1,axiom,
    ( A != B
    | f20(A,C) = f20(B,C) )).

cnf(f20_substitution_2,axiom,
    ( A != B
    | f20(C,A) = f20(C,B) )).

cnf(f21_substitution_1,axiom,
    ( A != B
    | f21(A,C) = f21(B,C) )).

cnf(f21_substitution_2,axiom,
    ( A != B
    | f21(C,A) = f21(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C,D) = f5(B,C,D) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A,D) = f5(C,B,D) )).

cnf(f5_substitution_3,axiom,
    ( A != B
    | f5(C,D,A) = f5(C,D,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C) = f7(B,C) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A) = f7(C,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C) = f8(B,C) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A) = f8(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p10_substitution_1,axiom,
    ( A != B
    | ~ p10(A,C,D)
    | p10(B,C,D) )).

cnf(p10_substitution_2,axiom,
    ( A != B
    | ~ p10(C,A,D)
    | p10(C,B,D) )).

cnf(p10_substitution_3,axiom,
    ( A != B
    | ~ p10(C,D,A)
    | p10(C,D,B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A)
    | p12(B) )).

cnf(p14_substitution_1,axiom,
    ( A != B
    | ~ p14(A)
    | p14(B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C)
    | p2(B,C) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A)
    | p2(C,B) )).

cnf(p6_substitution_1,axiom,
    ( A != B
    | ~ p6(A,C)
    | p6(B,C) )).

cnf(p6_substitution_2,axiom,
    ( A != B
    | ~ p6(C,A)
    | p6(C,B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A,C)
    | p9(B,C) )).

cnf(p9_substitution_2,axiom,
    ( A != B
    | ~ p9(C,A)
    | p9(C,B) )).

cnf(clause_39,axiom,
    ( X2 = f4(f17(X1,X2),f18(X1,X2))
    | ~ p9(X1,X2) )).

cnf(clause_7,axiom,
    ( p2(f5(X1,X2,X3),X3)
    | X3 = f4(X2,X1)
    | p2(f5(X1,X2,X3),X1)
    | p2(f5(X1,X2,X3),X2) )).

cnf(clause_36,axiom,
    ( p1(X4,X1)
    | ~ p1(X4,X2)
    | ~ p6(X5,X3)
    | p1(X4,X3)
    | p1(X1,X4)
    | p1(X3,X4)
    | ~ p6(X5,X4)
    | ~ p1(X1,X2)
    | p1(X1,X3)
    | ~ p6(X5,X1)
    | p1(X3,X1)
    | ~ p1(X3,X2) )).

cnf(clause_34,axiom,
    ( ~ p6(X1,X2)
    | p14(X2) )).

cnf(clause_28,axiom,
    ( p2(f11(X3,X2,X1),X2)
    | ~ p2(X1,X2)
    | p10(X1,X2,X3)
    | ~ p2(X1,X3) )).

cnf(clause_29,axiom,
    ( p2(f11(X3,X2,X1),X3)
    | p10(X1,X2,X3)
    | ~ p2(X1,X2)
    | ~ p2(X1,X3) )).

cnf(clause_45,axiom,
    ( p2(f21(X1,X2),X2)
    | p2(f21(X1,X2),X1)
    | X2 = X1 )).

cnf(clause_18,axiom,
    ( ~ p2(X1,X2)
    | p2(X1,f8(X2,X1))
    | p6(X1,X2) )).

cnf(clause_49,negated_conjecture,(
    p14(c22) )).

cnf(clause_38,axiom,
    ( p10(X1,f17(X1,X2),f18(X1,X2))
    | ~ p9(X1,X2) )).

cnf(clause_6,axiom,
    ( ~ p2(X4,X3)
    | p2(X4,X1)
    | X1 != f4(X2,X3) )).

cnf(clause_47,axiom,
    ( p2(f21(X1,X2),X1)
    | X2 = X1
    | ~ p2(f21(X1,X2),X1) )).

cnf(clause_19,axiom,
    ( p6(X1,X2)
    | ~ p1(f7(X2,X1),f8(X2,X1))
    | ~ p2(X1,X2) )).

cnf(clause_24,axiom,
    ( ~ p10(X1,X2,X3)
    | p2(X1,X2) )).

cnf(clause_52,negated_conjecture,(
    p10(c25,c23,c24) )).

cnf(clause_13,axiom,
    ( p2(X1,X2)
    | ~ p6(X1,X2) )).

cnf(clause_30,axiom,
    ( ~ p6(f11(X3,X2,X1),X2)
    | p10(X1,X2,X3)
    | ~ p2(X1,X3)
    | ~ p2(X1,X2)
    | ~ p6(f11(X3,X2,X1),X3) )).

cnf(clause_37,axiom,(
    p9(f16(X1),X1) )).

cnf(clause_46,axiom,
    ( X2 = X1
    | ~ p2(f21(X1,X2),X2)
    | p2(f21(X1,X2),X2) )).

cnf(clause_25,axiom,
    ( p2(X1,X3)
    | ~ p10(X1,X2,X3) )).

cnf(clause_11,axiom,
    ( ~ p2(f5(X1,X2,X3),X2)
    | ~ p2(f5(X1,X2,X3),X3)
    | X3 = f4(X2,X1) )).

cnf(clause_48,axiom,
    ( ~ p2(f21(X1,X2),X2)
    | X2 = X1
    | ~ p2(f21(X1,X2),X1) )).

cnf(clause_27,axiom,
    ( ~ p2(X4,X2)
    | p6(X4,X3)
    | ~ p2(X4,X3)
    | ~ p10(X1,X2,X3) )).

cnf(clause_43,axiom,
    ( ~ p12(X1)
    | p10(X5,X3,X4)
    | ~ p6(X5,X3)
    | ~ p10(X2,X3,X4)
    | X1 != f4(X3,X4) )).

cnf(clause_17,axiom,
    ( p2(X1,f7(X2,X1))
    | ~ p2(X1,X2)
    | p6(X1,X2) )).

cnf(clause_22,axiom,
    ( ~ p6(X1,X2)
    | ~ p9(X1,X2) )).

cnf(clause_31,axiom,
    ( ~ p12(X1)
    | ~ p6(X2,X1) )).

cnf(clause_1,axiom,
    ( p2(X3,X2)
    | ~ p2(X3,X1)
    | ~ p1(X1,X2) )).

cnf(clause_44,axiom,
    ( ~ p10(X1,X2,X3)
    | f20(X3,X2) = f4(X2,X3) )).

cnf(clause_21,axiom,
    ( p2(X1,X2)
    | ~ p9(X1,X2) )).

cnf(clause_8,axiom,
    ( ~ p2(f5(X1,X2,X3),X3)
    | p2(f5(X1,X2,X3),X3)
    | X3 = f4(X2,X1) )).

cnf(clause_16,axiom,
    ( p1(f8(X2,X1),X2)
    | p6(X1,X2)
    | ~ p2(X1,X2) )).

cnf(clause_50,negated_conjecture,(
    p1(c23,c22) )).

cnf(clause_53,negated_conjecture,(
    ~ p14(f4(c23,c24)) )).

cnf(clause_20,axiom,
    ( ~ p2(X1,X2)
    | p6(X1,X2)
    | ~ p1(f8(X2,X1),f7(X2,X1)) )).

cnf(clause_42,axiom,
    ( ~ p6(X1,X2)
    | X1 != f19(X1,X2) )).

cnf(clause_41,axiom,
    ( p6(f19(X1,X2),X2)
    | ~ p6(X1,X2) )).

cnf(clause_33,axiom,
    ( ~ p14(X1)
    | p6(f15(X1),X1) )).

cnf(clause_9,axiom,
    ( X3 = f4(X2,X1)
    | p2(f5(X1,X2,X3),X1)
    | p2(f5(X1,X2,X3),X2)
    | ~ p2(f5(X1,X2,X3),X2) )).

cnf(clause_14,axiom,
    ( ~ p6(X1,X2)
    | p1(X4,X3)
    | ~ p1(X4,X2)
    | ~ p2(X1,X3)
    | p1(X3,X4)
    | ~ p1(X3,X2)
    | ~ p2(X1,X4) )).

cnf(clause_5,axiom,
    ( p2(X4,X1)
    | X1 != f4(X2,X3)
    | ~ p2(X4,X2) )).

cnf(clause_32,axiom,
    ( p6(f13(X1),X1)
    | p12(X1) )).

cnf(clause_40,axiom,
    ( ~ p6(X4,X2)
    | ~ p6(X1,X2)
    | X1 = X4
    | X3 = X4
    | ~ p6(X3,X2)
    | X1 = X3 )).

cnf(clause_51,negated_conjecture,(
    p1(c24,c22) )).

cnf(clause_15,axiom,
    ( p6(X1,X2)
    | p1(f7(X2,X1),X2)
    | ~ p2(X1,X2) )).

cnf(clause_4,axiom,
    ( p2(X4,X2)
    | p2(X4,X3)
    | X1 != f4(X2,X3)
    | ~ p2(X4,X1) )).

cnf(clause_3,axiom,
    ( p1(X1,X2)
    | ~ p2(f3(X1,X2),X2) )).

cnf(clause_10,axiom,
    ( p2(f5(X1,X2,X3),X2)
    | p2(f5(X1,X2,X3),X1)
    | X3 = f4(X2,X1)
    | ~ p2(f5(X1,X2,X3),X1) )).

cnf(clause_2,axiom,
    ( p2(f3(X1,X2),X1)
    | p1(X1,X2) )).

cnf(clause_35,axiom,
    ( ~ p1(X1,X2)
    | p14(X1)
    | X1 = X2 )).

cnf(clause_23,axiom,
    ( p6(X1,X2)
    | ~ p2(X1,X2)
    | p9(X1,X2) )).

cnf(clause_26,axiom,
    ( ~ p2(X4,X3)
    | ~ p10(X1,X2,X3)
    | ~ p2(X4,X2)
    | p6(X4,X2) )).

cnf(clause_12,axiom,
    ( ~ p2(f5(X1,X2,X3),X3)
    | X3 = f4(X2,X1)
    | ~ p2(f5(X1,X2,X3),X1) )).
%------------------------------------------------------------------------------
