%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A) = f12(B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C,D) = f5(B,C,D) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A,D) = f5(C,B,D) )).

cnf(f5_substitution_3,axiom,
    ( A != B
    | f5(C,D,A) = f5(C,D,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C,D,E)
    | p3(B,C,D,E) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A,D,E)
    | p3(C,B,D,E) )).

cnf(p3_substitution_3,axiom,
    ( A != B
    | ~ p3(C,D,A,E)
    | p3(C,D,B,E) )).

cnf(p3_substitution_4,axiom,
    ( A != B
    | ~ p3(C,D,E,A)
    | p3(C,D,E,B) )).

cnf(clause_21,hypothesis,(
    p3(c7,c8,c8,c6) )).

cnf(clause_12,hypothesis,(
    p1(c6,c7) )).

cnf(clause_30,hypothesis,(
    p1(c15,c7) )).

cnf(clause_3,axiom,(
    p3(X1,X2,f2(X1),X2) )).

cnf(clause_14,hypothesis,(
    p1(c9,c10) )).

cnf(clause_26,hypothesis,(
    f12(c6) = c9 )).

cnf(clause_24,hypothesis,(
    p3(c10,c11,c9,c11) )).

cnf(clause_27,hypothesis,(
    f12(c8) = c11 )).

cnf(clause_28,hypothesis,(
    p1(c13,c7) )).

cnf(clause_15,hypothesis,(
    p1(c11,c10) )).

cnf(clause_19,hypothesis,(
    p3(c7,c6,c8,c8) )).

cnf(clause_2,axiom,(
    p3(X1,f2(X1),X2,X2) )).

cnf(clause_13,hypothesis,(
    p1(c8,c7) )).

cnf(clause_1,axiom,(
    p1(f2(X1),X1) )).

cnf(clause_7,axiom,
    ( p3(X2,X1,X3,f5(X2,X1,X3))
    | ~ p1(X3,X2)
    | ~ p1(X1,X2) )).

cnf(clause_4,axiom,
    ( ~ p1(X1,X2)
    | p1(f4(X2,X1),X2) )).

cnf(clause_8,axiom,
    ( p1(f5(X2,X1,X3),X2)
    | ~ p1(X3,X2)
    | ~ p1(X1,X2) )).

cnf(clause_22,hypothesis,(
    p3(c10,c9,c9,c9) )).

cnf(clause_29,hypothesis,(
    p1(c14,c7) )).

cnf(clause_18,hypothesis,(
    p3(c7,c6,c6,c6) )).

cnf(clause_10,axiom,
    ( p3(X1,X2,X6,X7)
    | ~ p3(X1,X4,X5,X7)
    | ~ p3(X1,X3,X5,X6)
    | ~ p3(X1,X2,X3,X4) )).

cnf(clause_32,negated_conjecture,(
    ~ p3(c10,f12(c13),f12(c14),f12(c15)) )).

cnf(clause_25,hypothesis,(
    p3(c10,c11,c11,c9) )).

cnf(clause_20,hypothesis,(
    p3(c7,c8,c6,c8) )).

cnf(clause_11,axiom,
    ( ~ p3(X1,X2,X3,X4)
    | p3(X1,X4,X5,X7)
    | ~ p3(X1,X2,X6,X7)
    | ~ p3(X1,X3,X5,X6) )).

cnf(clause_5,axiom,(
    p3(X1,f4(X1,X2),X2,f2(X1)) )).

cnf(clause_16,hypothesis,
    ( X1 = c8
    | ~ p1(X1,c7)
    | X1 = c6 )).

cnf(clause_9,axiom,
    ( ~ p3(X1,X2,X3,X4)
    | ~ p3(X1,X2,X3,X5)
    | X5 = X4 )).

cnf(clause_31,hypothesis,(
    p3(c7,c13,c14,c15) )).

cnf(clause_6,axiom,(
    p3(X1,X2,f4(X1,X2),f2(X1)) )).

cnf(clause_23,hypothesis,(
    p3(c10,c9,c11,c11) )).

cnf(clause_17,hypothesis,
    ( X1 = c11
    | ~ p1(X1,c10)
    | X1 = c9 )).
%------------------------------------------------------------------------------
