%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A)
    | p5(B) )).

cnf(clause_7,axiom,
    ( ~ p1(X3,X4,X6)
    | p1(X1,X5,X6)
    | ~ p1(X1,X2,X3)
    | ~ p1(X2,X4,X5) )).

cnf(clause_5,axiom,(
    p1(X1,X2,f4(X1,X2)) )).

cnf(clause_8,axiom,
    ( p1(X3,X4,X6)
    | ~ p1(X2,X4,X5)
    | ~ p1(X1,X2,X3)
    | ~ p1(X1,X5,X6) )).

cnf(clause_15,negated_conjecture,(
    p1(c8,c9,c10) )).

cnf(clause_9,axiom,
    ( p5(f3(X1))
    | ~ p5(X1) )).

cnf(clause_6,axiom,
    ( X3 = X4
    | ~ p1(X1,X2,X4)
    | ~ p1(X1,X2,X3) )).

cnf(clause_3,axiom,(
    p1(f3(X1),X1,c2) )).

cnf(clause_16,negated_conjecture,(
    ~ p5(c10) )).

cnf(clause_12,axiom,
    ( p5(X2)
    | p1(X1,f6(X1,X2),X2)
    | p5(X1) )).

cnf(clause_2,axiom,(
    p1(X1,c2,X1) )).

cnf(clause_11,axiom,
    ( p5(f6(X1,X2))
    | p5(X1)
    | p5(X2) )).

cnf(clause_1,axiom,(
    p1(c2,X1,X1) )).

cnf(clause_10,axiom,
    ( ~ p5(X1)
    | ~ p5(X2)
    | p5(X3)
    | ~ p1(X1,X2,X3) )).

cnf(clause_4,axiom,(
    p1(X1,f3(X1),c2) )).

cnf(clause_13,negated_conjecture,(
    p5(c7) )).

cnf(clause_14,negated_conjecture,(
    p1(c7,f3(c8),c9) )).
%------------------------------------------------------------------------------
