%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A) = f1(B) )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A) = f10(B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A) = f11(B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A) = f13(B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A) = f14(B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A) = f16(B) )).

cnf(f17_substitution_1,axiom,
    ( A != B
    | f17(A) = f17(B) )).

cnf(f18_substitution_1,axiom,
    ( A != B
    | f18(A) = f18(B) )).

cnf(f19_substitution_1,axiom,
    ( A != B
    | f19(A) = f19(B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f20_substitution_1,axiom,
    ( A != B
    | f20(A) = f20(B) )).

cnf(f21_substitution_1,axiom,
    ( A != B
    | f21(A,C) = f21(B,C) )).

cnf(f21_substitution_2,axiom,
    ( A != B
    | f21(C,A) = f21(C,B) )).

cnf(f23_substitution_1,axiom,
    ( A != B
    | f23(A) = f23(B) )).

cnf(f24_substitution_1,axiom,
    ( A != B
    | f24(A) = f24(B) )).

cnf(f25_substitution_1,axiom,
    ( A != B
    | f25(A,C) = f25(B,C) )).

cnf(f25_substitution_2,axiom,
    ( A != B
    | f25(C,A) = f25(C,B) )).

cnf(f27_substitution_1,axiom,
    ( A != B
    | f27(A) = f27(B) )).

cnf(f28_substitution_1,axiom,
    ( A != B
    | f28(A,C) = f28(B,C) )).

cnf(f28_substitution_2,axiom,
    ( A != B
    | f28(C,A) = f28(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f30_substitution_1,axiom,
    ( A != B
    | f30(A,C) = f30(B,C) )).

cnf(f30_substitution_2,axiom,
    ( A != B
    | f30(C,A) = f30(C,B) )).

cnf(f31_substitution_1,axiom,
    ( A != B
    | f31(A,C,D) = f31(B,C,D) )).

cnf(f31_substitution_2,axiom,
    ( A != B
    | f31(C,A,D) = f31(C,B,D) )).

cnf(f31_substitution_3,axiom,
    ( A != B
    | f31(C,D,A) = f31(C,D,B) )).

cnf(f32_substitution_1,axiom,
    ( A != B
    | f32(A) = f32(B) )).

cnf(f33_substitution_1,axiom,
    ( A != B
    | f33(A) = f33(B) )).

cnf(f34_substitution_1,axiom,
    ( A != B
    | f34(A,C) = f34(B,C) )).

cnf(f34_substitution_2,axiom,
    ( A != B
    | f34(C,A) = f34(C,B) )).

cnf(f35_substitution_1,axiom,
    ( A != B
    | f35(A,C) = f35(B,C) )).

cnf(f35_substitution_2,axiom,
    ( A != B
    | f35(C,A) = f35(C,B) )).

cnf(f36_substitution_1,axiom,
    ( A != B
    | f36(A,C) = f36(B,C) )).

cnf(f36_substitution_2,axiom,
    ( A != B
    | f36(C,A) = f36(C,B) )).

cnf(f37_substitution_1,axiom,
    ( A != B
    | f37(A,C) = f37(B,C) )).

cnf(f37_substitution_2,axiom,
    ( A != B
    | f37(C,A) = f37(C,B) )).

cnf(f38_substitution_1,axiom,
    ( A != B
    | f38(A,C) = f38(B,C) )).

cnf(f38_substitution_2,axiom,
    ( A != B
    | f38(C,A) = f38(C,B) )).

cnf(f39_substitution_1,axiom,
    ( A != B
    | f39(A,C) = f39(B,C) )).

cnf(f39_substitution_2,axiom,
    ( A != B
    | f39(C,A) = f39(C,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f40_substitution_1,axiom,
    ( A != B
    | f40(A) = f40(B) )).

cnf(f43_substitution_1,axiom,
    ( A != B
    | f43(A,C) = f43(B,C) )).

cnf(f43_substitution_2,axiom,
    ( A != B
    | f43(C,A) = f43(C,B) )).

cnf(f44_substitution_1,axiom,
    ( A != B
    | f44(A,C) = f44(B,C) )).

cnf(f44_substitution_2,axiom,
    ( A != B
    | f44(C,A) = f44(C,B) )).

cnf(f45_substitution_1,axiom,
    ( A != B
    | f45(A,C) = f45(B,C) )).

cnf(f45_substitution_2,axiom,
    ( A != B
    | f45(C,A) = f45(C,B) )).

cnf(f46_substitution_1,axiom,
    ( A != B
    | f46(A,C) = f46(B,C) )).

cnf(f46_substitution_2,axiom,
    ( A != B
    | f46(C,A) = f46(C,B) )).

cnf(f47_substitution_1,axiom,
    ( A != B
    | f47(A,C) = f47(B,C) )).

cnf(f47_substitution_2,axiom,
    ( A != B
    | f47(C,A) = f47(C,B) )).

cnf(f48_substitution_1,axiom,
    ( A != B
    | f48(A,C) = f48(B,C) )).

cnf(f48_substitution_2,axiom,
    ( A != B
    | f48(C,A) = f48(C,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A) = f7(B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A) = f9(B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A)
    | p12(B) )).

cnf(p22_substitution_1,axiom,
    ( A != B
    | ~ p22(A,C)
    | p22(B,C) )).

cnf(p22_substitution_2,axiom,
    ( A != B
    | ~ p22(C,A)
    | p22(C,B) )).

cnf(p26_substitution_1,axiom,
    ( A != B
    | ~ p26(A,C)
    | p26(B,C) )).

cnf(p26_substitution_2,axiom,
    ( A != B
    | ~ p26(C,A)
    | p26(C,B) )).

cnf(clause_70,axiom,
    ( p22(X1,X3)
    | p22(X3,X2)
    | ~ p22(X1,X2) )).

cnf(clause_26,axiom,
    ( p12(f17(X1))
    | ~ p12(f20(f3(X1,c6)))
    | p12(f20(X1))
    | ~ p12(f24(X1))
    | p12(f23(X1)) )).

cnf(clause_20,axiom,
    ( p12(f23(X1))
    | p22(c5,f11(X1))
    | ~ p22(c15,X2)
    | X2 = f4(f4(c5,c6),f18(X1))
    | p12(f17(X1))
    | ~ p22(X2,f4(c5,c6))
    | ~ p12(f24(X1))
    | ~ p22(X3,f4(c8,c6))
    | f21(f21(f2(f3(X1,c6)),X2),X3) = f21(f21(f2(X1),X2),X3)
    | ~ p22(c15,X3) )).

cnf(clause_96,axiom,(
    ~ p12(c42) )).

cnf(clause_127,axiom,
    ( p22(X1,X2)
    | p12(f45(X2,X1)) )).

cnf(clause_28,axiom,
    ( ~ p12(f24(X1))
    | p12(f17(X1))
    | ~ p22(c15,X2)
    | p12(f23(X1))
    | ~ p22(X2,f4(c8,c6))
    | f21(f7(f3(X1,c6)),X2) = f21(f7(X1),X2) )).

cnf(clause_89,axiom,(
    f21(f35(X1,X2),X3) = f35(f21(X1,X3),f21(X2,X3)) )).

cnf(clause_47,axiom,
    ( p12(f24(X1))
    | ~ p22(f11(X1),c15)
    | ~ p12(f23(X1))
    | p12(f17(X1))
    | f16(f3(X1,c6)) = f16(X1) )).

cnf(clause_46,axiom,
    ( ~ p22(f11(X1),c15)
    | p12(f17(X1))
    | p12(f24(X1))
    | ~ p12(f23(X1))
    | f11(f3(X1,c6)) = f11(X1) )).

cnf(clause_44,axiom,
    ( p22(f11(X1),c15)
    | p12(f17(X1))
    | ~ p12(f23(X1))
    | p12(f24(X1))
    | ~ p22(X2,f4(c8,c6))
    | f21(f7(f3(X1,c6)),X2) = f21(f21(f2(X1),f4(f4(c5,c6),f16(X1))),X2)
    | ~ p22(c15,X2) )).

cnf(clause_14,axiom,
    ( ~ p22(c15,X3)
    | ~ p12(f17(X1))
    | ~ p12(f21(f21(f2(f3(X1,c6)),X2),X3))
    | ~ p22(X2,f4(c5,c6))
    | ~ p22(X3,f4(c8,c6))
    | ~ p22(c15,X2) )).

cnf(clause_114,axiom,
    ( ~ p12(f37(X1,X2))
    | ~ p12(X2)
    | ~ p12(X1) )).

cnf(clause_39,axiom,
    ( ~ p22(X2,f4(c5,c6))
    | ~ p22(X3,f4(c8,c6))
    | ~ p22(c15,X2)
    | X2 = f4(f4(c5,c6),f18(X1))
    | p12(f17(X1))
    | ~ p22(c15,X3)
    | f21(f21(f2(f3(X1,c6)),X2),X3) = f21(f21(f2(X1),X2),X3)
    | ~ p12(f24(X1))
    | ~ p12(f23(X1)) )).

cnf(clause_126,axiom,
    ( ~ p12(f45(X2,X1))
    | ~ p22(X1,X2) )).

cnf(clause_67,axiom,
    ( p22(f3(X2,c6),X1)
    | ~ p22(X2,X1)
    | X1 = X2 )).

cnf(clause_130,axiom,
    ( ~ p22(X1,X2)
    | ~ p12(f47(X1,X2)) )).

cnf(clause_91,axiom,(
    f21(f37(X1,X2),X3) = f37(f21(X1,X3),f21(X2,X3)) )).

cnf(clause_12,axiom,
    ( ~ p12(f17(X1))
    | ~ p12(f19(f3(X1,c6))) )).

cnf(clause_19,axiom,
    ( ~ p22(c15,X2)
    | p12(f17(X1))
    | p12(f23(X1))
    | ~ p22(X2,f4(c8,c6))
    | p22(c5,f11(X1))
    | f21(f21(f2(f3(X1,c6)),f4(f4(c5,c6),f18(X1))),X2) = f21(f9(X1),X2)
    | ~ p12(f24(X1)) )).

cnf(clause_51,axiom,
    ( p12(f23(X1))
    | p12(f17(X1))
    | f16(f3(X1,c6)) = f16(X1)
    | p12(f24(X1)) )).

cnf(clause_10,axiom,
    ( ~ p12(f17(X1))
    | f18(f3(X1,c6)) = c15 )).

cnf(clause_65,axiom,
    ( p22(X1,X2)
    | ~ p22(f3(X1,c6),f3(X2,c6)) )).

cnf(clause_35,axiom,
    ( p12(f17(X1))
    | f11(f3(X1,c6)) = f3(f11(X1),c6)
    | ~ p22(f11(X1),c15)
    | ~ p12(f24(X1))
    | ~ p12(f23(X1)) )).

cnf(clause_13,axiom,
    ( ~ p12(f20(f3(X1,c6)))
    | ~ p12(f17(X1)) )).

cnf(clause_131,axiom,
    ( p12(f47(X1,X2))
    | p22(X1,X2) )).

cnf(clause_25,axiom,
    ( ~ p12(f24(X1))
    | p12(f23(X1))
    | ~ p22(c15,X3)
    | ~ p22(c5,f11(X1))
    | ~ p22(c15,X2)
    | f21(f21(f2(f3(X1,c6)),X2),X3) = f21(f21(f2(X1),X2),X3)
    | ~ p22(X3,f4(c8,c6))
    | p12(f17(X1))
    | ~ p22(X2,f4(c5,c6)) )).

cnf(clause_90,axiom,(
    f21(f36(X1,X2),X3) = f36(f21(X1,X3),f21(X2,X3)) )).

cnf(clause_97,axiom,(
    c42 != c41 )).

cnf(clause_22,axiom,
    ( ~ p22(c5,f11(X1))
    | p12(f23(X1))
    | p12(f17(X1))
    | ~ p12(f24(X1))
    | f11(f3(X1,c6)) = f11(X1) )).

cnf(clause_21,axiom,
    ( p12(f23(X1))
    | ~ p12(f19(f3(X1,c6)))
    | p12(f17(X1))
    | p22(c5,f11(X1))
    | ~ p12(f24(X1)) )).

cnf(clause_132,axiom,
    ( ~ p12(f48(X2,X1))
    | p22(X1,X2) )).

cnf(clause_24,axiom,
    ( ~ p22(c5,f11(X1))
    | p12(f19(f3(X1,c6)))
    | p12(f17(X1))
    | p12(f23(X1))
    | ~ p12(f24(X1)) )).

cnf(clause_16,axiom,
    ( p12(f23(X1))
    | ~ p12(f24(X1))
    | p12(f17(X1))
    | f16(f3(X1,c6)) = f16(X1) )).

cnf(clause_116,axiom,
    ( p12(f37(X1,X2))
    | p12(X1) )).

cnf(clause_133,axiom,
    ( p12(f48(X2,X1))
    | ~ p22(X1,X2) )).

cnf(clause_119,axiom,
    ( p12(X1)
    | p12(X2)
    | p12(f38(X1,X2)) )).

cnf(clause_62,axiom,
    ( p26(X1,X2)
    | f3(X3,X1) != X2
    | f4(X2,X1) = X3 )).

cnf(clause_106,axiom,
    ( p12(f34(X1,X2))
    | ~ p12(X1)
    | ~ p12(X2) )).

cnf(clause_30,axiom,
    ( ~ p12(f24(X1))
    | f11(f3(X1,c6)) = f11(X1)
    | ~ p12(f23(X1))
    | p22(f11(X1),c15)
    | p12(f17(X1)) )).

cnf(clause_118,axiom,
    ( ~ p12(X1)
    | ~ p12(f38(X1,X2)) )).

cnf(clause_3,axiom,(
    f1(f9(X1)) = f3(f4(c8,c6),c6) )).

cnf(clause_81,axiom,(
    f1(f31(X1,X2,X3)) = f4(X3,f3(X2,c6)) )).

cnf(clause_134,negated_conjecture,(
    p12(f17(c49)) )).

cnf(clause_103,axiom,
    ( p12(f44(X1,X2))
    | X1 != X2 )).

cnf(clause_111,axiom,
    ( ~ p12(f36(X2,X1))
    | p12(X2)
    | p12(X1) )).

cnf(clause_72,axiom,
    ( X1 = c15
    | ~ p22(X1,c15) )).

cnf(clause_124,axiom,
    ( ~ p12(f40(X1))
    | ~ p12(X1) )).

cnf(clause_84,axiom,
    ( f21(f28(X2,X3),X1) = f21(X3,f4(X1,c6))
    | p22(X1,c15) )).

cnf(clause_61,axiom,
    ( f3(X3,X1) = X2
    | p26(X1,X2)
    | f4(X2,X1) != X3 )).

cnf(clause_83,axiom,
    ( X1 != c15
    | f21(f28(X2,X3),X1) = X2 )).

cnf(clause_101,axiom,
    ( p12(X2)
    | p12(X1)
    | p12(f43(X2,X1)) )).

cnf(clause_128,axiom,
    ( ~ p12(f46(X1,X2))
    | p22(X1,X2) )).

cnf(clause_102,axiom,
    ( X1 = X2
    | ~ p12(f44(X1,X2)) )).

cnf(clause_63,axiom,
    ( ~ p26(X2,X1)
    | X1 != X2 )).

cnf(clause_98,axiom,
    ( ~ p12(f43(X2,X1))
    | p12(X1)
    | ~ p12(X2) )).

cnf(clause_73,axiom,
    ( X1 = c15
    | X1 = f3(f27(X1),c6) )).

cnf(clause_85,axiom,
    ( p22(f33(X1),X2)
    | f21(f30(X1,X3),X2) = f21(X1,X2) )).

cnf(clause_49,axiom,
    ( p12(f24(X1))
    | p12(f17(X1))
    | f21(f7(f3(X1,c6)),X2) = f21(f7(X1),X2)
    | ~ p22(f11(X1),c15)
    | ~ p12(f23(X1))
    | ~ p22(c15,X2)
    | ~ p22(X2,f4(c8,c6)) )).

cnf(clause_37,axiom,
    ( ~ p22(f11(X1),c15)
    | p12(f17(X1))
    | ~ p12(f24(X1))
    | ~ p12(f23(X1))
    | ~ p22(c15,X2)
    | f21(f7(f3(X1,c6)),X2) = f21(f7(X1),X2)
    | ~ p22(X2,f4(c8,c6)) )).

cnf(clause_7,axiom,
    ( f11(X1) != c15
    | p12(f14(X1)) )).

cnf(clause_38,axiom,
    ( ~ p12(f24(X1))
    | f21(f21(f2(f3(X1,c6)),f4(f4(c5,c6),f18(X1))),X2) = f21(f9(X1),X2)
    | ~ p12(f23(X1))
    | ~ p22(X2,f4(c8,c6))
    | p12(f17(X1))
    | ~ p22(c15,X2) )).

cnf(clause_1,axiom,(
    f1(f2(X1)) = f3(f4(c5,c6),c6) )).

cnf(clause_42,axiom,
    ( ~ p12(f23(X1))
    | p12(f24(X1))
    | p12(f17(X1))
    | f11(f3(X1,c6)) = f4(f11(X1),c6)
    | p22(f11(X1),c15) )).

cnf(clause_17,axiom,
    ( ~ p12(f24(X1))
    | f11(f3(X1,c6)) = f3(f11(X1),c6)
    | p12(f23(X1))
    | p22(c5,f11(X1))
    | p12(f17(X1)) )).

cnf(clause_112,axiom,
    ( p12(f36(X2,X1))
    | ~ p12(X2)
    | p12(X1) )).

cnf(clause_104,axiom,
    ( ~ p12(f34(X2,X1))
    | p12(X1) )).

cnf(clause_125,axiom,
    ( p12(f40(X1))
    | p12(X1) )).

cnf(clause_105,axiom,
    ( ~ p12(f34(X1,X2))
    | p12(X1) )).

cnf(clause_5,axiom,
    ( f11(X1) != c5
    | p12(f13(X1)) )).

cnf(clause_58,axiom,(
    f3(X1,c6) != c15 )).

cnf(clause_110,axiom,
    ( ~ p12(X1)
    | ~ p12(X2)
    | ~ p12(f36(X2,X1)) )).

cnf(clause_117,axiom,
    ( ~ p12(f38(X2,X1))
    | ~ p12(X1) )).

cnf(clause_123,axiom,
    ( p12(X2)
    | p12(f39(X2,X1))
    | p12(X1) )).

cnf(clause_11,axiom,
    ( ~ p12(f17(X1))
    | f11(f3(X1,c6)) = c15 )).

cnf(clause_4,axiom,(
    f10(X1) = f11(X1) )).

cnf(clause_87,axiom,(
    f21(f31(X1,X2,X3),X4) = f21(X1,f3(X4,X2)) )).

cnf(clause_71,axiom,
    ( p22(X2,X1)
    | f3(X1,c6) = X2
    | ~ p22(X2,f3(X1,c6)) )).

cnf(clause_41,axiom,
    ( f18(f3(X1,c6)) = f18(X1)
    | p12(f24(X1))
    | p12(f17(X1)) )).

cnf(clause_75,axiom,
    ( X1 = X2
    | f3(X1,c6) != f3(X2,c6) )).

cnf(clause_86,axiom,
    ( f21(f30(X1,X3),X2) = f21(X3,f4(X2,f33(X1)))
    | ~ p22(f33(X1),X2) )).

cnf(clause_6,axiom,
    ( f11(X1) = c5
    | ~ p12(f13(X1)) )).

cnf(clause_122,axiom,
    ( ~ p12(X2)
    | p12(f39(X2,X1))
    | ~ p12(X1) )).

cnf(clause_121,axiom,
    ( ~ p12(f39(X2,X1))
    | p12(X2)
    | ~ p12(X1) )).

cnf(clause_48,axiom,
    ( p12(f24(X1))
    | ~ p12(f23(X1))
    | p12(f20(f3(X1,c6)))
    | ~ p22(f11(X1),c15)
    | p12(f17(X1)) )).

cnf(clause_66,axiom,
    ( ~ p22(X1,X2)
    | p22(f3(X1,c6),f3(X2,c6)) )).

cnf(clause_74,axiom,(
    p22(X1,X1) )).

cnf(clause_40,axiom,
    ( ~ p12(f19(f3(X1,c6)))
    | p12(f17(X1))
    | ~ p12(f24(X1))
    | ~ p12(f23(X1)) )).

cnf(clause_100,axiom,
    ( ~ p12(X1)
    | p12(f43(X2,X1))
    | ~ p12(X2) )).

cnf(clause_15,axiom,
    ( ~ p12(f21(f7(f3(X1,c6)),X2))
    | ~ p22(X2,f4(c8,c6))
    | ~ p22(c15,X2)
    | ~ p12(f17(X1)) )).

cnf(clause_59,axiom,(
    ~ p22(f3(X1,c6),c15) )).

cnf(clause_60,axiom,
    ( p22(X1,c15)
    | ~ p22(X1,f4(X1,c6)) )).

cnf(clause_113,axiom,
    ( p12(f36(X2,X1))
    | p12(X2)
    | ~ p12(X1) )).

cnf(clause_108,axiom,
    ( p12(f35(X2,X1))
    | ~ p12(X1) )).

cnf(clause_43,axiom,
    ( ~ p12(f23(X1))
    | p22(f11(X1),c15)
    | f16(f3(X1,c6)) = f25(f3(f16(X1),c6),c5)
    | p12(f17(X1))
    | p12(f24(X1)) )).

cnf(clause_120,axiom,
    ( ~ p12(X2)
    | p12(X1)
    | ~ p12(f39(X2,X1)) )).

cnf(clause_9,axiom,
    ( f16(f3(X1,c6)) = c15
    | ~ p12(f17(X1)) )).

cnf(clause_93,axiom,(
    f21(f39(X1,X2),X3) = f39(f21(X1,X3),f21(X2,X3)) )).

cnf(clause_8,axiom,
    ( ~ p12(f14(X1))
    | f11(X1) = c15 )).

cnf(clause_136,negated_conjecture,(
    ~ p22(c5,c15) )).

cnf(clause_88,axiom,(
    f21(f34(X1,X2),X3) = f34(f21(X1,X3),f21(X2,X3)) )).

cnf(clause_78,axiom,(
    f1(f28(X1,X2)) = f3(f1(X2),c6) )).

cnf(clause_94,axiom,(
    f21(f40(X1),X2) = f40(f21(X1,X2)) )).

cnf(clause_31,axiom,
    ( ~ p12(f23(X1))
    | f16(f3(X1,c6)) = f25(f3(f16(X1),c6),c5)
    | ~ p12(f24(X1))
    | p22(f11(X1),c15)
    | p12(f17(X1)) )).

cnf(clause_64,axiom,
    ( ~ p26(X2,X1)
    | p22(X1,X2) )).

cnf(clause_23,axiom,
    ( p12(f23(X1))
    | f18(f3(X1,c6)) = f18(X1)
    | p12(f17(X1))
    | ~ p12(f24(X1))
    | ~ p22(c5,f11(X1)) )).

cnf(clause_69,axiom,
    ( ~ p22(X2,X1)
    | X1 = X2
    | ~ p22(X1,X2) )).

cnf(clause_55,axiom,
    ( p12(f24(X1))
    | p12(f19(X1))
    | p12(f17(X1))
    | ~ p12(f19(f3(X1,c6))) )).

cnf(clause_45,axiom,
    ( p12(f17(X1))
    | p22(f11(X1),c15)
    | ~ p12(f23(X1))
    | ~ p12(f20(f3(X1,c6)))
    | p12(f24(X1)) )).

cnf(clause_80,axiom,(
    f1(f30(X1,X2)) = f3(f1(X1),f1(X2)) )).

cnf(clause_34,axiom,
    ( ~ p12(f23(X1))
    | f16(f3(X1,c6)) = f16(X1)
    | ~ p12(f24(X1))
    | p12(f17(X1))
    | ~ p22(f11(X1),c15) )).

cnf(clause_107,axiom,
    ( ~ p12(f35(X1,X2))
    | p12(X1)
    | p12(X2) )).

cnf(clause_18,axiom,
    ( p12(f23(X1))
    | ~ p12(f24(X1))
    | p22(c5,f11(X1))
    | f18(f3(X1,c6)) = f25(f3(f18(X1),c6),c5)
    | p12(f17(X1)) )).

cnf(clause_54,axiom,
    ( p12(f23(X1))
    | p12(f24(X1))
    | p12(f17(X1))
    | ~ p22(X2,f4(c8,c6))
    | f21(f7(f3(X1,c6)),X2) = f21(f7(X1),X2)
    | ~ p22(c15,X2) )).

cnf(clause_53,axiom,
    ( ~ p12(f20(X1))
    | p12(f20(f3(X1,c6)))
    | p12(f17(X1))
    | p12(f24(X1))
    | p12(f23(X1)) )).

cnf(clause_76,axiom,(
    f3(c15,X1) = X1 )).

cnf(clause_129,axiom,
    ( p12(f46(X1,X2))
    | ~ p22(X1,X2) )).

cnf(clause_52,axiom,
    ( p12(f20(X1))
    | ~ p12(f20(f3(X1,c6)))
    | p12(f24(X1))
    | p12(f23(X1))
    | p12(f17(X1)) )).

cnf(clause_95,axiom,(
    p12(c41) )).

cnf(clause_57,axiom,
    ( ~ p22(c15,X2)
    | f21(f21(f2(f3(X1,c6)),X2),X3) = f21(f21(f2(X1),X2),X3)
    | ~ p22(X3,f4(c8,c6))
    | ~ p22(c15,X3)
    | p12(f24(X1))
    | ~ p22(X2,f4(c5,c6))
    | p12(f17(X1)) )).

cnf(clause_50,axiom,
    ( p12(f17(X1))
    | p12(f23(X1))
    | f11(f3(X1,c6)) = f11(X1)
    | p12(f24(X1)) )).

cnf(clause_56,axiom,
    ( ~ p12(f19(X1))
    | p12(f17(X1))
    | p12(f24(X1))
    | p12(f19(f3(X1,c6))) )).

cnf(clause_109,axiom,
    ( ~ p12(X1)
    | p12(f35(X1,X2)) )).

cnf(clause_99,axiom,
    ( ~ p12(X1)
    | ~ p12(f43(X2,X1))
    | p12(X2) )).

cnf(clause_32,axiom,
    ( p12(f17(X1))
    | f21(f7(f3(X1,c6)),X2) = f21(f21(f2(X1),f4(f4(c5,c6),f16(X1))),X2)
    | ~ p22(X2,f4(c8,c6))
    | ~ p12(f24(X1))
    | ~ p12(f23(X1))
    | ~ p22(c15,X2)
    | p22(f11(X1),c15) )).

cnf(clause_68,axiom,
    ( ~ p22(X1,X2)
    | p22(f3(X1,c6),X2)
    | X1 = X2 )).

cnf(clause_2,axiom,(
    f1(f7(X1)) = f3(f4(c8,c6),c6) )).

cnf(clause_135,negated_conjecture,(
    ~ p22(f10(f3(c49,c6)),c5) )).

cnf(clause_27,axiom,
    ( p12(f20(f3(X1,c6)))
    | ~ p12(f20(X1))
    | ~ p12(f24(X1))
    | p12(f17(X1))
    | p12(f23(X1)) )).

cnf(clause_77,axiom,(
    c6 = f3(c15,c6) )).

cnf(clause_79,axiom,(
    f1(c29) = c15 )).

cnf(clause_82,axiom,(
    f21(f32(X1),X2) = X1 )).

cnf(clause_36,axiom,
    ( p12(f17(X1))
    | ~ p22(f11(X1),c15)
    | ~ p12(f24(X1))
    | ~ p12(f23(X1))
    | p12(f20(f3(X1,c6))) )).

cnf(clause_115,axiom,
    ( p12(X1)
    | p12(f37(X2,X1)) )).

cnf(clause_92,axiom,(
    f21(f38(X1,X2),X3) = f38(f21(X1,X3),f21(X2,X3)) )).

cnf(clause_33,axiom,
    ( ~ p12(f24(X1))
    | p22(f11(X1),c15)
    | ~ p12(f20(f3(X1,c6)))
    | ~ p12(f23(X1))
    | p12(f17(X1)) )).

cnf(clause_29,axiom,
    ( ~ p12(f24(X1))
    | p12(f17(X1))
    | ~ p12(f23(X1))
    | f18(f3(X1,c6)) = f25(f3(f18(X1),c6),c5) )).
%------------------------------------------------------------------------------
