%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A,C,D,E) = f11(B,C,D,E) )).

cnf(f11_substitution_2,axiom,
    ( A != B
    | f11(C,A,D,E) = f11(C,B,D,E) )).

cnf(f11_substitution_3,axiom,
    ( A != B
    | f11(C,D,A,E) = f11(C,D,B,E) )).

cnf(f11_substitution_4,axiom,
    ( A != B
    | f11(C,D,E,A) = f11(C,D,E,B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C,D) = f15(B,C,D) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A,D) = f15(C,B,D) )).

cnf(f15_substitution_3,axiom,
    ( A != B
    | f15(C,D,A) = f15(C,D,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C,D,E) = f5(B,C,D,E) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A,D,E) = f5(C,B,D,E) )).

cnf(f5_substitution_3,axiom,
    ( A != B
    | f5(C,D,A,E) = f5(C,D,B,E) )).

cnf(f5_substitution_4,axiom,
    ( A != B
    | f5(C,D,E,A) = f5(C,D,E,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C) = f7(B,C) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A) = f7(C,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C,D) = f8(B,C,D) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A,D) = f8(C,B,D) )).

cnf(f8_substitution_3,axiom,
    ( A != B
    | f8(C,D,A) = f8(C,D,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C,D) = f9(B,C,D) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A,D) = f9(C,B,D) )).

cnf(f9_substitution_3,axiom,
    ( A != B
    | f9(C,D,A) = f9(C,D,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A,C,D,E)
    | p12(B,C,D,E) )).

cnf(p12_substitution_2,axiom,
    ( A != B
    | ~ p12(C,A,D,E)
    | p12(C,B,D,E) )).

cnf(p12_substitution_3,axiom,
    ( A != B
    | ~ p12(C,D,A,E)
    | p12(C,D,B,E) )).

cnf(p12_substitution_4,axiom,
    ( A != B
    | ~ p12(C,D,E,A)
    | p12(C,D,E,B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A,C,D)
    | p4(B,C,D) )).

cnf(p4_substitution_2,axiom,
    ( A != B
    | ~ p4(C,A,D)
    | p4(C,B,D) )).

cnf(p4_substitution_3,axiom,
    ( A != B
    | ~ p4(C,D,A)
    | p4(C,D,B) )).

cnf(clause_14,negated_conjecture,(
    p12(c17,c13,c19,c3) )).

cnf(clause_4,axiom,
    ( p4(f5(X1,X3,c3,c3),c6,f7(c3,c3))
    | X2 = c10
    | ~ p1(X2,X4,f2(c3))
    | ~ p4(f5(X1,f8(X2,X1,c6),c3,c3),c6,f7(c3,c3))
    | ~ p4(f5(f9(X3,X2,c6),X3,c3,c3),c6,f7(c3,c3)) )).

cnf(clause_12,negated_conjecture,(
    p1(c17,f11(c6,c18,c16,c3),f2(c3)) )).

cnf(clause_2,axiom,
    ( X2 = c10
    | ~ p4(f5(f9(X1,X2,c6),X1,c3,c3),c6,f7(c3,c3))
    | p4(f8(X2,X4,c6),X2,c3)
    | ~ p1(X2,X3,f2(c3))
    | p4(f5(X4,X1,c3,c3),c6,f7(c3,c3)) )).

cnf(clause_6,axiom,
    ( ~ p4(X1,X2,X3)
    | ~ p1(X2,f11(X4,X5,X6,X3),f2(X3))
    | p4(f5(X1,X6,X3,X3),X4,f7(X3,X3)) )).

cnf(clause_11,negated_conjecture,(
    p4(c16,c14,c3) )).

cnf(clause_10,axiom,
    ( p4(f5(X2,X3,c3,c3),c6,f7(c3,c3))
    | ~ p4(X3,c14,c3)
    | ~ p12(X1,c13,X2,c3)
    | ~ p4(f5(f15(X1,c6,X3),X3,c3,c3),c6,f7(c3,c3)) )).

cnf(clause_3,axiom,
    ( ~ p4(f5(X1,f8(X2,X1,c6),c3,c3),c6,f7(c3,c3))
    | p4(f9(X4,X2,c6),X2,c3)
    | p4(f5(X1,X4,c3,c3),c6,f7(c3,c3))
    | X2 = c10
    | ~ p1(X2,X3,f2(c3)) )).

cnf(clause_8,axiom,
    ( ~ p12(X1,c13,X2,c3)
    | ~ p4(X3,X1,c3)
    | p4(f5(X3,X2,c3,c3),c6,f7(c3,c3)) )).

cnf(clause_13,negated_conjecture,(
    c17 != c10 )).

cnf(clause_15,negated_conjecture,(
    ~ p4(c19,f11(c6,c18,c16,c3),c3) )).

cnf(clause_7,axiom,
    ( ~ p4(f5(X5,X1,X3,X3),X4,f7(X3,X3))
    | p4(X1,f11(X4,X5,X2,X3),X3)
    | ~ p4(f5(X1,X2,X3,X3),X4,f7(X3,X3)) )).

cnf(clause_9,axiom,
    ( p4(f5(X2,X3,c3,c3),c6,f7(c3,c3))
    | ~ p4(X3,c14,c3)
    | ~ p12(X1,c13,X2,c3)
    | p4(f15(X1,c6,X3),X1,c3) )).

cnf(clause_1,axiom,
    ( ~ p1(X1,X2,f2(c3))
    | p4(f8(X1,X3,c6),X1,c3)
    | p4(f5(X3,X4,c3,c3),c6,f7(c3,c3))
    | X1 = c10
    | p4(f9(X4,X1,c6),X1,c3) )).

cnf(clause_5,axiom,
    ( p4(f5(X5,X1,X3,X3),X4,f7(X3,X3))
    | ~ p1(X2,f11(X4,X5,X6,X3),f2(X3))
    | ~ p4(X1,X2,X3) )).
%------------------------------------------------------------------------------
