%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A) = f12(B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A) = f13(B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A) = f15(B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A) = f8(B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C) = f9(B,C) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A) = f9(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p11_substitution_1,axiom,
    ( A != B
    | ~ p11(A)
    | p11(B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C)
    | p2(B,C) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A)
    | p2(C,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C)
    | p3(B,C) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A)
    | p3(C,B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A)
    | p4(B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A,C,D,E)
    | p5(B,C,D,E) )).

cnf(p5_substitution_2,axiom,
    ( A != B
    | ~ p5(C,A,D,E)
    | p5(C,B,D,E) )).

cnf(p5_substitution_3,axiom,
    ( A != B
    | ~ p5(C,D,A,E)
    | p5(C,D,B,E) )).

cnf(p5_substitution_4,axiom,
    ( A != B
    | ~ p5(C,D,E,A)
    | p5(C,D,E,B) )).

cnf(clause_4,axiom,
    ( p3(X1,X2)
    | ~ p1(X1,X2) )).

cnf(clause_8,hypothesis,
    ( ~ p4(X1)
    | ~ p5(c6,c7,X1,X2)
    | p1(f9(c7,X2),c10)
    | p1(c10,f9(c7,X2))
    | ~ p3(X2,f8(X1))
    | f9(c6,X2) = c10 )).

cnf(clause_2,axiom,
    ( p1(X2,X3)
    | X3 = X2
    | p1(X3,X2)
    | ~ p2(X1,X3)
    | ~ p2(X1,X2) )).

cnf(clause_12,hypothesis,
    ( f9(c7,X2) = c10
    | ~ p4(X1)
    | p1(c10,f9(c7,X2))
    | ~ p3(X2,f8(X1))
    | ~ p5(c6,c7,X1,X2)
    | p1(f9(c7,X2),c10) )).

cnf(clause_19,negated_conjecture,(
    p11(c14) )).

cnf(clause_13,hypothesis,
    ( p1(c10,f9(c6,X2))
    | ~ p4(X1)
    | p1(c10,f9(c7,X2))
    | ~ p5(c6,c7,X1,X2)
    | ~ p3(X2,f8(X1))
    | f9(c7,X2) = c10 )).

cnf(clause_11,hypothesis,
    ( ~ p3(X2,f8(X1))
    | p1(c10,f9(c6,X2))
    | p1(f9(c6,X2),c10)
    | f9(c7,X2) = c10
    | ~ p4(X1)
    | ~ p5(c6,c7,X1,X2) )).

cnf(clause_1,axiom,
    ( ~ p1(X2,X3)
    | p1(X1,X3)
    | ~ p1(X1,X2) )).

cnf(clause_10,hypothesis,
    ( f9(c7,X2) = c10
    | ~ p4(X1)
    | p1(f9(c6,X2),c10)
    | ~ p5(c6,c7,X1,X2)
    | p1(f9(c7,X2),c10)
    | ~ p3(X2,f8(X1)) )).

cnf(clause_3,axiom,
    ( X1 = X2
    | p1(X1,X2)
    | ~ p3(X1,X2) )).

cnf(clause_6,hypothesis,
    ( ~ p4(X1)
    | ~ p5(c6,c7,X1,X2)
    | p1(f9(c6,X2),c10)
    | f9(c6,X2) = c10
    | p1(f9(c7,X2),c10)
    | ~ p3(X2,f8(X1)) )).

cnf(clause_7,hypothesis,
    ( ~ p3(X2,f8(X1))
    | f9(c6,X2) = c10
    | ~ p5(c6,c7,X1,X2)
    | p1(f9(c6,X2),c10)
    | p1(c10,f9(c6,X2))
    | ~ p4(X1) )).

cnf(clause_20,negated_conjecture,
    ( ~ p2(c14,X1)
    | p5(c6,c7,c14,f15(X1)) )).

cnf(clause_16,hypothesis,
    ( ~ p4(X1)
    | ~ p11(X1)
    | p2(X1,f13(X1)) )).

cnf(clause_18,negated_conjecture,(
    p4(c14) )).

cnf(clause_9,hypothesis,
    ( ~ p3(X2,f8(X1))
    | ~ p5(c6,c7,X1,X2)
    | ~ p4(X1)
    | p1(c10,f9(c6,X2))
    | f9(c6,X2) = c10
    | p1(c10,f9(c7,X2)) )).

cnf(clause_15,hypothesis,
    ( ~ p11(X1)
    | ~ p5(c6,c7,X1,X2)
    | ~ p3(X2,f12(X1))
    | p1(f9(c7,X2),f9(c6,X2))
    | ~ p4(X1) )).

cnf(clause_21,negated_conjecture,
    ( ~ p2(c14,X1)
    | p3(f15(X1),X1) )).

cnf(clause_17,hypothesis,
    ( ~ p11(X1)
    | p3(f13(X1),f8(X1))
    | ~ p4(X1) )).

cnf(clause_5,axiom,
    ( X1 != X2
    | p3(X1,X2) )).

cnf(clause_22,negated_conjecture,
    ( ~ p1(c10,f9(c6,f15(X1)))
    | ~ p2(c14,X1)
    | ~ p1(f9(c7,f15(X1)),c10) )).

cnf(clause_14,hypothesis,
    ( ~ p4(X1)
    | p2(X1,f12(X1))
    | ~ p11(X1) )).
%------------------------------------------------------------------------------
