%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A) = f12(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A)
    | p1(B) )).

cnf(p13_substitution_1,axiom,
    ( A != B
    | ~ p13(A,C)
    | p13(B,C) )).

cnf(p13_substitution_2,axiom,
    ( A != B
    | ~ p13(C,A)
    | p13(C,B) )).

cnf(p7_substitution_1,axiom,
    ( A != B
    | ~ p7(A)
    | p7(B) )).

cnf(clause_3,axiom,
    ( X1 != X2
    | X1 = X3
    | X2 != X3 )).

cnf(clause_28,axiom,(
    c10 != c11 )).

cnf(clause_20,axiom,(
    p7(c9) )).

cnf(clause_25,axiom,(
    c8 != c11 )).

cnf(clause_31,axiom,
    ( ~ p1(X1)
    | p13(X1,f12(X1)) )).

cnf(clause_7,axiom,(
    p1(c5) )).

cnf(clause_26,axiom,(
    c9 != c10 )).

cnf(clause_27,axiom,(
    c9 != c11 )).

cnf(clause_32,negated_conjecture,
    ( X2 = X3
    | ~ p1(X2)
    | ~ p13(X3,X1)
    | ~ p13(X2,X1)
    | ~ p7(X1)
    | ~ p1(X3) )).

cnf(clause_5,axiom,(
    p1(c3) )).

cnf(clause_16,axiom,(
    c4 != c5 )).

cnf(clause_11,axiom,(
    c2 != c5 )).

cnf(clause_9,axiom,(
    c2 != c3 )).

cnf(clause_30,axiom,
    ( p7(f12(X1))
    | ~ p1(X1) )).

cnf(clause_22,axiom,(
    p7(c11) )).

cnf(clause_14,axiom,(
    c3 != c5 )).

cnf(clause_10,axiom,(
    c2 != c4 )).

cnf(clause_21,axiom,(
    p7(c10) )).

cnf(clause_6,axiom,(
    p1(c4) )).

cnf(clause_2,axiom,
    ( X1 != X2
    | X2 = X1 )).

cnf(clause_1,axiom,(
    X1 = X1 )).

cnf(clause_24,axiom,(
    c8 != c10 )).

cnf(clause_8,axiom,(
    p1(c6) )).

cnf(clause_13,axiom,(
    c3 != c4 )).

cnf(clause_15,axiom,(
    c3 != c6 )).

cnf(clause_17,axiom,(
    c4 != c6 )).

cnf(clause_18,axiom,(
    c5 != c6 )).

cnf(clause_4,axiom,(
    p1(c2) )).

cnf(clause_19,axiom,(
    p7(c8) )).

cnf(clause_29,axiom,
    ( X1 = c8
    | ~ p7(X1)
    | X1 = c9
    | X1 = c10
    | X1 = c11 )).

cnf(clause_12,axiom,(
    c2 != c6 )).

cnf(clause_23,axiom,(
    c8 != c9 )).
%------------------------------------------------------------------------------
