%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C,D) = f5(B,C,D) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A,D) = f5(C,B,D) )).

cnf(f5_substitution_3,axiom,
    ( A != B
    | f5(C,D,A) = f5(C,D,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C,D) = f7(B,C,D) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A,D) = f7(C,B,D) )).

cnf(f7_substitution_3,axiom,
    ( A != B
    | f7(C,D,A) = f7(C,D,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A,C,D)
    | p4(B,C,D) )).

cnf(p4_substitution_2,axiom,
    ( A != B
    | ~ p4(C,A,D)
    | p4(C,B,D) )).

cnf(p4_substitution_3,axiom,
    ( A != B
    | ~ p4(C,D,A)
    | p4(C,D,B) )).

cnf(p6_substitution_1,axiom,
    ( A != B
    | ~ p6(A,C,D)
    | p6(B,C,D) )).

cnf(p6_substitution_2,axiom,
    ( A != B
    | ~ p6(C,A,D)
    | p6(C,B,D) )).

cnf(p6_substitution_3,axiom,
    ( A != B
    | ~ p6(C,D,A)
    | p6(C,D,B) )).

cnf(clause_11,axiom,
    ( ~ p4(X3,X4,X2)
    | ~ p1(X1,X3)
    | p1(X1,X2)
    | ~ p1(X1,X4) )).

cnf(clause_23,axiom,
    ( ~ p4(X1,X2,X3)
    | p4(X2,X1,X3) )).

cnf(clause_1,axiom,(
    p1(X1,X1) )).

cnf(clause_17,axiom,
    ( p6(X1,X2,X3)
    | ~ p1(X2,X3)
    | p1(X2,f7(X2,X1,X3))
    | ~ p1(X1,X3) )).

cnf(clause_20,axiom,(
    f5(X1,X2,X3) = f5(X2,X1,X3) )).

cnf(clause_15,axiom,
    ( p4(f2(X1,X2),f2(X1,X3),f2(X1,X4))
    | ~ p4(X2,X3,X4) )).

cnf(clause_14,axiom,
    ( ~ p1(X3,X1)
    | ~ p1(X3,X2)
    | ~ p1(f5(X2,X1,X3),X3)
    | p4(X1,X2,X3) )).

cnf(clause_18,axiom,
    ( ~ p1(X2,X3)
    | ~ p1(X1,X3)
    | p6(X1,X2,X3)
    | ~ p1(X3,f7(X2,X1,X3)) )).

cnf(clause_25,negated_conjecture,(
    ~ p6(c8,c9,f3(f2(c8,c9),c10)) )).

cnf(clause_13,axiom,
    ( p4(X1,X2,X3)
    | ~ p1(X3,X2)
    | p1(f5(X2,X1,X3),X2)
    | ~ p1(X3,X1) )).

cnf(clause_8,axiom,
    ( ~ p1(X1,f2(X2,X3))
    | ~ p1(X2,X1)
    | p1(f3(X1,X2),X3) )).

cnf(clause_2,axiom,
    ( p1(X1,X2)
    | ~ p1(X3,X2)
    | ~ p1(X1,X3) )).

cnf(clause_9,axiom,
    ( ~ p4(X3,X2,X1)
    | p1(X1,X2) )).

cnf(clause_7,axiom,
    ( ~ p1(X3,X2)
    | p1(X1,f3(X2,X3))
    | ~ p1(f2(X1,X3),X2) )).

cnf(clause_5,axiom,(
    p1(f3(X1,X1),X2) )).

cnf(clause_4,axiom,
    ( ~ p1(X2,X3)
    | p1(f2(X1,X2),f2(X1,X3)) )).

cnf(clause_6,axiom,
    ( p1(X1,f2(X2,X3))
    | ~ p1(f3(X1,X2),X3)
    | ~ p1(X2,X1) )).

cnf(clause_19,axiom,(
    f7(X1,X2,X3) = f7(X2,X1,X3) )).

cnf(clause_12,axiom,
    ( p4(X1,X2,X3)
    | p1(f5(X2,X1,X3),X1)
    | ~ p1(X3,X2)
    | ~ p1(X3,X1) )).

cnf(clause_21,axiom,(
    f2(X1,X2) = f2(X2,X1) )).

cnf(clause_24,negated_conjecture,(
    p4(c8,c9,c10) )).

cnf(clause_22,axiom,
    ( ~ p6(X1,X2,X3)
    | p6(X2,X1,X3) )).

cnf(clause_16,axiom,
    ( p1(X1,f7(X2,X1,X3))
    | p6(X1,X2,X3)
    | ~ p1(X2,X3)
    | ~ p1(X1,X3) )).

cnf(clause_3,axiom,(
    p1(X1,f2(X1,X2)) )).

cnf(clause_10,axiom,
    ( p1(X1,X2)
    | ~ p4(X2,X3,X1) )).
%------------------------------------------------------------------------------
