%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C) = f10(B,C) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A) = f10(C,B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A) = f14(B) )).

cnf(f17_substitution_1,axiom,
    ( A != B
    | f17(A,C,D,E) = f17(B,C,D,E) )).

cnf(f17_substitution_2,axiom,
    ( A != B
    | f17(C,A,D,E) = f17(C,B,D,E) )).

cnf(f17_substitution_3,axiom,
    ( A != B
    | f17(C,D,A,E) = f17(C,D,B,E) )).

cnf(f17_substitution_4,axiom,
    ( A != B
    | f17(C,D,E,A) = f17(C,D,E,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C,D) = f5(B,C,D) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A,D) = f5(C,B,D) )).

cnf(f5_substitution_3,axiom,
    ( A != B
    | f5(C,D,A) = f5(C,D,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C,D) = f7(B,C,D) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A,D) = f7(C,B,D) )).

cnf(f7_substitution_3,axiom,
    ( A != B
    | f7(C,D,A) = f7(C,D,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C) = f8(B,C) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A) = f8(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(clause_5,axiom,
    ( p1(X1,f7(X4,X2,X3),X3)
    | ~ p1(X1,X2,X3)
    | ~ p1(X1,X4,X3) )).

cnf(clause_1,axiom,
    ( f4(f5(X3,X1,X2),X2) = f6(f4(X1,X2))
    | ~ p1(X1,c2,f3(X2))
    | p1(X3,X1,X2) )).

cnf(clause_11,negated_conjecture,(
    f7(f14(c15),c16,f10(c11,c11)) = f5(f17(c18,c19,c11,c11),c12,f10(c11,c11)) )).

cnf(clause_12,negated_conjecture,(
    f7(f14(f6(c15)),c16,f10(c11,c11)) = f5(f17(c20,c21,c11,c11),c12,f10(c11,c11)) )).

cnf(clause_8,negated_conjecture,(
    p1(c13,f8(c9,f10(c11,c11)),f3(f10(c11,c11))) )).

cnf(clause_4,axiom,
    ( p1(X1,X3,X4)
    | ~ p1(X1,f7(X2,X3,X4),X4) )).

cnf(clause_10,negated_conjecture,(
    f7(c16,c13,f10(c11,c11)) = c12 )).

cnf(clause_7,axiom,(
    ~ p1(X1,c12,X2) )).

cnf(clause_2,axiom,
    ( p1(f7(X3,X1,X2),c2,f3(X2))
    | ~ p1(X1,c2,f3(X2)) )).

cnf(clause_9,negated_conjecture,(
    f4(f7(f14(c15),c13,f10(c11,c11)),f10(c11,c11)) = f4(f7(f14(f6(c15)),c13,f10(c11,c11)),f10(c11,c11)) )).

cnf(clause_13,negated_conjecture,(
    f4(f5(f17(c18,c19,c11,c11),f7(f14(c15),c13,f10(c11,c11)),f10(c11,c11)),f10(c11,c11)) != f4(f5(f17(c20,c21,c11,c11),f7(f14(f6(c15)),c13,f10(c11,c11)),f10(c11,c11)),f10(c11,c11)) )).

cnf(clause_6,axiom,(
    p1(X1,f5(X1,X2,X3),X3) )).

cnf(clause_3,axiom,
    ( ~ p1(X1,f8(c9,f10(c11,c11)),f3(f10(c11,c11)))
    | p1(X1,c2,f3(f10(c11,c11))) )).
%------------------------------------------------------------------------------
