%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C) = f10(B,C) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A) = f10(C,B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A,C,D) = f11(B,C,D) )).

cnf(f11_substitution_2,axiom,
    ( A != B
    | f11(C,A,D) = f11(C,B,D) )).

cnf(f11_substitution_3,axiom,
    ( A != B
    | f11(C,D,A) = f11(C,D,B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A,C,D,E) = f12(B,C,D,E) )).

cnf(f12_substitution_2,axiom,
    ( A != B
    | f12(C,A,D,E) = f12(C,B,D,E) )).

cnf(f12_substitution_3,axiom,
    ( A != B
    | f12(C,D,A,E) = f12(C,D,B,E) )).

cnf(f12_substitution_4,axiom,
    ( A != B
    | f12(C,D,E,A) = f12(C,D,E,B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C) = f13(B,C) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A) = f13(C,B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A,C) = f14(B,C) )).

cnf(f14_substitution_2,axiom,
    ( A != B
    | f14(C,A) = f14(C,B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C,D) = f15(B,C,D) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A,D) = f15(C,B,D) )).

cnf(f15_substitution_3,axiom,
    ( A != B
    | f15(C,D,A) = f15(C,D,B) )).

cnf(f18_substitution_1,axiom,
    ( A != B
    | f18(A,C,D) = f18(B,C,D) )).

cnf(f18_substitution_2,axiom,
    ( A != B
    | f18(C,A,D) = f18(C,B,D) )).

cnf(f18_substitution_3,axiom,
    ( A != B
    | f18(C,D,A) = f18(C,D,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A) = f4(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C,D) = f6(B,C,D) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A,D) = f6(C,B,D) )).

cnf(f6_substitution_3,axiom,
    ( A != B
    | f6(C,D,A) = f6(C,D,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p17_substitution_1,axiom,
    ( A != B
    | ~ p17(A,C,D)
    | p17(B,C,D) )).

cnf(p17_substitution_2,axiom,
    ( A != B
    | ~ p17(C,A,D)
    | p17(C,B,D) )).

cnf(p17_substitution_3,axiom,
    ( A != B
    | ~ p17(C,D,A)
    | p17(C,D,B) )).

cnf(clause_6,negated_conjecture,
    ( ~ p1(c9,f10(c3,c5),f4(c5))
    | p1(f11(c7,c9,c5),f10(c3,c5),f4(c5))
    | f6(c7,c9,c5) != c8 )).

cnf(clause_16,axiom,(
    f11(c16,X1,X2) = c16 )).

cnf(clause_25,axiom,(
    ~ p1(X1,c8,X2) )).

cnf(clause_4,negated_conjecture,(
    f6(f11(c2,c7,c5),c9,c5) = c8 )).

cnf(clause_5,negated_conjecture,(
    ~ p1(f11(f11(c2,c7,c5),c9,c5),f10(c3,c5),f4(c5)) )).

cnf(clause_22,axiom,
    ( ~ p17(f11(X1,X2,X3),X4,f4(X3))
    | p17(X2,X4,f4(X3)) )).

cnf(clause_3,negated_conjecture,(
    p1(c9,f10(c3,c5),f4(c5)) )).

cnf(clause_13,axiom,
    ( ~ p1(X1,f6(X2,X3,X4),X4)
    | p1(X1,X3,X4) )).

cnf(clause_12,axiom,(
    f6(c16,X1,X2) = X1 )).

cnf(clause_7,axiom,
    ( ~ p1(X1,X2,f4(X3))
    | ~ p1(X4,f10(X2,X3),f4(X3))
    | p1(f11(X1,X4,X3),f10(X2,X3),f4(X3))
    | f6(X1,X4,X3) != c8 )).

cnf(clause_8,axiom,(
    f12(f13(X1,X2),X3,X2,X2) = f6(X1,X3,X2) )).

cnf(clause_10,axiom,(
    f14(c16,f4(X1)) = c8 )).

cnf(clause_24,axiom,(
    f14(f14(X1,f4(X2)),f4(X2)) = X1 )).

cnf(clause_20,axiom,(
    f11(X1,c8,X2) = X1 )).

cnf(clause_9,axiom,(
    f14(f15(X1,X2,f4(X3)),f4(X3)) = f11(f14(X1,f4(X3)),X2,X3) )).

cnf(clause_21,axiom,
    ( p17(X1,X4,f4(X3))
    | ~ p17(f11(X1,X2,X3),X4,f4(X3)) )).

cnf(clause_2,negated_conjecture,(
    f6(c2,c7,c5) = c8 )).

cnf(clause_1,negated_conjecture,(
    p1(c2,c3,f4(c5)) )).

cnf(clause_18,axiom,(
    f11(f11(X1,X2,X3),X4,X3) = f11(X1,f11(X2,X4,X3),X3) )).

cnf(clause_11,axiom,(
    f15(X1,f14(X2,f4(X3)),f4(X3)) = f6(X1,X2,X3) )).

cnf(clause_29,axiom,(
    p17(X1,X1,f4(X2)) )).

cnf(clause_15,axiom,(
    f11(X1,f15(X2,X1,f4(X3)),X3) = f11(X1,X2,X3) )).

cnf(clause_28,axiom,
    ( X2 = X1
    | ~ p17(X1,X2,f4(X3))
    | ~ p17(X2,X1,f4(X3)) )).

cnf(clause_27,axiom,
    ( p1(f18(X1,X2,X3),X1,X3)
    | p17(X1,X2,f4(X3)) )).

cnf(clause_17,axiom,(
    f11(X1,X1,X2) = X1 )).

cnf(clause_26,axiom,(
    p17(c8,X1,f4(X2)) )).

cnf(clause_19,axiom,(
    f11(c8,X1,X2) = X1 )).

cnf(clause_23,axiom,
    ( ~ p17(X1,X2,f4(X3))
    | ~ p17(X4,X2,f4(X3))
    | p17(f11(X4,X1,X3),X2,f4(X3)) )).

cnf(clause_14,axiom,(
    f11(f15(X1,X2,f4(X3)),X2,X3) = f11(X1,X2,X3) )).
%------------------------------------------------------------------------------
