%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A) = f10(B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A,C) = f12(B,C) )).

cnf(f12_substitution_2,axiom,
    ( A != B
    | f12(C,A) = f12(C,B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A) = f13(B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A,C) = f14(B,C) )).

cnf(f14_substitution_2,axiom,
    ( A != B
    | f14(C,A) = f14(C,B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C) = f15(B,C) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A) = f15(C,B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A,C,D) = f16(B,C,D) )).

cnf(f16_substitution_2,axiom,
    ( A != B
    | f16(C,A,D) = f16(C,B,D) )).

cnf(f16_substitution_3,axiom,
    ( A != B
    | f16(C,D,A) = f16(C,D,B) )).

cnf(f18_substitution_1,axiom,
    ( A != B
    | f18(A) = f18(B) )).

cnf(f19_substitution_1,axiom,
    ( A != B
    | f19(A) = f19(B) )).

cnf(f20_substitution_1,axiom,
    ( A != B
    | f20(A) = f20(B) )).

cnf(f21_substitution_1,axiom,
    ( A != B
    | f21(A) = f21(B) )).

cnf(f22_substitution_1,axiom,
    ( A != B
    | f22(A) = f22(B) )).

cnf(f23_substitution_1,axiom,
    ( A != B
    | f23(A,C,D) = f23(B,C,D) )).

cnf(f23_substitution_2,axiom,
    ( A != B
    | f23(C,A,D) = f23(C,B,D) )).

cnf(f23_substitution_3,axiom,
    ( A != B
    | f23(C,D,A) = f23(C,D,B) )).

cnf(f24_substitution_1,axiom,
    ( A != B
    | f24(A,C,D) = f24(B,C,D) )).

cnf(f24_substitution_2,axiom,
    ( A != B
    | f24(C,A,D) = f24(C,B,D) )).

cnf(f24_substitution_3,axiom,
    ( A != B
    | f24(C,D,A) = f24(C,D,B) )).

cnf(f25_substitution_1,axiom,
    ( A != B
    | f25(A,C) = f25(B,C) )).

cnf(f25_substitution_2,axiom,
    ( A != B
    | f25(C,A) = f25(C,B) )).

cnf(f26_substitution_1,axiom,
    ( A != B
    | f26(A) = f26(B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f30_substitution_1,axiom,
    ( A != B
    | f30(A) = f30(B) )).

cnf(f31_substitution_1,axiom,
    ( A != B
    | f31(A) = f31(B) )).

cnf(f32_substitution_1,axiom,
    ( A != B
    | f32(A,C) = f32(B,C) )).

cnf(f32_substitution_2,axiom,
    ( A != B
    | f32(C,A) = f32(C,B) )).

cnf(f36_substitution_1,axiom,
    ( A != B
    | f36(A) = f36(B) )).

cnf(f37_substitution_1,axiom,
    ( A != B
    | f37(A,C) = f37(B,C) )).

cnf(f37_substitution_2,axiom,
    ( A != B
    | f37(C,A) = f37(C,B) )).

cnf(f41_substitution_1,axiom,
    ( A != B
    | f41(A) = f41(B) )).

cnf(f42_substitution_1,axiom,
    ( A != B
    | f42(A) = f42(B) )).

cnf(f46_substitution_1,axiom,
    ( A != B
    | f46(A,C,D) = f46(B,C,D) )).

cnf(f46_substitution_2,axiom,
    ( A != B
    | f46(C,A,D) = f46(C,B,D) )).

cnf(f46_substitution_3,axiom,
    ( A != B
    | f46(C,D,A) = f46(C,D,B) )).

cnf(f47_substitution_1,axiom,
    ( A != B
    | f47(A,C,D) = f47(B,C,D) )).

cnf(f47_substitution_2,axiom,
    ( A != B
    | f47(C,A,D) = f47(C,B,D) )).

cnf(f47_substitution_3,axiom,
    ( A != B
    | f47(C,D,A) = f47(C,D,B) )).

cnf(f48_substitution_1,axiom,
    ( A != B
    | f48(A) = f48(B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C) = f5(B,C) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A) = f5(C,B) )).

cnf(f51_substitution_1,axiom,
    ( A != B
    | f51(A) = f51(B) )).

cnf(f52_substitution_1,axiom,
    ( A != B
    | f52(A) = f52(B) )).

cnf(f53_substitution_1,axiom,
    ( A != B
    | f53(A) = f53(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C) = f7(B,C) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A) = f7(C,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C) = f8(B,C) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A) = f8(C,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A) = f9(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C)
    | p2(B,C) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A)
    | p2(C,B) )).

cnf(p28_substitution_1,axiom,
    ( A != B
    | ~ p28(A)
    | p28(B) )).

cnf(p33_substitution_1,axiom,
    ( A != B
    | ~ p33(A)
    | p33(B) )).

cnf(p35_substitution_1,axiom,
    ( A != B
    | ~ p35(A)
    | p35(B) )).

cnf(p39_substitution_1,axiom,
    ( A != B
    | ~ p39(A)
    | p39(B) )).

cnf(p43_substitution_1,axiom,
    ( A != B
    | ~ p43(A)
    | p43(B) )).

cnf(p44_substitution_1,axiom,
    ( A != B
    | ~ p44(A,C,D)
    | p44(B,C,D) )).

cnf(p44_substitution_2,axiom,
    ( A != B
    | ~ p44(C,A,D)
    | p44(C,B,D) )).

cnf(p44_substitution_3,axiom,
    ( A != B
    | ~ p44(C,D,A)
    | p44(C,D,B) )).

cnf(p45_substitution_1,axiom,
    ( A != B
    | ~ p45(A,C,D)
    | p45(B,C,D) )).

cnf(p45_substitution_2,axiom,
    ( A != B
    | ~ p45(C,A,D)
    | p45(C,B,D) )).

cnf(p45_substitution_3,axiom,
    ( A != B
    | ~ p45(C,D,A)
    | p45(C,D,B) )).

cnf(p56_substitution_1,axiom,
    ( A != B
    | ~ p56(A,C,D)
    | p56(B,C,D) )).

cnf(p56_substitution_2,axiom,
    ( A != B
    | ~ p56(C,A,D)
    | p56(C,B,D) )).

cnf(p56_substitution_3,axiom,
    ( A != B
    | ~ p56(C,D,A)
    | p56(C,D,B) )).

cnf(clause_44,axiom,(
    p1(c27,f8(c4,c4)) )).

cnf(clause_63,axiom,
    ( ~ p35(X1)
    | p1(f32(X1,f21(X1)),c34) )).

cnf(clause_100,axiom,
    ( p2(f7(X1,f18(X1)),c50)
    | ~ p2(X1,c4) )).

cnf(clause_74,axiom,(
    f12(f8(c4,c4),f12(f8(c4,c4),f13(f32(f13(c11),f21(c11))))) = c40 )).

cnf(clause_30,axiom,
    ( ~ p2(X2,f18(X1))
    | f16(X1,f6(X2),c4) != c17 )).

cnf(clause_109,axiom,
    ( p35(X1)
    | ~ p56(X1,X2,X3) )).

cnf(clause_89,axiom,
    ( ~ p2(f7(X4,X5),f18(X2))
    | ~ p45(X1,X2,X3)
    | f37(X3,f7(f37(X1,X4),f37(X1,X5))) = f37(X1,f37(X2,f7(X4,X5))) )).

cnf(clause_18,axiom,(
    p1(c11,f8(c4,c4)) )).

cnf(clause_22,axiom,
    ( ~ p2(X1,f12(X2,X3))
    | p2(X1,X3) )).

cnf(clause_38,axiom,(
    f18(f20(f8(X1,c4))) = f21(X1) )).

cnf(clause_86,axiom,
    ( p43(X2)
    | ~ p45(X1,X2,X3) )).

cnf(clause_75,axiom,(
    f12(f21(c40),c40) = c34 )).

cnf(clause_98,axiom,(
    p1(c50,f8(c4,c4)) )).

cnf(clause_72,axiom,
    ( p35(f21(X1))
    | ~ p39(X1) )).

cnf(clause_64,axiom,
    ( p35(X1)
    | ~ p1(f32(X1,f21(X1)),c34)
    | ~ p1(X1,f8(c4,c4)) )).

cnf(clause_12,axiom,(
    f5(X1,X1) = f6(X1) )).

cnf(clause_43,axiom,(
    f14(X1,f6(X1)) = f26(X1) )).

cnf(clause_92,axiom,(
    p1(f48(X1),f8(c4,c4)) )).

cnf(clause_85,axiom,
    ( ~ p1(f22(X1),f18(f18(X3)))
    | f18(f18(X2)) != f18(X1)
    | p44(X1,X2,X3)
    | ~ p35(X1) )).

cnf(clause_84,axiom,
    ( ~ p44(X1,X2,X3)
    | p1(f22(X1),f18(f18(X3))) )).

cnf(clause_37,axiom,
    ( ~ p2(f7(f7(X2,X1),X3),f8(f8(c4,c4),c4))
    | p2(f7(f7(X2,X1),X3),f20(X4))
    | ~ p2(f7(f7(X1,X2),X3),X4) )).

cnf(clause_96,axiom,
    ( f32(X1,X2) = X3
    | ~ p2(f7(X1,f7(X2,X3)),c49) )).

cnf(clause_26,axiom,(
    f13(f12(f13(X1),f13(X2))) = f14(X1,X2) )).

cnf(clause_76,axiom,(
    f13(f18(f12(X1,c34))) = f41(X1) )).

cnf(clause_1,axiom,
    ( p2(X3,X2)
    | ~ p2(X3,X1)
    | ~ p1(X1,X2) )).

cnf(clause_57,axiom,(
    p1(f32(X1,X2),f8(c4,c4)) )).

cnf(clause_24,axiom,
    ( ~ p2(X1,f13(X2))
    | ~ p2(X1,X2) )).

cnf(clause_106,axiom,
    ( p2(X2,f18(X1))
    | ~ p2(f7(X1,f7(X2,X3)),c55) )).

cnf(clause_113,negated_conjecture,(
    p2(c4,c57) )).

cnf(clause_55,axiom,(
    f13(f25(c11,f13(X1))) = f31(X1) )).

cnf(clause_62,axiom,
    ( ~ p35(X1)
    | p1(X1,f8(c4,c4)) )).

cnf(clause_46,axiom,
    ( f26(X1) != X2
    | ~ p2(f7(X1,X2),f8(c4,c4))
    | p2(f7(X1,X2),c27) )).

cnf(clause_33,axiom,
    ( ~ p2(f7(f7(X1,X2),X3),f19(X4))
    | p2(f7(f7(X2,X3),X1),X4) )).

cnf(clause_29,axiom,(
    f12(f8(X1,X2),X3) = f16(X3,X1,X2) )).

cnf(clause_49,axiom,
    ( p28(X1)
    | ~ p1(f25(c27,X1),X1)
    | ~ p2(c17,X1) )).

cnf(clause_61,axiom,
    ( ~ p1(f32(X1,f21(X1)),c34)
    | p33(X1) )).

cnf(clause_111,axiom,
    ( ~ p56(X1,X2,X3)
    | p1(f22(X1),X3) )).

cnf(clause_73,axiom,
    ( ~ p35(X1)
    | p39(X1)
    | ~ p35(f21(X1)) )).

cnf(clause_13,axiom,(
    f5(f6(X1),f5(X1,f6(X2))) = f7(X1,X2) )).

cnf(clause_32,axiom,(
    p1(f19(X1),f8(f8(c4,c4),c4)) )).

cnf(clause_81,axiom,
    ( ~ p1(f22(X1),f18(f18(X1)))
    | ~ p35(X1)
    | f8(f18(f18(X1)),f18(f18(X1))) != f18(X1)
    | p43(X1) )).

cnf(clause_53,axiom,(
    f18(f16(c11,c4,X1)) = f30(X1) )).

cnf(clause_50,axiom,(
    p28(c29) )).

cnf(clause_60,axiom,
    ( ~ p33(X1)
    | p1(f32(X1,f21(X1)),c34) )).

cnf(clause_3,axiom,
    ( p1(X1,X2)
    | ~ p2(f3(X1,X2),X2) )).

cnf(clause_34,axiom,
    ( ~ p2(f7(f7(X3,X1),X2),f8(f8(c4,c4),c4))
    | ~ p2(f7(f7(X1,X2),X3),X4)
    | p2(f7(f7(X3,X1),X2),f19(X4)) )).

cnf(clause_40,axiom,(
    f9(f3(f16(X1,X2,f6(X3)),c17)) = f23(X1,X2,X3) )).

cnf(clause_25,axiom,
    ( p2(X1,f13(X2))
    | ~ p2(X1,c4)
    | p2(X1,X2) )).

cnf(clause_93,axiom,
    ( ~ p2(f7(X1,X2),f48(X3))
    | f32(X3,X1) = X2 )).

cnf(clause_19,axiom,
    ( ~ p2(f7(X1,X2),c11)
    | p2(X1,X2) )).

cnf(clause_107,axiom,
    ( ~ p2(f7(X1,f7(X2,X3)),c55)
    | f37(X1,X2) = X3 )).

cnf(clause_54,axiom,
    ( p2(f30(X1),c4)
    | ~ p2(X1,c4) )).

cnf(clause_31,axiom,
    ( p2(X1,f18(X2))
    | ~ p2(X1,c4)
    | f16(X2,f6(X1),c4) = c17 )).

cnf(clause_99,axiom,
    ( f18(X1) = X2
    | ~ p2(f7(X1,X2),c50) )).

cnf(clause_110,axiom,
    ( f18(X1) = X2
    | ~ p56(X1,X2,X3) )).

cnf(clause_67,axiom,
    ( f12(X1,f36(X1)) = c17
    | X1 = c17 )).

cnf(clause_88,axiom,
    ( p44(X1,X2,X3)
    | ~ p45(X1,X2,X3) )).

cnf(clause_83,axiom,
    ( ~ p44(X1,X2,X3)
    | f18(f18(X2)) = f18(X1) )).

cnf(clause_16,axiom,
    ( p2(f7(X1,X3),f8(X2,X4))
    | ~ p2(X1,X2)
    | ~ p2(X3,X4) )).

cnf(clause_14,axiom,
    ( p2(X1,X3)
    | ~ p2(f7(X1,X2),f8(X3,X4)) )).

cnf(clause_87,axiom,
    ( ~ p45(X1,X2,X3)
    | p43(X3) )).

cnf(clause_51,axiom,
    ( p1(c29,X1)
    | ~ p28(X1) )).

cnf(clause_42,axiom,(
    f22(f16(X1,X2,c4)) = f25(X1,X2) )).

cnf(clause_27,axiom,(
    f12(f13(f12(X1,X2)),f13(f12(f13(X1),f13(X2)))) = f15(X1,X2) )).

cnf(clause_82,axiom,
    ( ~ p44(X1,X2,X3)
    | p35(X1) )).

cnf(clause_104,axiom,(
    f12(f13(f32(c11,f13(c34))),c11) = c54 )).

cnf(clause_23,axiom,
    ( ~ p2(X1,X3)
    | ~ p2(X1,X2)
    | p2(X1,f12(X2,X3)) )).

cnf(clause_58,axiom,
    ( p2(X2,f25(X3,f25(X4,f6(X1))))
    | ~ p2(f7(X1,X2),f32(X3,X4)) )).

cnf(clause_90,axiom,
    ( ~ p44(X3,X1,X2)
    | ~ p43(X2)
    | ~ p43(X1)
    | p2(f7(f46(X3,X1,X2),f47(X3,X1,X2)),f18(X1))
    | p45(X3,X1,X2) )).

cnf(clause_9,axiom,
    ( p2(X1,f5(X1,X2))
    | ~ p2(X1,c4) )).

cnf(clause_21,axiom,
    ( p2(X1,X2)
    | ~ p2(X1,f12(X2,X3)) )).

cnf(clause_56,axiom,
    ( ~ p2(X1,c4)
    | p2(f31(X1),c4) )).

cnf(clause_103,axiom,(
    f23(X1,f25(f21(X1),f6(f51(X1))),f52(X1)) = f53(X1) )).

cnf(clause_6,axiom,
    ( X1 != X2
    | p1(X2,X1) )).

cnf(clause_5,axiom,
    ( X1 != X2
    | p1(X1,X2) )).

cnf(clause_78,axiom,
    ( ~ p43(X1)
    | p35(X1) )).

cnf(clause_2,axiom,
    ( p1(X1,X2)
    | p2(f3(X1,X2),X1) )).

cnf(clause_39,axiom,(
    f18(f21(X1)) = f22(X1) )).

cnf(clause_20,axiom,
    ( ~ p2(f7(X1,X2),f8(c4,c4))
    | ~ p2(X1,X2)
    | p2(f7(X1,X2),c11) )).

cnf(clause_10,axiom,
    ( p2(X1,f5(X2,X1))
    | ~ p2(X1,c4) )).

cnf(clause_77,axiom,(
    f12(f18(X1),f41(f32(f21(c11),X1))) = f42(X1) )).

cnf(clause_15,axiom,
    ( ~ p2(f7(X1,X2),f8(X3,X4))
    | p2(X2,X4) )).

cnf(clause_41,axiom,(
    f10(f3(f16(X1,f6(X2),X3),c17)) = f24(X1,X2,X3) )).

cnf(clause_91,axiom,
    ( ~ p43(X1)
    | ~ p43(X2)
    | p45(X3,X1,X2)
    | f37(X2,f7(f37(X3,f46(X3,X1,X2)),f37(X3,f47(X3,X1,X2)))) != f37(X3,f37(X1,f7(f46(X3,X1,X2),f47(X3,X1,X2))))
    | ~ p44(X3,X1,X2) )).

cnf(clause_79,axiom,
    ( f8(f18(f18(X1)),f18(f18(X1))) = f18(X1)
    | ~ p43(X1) )).

cnf(clause_105,axiom,(
    p1(c55,f8(c4,f8(c4,c4))) )).

cnf(clause_59,axiom,
    ( p2(f7(X4,X1),f32(X2,X3))
    | ~ p2(f7(X4,X1),f8(c4,c4))
    | ~ p2(X1,f25(X2,f25(X3,f6(X4)))) )).

cnf(clause_112,axiom,
    ( ~ p35(X1)
    | ~ p1(f22(X1),X2)
    | p56(X1,f18(X1),X2) )).

cnf(clause_7,axiom,
    ( X1 = X2
    | ~ p1(X1,X2)
    | ~ p1(X2,X1) )).

cnf(clause_47,axiom,
    ( p2(c17,X1)
    | ~ p28(X1) )).

cnf(clause_108,axiom,
    ( ~ p2(f7(X1,f7(X2,X3)),f8(c4,f8(c4,c4)))
    | ~ p2(X2,f18(X1))
    | p2(f7(X1,f7(X2,f37(X1,X2))),c55) )).

cnf(clause_52,axiom,(
    p2(c29,c4) )).

cnf(clause_102,axiom,(
    f10(f3(f32(X1,f21(X1)),c34)) = f52(X1) )).

cnf(clause_8,axiom,
    ( ~ p2(X1,f5(X2,X3))
    | X1 = X3
    | X1 = X2 )).

cnf(clause_65,axiom,
    ( ~ p35(X1)
    | p2(f25(X1,X2),c4)
    | ~ p2(X2,c4) )).

cnf(clause_94,axiom,
    ( p2(f7(X1,X2),f48(X3))
    | f32(X3,X1) != X2
    | ~ p2(f7(X1,X2),f8(c4,c4)) )).

cnf(clause_71,axiom,
    ( ~ p39(X1)
    | p35(X1) )).

cnf(clause_80,axiom,
    ( ~ p43(X1)
    | p1(f22(X1),f18(f18(X1))) )).

cnf(clause_36,axiom,
    ( ~ p2(f7(f7(X1,X2),X3),f20(X4))
    | p2(f7(f7(X2,X1),X3),X4) )).

cnf(clause_101,axiom,(
    f9(f3(f32(X1,f21(X1)),c34)) = f51(X1) )).

cnf(clause_70,axiom,
    ( X1 = c17
    | p2(f37(c38,X1),X1)
    | ~ p2(X1,c4) )).

cnf(clause_4,axiom,(
    p1(X1,c4) )).

cnf(clause_45,axiom,
    ( ~ p2(f7(X1,X2),c27)
    | f26(X1) = X2 )).

cnf(clause_35,axiom,(
    p1(f20(X1),f8(f8(c4,c4),c4)) )).

cnf(clause_28,axiom,(
    f12(X1,f8(X2,X3)) = f16(X1,X2,X3) )).

cnf(clause_66,axiom,
    ( X1 = c17
    | p2(f36(X1),X1) )).

cnf(clause_48,axiom,
    ( p1(f25(c27,X1),X1)
    | ~ p28(X1) )).

cnf(clause_95,axiom,(
    p1(c49,f8(c4,f8(c4,c4))) )).

cnf(clause_97,axiom,
    ( p2(f7(X1,f7(X2,f32(X1,X2))),c49)
    | ~ p2(f7(X1,X2),f8(c4,c4)) )).

cnf(clause_69,axiom,(
    p35(c38) )).

cnf(clause_68,axiom,(
    f30(f25(X1,f6(X2))) = f37(X1,X2) )).

cnf(clause_17,axiom,
    ( ~ p2(X1,f8(X2,X3))
    | f7(f9(X1),f10(X1)) = X1 )).

cnf(clause_11,axiom,(
    p2(f5(X1,X2),c4) )).
%------------------------------------------------------------------------------
