%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C) = f10(B,C) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A) = f10(C,B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A,C) = f11(B,C) )).

cnf(f11_substitution_2,axiom,
    ( A != B
    | f11(C,A) = f11(C,B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A,C) = f12(B,C) )).

cnf(f12_substitution_2,axiom,
    ( A != B
    | f12(C,A) = f12(C,B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A) = f13(B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A,C) = f14(B,C) )).

cnf(f14_substitution_2,axiom,
    ( A != B
    | f14(C,A) = f14(C,B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A) = f15(B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A) = f16(B) )).

cnf(f18_substitution_1,axiom,
    ( A != B
    | f18(A) = f18(B) )).

cnf(f19_substitution_1,axiom,
    ( A != B
    | f19(A) = f19(B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(f20_substitution_1,axiom,
    ( A != B
    | f20(A) = f20(B) )).

cnf(f22_substitution_1,axiom,
    ( A != B
    | f22(A) = f22(B) )).

cnf(f23_substitution_1,axiom,
    ( A != B
    | f23(A,C) = f23(B,C) )).

cnf(f23_substitution_2,axiom,
    ( A != B
    | f23(C,A) = f23(C,B) )).

cnf(f24_substitution_1,axiom,
    ( A != B
    | f24(A,C) = f24(B,C) )).

cnf(f24_substitution_2,axiom,
    ( A != B
    | f24(C,A) = f24(C,B) )).

cnf(f25_substitution_1,axiom,
    ( A != B
    | f25(A,C) = f25(B,C) )).

cnf(f25_substitution_2,axiom,
    ( A != B
    | f25(C,A) = f25(C,B) )).

cnf(f26_substitution_1,axiom,
    ( A != B
    | f26(A,C) = f26(B,C) )).

cnf(f26_substitution_2,axiom,
    ( A != B
    | f26(C,A) = f26(C,B) )).

cnf(f27_substitution_1,axiom,
    ( A != B
    | f27(A) = f27(B) )).

cnf(f28_substitution_1,axiom,
    ( A != B
    | f28(A) = f28(B) )).

cnf(f29_substitution_1,axiom,
    ( A != B
    | f29(A,C) = f29(B,C) )).

cnf(f29_substitution_2,axiom,
    ( A != B
    | f29(C,A) = f29(C,B) )).

cnf(f30_substitution_1,axiom,
    ( A != B
    | f30(A,C,D) = f30(B,C,D) )).

cnf(f30_substitution_2,axiom,
    ( A != B
    | f30(C,A,D) = f30(C,B,D) )).

cnf(f30_substitution_3,axiom,
    ( A != B
    | f30(C,D,A) = f30(C,D,B) )).

cnf(f31_substitution_1,axiom,
    ( A != B
    | f31(A,C,D) = f31(B,C,D) )).

cnf(f31_substitution_2,axiom,
    ( A != B
    | f31(C,A,D) = f31(C,B,D) )).

cnf(f31_substitution_3,axiom,
    ( A != B
    | f31(C,D,A) = f31(C,D,B) )).

cnf(f32_substitution_1,axiom,
    ( A != B
    | f32(A) = f32(B) )).

cnf(f33_substitution_1,axiom,
    ( A != B
    | f33(A,C) = f33(B,C) )).

cnf(f33_substitution_2,axiom,
    ( A != B
    | f33(C,A) = f33(C,B) )).

cnf(f34_substitution_1,axiom,
    ( A != B
    | f34(A,C) = f34(B,C) )).

cnf(f34_substitution_2,axiom,
    ( A != B
    | f34(C,A) = f34(C,B) )).

cnf(f35_substitution_1,axiom,
    ( A != B
    | f35(A,C) = f35(B,C) )).

cnf(f35_substitution_2,axiom,
    ( A != B
    | f35(C,A) = f35(C,B) )).

cnf(f36_substitution_1,axiom,
    ( A != B
    | f36(A,C,D,E) = f36(B,C,D,E) )).

cnf(f36_substitution_2,axiom,
    ( A != B
    | f36(C,A,D,E) = f36(C,B,D,E) )).

cnf(f36_substitution_3,axiom,
    ( A != B
    | f36(C,D,A,E) = f36(C,D,B,E) )).

cnf(f36_substitution_4,axiom,
    ( A != B
    | f36(C,D,E,A) = f36(C,D,E,B) )).

cnf(f39_substitution_1,axiom,
    ( A != B
    | f39(A,C,D,E) = f39(B,C,D,E) )).

cnf(f39_substitution_2,axiom,
    ( A != B
    | f39(C,A,D,E) = f39(C,B,D,E) )).

cnf(f39_substitution_3,axiom,
    ( A != B
    | f39(C,D,A,E) = f39(C,D,B,E) )).

cnf(f39_substitution_4,axiom,
    ( A != B
    | f39(C,D,E,A) = f39(C,D,E,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A) = f4(B) )).

cnf(f42_substitution_1,axiom,
    ( A != B
    | f42(A) = f42(B) )).

cnf(f43_substitution_1,axiom,
    ( A != B
    | f43(A,C,D) = f43(B,C,D) )).

cnf(f43_substitution_2,axiom,
    ( A != B
    | f43(C,A,D) = f43(C,B,D) )).

cnf(f43_substitution_3,axiom,
    ( A != B
    | f43(C,D,A) = f43(C,D,B) )).

cnf(f44_substitution_1,axiom,
    ( A != B
    | f44(A,C,D) = f44(B,C,D) )).

cnf(f44_substitution_2,axiom,
    ( A != B
    | f44(C,A,D) = f44(C,B,D) )).

cnf(f44_substitution_3,axiom,
    ( A != B
    | f44(C,D,A) = f44(C,D,B) )).

cnf(f45_substitution_1,axiom,
    ( A != B
    | f45(A,C,D) = f45(B,C,D) )).

cnf(f45_substitution_2,axiom,
    ( A != B
    | f45(C,A,D) = f45(C,B,D) )).

cnf(f45_substitution_3,axiom,
    ( A != B
    | f45(C,D,A) = f45(C,D,B) )).

cnf(f46_substitution_1,axiom,
    ( A != B
    | f46(A) = f46(B) )).

cnf(f47_substitution_1,axiom,
    ( A != B
    | f47(A,C) = f47(B,C) )).

cnf(f47_substitution_2,axiom,
    ( A != B
    | f47(C,A) = f47(C,B) )).

cnf(f48_substitution_1,axiom,
    ( A != B
    | f48(A,C,D) = f48(B,C,D) )).

cnf(f48_substitution_2,axiom,
    ( A != B
    | f48(C,A,D) = f48(C,B,D) )).

cnf(f48_substitution_3,axiom,
    ( A != B
    | f48(C,D,A) = f48(C,D,B) )).

cnf(f49_substitution_1,axiom,
    ( A != B
    | f49(A,C,D) = f49(B,C,D) )).

cnf(f49_substitution_2,axiom,
    ( A != B
    | f49(C,A,D) = f49(C,B,D) )).

cnf(f49_substitution_3,axiom,
    ( A != B
    | f49(C,D,A) = f49(C,D,B) )).

cnf(f50_substitution_1,axiom,
    ( A != B
    | f50(A,C) = f50(B,C) )).

cnf(f50_substitution_2,axiom,
    ( A != B
    | f50(C,A) = f50(C,B) )).

cnf(f51_substitution_1,axiom,
    ( A != B
    | f51(A,C,D) = f51(B,C,D) )).

cnf(f51_substitution_2,axiom,
    ( A != B
    | f51(C,A,D) = f51(C,B,D) )).

cnf(f51_substitution_3,axiom,
    ( A != B
    | f51(C,D,A) = f51(C,D,B) )).

cnf(f53_substitution_1,axiom,
    ( A != B
    | f53(A) = f53(B) )).

cnf(f54_substitution_1,axiom,
    ( A != B
    | f54(A,C) = f54(B,C) )).

cnf(f54_substitution_2,axiom,
    ( A != B
    | f54(C,A) = f54(C,B) )).

cnf(f55_substitution_1,axiom,
    ( A != B
    | f55(A,C) = f55(B,C) )).

cnf(f55_substitution_2,axiom,
    ( A != B
    | f55(C,A) = f55(C,B) )).

cnf(f56_substitution_1,axiom,
    ( A != B
    | f56(A,C) = f56(B,C) )).

cnf(f56_substitution_2,axiom,
    ( A != B
    | f56(C,A) = f56(C,B) )).

cnf(f57_substitution_1,axiom,
    ( A != B
    | f57(A,C,D) = f57(B,C,D) )).

cnf(f57_substitution_2,axiom,
    ( A != B
    | f57(C,A,D) = f57(C,B,D) )).

cnf(f57_substitution_3,axiom,
    ( A != B
    | f57(C,D,A) = f57(C,D,B) )).

cnf(f58_substitution_1,axiom,
    ( A != B
    | f58(A,C,D) = f58(B,C,D) )).

cnf(f58_substitution_2,axiom,
    ( A != B
    | f58(C,A,D) = f58(C,B,D) )).

cnf(f58_substitution_3,axiom,
    ( A != B
    | f58(C,D,A) = f58(C,D,B) )).

cnf(f59_substitution_1,axiom,
    ( A != B
    | f59(A,C) = f59(B,C) )).

cnf(f59_substitution_2,axiom,
    ( A != B
    | f59(C,A) = f59(C,B) )).

cnf(f60_substitution_1,axiom,
    ( A != B
    | f60(A) = f60(B) )).

cnf(f61_substitution_1,axiom,
    ( A != B
    | f61(A) = f61(B) )).

cnf(f62_substitution_1,axiom,
    ( A != B
    | f62(A) = f62(B) )).

cnf(f63_substitution_1,axiom,
    ( A != B
    | f63(A) = f63(B) )).

cnf(f64_substitution_1,axiom,
    ( A != B
    | f64(A) = f64(B) )).

cnf(f65_substitution_1,axiom,
    ( A != B
    | f65(A) = f65(B) )).

cnf(f66_substitution_1,axiom,
    ( A != B
    | f66(A) = f66(B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C) = f7(B,C) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A) = f7(C,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C) = f9(B,C) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A) = f9(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p17_substitution_1,axiom,
    ( A != B
    | ~ p17(A)
    | p17(B) )).

cnf(p21_substitution_1,axiom,
    ( A != B
    | ~ p21(A)
    | p21(B) )).

cnf(p37_substitution_1,axiom,
    ( A != B
    | ~ p37(A,C,D,E,F,G,H,I)
    | p37(B,C,D,E,F,G,H,I) )).

cnf(p37_substitution_2,axiom,
    ( A != B
    | ~ p37(C,A,D,E,F,G,H,I)
    | p37(C,B,D,E,F,G,H,I) )).

cnf(p37_substitution_3,axiom,
    ( A != B
    | ~ p37(C,D,A,E,F,G,H,I)
    | p37(C,D,B,E,F,G,H,I) )).

cnf(p37_substitution_4,axiom,
    ( A != B
    | ~ p37(C,D,E,A,F,G,H,I)
    | p37(C,D,E,B,F,G,H,I) )).

cnf(p37_substitution_5,axiom,
    ( A != B
    | ~ p37(C,D,E,F,A,G,H,I)
    | p37(C,D,E,F,B,G,H,I) )).

cnf(p37_substitution_6,axiom,
    ( A != B
    | ~ p37(C,D,E,F,G,A,H,I)
    | p37(C,D,E,F,G,B,H,I) )).

cnf(p37_substitution_7,axiom,
    ( A != B
    | ~ p37(C,D,E,F,G,H,A,I)
    | p37(C,D,E,F,G,H,B,I) )).

cnf(p37_substitution_8,axiom,
    ( A != B
    | ~ p37(C,D,E,F,G,H,I,A)
    | p37(C,D,E,F,G,H,I,B) )).

cnf(p38_substitution_1,axiom,
    ( A != B
    | ~ p38(A,C,D,E,F,G,H,I)
    | p38(B,C,D,E,F,G,H,I) )).

cnf(p38_substitution_2,axiom,
    ( A != B
    | ~ p38(C,A,D,E,F,G,H,I)
    | p38(C,B,D,E,F,G,H,I) )).

cnf(p38_substitution_3,axiom,
    ( A != B
    | ~ p38(C,D,A,E,F,G,H,I)
    | p38(C,D,B,E,F,G,H,I) )).

cnf(p38_substitution_4,axiom,
    ( A != B
    | ~ p38(C,D,E,A,F,G,H,I)
    | p38(C,D,E,B,F,G,H,I) )).

cnf(p38_substitution_5,axiom,
    ( A != B
    | ~ p38(C,D,E,F,A,G,H,I)
    | p38(C,D,E,F,B,G,H,I) )).

cnf(p38_substitution_6,axiom,
    ( A != B
    | ~ p38(C,D,E,F,G,A,H,I)
    | p38(C,D,E,F,G,B,H,I) )).

cnf(p38_substitution_7,axiom,
    ( A != B
    | ~ p38(C,D,E,F,G,H,A,I)
    | p38(C,D,E,F,G,H,B,I) )).

cnf(p38_substitution_8,axiom,
    ( A != B
    | ~ p38(C,D,E,F,G,H,I,A)
    | p38(C,D,E,F,G,H,I,B) )).

cnf(p40_substitution_1,axiom,
    ( A != B
    | ~ p40(A,C)
    | p40(B,C) )).

cnf(p40_substitution_2,axiom,
    ( A != B
    | ~ p40(C,A)
    | p40(C,B) )).

cnf(p41_substitution_1,axiom,
    ( A != B
    | ~ p41(A,C)
    | p41(B,C) )).

cnf(p41_substitution_2,axiom,
    ( A != B
    | ~ p41(C,A)
    | p41(C,B) )).

cnf(p52_substitution_1,axiom,
    ( A != B
    | ~ p52(A,C)
    | p52(B,C) )).

cnf(p52_substitution_2,axiom,
    ( A != B
    | ~ p52(C,A)
    | p52(C,B) )).

cnf(clause_133,axiom,
    ( X1 != X2
    | p52(X2,X1) )).

cnf(clause_74,axiom,
    ( p21(X1)
    | ~ p40(X1,X1) )).

cnf(clause_98,axiom,
    ( ~ p1(X1,f10(X2,X3))
    | p1(X1,X2) )).

cnf(clause_84,axiom,
    ( f6(X1) != f6(X2)
    | X1 = X2 )).

cnf(clause_96,axiom,
    ( p1(X1,X2)
    | ~ p1(X1,f9(X2,X3)) )).

cnf(clause_55,axiom,
    ( p1(X3,X5)
    | ~ p38(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(clause_123,axiom,(
    p1(X1,f55(X2,X1)) )).

cnf(clause_33,axiom,
    ( ~ p1(X1,X4)
    | p1(X2,f26(X3,X4))
    | ~ p1(f23(X1,X2),X3) )).

cnf(clause_18,axiom,
    ( p1(f12(X1,X2),X1)
    | p1(X1,f13(X2)) )).

cnf(clause_10,axiom,
    ( X1 != X2
    | p1(X1,f4(X2)) )).

cnf(clause_13,axiom,
    ( X1 != X2
    | p1(X1,f2(X2,X3)) )).

cnf(clause_48,axiom,
    ( ~ p1(f23(f23(X1,X2),f23(X3,X4)),f36(X5,X6,X7,X8))
    | p38(X1,X2,X3,X4,X5,X6,X7,X8)
    | p37(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(clause_37,axiom,
    ( f28(X1) != f28(X2)
    | X1 = X2 )).

cnf(clause_117,axiom,(
    p52(X1,X1) )).

cnf(clause_14,axiom,
    ( p1(X1,X3)
    | p1(X1,f9(X2,X3))
    | ~ p1(X1,X2) )).

cnf(clause_130,axiom,
    ( X1 = f23(f57(X2,X3,X1),f58(X2,X3,X1))
    | ~ p1(X1,f56(X2,X3)) )).

cnf(clause_61,axiom,
    ( p1(X2,X5)
    | ~ p1(f23(f5(X1),f5(X2)),f39(X3,X4,X5,X6)) )).

cnf(clause_137,axiom,
    ( p1(f60(X1),X2)
    | ~ p1(X1,f56(X2,X3)) )).

cnf(clause_20,axiom,
    ( p1(X3,f15(X2))
    | p1(f14(X3,X2),X2)
    | ~ p1(X1,X2) )).

cnf(clause_116,axiom,
    ( p52(X1,X2)
    | ~ p1(f54(X1,X2),X2) )).

cnf(clause_120,axiom,(
    p52(c8,X1) )).

cnf(clause_75,axiom,
    ( ~ p21(f4(X1))
    | p21(X1) )).

cnf(clause_35,axiom,(
    f28(X1) != f27(X2) )).

cnf(clause_95,axiom,
    ( p1(X1,X3)
    | X1 = X2
    | ~ p1(X1,f2(X2,X3)) )).

cnf(clause_72,axiom,
    ( ~ p1(f23(X1,X2),f42(X3))
    | p1(X1,X2) )).

cnf(clause_110,axiom,
    ( p1(X1,f53(X3))
    | ~ p1(f23(X1,X2),X3) )).

cnf(clause_45,axiom,
    ( X1 = X3
    | f33(X1,X2) != f33(X3,X4) )).

cnf(clause_1,axiom,(
    p1(X1,f2(X1,X2)) )).

cnf(clause_60,axiom,
    ( ~ p1(f23(f5(X1),f5(X2)),f39(X3,X4,X5,X6))
    | p1(X1,X5) )).

cnf(clause_94,axiom,
    ( X1 = X2
    | ~ p1(X1,f2(X2,c8)) )).

cnf(clause_26,axiom,
    ( p1(f20(X1),X1)
    | p21(f15(X1)) )).

cnf(clause_104,axiom,
    ( ~ p1(X2,X1)
    | X1 != c8 )).

cnf(clause_7,axiom,
    ( ~ p1(X1,X2)
    | p1(f5(X1),f7(X3,X2)) )).

cnf(clause_140,axiom,(
    f61(f23(X1,X2)) = X2 )).

cnf(clause_6,axiom,
    ( p1(f6(X1),f7(X2,X3))
    | ~ p1(X1,X2) )).

cnf(clause_51,axiom,
    ( p1(X3,X5)
    | ~ p37(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(clause_56,axiom,
    ( ~ p38(X1,X2,X3,X4,X5,X6,X7,X8)
    | X1 = X3 )).

cnf(clause_97,axiom,
    ( ~ p1(X1,f9(X2,X3))
    | ~ p1(X1,X3) )).

cnf(clause_41,axiom,
    ( X1 = f28(f30(X1,X2,X3))
    | ~ p1(X1,f29(X2,X3))
    | X1 = f27(f31(X1,X2,X3)) )).

cnf(clause_127,axiom,
    ( ~ p1(X3,X1)
    | p1(X3,f18(X2))
    | ~ p1(X1,X2) )).

cnf(clause_58,axiom,
    ( p1(X4,X7)
    | ~ p38(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(clause_85,axiom,
    ( p1(f49(X1,X2,X3),X3)
    | ~ p1(X1,f7(X2,X3))
    | p1(f48(X1,X2,X3),X2) )).

cnf(clause_70,axiom,
    ( p1(X1,X3)
    | ~ p1(f23(X1,X2),f42(X3)) )).

cnf(clause_114,axiom,
    ( X1 != X2
    | X3 != X4
    | f23(X1,X3) = f23(X2,X4) )).

cnf(clause_62,axiom,
    ( ~ p1(f23(f5(X1),f5(X2)),f39(X3,X4,X5,X6))
    | p1(f23(X1,X2),X6) )).

cnf(clause_9,axiom,
    ( ~ p1(X1,X2)
    | p1(X1,f4(X2)) )).

cnf(clause_131,axiom,
    ( ~ p52(X1,X2)
    | X1 = X2
    | ~ p52(X2,X1) )).

cnf(clause_53,axiom,
    ( p1(X4,X7)
    | ~ p37(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(clause_129,axiom,
    ( p1(f58(X2,X3,X1),f59(X3,f57(X2,X3,X1)))
    | ~ p1(X1,f56(X2,X3)) )).

cnf(clause_142,axiom,
    ( ~ p1(X1,X2)
    | p1(X1,f11(X2,X3)) )).

cnf(clause_5,axiom,
    ( X1 != X2
    | f6(X1) = f6(X2) )).

cnf(clause_107,axiom,
    ( p1(X3,X2)
    | ~ p1(X3,X1)
    | ~ p1(f51(X1,X2,X3),X2) )).

cnf(clause_15,axiom,
    ( ~ p1(X1,X3)
    | p1(X1,f10(X2,X3))
    | ~ p1(X1,X2) )).

cnf(clause_17,axiom,
    ( p1(X1,f11(X2,X3))
    | ~ p1(X1,X2) )).

cnf(clause_146,axiom,
    ( ~ p1(X1,f62(X2))
    | X1 = f23(f63(X1),f64(X1)) )).

cnf(clause_3,axiom,
    ( ~ p1(X1,c3)
    | p1(f4(X1),c3) )).

cnf(clause_101,axiom,
    ( p1(X3,X2)
    | ~ p1(X1,f13(X2))
    | ~ p1(X3,X1) )).

cnf(clause_38,axiom,
    ( p1(f31(X1,X2,X3),X3)
    | p1(f30(X1,X2,X3),X2)
    | ~ p1(X1,f29(X2,X3)) )).

cnf(clause_2,axiom,
    ( p1(X1,f2(X3,X2))
    | ~ p1(X1,X2) )).

cnf(clause_25,axiom,
    ( p1(f10(X3,X1),f19(X2))
    | ~ p1(X1,f19(X2)) )).

cnf(clause_12,axiom,
    ( ~ p1(X1,X2)
    | p1(X1,f2(X3,X2)) )).

cnf(clause_115,axiom,
    ( p52(X1,X2)
    | p1(f54(X1,X2),X1) )).

cnf(clause_24,axiom,
    ( p1(f10(X1,X3),f19(X2))
    | ~ p1(X1,f19(X2)) )).

cnf(clause_108,axiom,
    ( ~ p1(X3,X1)
    | ~ p52(X1,X2)
    | p1(X3,X2) )).

cnf(clause_118,axiom,
    ( ~ p52(X2,X3)
    | p52(X1,X3)
    | ~ p52(X1,X2) )).

cnf(clause_69,axiom,
    ( p21(X1)
    | ~ p40(c8,f4(X1)) )).

cnf(clause_32,axiom,
    ( p1(X1,f25(X3,X4))
    | ~ p1(X2,X4)
    | ~ p1(f23(X1,X2),X3) )).

cnf(clause_31,axiom,
    ( ~ p1(f23(X2,X4),X5)
    | p1(f23(X1,X4),f24(X5,X3))
    | ~ p1(f23(X1,X2),X3) )).

cnf(clause_68,axiom,
    ( ~ p40(f4(X1),X2)
    | p41(X1,X2) )).

cnf(clause_64,axiom,
    ( ~ p1(f23(f6(X1),f6(X2)),f39(X3,X4,X5,X6))
    | p1(X2,X3) )).

cnf(clause_67,axiom,
    ( ~ p1(f23(f6(X1),f5(X2)),f39(X3,X4,X5,X6))
    | p1(X2,X5) )).

cnf(clause_54,axiom,
    ( p1(f23(X2,X4),X8)
    | ~ p38(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(clause_73,axiom,
    ( X1 = c8
    | ~ p40(X1,c8) )).

cnf(clause_52,axiom,
    ( p1(X2,X7)
    | ~ p37(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(clause_103,axiom,
    ( ~ p1(X1,f18(X2))
    | p1(f50(X1,X2),X2) )).

cnf(clause_109,axiom,
    ( p1(X2,f53(X3))
    | ~ p1(f23(X1,X2),X3) )).

cnf(clause_144,axiom,
    ( ~ p1(f23(X1,X2),X3)
    | p1(f23(X2,X1),f62(X3)) )).

cnf(clause_86,axiom,
    ( ~ p1(X1,f7(X2,X3))
    | X1 = f5(f49(X1,X2,X3))
    | p1(f48(X1,X2,X3),X2) )).

cnf(clause_23,axiom,
    ( ~ p17(f16(X1))
    | p17(f18(X1)) )).

cnf(clause_147,axiom,
    ( ~ p1(X1,f62(X2))
    | p1(f23(f65(X1),f66(X1)),X2) )).

cnf(clause_139,axiom,(
    f60(f23(X1,X2)) = X1 )).

cnf(clause_82,axiom,(
    f6(X1) != f5(X2) )).

cnf(clause_90,axiom,
    ( f23(X1,X2) != f23(X3,X4)
    | X2 = X4 )).

cnf(clause_27,axiom,
    ( p21(f15(X1))
    | ~ p21(f20(X1)) )).

cnf(clause_106,axiom,
    ( p1(X1,X3)
    | p1(f51(X2,X3,X1),X2)
    | ~ p1(X1,X2) )).

cnf(clause_93,axiom,
    ( p1(X1,X2)
    | X1 = X2
    | ~ p1(X1,f4(X2)) )).

cnf(clause_19,axiom,
    ( p1(X1,f13(X2))
    | ~ p1(f12(X1,X2),X2) )).

cnf(clause_100,axiom,
    ( ~ p1(X1,f11(X2,X3))
    | p1(X1,X2)
    | p1(X1,X3) )).

cnf(clause_8,axiom,
    ( X1 != X2
    | f2(X1,c8) = f2(X2,c8) )).

cnf(clause_145,axiom,
    ( ~ p1(f23(X1,X2),f62(X3))
    | p1(f23(X2,X1),X3) )).

cnf(clause_88,axiom,
    ( X1 = f5(f49(X1,X2,X3))
    | X1 = f6(f48(X1,X2,X3))
    | ~ p1(X1,f7(X2,X3)) )).

cnf(clause_46,axiom,
    ( X2 = X4
    | f33(X1,X2) != f33(X3,X4) )).

cnf(clause_148,negated_conjecture,(
    p1(c67,f18(f2(c68,f2(c69,c8)))) )).

cnf(clause_138,axiom,
    ( ~ p1(X1,f56(X2,X3))
    | p1(f61(X1),f59(X3,f60(X1))) )).

cnf(clause_102,axiom,
    ( ~ p1(X1,f18(X2))
    | p1(X1,f50(X1,X2)) )).

cnf(clause_128,axiom,
    ( p1(f57(X2,X3,X1),X2)
    | ~ p1(X1,f56(X2,X3)) )).

cnf(clause_119,axiom,
    ( ~ p1(X1,c8)
    | p1(X1,X2) )).

cnf(clause_11,axiom,(
    p1(X1,f2(X1,c8)) )).

cnf(clause_132,axiom,
    ( p52(X1,X2)
    | X1 != X2 )).

cnf(clause_40,axiom,
    ( p1(f31(X1,X2,X3),X3)
    | ~ p1(X1,f29(X2,X3))
    | X1 = f28(f30(X1,X2,X3)) )).

cnf(clause_57,axiom,
    ( ~ p38(X1,X2,X3,X4,X5,X6,X7,X8)
    | p1(X2,X7) )).

cnf(clause_22,axiom,
    ( p17(f18(X1))
    | p1(f16(X1),X1) )).

cnf(clause_87,axiom,
    ( p1(f49(X1,X2,X3),X3)
    | X1 = f6(f48(X1,X2,X3))
    | ~ p1(X1,f7(X2,X3)) )).

cnf(clause_16,axiom,
    ( p1(X1,f11(X3,X2))
    | ~ p1(X1,X2) )).

cnf(clause_121,axiom,
    ( p1(X3,X2)
    | ~ p52(X1,X2)
    | ~ p1(X3,X1) )).

cnf(clause_59,axiom,(
    ~ p1(f23(f5(X1),f6(X2)),f39(X3,X4,X5,X6)) )).

cnf(clause_136,axiom,
    ( ~ p1(X3,f59(X4,X1))
    | p1(f23(X1,X3),f56(X2,X4))
    | ~ p1(X1,X2) )).

cnf(clause_141,axiom,(
    ~ p1(X1,c8) )).

cnf(clause_34,axiom,(
    f27(X1) != f28(X2) )).

cnf(clause_39,axiom,
    ( p1(f30(X1,X2,X3),X2)
    | X1 = f27(f31(X1,X2,X3))
    | ~ p1(X1,f29(X2,X3)) )).

cnf(clause_92,axiom,
    ( X1 = X2
    | f4(X1) != f4(X2) )).

cnf(clause_126,axiom,
    ( ~ p1(X1,X2)
    | p1(X1,f4(X2)) )).

cnf(clause_36,axiom,
    ( f27(X1) != f27(X2)
    | X1 = X2 )).

cnf(clause_63,axiom,
    ( p1(X1,X3)
    | ~ p1(f23(f6(X1),f6(X2)),f39(X3,X4,X5,X6)) )).

cnf(clause_113,axiom,(
    f23(X1,X2) != X2 )).

cnf(clause_71,axiom,
    ( ~ p1(f23(X1,X2),f42(X3))
    | p1(X2,X3) )).

cnf(clause_76,axiom,
    ( X1 = f23(f43(X1,X2,X3),f44(X1,X2,X3))
    | ~ p1(X1,f24(X2,X3)) )).

cnf(clause_65,axiom,
    ( ~ p1(f23(f6(X1),f6(X2)),f39(X3,X4,X5,X6))
    | p1(f23(X1,X2),X4) )).

cnf(clause_135,axiom,(
    p1(X1,f13(X1)) )).

cnf(clause_28,axiom,
    ( p21(f18(X1))
    | p1(f22(X1),X1) )).

cnf(clause_149,negated_conjecture,(
    ~ p1(c67,f11(c68,c69)) )).

cnf(clause_83,axiom,
    ( X1 = X2
    | f5(X1) != f5(X2) )).

cnf(clause_91,axiom,
    ( f2(X1,c8) != f2(X2,c8)
    | X1 = X2 )).

cnf(clause_43,axiom,
    ( ~ p1(X1,f32(X2))
    | p1(f33(f35(X1,X2),f34(X1,X2)),X2) )).

cnf(clause_49,axiom,
    ( p1(f23(X1,X3),X6)
    | ~ p37(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(clause_66,axiom,
    ( p1(X1,X3)
    | ~ p1(f23(f6(X1),f5(X2)),f39(X3,X4,X5,X6)) )).

cnf(clause_44,axiom,
    ( ~ p1(f33(X1,X2),f32(X3))
    | p1(f33(X2,X1),X3) )).

cnf(clause_89,axiom,
    ( X1 = X3
    | f23(X1,X2) != f23(X3,X4) )).

cnf(clause_122,axiom,(
    p1(X1,f55(X1,X2)) )).

cnf(clause_78,axiom,
    ( p1(f23(f45(X1,X2,X3),f44(X1,X2,X3)),X2)
    | ~ p1(X1,f24(X2,X3)) )).

cnf(clause_42,axiom,
    ( ~ p1(X1,f32(X2))
    | X1 = f33(f34(X1,X2),f35(X1,X2)) )).

cnf(clause_47,axiom,
    ( p1(X1,c3)
    | ~ p1(f4(X1),c3) )).

cnf(clause_124,axiom,
    ( X1 = X2
    | ~ p1(X1,f55(X2,X3))
    | X1 = X3 )).

cnf(clause_50,axiom,
    ( p1(X1,X5)
    | ~ p37(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(clause_105,axiom,
    ( p1(X1,X3)
    | ~ p1(X1,f15(X2))
    | ~ p1(X3,X2) )).

cnf(clause_99,axiom,
    ( ~ p1(X1,f10(X2,X3))
    | p1(X1,X3) )).

cnf(clause_143,axiom,
    ( ~ p1(X1,X2)
    | p1(X1,f11(X3,X2)) )).

cnf(clause_80,axiom,
    ( X1 = f23(f47(X1,X2),f47(X1,X2))
    | ~ p1(X1,f46(X2)) )).

cnf(clause_21,axiom,
    ( ~ p1(X1,f14(X1,X2))
    | ~ p1(X3,X2)
    | p1(X1,f15(X2)) )).

cnf(clause_125,axiom,(
    p1(X1,f4(X1)) )).

cnf(clause_134,axiom,(
    p1(c8,f13(X1)) )).

cnf(clause_112,axiom,(
    f23(X1,X2) != X1 )).

cnf(clause_79,axiom,
    ( ~ p1(X1,f46(X2))
    | p1(f47(X1,X2),X2) )).

cnf(clause_29,axiom,
    ( p21(f18(X1))
    | ~ p21(f22(X1)) )).

cnf(clause_81,axiom,(
    f5(X1) != f6(X2) )).

cnf(clause_4,axiom,
    ( X1 != X2
    | f5(X1) = f5(X2) )).

cnf(clause_30,axiom,
    ( ~ p21(X2)
    | ~ p21(X1)
    | p21(f11(X1,X2)) )).

cnf(clause_111,axiom,(
    f23(X1,X2) != c8 )).

cnf(clause_77,axiom,
    ( p1(f23(f43(X1,X2,X3),f45(X1,X2,X3)),X3)
    | ~ p1(X1,f24(X2,X3)) )).
%------------------------------------------------------------------------------
