%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C,D) = f10(B,C,D) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A,D) = f10(C,B,D) )).

cnf(f10_substitution_3,axiom,
    ( A != B
    | f10(C,D,A) = f10(C,D,B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A,C) = f11(B,C) )).

cnf(f11_substitution_2,axiom,
    ( A != B
    | f11(C,A) = f11(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C,D) = f2(B,C,D) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A,D) = f2(C,B,D) )).

cnf(f2_substitution_3,axiom,
    ( A != B
    | f2(C,D,A) = f2(C,D,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C,D) = f6(B,C,D) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A,D) = f6(C,B,D) )).

cnf(f6_substitution_3,axiom,
    ( A != B
    | f6(C,D,A) = f6(C,D,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C) = f7(B,C) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A) = f7(C,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C) = f8(B,C) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A) = f8(C,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C) = f9(B,C) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A) = f9(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A,C,D)
    | p5(B,C,D) )).

cnf(p5_substitution_2,axiom,
    ( A != B
    | ~ p5(C,A,D)
    | p5(C,B,D) )).

cnf(p5_substitution_3,axiom,
    ( A != B
    | ~ p5(C,D,A)
    | p5(C,D,B) )).

cnf(clause_7,axiom,
    ( ~ p5(X1,f7(X2,X3),f3(f3(f3(X3))))
    | p1(f8(X1,f3(X3)),f7(X2,X3),f3(f3(X3))) )).

cnf(clause_2,axiom,(
    ~ p1(X1,c4,X2) )).

cnf(clause_1,axiom,
    ( p1(X1,X4,X3)
    | ~ p1(X1,X2,X3)
    | p1(X1,f2(X2,X4,f3(X3)),X3) )).

cnf(clause_10,axiom,
    ( f10(X2,X1,X3) != X1
    | ~ p1(X1,f2(f9(X2,X3),f11(X2,X3),f3(f3(f3(X3)))),f3(f3(X3))) )).

cnf(clause_8,axiom,
    ( p1(X1,f9(X2,X3),f3(f3(X3)))
    | ~ p1(X1,f7(X2,X3),f3(f3(X3))) )).

cnf(clause_6,axiom,(
    p5(X1,X1,f3(X2)) )).

cnf(clause_4,axiom,
    ( p5(X1,X2,f3(X3))
    | p1(f6(X1,X2,X3),X1,X3) )).

cnf(clause_5,axiom,
    ( X2 = X1
    | ~ p5(X2,X1,f3(X3))
    | ~ p5(X1,X2,f3(X3)) )).

cnf(clause_9,axiom,
    ( ~ p1(f8(f7(X1,X2),f3(X2)),f7(X1,X2),f3(f3(X2)))
    | f8(f7(X1,X2),f3(X2)) = f10(X1,f8(f7(X1,X2),f3(X2)),X2) )).

cnf(clause_11,negated_conjecture,(
    ~ p1(X1,f11(c12,c13),f3(f3(c13))) )).

cnf(clause_3,axiom,(
    p5(c4,X1,f3(X2)) )).
%------------------------------------------------------------------------------
