%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C,D) = f10(B,C,D) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A,D) = f10(C,B,D) )).

cnf(f10_substitution_3,axiom,
    ( A != B
    | f10(C,D,A) = f10(C,D,B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A,C,D) = f12(B,C,D) )).

cnf(f12_substitution_2,axiom,
    ( A != B
    | f12(C,A,D) = f12(C,B,D) )).

cnf(f12_substitution_3,axiom,
    ( A != B
    | f12(C,D,A) = f12(C,D,B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C,D) = f13(B,C,D) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A,D) = f13(C,B,D) )).

cnf(f13_substitution_3,axiom,
    ( A != B
    | f13(C,D,A) = f13(C,D,B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C,D) = f15(B,C,D) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A,D) = f15(C,B,D) )).

cnf(f15_substitution_3,axiom,
    ( A != B
    | f15(C,D,A) = f15(C,D,B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A,C,D) = f16(B,C,D) )).

cnf(f16_substitution_2,axiom,
    ( A != B
    | f16(C,A,D) = f16(C,B,D) )).

cnf(f16_substitution_3,axiom,
    ( A != B
    | f16(C,D,A) = f16(C,D,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C) = f9(B,C) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A) = f9(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p8_substitution_1,axiom,
    ( A != B
    | ~ p8(A,C,D)
    | p8(B,C,D) )).

cnf(p8_substitution_2,axiom,
    ( A != B
    | ~ p8(C,A,D)
    | p8(C,B,D) )).

cnf(p8_substitution_3,axiom,
    ( A != B
    | ~ p8(C,D,A)
    | p8(C,D,B) )).

cnf(clause_9,axiom,
    ( p8(X1,X2,X4)
    | ~ p8(X1,f10(X2,X3,X4),X4) )).

cnf(clause_14,axiom,
    ( p8(f13(X1,X2,X3),X2,f6(X3))
    | ~ p8(X1,f2(X2,X3),X3) )).

cnf(clause_5,axiom,
    ( p8(X1,f9(X2,f6(X3)),X3)
    | p8(X1,X2,X3) )).

cnf(clause_18,axiom,
    ( p8(X1,f15(X4,X2,X3),X3)
    | ~ p8(X1,X2,X3) )).

cnf(clause_2,negated_conjecture,(
    ~ p1(c7,f2(c3,c4),f6(c4)) )).

cnf(clause_15,axiom,
    ( p8(X1,f13(X1,X2,X3),X3)
    | ~ p8(X1,f2(X2,X3),X3) )).

cnf(clause_23,axiom,
    ( p1(X1,X2,f6(X3))
    | ~ p8(f16(X1,X2,X3),X2,X3) )).

cnf(clause_7,axiom,
    ( p1(f9(X2,f6(X3)),f9(X1,f6(X3)),f6(X3))
    | ~ p1(X1,X2,f6(X3)) )).

cnf(clause_20,axiom,
    ( X1 = X2
    | ~ p8(X1,f15(X2,X3,X4),X4)
    | p8(X1,X3,X4) )).

cnf(clause_12,axiom,
    ( p8(X1,f12(X4,X2,X3),X3)
    | ~ p8(X1,X2,X3) )).

cnf(clause_21,axiom,
    ( p8(X1,X4,X3)
    | ~ p1(X2,X4,f6(X3))
    | ~ p8(X1,X2,X3) )).

cnf(clause_6,axiom,
    ( ~ p1(f9(X1,f6(X2)),f9(X3,f6(X2)),f6(X2))
    | p1(X3,X1,f6(X2)) )).

cnf(clause_3,negated_conjecture,
    ( ~ p8(X1,c3,f6(c4))
    | p1(c7,X1,f6(c4))
    | p1(X1,c5,f6(c4)) )).

cnf(clause_4,axiom,
    ( ~ p8(X1,X2,X3)
    | ~ p8(X1,f9(X2,f6(X3)),X3) )).

cnf(clause_22,axiom,
    ( p8(f16(X1,X2,X3),X1,X3)
    | p1(X1,X2,f6(X3)) )).

cnf(clause_19,axiom,(
    p8(X1,f15(X1,X2,X3),X3) )).

cnf(clause_17,axiom,(
    ~ p8(X1,c14,X2) )).

cnf(clause_16,axiom,
    ( ~ p8(X1,X2,X3)
    | p8(X1,f2(X4,X3),X3)
    | ~ p8(X2,X4,f6(X3)) )).

cnf(clause_10,axiom,
    ( ~ p8(X1,X4,X3)
    | p8(X1,f10(X4,X2,X3),X3)
    | ~ p8(X1,X2,X3) )).

cnf(clause_11,axiom,(
    p8(X1,c11,X2) )).

cnf(clause_1,negated_conjecture,(
    ~ p1(f2(c3,c4),c5,f6(c4)) )).

cnf(clause_13,axiom,
    ( ~ p8(X1,f12(X2,X3,X4),X4)
    | p8(X1,X2,X4)
    | p8(X1,X3,X4) )).

cnf(clause_8,axiom,
    ( ~ p8(X1,f10(X2,X3,X4),X4)
    | p8(X1,X3,X4) )).

cnf(clause_24,axiom,
    ( X2 = X1
    | ~ p1(X2,X1,f6(X3))
    | ~ p1(X1,X2,f6(X3)) )).
%------------------------------------------------------------------------------
