%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C) = f10(B,C) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A) = f10(C,B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A,C,D) = f11(B,C,D) )).

cnf(f11_substitution_2,axiom,
    ( A != B
    | f11(C,A,D) = f11(C,B,D) )).

cnf(f11_substitution_3,axiom,
    ( A != B
    | f11(C,D,A) = f11(C,D,B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A) = f16(B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C,D) = f4(B,C,D) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A,D) = f4(C,B,D) )).

cnf(f4_substitution_3,axiom,
    ( A != B
    | f4(C,D,A) = f4(C,D,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C) = f5(B,C) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A) = f5(C,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C,D) = f6(B,C,D) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A,D) = f6(C,B,D) )).

cnf(f6_substitution_3,axiom,
    ( A != B
    | f6(C,D,A) = f6(C,D,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C,D) = f7(B,C,D) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A,D) = f7(C,B,D) )).

cnf(f7_substitution_3,axiom,
    ( A != B
    | f7(C,D,A) = f7(C,D,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C,D) = f8(B,C,D) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A,D) = f8(C,B,D) )).

cnf(f8_substitution_3,axiom,
    ( A != B
    | f8(C,D,A) = f8(C,D,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C,D)
    | p3(B,C,D) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A,D)
    | p3(C,B,D) )).

cnf(p3_substitution_3,axiom,
    ( A != B
    | ~ p3(C,D,A)
    | p3(C,D,B) )).

cnf(clause_11,negated_conjecture,(
    p3(c15,c13,f2(c14)) )).

cnf(clause_1,axiom,
    ( ~ p1(X2,X1,f2(X3))
    | ~ p1(X1,X2,f2(X3))
    | X2 = X1 )).

cnf(clause_10,negated_conjecture,(
    p3(c12,f5(c13,c14),f2(f2(c14))) )).

cnf(clause_3,axiom,
    ( p3(f4(X1,X2,X3),X1,X3)
    | p1(X1,X2,f2(X3)) )).

cnf(clause_5,axiom,
    ( p3(f6(X4,X1,X3),X4,f2(X3))
    | ~ p3(X1,X2,f2(X3))
    | ~ p3(X4,f5(X2,X3),f2(f2(X3)))
    | p3(f7(f8(X1,c9,f2(X3)),X4,f2(X3)),f5(X2,X3),f2(f2(X3))) )).

cnf(clause_7,axiom,
    ( ~ p3(f7(f8(X2,c9,f2(X3)),X4,f2(X3)),f5(X5,X3),f2(f2(X3)))
    | ~ p3(X1,X2,X3)
    | p3(X1,X6,X3)
    | p3(f11(X4,X6,X3),X4,f2(X3))
    | ~ p3(X4,f10(X5,X3),f2(f2(X3))) )).

cnf(clause_4,axiom,
    ( p1(X1,X2,f2(X3))
    | ~ p3(f4(X1,X2,X3),X2,X3) )).

cnf(clause_12,negated_conjecture,
    ( ~ p3(X1,c12,f2(c14))
    | p1(X1,c15,f2(c14)) )).

cnf(clause_2,axiom,
    ( ~ p1(X2,X4,f2(X3))
    | ~ p3(X1,X2,X3)
    | p3(X1,X4,X3) )).

cnf(clause_8,axiom,
    ( p3(X1,X6,X3)
    | ~ p3(f7(f8(X2,c9,f2(X3)),X4,f2(X3)),f5(X5,X3),f2(f2(X3)))
    | ~ p3(X1,X2,X3)
    | ~ p1(f11(X4,X6,X3),X6,f2(X3))
    | ~ p3(X4,f10(X5,X3),f2(f2(X3))) )).

cnf(clause_9,negated_conjecture,(
    p3(c12,f10(c13,c14),f2(f2(c14))) )).

cnf(clause_6,axiom,
    ( p3(f7(f8(X1,c9,f2(X3)),X4,f2(X3)),f5(X2,X3),f2(f2(X3)))
    | ~ p1(f6(X4,X1,X3),X1,f2(X3))
    | ~ p3(X1,X2,f2(X3))
    | ~ p3(X4,f5(X2,X3),f2(f2(X3))) )).

cnf(clause_15,negated_conjecture,
    ( ~ p3(X1,c13,f2(c14))
    | X1 != f16(X1) )).

cnf(clause_13,negated_conjecture,
    ( ~ p3(X1,c13,f2(c14))
    | p3(f16(X1),c13,f2(c14)) )).

cnf(clause_14,negated_conjecture,
    ( ~ p3(X1,c13,f2(c14))
    | p1(X1,f16(X1),f2(c14)) )).
%------------------------------------------------------------------------------
