%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C,D) = f10(B,C,D) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A,D) = f10(C,B,D) )).

cnf(f10_substitution_3,axiom,
    ( A != B
    | f10(C,D,A) = f10(C,D,B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A) = f12(B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C,D) = f4(B,C,D) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A,D) = f4(C,B,D) )).

cnf(f4_substitution_3,axiom,
    ( A != B
    | f4(C,D,A) = f4(C,D,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C,D) = f9(B,C,D) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A,D) = f9(C,B,D) )).

cnf(f9_substitution_3,axiom,
    ( A != B
    | f9(C,D,A) = f9(C,D,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p11_substitution_1,axiom,
    ( A != B
    | ~ p11(A,C,D)
    | p11(B,C,D) )).

cnf(p11_substitution_2,axiom,
    ( A != B
    | ~ p11(C,A,D)
    | p11(C,B,D) )).

cnf(p11_substitution_3,axiom,
    ( A != B
    | ~ p11(C,D,A)
    | p11(C,D,B) )).

cnf(clause_5,axiom,
    ( ~ p1(X1,X2,X3)
    | p1(X1,f9(X4,X2,X3),X3) )).

cnf(clause_10,axiom,
    ( ~ p11(X2,f3(X3),f12(c7))
    | ~ p1(X1,f3(X2),c7)
    | p1(X1,f3(X3),c7) )).

cnf(clause_9,axiom,
    ( ~ p1(f10(X1,X2,X3),X2,X3)
    | p11(X1,X2,f12(X3)) )).

cnf(clause_7,axiom,
    ( p1(X1,X3,X4)
    | ~ p1(X1,f4(X2,X3,X4),X4)
    | X1 = X2 )).

cnf(clause_4,axiom,
    ( ~ p1(X1,X2,c7)
    | p1(X1,f3(X2),c7) )).

cnf(clause_6,axiom,
    ( ~ p1(X1,X2,X3)
    | p1(X1,f9(X2,X4,X3),X3) )).

cnf(clause_2,negated_conjecture,(
    p1(c5,f3(c8),c7) )).

cnf(clause_3,negated_conjecture,(
    ~ p1(c2,f3(f9(c6,c8,c7)),c7) )).

cnf(clause_8,axiom,
    ( p1(f10(X1,X2,X3),X1,X3)
    | p11(X1,X2,f12(X3)) )).

cnf(clause_1,negated_conjecture,(
    p1(c2,f3(f4(c5,c6,c7)),c7) )).
%------------------------------------------------------------------------------
