%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A,C,D) = f11(B,C,D) )).

cnf(f11_substitution_2,axiom,
    ( A != B
    | f11(C,A,D) = f11(C,B,D) )).

cnf(f11_substitution_3,axiom,
    ( A != B
    | f11(C,D,A) = f11(C,D,B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A,C,D) = f14(B,C,D) )).

cnf(f14_substitution_2,axiom,
    ( A != B
    | f14(C,A,D) = f14(C,B,D) )).

cnf(f14_substitution_3,axiom,
    ( A != B
    | f14(C,D,A) = f14(C,D,B) )).

cnf(f17_substitution_1,axiom,
    ( A != B
    | f17(A) = f17(B) )).

cnf(f18_substitution_1,axiom,
    ( A != B
    | f18(A,C) = f18(B,C) )).

cnf(f18_substitution_2,axiom,
    ( A != B
    | f18(C,A) = f18(C,B) )).

cnf(f19_substitution_1,axiom,
    ( A != B
    | f19(A,C) = f19(B,C) )).

cnf(f19_substitution_2,axiom,
    ( A != B
    | f19(C,A) = f19(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C) = f8(B,C) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A) = f8(C,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A) = f9(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p15_substitution_1,axiom,
    ( A != B
    | ~ p15(A,C,D)
    | p15(B,C,D) )).

cnf(p15_substitution_2,axiom,
    ( A != B
    | ~ p15(C,A,D)
    | p15(C,B,D) )).

cnf(p15_substitution_3,axiom,
    ( A != B
    | ~ p15(C,D,A)
    | p15(C,D,B) )).

cnf(p16_substitution_1,axiom,
    ( A != B
    | ~ p16(A,C,D)
    | p16(B,C,D) )).

cnf(p16_substitution_2,axiom,
    ( A != B
    | ~ p16(C,A,D)
    | p16(C,B,D) )).

cnf(p16_substitution_3,axiom,
    ( A != B
    | ~ p16(C,D,A)
    | p16(C,D,B) )).

cnf(clause_5,axiom,(
    c13 = f9(c10) )).

cnf(clause_13,axiom,
    ( ~ p15(f17(X2),X1,c12)
    | ~ p1(f2(X1),f3(X2),c5) )).

cnf(clause_12,axiom,(
    ~ p16(f11(X1,X2,c12),X2,c12) )).

cnf(clause_9,axiom,(
    p16(X1,f9(X1),c12) )).

cnf(clause_7,axiom,(
    f14(X1,X1,c12) = c10 )).

cnf(clause_6,axiom,
    ( f14(X1,X2,c12) != c10
    | p15(X1,X2,c12) )).

cnf(clause_3,axiom,(
    f8(f9(X1),f9(X2)) = f11(f8(X1,X2),f8(X1,f9(X2)),c12) )).

cnf(clause_10,axiom,
    ( p16(X1,f9(X2),c12)
    | ~ p15(X1,X2,c12) )).

cnf(clause_14,axiom,(
    f18(f19(X1,c12),c12) = f9(X1) )).

cnf(clause_1,negated_conjecture,
    ( p1(f2(X2),f3(c4),c5)
    | X3 = X2
    | p1(f2(X1),f3(c7),c5)
    | p1(f2(X3),f3(c6),c5)
    | X1 = X3
    | X1 = X2 )).

cnf(clause_11,axiom,
    ( p15(X2,X3,c12)
    | ~ p15(f11(X1,X2,c12),f11(X1,X3,c12),c12) )).

cnf(clause_2,axiom,(
    f8(X1,f9(c10)) = X1 )).

cnf(clause_4,axiom,(
    f8(X1,c10) = c13 )).

cnf(clause_8,axiom,(
    p15(X1,f11(X1,X2,c12),c12) )).
%------------------------------------------------------------------------------
