%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A) = f10(B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A) = f11(B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A) = f12(B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C,D) = f13(B,C,D) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A,D) = f13(C,B,D) )).

cnf(f13_substitution_3,axiom,
    ( A != B
    | f13(C,D,A) = f13(C,D,B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A,C,D) = f14(B,C,D) )).

cnf(f14_substitution_2,axiom,
    ( A != B
    | f14(C,A,D) = f14(C,B,D) )).

cnf(f14_substitution_3,axiom,
    ( A != B
    | f14(C,D,A) = f14(C,D,B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C) = f15(B,C) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A) = f15(C,B) )).

cnf(f17_substitution_1,axiom,
    ( A != B
    | f17(A) = f17(B) )).

cnf(f18_substitution_1,axiom,
    ( A != B
    | f18(A) = f18(B) )).

cnf(f19_substitution_1,axiom,
    ( A != B
    | f19(A) = f19(B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C,D) = f2(B,C,D) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A,D) = f2(C,B,D) )).

cnf(f2_substitution_3,axiom,
    ( A != B
    | f2(C,D,A) = f2(C,D,B) )).

cnf(f23_substitution_1,axiom,
    ( A != B
    | f23(A,C,D,E,F) = f23(B,C,D,E,F) )).

cnf(f23_substitution_2,axiom,
    ( A != B
    | f23(C,A,D,E,F) = f23(C,B,D,E,F) )).

cnf(f23_substitution_3,axiom,
    ( A != B
    | f23(C,D,A,E,F) = f23(C,D,B,E,F) )).

cnf(f23_substitution_4,axiom,
    ( A != B
    | f23(C,D,E,A,F) = f23(C,D,E,B,F) )).

cnf(f23_substitution_5,axiom,
    ( A != B
    | f23(C,D,E,F,A) = f23(C,D,E,F,B) )).

cnf(f24_substitution_1,axiom,
    ( A != B
    | f24(A,C) = f24(B,C) )).

cnf(f24_substitution_2,axiom,
    ( A != B
    | f24(C,A) = f24(C,B) )).

cnf(f25_substitution_1,axiom,
    ( A != B
    | f25(A,C,D) = f25(B,C,D) )).

cnf(f25_substitution_2,axiom,
    ( A != B
    | f25(C,A,D) = f25(C,B,D) )).

cnf(f25_substitution_3,axiom,
    ( A != B
    | f25(C,D,A) = f25(C,D,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f35_substitution_1,axiom,
    ( A != B
    | f35(A) = f35(B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C) = f9(B,C) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A) = f9(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(clause_1,axiom,
    ( p1(X3,f5(f6(c7,X4)),c8)
    | ~ p1(f2(X1,X2,X3),f3(X4,c4),c4) )).

cnf(clause_11,axiom,
    ( ~ p1(X1,c16,f17(c4))
    | p1(f2(f25(X2,X3,X1),X2,X3),f3(X1,c4),c4)
    | ~ p1(f24(X2,X3),f3(X1,c4),c4) )).

cnf(clause_10,axiom,
    ( p1(f2(X2,c22,f15(X3,f15(f19(X5),f15(f19(X2),f15(f23(X5,X2,X3,X4,X1),f9(f18(X2),f15(X3,f15(X4,f15(f19(X5),f19(X2)))))))))),f3(X1,c4),c4)
    | ~ p1(f9(f18(X2),f15(X3,f15(X4,f15(f19(X5),f19(X2))))),f12(f6(c7,X1)),c8)
    | ~ p1(X1,c16,f17(c4))
    | p1(X2,c20,c21) )).

cnf(clause_9,axiom,
    ( ~ p1(X1,X2,c8)
    | p1(X1,f10(X2),c8) )).

cnf(clause_13,axiom,
    ( ~ p1(X1,f14(X2,X3,X4),X4)
    | p1(X1,X3,X4)
    | p1(X1,X2,X4) )).

cnf(clause_19,negated_conjecture,(
    p1(f9(f18(c26),f15(c31,f11(c33))),f12(f13(c32,f6(c7,c27),c8)),c8) )).

cnf(clause_20,negated_conjecture,(
    ~ p1(f2(c22,c26,f15(c28,f15(f9(f18(c29),f15(c28,f11(c33))),f9(f18(c26),f15(c31,f11(c33)))))),f3(c27,c4),c4) )).

cnf(clause_14,negated_conjecture,(
    ~ p1(c26,c20,c21) )).

cnf(clause_4,axiom,
    ( p1(X2,f5(X3),c8)
    | ~ p1(f15(X1,X2),f5(X3),c8) )).

cnf(clause_2,axiom,
    ( p1(f11(X1),X3,c8)
    | p1(f9(X1,X2),X3,c8)
    | ~ p1(f9(X1,X2),f10(X3),c8) )).

cnf(clause_3,axiom,
    ( ~ p1(X1,f12(f13(X2,X3,c8)),c8)
    | p1(X1,f14(f10(f5(X3)),f12(X3),c8),c8)
    | ~ p1(X2,f10(f5(X3)),c8) )).

cnf(clause_12,axiom,
    ( ~ p1(X1,c16,f17(c4))
    | p1(X2,c20,c21)
    | ~ p1(f11(f18(X2)),f12(f6(c7,X1)),c8) )).

cnf(clause_15,negated_conjecture,(
    p1(c27,c16,f17(c4)) )).

cnf(clause_6,axiom,
    ( ~ p1(f15(X1,X2),f12(X3),c8)
    | p1(X2,f12(X3),c8) )).

cnf(clause_18,negated_conjecture,(
    p1(f24(c34,f15(f35(c36),f15(c32,f9(f18(c34),f15(f35(c37),f11(c38)))))),f3(c27,c4),c4) )).

cnf(clause_5,axiom,
    ( p1(X1,f5(X3),c8)
    | ~ p1(f15(X1,X2),f5(X3),c8) )).

cnf(clause_7,axiom,
    ( ~ p1(f15(X1,X2),f10(f5(X3)),c8)
    | p1(X1,f10(f5(X3)),c8) )).

cnf(clause_17,negated_conjecture,
    ( ~ p1(f9(f18(c26),f15(c31,f11(c33))),f12(f6(c7,c27)),c8)
    | ~ p1(f2(c26,c22,f15(c28,f15(f19(c29),f15(f19(c26),f15(X1,f9(f18(c26),f15(c28,f15(c31,f15(f19(c29),f19(c26)))))))))),f3(c27,c4),c4)
    | p1(f2(c22,c26,f15(c28,f15(f9(f18(c29),f15(c28,f11(c33))),f9(f18(c26),f15(c31,f11(c33)))))),f3(c27,c4),c4) )).

cnf(clause_16,negated_conjecture,
    ( p1(f2(c26,c22,f15(c28,f15(f19(c29),f15(f19(c26),f15(c30,f9(f18(c26),f15(c28,f15(c31,f15(f19(c29),f19(c26)))))))))),f3(c27,c4),c4)
    | f15(f19(c29),f15(f19(c26),f15(c30,f9(f18(c26),f15(c28,f15(c31,f15(f19(c29),f19(c26)))))))) = c32 )).

cnf(clause_8,axiom,
    ( ~ p1(X1,f5(X2),c8)
    | p1(X1,f12(X2),c8) )).
%------------------------------------------------------------------------------
