%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A) = f10(B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A) = f12(B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C) = f13(B,C) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A) = f13(C,B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A) = f14(B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A) = f15(B) )).

cnf(f19_substitution_1,axiom,
    ( A != B
    | f19(A,C,D,E,F) = f19(B,C,D,E,F) )).

cnf(f19_substitution_2,axiom,
    ( A != B
    | f19(C,A,D,E,F) = f19(C,B,D,E,F) )).

cnf(f19_substitution_3,axiom,
    ( A != B
    | f19(C,D,A,E,F) = f19(C,D,B,E,F) )).

cnf(f19_substitution_4,axiom,
    ( A != B
    | f19(C,D,E,A,F) = f19(C,D,E,B,F) )).

cnf(f19_substitution_5,axiom,
    ( A != B
    | f19(C,D,E,F,A) = f19(C,D,E,F,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C,D) = f2(B,C,D) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A,D) = f2(C,B,D) )).

cnf(f2_substitution_3,axiom,
    ( A != B
    | f2(C,D,A) = f2(C,D,B) )).

cnf(f20_substitution_1,axiom,
    ( A != B
    | f20(A,C) = f20(B,C) )).

cnf(f20_substitution_2,axiom,
    ( A != B
    | f20(C,A) = f20(C,B) )).

cnf(f21_substitution_1,axiom,
    ( A != B
    | f21(A,C,D) = f21(B,C,D) )).

cnf(f21_substitution_2,axiom,
    ( A != B
    | f21(C,A,D) = f21(C,B,D) )).

cnf(f21_substitution_3,axiom,
    ( A != B
    | f21(C,D,A) = f21(C,D,B) )).

cnf(f25_substitution_1,axiom,
    ( A != B
    | f25(A) = f25(B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C) = f9(B,C) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A) = f9(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(clause_11,negated_conjecture,(
    c22 = c27 )).

cnf(clause_3,axiom,
    ( ~ p1(X1,f5(X2),c8)
    | p1(X1,f10(X2),c8) )).

cnf(clause_1,axiom,
    ( ~ p1(f2(X1,X2,X3),f3(X4,c4),c4)
    | p1(X3,f5(f6(c7,X4)),c8) )).

cnf(clause_6,negated_conjecture,(
    ~ p1(c22,c16,c17) )).

cnf(clause_8,negated_conjecture,(
    c24 = f25(c26) )).

cnf(clause_2,axiom,
    ( p1(X2,f5(X3),c8)
    | ~ p1(f9(X1,X2),f5(X3),c8) )).

cnf(clause_12,negated_conjecture,(
    c30 = f25(c28) )).

cnf(clause_9,negated_conjecture,(
    ~ p1(f2(c27,c18,f9(f25(c28),f9(f15(c29),f9(f15(c27),f9(X1,f13(f14(c27),f9(f25(c28),f9(f25(c26),f9(f15(c29),f15(c27)))))))))),f3(c23,c4),c4) )).

cnf(clause_10,negated_conjecture,(
    p1(f20(c18,f9(f25(c28),f9(f15(c29),f9(f15(c27),f9(f13(f14(c29),f9(f25(c28),f9(f15(c29),f15(c27)))),f13(f14(c27),f9(f25(c28),f9(f25(c26),f9(f15(c29),f15(c27)))))))))),f3(c23,c4),c4) )).

cnf(clause_4,axiom,
    ( p1(f2(X2,c18,f9(X3,f9(f15(X5),f9(f15(X2),f9(f19(X5,X2,X3,X4,X1),f13(f14(X2),f9(X3,f9(X4,f9(f15(X5),f15(X2)))))))))),f3(X1,c4),c4)
    | p1(X2,c16,c17)
    | ~ p1(X1,c11,f12(c4))
    | ~ p1(f13(f14(X2),f9(X3,f9(X4,f9(f15(X5),f15(X2))))),f10(f6(c7,X1)),c8) )).

cnf(clause_5,axiom,
    ( ~ p1(f20(X2,X3),f3(X1,c4),c4)
    | ~ p1(X1,c11,f12(c4))
    | p1(f2(f21(X2,X3,X1),X2,X3),f3(X1,c4),c4) )).

cnf(clause_7,negated_conjecture,(
    p1(c23,c11,f12(c4)) )).
%------------------------------------------------------------------------------
