%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A) = f10(B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A,C,D) = f11(B,C,D) )).

cnf(f11_substitution_2,axiom,
    ( A != B
    | f11(C,A,D) = f11(C,B,D) )).

cnf(f11_substitution_3,axiom,
    ( A != B
    | f11(C,D,A) = f11(C,D,B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A) = f12(B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C) = f13(B,C) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A) = f13(C,B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A) = f14(B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C,D) = f15(B,C,D) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A,D) = f15(C,B,D) )).

cnf(f15_substitution_3,axiom,
    ( A != B
    | f15(C,D,A) = f15(C,D,B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A,C) = f16(B,C) )).

cnf(f16_substitution_2,axiom,
    ( A != B
    | f16(C,A) = f16(C,B) )).

cnf(f17_substitution_1,axiom,
    ( A != B
    | f17(A) = f17(B) )).

cnf(f19_substitution_1,axiom,
    ( A != B
    | f19(A) = f19(B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C,D) = f2(B,C,D) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A,D) = f2(C,B,D) )).

cnf(f2_substitution_3,axiom,
    ( A != B
    | f2(C,D,A) = f2(C,D,B) )).

cnf(f20_substitution_1,axiom,
    ( A != B
    | f20(A,C) = f20(B,C) )).

cnf(f20_substitution_2,axiom,
    ( A != B
    | f20(C,A) = f20(C,B) )).

cnf(f21_substitution_1,axiom,
    ( A != B
    | f21(A,C,D) = f21(B,C,D) )).

cnf(f21_substitution_2,axiom,
    ( A != B
    | f21(C,A,D) = f21(C,B,D) )).

cnf(f21_substitution_3,axiom,
    ( A != B
    | f21(C,D,A) = f21(C,D,B) )).

cnf(f22_substitution_1,axiom,
    ( A != B
    | f22(A) = f22(B) )).

cnf(f24_substitution_1,axiom,
    ( A != B
    | f24(A) = f24(B) )).

cnf(f27_substitution_1,axiom,
    ( A != B
    | f27(A) = f27(B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A) = f9(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(clause_35,negated_conjecture,
    ( p1(c34,c25,c26)
    | ~ p1(f12(f27(c34)),f14(f6(c7,c28)),c8) )).

cnf(clause_16,axiom,(
    f14(f11(f17(X1),X2,c8)) = f11(f17(X1),f14(X2),c8) )).

cnf(clause_28,axiom,(
    f15(f11(X1,X2,X3),X4,X3) = f11(X1,f15(X2,X4,X3),X3) )).

cnf(clause_13,axiom,(
    f14(f11(f9(X1),X2,c8)) = f11(f9(X1),f14(X2),c8) )).

cnf(clause_1,axiom,
    ( ~ p1(f2(X1,X2,X3),f3(X4,c4),c4)
    | p1(X3,f5(f6(c7,X4)),c8) )).

cnf(clause_22,axiom,(
    ~ p1(f17(X1),f14(f24(X2)),c8) )).

cnf(clause_27,axiom,(
    f15(X1,X1,X2) = X1 )).

cnf(clause_17,axiom,
    ( ~ p1(X1,X2,c8)
    | p1(X1,f10(X2),c8) )).

cnf(clause_20,axiom,(
    ~ p1(f16(X1,X2),f22(c23),c8) )).

cnf(clause_11,axiom,
    ( f14(f11(X1,X2,c8)) = f14(X2)
    | ~ p1(X1,f14(X2),c8) )).

cnf(clause_25,axiom,(
    p1(f12(f27(X1)),f24(X1),c8) )).

cnf(clause_6,axiom,
    ( p1(X2,f14(X3),c8)
    | ~ p1(f13(X1,X2),f14(X3),c8) )).

cnf(clause_9,axiom,(
    f14(f15(X1,X2,c8)) = f15(f14(X1),f14(X2),c8) )).

cnf(clause_4,axiom,
    ( ~ p1(f12(X1),f10(X2),c8)
    | p1(f12(X1),X2,c8) )).

cnf(clause_12,axiom,(
    f14(f14(X1)) = f14(X1) )).

cnf(clause_31,axiom,
    ( ~ p1(X1,X2,X3)
    | p1(X1,f11(X4,X2,X3),X3) )).

cnf(clause_5,axiom,
    ( p1(X1,f5(X3),c8)
    | ~ p1(f13(X1,X2),f5(X3),c8) )).

cnf(clause_2,axiom,(
    p1(f9(X1),f10(X2),c8) )).

cnf(clause_19,axiom,
    ( ~ p1(f20(X2,X3),f3(X1,c4),c4)
    | p1(f2(f21(X2,X3,X1),X2,X3),f3(X1,c4),c4)
    | ~ p1(X1,c18,f19(c4)) )).

cnf(clause_29,axiom,(
    f15(X1,f11(X2,X3,X4),X4) = f11(X2,f15(X1,X3,X4),X4) )).

cnf(clause_7,axiom,(
    f5(f14(X1)) = f14(X1) )).

cnf(clause_14,axiom,(
    f14(f11(f16(X1,X2),X3,c8)) = f11(f16(X1,X2),f14(f11(X2,X3,c8)),c8) )).

cnf(clause_26,axiom,(
    p1(f12(f27(X1)),f22(X2),c8) )).

cnf(clause_36,negated_conjecture,
    ( ~ p1(c34,c25,c26)
    | ~ p1(f12(f27(c34)),f14(f11(c33,f11(f16(f27(c30),f13(f17(c31),f13(f17(c29),f13(f9(c32),f9(c30))))),f6(c7,c28),c8),c8)),c8) )).

cnf(clause_30,axiom,
    ( X1 = X2
    | p1(X1,X3,X4)
    | ~ p1(X1,f11(X2,X3,X4),X4) )).

cnf(clause_33,negated_conjecture,(
    ~ p1(f17(c29),f22(c28),c8) )).

cnf(clause_37,negated_conjecture,
    ( p1(c34,c25,c26)
    | p1(f12(f27(c34)),f14(f11(c33,f11(f16(f27(c30),f13(f17(c31),f13(f17(c29),f13(f9(c32),f9(c30))))),f6(c7,c28),c8),c8)),c8) )).

cnf(clause_18,axiom,
    ( p1(f13(X3,X1),f10(X2),c8)
    | ~ p1(X3,f10(X2),c8)
    | ~ p1(X1,f10(X2),c8) )).

cnf(clause_23,axiom,(
    ~ p1(f17(X1),f22(c23),c8) )).

cnf(clause_8,axiom,
    ( ~ p1(X1,X2,c8)
    | p1(X1,f14(X2),c8) )).

cnf(clause_3,axiom,
    ( f10(f5(f11(X1,X2,c8))) = f10(f5(X2))
    | ~ p1(X1,f10(f5(X2)),c8) )).

cnf(clause_24,axiom,
    ( p1(f12(f27(X1)),f6(c7,X2),c8)
    | ~ p1(X1,c25,c26) )).

cnf(clause_15,axiom,(
    f14(f11(f13(X1,X2),X3,c8)) = f11(f13(X1,X2),f14(f11(X1,f11(X2,X3,c8),c8)),c8) )).

cnf(clause_10,axiom,(
    f14(f5(X1)) = f14(X1) )).

cnf(clause_21,axiom,
    ( ~ p1(f13(X1,X2),f22(X3),c8)
    | p1(X1,f22(X3),c8) )).

cnf(clause_34,negated_conjecture,(
    p1(f20(c30,f13(f17(c31),f13(f9(c32),f13(f9(c30),c33)))),f3(c28,c4),c4) )).

cnf(clause_32,negated_conjecture,(
    p1(c28,c18,f19(c4)) )).
%------------------------------------------------------------------------------
