%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A) = f10(B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A) = f12(B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A,C) = f14(B,C) )).

cnf(f14_substitution_2,axiom,
    ( A != B
    | f14(C,A) = f14(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C,D) = f2(B,C,D) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A,D) = f2(C,B,D) )).

cnf(f2_substitution_3,axiom,
    ( A != B
    | f2(C,D,A) = f2(C,D,B) )).

cnf(f20_substitution_1,axiom,
    ( A != B
    | f20(A) = f20(B) )).

cnf(f21_substitution_1,axiom,
    ( A != B
    | f21(A,C) = f21(B,C) )).

cnf(f21_substitution_2,axiom,
    ( A != B
    | f21(C,A) = f21(C,B) )).

cnf(f24_substitution_1,axiom,
    ( A != B
    | f24(A) = f24(B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C) = f5(B,C) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A) = f5(C,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C) = f9(B,C) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A) = f9(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(clause_5,axiom,
    ( ~ p1(f2(X1,X2,X3),f14(X4,c16),c16)
    | p1(X3,f24(f21(c22,X4)),c23) )).

cnf(clause_2,negated_conjecture,(
    ~ p1(c17,c18,c19) )).

cnf(clause_6,axiom,
    ( p1(X2,f20(X3),c23)
    | ~ p1(f5(X1,X2),f20(X3),c23) )).

cnf(clause_7,axiom,
    ( p1(X1,f20(X2),c23)
    | ~ p1(X1,f24(X2),c23) )).

cnf(clause_3,negated_conjecture,
    ( ~ p1(f12(f10(c17)),f20(f21(c22,c15)),c23)
    | p1(c17,c18,c19) )).

cnf(clause_1,negated_conjecture,(
    p1(f2(c3,c4,f5(f6(c7),f5(c8,f9(f10(c4),f5(f6(c11),f12(c13)))))),f14(c15,c16),c16) )).

cnf(clause_8,axiom,
    ( ~ p1(f9(X1,X2),f20(X3),c23)
    | p1(X2,f20(X3),c23) )).

cnf(clause_4,negated_conjecture,
    ( p1(c17,c18,c19)
    | f10(c17) = c13 )).
%------------------------------------------------------------------------------
