%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A,C) = f11(B,C) )).

cnf(f11_substitution_2,axiom,
    ( A != B
    | f11(C,A) = f11(C,B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A) = f12(B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C) = f15(B,C) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A) = f15(C,B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A) = f16(B) )).

cnf(f18_substitution_1,axiom,
    ( A != B
    | f18(A) = f18(B) )).

cnf(f20_substitution_1,axiom,
    ( A != B
    | f20(A,C) = f20(B,C) )).

cnf(f20_substitution_2,axiom,
    ( A != B
    | f20(C,A) = f20(C,B) )).

cnf(f22_substitution_1,axiom,
    ( A != B
    | f22(A) = f22(B) )).

cnf(f24_substitution_1,axiom,
    ( A != B
    | f24(A) = f24(B) )).

cnf(f25_substitution_1,axiom,
    ( A != B
    | f25(A,C,D) = f25(B,C,D) )).

cnf(f25_substitution_2,axiom,
    ( A != B
    | f25(C,A,D) = f25(C,B,D) )).

cnf(f25_substitution_3,axiom,
    ( A != B
    | f25(C,D,A) = f25(C,D,B) )).

cnf(f26_substitution_1,axiom,
    ( A != B
    | f26(A,C) = f26(B,C) )).

cnf(f26_substitution_2,axiom,
    ( A != B
    | f26(C,A) = f26(C,B) )).

cnf(f30_substitution_1,axiom,
    ( A != B
    | f30(A) = f30(B) )).

cnf(f31_substitution_1,axiom,
    ( A != B
    | f31(A) = f31(B) )).

cnf(f32_substitution_1,axiom,
    ( A != B
    | f32(A,C,D) = f32(B,C,D) )).

cnf(f32_substitution_2,axiom,
    ( A != B
    | f32(C,A,D) = f32(C,B,D) )).

cnf(f32_substitution_3,axiom,
    ( A != B
    | f32(C,D,A) = f32(C,D,B) )).

cnf(f33_substitution_1,axiom,
    ( A != B
    | f33(A,C,D) = f33(B,C,D) )).

cnf(f33_substitution_2,axiom,
    ( A != B
    | f33(C,A,D) = f33(C,B,D) )).

cnf(f33_substitution_3,axiom,
    ( A != B
    | f33(C,D,A) = f33(C,D,B) )).

cnf(f34_substitution_1,axiom,
    ( A != B
    | f34(A,C,D) = f34(B,C,D) )).

cnf(f34_substitution_2,axiom,
    ( A != B
    | f34(C,A,D) = f34(C,B,D) )).

cnf(f34_substitution_3,axiom,
    ( A != B
    | f34(C,D,A) = f34(C,D,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A) = f7(B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C) = f9(B,C) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A) = f9(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(clause_10,axiom,
    ( ~ p1(f11(X1,X2),f31(X3),c28)
    | p1(X2,f31(X3),c28) )).

cnf(clause_14,axiom,
    ( p1(f33(f34(X2,X3,X1),X2,X3),f20(X1,c8),c8)
    | ~ p1(X1,c6,f7(c8))
    | ~ p1(f9(X2,X3),f20(X1,c8),c8) )).

cnf(clause_1,negated_conjecture,(
    ~ p1(c2,c3,c4) )).

cnf(clause_17,axiom,
    ( p1(X1,X2,X4)
    | p1(X1,X3,X4)
    | ~ p1(X1,f32(X2,X3,X4),X4) )).

cnf(clause_11,axiom,
    ( ~ p1(f11(X1,X2),f30(f31(X3)),c28)
    | p1(X1,f30(f31(X3)),c28) )).

cnf(clause_2,negated_conjecture,(
    p1(c5,c6,f7(c8)) )).

cnf(clause_13,axiom,
    ( p1(X1,f30(X2),c28)
    | ~ p1(X1,X2,c28) )).

cnf(clause_15,axiom,
    ( ~ p1(f18(f16(X2)),f24(f26(c27,X1)),c28)
    | p1(X2,c3,c4)
    | ~ p1(X1,c6,f7(c8)) )).

cnf(clause_8,axiom,
    ( p1(f18(X1),X3,c28)
    | ~ p1(f15(X1,X2),f30(X3),c28)
    | p1(f15(X1,X2),X3,c28) )).

cnf(clause_9,axiom,
    ( ~ p1(X1,f24(f25(X2,X3,c28)),c28)
    | p1(X1,f32(f30(f31(X3)),f24(X3),c28),c28)
    | ~ p1(X2,f30(f31(X3)),c28) )).

cnf(clause_7,negated_conjecture,
    ( ~ p1(f15(f16(c2),f11(c21,f11(f22(c2),f22(c23)))),f24(f26(c27,c5)),c28)
    | ~ p1(f15(f16(c2),f11(c21,f11(f22(c2),f22(c29)))),f24(f26(c27,c5)),c28)
    | c29 = c23 )).

cnf(clause_6,negated_conjecture,(
    c29 != c23 )).

cnf(clause_16,axiom,
    ( ~ p1(f33(X1,X2,X3),f20(X4,c8),c8)
    | p1(X3,f31(f26(c27,X4)),c28) )).

cnf(clause_12,axiom,
    ( p1(X1,f24(X2),c28)
    | ~ p1(X1,f31(X2),c28) )).

cnf(clause_5,negated_conjecture,(
    p1(f15(f16(c2),f11(c21,f11(f22(c2),f22(c29)))),f24(f25(c14,f26(c27,c5),c28)),c28) )).

cnf(clause_3,negated_conjecture,(
    p1(f9(c10,f11(f12(c13),f11(c14,f15(f16(c10),f11(f12(c17),f18(c19)))))),f20(c5,c8),c8) )).

cnf(clause_4,negated_conjecture,(
    p1(f15(f16(c2),f11(c21,f11(f22(c2),f22(c23)))),f24(f25(c14,f26(c27,c5),c28)),c28) )).
%------------------------------------------------------------------------------
