%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C) = f10(B,C) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A) = f10(C,B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A) = f13(B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A) = f15(B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A) = f16(B) )).

cnf(f17_substitution_1,axiom,
    ( A != B
    | f17(A,C,D) = f17(B,C,D) )).

cnf(f17_substitution_2,axiom,
    ( A != B
    | f17(C,A,D) = f17(C,B,D) )).

cnf(f17_substitution_3,axiom,
    ( A != B
    | f17(C,D,A) = f17(C,D,B) )).

cnf(f19_substitution_1,axiom,
    ( A != B
    | f19(A,C) = f19(B,C) )).

cnf(f19_substitution_2,axiom,
    ( A != B
    | f19(C,A) = f19(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f20_substitution_1,axiom,
    ( A != B
    | f20(A) = f20(B) )).

cnf(f21_substitution_1,axiom,
    ( A != B
    | f21(A,C,D,E) = f21(B,C,D,E) )).

cnf(f21_substitution_2,axiom,
    ( A != B
    | f21(C,A,D,E) = f21(C,B,D,E) )).

cnf(f21_substitution_3,axiom,
    ( A != B
    | f21(C,D,A,E) = f21(C,D,B,E) )).

cnf(f21_substitution_4,axiom,
    ( A != B
    | f21(C,D,E,A) = f21(C,D,E,B) )).

cnf(f22_substitution_1,axiom,
    ( A != B
    | f22(A,C,D,E) = f22(B,C,D,E) )).

cnf(f22_substitution_2,axiom,
    ( A != B
    | f22(C,A,D,E) = f22(C,B,D,E) )).

cnf(f22_substitution_3,axiom,
    ( A != B
    | f22(C,D,A,E) = f22(C,D,B,E) )).

cnf(f22_substitution_4,axiom,
    ( A != B
    | f22(C,D,E,A) = f22(C,D,E,B) )).

cnf(f23_substitution_1,axiom,
    ( A != B
    | f23(A,C) = f23(B,C) )).

cnf(f23_substitution_2,axiom,
    ( A != B
    | f23(C,A) = f23(C,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A) = f4(B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C) = f5(B,C) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A) = f5(C,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C) = f8(B,C) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A) = f8(C,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A) = f9(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(clause_4,axiom,
    ( p1(X2,f2(f10(c11,X3)),c3)
    | ~ p1(f8(f9(X1),X2),f2(f10(c11,X3)),c3)
    | ~ p1(X1,c6,c7) )).

cnf(clause_5,axiom,
    ( ~ p1(f8(f9(X2),f5(f15(X3),f5(f16(X4),f5(X5,X6)))),f4(f10(c11,X1)),c3)
    | p1(X2,c6,c7)
    | ~ p1(X1,c12,f13(c14))
    | p1(f17(c18,X2,f5(f8(f9(X2),f5(f15(X3),f5(f16(X4),f5(X5,X6)))),f8(f9(X3),f5(f15(X2),f16(X4))))),f19(X1,c14),c14) )).

cnf(clause_12,negated_conjecture,(
    p1(f23(c29,f5(f8(f9(c29),f5(f15(c27),f5(f16(c30),f5(f20(c31),f20(c32))))),c25)),f19(c24,c14),c14) )).

cnf(clause_10,negated_conjecture,(
    p1(c24,c12,f13(c14)) )).

cnf(clause_2,axiom,
    ( p1(X2,f2(X3),c3)
    | ~ p1(f5(X1,X2),f2(X3),c3) )).

cnf(clause_11,negated_conjecture,
    ( X1 != c25
    | c28 != c29
    | c26 != c27 )).

cnf(clause_1,axiom,
    ( ~ p1(X1,f2(X2),c3)
    | p1(X1,f4(X2),c3) )).

cnf(clause_6,axiom,
    ( ~ p1(X1,c12,f13(c14))
    | p1(X2,c6,c7)
    | ~ p1(f8(f9(X2),f5(f15(X3),f16(X4))),f4(f10(c11,X1)),c3)
    | p1(f17(c18,X3,f5(f8(f9(X3),f5(f15(X2),f5(f16(X4),f5(f20(f21(X3,X2,X4,X1)),f20(f22(X3,X2,X4,X1)))))),f8(f9(X2),f5(f15(X3),f16(X4))))),f19(X1,c14),c14) )).

cnf(clause_14,negated_conjecture,(
    p1(f8(f9(c26),f5(f15(c28),f16(c30))),f4(f10(c11,c24)),c3) )).

cnf(clause_9,axiom,
    ( ~ p1(f17(c18,X8,f5(f8(f9(X8),f5(f15(X9),f5(f16(X4),f5(X10,X11)))),X12)),f19(X1,c14),c14)
    | ~ p1(X1,c12,f13(c14))
    | ~ p1(f17(c18,X2,f5(f8(f9(X2),f5(f15(X3),f5(f16(X4),f5(X5,X6)))),X7)),f19(X1,c14),c14)
    | X9 = X3 )).

cnf(clause_13,negated_conjecture,(
    ~ p1(f16(c30),f2(f10(c11,c24)),c3) )).

cnf(clause_3,axiom,
    ( ~ p1(f5(X1,X2),f2(X3),c3)
    | p1(X1,f2(X3),c3) )).

cnf(clause_15,negated_conjecture,(
    ~ p1(c26,c6,c7) )).

cnf(clause_8,axiom,
    ( ~ p1(f17(c18,X8,f5(f8(f9(X8),f5(f15(X9),f5(f16(X4),f5(X10,X11)))),X12)),f19(X1,c14),c14)
    | ~ p1(f17(c18,X2,f5(f8(f9(X2),f5(f15(X3),f5(f16(X4),f5(X5,X6)))),X7)),f19(X1,c14),c14)
    | ~ p1(X1,c12,f13(c14))
    | X8 = X2 )).

cnf(clause_7,axiom,
    ( p1(X3,f2(f10(c11,X1)),c3)
    | ~ p1(X1,c12,f13(c14))
    | ~ p1(f23(X2,X3),f19(X1,c14),c14) )).
%------------------------------------------------------------------------------
