%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A) = f10(B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A) = f11(B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A,C,D) = f12(B,C,D) )).

cnf(f12_substitution_2,axiom,
    ( A != B
    | f12(C,A,D) = f12(C,B,D) )).

cnf(f12_substitution_3,axiom,
    ( A != B
    | f12(C,D,A) = f12(C,D,B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A) = f13(B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A) = f14(B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A) = f7(B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C,D) = f8(B,C,D) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A,D) = f8(C,B,D) )).

cnf(f8_substitution_3,axiom,
    ( A != B
    | f8(C,D,A) = f8(C,D,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(clause_9,negated_conjecture,
    ( ~ p1(c16,f7(f2(f3(c4,c18))),c9)
    | p1(f13(c16),f6(c18),c5) )).

cnf(clause_2,axiom,
    ( ~ p1(X2,f10(f11(X4)),c5)
    | p1(X1,f7(f2(f12(X3,X4,c5))),c9)
    | ~ p1(X1,f7(f2(f8(X2,X3,c5))),c9)
    | p1(f13(f14(X1)),f2(X4),c5) )).

cnf(clause_3,axiom,
    ( f14(X1) = X1
    | ~ p1(X1,c15,c9) )).

cnf(clause_8,negated_conjecture,(
    p1(c16,f7(f2(f8(c17,f3(c4,c18),c5))),c9) )).

cnf(clause_5,negated_conjecture,(
    p1(c16,c15,c9) )).

cnf(clause_4,axiom,(
    f12(X1,X1,X2) = X1 )).

cnf(clause_7,negated_conjecture,(
    ~ p1(f13(c16),f6(c18),c5) )).

cnf(clause_6,negated_conjecture,(
    p1(c17,f10(f11(f3(c4,c18))),c5) )).

cnf(clause_1,axiom,
    ( p1(X1,f6(X2),c5)
    | ~ p1(X1,f2(f3(c4,X2)),c5) )).
%------------------------------------------------------------------------------
