%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A) = f10(B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A) = f11(B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A) = f12(B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C) = f13(B,C) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A) = f13(C,B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A) = f14(B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C,D) = f15(B,C,D) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A,D) = f15(C,B,D) )).

cnf(f15_substitution_3,axiom,
    ( A != B
    | f15(C,D,A) = f15(C,D,B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A,C) = f16(B,C) )).

cnf(f16_substitution_2,axiom,
    ( A != B
    | f16(C,A) = f16(C,B) )).

cnf(f19_substitution_1,axiom,
    ( A != B
    | f19(A) = f19(B) )).

cnf(f20_substitution_1,axiom,
    ( A != B
    | f20(A,C) = f20(B,C) )).

cnf(f20_substitution_2,axiom,
    ( A != B
    | f20(C,A) = f20(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C,D) = f5(B,C,D) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A,D) = f5(C,B,D) )).

cnf(f5_substitution_3,axiom,
    ( A != B
    | f5(C,D,A) = f5(C,D,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C) = f7(B,C) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A) = f7(C,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C) = f8(B,C) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A) = f8(C,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A) = f9(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(clause_10,negated_conjecture,
    ( c30 != c25
    | c31 != c26
    | X1 != f11(c24) )).

cnf(clause_5,negated_conjecture,(
    p1(c21,c2,f3(c4)) )).

cnf(clause_9,negated_conjecture,(
    p1(f12(c31),f14(f15(f11(c24),f16(c17,c21),c18)),c18) )).

cnf(clause_8,negated_conjecture,(
    ~ p1(f12(c31),f14(f16(c17,c21)),c18) )).

cnf(clause_3,axiom,
    ( ~ p1(f20(X2,f7(X3,f8(f9(X4),f7(f10(X5),f7(f12(X6),X7))))),f13(X1,c4),c4)
    | X6 = X13
    | ~ p1(f5(X8,X9,f7(X10,f8(f9(X11),f7(f10(X12),f7(f12(X13),X7))))),f13(X1,c4),c4)
    | p1(X7,f14(f16(c17,X1)),c18)
    | ~ p1(X1,c2,f3(c4)) )).

cnf(clause_4,axiom,
    ( ~ p1(f5(c6,X2,f7(f8(f9(X2),f7(f10(X3),f7(f11(f9(X4)),f7(X5,X6)))),X7)),f13(X1,c4),c4)
    | ~ p1(X1,c2,f3(c4)) )).

cnf(clause_1,axiom,
    ( ~ p1(f5(c6,X2,f7(f8(f9(X2),f7(f10(X3),f7(f11(X4),f7(X5,f12(X6))))),X7)),f13(X1,c4),c4)
    | X4 = f9(f19(X4))
    | X8 = X6
    | ~ p1(X1,c2,f3(c4))
    | ~ p1(f12(X8),f14(f15(f11(X4),f16(c17,X1),c18)),c18)
    | p1(f12(X8),f14(f16(c17,X1)),c18) )).

cnf(clause_7,negated_conjecture,(
    p1(f5(c28,c6,f7(f10(c28),f8(f9(c28),f7(f10(c29),f7(f12(c30),f12(c31)))))),f13(c21,c4),c4) )).

cnf(clause_2,axiom,
    ( ~ p1(X1,c2,f3(c4))
    | ~ p1(f5(c6,X2,f7(f8(f9(X2),f7(f10(X3),f7(X4,f7(X5,X6)))),X7)),f13(X1,c4),c4)
    | p1(f20(c6,f7(f10(X3),f8(f9(X3),f7(f10(X2),f7(X5,X6))))),f13(X1,c4),c4) )).

cnf(clause_6,negated_conjecture,(
    p1(f5(c6,c22,f7(f8(f9(c22),f7(f10(c23),f7(f11(c24),f7(f12(c25),f12(c26))))),c27)),f13(c21,c4),c4) )).
%------------------------------------------------------------------------------
