%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A) = f7(B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A,C)
    | p5(B,C) )).

cnf(p5_substitution_2,axiom,
    ( A != B
    | ~ p5(C,A)
    | p5(C,B) )).

cnf(clause_5,negated_conjecture,
    ( X1 = c1
    | f6(X1) != c1
    | ~ p5(X1,c1) )).

cnf(clause_6,negated_conjecture,
    ( X1 = c1
    | ~ p5(X1,c1)
    | f6(X1) != X1 )).

cnf(clause_4,negated_conjecture,
    ( X1 = c3
    | X1 = c4
    | ~ p5(X1,c4) )).

cnf(clause_2,negated_conjecture,
    ( c2 = c3
    | c1 = c3 )).

cnf(clause_3,negated_conjecture,
    ( X1 = c4
    | X1 != c3
    | p5(X1,c4) )).

cnf(clause_13,negated_conjecture,
    ( X1 = c2
    | p5(X1,c2)
    | p5(f7(X1),X1) )).

cnf(clause_11,negated_conjecture,
    ( p5(X1,c2)
    | X1 = c2
    | f7(X1) != X1 )).

cnf(clause_7,negated_conjecture,
    ( X1 = c1
    | p5(X1,f6(X1))
    | ~ p5(X1,c1) )).

cnf(clause_10,negated_conjecture,
    ( p5(X1,c2)
    | X1 = c2
    | f7(X1) != c2 )).

cnf(clause_8,negated_conjecture,
    ( p5(f6(X1),X1)
    | X1 = c1
    | ~ p5(X1,c1) )).

cnf(clause_9,negated_conjecture,
    ( X2 = X1
    | ~ p5(X1,X2)
    | X2 = c1
    | ~ p5(X2,X1)
    | p5(X1,c1)
    | X1 = c1 )).

cnf(clause_1,negated_conjecture,(
    c1 != c2 )).

cnf(clause_14,negated_conjecture,
    ( ~ p5(X1,c2)
    | X1 = c2
    | ~ p5(X1,X2)
    | ~ p5(X2,X1)
    | X2 = X1
    | X2 = c2 )).

cnf(clause_16,negated_conjecture,
    ( X1 = c3
    | X1 != c2
    | p5(X1,c3) )).

cnf(clause_12,negated_conjecture,
    ( X1 = c2
    | p5(X1,f7(X1))
    | p5(X1,c2) )).

cnf(clause_15,negated_conjecture,
    ( X1 = c3
    | p5(X1,c3)
    | X1 != c1 )).

cnf(clause_17,negated_conjecture,
    ( ~ p5(X1,c3)
    | X1 = c2
    | X1 = c1
    | X1 = c3 )).
%------------------------------------------------------------------------------
