%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A) = f1(B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(clause_2,axiom,(
    f3(X1,X2) = f1(f2(X2,X1)) )).

cnf(clause_3,negated_conjecture,
    ( f3(f3(c8,c9),c10) != f3(c8,f3(c9,c10))
    | f3(f1(c4),c4) != f3(f1(c5),c5)
    | f3(c11,c12) != f3(c12,c11)
    | f3(f3(f1(c6),c6),c7) != c7 )).

cnf(clause_1,axiom,(
    f1(f2(f2(X1,X2),f1(f2(X1,f1(f2(X3,X2)))))) = X3 )).
%------------------------------------------------------------------------------
