%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(clause_17,axiom,(
    f5(f1(X1,X2)) = f2(f5(X1),f5(X2)) )).

cnf(clause_6,axiom,(
    f2(X1,X2) = f2(X2,X1) )).

cnf(clause_7,axiom,(
    f1(f1(X1,X2),X3) = f1(X1,f1(X2,X3)) )).

cnf(clause_18,axiom,(
    f5(c3) = c4 )).

cnf(clause_19,axiom,(
    f5(c4) = c3 )).

cnf(clause_2,axiom,(
    f2(X1,X1) = X1 )).

cnf(clause_15,axiom,
    ( f1(X2,f2(X1,X3)) = f2(X1,f1(X3,X2))
    | f1(X1,X2) != X1 )).

cnf(clause_11,axiom,(
    f1(X1,c3) = c3 )).

cnf(clause_3,axiom,(
    f1(X1,f2(X1,X2)) = X1 )).

cnf(clause_8,axiom,(
    f2(f2(X1,X2),X3) = f2(X1,f2(X2,X3)) )).

cnf(clause_5,axiom,(
    f1(X1,X2) = f1(X2,X1) )).

cnf(clause_1,axiom,(
    f1(X1,X1) = X1 )).

cnf(clause_13,axiom,(
    f1(X1,c4) = X1 )).

cnf(clause_16,axiom,(
    f5(f2(X1,X2)) = f1(f5(X1),f5(X2)) )).

cnf(clause_12,axiom,(
    f2(X1,c3) = X1 )).

cnf(clause_14,axiom,(
    f2(X1,c4) = c4 )).

cnf(clause_4,axiom,(
    f2(X1,f1(X1,X2)) = X1 )).

cnf(clause_24,negated_conjecture,(
    f2(f5(f5(f2(c6,f5(c7)))),f2(f1(c6,f5(f1(c7,c8))),f5(c6))) != f2(f1(c6,f5(f1(c7,c8))),f5(c6)) )).

cnf(clause_9,hypothesis,(
    f2(X1,f1(X2,X3)) = f1(f2(X1,X2),f2(X1,X3)) )).

cnf(clause_10,hypothesis,(
    f1(X1,f2(X2,X3)) = f2(f1(X1,X2),f1(X1,X3)) )).

cnf(clause_22,hypothesis,(
    f2(f5(f5(c6)),f2(f5(c6),f2(f5(c7),f5(c8)))) = f2(f5(c6),f2(f5(c7),f5(c8))) )).

cnf(clause_23,hypothesis,(
    f2(f5(f5(f5(c7))),f2(f5(c6),f2(f5(c7),f5(c8)))) = f2(f5(c6),f2(f5(c7),f5(c8))) )).

cnf(clause_20,hypothesis,(
    f2(f5(f5(c6)),f2(c6,f5(c6))) = f2(c6,f5(c6)) )).

cnf(clause_21,hypothesis,(
    f2(f5(f5(f5(c7))),f2(c6,f5(c6))) = f2(c6,f5(c6)) )).
%------------------------------------------------------------------------------
