%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(clause_19,axiom,
    ( p1(X1,X2)
    | p1(X2,X1) )).

cnf(clause_13,axiom,(
    p1(f3(f6(X1),f6(X1)),X1) )).

cnf(clause_1,axiom,(
    p1(f2(f3(X1,X2)),f3(f2(X1),f2(X2))) )).

cnf(clause_26,axiom,
    ( X1 != X2
    | p1(X1,X2) )).

cnf(clause_4,axiom,(
    p1(f4(X1,X2),X1) )).

cnf(clause_10,axiom,
    ( p1(X1,f4(X2,X1))
    | ~ p1(X1,X2) )).

cnf(clause_17,axiom,
    ( ~ p1(X1,X2)
    | p1(f3(X1,X3),f3(X2,X3)) )).

cnf(clause_3,axiom,
    ( ~ p1(X1,X2)
    | f4(X1,X2) = X1 )).

cnf(clause_24,axiom,(
    p1(f3(f3(X1,X2),X3),f3(X1,f3(X2,X3))) )).

cnf(clause_2,axiom,
    ( ~ p1(f3(f2(X1),f2(X2)),X3)
    | p1(f2(f3(X1,X2)),X3) )).

cnf(clause_16,axiom,
    ( p1(X1,c5)
    | ~ p1(f6(X1),c5) )).

cnf(clause_25,axiom,(
    p1(f3(X1,f3(X2,X3)),f3(f3(X1,X2),X3)) )).

cnf(clause_15,axiom,
    ( ~ p1(X3,f6(X2))
    | ~ p1(X1,f6(X2))
    | p1(f3(X1,X3),X2) )).

cnf(clause_21,axiom,(
    f3(X1,X2) = f3(X2,X1) )).

cnf(clause_14,axiom,(
    p1(X1,f3(f6(X1),f6(X1))) )).

cnf(clause_9,axiom,
    ( ~ p1(X1,f4(X2,X3))
    | p1(X1,X3) )).

cnf(clause_6,axiom,
    ( ~ p1(X1,X2)
    | p1(X1,f4(X1,X2)) )).

cnf(clause_18,axiom,
    ( p1(f3(X1,X3),f3(X2,X4))
    | ~ p1(X3,X4)
    | ~ p1(X1,X2) )).

cnf(clause_22,axiom,(
    p1(f3(X1,X2),f3(X2,X1)) )).

cnf(clause_11,axiom,
    ( ~ p1(f4(X1,X2),c5)
    | p1(X1,c5)
    | p1(X2,c5) )).

cnf(clause_23,axiom,(
    f3(f3(X1,X2),X3) = f3(X1,f3(X2,X3)) )).

cnf(clause_20,axiom,
    ( ~ p1(X1,X2)
    | ~ p1(X2,X3)
    | p1(X1,X3) )).

cnf(clause_8,axiom,(
    p1(f4(X1,X2),X2) )).

cnf(clause_12,axiom,(
    f3(f6(X1),f6(X1)) = X1 )).

cnf(clause_5,axiom,
    ( p1(X1,X2)
    | ~ p1(X1,f4(X2,X3)) )).

cnf(clause_7,axiom,
    ( ~ p1(X1,X2)
    | f4(X2,X1) = X1 )).
%------------------------------------------------------------------------------
