%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(clause_6,axiom,
    ( ~ p1(X1,X2,X3)
    | X3 = X4
    | ~ p1(X1,X2,X4) )).

cnf(clause_4,axiom,(
    p1(X1,f3(X1),c2) )).

cnf(clause_2,axiom,(
    p1(X1,c2,X1) )).

cnf(clause_5,axiom,(
    p1(X1,X2,f4(X1,X2)) )).

cnf(clause_3,axiom,(
    p1(f3(X1),X1,c2) )).

cnf(clause_7,axiom,
    ( ~ p1(X1,X2,X3)
    | p1(X1,X5,X6)
    | ~ p1(X2,X4,X5)
    | ~ p1(X3,X4,X6) )).

cnf(clause_8,axiom,
    ( ~ p1(X2,X4,X5)
    | p1(X3,X4,X6)
    | ~ p1(X1,X2,X3)
    | ~ p1(X1,X5,X6) )).

cnf(clause_1,axiom,(
    p1(c2,X1,X1) )).
%------------------------------------------------------------------------------
