%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A)
    | p4(B) )).

cnf(clause_4,axiom,
    ( ~ p4(X1)
    | p4(f3(X1)) )).

cnf(clause_5,axiom,
    ( ~ p4(X1)
    | f1(X1,X2) != X3
    | ~ p4(X2)
    | p4(X3) )).

cnf(clause_2,axiom,(
    f1(f3(X1),X1) = c2 )).

cnf(clause_1,axiom,(
    f1(c2,X1) = X1 )).

cnf(clause_3,axiom,(
    f1(f1(X1,X2),X3) = f1(X1,f1(X2,X3)) )).
%------------------------------------------------------------------------------
