%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(clause_11,axiom,(
    f2(X1,f3(X1,X2)) = X1 )).

cnf(clause_7,axiom,(
    f2(X1,f1(X2,f1(X1,X3))) = X1 )).

cnf(clause_5,axiom,(
    f1(X1,X2) = f1(X2,X1) )).

cnf(clause_12,axiom,(
    f3(X1,X2) = f3(X2,X1) )).

cnf(clause_9,axiom,(
    f3(X1,X1) = X1 )).

cnf(clause_15,negated_conjecture,(
    f1(c4,c5) != f3(c4,c5) )).

cnf(clause_10,axiom,(
    f3(X1,f2(X1,X2)) = X1 )).

cnf(clause_2,axiom,(
    f2(X1,X1) = X1 )).

cnf(clause_4,axiom,(
    f2(X1,f1(X1,X2)) = X1 )).

cnf(clause_1,axiom,(
    f1(X1,X1) = X1 )).

cnf(clause_6,axiom,(
    f2(X1,X2) = f2(X2,X1) )).

cnf(clause_3,axiom,(
    f1(X1,f2(X1,X2)) = X1 )).

cnf(clause_13,axiom,(
    f2(X1,f3(X2,f3(X1,X3))) = X1 )).

cnf(clause_14,axiom,(
    f3(X1,f2(X2,f2(X1,X3))) = X1 )).

cnf(clause_8,axiom,(
    f1(X1,f2(X2,f2(X1,X3))) = X1 )).
%------------------------------------------------------------------------------
