%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(clause_5,axiom,
    ( X2 = f2(f2(f2(X1)))
    | X2 = f2(X1)
    | X2 = f2(f2(X1))
    | ~ p1(X1,X2)
    | X2 = X1 )).

cnf(clause_1,axiom,(
    p1(X1,X1) )).

cnf(clause_4,axiom,
    ( p1(X1,X2)
    | f2(X1) != X2 )).

cnf(clause_2,axiom,
    ( ~ p1(X2,X3)
    | ~ p1(X1,X2)
    | p1(X1,X3) )).

cnf(clause_3,axiom,
    ( p1(X2,X1)
    | p1(X1,X2) )).
%------------------------------------------------------------------------------
