%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A,C) = f11(B,C) )).

cnf(f11_substitution_2,axiom,
    ( A != B
    | f11(C,A) = f11(C,B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A) = f13(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C) = f7(B,C) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A) = f7(C,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C) = f8(B,C) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A) = f8(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A)
    | p1(B) )).

cnf(p10_substitution_1,axiom,
    ( A != B
    | ~ p10(A,C)
    | p10(B,C) )).

cnf(p10_substitution_2,axiom,
    ( A != B
    | ~ p10(C,A)
    | p10(C,B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A,C)
    | p12(B,C) )).

cnf(p12_substitution_2,axiom,
    ( A != B
    | ~ p12(C,A)
    | p12(C,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C,D)
    | p2(B,C,D) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A,D)
    | p2(C,B,D) )).

cnf(p2_substitution_3,axiom,
    ( A != B
    | ~ p2(C,D,A)
    | p2(C,D,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C)
    | p3(B,C) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A)
    | p3(C,B) )).

cnf(p6_substitution_1,axiom,
    ( A != B
    | ~ p6(A,C,D)
    | p6(B,C,D) )).

cnf(p6_substitution_2,axiom,
    ( A != B
    | ~ p6(C,A,D)
    | p6(C,B,D) )).

cnf(p6_substitution_3,axiom,
    ( A != B
    | ~ p6(C,D,A)
    | p6(C,D,B) )).

cnf(clause_4,axiom,
    ( f4(X1,c9) != c5
    | ~ p3(f4(X1,X2),c5) )).

cnf(clause_3,axiom,
    ( ~ p1(X1)
    | ~ p3(f7(X1,X2),c5)
    | p3(f4(f8(X2,X1),X2),c5) )).

cnf(clause_13,axiom,
    ( ~ p1(X1)
    | ~ p10(X1,X2)
    | p2(c14,X1,X2) )).

cnf(clause_24,negated_conjecture,(
    p12(c19,f11(c14,c18)) )).

cnf(clause_15,axiom,
    ( ~ p3(X1,X2)
    | ~ p3(X2,X3)
    | p3(X1,X3) )).

cnf(clause_7,axiom,
    ( ~ p10(X1,X3)
    | ~ p12(X4,X2)
    | ~ p12(X3,X4)
    | ~ p10(X1,X2)
    | ~ p1(X1)
    | p10(X1,X4) )).

cnf(clause_8,axiom,
    ( ~ p1(X1)
    | p10(X1,f13(X1)) )).

cnf(clause_22,negated_conjecture,(
    p1(c18) )).

cnf(clause_20,hypothesis,
    ( ~ p1(X1)
    | p3(f11(c17,c16),f11(c14,X1)) )).

cnf(clause_18,axiom,
    ( p12(X1,X2)
    | X1 != X2 )).

cnf(clause_9,axiom,
    ( p12(f11(c14,X1),f13(X1))
    | ~ p1(X1) )).

cnf(clause_14,axiom,
    ( ~ p1(X1)
    | p2(c17,X1,X2)
    | ~ p10(X1,X2) )).

cnf(clause_5,axiom,
    ( f4(X3,X2) = c5
    | ~ p3(f11(X3,X1),X2)
    | ~ p1(X1)
    | ~ p10(X1,X2) )).

cnf(clause_19,hypothesis,
    ( ~ p1(X1)
    | ~ p10(X1,X2)
    | ~ p12(X2,f11(c15,X1))
    | p3(f7(X1,X2),c5) )).

cnf(clause_17,axiom,
    ( ~ p3(X1,X2)
    | p12(X1,X2) )).

cnf(clause_6,axiom,
    ( p10(X1,X2)
    | ~ p1(X1)
    | ~ p3(f7(X1,X2),c5) )).

cnf(clause_16,axiom,
    ( p3(X1,X2)
    | X1 = X2
    | ~ p12(X1,X2) )).

cnf(clause_10,axiom,
    ( ~ p1(X1)
    | p10(X1,f11(c15,X1))
    | ~ p10(X1,f11(c14,X1)) )).

cnf(clause_1,axiom,
    ( p6(X2,X4,X3)
    | ~ p1(X1)
    | ~ p2(X2,X1,X3)
    | ~ p2(X4,X1,X3)
    | f4(X4,X3) != c5
    | ~ p3(f4(X2,X3),c5) )).

cnf(clause_23,negated_conjecture,(
    p10(c18,c19) )).

cnf(clause_12,axiom,
    ( p3(f7(c16,f11(c15,X1)),c5)
    | ~ p1(X1) )).

cnf(clause_2,axiom,
    ( ~ p1(X1)
    | p2(f8(X2,X1),X1,X2)
    | ~ p3(f7(X1,X2),c5) )).

cnf(clause_25,negated_conjecture,(
    p3(f11(c17,c18),c19) )).

cnf(clause_11,axiom,
    ( p12(f11(c14,X1),f11(c15,X1))
    | ~ p1(X1) )).

cnf(clause_26,negated_conjecture,(
    ~ p6(c14,c17,c19) )).

cnf(clause_21,hypothesis,
    ( ~ p3(f4(X2,X3),c5)
    | X2 = c17
    | X2 = c14
    | ~ p1(X1)
    | ~ p2(X2,X1,X3) )).
%------------------------------------------------------------------------------
