%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C) = f10(B,C) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A) = f10(C,B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A) = f12(B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C) = f13(B,C) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A) = f13(C,B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A,C) = f16(B,C) )).

cnf(f16_substitution_2,axiom,
    ( A != B
    | f16(C,A) = f16(C,B) )).

cnf(f17_substitution_1,axiom,
    ( A != B
    | f17(A) = f17(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C) = f9(B,C) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A) = f9(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A)
    | p1(B) )).

cnf(p11_substitution_1,axiom,
    ( A != B
    | ~ p11(A,C)
    | p11(B,C) )).

cnf(p11_substitution_2,axiom,
    ( A != B
    | ~ p11(C,A)
    | p11(C,B) )).

cnf(p14_substitution_1,axiom,
    ( A != B
    | ~ p14(A,C)
    | p14(B,C) )).

cnf(p14_substitution_2,axiom,
    ( A != B
    | ~ p14(C,A)
    | p14(C,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C,D,E)
    | p2(B,C,D,E) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A,D,E)
    | p2(C,B,D,E) )).

cnf(p2_substitution_3,axiom,
    ( A != B
    | ~ p2(C,D,A,E)
    | p2(C,D,B,E) )).

cnf(p2_substitution_4,axiom,
    ( A != B
    | ~ p2(C,D,E,A)
    | p2(C,D,E,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C)
    | p3(B,C) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A)
    | p3(C,B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A,C,D)
    | p5(B,C,D) )).

cnf(p5_substitution_2,axiom,
    ( A != B
    | ~ p5(C,A,D)
    | p5(C,B,D) )).

cnf(p5_substitution_3,axiom,
    ( A != B
    | ~ p5(C,D,A)
    | p5(C,D,B) )).

cnf(p8_substitution_1,axiom,
    ( A != B
    | ~ p8(A)
    | p8(B) )).

cnf(clause_13,axiom,
    ( p14(f13(c6,X1),f17(X1))
    | ~ p1(X1) )).

cnf(clause_17,axiom,
    ( p14(X1,X2)
    | ~ p3(X1,X2) )).

cnf(clause_11,axiom,
    ( ~ p11(X1,X3)
    | ~ p1(X1)
    | ~ p11(X1,X2)
    | ~ p14(X3,X4)
    | ~ p14(X4,X2)
    | p11(X1,X4) )).

cnf(clause_6,axiom,
    ( p8(f9(f10(c6,X1),f10(c7,X1)))
    | p8(f9(f4(c6,X1),f4(c7,X1)))
    | ~ p8(f9(f16(c6,X1),f16(c7,X1))) )).

cnf(clause_10,axiom,
    ( p3(f9(f4(c6,X1),f4(c7,X1)),c15)
    | ~ p3(f4(c6,X1),f4(c7,X1)) )).

cnf(clause_3,axiom,
    ( ~ p1(X1)
    | ~ p11(X1,f12(X1))
    | p2(c6,c7,X1,f12(X1)) )).

cnf(clause_20,hypothesis,
    ( ~ p14(X4,X2)
    | ~ p2(c6,c7,X1,X3)
    | p2(c6,c7,X1,X4)
    | ~ p2(c6,c7,X1,X2)
    | ~ p14(X3,X4)
    | ~ p1(X1) )).

cnf(clause_21,hypothesis,
    ( ~ p1(X1)
    | X2 != f12(X1)
    | ~ p3(f4(c7,X2),f4(c6,X2)) )).

cnf(clause_7,axiom,
    ( p3(f4(c7,X1),f4(c6,X1))
    | ~ p3(c15,f9(f4(c6,X1),f4(c7,X1))) )).

cnf(clause_9,axiom,
    ( p3(f4(c6,X1),f4(c7,X1))
    | ~ p3(f9(f4(c6,X1),f4(c7,X1)),c15) )).

cnf(clause_25,negated_conjecture,(
    p11(c18,f12(c18)) )).

cnf(clause_8,axiom,
    ( ~ p3(f4(c7,X1),f4(c6,X1))
    | p3(c15,f9(f4(c6,X1),f4(c7,X1))) )).

cnf(clause_22,hypothesis,
    ( X2 != f12(X1)
    | p3(f4(c7,X3),f4(c6,X3))
    | ~ p1(X1)
    | ~ p3(X3,X2)
    | ~ p2(c6,c7,X1,X3) )).

cnf(clause_2,axiom,
    ( ~ p2(c6,c7,X1,X2)
    | ~ p8(f9(f10(c6,X2),f10(c7,X2)))
    | ~ p1(X1) )).

cnf(clause_4,axiom,
    ( ~ p11(X1,f13(c7,X1))
    | ~ p1(X1)
    | p2(c6,c7,X1,f13(c7,X1)) )).

cnf(clause_15,axiom,
    ( ~ p1(X1)
    | ~ p2(c6,c7,X1,X2)
    | p14(X2,f13(c7,X1)) )).

cnf(clause_19,axiom,
    ( ~ p2(c6,c7,X1,X2)
    | p14(f9(f4(c6,X2),f4(c7,X2)),c15)
    | p3(c15,f9(f4(c6,X2),f4(c7,X2)))
    | ~ p1(X1) )).

cnf(clause_16,axiom,
    ( X1 = X2
    | p3(X1,X2)
    | ~ p14(X1,X2) )).

cnf(clause_5,axiom,
    ( ~ p8(f9(f4(c6,X3),f4(c7,X3)))
    | ~ p1(X1)
    | ~ p14(X3,f13(c7,X1))
    | ~ p14(f9(f4(c6,X2),f4(c7,X2)),c15)
    | p3(f9(f4(c6,X3),f4(c7,X3)),c15)
    | ~ p11(X1,X2)
    | ~ p3(X2,X3) )).

cnf(clause_14,axiom,
    ( ~ p1(X1)
    | ~ p2(c6,c7,X1,X2)
    | p2(c7,c6,X1,X2) )).

cnf(clause_18,axiom,
    ( X1 != X2
    | p14(X1,X2) )).

cnf(clause_27,negated_conjecture,(
    p3(f12(c18),c19) )).

cnf(clause_1,axiom,
    ( ~ p3(f4(X3,X4),f4(X2,X4))
    | p5(X3,X2,X4)
    | ~ p1(X1)
    | ~ p2(X2,X3,X1,X4) )).

cnf(clause_12,axiom,
    ( ~ p1(X1)
    | p11(X1,f17(X1)) )).

cnf(clause_23,hypothesis,
    ( ~ p2(c6,c7,X1,X2)
    | p8(f9(f16(c6,X2),f16(c7,X2)))
    | ~ p1(X1) )).

cnf(clause_26,negated_conjecture,(
    p14(c19,f13(c7,c18)) )).

cnf(clause_24,negated_conjecture,(
    p1(c18) )).

cnf(clause_28,negated_conjecture,(
    ~ p5(c6,c7,c19) )).
%------------------------------------------------------------------------------
