%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C) = f10(B,C) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A) = f10(C,B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A,C) = f12(B,C) )).

cnf(f12_substitution_2,axiom,
    ( A != B
    | f12(C,A) = f12(C,B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C) = f15(B,C) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A) = f15(C,B) )).

cnf(f18_substitution_1,axiom,
    ( A != B
    | f18(A) = f18(B) )).

cnf(f19_substitution_1,axiom,
    ( A != B
    | f19(A) = f19(B) )).

cnf(f20_substitution_1,axiom,
    ( A != B
    | f20(A,C) = f20(B,C) )).

cnf(f20_substitution_2,axiom,
    ( A != B
    | f20(C,A) = f20(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C) = f5(B,C) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A) = f5(C,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C) = f8(B,C) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A) = f8(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A)
    | p1(B) )).

cnf(p13_substitution_1,axiom,
    ( A != B
    | ~ p13(A)
    | p13(B) )).

cnf(p14_substitution_1,axiom,
    ( A != B
    | ~ p14(A,C,D)
    | p14(B,C,D) )).

cnf(p14_substitution_2,axiom,
    ( A != B
    | ~ p14(C,A,D)
    | p14(C,B,D) )).

cnf(p14_substitution_3,axiom,
    ( A != B
    | ~ p14(C,D,A)
    | p14(C,D,B) )).

cnf(p17_substitution_1,axiom,
    ( A != B
    | ~ p17(A)
    | p17(B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C)
    | p2(B,C) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A)
    | p2(C,B) )).

cnf(p7_substitution_1,axiom,
    ( A != B
    | ~ p7(A,C)
    | p7(B,C) )).

cnf(p7_substitution_2,axiom,
    ( A != B
    | ~ p7(C,A)
    | p7(C,B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A,C)
    | p9(B,C) )).

cnf(p9_substitution_2,axiom,
    ( A != B
    | ~ p9(C,A)
    | p9(C,B) )).

cnf(clause_5,axiom,
    ( ~ p7(f3(c11,X1),X2)
    | f12(X1,X2) = c6
    | ~ p9(X1,X2)
    | ~ p1(X1) )).

cnf(clause_21,hypothesis,
    ( p17(f12(X1,X2))
    | ~ p9(X1,X2)
    | ~ p17(f20(X1,X2))
    | ~ p1(X1) )).

cnf(clause_15,axiom,
    ( p7(f3(c11,X1),X2)
    | ~ p2(X2,f3(c11,X1))
    | ~ p1(X1)
    | ~ p9(X1,X2) )).

cnf(clause_7,axiom,
    ( ~ p1(X1)
    | p13(f12(X1,X2))
    | ~ p9(X1,X2)
    | p7(f5(f15(X2,X1),X2),c6) )).

cnf(clause_14,axiom,
    ( ~ p17(X1)
    | ~ p13(X1) )).

cnf(clause_2,axiom,
    ( ~ p1(X1)
    | ~ p2(X2,f3(c4,X1))
    | p9(X1,f8(X2,X1))
    | f5(c4,X2) != c6 )).

cnf(clause_19,hypothesis,
    ( ~ p1(X1)
    | p7(f19(X1),X2)
    | ~ p7(f12(X1,X2),c6)
    | p17(f20(X1,X2))
    | ~ p9(X1,X2) )).

cnf(clause_12,axiom,
    ( f5(X1,X2) != c6
    | ~ p7(c6,f10(X1,X2)) )).

cnf(clause_23,hypothesis,
    ( ~ p7(c6,f10(X4,X2))
    | ~ p1(X1)
    | ~ p7(f18(X4),f18(X3))
    | p7(c6,f10(X3,X2))
    | ~ p9(X1,X2) )).

cnf(clause_4,axiom,
    ( p7(c6,f10(c4,f8(X2,X1)))
    | f5(c4,X2) != c6
    | ~ p2(X2,f3(c4,X1))
    | ~ p1(X1) )).

cnf(clause_11,axiom,
    ( ~ p1(X1)
    | ~ p9(X1,X2)
    | p14(c4,X1,X2) )).

cnf(clause_17,hypothesis,(
    p7(f18(c4),f18(c16)) )).

cnf(clause_18,hypothesis,
    ( ~ p1(X1)
    | ~ p7(f12(X1,X2),c6)
    | ~ p9(X1,X2)
    | ~ p7(f19(X1),X2)
    | p13(f20(X1,X2)) )).

cnf(clause_10,axiom,
    ( ~ p1(X1)
    | ~ p9(X1,X2)
    | p14(c16,X1,X2) )).

cnf(clause_13,axiom,
    ( ~ p9(X1,X2)
    | ~ p1(X1)
    | f5(c4,X2) = c6
    | p7(f5(c4,X2),c6) )).

cnf(clause_16,hypothesis,
    ( ~ p1(X1)
    | ~ p9(X1,X2)
    | ~ p2(X2,f3(c11,X1))
    | p7(f12(X1,X2),c6) )).

cnf(clause_25,negated_conjecture,(
    p9(c21,c22) )).

cnf(clause_8,axiom,
    ( ~ p9(X1,X2)
    | p13(f12(X1,X2))
    | ~ p7(c6,f10(f15(X2,X1),X2))
    | ~ p1(X1) )).

cnf(clause_26,negated_conjecture,(
    p2(c22,f3(c4,c21)) )).

cnf(clause_20,hypothesis,
    ( ~ p13(f12(X1,X2))
    | ~ p1(X1)
    | ~ p9(X1,X2)
    | ~ p13(f20(X1,X2)) )).

cnf(clause_27,negated_conjecture,(
    ~ p7(f5(c4,c22),c6) )).

cnf(clause_24,negated_conjecture,(
    p1(c21) )).

cnf(clause_3,axiom,
    ( f5(c4,X2) != c6
    | ~ p1(X1)
    | ~ p2(X2,f3(c4,X1))
    | p7(X2,f8(X2,X1)) )).

cnf(clause_1,axiom,
    ( ~ p1(X1)
    | p7(f8(X2,X1),f3(c4,X1))
    | ~ p2(X2,f3(c4,X1))
    | f5(c4,X2) != c6 )).

cnf(clause_22,hypothesis,
    ( X2 = c16
    | ~ p1(X1)
    | ~ p7(f5(X2,X3),c6)
    | ~ p14(X2,X1,X3)
    | X2 = c4 )).

cnf(clause_9,axiom,
    ( f12(X1,X2) != c6
    | f5(X3,X2) = c6
    | ~ p9(X1,X2)
    | ~ p1(X1)
    | ~ p14(X3,X1,X2) )).

cnf(clause_6,axiom,
    ( ~ p9(X1,X2)
    | p14(f15(X2,X1),X1,X2)
    | p13(f12(X1,X2))
    | ~ p1(X1) )).
%------------------------------------------------------------------------------
