%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C) = f10(B,C) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A) = f10(C,B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A) = f14(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C) = f9(B,C) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A) = f9(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A)
    | p1(B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A)
    | p3(B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A)
    | p4(B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A,C)
    | p5(B,C) )).

cnf(p5_substitution_2,axiom,
    ( A != B
    | ~ p5(C,A)
    | p5(C,B) )).

cnf(p7_substitution_1,axiom,
    ( A != B
    | ~ p7(A,C)
    | p7(B,C) )).

cnf(p7_substitution_2,axiom,
    ( A != B
    | ~ p7(C,A)
    | p7(C,B) )).

cnf(p8_substitution_1,axiom,
    ( A != B
    | ~ p8(A,C)
    | p8(B,C) )).

cnf(p8_substitution_2,axiom,
    ( A != B
    | ~ p8(C,A)
    | p8(C,B) )).

cnf(clause_10,negated_conjecture,(
    p3(c17) )).

cnf(clause_9,hypothesis,
    ( ~ p3(X1)
    | p8(f6(c15,c16),f6(c2,X1)) )).

cnf(clause_3,axiom,
    ( p8(f9(X2,X1),X2)
    | ~ p1(X1)
    | ~ p7(X2,X1) )).

cnf(clause_7,hypothesis,
    ( ~ p3(X1)
    | p8(f14(X1),f6(c15,X1))
    | ~ p4(X1) )).

cnf(clause_12,negated_conjecture,
    ( f10(c2,c18) != c13
    | ~ p8(X1,f6(c2,c17))
    | ~ p5(c17,X1) )).

cnf(clause_11,negated_conjecture,(
    p4(c17) )).

cnf(clause_6,axiom,
    ( ~ p8(X1,X2)
    | ~ p8(X2,X3)
    | p8(X1,X3) )).

cnf(clause_8,hypothesis,
    ( ~ p4(X1)
    | ~ p3(X1)
    | p7(f14(X1),c2) )).

cnf(clause_2,axiom,
    ( p5(X1,f6(c2,X1))
    | ~ p3(X1)
    | ~ p4(X1) )).

cnf(clause_4,axiom,
    ( ~ p1(X1)
    | f10(c11,c12) = c13
    | ~ p7(X2,X1) )).

cnf(clause_1,axiom,(
    p1(c2) )).

cnf(clause_5,axiom,
    ( ~ p8(X3,X2)
    | ~ p4(X1)
    | ~ p5(X1,X2)
    | ~ p3(X1)
    | p5(X1,X3) )).
%------------------------------------------------------------------------------
