%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C) = f13(B,C) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A) = f13(C,B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C) = f15(B,C) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A) = f15(C,B) )).

cnf(f18_substitution_1,axiom,
    ( A != B
    | f18(A,C) = f18(B,C) )).

cnf(f18_substitution_2,axiom,
    ( A != B
    | f18(C,A) = f18(C,B) )).

cnf(f19_substitution_1,axiom,
    ( A != B
    | f19(A,C) = f19(B,C) )).

cnf(f19_substitution_2,axiom,
    ( A != B
    | f19(C,A) = f19(C,B) )).

cnf(f20_substitution_1,axiom,
    ( A != B
    | f20(A) = f20(B) )).

cnf(f22_substitution_1,axiom,
    ( A != B
    | f22(A) = f22(B) )).

cnf(f23_substitution_1,axiom,
    ( A != B
    | f23(A) = f23(B) )).

cnf(f24_substitution_1,axiom,
    ( A != B
    | f24(A) = f24(B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C) = f5(B,C) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A) = f5(C,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A)
    | p1(B) )).

cnf(p10_substitution_1,axiom,
    ( A != B
    | ~ p10(A)
    | p10(B) )).

cnf(p11_substitution_1,axiom,
    ( A != B
    | ~ p11(A)
    | p11(B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A,C)
    | p12(B,C) )).

cnf(p12_substitution_2,axiom,
    ( A != B
    | ~ p12(C,A)
    | p12(C,B) )).

cnf(p14_substitution_1,axiom,
    ( A != B
    | ~ p14(A,C)
    | p14(B,C) )).

cnf(p14_substitution_2,axiom,
    ( A != B
    | ~ p14(C,A)
    | p14(C,B) )).

cnf(p17_substitution_1,axiom,
    ( A != B
    | ~ p17(A,C,D,E)
    | p17(B,C,D,E) )).

cnf(p17_substitution_2,axiom,
    ( A != B
    | ~ p17(C,A,D,E)
    | p17(C,B,D,E) )).

cnf(p17_substitution_3,axiom,
    ( A != B
    | ~ p17(C,D,A,E)
    | p17(C,D,B,E) )).

cnf(p17_substitution_4,axiom,
    ( A != B
    | ~ p17(C,D,E,A)
    | p17(C,D,E,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C)
    | p3(B,C) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A)
    | p3(C,B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A,C)
    | p4(B,C) )).

cnf(p4_substitution_2,axiom,
    ( A != B
    | ~ p4(C,A)
    | p4(C,B) )).

cnf(clause_27,hypothesis,
    ( ~ p17(c2,c16,X1,X2)
    | p4(f15(c16,X2),f15(c2,X2))
    | ~ p11(X1)
    | ~ p10(X1)
    | ~ p14(X2,f24(X1)) )).

cnf(clause_19,axiom,
    ( X1 = X2
    | ~ p14(X1,X2)
    | p4(X1,X2) )).

cnf(clause_30,negated_conjecture,
    ( f6(c2,c26) != c9
    | ~ p12(c25,X1)
    | ~ p4(X1,f18(c2,c25)) )).

cnf(clause_26,hypothesis,
    ( ~ p11(X1)
    | ~ p10(X1)
    | p12(X1,f24(X1)) )).

cnf(clause_17,axiom,
    ( ~ p4(X1,X2)
    | ~ p4(X2,X3)
    | p4(X1,X3) )).

cnf(clause_8,axiom,
    ( ~ p12(X1,X2)
    | p12(X1,X3)
    | ~ p11(X1)
    | ~ p10(X1)
    | ~ p4(X3,X2) )).

cnf(clause_7,axiom,
    ( ~ p12(X1,X2)
    | ~ p10(X1)
    | ~ p4(f6(c2,X2),c9)
    | ~ p4(f6(c16,X2),c9)
    | p17(c2,c16,X1,X2) )).

cnf(clause_15,axiom,
    ( ~ p12(X1,X2)
    | ~ p11(X1)
    | ~ p4(c9,f15(c2,f19(X2,X1)))
    | ~ p10(X1)
    | p4(f20(X1),f18(c16,X1)) )).

cnf(clause_20,axiom,
    ( ~ p4(X1,X2)
    | p14(X1,X2) )).

cnf(clause_3,axiom,
    ( ~ p1(X1)
    | f6(c7,c8) = c9
    | ~ p3(X2,X1) )).

cnf(clause_22,hypothesis,
    ( p4(f18(c16,c21),f18(c2,X1))
    | ~ p10(X1) )).

cnf(clause_4,axiom,
    ( ~ p11(X1)
    | ~ p12(X1,X2)
    | p4(f6(c2,f13(X2,X1)),c9)
    | p3(X2,c2)
    | ~ p10(X1) )).

cnf(clause_24,hypothesis,
    ( ~ p10(X1)
    | ~ p11(X1)
    | p14(f22(X1),f23(X1)) )).

cnf(clause_28,negated_conjecture,(
    p10(c25) )).

cnf(clause_5,axiom,
    ( ~ p11(X1)
    | ~ p10(X1)
    | p14(f13(X2,X1),X2)
    | ~ p12(X1,X2)
    | p3(X2,c2) )).

cnf(clause_29,negated_conjecture,(
    p11(c25) )).

cnf(clause_21,axiom,
    ( X1 != X2
    | p14(X1,X2) )).

cnf(clause_2,axiom,
    ( ~ p1(X1)
    | p4(f5(X2,X1),X2)
    | ~ p3(X2,X1) )).

cnf(clause_23,hypothesis,
    ( p12(X1,f22(X1))
    | ~ p10(X1)
    | ~ p11(X1) )).

cnf(clause_18,axiom,
    ( p4(X2,X3)
    | p4(X3,X2)
    | X3 = X2
    | ~ p12(X1,X2)
    | ~ p12(X1,X3) )).

cnf(clause_9,axiom,
    ( p12(X1,f18(c2,X1))
    | ~ p10(X1)
    | ~ p11(X1) )).

cnf(clause_10,axiom,
    ( ~ p11(X1)
    | p12(X1,f18(c16,X1))
    | ~ p10(X1) )).

cnf(clause_25,hypothesis,
    ( ~ p10(X1)
    | ~ p12(X1,X2)
    | ~ p14(X2,f18(c16,X1))
    | p4(f6(c16,X2),c9) )).

cnf(clause_14,axiom,
    ( p4(c9,f15(c2,X3))
    | ~ p10(X1)
    | p14(f19(X2,X1),X2)
    | ~ p11(X1)
    | ~ p17(c2,c16,X1,X3)
    | ~ p12(X1,X2)
    | ~ p14(X3,f20(X1)) )).

cnf(clause_12,axiom,
    ( ~ p10(X1)
    | ~ p11(X1)
    | ~ p12(X1,X2)
    | p14(f19(X2,X1),X2)
    | p4(f20(X1),f18(c16,X1)) )).

cnf(clause_6,axiom,
    ( ~ p12(X1,X2)
    | ~ p10(X1)
    | ~ p11(X1)
    | p3(X2,c2)
    | ~ p4(c9,f15(c2,f13(X2,X1))) )).

cnf(clause_13,axiom,
    ( ~ p11(X1)
    | ~ p12(X1,X2)
    | ~ p17(c2,c16,X1,X3)
    | ~ p14(X3,f20(X1))
    | p4(c9,f15(c2,X3))
    | ~ p10(X1)
    | p17(c2,c16,X1,f19(X2,X1)) )).

cnf(clause_16,axiom,
    ( ~ p17(c2,c16,X1,X3)
    | ~ p12(X1,X2)
    | p4(c9,f15(c2,X3))
    | ~ p4(c9,f15(c2,f19(X2,X1)))
    | ~ p10(X1)
    | ~ p14(X3,f20(X1))
    | ~ p11(X1) )).

cnf(clause_11,axiom,
    ( p4(f20(X1),f18(c16,X1))
    | ~ p11(X1)
    | ~ p10(X1)
    | ~ p12(X1,X2)
    | p17(c2,c16,X1,f19(X2,X1)) )).

cnf(clause_1,axiom,(
    p1(c2) )).
%------------------------------------------------------------------------------
