%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A) = f7(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A)
    | p1(B) )).

cnf(p11_substitution_1,axiom,
    ( A != B
    | ~ p11(A,C)
    | p11(B,C) )).

cnf(p11_substitution_2,axiom,
    ( A != B
    | ~ p11(C,A)
    | p11(C,B) )).

cnf(clause_2,negated_conjecture,(
    ~ p1(f2(f7(c8),f2(f7(c9),f3(c4,f3(c5,f3(c6,f7(c10))))))) )).

cnf(clause_1,axiom,(
    p1(f2(f3(c4,f3(c5,f3(c6,f7(c8)))),f2(f7(c9),f7(c10)))) )).

cnf(clause_9,axiom,(
    p11(c4,f3(c5,X1)) )).

cnf(clause_10,axiom,(
    p11(c5,f3(c6,X1)) )).

cnf(clause_5,axiom,
    ( ~ p11(X1,X2)
    | f2(f3(X1,X2),X3) = f2(X2,f3(X1,X3))
    | ~ p11(X1,X3) )).

cnf(clause_11,axiom,(
    p11(c4,f3(c6,X1)) )).

cnf(clause_3,axiom,(
    f2(X1,X2) = f2(X2,X1) )).

cnf(clause_4,axiom,(
    f2(X1,f2(X2,X3)) = f2(f2(X1,X2),X3) )).

cnf(clause_7,axiom,
    ( p11(c5,f7(X1))
    | X1 = c9 )).

cnf(clause_8,axiom,(
    p11(c6,f7(X1)) )).

cnf(clause_6,axiom,(
    p11(c4,f7(X1)) )).
%------------------------------------------------------------------------------
