%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C,D)
    | p2(B,C,D) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A,D)
    | p2(C,B,D) )).

cnf(p2_substitution_3,axiom,
    ( A != B
    | ~ p2(C,D,A)
    | p2(C,D,B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A)
    | p4(B) )).

cnf(clause_13,axiom,(
    p1(f6(X1),X1) )).

cnf(clause_18,axiom,
    ( ~ p2(X1,X2,X3)
    | X3 = X4
    | ~ p2(X1,X2,X4) )).

cnf(clause_5,axiom,
    ( ~ p2(X3,X4,X5)
    | ~ p2(X2,X4,X6)
    | ~ p2(X1,X2,X3)
    | p2(X1,X6,X5) )).

cnf(clause_2,axiom,
    ( ~ p2(X1,X2,X3)
    | p1(X1,X2) )).

cnf(clause_4,axiom,
    ( p1(X1,X5)
    | ~ p2(X1,X2,X3)
    | ~ p1(X3,X4)
    | ~ p2(X2,X4,X5) )).

cnf(clause_16,axiom,
    ( ~ p1(X1,X2)
    | ~ p4(X1)
    | p2(X1,X2,X2) )).

cnf(clause_12,axiom,(
    p1(X1,f5(X1)) )).

cnf(clause_11,axiom,(
    p4(f6(X1)) )).

cnf(clause_8,axiom,
    ( ~ p2(X1,X2,X3)
    | ~ p2(X4,X1,X6)
    | p2(X6,X2,X5)
    | ~ p2(X4,X3,X5) )).

cnf(clause_6,axiom,
    ( ~ p2(X1,X2,X3)
    | ~ p1(X4,X3)
    | p1(X4,X1) )).

cnf(clause_9,axiom,
    ( ~ p4(X2)
    | p1(X1,X3)
    | ~ p1(X2,X3)
    | ~ p1(X1,X2) )).

cnf(clause_17,axiom,
    ( ~ p1(X1,X2)
    | ~ p4(X2)
    | p2(X1,X2,X1) )).

cnf(clause_14,axiom,(
    p2(X1,f5(X1),X1) )).

cnf(clause_3,axiom,
    ( ~ p2(X1,X2,X3)
    | ~ p1(X3,X4)
    | p1(X2,X4) )).

cnf(clause_10,axiom,(
    p4(f5(X1)) )).

cnf(clause_1,axiom,
    ( ~ p1(X1,X2)
    | p2(X1,X2,f3(X1,X2)) )).

cnf(clause_15,axiom,(
    p2(f6(X1),X1,X1) )).

cnf(clause_7,axiom,
    ( p1(X5,X2)
    | ~ p1(X4,X3)
    | ~ p2(X4,X1,X5)
    | ~ p2(X1,X2,X3) )).
%------------------------------------------------------------------------------
