%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A) = f4(B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(clause_1,axiom,(
    f1(f1(f1(c2,X1),X2),X3) = f1(X1,f1(X2,X3)) )).

cnf(clause_2,axiom,(
    f1(f1(c3,X1),X2) = f1(X2,X1) )).

cnf(clause_3,negated_conjecture,(
    f1(f1(f1(X1,f4(X1)),f5(X1)),f6(X1)) != f1(f5(X1),f1(f4(X1),f6(X1))) )).
%------------------------------------------------------------------------------
