%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(clause_6,axiom,(
    f4(f1(X1,X2),X2) = X1 )).

cnf(clause_3,axiom,(
    X2 = f1(X1,f3(X1,X2)) )).

cnf(clause_5,axiom,(
    X1 = f1(f4(X1,X2),X2) )).

cnf(clause_8,axiom,(
    f1(f6(X1),X1) = c2 )).

cnf(clause_7,axiom,(
    c2 = f1(X1,f5(X1)) )).

cnf(clause_10,negated_conjecture,(
    f1(f1(c7,f1(c8,c9)),c7) != f1(f1(c7,c8),f1(c9,c7)) )).

cnf(clause_9,axiom,(
    f1(X1,f1(X2,f1(X1,X3))) = f1(f1(f1(X1,X2),X1),X3) )).

cnf(clause_4,axiom,(
    X2 = f3(X1,f1(X1,X2)) )).

cnf(clause_2,axiom,(
    X1 = f1(X1,c2) )).

cnf(clause_1,axiom,(
    X1 = f1(c2,X1) )).
%------------------------------------------------------------------------------
