%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(clause_1,axiom,(
    f1(X1,f1(f1(f1(f1(X1,X1),X2),X3),f1(f1(f1(X1,X1),X1),X3))) = X2 )).

cnf(clause_2,axiom,(
    f2(X1,X2) = f1(X1,f1(f1(X3,X3),X2)) )).

cnf(clause_4,negated_conjecture,(
    f2(c4,f2(c5,c6)) != f2(f2(c4,c5),c6) )).

cnf(clause_3,axiom,(
    f1(f1(X2,X2),X1) = f3(X1) )).
%------------------------------------------------------------------------------
