%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(clause_4,axiom,(
    X1 = f2(X1,f1(X1,X2)) )).

cnf(clause_8,axiom,(
    f2(X1,f2(X2,X3)) = f2(f2(X1,X2),X3) )).

cnf(clause_10,negated_conjecture,(
    f1(c3,f2(c4,f1(c5,f2(f1(c3,c6),f1(c4,c6))))) != f1(c3,f2(c4,f1(c3,f1(c5,c6)))) )).

cnf(clause_6,axiom,(
    f2(X2,X1) = f2(X1,X2) )).

cnf(clause_9,axiom,(
    f2(X1,f1(X2,f2(X3,f1(X4,f2(X1,X2))))) = f2(X1,f1(X2,f2(X3,f1(X2,X4)))) )).

cnf(clause_5,axiom,(
    f1(X2,X1) = f1(X1,X2) )).

cnf(clause_2,axiom,(
    f2(X1,X1) = X1 )).

cnf(clause_1,axiom,(
    X1 = f1(X1,X1) )).

cnf(clause_3,axiom,(
    X1 = f1(X1,f2(X1,X2)) )).

cnf(clause_7,axiom,(
    f1(X1,f1(X2,X3)) = f1(f1(X1,X2),X3) )).
%------------------------------------------------------------------------------
