%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A) = f4(B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C,D) = f5(B,C,D) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A,D) = f5(C,B,D) )).

cnf(f5_substitution_3,axiom,
    ( A != B
    | f5(C,D,A) = f5(C,D,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(clause_6,axiom,(
    c2 = f1(X1,f4(X1)) )).

cnf(clause_7,axiom,(
    f4(f4(X1)) = X1 )).

cnf(clause_15,axiom,(
    f1(f3(X2,X1),f4(f3(X1,X2))) = f6(X1,X2) )).

cnf(clause_1,axiom,(
    X1 = f1(c2,X1) )).

cnf(clause_10,axiom,(
    f1(X1,X2) = f1(X2,X1) )).

cnf(clause_11,axiom,(
    f1(X1,f1(X2,X3)) = f1(f1(X1,X2),X3) )).

cnf(clause_2,axiom,(
    f1(X1,c2) = X1 )).

cnf(clause_14,axiom,(
    f5(X1,X2,X3) = f1(f3(f3(X1,X2),X3),f4(f3(X1,f3(X2,X3)))) )).

cnf(clause_16,negated_conjecture,(
    f3(c7,f3(c8,f3(c9,c8))) != f3(f3(f3(c7,c8),c9),c8) )).

cnf(clause_8,axiom,(
    f3(X1,f1(X2,X3)) = f1(f3(X1,X2),f3(X1,X3)) )).

cnf(clause_5,axiom,(
    c2 = f1(f4(X1),X1) )).

cnf(clause_12,axiom,(
    f3(f3(X1,X2),X2) = f3(X1,f3(X2,X2)) )).

cnf(clause_13,axiom,(
    f3(f3(X1,X1),X2) = f3(X1,f3(X1,X2)) )).

cnf(clause_3,axiom,(
    c2 = f3(c2,X1) )).

cnf(clause_4,axiom,(
    f3(X1,c2) = c2 )).

cnf(clause_9,axiom,(
    f3(f1(X1,X2),X3) = f1(f3(X1,X3),f3(X2,X3)) )).
%------------------------------------------------------------------------------
