%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A)
    | p1(B) )).

cnf(p11_substitution_1,axiom,
    ( A != B
    | ~ p11(A)
    | p11(B) )).

cnf(p13_substitution_1,axiom,
    ( A != B
    | ~ p13(A)
    | p13(B) )).

cnf(p15_substitution_1,axiom,
    ( A != B
    | ~ p15(A)
    | p15(B) )).

cnf(p20_substitution_1,axiom,
    ( A != B
    | ~ p20(A)
    | p20(B) )).

cnf(p26_substitution_1,axiom,
    ( A != B
    | ~ p26(A)
    | p26(B) )).

cnf(p27_substitution_1,axiom,
    ( A != B
    | ~ p27(A)
    | p27(B) )).

cnf(p28_substitution_1,axiom,
    ( A != B
    | ~ p28(A)
    | p28(B) )).

cnf(p29_substitution_1,axiom,
    ( A != B
    | ~ p29(A)
    | p29(B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A)
    | p3(B) )).

cnf(p30_substitution_1,axiom,
    ( A != B
    | ~ p30(A)
    | p30(B) )).

cnf(p31_substitution_1,axiom,
    ( A != B
    | ~ p31(A)
    | p31(B) )).

cnf(p32_substitution_1,axiom,
    ( A != B
    | ~ p32(A)
    | p32(B) )).

cnf(p33_substitution_1,axiom,
    ( A != B
    | ~ p33(A)
    | p33(B) )).

cnf(p34_substitution_1,axiom,
    ( A != B
    | ~ p34(A,C)
    | p34(B,C) )).

cnf(p34_substitution_2,axiom,
    ( A != B
    | ~ p34(C,A)
    | p34(C,B) )).

cnf(p35_substitution_1,axiom,
    ( A != B
    | ~ p35(A,C)
    | p35(B,C) )).

cnf(p35_substitution_2,axiom,
    ( A != B
    | ~ p35(C,A)
    | p35(C,B) )).

cnf(p36_substitution_1,axiom,
    ( A != B
    | ~ p36(A,C)
    | p36(B,C) )).

cnf(p36_substitution_2,axiom,
    ( A != B
    | ~ p36(C,A)
    | p36(C,B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A)
    | p5(B) )).

cnf(p7_substitution_1,axiom,
    ( A != B
    | ~ p7(A)
    | p7(B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A)
    | p9(B) )).

cnf(clause_10,negated_conjecture,(
    p7(c18) )).

cnf(clause_41,negated_conjecture,
    ( ~ p25
    | p33(c22) )).

cnf(clause_46,negated_conjecture,
    ( p36(c4,c2)
    | p25 )).

cnf(clause_29,negated_conjecture,
    ( p28(c19)
    | ~ p25 )).

cnf(clause_34,negated_conjecture,
    ( p27(c18)
    | ~ p25 )).

cnf(clause_54,negated_conjecture,
    ( p25
    | c12 != c14 )).

cnf(clause_16,negated_conjecture,
    ( p26(c8)
    | p25 )).

cnf(clause_18,negated_conjecture,
    ( p25
    | p28(c6) )).

cnf(clause_8,negated_conjecture,(
    p15(c16) )).

cnf(clause_57,negated_conjecture,
    ( ~ p32(X7)
    | ~ p36(X3,X4)
    | ~ p13(X6)
    | X7 = X6
    | ~ p31(X1)
    | ~ p1(X4)
    | ~ p26(X2)
    | ~ p35(X3,X1)
    | ~ p11(X7)
    | ~ p15(X4)
    | ~ p33(X5)
    | ~ p27(X2)
    | ~ p32(X6)
    | ~ p9(X8)
    | ~ p11(X6)
    | ~ p13(X7)
    | ~ p5(X1)
    | ~ p36(X6,X5)
    | ~ p30(X1)
    | ~ p34(X3,X2)
    | ~ p20(X8)
    | ~ p33(X8)
    | ~ p20(X5)
    | ~ p9(X5)
    | ~ p28(X1)
    | ~ p7(X2)
    | p25
    | ~ p29(X1)
    | ~ p3(X3)
    | ~ p36(X7,X8) )).

cnf(clause_50,negated_conjecture,
    ( p34(c17,c18)
    | ~ p25 )).

cnf(clause_2,negated_conjecture,(
    p3(c4) )).

cnf(clause_30,negated_conjecture,
    ( p29(c19)
    | ~ p25 )).

cnf(clause_35,negated_conjecture,
    ( ~ p25
    | p1(c16) )).

cnf(clause_44,negated_conjecture,
    ( p34(c4,c8)
    | p25 )).

cnf(clause_42,negated_conjecture,
    ( ~ p25
    | p11(c23) )).

cnf(clause_51,negated_conjecture,
    ( ~ p25
    | p36(c17,c16) )).

cnf(clause_38,negated_conjecture,
    ( p13(c24)
    | ~ p25 )).

cnf(clause_27,negated_conjecture,
    ( p20(c10)
    | p25 )).

cnf(clause_33,negated_conjecture,
    ( ~ p25
    | p26(c18) )).

cnf(clause_37,negated_conjecture,
    ( ~ p25
    | p33(c21) )).

cnf(clause_53,negated_conjecture,
    ( ~ p25
    | p36(c23,c22) )).

cnf(clause_49,negated_conjecture,
    ( ~ p25
    | p35(c17,c19) )).

cnf(clause_47,negated_conjecture,
    ( p36(c14,c10)
    | p25 )).

cnf(clause_25,negated_conjecture,
    ( p25
    | p13(c12) )).

cnf(clause_43,negated_conjecture,
    ( ~ p25
    | p32(c23) )).

cnf(clause_3,negated_conjecture,(
    p5(c6) )).

cnf(clause_11,negated_conjecture,(
    p5(c19) )).

cnf(clause_4,negated_conjecture,(
    p7(c8) )).

cnf(clause_6,negated_conjecture,(
    p11(c12) )).

cnf(clause_40,negated_conjecture,
    ( p20(c22)
    | ~ p25 )).

cnf(clause_19,negated_conjecture,
    ( p29(c6)
    | p25 )).

cnf(clause_20,negated_conjecture,
    ( p30(c6)
    | p25 )).

cnf(clause_17,negated_conjecture,
    ( p27(c8)
    | p25 )).

cnf(clause_45,negated_conjecture,
    ( p35(c4,c6)
    | p25 )).

cnf(clause_9,negated_conjecture,(
    p3(c17) )).

cnf(clause_12,negated_conjecture,(
    p20(c21) )).

cnf(clause_32,negated_conjecture,
    ( ~ p25
    | p31(c19) )).

cnf(clause_52,negated_conjecture,
    ( p36(c24,c21)
    | ~ p25 )).

cnf(clause_21,negated_conjecture,
    ( p31(c6)
    | p25 )).

cnf(clause_5,negated_conjecture,(
    p9(c10) )).

cnf(clause_7,negated_conjecture,(
    p13(c14) )).

cnf(clause_13,negated_conjecture,(
    p9(c22) )).

cnf(clause_31,negated_conjecture,
    ( ~ p25
    | p30(c19) )).

cnf(clause_24,negated_conjecture,
    ( p25
    | p32(c14) )).

cnf(clause_14,negated_conjecture,(
    p13(c23) )).

cnf(clause_36,negated_conjecture,
    ( ~ p25
    | p9(c21) )).

cnf(clause_39,negated_conjecture,
    ( p32(c24)
    | ~ p25 )).

cnf(clause_26,negated_conjecture,
    ( p32(c12)
    | p25 )).

cnf(clause_55,negated_conjecture,
    ( ~ p25
    | c23 != c24 )).

cnf(clause_22,negated_conjecture,
    ( p25
    | p15(c2) )).

cnf(clause_15,negated_conjecture,(
    p11(c24) )).

cnf(clause_28,negated_conjecture,
    ( p25
    | p33(c10) )).

cnf(clause_56,negated_conjecture,
    ( ~ p33(X7)
    | ~ p32(X5)
    | ~ p29(X2)
    | ~ p35(X3,X2)
    | ~ p13(X5)
    | ~ p28(X2)
    | ~ p25
    | ~ p15(X4)
    | ~ p1(X4)
    | ~ p11(X5)
    | ~ p11(X6)
    | ~ p26(X1)
    | ~ p36(X6,X7)
    | ~ p27(X1)
    | ~ p3(X3)
    | ~ p9(X7)
    | ~ p31(X2)
    | ~ p30(X2)
    | X6 = X5
    | ~ p7(X1)
    | ~ p20(X7)
    | ~ p32(X6)
    | ~ p5(X2)
    | ~ p36(X5,X7)
    | ~ p13(X6)
    | ~ p36(X3,X4)
    | ~ p34(X3,X1) )).

cnf(clause_23,negated_conjecture,
    ( p25
    | p11(c14) )).

cnf(clause_1,negated_conjecture,(
    p1(c2) )).

cnf(clause_48,negated_conjecture,
    ( p36(c12,c10)
    | p25 )).
%------------------------------------------------------------------------------
