%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A)
    | p1(B) )).

cnf(p11_substitution_1,axiom,
    ( A != B
    | ~ p11(A)
    | p11(B) )).

cnf(p13_substitution_1,axiom,
    ( A != B
    | ~ p13(A)
    | p13(B) )).

cnf(p17_substitution_1,axiom,
    ( A != B
    | ~ p17(A)
    | p17(B) )).

cnf(p19_substitution_1,axiom,
    ( A != B
    | ~ p19(A)
    | p19(B) )).

cnf(p22_substitution_1,axiom,
    ( A != B
    | ~ p22(A)
    | p22(B) )).

cnf(p27_substitution_1,axiom,
    ( A != B
    | ~ p27(A)
    | p27(B) )).

cnf(p28_substitution_1,axiom,
    ( A != B
    | ~ p28(A)
    | p28(B) )).

cnf(p29_substitution_1,axiom,
    ( A != B
    | ~ p29(A)
    | p29(B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A)
    | p3(B) )).

cnf(p30_substitution_1,axiom,
    ( A != B
    | ~ p30(A)
    | p30(B) )).

cnf(p31_substitution_1,axiom,
    ( A != B
    | ~ p31(A)
    | p31(B) )).

cnf(p32_substitution_1,axiom,
    ( A != B
    | ~ p32(A)
    | p32(B) )).

cnf(p33_substitution_1,axiom,
    ( A != B
    | ~ p33(A)
    | p33(B) )).

cnf(p34_substitution_1,axiom,
    ( A != B
    | ~ p34(A,C)
    | p34(B,C) )).

cnf(p34_substitution_2,axiom,
    ( A != B
    | ~ p34(C,A)
    | p34(C,B) )).

cnf(p35_substitution_1,axiom,
    ( A != B
    | ~ p35(A,C)
    | p35(B,C) )).

cnf(p35_substitution_2,axiom,
    ( A != B
    | ~ p35(C,A)
    | p35(C,B) )).

cnf(p36_substitution_1,axiom,
    ( A != B
    | ~ p36(A,C)
    | p36(B,C) )).

cnf(p36_substitution_2,axiom,
    ( A != B
    | ~ p36(C,A)
    | p36(C,B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A)
    | p5(B) )).

cnf(p7_substitution_1,axiom,
    ( A != B
    | ~ p7(A)
    | p7(B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A)
    | p9(B) )).

cnf(clause_17,negated_conjecture,
    ( p26
    | p27(c8) )).

cnf(clause_20,negated_conjecture,
    ( p19(c6)
    | p26 )).

cnf(clause_7,negated_conjecture,(
    p13(c14) )).

cnf(clause_10,negated_conjecture,(
    p17(c18) )).

cnf(clause_8,negated_conjecture,(
    p1(c15) )).

cnf(clause_42,negated_conjecture,
    ( ~ p26
    | p9(c23) )).

cnf(clause_18,negated_conjecture,
    ( p26
    | p28(c8) )).

cnf(clause_26,negated_conjecture,
    ( p32(c12)
    | p26 )).

cnf(clause_50,negated_conjecture,
    ( p35(c16,c18)
    | ~ p26 )).

cnf(clause_41,negated_conjecture,
    ( ~ p26
    | p32(c24) )).

cnf(clause_49,negated_conjecture,
    ( p34(c16,c20)
    | ~ p26 )).

cnf(clause_23,negated_conjecture,
    ( p11(c14)
    | p26 )).

cnf(clause_27,negated_conjecture,
    ( p22(c10)
    | p26 )).

cnf(clause_25,negated_conjecture,
    ( p26
    | p13(c12) )).

cnf(clause_11,negated_conjecture,(
    p19(c20) )).

cnf(clause_9,negated_conjecture,(
    p3(c16) )).

cnf(clause_30,negated_conjecture,
    ( p30(c20)
    | ~ p26 )).

cnf(clause_22,negated_conjecture,
    ( p31(c2)
    | p26 )).

cnf(clause_32,negated_conjecture,
    ( ~ p26
    | p29(c18) )).

cnf(clause_16,negated_conjecture,
    ( p17(c8)
    | p26 )).

cnf(clause_56,negated_conjecture,
    ( ~ p31(X4)
    | ~ p27(X1)
    | ~ p13(X6)
    | ~ p30(X2)
    | ~ p26
    | ~ p5(X2)
    | ~ p11(X5)
    | ~ p36(X6,X7)
    | ~ p32(X5)
    | ~ p36(X3,X4)
    | ~ p28(X1)
    | ~ p17(X1)
    | ~ p7(X1)
    | ~ p1(X4)
    | X6 = X5
    | ~ p9(X7)
    | ~ p29(X1)
    | ~ p13(X5)
    | ~ p34(X3,X2)
    | ~ p32(X6)
    | ~ p22(X7)
    | ~ p11(X6)
    | ~ p36(X5,X7)
    | ~ p33(X7)
    | ~ p3(X3)
    | ~ p35(X3,X1)
    | ~ p19(X2) )).

cnf(clause_3,negated_conjecture,(
    p5(c6) )).

cnf(clause_40,negated_conjecture,
    ( p11(c24)
    | ~ p26 )).

cnf(clause_4,negated_conjecture,(
    p7(c8) )).

cnf(clause_19,negated_conjecture,
    ( p26
    | p29(c8) )).

cnf(clause_15,negated_conjecture,(
    p11(c25) )).

cnf(clause_1,negated_conjecture,(
    p1(c2) )).

cnf(clause_28,negated_conjecture,
    ( p33(c10)
    | p26 )).

cnf(clause_33,negated_conjecture,
    ( ~ p26
    | p28(c18) )).

cnf(clause_36,negated_conjecture,
    ( ~ p26
    | p13(c25) )).

cnf(clause_35,negated_conjecture,
    ( p31(c15)
    | ~ p26 )).

cnf(clause_46,negated_conjecture,
    ( p26
    | p36(c4,c2) )).

cnf(clause_38,negated_conjecture,
    ( p22(c21)
    | ~ p26 )).

cnf(clause_5,negated_conjecture,(
    p9(c10) )).

cnf(clause_53,negated_conjecture,
    ( p36(c24,c23)
    | ~ p26 )).

cnf(clause_6,negated_conjecture,(
    p11(c12) )).

cnf(clause_29,negated_conjecture,
    ( p5(c20)
    | ~ p26 )).

cnf(clause_48,negated_conjecture,
    ( p36(c12,c10)
    | p26 )).

cnf(clause_12,negated_conjecture,(
    p9(c21) )).

cnf(clause_2,negated_conjecture,(
    p3(c4) )).

cnf(clause_13,negated_conjecture,(
    p22(c23) )).

cnf(clause_54,negated_conjecture,
    ( p26
    | c12 != c14 )).

cnf(clause_14,negated_conjecture,(
    p13(c24) )).

cnf(clause_37,negated_conjecture,
    ( p32(c25)
    | ~ p26 )).

cnf(clause_52,negated_conjecture,
    ( ~ p26
    | p36(c25,c21) )).

cnf(clause_51,negated_conjecture,
    ( p36(c16,c15)
    | ~ p26 )).

cnf(clause_45,negated_conjecture,
    ( p26
    | p35(c4,c8) )).

cnf(clause_24,negated_conjecture,
    ( p32(c14)
    | p26 )).

cnf(clause_31,negated_conjecture,
    ( ~ p26
    | p7(c18) )).

cnf(clause_39,negated_conjecture,
    ( p33(c21)
    | ~ p26 )).

cnf(clause_55,negated_conjecture,
    ( ~ p26
    | c24 != c25 )).

cnf(clause_44,negated_conjecture,
    ( p34(c4,c6)
    | p26 )).

cnf(clause_57,negated_conjecture,
    ( X7 = X5
    | ~ p9(X6)
    | ~ p32(X7)
    | ~ p35(X3,X2)
    | ~ p30(X1)
    | ~ p28(X2)
    | p26
    | ~ p29(X2)
    | ~ p33(X8)
    | ~ p27(X2)
    | ~ p31(X4)
    | ~ p34(X3,X1)
    | ~ p11(X7)
    | ~ p33(X6)
    | ~ p9(X8)
    | ~ p36(X7,X8)
    | ~ p36(X3,X4)
    | ~ p22(X8)
    | ~ p32(X5)
    | ~ p19(X1)
    | ~ p7(X2)
    | ~ p22(X6)
    | ~ p17(X2)
    | ~ p5(X1)
    | ~ p3(X3)
    | ~ p13(X7)
    | ~ p36(X5,X6)
    | ~ p13(X5)
    | ~ p1(X4)
    | ~ p11(X5) )).

cnf(clause_43,negated_conjecture,
    ( p33(c23)
    | ~ p26 )).

cnf(clause_21,negated_conjecture,
    ( p26
    | p30(c6) )).

cnf(clause_34,negated_conjecture,
    ( ~ p26
    | p27(c18) )).

cnf(clause_47,negated_conjecture,
    ( p26
    | p36(c14,c10) )).
%------------------------------------------------------------------------------
