%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f174_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f174(A) = f174(B) ) )).

fof(f72_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f72(A) = f72(B) ) )).

fof(f73_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f73(A) = f73(B) ) )).

fof(f74_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f74(A,C) = f74(B,C) ) )).

fof(f74_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f74(C,A) = f74(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p1(A,C,D,E) )
     => p1(B,C,D,E) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p1(C,A,D,E) )
     => p1(C,B,D,E) ) )).

fof(p1_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p1(C,D,A,E) )
     => p1(C,D,B,E) ) )).

fof(p1_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p1(C,D,E,A) )
     => p1(C,D,E,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p302_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p302(A) )
     => p302(B) ) )).

fof(p303_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p303(A,C) )
     => p303(B,C) ) )).

fof(p303_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p303(C,A) )
     => p303(C,B) ) )).

fof(p304_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p304(A) )
     => p304(B) ) )).

fof(p305_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p305(A,C) )
     => p305(B,C) ) )).

fof(p305_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p305(C,A) )
     => p305(C,B) ) )).

fof(p306_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p306(A,C,D) )
     => p306(B,C,D) ) )).

fof(p306_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p306(C,A,D) )
     => p306(C,B,D) ) )).

fof(p306_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p306(C,D,A) )
     => p306(C,D,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(A,C,D) )
     => p6(B,C,D) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(C,A,D) )
     => p6(C,B,D) ) )).

fof(p6_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(C,D,A) )
     => p6(C,D,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p7(A,C,D) )
     => p7(B,C,D) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p7(C,A,D) )
     => p7(C,B,D) ) )).

fof(p7_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p7(C,D,A) )
     => p7(C,D,B) ) )).

fof(p71_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p71(A,C) )
     => p71(B,C) ) )).

fof(p71_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p71(C,A) )
     => p71(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p8(A,C,D) )
     => p8(B,C,D) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p8(C,A,D) )
     => p8(C,B,D) ) )).

fof(p8_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p8(C,D,A) )
     => p8(C,D,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(A,C,D) )
     => p9(B,C,D) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(C,A,D) )
     => p9(C,B,D) ) )).

fof(p9_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(C,D,A) )
     => p9(C,D,B) ) )).

fof(formula_200,axiom,(
    ~ p1(c65,c66,c50,c23) )).

fof(formula_590,axiom,(
    p4(c63,c23) )).

fof(formula_548,axiom,(
    p2(c61,c50) )).

fof(formula_655,axiom,(
    p71(c77,f72(f74(f73(c28),f73(c24)))) )).

fof(formula_808,axiom,(
    p71(c217,f174(f74(f73(c18),f73(c18)))) )).

fof(formula_231,axiom,(
    p4(c70,c41) )).

fof(formula_97,axiom,(
    p1(c68,c64,c57,c60) )).

fof(formula_227,axiom,(
    p1(c68,c62,c50,c60) )).

fof(formula_74,axiom,(
    p4(c66,c56) )).

fof(formula_544,axiom,(
    p6(c61,c13,c49) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( ( p6(X1,c11,c35)
        & p6(X1,c13,c36)
        & p6(X1,c15,c24)
        & p6(X1,c17,c37)
        & p6(X1,c19,c18) )
    <=> p2(X1,c38) ) )).

fof(formula_522,axiom,(
    p6(c70,c19,c24) )).

fof(formula_83,axiom,(
    p7(c59,c62,c45) )).

fof(formula_776,axiom,(
    p71(c185,f174(f74(f73(c41),f73(c24)))) )).

fof(formula_188,axiom,(
    p4(c59,c60) )).

fof(formula_691,axiom,(
    p71(c21,f72(f74(f73(c18),f73(c56)))) )).

fof(formula_496,axiom,(
    p2(c67,c50) )).

fof(formula_85,axiom,(
    p4(c61,c41) )).

fof(formula_434,axiom,(
    p4(c69,c18) )).

fof(formula_846,axiom,(
    p71(c255,f174(f74(f73(c41),f73(c28)))) )).

fof(formula_880,axiom,(
    p71(c289,f174(f74(f73(c60),f74(f73(c24),f73(c24))))) )).

fof(formula_701,axiom,(
    p71(c116,f72(f74(f73(c18),f73(c60)))) )).

fof(formula_22,axiom,(
    p1(c58,c59,c50,c60) )).

fof(formula_852,axiom,(
    p71(c261,f174(f74(f73(c28),f73(c28)))) )).

fof(formula_503,axiom,(
    p6(c58,c19,c24) )).

fof(formula_888,axiom,(
    p71(c297,f174(f74(f73(c18),f74(f73(c41),f73(c24))))) )).

fof(formula_882,axiom,(
    p71(c291,f174(f74(f73(c28),f74(f73(c24),f73(c24))))) )).

fof(formula_37,axiom,(
    p4(c64,c18) )).

fof(formula_406,axiom,(
    p6(c64,c13,c49) )).

fof(formula_589,axiom,(
    p2(c59,c50) )).

fof(formula_59,axiom,(
    p1(c63,c66,c50,c18) )).

fof(formula_332,axiom,(
    p3(c63,c64) )).

fof(formula_920,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
    <=> ( ~ p5(X2,X1)
        & X2 != X1 ) ) )).

fof(formula_609,axiom,(
    p3(c62,c66) )).

fof(formula_177,axiom,(
    p4(c67,c60) )).

fof(formula_467,axiom,(
    p6(c65,c13,c40) )).

fof(formula_520,axiom,(
    p2(c58,c50) )).

fof(formula_743,axiom,(
    p71(c151,f72(f74(f73(c60),f74(f73(c40),f73(c24))))) )).

fof(formula_702,axiom,(
    p71(c12,f72(f74(f73(c56),f73(c60)))) )).

fof(formula_241,axiom,(
    p8(c63,c70,c50) )).

fof(formula_518,axiom,(
    p4(c58,c60) )).

fof(formula_717,axiom,(
    p71(c127,f72(f74(f73(c40),f73(c28)))) )).

fof(formula_215,axiom,(
    p1(c64,c66,c50,c23) )).

fof(formula_471,axiom,(
    p6(c65,c19,c24) )).

fof(formula_38,axiom,(
    p1(c68,c64,c55,c18) )).

fof(formula_112,axiom,(
    p1(c69,c59,c45,c60) )).

fof(formula_390,axiom,(
    p6(c64,c11,c43) )).

fof(formula_537,axiom,(
    p4(c61,c18) )).

fof(formula_219,axiom,(
    p1(c64,c62,c50,c60) )).

fof(formula_157,axiom,(
    p7(c64,c58,c57) )).

fof(formula_593,axiom,(
    p4(c63,c18) )).

fof(formula_666,axiom,(
    p71(c84,f72(f74(f73(c25),f73(c41)))) )).

fof(formula_438,axiom,(
    p4(c69,c60) )).

fof(formula_156,axiom,(
    p1(c64,c66,c57,c60) )).

fof(formula_812,axiom,(
    p71(c221,f174(f74(f73(c28),f73(c18)))) )).

fof(formula_800,axiom,(
    p71(c209,f174(f74(f73(c60),f73(c23)))) )).

fof(formula_249,axiom,(
    p1(c66,c68,c50,c60) )).

fof(formula_107,axiom,(
    p8(c70,c62,c45) )).

fof(formula_742,axiom,(
    p71(c150,f72(f74(f73(c56),f74(f73(c40),f73(c24))))) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( ( p6(X1,c11,c27)
        & p6(X1,c13,c28)
        & p6(X1,c15,c29)
        & p6(X1,c17,c24)
        & p6(X1,c19,c24) )
    <=> p2(X1,c30) ) )).

fof(formula_592,axiom,(
    p4(c63,c24) )).

fof(formula_781,axiom,(
    p71(c190,f174(f74(f73(c16),f73(c24)))) )).

fof(formula_314,axiom,(
    p6(c68,c15,c12) )).

fof(formula_508,axiom,(
    p4(c58,c56) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( ( p6(X1,c11,c48)
        & p6(X1,c13,c49)
        & p6(X1,c15,c24)
        & p6(X1,c17,c40)
        & p6(X1,c19,c40) )
    <=> p2(X1,c50) ) )).

fof(formula_296,axiom,(
    p2(c58,c45) )).

fof(formula_210,axiom,(
    p1(c58,c70,c50,c56) )).

fof(formula_349,axiom,(
    p6(c69,c13,c49) )).

fof(formula_577,axiom,(
    p4(c59,c56) )).

fof(formula_875,axiom,(
    p71(c284,f174(f74(f73(c24),f74(f73(c24),f73(c24))))) )).

fof(formula_316,axiom,(
    p6(c68,c11,c27) )).

fof(formula_564,axiom,(
    p6(c68,c19,c40) )).

fof(formula_539,axiom,(
    p4(c61,c41) )).

fof(formula_778,axiom,(
    p71(c187,f174(f74(f73(c18),f73(c24)))) )).

fof(formula_611,axiom,(
    p4(c62,c18) )).

fof(formula_437,axiom,(
    p4(c69,c24) )).

fof(formula_23,axiom,(
    p1(c58,c59,c45,c60) )).

fof(formula_197,axiom,(
    ~ p1(c65,c63,c50,c41) )).

fof(formula_183,axiom,(
    p1(c62,c64,c55,c60) )).

fof(formula_362,axiom,(
    p6(c65,c19,c40) )).

fof(formula_889,axiom,(
    p71(c298,f174(f74(f73(c56),f74(f73(c41),f73(c24))))) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( ( p6(X1,c11,c40)
        & p6(X1,c13,c40)
        & p6(X1,c15,c40)
        & p6(X1,c17,c46)
        & p6(X1,c19,c40) )
    <=> p2(X1,c47) ) )).

fof(formula_228,axiom,(
    p1(c68,c66,c50,c60) )).

fof(formula_379,axiom,(
    p2(c61,c57) )).

fof(formula_511,axiom,(
    p4(c58,c41) )).

fof(formula_879,axiom,(
    p71(c288,f174(f74(f73(c56),f74(f73(c24),f73(c24))))) )).

fof(formula_131,axiom,(
    p1(c62,c64,c57,c60) )).

fof(formula_864,axiom,(
    p71(c273,f174(f74(f73(c40),f74(f73(c40),f73(c24))))) )).

fof(formula_306,axiom,(
    p3(c68,c59) )).

fof(formula_679,axiom,(
    p71(c96,f72(f74(f73(c41),f73(c18)))) )).

fof(formula_629,axiom,(
    p4(c65,c56) )).

fof(formula_659,axiom,(
    p71(c80,f72(f74(f73(c41),f73(c41)))) )).

fof(formula_857,axiom,(
    p71(c266,f174(f74(f73(c23),f73(c25)))) )).

fof(formula_356,axiom,(
    p6(c69,c15,c40) )).

fof(formula_322,axiom,(
    p2(c68,c55) )).

fof(formula_603,axiom,(
    p4(c64,c18) )).

fof(formula_850,axiom,(
    p71(c259,f174(f74(f73(c60),f73(c28)))) )).

fof(formula_208,axiom,(
    p1(c67,c70,c50,c56) )).

fof(formula_626,axiom,(
    p4(c66,c41) )).

fof(formula_321,axiom,(
    p6(c68,c11,c54) )).

fof(formula_762,axiom,(
    p71(c170,f72(f74(f73(c56),f74(f73(c41),f73(c24))))) )).

fof(formula_837,axiom,(
    p71(c246,f174(f74(f73(c23),f73(c16)))) )).

fof(formula_832,axiom,(
    p71(c241,f174(f74(f73(c28),f73(c60)))) )).

fof(formula_123,axiom,(
    p1(c65,c66,c57,c60) )).

fof(formula_583,axiom,(
    p6(c59,c17,c40) )).

fof(formula_203,axiom,(
    p4(c65,c41) )).

fof(formula_602,axiom,(
    p4(c64,c56) )).

fof(formula_42,axiom,(
    p7(c64,c59,c50) )).

fof(formula_43,axiom,(
    p8(c64,c59,c50) )).

fof(formula_515,axiom,(
    p6(c58,c15,c24) )).

fof(formula_711,axiom,(
    p71(c123,f72(f74(f73(c18),f73(c16)))) )).

fof(formula_621,axiom,(
    p2(c62,c50) )).

fof(formula_394,axiom,(
    p6(c64,c15,c12) )).

fof(formula_722,axiom,(
    p71(c44,f72(f74(f73(c56),f73(c28)))) )).

fof(formula_788,axiom,(
    p71(c197,f174(f74(f73(c18),f73(c41)))) )).

fof(formula_494,axiom,(
    p4(c67,c60) )).

fof(formula_601,axiom,(
    p3(c62,c68) )).

fof(formula_426,axiom,(
    p6(c69,c19,c56) )).

fof(formula_615,axiom,(
    p4(c62,c60) )).

fof(formula_418,axiom,(
    p6(c70,c19,c56) )).

fof(formula_464,axiom,(
    p3(c65,c62) )).

fof(formula_56,axiom,(
    ~ p1(c67,c61,c45,c60) )).

fof(formula_148,axiom,(
    p1(c66,c65,c57,c60) )).

fof(formula_199,axiom,(
    ~ p1(c65,c62,c50,c23) )).

fof(formula_686,axiom,(
    p71(c103,f72(f74(f73(c25),f73(c18)))) )).

fof(formula_243,axiom,(
    p1(c59,c70,c50,c56) )).

fof(formula_714,axiom,(
    p71(c125,f72(f74(f73(c16),f73(c16)))) )).

fof(formula_492,axiom,(
    p6(c67,c13,c49) )).

fof(formula_674,axiom,(
    p71(c91,f72(f74(f73(c16),f73(c23)))) )).

fof(formula_276,axiom,(
    p2(c62,c57) )).

fof(formula_827,axiom,(
    p71(c236,f174(f74(f73(c23),f73(c60)))) )).

fof(formula_453,axiom,(
    p6(c66,c19,c56) )).

fof(formula_509,axiom,(
    p4(c58,c18) )).

fof(formula_364,axiom,(
    p6(c65,c15,c40) )).

fof(formula_830,axiom,(
    p71(c239,f174(f74(f73(c60),f73(c60)))) )).

fof(formula_40,axiom,(
    p1(c70,c59,c55,c60) )).

fof(formula_586,axiom,(
    p6(c59,c11,c48) )).

fof(formula_869,axiom,(
    p71(c278,f174(f74(f73(c56),f74(f73(c40),f73(c24))))) )).

fof(formula_873,axiom,(
    p71(c282,f174(f74(f73(c25),f74(f73(c40),f73(c24))))) )).

fof(formula_400,axiom,(
    p3(c64,c68) )).

fof(formula_684,axiom,(
    p71(c101,f72(f74(f73(c16),f73(c18)))) )).

fof(formula_433,axiom,(
    p4(c69,c56) )).

fof(formula_923,conjecture,(
    p1(c68,c64,c53,c23) )).

fof(formula_678,axiom,(
    p71(c95,f72(f74(f73(c24),f73(c18)))) )).

fof(formula_165,axiom,(
    p1(c70,c58,c55,c60) )).

fof(formula_462,axiom,(
    p2(c66,c55) )).

fof(formula_834,axiom,(
    p71(c243,f174(f74(f73(c40),f73(c16)))) )).

fof(formula_348,axiom,(
    p2(c59,c57) )).

fof(formula_436,axiom,(
    p4(c69,c41) )).

fof(formula_620,axiom,(
    p6(c62,c11,c48) )).

fof(formula_44,axiom,(
    p1(c64,c62,c45,c56) )).

fof(formula_255,axiom,(
    p4(c63,c18) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( ( p6(X1,c11,c31)
        & p6(X1,c13,c32)
        & p6(X1,c15,c24)
        & p6(X1,c17,c33)
        & p6(X1,c19,c18) )
    <=> p2(X1,c34) ) )).

fof(formula_275,axiom,(
    p6(c62,c11,c27) )).

fof(formula_671,axiom,(
    p71(c88,f72(f74(f73(c18),f73(c23)))) )).

fof(formula_576,axiom,(
    p4(c70,c60) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( ( p6(X1,c11,c43)
        & p6(X1,c13,c23)
        & p6(X1,c15,c40)
        & p6(X1,c17,c44)
        & p6(X1,c19,c40) )
    <=> p2(X1,c45) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( ( p6(X1,c11,c54)
        & p6(X1,c13,c14)
        & p6(X1,c15,c24)
        & p6(X1,c17,c40)
        & p6(X1,c19,c24) )
    <=> p2(X1,c55) ) )).

fof(formula_917,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p71(X1,f72(X3))
        & p71(X2,f72(X4))
        & p303(X3,X4) )
     => p5(X1,X2) ) )).

fof(formula_149,axiom,(
    p1(c66,c68,c57,c60) )).

fof(formula_460,axiom,(
    p6(c66,c13,c14) )).

fof(formula_254,axiom,(
    p4(c62,c23) )).

fof(formula_279,axiom,(
    p6(c62,c13,c14) )).

fof(formula_47,axiom,(
    p1(c67,c59,c50,c60) )).

fof(formula_652,axiom,(
    p71(c32,f72(f74(f73(c56),f73(c24)))) )).

fof(formula_553,axiom,(
    p6(c66,c19,c40) )).

fof(formula_477,axiom,(
    p2(c65,c55) )).

fof(formula_171,axiom,(
    p8(c61,c64,c55) )).

fof(formula_287,axiom,(
    p6(c67,c11,c27) )).

fof(formula_549,axiom,(
    p3(c66,c63) )).

fof(formula_155,axiom,(
    p1(c64,c62,c57,c60) )).

fof(formula_623,axiom,(
    p4(c66,c56) )).

fof(formula_571,axiom,(
    p4(c70,c56) )).

fof(formula_575,axiom,(
    p4(c70,c24) )).

fof(formula_816,axiom,(
    p71(c225,f174(f74(f73(c41),f73(c56)))) )).

fof(formula_299,axiom,(
    p3(c69,c67) )).

fof(formula_715,axiom,(
    p71(c54,f72(f74(f73(c28),f73(c16)))) )).

fof(formula_320,axiom,(
    p6(c68,c13,c14) )).

fof(formula_905,axiom,(
    p303(f73(c23),f73(c18)) )).

fof(formula_751,axiom,(
    p71(c159,f72(f74(f73(c18),f74(f73(c24),f73(c24))))) )).

fof(formula_750,axiom,(
    p71(c158,f72(f74(f73(c23),f74(f73(c24),f73(c24))))) )).

fof(formula_736,axiom,(
    p71(c145,f72(f74(f73(c25),f73(c25)))) )).

fof(formula_764,axiom,(
    p71(c172,f72(f74(f73(c16),f74(f73(c41),f73(c24))))) )).

fof(formula_637,axiom,(
    p71(c40,f72(f73(c40))) )).

fof(formula_663,axiom,(
    p71(c81,f72(f74(f73(c60),f73(c41)))) )).

fof(formula_346,axiom,(
    p6(c59,c11,c27) )).

fof(formula_728,axiom,(
    p71(c137,f72(f74(f73(c24),f73(c25)))) )).

fof(formula_758,axiom,(
    p71(c166,f72(f74(f73(c24),f74(f73(c41),f73(c24))))) )).

fof(formula_826,axiom,(
    p71(c235,f174(f74(f73(c41),f73(c60)))) )).

fof(formula_814,axiom,(
    p71(c223,f174(f74(f73(c40),f73(c56)))) )).

fof(formula_779,axiom,(
    p71(c188,f174(f74(f73(c56),f73(c24)))) )).

fof(formula_28,axiom,(
    p1(c65,c64,c55,c18) )).

fof(formula_135,axiom,(
    ~ p1(c63,c65,c57,c60) )).

fof(formula_557,axiom,(
    p6(c66,c11,c48) )).

fof(formula_910,axiom,(
    p303(f73(c28),f73(c25)) )).

fof(formula_192,axiom,(
    p1(c65,c64,c55,c56) )).

fof(formula_540,axiom,(
    p4(c61,c24) )).

fof(formula_116,axiom,(
    p1(c66,c62,c45,c60) )).

fof(formula_163,axiom,(
    ~ p1(c63,c64,c55,c56) )).

fof(formula_613,axiom,(
    p4(c62,c41) )).

fof(formula_731,axiom,(
    p71(c140,f72(f74(f73(c18),f73(c25)))) )).

fof(formula_900,axiom,(
    p302(f73(c28)) )).

fof(formula_730,axiom,(
    p71(c139,f72(f74(f73(c23),f73(c25)))) )).

fof(formula_658,axiom,(
    p71(c79,f72(f74(f73(c24),f73(c41)))) )).

fof(formula_716,axiom,(
    p71(c126,f72(f74(f73(c25),f73(c16)))) )).

fof(formula_551,axiom,(
    p3(c66,c64) )).

fof(formula_280,axiom,(
    p6(c62,c11,c54) )).

fof(formula_216,axiom,(
    p1(c64,c63,c50,c23) )).

fof(formula_443,axiom,(
    p6(c69,c11,c54) )).

fof(formula_795,axiom,(
    p71(c204,f174(f74(f73(c24),f73(c23)))) )).

fof(formula_54,axiom,(
    ~ p1(c67,c58,c45,c60) )).

fof(formula_213,axiom,(
    p1(c64,c68,c50,c23) )).

fof(formula_835,axiom,(
    p71(c244,f174(f74(f73(c24),f73(c16)))) )).

fof(formula_27,axiom,(
    p1(c63,c64,c55,c41) )).

fof(formula_138,axiom,(
    ~ p1(c63,c62,c57,c60) )).

fof(formula_745,axiom,(
    p71(c153,f72(f74(f73(c28),f74(f73(c40),f73(c24))))) )).

fof(formula_672,axiom,(
    p71(c89,f72(f74(f73(c56),f73(c23)))) )).

fof(formula_180,axiom,(
    p1(c68,c64,c55,c56) )).

fof(formula_385,axiom,(
    p3(c61,c64) )).

fof(formula_58,axiom,(
    p8(c67,c62,c45) )).

fof(formula_106,axiom,(
    p7(c70,c62,c45) )).

fof(formula_780,axiom,(
    p71(c189,f174(f74(f73(c60),f73(c24)))) )).

fof(formula_265,axiom,(
    p4(c66,c60) )).

fof(formula_839,axiom,(
    p71(c248,f174(f74(f73(c56),f73(c16)))) )).

fof(formula_159,axiom,(
    p1(c69,c58,c55,c60) )).

fof(formula_420,axiom,(
    p6(c70,c13,c40) )).

fof(formula_244,axiom,(
    p4(c70,c60) )).

fof(formula_729,axiom,(
    p71(c138,f72(f74(f73(c41),f73(c25)))) )).

fof(formula_579,axiom,(
    p4(c59,c23) )).

fof(formula_757,axiom,(
    p71(c165,f72(f74(f73(c40),f74(f73(c41),f73(c24))))) )).

fof(formula_914,axiom,(
    ! [X1,X2,X3] : 
      ( p304(X3)
     => p303(f73(X1),f74(f73(X2),X3)) ) )).

fof(formula_695,axiom,(
    p71(c111,f72(f74(f73(c28),f73(c56)))) )).

fof(formula_737,axiom,(
    p71(c46,f72(f74(f73(c40),f74(f73(c40),f73(c24))))) )).

fof(formula_25,axiom,(
    p7(c58,c62,c45) )).

fof(formula_632,axiom,(
    p4(c65,c41) )).

fof(formula_565,axiom,(
    p6(c68,c17,c40) )).

fof(formula_105,axiom,(
    p1(c70,c61,c45,c60) )).

fof(formula_366,axiom,(
    p6(c65,c11,c43) )).

fof(formula_908,axiom,(
    p303(f73(c60),f73(c16)) )).

fof(formula_72,axiom,(
    p4(c66,c18) )).

fof(formula_137,axiom,(
    ~ p1(c63,c64,c57,c60) )).

fof(formula_102,axiom,(
    p1(c70,c58,c45,c56) )).

fof(formula_378,axiom,(
    p3(c61,c58) )).

fof(formula_818,axiom,(
    p71(c227,f174(f74(f73(c18),f73(c56)))) )).

fof(formula_704,axiom,(
    p71(c118,f72(f74(f73(c16),f73(c60)))) )).

fof(formula_582,axiom,(
    p6(c59,c19,c40) )).

fof(formula_451,axiom,(
    p3(c63,c58) )).

fof(formula_796,axiom,(
    p71(c205,f174(f74(f73(c41),f73(c23)))) )).

fof(formula_310,axiom,(
    p6(c68,c11,c43) )).

fof(formula_235,axiom,(
    p4(c63,c23) )).

fof(formula_152,axiom,(
    p7(c66,c58,c57) )).

fof(formula_264,axiom,(
    p8(c62,c70,c50) )).

fof(formula_33,axiom,(
    p1(c65,c62,c45,c56) )).

fof(formula_591,axiom,(
    p4(c63,c41) )).

fof(formula_765,axiom,(
    p71(c173,f174(f73(c24))) )).

fof(formula_382,axiom,(
    p6(c61,c13,c14) )).

fof(formula_363,axiom,(
    p6(c65,c17,c44) )).

fof(formula_261,axiom,(
    p1(c62,c66,c50,c60) )).

fof(formula_259,axiom,(
    p4(c64,c60) )).

fof(formula_523,axiom,(
    p6(c70,c17,c40) )).

fof(formula_820,axiom,(
    p71(c229,f174(f74(f73(c60),f73(c56)))) )).

fof(formula_625,axiom,(
    p4(c66,c23) )).

fof(formula_258,axiom,(
    p1(c62,c68,c50,c60) )).

fof(formula_907,axiom,(
    p303(f73(c56),f73(c60)) )).

fof(formula_487,axiom,(
    p4(c67,c41) )).

fof(formula_39,axiom,(
    p1(c69,c59,c55,c60) )).

fof(formula_51,axiom,(
    ~ p1(c67,c59,c45,c41) )).

fof(formula_103,axiom,(
    p1(c70,c58,c45,c60) )).

fof(formula_871,axiom,(
    p71(c280,f174(f74(f73(c16),f74(f73(c40),f73(c24))))) )).

fof(formula_860,axiom,(
    p71(c269,f174(f74(f73(c60),f73(c25)))) )).

fof(formula_563,axiom,(
    p3(c68,c66) )).

fof(formula_746,axiom,(
    p71(c154,f72(f74(f73(c25),f74(f73(c40),f73(c24))))) )).

fof(formula_121,axiom,(
    p1(c65,c64,c57,c60) )).

fof(formula_913,axiom,(
    ! [X1,X2,X3] : 
      ( ( p303(f73(X1),f73(X3))
        & p304(X2) )
     => p303(f74(f73(X1),X2),f74(f73(X3),X2)) ) )).

fof(formula_86,axiom,(
    p1(c61,c58,c45,c56) )).

fof(formula_606,axiom,(
    p4(c64,c24) )).

fof(formula_699,axiom,(
    p71(c114,f72(f74(f73(c41),f73(c60)))) )).

fof(formula_96,axiom,(
    p1(c68,c65,c57,c60) )).

fof(formula_493,axiom,(
    p6(c67,c11,c48) )).

fof(formula_861,axiom,(
    p71(c270,f174(f74(f73(c16),f73(c25)))) )).

fof(formula_21,axiom,(
    p1(c58,c59,c55,c60) )).

fof(formula_66,axiom,(
    p7(c68,c59,c50) )).

fof(formula_792,axiom,(
    p71(c201,f174(f74(f73(c28),f73(c41)))) )).

fof(formula_269,axiom,(
    p8(c65,c70,c50) )).

fof(formula_649,axiom,(
    p71(c43,f72(f74(f73(c41),f73(c24)))) )).

fof(formula_521,axiom,(
    p3(c70,c59) )).

fof(formula_273,axiom,(
    p6(c62,c15,c12) )).

fof(formula_301,axiom,(
    p6(c66,c17,c44) )).

fof(formula_791,axiom,(
    p71(c200,f174(f74(f73(c16),f73(c41)))) )).

fof(formula_817,axiom,(
    p71(c226,f174(f74(f73(c23),f73(c56)))) )).

fof(formula_133,axiom,(
    p7(c62,c58,c57) )).

fof(formula_399,axiom,(
    p3(c64,c63) )).

fof(formula_498,axiom,(
    p6(c59,c13,c14) )).

fof(formula_193,axiom,(
    p1(c65,c64,c55,c60) )).

fof(formula_100,axiom,(
    p7(c68,c58,c57) )).

fof(formula_397,axiom,(
    p2(c64,c57) )).

fof(formula_682,axiom,(
    p71(c99,f72(f74(f73(c56),f73(c18)))) )).

fof(formula_594,axiom,(
    p3(c62,c63) )).

fof(formula_141,axiom,(
    p8(c63,c58,c57) )).

fof(formula_809,axiom,(
    p71(c218,f174(f74(f73(c56),f73(c18)))) )).

fof(formula_377,axiom,(
    p6(c61,c11,c27) )).

fof(formula_646,axiom,(
    p71(c25,f72(f73(c25))) )).

fof(formula_36,axiom,(
    p1(c61,c59,c55,c60) )).

fof(formula_822,axiom,(
    p71(c231,f174(f74(f73(c28),f73(c56)))) )).

fof(formula_891,axiom,(
    p71(c300,f174(f74(f73(c16),f74(f73(c41),f73(c24))))) )).

fof(formula_554,axiom,(
    p6(c66,c17,c40) )).

fof(formula_459,axiom,(
    p6(c66,c19,c24) )).

fof(formula_344,axiom,(
    p6(c59,c15,c12) )).

fof(formula_677,axiom,(
    p71(c94,f72(f74(f73(c40),f73(c18)))) )).

fof(formula_300,axiom,(
    p3(c66,c59) )).

fof(formula_627,axiom,(
    p4(c66,c24) )).

fof(formula_30,axiom,(
    ~ p1(c65,c66,c50,c56) )).

fof(formula_439,axiom,(
    p6(c69,c19,c24) )).

fof(formula_229,axiom,(
    p7(c68,c70,c50) )).

fof(formula_573,axiom,(
    p4(c70,c23) )).

fof(formula_376,axiom,(
    p6(c61,c13,c40) )).

fof(formula_113,axiom,(
    p1(c69,c61,c45,c60) )).

fof(formula_819,axiom,(
    p71(c228,f174(f74(f73(c56),f73(c56)))) )).

fof(formula_337,axiom,(
    p6(c59,c17,c44) )).

fof(formula_519,axiom,(
    p3(c58,c70) )).

fof(formula_681,axiom,(
    p71(c98,f72(f74(f73(c18),f73(c18)))) )).

fof(formula_338,axiom,(
    p6(c59,c15,c40) )).

fof(formula_884,axiom,(
    p71(c293,f174(f74(f73(c40),f74(f73(c41),f73(c24))))) )).

fof(formula_380,axiom,(
    p3(c61,c59) )).

fof(formula_293,axiom,(
    p6(c58,c15,c40) )).

fof(formula_619,axiom,(
    p6(c62,c13,c49) )).

fof(formula_277,axiom,(
    p3(c62,c58) )).

fof(formula_667,axiom,(
    p71(c27,f72(f74(f73(c40),f73(c23)))) )).

fof(formula_352,axiom,(
    p2(c69,c50) )).

fof(formula_774,axiom,(
    p71(c183,f174(f74(f73(c40),f73(c24)))) )).

fof(formula_386,axiom,(
    p3(c64,c59) )).

fof(formula_693,axiom,(
    p71(c109,f72(f74(f73(c60),f73(c56)))) )).

fof(formula_705,axiom,(
    p71(c35,f72(f74(f73(c28),f73(c60)))) )).

fof(formula_763,axiom,(
    p71(c171,f72(f74(f73(c60),f74(f73(c41),f73(c24))))) )).

fof(formula_868,axiom,(
    p71(c277,f174(f74(f73(c18),f74(f73(c40),f73(c24))))) )).

fof(formula_821,axiom,(
    p71(c230,f174(f74(f73(c16),f73(c56)))) )).

fof(formula_202,axiom,(
    ~ p1(c65,c64,c50,c41) )).

fof(formula_428,axiom,(
    p6(c69,c13,c40) )).

fof(formula_516,axiom,(
    p6(c58,c13,c49) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( p8(X1,X2,X3)
     => p3(X1,X2) ) )).

fof(formula_191,axiom,(
    p4(c64,c56) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( ( p6(X1,c11,c27)
        & p6(X1,c13,c40)
        & p6(X1,c15,c12)
        & p6(X1,c17,c40)
        & p6(X1,c19,c56) )
    <=> p2(X1,c57) ) )).

fof(formula_187,axiom,(
    p1(c59,c58,c55,c60) )).

fof(formula_863,axiom,(
    p71(c272,f174(f74(f73(c25),f73(c25)))) )).

fof(formula_330,axiom,(
    p6(c63,c11,c54) )).

fof(formula_862,axiom,(
    p71(c271,f174(f74(f73(c28),f73(c25)))) )).

fof(formula_641,axiom,(
    p71(c18,f72(f73(c18))) )).

fof(formula_391,axiom,(
    p2(c64,c45) )).

fof(formula_429,axiom,(
    p6(c69,c11,c27) )).

fof(formula_150,axiom,(
    p1(c66,c64,c57,c60) )).

fof(formula_226,axiom,(
    p1(c68,c64,c50,c60) )).

fof(formula_849,axiom,(
    p71(c258,f174(f74(f73(c56),f73(c28)))) )).

fof(formula_669,axiom,(
    p71(c86,f72(f74(f73(c41),f73(c23)))) )).

fof(formula_628,axiom,(
    p4(c66,c60) )).

fof(formula_253,axiom,(
    p8(c66,c70,c50) )).

fof(formula_302,axiom,(
    p6(c66,c15,c40) )).

fof(formula_595,axiom,(
    p4(c68,c56) )).

fof(formula_109,axiom,(
    p4(c58,c56) )).

fof(formula_505,axiom,(
    p6(c58,c11,c54) )).

fof(formula_263,axiom,(
    p7(c62,c70,c50) )).

fof(formula_126,axiom,(
    p1(c59,c58,c57,c60) )).

fof(formula_847,axiom,(
    p71(c256,f174(f74(f73(c23),f73(c28)))) )).

fof(formula_645,axiom,(
    p71(c28,f72(f73(c28))) )).

fof(formula_836,axiom,(
    p71(c245,f174(f74(f73(c41),f73(c16)))) )).

fof(formula_358,axiom,(
    p6(c69,c11,c43) )).

fof(formula_700,axiom,(
    p71(c115,f72(f74(f73(c23),f73(c60)))) )).

fof(formula_41,axiom,(
    p4(c64,c24) )).

fof(formula_260,axiom,(
    p1(c62,c64,c50,c60) )).

fof(formula_572,axiom,(
    p4(c70,c18) )).

fof(formula_92,axiom,(
    ~ p1(c63,c62,c45,c60) )).

fof(formula_108,axiom,(
    p4(c69,c41) )).

fof(formula_204,axiom,(
    ~ p1(c65,c63,c50,c18) )).

fof(formula_865,axiom,(
    p71(c274,f174(f74(f73(c24),f74(f73(c40),f73(c24))))) )).

fof(formula_845,axiom,(
    p71(c254,f174(f74(f73(c24),f73(c28)))) )).

fof(formula_79,axiom,(
    p4(c59,c41) )).

fof(formula_514,axiom,(
    p6(c58,c17,c40) )).

fof(formula_528,axiom,(
    p3(c70,c64) )).

fof(formula_158,axiom,(
    p8(c64,c58,c57) )).

fof(formula_683,axiom,(
    p71(c100,f72(f74(f73(c60),f73(c18)))) )).

fof(formula_194,axiom,(
    ~ p1(c65,c68,c50,c41) )).

fof(formula_144,axiom,(
    p1(c70,c58,c57,c60) )).

fof(formula_266,axiom,(
    ~ p1(c65,c66,c50,c60) )).

fof(formula_430,axiom,(
    p3(c69,c58) )).

fof(formula_118,axiom,(
    p4(c65,c23) )).

fof(formula_634,axiom,(
    p4(c65,c60) )).

fof(formula_175,axiom,(
    p1(c66,c64,c55,c60) )).

fof(formula_647,axiom,(
    p71(c33,f72(f74(f73(c40),f73(c24)))) )).

fof(formula_153,axiom,(
    p8(c66,c58,c57) )).

fof(formula_486,axiom,(
    p4(c67,c23) )).

fof(formula_395,axiom,(
    p6(c64,c13,c40) )).

fof(formula_389,axiom,(
    p6(c64,c13,c23) )).

fof(formula_725,axiom,(
    p71(c134,f72(f74(f73(c28),f73(c28)))) )).

fof(formula_353,axiom,(
    p3(c69,c61) )).

fof(formula_290,axiom,(
    p3(c58,c67) )).

fof(formula_878,axiom,(
    p71(c287,f174(f74(f73(c18),f74(f73(c24),f73(c24))))) )).

fof(formula_469,axiom,(
    p2(c65,c57) )).

fof(formula_719,axiom,(
    p71(c129,f72(f74(f73(c41),f73(c28)))) )).

fof(formula_361,axiom,(
    p3(c65,c59) )).

fof(formula_475,axiom,(
    p6(c65,c11,c54) )).

fof(formula_712,axiom,(
    p71(c48,f72(f74(f73(c56),f73(c16)))) )).

fof(formula_381,axiom,(
    p6(c61,c19,c24) )).

fof(formula_224,axiom,(
    p4(c68,c23) )).

fof(formula_129,axiom,(
    p1(c62,c65,c57,c60) )).

fof(formula_176,axiom,(
    p1(c67,c58,c55,c60) )).

fof(formula_245,axiom,(
    p1(c59,c70,c50,c60) )).

fof(formula_145,axiom,(
    p1(c69,c58,c57,c60) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( ( p6(X1,c11,c12)
        & p6(X1,c13,c14)
        & p6(X1,c15,c16)
        & p6(X1,c17,c18)
        & p6(X1,c19,c18) )
    <=> p2(X1,c20) ) )).

fof(formula_709,axiom,(
    p71(c121,f72(f74(f73(c41),f73(c16)))) )).

fof(formula_894,axiom,(
    p302(f73(c41)) )).

fof(formula_233,axiom,(
    ~ p1(c69,c70,c50,c60) )).

fof(formula_853,axiom,(
    p71(c262,f174(f74(f73(c25),f73(c28)))) )).

fof(formula_877,axiom,(
    p71(c286,f174(f74(f73(c23),f74(f73(c24),f73(c24))))) )).

fof(formula_317,axiom,(
    p2(c68,c57) )).

fof(formula_95,axiom,(
    p1(c68,c62,c45,c60) )).

fof(formula_146,axiom,(
    p1(c67,c58,c57,c60) )).

fof(formula_221,axiom,(
    p7(c64,c70,c50) )).

fof(formula_885,axiom,(
    p71(c294,f174(f74(f73(c24),f74(f73(c41),f73(c24))))) )).

fof(formula_756,axiom,(
    p71(c164,f72(f74(f73(c25),f74(f73(c24),f73(c24))))) )).

fof(formula_474,axiom,(
    p6(c65,c13,c14) )).

fof(formula_256,axiom,(
    p1(c62,c63,c50,c18) )).

fof(formula_482,axiom,(
    p2(c67,c55) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( ( p6(X1,c11,c21)
        & p6(X1,c13,c22)
        & p6(X1,c15,c23)
        & p6(X1,c17,c24)
        & p6(X1,c19,c25) )
    <=> p2(X1,c26) ) )).

fof(formula_340,axiom,(
    p6(c59,c11,c43) )).

fof(formula_535,axiom,(
    p3(c63,c70) )).

fof(formula_759,axiom,(
    p71(c167,f72(f74(f73(c41),f74(f73(c41),f73(c24))))) )).

fof(formula_75,axiom,(
    p1(c62,c66,c50,c56) )).

fof(formula_648,axiom,(
    p71(c37,f72(f74(f73(c24),f73(c24)))) )).

fof(formula_512,axiom,(
    p4(c58,c24) )).

fof(formula_87,axiom,(
    p1(c61,c58,c45,c60) )).

fof(formula_916,axiom,(
    ! [X1,X2] : 
      ( p304(X2)
     => p304(f74(f73(X1),X2)) ) )).

fof(formula_662,axiom,(
    p71(c51,f72(f74(f73(c56),f73(c41)))) )).

fof(formula_823,axiom,(
    p71(c232,f174(f74(f73(c25),f73(c56)))) )).

fof(formula_354,axiom,(
    p6(c69,c19,c40) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( p7(X1,X2,X3)
     => ( p3(X1,X2)
        & p2(X1,X3) ) ) )).

fof(formula_225,axiom,(
    p1(c68,c63,c50,c18) )).

fof(formula_63,axiom,(
    p1(c68,c66,c50,c18) )).

fof(formula_775,axiom,(
    p71(c184,f174(f74(f73(c24),f73(c24)))) )).

fof(formula_584,axiom,(
    p6(c59,c15,c24) )).

fof(formula_633,axiom,(
    p4(c65,c24) )).

fof(formula_798,axiom,(
    p71(c207,f174(f74(f73(c18),f73(c23)))) )).

fof(formula_162,axiom,(
    p8(c69,c64,c55) )).

fof(formula_585,axiom,(
    p6(c59,c13,c49) )).

fof(formula_409,axiom,(
    p3(c64,c70) )).

fof(formula_738,axiom,(
    p71(c146,f72(f74(f73(c24),f74(f73(c40),f73(c24))))) )).

fof(formula_270,axiom,(
    p3(c62,c59) )).

fof(formula_88,axiom,(
    p1(c61,c59,c45,c60) )).

fof(formula_184,axiom,(
    p7(c58,c64,c55) )).

fof(formula_368,axiom,(
    p6(c61,c17,c44) )).

fof(formula_802,axiom,(
    p71(c211,f174(f74(f73(c28),f73(c23)))) )).

fof(formula_218,axiom,(
    p1(c64,c68,c50,c60) )).

fof(formula_373,axiom,(
    p3(c61,c62) )).

fof(formula_468,axiom,(
    p6(c65,c11,c27) )).

fof(formula_431,axiom,(
    p2(c69,c57) )).

fof(formula_915,axiom,(
    ! [X1] : 
      ( p302(f73(X1))
     => p304(f73(X1)) ) )).

fof(formula_713,axiom,(
    p71(c124,f72(f74(f73(c60),f73(c16)))) )).

fof(formula_794,axiom,(
    p71(c203,f174(f74(f73(c40),f73(c23)))) )).

fof(formula_906,axiom,(
    p303(f73(c18),f73(c56)) )).

fof(formula_82,axiom,(
    p1(c59,c61,c45,c60) )).

fof(formula_724,axiom,(
    p71(c133,f72(f74(f73(c16),f73(c28)))) )).

fof(formula_599,axiom,(
    p4(c68,c24) )).

fof(formula_285,axiom,(
    p6(c67,c15,c12) )).

fof(formula_61,axiom,(
    p7(c63,c59,c50) )).

fof(formula_588,axiom,(
    p3(c59,c70) )).

fof(formula_919,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p71(X1,f174(X3))
        & p71(X2,f174(X4))
        & p303(X4,X3) )
     => p5(X1,X2) ) )).

fof(formula_309,axiom,(
    p6(c68,c13,c23) )).

fof(formula_247,axiom,(
    p4(c66,c23) )).

fof(formula_870,axiom,(
    p71(c279,f174(f74(f73(c60),f74(f73(c40),f73(c24))))) )).

fof(formula_125,axiom,(
    p8(c65,c58,c57) )).

fof(formula_883,axiom,(
    p71(c292,f174(f74(f73(c25),f74(f73(c24),f73(c24))))) )).

fof(formula_359,axiom,(
    p2(c69,c45) )).

fof(formula_749,axiom,(
    p71(c157,f72(f74(f73(c41),f74(f73(c24),f73(c24))))) )).

fof(formula_650,axiom,(
    p71(c39,f72(f74(f73(c23),f73(c24)))) )).

fof(formula_675,axiom,(
    p71(c92,f72(f74(f73(c28),f73(c23)))) )).

fof(formula_404,axiom,(
    p6(c64,c17,c40) )).

fof(formula_771,axiom,(
    p71(c180,f174(f73(c16))) )).

fof(formula_345,axiom,(
    p6(c59,c13,c40) )).

fof(formula_90,axiom,(
    p8(c61,c62,c45) )).

fof(formula_556,axiom,(
    p6(c66,c13,c49) )).

fof(formula_324,axiom,(
    p6(c70,c13,c49) )).

fof(formula_68,axiom,(
    p1(c70,c59,c50,c60) )).

fof(formula_824,axiom,(
    p71(c233,f174(f74(f73(c40),f73(c60)))) )).

fof(formula_114,axiom,(
    p7(c69,c62,c45) )).

fof(formula_423,axiom,(
    p2(c70,c57) )).

fof(formula_533,axiom,(
    p6(c63,c11,c48) )).

fof(formula_483,axiom,(
    p3(c67,c64) )).

fof(formula_367,axiom,(
    p2(c65,c45) )).

fof(formula_29,axiom,(
    ~ p1(c65,c66,c50,c18) )).

fof(formula_513,axiom,(
    p6(c58,c19,c40) )).

fof(formula_295,axiom,(
    p6(c58,c11,c43) )).

fof(formula_374,axiom,(
    p6(c61,c19,c56) )).

fof(formula_479,axiom,(
    p6(c67,c19,c24) )).

fof(formula_755,axiom,(
    p71(c163,f72(f74(f73(c28),f74(f73(c24),f73(c24))))) )).

fof(formula_327,axiom,(
    ~ p4(c63,c56) )).

fof(formula_921,axiom,(
    ! [X1,X2] : 
      ( p305(X1,X2)
    <=> ( p5(X1,X2)
        | X1 = X2 ) ) )).

fof(formula_733,axiom,(
    p71(c142,f72(f74(f73(c60),f73(c25)))) )).

fof(formula_642,axiom,(
    p71(c56,f72(f73(c56))) )).

fof(formula_698,axiom,(
    p71(c113,f72(f74(f73(c24),f73(c60)))) )).

fof(formula_476,axiom,(
    p3(c65,c64) )).

fof(formula_303,axiom,(
    p6(c66,c13,c23) )).

fof(formula_810,axiom,(
    p71(c219,f174(f74(f73(c60),f73(c18)))) )).

fof(formula_766,axiom,(
    p71(c175,f174(f73(c41))) )).

fof(formula_119,axiom,(
    p1(c65,c63,c57,c18) )).

fof(formula_562,axiom,(
    p3(c68,c62) )).

fof(formula_754,axiom,(
    p71(c162,f72(f74(f73(c16),f74(f73(c24),f73(c24))))) )).

fof(formula_268,axiom,(
    p9(c65,c70,c50) )).

fof(formula_170,axiom,(
    p7(c61,c64,c55) )).

fof(formula_122,axiom,(
    p1(c65,c62,c57,c60) )).

fof(formula_398,axiom,(
    p3(c64,c58) )).

fof(formula_447,axiom,(
    p6(c63,c15,c12) )).

fof(formula_768,axiom,(
    p71(c177,f174(f73(c18))) )).

fof(formula_465,axiom,(
    p6(c65,c19,c56) )).

fof(formula_164,axiom,(
    ~ p1(c63,c64,c55,c60) )).

fof(formula_517,axiom,(
    p6(c58,c11,c48) )).

fof(formula_167,axiom,(
    p8(c70,c64,c55) )).

fof(formula_291,axiom,(
    p3(c58,c61) )).

fof(formula_708,axiom,(
    p71(c120,f72(f74(f73(c24),f73(c16)))) )).

fof(formula_212,axiom,(
    p4(c62,c41) )).

fof(formula_793,axiom,(
    p71(c202,f174(f74(f73(c25),f73(c41)))) )).

fof(formula_238,axiom,(
    ~ p1(c63,c62,c50,c60) )).

fof(formula_804,axiom,(
    p71(c213,f174(f74(f73(c40),f73(c18)))) )).

fof(formula_801,axiom,(
    p71(c210,f174(f74(f73(c16),f73(c23)))) )).

fof(formula_644,axiom,(
    p71(c16,f72(f73(c16))) )).

fof(formula_901,axiom,(
    p302(f73(c25)) )).

fof(formula_867,axiom,(
    p71(c276,f174(f74(f73(c23),f74(f73(c40),f73(c24))))) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( ( p6(X1,c11,c31)
        & p6(X1,c13,c14)
        & p6(X1,c15,c28)
        & p6(X1,c17,c40)
        & p6(X1,c19,c41) )
    <=> p2(X1,c53) ) )).

fof(formula_785,axiom,(
    p71(c194,f174(f74(f73(c24),f73(c41)))) )).

fof(formula_525,axiom,(
    p6(c70,c13,c14) )).

fof(formula_811,axiom,(
    p71(c220,f174(f74(f73(c16),f73(c18)))) )).

fof(formula_369,axiom,(
    p6(c61,c15,c40) )).

fof(formula_866,axiom,(
    p71(c275,f174(f74(f73(c41),f74(f73(c40),f73(c24))))) )).

fof(formula_282,axiom,(
    ~ p2(c67,c45) )).

fof(formula_485,axiom,(
    p4(c67,c18) )).

fof(formula_536,axiom,(
    p4(c61,c56) )).

fof(formula_440,axiom,(
    p6(c69,c17,c40) )).

fof(formula_570,axiom,(
    p3(c68,c70) )).

fof(formula_622,axiom,(
    p3(c62,c70) )).

fof(formula_425,axiom,(
    p3(c65,c68) )).

fof(formula_151,axiom,(
    p1(c66,c62,c57,c60) )).

fof(formula_735,axiom,(
    p71(c144,f72(f74(f73(c28),f73(c25)))) )).

fof(formula_81,axiom,(
    p1(c59,c58,c45,c60) )).

fof(formula_416,axiom,(
    p2(c70,c45) )).

fof(formula_770,axiom,(
    p71(c179,f174(f73(c60))) )).

fof(formula_267,axiom,(
    p4(c65,c60) )).

fof(formula_747,axiom,(
    p71(c155,f72(f74(f73(c40),f74(f73(c24),f73(c24))))) )).

fof(formula_618,axiom,(
    p6(c62,c15,c24) )).

fof(formula_333,axiom,(
    p2(c63,c55) )).

fof(formula_328,axiom,(
    p6(c63,c19,c24) )).

fof(formula_371,axiom,(
    p6(c61,c11,c43) )).

fof(formula_841,axiom,(
    p71(c250,f174(f74(f73(c16),f73(c16)))) )).

fof(formula_680,axiom,(
    p71(c97,f72(f74(f73(c23),f73(c18)))) )).

fof(formula_783,axiom,(
    p71(c192,f174(f74(f73(c25),f73(c24)))) )).

fof(formula_657,axiom,(
    p71(c14,f72(f74(f73(c40),f73(c41)))) )).

fof(formula_173,axiom,(
    p1(c61,c70,c50,c60) )).

fof(formula_1,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p1(X1,X4,X2,X3)
    <=> ( p2(X1,X2)
        & p3(X1,X4)
        & p4(X1,X3) ) ) )).

fof(formula_833,axiom,(
    p71(c242,f174(f74(f73(c25),f73(c60)))) )).

fof(formula_504,axiom,(
    p6(c58,c13,c14) )).

fof(formula_339,axiom,(
    p6(c59,c13,c23) )).

fof(formula_740,axiom,(
    p71(c148,f72(f74(f73(c23),f74(f73(c40),f73(c24))))) )).

fof(formula_32,axiom,(
    p8(c65,c59,c50) )).

fof(formula_360,axiom,(
    p3(c69,c62) )).

fof(formula_407,axiom,(
    p6(c64,c11,c48) )).

fof(formula_458,axiom,(
    p3(c66,c58) )).

fof(formula_236,axiom,(
    ~ p1(c63,c68,c50,c60) )).

fof(formula_726,axiom,(
    p71(c135,f72(f74(f73(c25),f73(c28)))) )).

fof(formula_527,axiom,(
    p2(c70,c55) )).

fof(formula_654,axiom,(
    p71(c76,f72(f74(f73(c16),f73(c24)))) )).

fof(formula_501,axiom,(
    p3(c59,c64) )).

fof(formula_201,axiom,(
    ~ p1(c65,c63,c50,c23) )).

fof(formula_372,axiom,(
    p2(c61,c45) )).

fof(formula_718,axiom,(
    p71(c128,f72(f74(f73(c24),f73(c28)))) )).

fof(formula_198,axiom,(
    ~ p1(c65,c68,c50,c23) )).

fof(formula_807,axiom,(
    p71(c216,f174(f74(f73(c23),f73(c18)))) )).

fof(formula_706,axiom,(
    p71(c119,f72(f74(f73(c25),f73(c60)))) )).

fof(formula_143,axiom,(
    p1(c64,c65,c57,c60) )).

fof(formula_370,axiom,(
    p6(c61,c13,c23) )).

fof(formula_393,axiom,(
    p6(c64,c19,c56) )).

fof(formula_687,axiom,(
    p71(c104,f72(f74(f73(c40),f73(c56)))) )).

fof(formula_723,axiom,(
    p71(c132,f72(f74(f73(c60),f73(c28)))) )).

fof(formula_196,axiom,(
    ~ p1(c65,c62,c50,c41) )).

fof(formula_732,axiom,(
    p71(c141,f72(f74(f73(c56),f73(c25)))) )).

fof(formula_739,axiom,(
    p71(c147,f72(f74(f73(c41),f74(f73(c40),f73(c24))))) )).

fof(formula_752,axiom,(
    p71(c160,f72(f74(f73(c56),f74(f73(c24),f73(c24))))) )).

fof(formula_127,axiom,(
    p1(c61,c58,c57,c60) )).

fof(formula_289,axiom,(
    p2(c67,c57) )).

fof(formula_844,axiom,(
    p71(c253,f174(f74(f73(c40),f73(c28)))) )).

fof(formula_101,axiom,(
    p8(c68,c58,c57) )).

fof(formula_190,axiom,(
    p8(c59,c64,c55) )).

fof(formula_569,axiom,(
    p2(c68,c50) )).

fof(formula_104,axiom,(
    p1(c70,c59,c45,c60) )).

fof(formula_831,axiom,(
    p71(c240,f174(f74(f73(c16),f73(c60)))) )).

fof(formula_614,axiom,(
    p4(c62,c24) )).

fof(formula_744,axiom,(
    p71(c152,f72(f74(f73(c16),f74(f73(c40),f73(c24))))) )).

fof(formula_904,axiom,(
    p303(f73(c41),f73(c23)) )).

fof(formula_790,axiom,(
    p71(c199,f174(f74(f73(c60),f73(c41)))) )).

fof(formula_311,axiom,(
    p2(c68,c45) )).

fof(formula_274,axiom,(
    p6(c62,c13,c40) )).

fof(formula_787,axiom,(
    p71(c196,f174(f74(f73(c23),f73(c41)))) )).

fof(formula_598,axiom,(
    p4(c68,c41) )).

fof(formula_876,axiom,(
    p71(c285,f174(f74(f73(c41),f74(f73(c24),f73(c24))))) )).

fof(formula_387,axiom,(
    p6(c64,c17,c44) )).

fof(formula_209,axiom,(
    p1(c67,c70,c50,c60) )).

fof(formula_697,axiom,(
    p71(c29,f72(f74(f73(c40),f73(c60)))) )).

fof(formula_631,axiom,(
    p4(c65,c23) )).

fof(formula_308,axiom,(
    p6(c68,c15,c40) )).

fof(formula_304,axiom,(
    p6(c66,c11,c43) )).

fof(formula_616,axiom,(
    p6(c62,c19,c40) )).

fof(formula_413,axiom,(
    p6(c70,c15,c40) )).

fof(formula_530,axiom,(
    p6(c63,c17,c40) )).

fof(formula_506,axiom,(
    p2(c58,c55) )).

fof(formula_186,axiom,(
    p4(c58,c60) )).

fof(formula_403,axiom,(
    p6(c64,c19,c40) )).

fof(formula_887,axiom,(
    p71(c296,f174(f74(f73(c23),f74(f73(c41),f73(c24))))) )).

fof(formula_797,axiom,(
    p71(c206,f174(f74(f73(c23),f73(c23)))) )).

fof(formula_110,axiom,(
    p1(c69,c58,c45,c56) )).

fof(formula_325,axiom,(
    p6(c70,c11,c48) )).

fof(formula_172,axiom,(
    p1(c61,c70,c50,c56) )).

fof(formula_635,axiom,(
    ~ p2(c65,c50) )).

fof(formula_605,axiom,(
    p4(c64,c41) )).

fof(formula_897,axiom,(
    p302(f73(c56)) )).

fof(formula_31,axiom,(
    p9(c65,c59,c50) )).

fof(formula_26,axiom,(
    p8(c58,c62,c45) )).

fof(formula_881,axiom,(
    p71(c290,f174(f74(f73(c16),f74(f73(c24),f73(c24))))) )).

fof(formula_922,axiom,(
    ! [X1,X2,X3] : 
      ( ( p306(X1,c24,X2)
        & p5(X3,X2) )
     => p305(X3,X1) ) )).

fof(formula_481,axiom,(
    p6(c67,c11,c54) )).

fof(formula_805,axiom,(
    p71(c214,f174(f74(f73(c24),f73(c18)))) )).

fof(formula_80,axiom,(
    p1(c59,c58,c45,c56) )).

fof(formula_665,axiom,(
    p71(c83,f72(f74(f73(c28),f73(c41)))) )).

fof(formula_278,axiom,(
    p6(c62,c19,c24) )).

fof(formula_64,axiom,(
    p1(c68,c66,c50,c56) )).

fof(formula_288,axiom,(
    p3(c67,c58) )).

fof(formula_65,axiom,(
    p4(c68,c56) )).

fof(formula_57,axiom,(
    p9(c67,c62,c45) )).

fof(formula_445,axiom,(
    p3(c69,c64) )).

fof(formula_497,axiom,(
    p6(c59,c19,c24) )).

fof(formula_903,axiom,(
    p303(f73(c24),f73(c41)) )).

fof(formula_789,axiom,(
    p71(c198,f174(f74(f73(c56),f73(c41)))) )).

fof(formula_355,axiom,(
    p6(c69,c17,c44) )).

fof(formula_597,axiom,(
    p4(c68,c23) )).

fof(formula_587,axiom,(
    p4(c59,c60) )).

fof(formula_336,axiom,(
    p3(c59,c61) )).

fof(formula_73,axiom,(
    p1(c62,c66,c50,c18) )).

fof(formula_799,axiom,(
    p71(c208,f174(f74(f73(c56),f73(c23)))) )).

fof(formula_457,axiom,(
    p2(c66,c57) )).

fof(formula_69,axiom,(
    p7(c66,c59,c50) )).

fof(formula_98,axiom,(
    p1(c68,c62,c57,c60) )).

fof(formula_532,axiom,(
    p6(c63,c13,c49) )).

fof(formula_388,axiom,(
    p6(c64,c15,c40) )).

fof(formula_899,axiom,(
    p302(f73(c16)) )).

fof(formula_52,axiom,(
    ~ p1(c67,c69,c45,c41) )).

fof(formula_499,axiom,(
    p6(c59,c11,c54) )).

fof(formula_132,axiom,(
    p1(c62,c66,c57,c60) )).

fof(formula_898,axiom,(
    p302(f73(c60)) )).

fof(formula_417,axiom,(
    p3(c70,c62) )).

fof(formula_815,axiom,(
    p71(c224,f174(f74(f73(c24),f73(c56)))) )).

fof(formula_182,axiom,(
    p1(c62,c64,c55,c56) )).

fof(formula_432,axiom,(
    p3(c69,c59) )).

fof(formula_351,axiom,(
    ~ p3(c69,c70) )).

fof(formula_207,axiom,(
    ~ p1(c65,c62,c50,c60) )).

fof(formula_206,axiom,(
    ~ p1(c65,c64,c50,c60) )).

fof(formula_559,axiom,(
    p3(c66,c70) )).

fof(formula_307,axiom,(
    p6(c68,c17,c44) )).

fof(formula_825,axiom,(
    p71(c234,f174(f74(f73(c24),f73(c60)))) )).

fof(formula_154,axiom,(
    p1(c64,c68,c57,c60) )).

fof(formula_561,axiom,(
    p3(c68,c64) )).

fof(formula_446,axiom,(
    p6(c63,c19,c56) )).

fof(formula_71,axiom,(
    p1(c66,c62,c45,c56) )).

fof(formula_2,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X1,X2)
        & p5(X3,X2) )
     => p4(X1,X3) ) )).

fof(formula_142,axiom,(
    p1(c64,c68,c57,c41) )).

fof(formula_546,axiom,(
    p4(c61,c60) )).

fof(formula_189,axiom,(
    p7(c59,c64,c55) )).

fof(formula_529,axiom,(
    p6(c63,c19,c40) )).

fof(formula_668,axiom,(
    p71(c85,f72(f74(f73(c24),f73(c23)))) )).

fof(formula_651,axiom,(
    p71(c75,f72(f74(f73(c18),f73(c24)))) )).

fof(formula_48,axiom,(
    p4(c58,c41) )).

fof(formula_490,axiom,(
    p6(c67,c17,c40) )).

fof(formula_510,axiom,(
    p4(c58,c23) )).

fof(formula_62,axiom,(
    p8(c63,c59,c50) )).

fof(formula_281,axiom,(
    p2(c62,c55) )).

fof(formula_124,axiom,(
    p7(c65,c58,c57) )).

fof(formula_50,axiom,(
    ~ p1(c67,c61,c45,c41) )).

fof(formula_315,axiom,(
    p6(c68,c13,c40) )).

fof(formula_220,axiom,(
    p1(c64,c66,c50,c60) )).

fof(formula_676,axiom,(
    p71(c93,f72(f74(f73(c25),f73(c23)))) )).

fof(formula_211,axiom,(
    p1(c58,c70,c50,c60) )).

fof(formula_168,axiom,(
    p1(c61,c58,c55,c60) )).

fof(formula_784,axiom,(
    p71(c193,f174(f74(f73(c40),f73(c41)))) )).

fof(formula_856,axiom,(
    p71(c265,f174(f74(f73(c41),f73(c25)))) )).

fof(formula_858,axiom,(
    p71(c267,f174(f74(f73(c18),f73(c25)))) )).

fof(formula_178,axiom,(
    p7(c67,c64,c55) )).

fof(formula_664,axiom,(
    p71(c82,f72(f74(f73(c16),f73(c41)))) )).

fof(formula_478,axiom,(
    p3(c67,c59) )).

fof(formula_842,axiom,(
    p71(c251,f174(f74(f73(c28),f73(c16)))) )).

fof(formula_607,axiom,(
    p4(c64,c60) )).

fof(formula_435,axiom,(
    p4(c69,c23) )).

fof(formula_550,axiom,(
    p3(c66,c68) )).

fof(formula_250,axiom,(
    p1(c66,c64,c50,c60) )).

fof(formula_507,axiom,(
    p3(c58,c64) )).

fof(formula_707,axiom,(
    p71(c31,f72(f74(f73(c40),f73(c16)))) )).

fof(formula_415,axiom,(
    p6(c70,c11,c43) )).

fof(formula_383,axiom,(
    p6(c61,c11,c54) )).

fof(formula_806,axiom,(
    p71(c215,f174(f74(f73(c41),f73(c18)))) )).

fof(formula_470,axiom,(
    p3(c65,c58) )).

fof(formula_895,axiom,(
    p302(f73(c23)) )).

fof(formula_661,axiom,(
    p71(c49,f72(f74(f73(c18),f73(c41)))) )).

fof(formula_710,axiom,(
    p71(c122,f72(f74(f73(c23),f73(c16)))) )).

fof(formula_408,axiom,(
    p2(c64,c50) )).

fof(formula_660,axiom,(
    p71(c22,f72(f74(f73(c23),f73(c41)))) )).

fof(formula_466,axiom,(
    p6(c65,c15,c12) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( p9(X1,X2,X3)
     => ~ ( p2(X1,X3)
          & p3(X1,X2) ) ) )).

fof(formula_480,axiom,(
    p6(c67,c13,c14) )).

fof(formula_375,axiom,(
    p6(c61,c15,c12) )).

fof(formula_3,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p6(X1,X4,X2)
        & p5(X3,X2) )
     => p6(X1,X4,X3) ) )).

fof(formula_848,axiom,(
    p71(c257,f174(f74(f73(c18),f73(c28)))) )).

fof(formula_840,axiom,(
    p71(c249,f174(f74(f73(c60),f73(c16)))) )).

fof(formula_552,axiom,(
    p3(c66,c62) )).

fof(formula_495,axiom,(
    p3(c67,c70) )).

fof(formula_396,axiom,(
    p6(c64,c11,c27) )).

fof(formula_115,axiom,(
    p8(c69,c62,c45) )).

fof(formula_741,axiom,(
    p71(c149,f72(f74(f73(c18),f74(f73(c40),f73(c24))))) )).

fof(formula_441,axiom,(
    p6(c69,c15,c24) )).

fof(formula_838,axiom,(
    p71(c247,f174(f74(f73(c18),f73(c16)))) )).

fof(formula_542,axiom,(
    p6(c61,c17,c40) )).

fof(formula_185,axiom,(
    p8(c58,c64,c55) )).

fof(formula_252,axiom,(
    p7(c66,c70,c50) )).

fof(formula_169,axiom,(
    p4(c61,c60) )).

fof(formula_617,axiom,(
    p6(c62,c17,c40) )).

fof(formula_531,axiom,(
    p6(c63,c15,c24) )).

fof(formula_524,axiom,(
    p6(c70,c15,c24) )).

fof(formula_331,axiom,(
    ~ p4(c63,c60) )).

fof(formula_248,axiom,(
    p1(c66,c63,c50,c18) )).

fof(formula_419,axiom,(
    p6(c70,c15,c12) )).

fof(formula_502,axiom,(
    p3(c58,c59) )).

fof(formula_214,axiom,(
    p1(c64,c62,c50,c23) )).

fof(formula_600,axiom,(
    p4(c68,c60) )).

fof(formula_147,axiom,(
    p1(c66,c63,c57,c18) )).

fof(formula_560,axiom,(
    p3(c68,c63) )).

fof(formula_596,axiom,(
    p4(c68,c18) )).

fof(formula_160,axiom,(
    p4(c69,c60) )).

fof(formula_237,axiom,(
    ~ p1(c63,c64,c50,c60) )).

fof(formula_242,axiom,(
    p4(c70,c56) )).

fof(formula_472,axiom,(
    p6(c65,c17,c40) )).

fof(formula_640,axiom,(
    p71(c23,f72(f73(c23))) )).

fof(formula_117,axiom,(
    p1(c65,c62,c45,c60) )).

fof(formula_656,axiom,(
    p71(c78,f72(f74(f73(c25),f73(c24)))) )).

fof(formula_545,axiom,(
    p6(c61,c11,c48) )).

fof(formula_855,axiom,(
    p71(c264,f174(f74(f73(c24),f73(c25)))) )).

fof(formula_136,axiom,(
    ~ p1(c63,c68,c57,c60) )).

fof(formula_350,axiom,(
    p6(c69,c11,c48) )).

fof(formula_673,axiom,(
    p71(c90,f72(f74(f73(c60),f73(c23)))) )).

fof(formula_872,axiom,(
    p71(c281,f174(f74(f73(c28),f74(f73(c40),f73(c24))))) )).

fof(formula_694,axiom,(
    p71(c110,f72(f74(f73(c16),f73(c56)))) )).

fof(formula_222,axiom,(
    p8(c64,c70,c50) )).

fof(formula_262,axiom,(
    p4(c62,c60) )).

fof(formula_99,axiom,(
    p1(c68,c66,c57,c60) )).

fof(formula_130,axiom,(
    p1(c62,c68,c57,c60) )).

fof(formula_874,axiom,(
    p71(c283,f174(f74(f73(c40),f74(f73(c24),f73(c24))))) )).

fof(formula_195,axiom,(
    ~ p1(c65,c66,c50,c41) )).

fof(formula_298,axiom,(
    p3(c61,c67) )).

fof(formula_49,axiom,(
    ~ p1(c67,c58,c45,c41) )).

fof(formula_892,axiom,(
    p71(c301,f174(f74(f73(c28),f74(f73(c41),f73(c24))))) )).

fof(formula_334,axiom,(
    p3(c63,c59) )).

fof(formula_305,axiom,(
    p2(c66,c45) )).

fof(formula_851,axiom,(
    p71(c260,f174(f74(f73(c16),f73(c28)))) )).

fof(formula_488,axiom,(
    p4(c67,c24) )).

fof(formula_230,axiom,(
    p8(c68,c70,c50) )).

fof(formula_690,axiom,(
    p71(c107,f72(f74(f73(c23),f73(c56)))) )).

fof(formula_335,axiom,(
    p3(c59,c67) )).

fof(formula_491,axiom,(
    p6(c67,c15,c24) )).

fof(formula_55,axiom,(
    ~ p1(c67,c59,c45,c60) )).

fof(formula_329,axiom,(
    p6(c63,c13,c14) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( ( p6(X1,c11,c31)
        & p6(X1,c13,c39)
        & p6(X1,c15,c40)
        & p6(X1,c17,c32)
        & p6(X1,c19,c41) )
    <=> p2(X1,c42) ) )).

fof(formula_555,axiom,(
    p6(c66,c15,c24) )).

fof(formula_205,axiom,(
    ~ p1(c65,c68,c50,c60) )).

fof(formula_444,axiom,(
    p2(c69,c55) )).

fof(formula_608,axiom,(
    p3(c62,c64) )).

fof(formula_272,axiom,(
    p6(c62,c19,c56) )).

fof(formula_347,axiom,(
    p3(c59,c58) )).

fof(formula_448,axiom,(
    p6(c63,c13,c40) )).

fof(formula_896,axiom,(
    p302(f73(c18)) )).

fof(formula_772,axiom,(
    p71(c181,f174(f73(c28))) )).

fof(formula_538,axiom,(
    p4(c61,c23) )).

fof(formula_893,axiom,(
    p302(f73(c24)) )).

fof(formula_452,axiom,(
    p3(c66,c65) )).

fof(formula_727,axiom,(
    p71(c136,f72(f74(f73(c40),f73(c25)))) )).

fof(formula_761,axiom,(
    p71(c169,f72(f74(f73(c18),f74(f73(c41),f73(c24))))) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( ( p6(X1,c11,c48)
        & p6(X1,c13,c51)
        & p6(X1,c15,c40)
        & p6(X1,c17,c40)
        & p6(X1,c19,c40) )
    <=> p2(X1,c52) ) )).

fof(formula_782,axiom,(
    p71(c191,f174(f74(f73(c28),f73(c24)))) )).

fof(formula_828,axiom,(
    p71(c237,f174(f74(f73(c18),f73(c60)))) )).

fof(formula_734,axiom,(
    p71(c143,f72(f74(f73(c16),f73(c25)))) )).

fof(formula_411,axiom,(
    p6(c70,c19,c40) )).

fof(formula_89,axiom,(
    p7(c61,c62,c45) )).

fof(formula_292,axiom,(
    p6(c58,c17,c44) )).

fof(formula_638,axiom,(
    p71(c24,f72(f73(c24))) )).

fof(formula_636,axiom,(
    p3(c65,c70) )).

fof(formula_67,axiom,(
    p8(c68,c59,c50) )).

fof(formula_643,axiom,(
    p71(c60,f72(f73(c60))) )).

fof(formula_384,axiom,(
    p2(c61,c55) )).

fof(formula_239,axiom,(
    ~ p1(c63,c66,c50,c60) )).

fof(formula_402,axiom,(
    p3(c64,c66) )).

fof(formula_909,axiom,(
    p303(f73(c16),f73(c28)) )).

fof(formula_489,axiom,(
    p6(c67,c19,c40) )).

fof(formula_574,axiom,(
    p4(c70,c41) )).

fof(formula_405,axiom,(
    p6(c64,c15,c24) )).

fof(formula_53,axiom,(
    ~ p1(c67,c70,c45,c41) )).

fof(formula_45,axiom,(
    p1(c64,c62,c45,c60) )).

fof(formula_24,axiom,(
    p1(c58,c61,c45,c60) )).

fof(formula_326,axiom,(
    p2(c70,c50) )).

fof(formula_843,axiom,(
    p71(c252,f174(f74(f73(c25),f73(c16)))) )).

fof(formula_449,axiom,(
    p6(c63,c11,c27) )).

fof(formula_624,axiom,(
    p4(c66,c18) )).

fof(formula_720,axiom,(
    p71(c130,f72(f74(f73(c23),f73(c28)))) )).

fof(formula_318,axiom,(
    p3(c68,c58) )).

fof(formula_294,axiom,(
    p6(c58,c13,c23) )).

fof(formula_297,axiom,(
    p3(c58,c62) )).

fof(formula_70,axiom,(
    p8(c66,c59,c50) )).

fof(formula_240,axiom,(
    p7(c63,c70,c50) )).

fof(formula_760,axiom,(
    p71(c168,f72(f74(f73(c23),f74(f73(c41),f73(c24))))) )).

fof(formula_341,axiom,(
    p2(c59,c45) )).

fof(formula_767,axiom,(
    p71(c176,f174(f73(c23))) )).

fof(formula_813,axiom,(
    p71(c222,f174(f74(f73(c25),f73(c18)))) )).

fof(formula_484,axiom,(
    p4(c67,c56) )).

fof(formula_134,axiom,(
    p8(c62,c58,c57) )).

fof(formula_911,axiom,(
    ! [X1,X2,X3] : 
      ( ( p303(f73(X1),f73(X2))
        & p303(f73(X2),f73(X3)) )
     => p303(f73(X1),f73(X3)) ) )).

fof(formula_246,axiom,(
    p4(c66,c41) )).

fof(formula_786,axiom,(
    p71(c195,f174(f74(f73(c41),f73(c41)))) )).

fof(formula_653,axiom,(
    p71(c36,f72(f74(f73(c60),f73(c24)))) )).

fof(formula_283,axiom,(
    p3(c67,c62) )).

fof(formula_604,axiom,(
    p4(c64,c23) )).

fof(formula_46,axiom,(
    p1(c69,c59,c50,c60) )).

fof(formula_670,axiom,(
    p71(c87,f72(f74(f73(c23),f73(c23)))) )).

fof(formula_689,axiom,(
    p71(c106,f72(f74(f73(c41),f73(c56)))) )).

fof(formula_84,axiom,(
    p8(c59,c62,c45) )).

fof(formula_223,axiom,(
    p4(c68,c41) )).

fof(formula_541,axiom,(
    p6(c61,c19,c40) )).

fof(formula_427,axiom,(
    p6(c69,c15,c12) )).

fof(formula_829,axiom,(
    p71(c238,f174(f74(f73(c56),f73(c60)))) )).

fof(formula_120,axiom,(
    p1(c65,c68,c57,c60) )).

fof(formula_217,axiom,(
    p4(c64,c41) )).

fof(formula_179,axiom,(
    p8(c67,c64,c55) )).

fof(formula_455,axiom,(
    p6(c66,c13,c40) )).

fof(formula_692,axiom,(
    p71(c108,f72(f74(f73(c56),f73(c56)))) )).

fof(formula_111,axiom,(
    p1(c69,c58,c45,c60) )).

fof(formula_463,axiom,(
    p3(c65,c66) )).

fof(formula_500,axiom,(
    p2(c59,c55) )).

fof(formula_581,axiom,(
    p4(c59,c24) )).

fof(formula_257,axiom,(
    p4(c68,c60) )).

fof(formula_777,axiom,(
    p71(c186,f174(f74(f73(c23),f73(c24)))) )).

fof(formula_773,axiom,(
    p71(c182,f174(f73(c25))) )).

fof(formula_450,axiom,(
    p2(c63,c57) )).

fof(formula_424,axiom,(
    p3(c65,c63) )).

fof(formula_232,axiom,(
    ~ p1(c69,c70,c50,c41) )).

fof(formula_128,axiom,(
    p1(c62,c63,c57,c18) )).

fof(formula_166,axiom,(
    p7(c70,c64,c55) )).

fof(formula_580,axiom,(
    p4(c59,c41) )).

fof(formula_91,axiom,(
    ~ p1(c63,c62,c45,c56) )).

fof(formula_442,axiom,(
    p6(c69,c13,c14) )).

fof(formula_271,axiom,(
    p3(c62,c65) )).

fof(formula_181,axiom,(
    p1(c68,c64,c55,c60) )).

fof(formula_140,axiom,(
    p7(c63,c58,c57) )).

fof(formula_454,axiom,(
    p6(c66,c15,c12) )).

fof(formula_319,axiom,(
    p6(c68,c19,c24) )).

fof(formula_612,axiom,(
    p4(c62,c23) )).

fof(formula_688,axiom,(
    p71(c105,f72(f74(f73(c24),f73(c56)))) )).

fof(formula_721,axiom,(
    p71(c131,f72(f74(f73(c18),f73(c28)))) )).

fof(formula_343,axiom,(
    p6(c59,c19,c56) )).

fof(formula_639,axiom,(
    p71(c41,f72(f73(c41))) )).

fof(formula_421,axiom,(
    p6(c70,c11,c27) )).

fof(formula_859,axiom,(
    p71(c268,f174(f74(f73(c56),f73(c25)))) )).

fof(formula_60,axiom,(
    ~ p1(c63,c66,c50,c56) )).

fof(formula_534,axiom,(
    p2(c63,c50) )).

fof(formula_566,axiom,(
    p6(c68,c15,c24) )).

fof(formula_139,axiom,(
    ~ p1(c63,c66,c57,c60) )).

fof(formula_234,axiom,(
    p4(c63,c41) )).

fof(formula_77,axiom,(
    p8(c62,c59,c50) )).

fof(formula_174,axiom,(
    p1(c66,c64,c55,c56) )).

fof(formula_567,axiom,(
    p6(c68,c13,c49) )).

fof(formula_412,axiom,(
    p6(c70,c17,c44) )).

fof(formula_286,axiom,(
    p6(c67,c13,c40) )).

fof(formula_854,axiom,(
    p71(c263,f174(f74(f73(c40),f73(c25)))) )).

fof(formula_703,axiom,(
    p71(c117,f72(f74(f73(c60),f73(c60)))) )).

fof(formula_526,axiom,(
    p6(c70,c11,c54) )).

fof(formula_769,axiom,(
    p71(c178,f174(f73(c56))) )).

fof(formula_284,axiom,(
    p6(c67,c19,c56) )).

fof(formula_902,axiom,(
    p303(f73(c40),f73(c24)) )).

fof(formula_410,axiom,(
    p3(c70,c61) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => p4(X1,X2) ) )).

fof(formula_342,axiom,(
    p3(c59,c62) )).

fof(formula_161,axiom,(
    p7(c69,c64,c55) )).

fof(formula_473,axiom,(
    p6(c65,c15,c24) )).

fof(formula_78,axiom,(
    p1(c61,c59,c50,c60) )).

fof(formula_748,axiom,(
    p71(c156,f72(f74(f73(c24),f74(f73(c24),f73(c24))))) )).

fof(formula_890,axiom,(
    p71(c299,f174(f74(f73(c60),f74(f73(c41),f73(c24))))) )).

fof(formula_76,axiom,(
    p7(c62,c59,c50) )).

fof(formula_696,axiom,(
    p71(c112,f72(f74(f73(c25),f73(c56)))) )).

fof(formula_543,axiom,(
    p6(c61,c15,c24) )).

fof(formula_312,axiom,(
    p3(c68,c65) )).

fof(formula_34,axiom,(
    p1(c67,c59,c55,c60) )).

fof(formula_558,axiom,(
    p2(c66,c50) )).

fof(formula_357,axiom,(
    p6(c69,c13,c23) )).

fof(formula_685,axiom,(
    p71(c102,f72(f74(f73(c28),f73(c18)))) )).

fof(formula_912,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p303(X2,X4)
     => p303(f74(f73(X1),X2),f74(f73(X3),X4)) ) )).

fof(formula_35,axiom,(
    p1(c62,c64,c55,c18) )).

fof(formula_461,axiom,(
    p6(c66,c11,c54) )).

fof(formula_610,axiom,(
    p4(c62,c56) )).

fof(formula_547,axiom,(
    p3(c61,c70) )).

fof(formula_323,axiom,(
    p3(c70,c67) )).

fof(formula_251,axiom,(
    p1(c66,c62,c50,c60) )).

fof(formula_313,axiom,(
    p6(c68,c19,c56) )).

fof(formula_94,axiom,(
    p1(c68,c62,c45,c56) )).

fof(formula_630,axiom,(
    p4(c65,c18) )).

fof(formula_918,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p71(X1,f174(X3))
        & p71(X2,f72(X4)) )
     => p5(X1,X2) ) )).

fof(formula_886,axiom,(
    p71(c295,f174(f74(f73(c41),f74(f73(c41),f73(c24))))) )).

fof(formula_392,axiom,(
    p3(c64,c65) )).

fof(formula_422,axiom,(
    p3(c70,c58) )).

fof(formula_456,axiom,(
    p6(c66,c11,c27) )).

fof(formula_401,axiom,(
    p3(c64,c62) )).

fof(formula_365,axiom,(
    p6(c65,c13,c23) )).

fof(formula_578,axiom,(
    p4(c59,c18) )).

fof(formula_753,axiom,(
    p71(c161,f72(f74(f73(c60),f74(f73(c24),f73(c24))))) )).

fof(formula_93,axiom,(
    p4(c62,c56) )).

fof(formula_414,axiom,(
    p6(c70,c13,c23) )).

fof(formula_803,axiom,(
    p71(c212,f174(f74(f73(c25),f73(c23)))) )).

fof(formula_568,axiom,(
    p6(c68,c11,c48) )).
%------------------------------------------------------------------------------
