%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(A,C) = f2(B,C) ) )).

fof(f2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(C,A) = f2(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p1(X2)
         => p1(f2(X1,X2)) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => p3(f4(X1,X2)) ) ) )).

fof(formula_4,axiom,(
    ~ ? [X1] : 
        ( p3(X1)
        & ! [X2] : 
            ( p3(X2)
           => f4(X2,X2) = X1 ) ) )).

fof(formula_5,conjecture,
    ( ( ! [X1] : 
          ( p1(X1)
         => p3(f5(X1)) )
      & ! [X2] : 
          ( p3(X2)
         => p1(f6(X2)) ) )
   => ~ ( ! [X3] : 
            ( p1(X3)
           => ! [X4] : 
                ( p1(X4)
               => f5(f2(X3,X4)) = f4(f5(X3),f5(X4)) ) )
        & ! [X5] : 
            ( p3(X5)
           => ! [X6] : 
                ( p3(X6)
               => f6(f4(X5,X6)) = f2(f6(X5),f6(X6)) ) )
        & ! [X7] : 
            ( p3(X7)
           => f5(f6(X7)) = X7 )
        & ! [X8] : 
            ( p1(X8)
           => f6(f5(X8)) = X8 ) ) )).

fof(formula_3,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ! [X2] : 
          ( p1(X2)
         => f2(X2,X2) = X1 ) ) )).
%------------------------------------------------------------------------------
