%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f1(A,C) = f1(B,C) ) )).

fof(f1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f1(C,A) = f1(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
    <=> ? [X2] : 
          ( f1(X1,X2) = X1
          & f1(X1,X1) = X2 ) ) )).

fof(formula_3,conjecture,(
    ! [X1,X2,X3] : 
      ( ( p2(X1)
        & p2(X2)
        & X3 = f1(X1,X2) )
     => p2(X3) ) )).

fof(formula_1,axiom,(
    ! [X1,X2,X3] : f1(f1(X1,X2),X3) = f1(X2,f1(X3,X1)) )).
%------------------------------------------------------------------------------
