%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(A,C,D) )
     => p6(B,C,D) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(C,A,D) )
     => p6(C,B,D) ) )).

fof(p6_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(C,D,A) )
     => p6(C,D,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p2(X3,X1)
        <=> p2(X3,X2) )
     => X1 = X2 ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( ? [X3] : p6(X3,X1,X2)
     => ? [X4] : X4 = f3(X1,X2) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
    ? [X2] : p5(X2,X1) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
    <=> ( p2(X1,X2)
        & ! [X3,X4] : 
            ( ( p1(X3,X2)
              & p1(X4,X2)
              & p2(X1,X3)
              & p2(X1,X4) )
           => ( p1(X3,X4)
              | p1(X4,X3) ) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p1(X2,X1)
        & p1(X3,X1)
        & p1(X4,X1)
        & ? [X5] : 
            ( p4(X5,X2)
            & p4(X5,X3)
            & p4(X5,X4) ) )
     => ( p1(X3,X4)
        | p1(X4,X3)
        | p1(X2,X3)
        | p1(X3,X2)
        | p1(X2,X4)
        | p1(X4,X2) ) ) )).

fof(formula_17,conjecture,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ ? [X3] : p6(X3,X1,X2) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p8(X1)
    <=> ? [X2] : p4(X2,X1) ) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p7(X1)
        & p6(X4,X2,X3)
        & X1 = f3(X2,X3) )
     => ! [X5] : 
          ( p4(X5,X2)
         => p6(X5,X2,X3) ) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( ( p1(X2,X1)
        & X2 != X1 )
     => p8(X2) ) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p4(X2,X1)
        & p4(X3,X1)
        & p4(X4,X1) )
     => ( X2 = X3
        | X2 = X4
        | X3 = X4 ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( p5(X2,X1)
     => ? [X3,X4] : 
          ( p6(X2,X3,X4)
          & X1 = f3(X3,X4) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2,X3] : 
      ( X1 = f3(X2,X3)
    <=> ! [X4] : 
          ( p2(X4,X1)
        <=> ( p2(X4,X2)
            | p2(X4,X3) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X2,X1)
    <=> ! [X3] : 
          ( p2(X3,X2)
         => p2(X3,X1) ) ) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2,X3)
    <=> ( p2(X1,X2)
        & p2(X1,X3)
        & ! [X4] : 
            ( ( p2(X4,X2)
              & p2(X4,X3) )
           => ( p4(X4,X2)
              & p4(X4,X3) ) ) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p7(X1)
    <=> ~ ? [X2] : p4(X2,X1) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p4(X2,X1)
     => ? [X3] : 
          ( p4(X3,X1)
          & X2 != X3 ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
    <=> ( p2(X1,X2)
        & ~ p4(X1,X2) ) ) )).
%------------------------------------------------------------------------------
