%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f2(A,C,D) = f2(B,C,D) ) )).

fof(f2_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f2(C,A,D) = f2(C,B,D) ) )).

fof(f2_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f2(C,D,A) = f2(C,D,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
    <=> ( p1(X2,X1)
        & ! [X3] : 
            ( p1(X3,X1)
           => f2(X1,X2,X3) = X2 ) ) ) )).

fof(formula_7,hypothesis,(
    p6(c3,c7) )).

fof(formula_8,conjecture,(
    p6(c5,f4(c7)) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1,c3)
        & p1(X2,c3) )
     => f2(c5,f4(X1),f4(X2)) = f4(f2(c3,X1,X2)) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p1(X1,c3)
     => p1(f4(X1),c5) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p1(X1,c5)
     => ? [X2] : 
          ( p1(X2,c3)
          & f4(X2) = X1 ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p1(X2,X1)
        & p1(X3,X1)
        & p1(X4,X1) )
     => f2(X1,f2(X1,X2,X3),X4) = f2(X1,X2,f2(X1,X3,X4)) ) )).

fof(formula_1,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X2,X1)
        & p1(X3,X1) )
     => p1(f2(X1,X2,X3),X1) ) )).
%------------------------------------------------------------------------------
