%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(A,C) = f14(B,C) ) )).

fof(f14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(C,A) = f14(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p15(A,C,D,E) )
     => p15(B,C,D,E) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p15(C,A,D,E) )
     => p15(C,B,D,E) ) )).

fof(p15_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p15(C,D,A,E) )
     => p15(C,D,B,E) ) )).

fof(p15_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p15(C,D,E,A) )
     => p15(C,D,E,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p2(A,C,D) )
     => p2(B,C,D) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p2(C,A,D) )
     => p2(C,B,D) ) )).

fof(p2_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p2(C,D,A) )
     => p2(C,D,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X2)
        & p10(X2,X3)
        & p2(X1,X2,X3)
        & p3(f4(X1,X3),c5) )
     => ( ( p11(f4(X1,X3))
         => f14(X1,X3) = c5 )
        & ( p12(f4(X1,X3))
         => p3(f14(X1,X3),c5) )
        & ( p13(f4(X1,X3))
         => p3(c5,f14(X1,X3)) ) ) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p15(c7,c6,X1,X2) )
     => ( p3(f4(c7,X2),c5)
        & p3(f4(c6,X2),c5) ) ) )).

fof(formula_8,conjecture,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p15(c7,c6,X1,X2)
        & p11(f8(X1,X2)) )
     => ( ( f14(c7,X2) = c5
          & f14(c6,X2) = c5 )
        | ( p3(f14(c7,X2),c5)
          & p3(c5,f14(c6,X2)) )
        | ( p3(f14(c6,X2),c5)
          & p3(c5,f14(c7,X2)) ) ) ) )).

fof(formula_7,hypothesis,(
    ! [X1,X2,X3] : 
      ( ( p1(X1)
        & p2(X2,X1,X3)
        & p3(f4(X2,X3),c5) )
     => ( X2 = c6
        | X2 = c7 ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p10(X1,X2) )
     => ( p2(c7,X1,X2)
        & p2(c6,X1,X2) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1)
        & p2(X2,X1,X3)
        & ( p3(f4(X2,X3),c5)
         => ( X2 = c6
            | X2 = c7 ) ) )
     => f8(X1,X3) = f9(f4(c7,X3),f4(c6,X3)) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p15(c7,c6,X1,X2) )
     => p10(X1,X2) ) )).

fof(formula_3,axiom,(
    ! [X1,X2,X3] : 
      ( ( X1 = f9(X2,X3)
        & p11(X1) )
     => ( ( p11(X2)
          & p11(X3) )
        | ( p12(X2)
          & p13(X3) )
        | ( p13(X2)
          & p12(X3) ) ) ) )).
%------------------------------------------------------------------------------
