%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(A,C) = f15(B,C) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(C,A) = f15(C,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f17(A) = f17(B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(A,C) = f19(B,C) ) )).

fof(f19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(C,A) = f19(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(A,C) )
     => p16(B,C) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(C,A) )
     => p16(C,B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p18(A,C,D) )
     => p18(B,C,D) ) )).

fof(p18_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p18(C,A,D) )
     => p18(C,B,D) ) )).

fof(p18_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p18(C,D,A) )
     => p18(C,D,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p2(A,C,D,E) )
     => p2(B,C,D,E) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p2(C,A,D,E) )
     => p2(C,B,D,E) ) )).

fof(p2_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p2(C,D,A,E) )
     => p2(C,D,B,E) ) )).

fof(p2_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p2(C,D,E,A) )
     => p2(C,D,E,B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(A,C,D) )
     => p9(B,C,D) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(C,A,D) )
     => p9(C,B,D) ) )).

fof(p9_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(C,D,A) )
     => p9(C,D,B) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(c3,c4,X1,X2) )
     => ( p6(f10(c3,X2),c8)
        & p6(f10(c4,X2),c8) ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p5(X1,X2) )
     => ( p9(c3,X1,X2)
        & p9(c4,X1,X2) ) ) )).

fof(formula_16,hypothesis,(
    ! [X1] : 
      ( ( p1(X1)
        & p20(X1) )
     => ? [X2] : 
          ( p5(X1,X2)
          & p16(X2,f17(X1)) ) ) )).

fof(formula_18,hypothesis,(
    ! [X1,X2,X3] : 
      ( ( p1(X1)
        & p9(X2,X1,X3)
        & p6(f10(X2,X3),c8) )
     => ( X2 = c4
        | X2 = c3 ) ) )).

fof(formula_17,hypothesis,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p5(X1,X2) )
     => ( ( p14(f19(X1,X2))
         => ~ p14(f7(X1,X2)) )
        & ( p12(f19(X1,X2))
         => p12(f7(X1,X2)) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2,X3] : 
      ( ( p5(X1,X2)
        & p5(X1,X3) )
     => ( p6(X3,X2)
        | X3 = X2
        | p6(X2,X3) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(c3,c4,X1,X2) )
     => p5(X1,X2) ) )).

fof(formula_19,hypothesis,(
    ! [X1] : 
      ( ( p1(X1)
        & p20(X1) )
     => ? [X2] : 
          ( p5(X1,X2)
          & ! [X3] : 
              ( ( p2(c3,c4,X1,X3)
                & p16(X3,X2) )
             => p6(f15(c4,X3),f15(c3,X3)) ) ) ) )).

fof(formula_3,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1)
        & p9(X2,X1,X3)
        & ( p6(f10(X2,X3),c8)
         => ( X2 = c4
            | X2 = c3 ) ) )
     => f7(X1,X3) = f11(f10(c3,X3),f10(c4,X3)) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ~ ( p6(X1,X2)
        & p6(X2,X1) ) )).

fof(formula_15,hypothesis,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p5(X1,X2)
        & p6(f7(X1,X2),c8) )
     => ( ( p6(f17(X1),X2)
         => p14(f19(X1,X2)) )
        & ( ~ p6(f17(X1),X2)
         => p12(f19(X1,X2)) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X2,X3) )
     => p6(X1,X3) ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( p16(X1,X2)
    <=> ( p6(X1,X2)
        | X1 = X2 ) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ~ ( p6(X1,X2)
        & X1 = X2 ) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X2)
        & p5(X2,X3)
        & p9(X1,X2,X3)
        & p6(f10(X1,X3),c8) )
     => ( ( p12(f10(X1,X3))
         => f15(X1,X3) = c8 )
        & ( p13(f10(X1,X3))
         => p6(f15(X1,X3),c8) )
        & ( p14(f10(X1,X3))
         => p6(c8,f15(X1,X3)) ) ) ) )).

fof(formula_20,conjecture,(
    ! [X1] : 
      ( ( p1(X1)
        & p20(X1) )
     => ? [X2] : 
          ( p5(X1,X2)
          & ! [X3] : 
              ( ( p2(c3,c4,X1,X3)
                & p16(X3,X2) )
             => p18(c4,c3,X3) ) ) ) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( ( X1 = f11(X2,X3)
        & p12(X1) )
     => ( ( p12(X2)
          & p12(X3) )
        | ( p13(X2)
          & p14(X3) )
        | ( p14(X2)
          & p13(X3) ) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(c3,c4,X1,X2) )
     => p6(f7(X1,X2),c8) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p16(X2,f17(X1)) )
     => ~ p6(f17(X1),X2) ) )).

fof(formula_14,hypothesis,(
    ! [X1,X2,X3,X4] : 
      ( ( p1(X1)
        & p2(X2,X3,X1,X4) )
     => ( ( p16(f15(X3,X4),c8)
          & p6(c8,f15(X2,X4)) )
      <=> p18(X3,X2,X4) ) ) )).
%------------------------------------------------------------------------------
