%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f16(A) = f16(B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f18(A) = f18(B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(A,C) = f19(B,C) ) )).

fof(f19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(C,A) = f19(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(A,C) )
     => p13(B,C) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(C,A) )
     => p13(C,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p17(A,C) )
     => p17(B,C) ) )).

fof(p17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p17(C,A) )
     => p17(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p2(A,C,D,E) )
     => p2(B,C,D,E) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p2(C,A,D,E) )
     => p2(C,B,D,E) ) )).

fof(p2_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p2(C,D,A,E) )
     => p2(C,D,B,E) ) )).

fof(p2_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p2(C,D,E,A) )
     => p2(C,D,E,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p5(A,C,D) )
     => p5(B,C,D) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p5(C,A,D) )
     => p5(C,B,D) ) )).

fof(p5_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p5(C,D,A) )
     => p5(C,D,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(A,C,D) )
     => p6(B,C,D) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(C,A,D) )
     => p6(C,B,D) ) )).

fof(p6_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p6(C,D,A) )
     => p6(C,D,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( ( p9(X1)
        & p15(X1) )
     => ! [X2] : 
          ( ( p1(X2)
            & p13(X1,X2) )
         => ? [X3] : 
              ( p13(X2,X3)
              & p3(X3,f16(X2)) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p13(X1,X2) )
     => ( p6(c11,X1,X2)
        & p6(c12,X1,X2) ) ) )).

fof(formula_5,axiom,(
    p10(c11) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p17(f16(X1),f18(X1)) ) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3] : 
      ( ( p3(X1,X2)
        & p3(X2,X3) )
     => p3(X1,X3) ) )).

fof(formula_6,axiom,(
    p10(c12) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p3(X2,f18(X1))
        & ~ p3(X2,f14(X1)) )
     => p17(f14(X1),X2) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( p17(X1,X2)
    <=> ( p3(X1,X2)
        | X1 = X2 ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p1(X1)
        & p2(X2,X3,X1,X4)
        & p3(f4(X3,X4),f4(X2,X4)) )
     => p5(X3,X2,X4) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p13(X1,X2) )
     => p17(f7(c11,X2),c8) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p13(X1,X2)
        & p3(f7(c11,X2),c8)
        & p3(f7(c12,X2),c8) )
     => p2(c11,c12,X1,X2) ) )).

fof(formula_18,hypothesis,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p13(X1,X2)
        & p17(X2,f19(c12,X1)) )
     => p3(f7(c12,X2),c8) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p17(X2,f18(X1))
        & p17(f14(X1),X2) )
     => p13(X1,X2) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p13(X1,X2) )
     => p17(f14(X1),X2) ) )).

fof(formula_17,hypothesis,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & X2 = f16(X1) )
     => ( ~ p3(f4(c12,X2),f4(c11,X2))
        & ! [X3] : 
            ( ( p2(c11,c12,X1,X3)
              & p3(X3,X2) )
           => p3(f4(c12,X3),f4(c11,X3)) ) ) ) )).

fof(formula_19,conjecture,(
    ! [X1] : 
      ( ( p9(X1)
        & p15(X1) )
     => p5(c12,c11,X1) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p17(f16(X1),f19(c12,X1)) ) )).

fof(formula_2,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p1(X1)
        & p6(X2,X1,X4)
        & p6(X3,X1,X4)
        & p3(f7(X2,X4),c8)
        & f7(X3,X4) = c8 )
     => p5(X2,X3,X4) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( ( p9(X1)
        & p10(c11)
        & p10(c12)
        & ! [X2] : 
            ( ( p1(X2)
              & p13(X1,X2) )
           => p5(c12,c11,f14(X2)) ) )
     => p5(c12,c11,X1) ) )).
%------------------------------------------------------------------------------
