%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> p4(X2,X1) ) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3] : 
      ( ( p5(X1)
        & ~ p6(X1,X2)
        & ~ p6(X1,X3) )
     => ( ( ( p4(f7(X1,X3),f7(X1,X2))
            & p3(f8(X1,X3),f8(X1,X2)) )
         => p2(f9(X1,X3),f9(X1,X2)) )
        & ( ( p3(f7(X1,X3),f7(X1,X2))
            & p4(f8(X1,X3),f8(X1,X2)) )
         => p2(f9(X1,X3),f9(X1,X2)) )
        & ( ( f7(X1,X3) = f7(X1,X2)
            & f8(X1,X3) = f8(X1,X2) )
         => f9(X1,X3) = f9(X1,X2) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
    <=> ( p2(X1,X2)
        | X1 = X2 ) ) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X1,X2)
        & p4(X2,X3) )
     => p4(X1,X3) ) )).

fof(formula_8,axiom,(
    ! [X1,X2,X3] : 
      ( p5(X1)
     => ( ( ( p4(f10(X1,X3),f10(X1,X2))
            & p1(f11(X1,X3),f11(X1,X2)) )
         => p4(f7(X1,X3),f7(X1,X2)) )
        & ( ( p1(f10(X1,X3),f10(X1,X2))
            & p4(f11(X1,X3),f11(X1,X2)) )
         => p2(f7(X1,X3),f7(X1,X2)) )
        & ( ( f10(X1,X3) = f10(X1,X2)
            & f11(X1,X3) = f11(X1,X2) )
         => f7(X1,X3) = f7(X1,X2) ) ) ) )).

fof(formula_10,conjecture,(
    ! [X1,X2,X3] : 
      ( ( p5(X1)
        & ~ p6(X1,X2)
        & ~ p6(X1,X3) )
     => ( ( ( p4(f10(X1,X3),f10(X1,X2))
            & p1(f11(X1,X3),f11(X1,X2))
            & p3(f12(X1,X3),f12(X1,X2)) )
         => p2(f9(X1,X3),f9(X1,X2)) )
        & ( ( p3(f10(X1,X3),f10(X1,X2))
            & p1(f11(X1,X3),f11(X1,X2))
            & p4(f12(X1,X3),f12(X1,X2)) )
         => p2(f9(X1,X3),f9(X1,X2)) ) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
    <=> ( p4(X1,X2)
        | X1 = X2 ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( p5(X1)
     => ( ( p4(f12(X1,X3),f12(X1,X2))
         => p4(f8(X1,X3),f8(X1,X2)) )
        & ( f12(X1,X3) = f12(X1,X2)
         => f8(X1,X3) = f8(X1,X2) ) ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ~ ( p4(X1,X2)
        & p4(X2,X1) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
      | X1 = X2
      | p4(X1,X2) ) )).
%------------------------------------------------------------------------------
