%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(A,C) = f16(B,C) ) )).

fof(f16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(C,A) = f16(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(A,C) )
     => p15(B,C) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(C,A) )
     => p15(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p8(A,C,D) )
     => p8(B,C,D) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p8(C,A,D) )
     => p8(C,B,D) ) )).

fof(p8_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p8(C,D,A) )
     => p8(C,D,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
      | X1 = X2
      | p4(X1,X2) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> p4(X2,X1) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
    <=> ( p2(X1,X2)
        | X1 = X2 ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ~ ( p4(X1,X2)
        & p4(X2,X1) ) )).

fof(formula_14,conjecture,(
    ! [X1,X2,X3,X4] : 
      ( ( p5(X1)
        & p13(X1)
        & ~ p6(X1)
        & f10(X1,X2) = c11
        & p4(c12,c11)
        & p4(c14,c11)
        & c12 = c14
        & p1(f10(X1,X3),c12)
        & p4(f10(X1,X4),c12) )
     => ( p2(f16(X1,X4),f16(X1,X3))
        & f16(X1,X3) = f16(X1,X2) ) ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( p5(X1)
     => ( ( p7(X1,X2)
         => f16(X1,X2) = c17 )
        & ( ~ p7(X1,X2)
         => ( ( ( p9(X1,X2)
                & p15(X1,X2) )
             => f16(X1,X2) = c18 )
            & ( ( ~ p9(X1,X2)
                & p15(X1,X2) )
             => f16(X1,X2) = c19 )
            & ( ( p9(X1,X2)
                & ~ p15(X1,X2) )
             => f16(X1,X2) = c20 )
            & ( ( ~ p9(X1,X2)
                & ~ p15(X1,X2) )
             => f16(X1,X2) = c21 ) ) ) ) ) )).

fof(formula_13,axiom,(
    p4(c20,c19) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & f10(X1,X2) = c11 )
     => p9(X1,X2) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & ~ p6(X1) )
     => ~ p7(X1,X2) ) )).

fof(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( ( p5(X1)
        & f10(X1,X2) = c11 )
     => ( p4(f10(X1,X3),c12)
      <=> p8(X1,X2,X3) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
    <=> ( p4(X1,X2)
        | X1 = X2 ) ) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X1,X2)
        & p4(X2,X3) )
     => p4(X1,X3) ) )).

fof(formula_8,axiom,(
    ! [X1,X2,X3] : 
      ( p8(X1,X2,X3)
    <=> ( p5(X1)
        & ~ ( p9(X1,X2)
          <=> p9(X1,X3) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p13(X1)
    <=> ! [X2] : 
          ( ( p1(f10(X1,X2),c14)
           => ~ p15(X1,X2) )
          & ( p4(f10(X1,X2),c14)
           => p15(X1,X2) ) ) ) )).
%------------------------------------------------------------------------------
