%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f20(A) = f20(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f9(A,C,D) = f9(B,C,D) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f9(C,A,D) = f9(C,B,D) ) )).

fof(f9_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f9(C,D,A) = f9(C,D,B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(A,C) )
     => p18(B,C) ) )).

fof(p18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(C,A) )
     => p18(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(formula_2,conjecture,(
    ~ ~ ( ( c1 != c2
          & p3(c4,c5)
          & p3(c4,c1)
          & p3(c4,c2)
          & p3(c5,c6)
          & p3(c1,c7)
          & p3(c2,c7)
          & ! [X1,X2] : 
              ( ( p3(c4,X1)
                & p3(c4,X2)
                & p3(X1,c8)
                & p3(X2,c7) )
             => f9(c10,X1,X2) = c11 )
          & ! [X3,X4] : 
              ( ( p3(c4,X3)
                & p3(c4,X4)
                & p3(X3,c7)
                & p3(X4,c7) )
             => f9(c12,X3,X4) = c11 )
          & ! [X5,X6] : 
              ( ( p3(c4,X5)
                & p3(c4,X6)
                & p3(X5,c7)
                & p3(X6,c4) )
             => f9(c13,X5,X6) = c11 )
          & ! [X7,X8] : 
              ( ( p3(c4,X7)
                & p3(c4,X8)
                & p3(X7,c7)
                & p3(X8,c7) )
             => f9(c14,X7,X8) = c11 )
          & ! [X9,X10] : 
              ( ( p3(c4,X9)
                & p3(c4,X10)
                & p3(X9,c8)
                & p3(X10,c8) )
             => f9(c15,X9,X10) = c11 )
          & ! [X11,X12] : 
              ( ( p3(c4,X11)
                & p3(c4,X12)
                & p3(X11,c7)
                & p3(X12,c4) )
             => f9(c16,X11,X12) = c11 )
          & ! [X13,X14] : 
              ( ( p3(c4,X13)
                & p3(c4,X14)
                & p3(X13,c7)
                & p3(X14,c7) )
             => f9(c17,X13,X14) = c11 )
          & ! [X15,X16] : 
              ( ( p3(c4,X15)
                & p3(c4,X16)
                & p3(X15,c7)
                & p3(X16,c7) )
             => ( ( X15 = c1
                  & p18(c2,X16) )
               => f9(c19,X15,X16) = c11 ) )
          & ! [X17,X18] : 
              ( ( p3(c4,X17)
                & p3(c4,X18)
                & p3(X17,c7)
                & p3(X18,c7) )
             => ( p18(c1,X17)
               => f9(c19,X17,X18) = c11 ) )
          & ! [X19] : 
              ( ( p3(c4,X19)
                & p3(X19,f20(c1)) )
             => ! [X20] : 
                  ( ( p3(c4,X20)
                    & p3(X20,c7) )
                 => f9(c19,X19,X20) = c11 ) ) )
       => ! [X21,X22] : 
            ( ( p3(c4,X21)
              & p3(c4,X22)
              & p3(X21,c7)
              & p3(X22,c7) )
           => ( ( c2 != X22
                & X21 = c1
                & p3(X22,c2) )
             => f9(c19,X21,X22) = c11 ) ) ) )).

fof(formula_1,axiom,
    ( ( c1 != c2
      & p3(c4,c5)
      & p3(c4,c1)
      & p3(c4,c2)
      & p3(c5,c6)
      & p3(c1,c7)
      & p3(c2,c7)
      & ! [X1,X2] : 
          ( ( p3(c4,X1)
            & p3(c4,X2)
            & p3(X1,c8)
            & p3(X2,c7) )
         => f9(c10,X1,X2) = c11 )
      & ! [X3,X4] : 
          ( ( p3(c4,X3)
            & p3(c4,X4)
            & p3(X3,c7)
            & p3(X4,c7) )
         => f9(c12,X3,X4) = c11 )
      & ! [X5,X6] : 
          ( ( p3(c4,X5)
            & p3(c4,X6)
            & p3(X5,c7)
            & p3(X6,c4) )
         => f9(c13,X5,X6) = c11 )
      & ! [X7,X8] : 
          ( ( p3(c4,X7)
            & p3(c4,X8)
            & p3(X7,c7)
            & p3(X8,c7) )
         => f9(c14,X7,X8) = c11 )
      & ! [X9,X10] : 
          ( ( p3(c4,X9)
            & p3(c4,X10)
            & p3(X9,c8)
            & p3(X10,c8) )
         => f9(c15,X9,X10) = c11 )
      & ! [X11,X12] : 
          ( ( p3(c4,X11)
            & p3(c4,X12)
            & p3(X11,c7)
            & p3(X12,c4) )
         => f9(c16,X11,X12) = c11 )
      & ! [X13,X14] : 
          ( ( p3(c4,X13)
            & p3(c4,X14)
            & p3(X13,c7)
            & p3(X14,c7) )
         => f9(c17,X13,X14) = c11 )
      & ! [X15,X16] : 
          ( ( p3(c4,X15)
            & p3(c4,X16)
            & p3(X15,c7)
            & p3(X16,c7) )
         => ( ( X15 = c1
              & p18(c2,X16) )
           => f9(c19,X15,X16) = c11 ) )
      & ! [X17,X18] : 
          ( ( p3(c4,X17)
            & p3(c4,X18)
            & p3(X17,c7)
            & p3(X18,c7) )
         => ( p18(c1,X17)
           => f9(c19,X17,X18) = c11 ) )
      & ! [X19] : 
          ( ( p3(c4,X19)
            & p3(X19,f20(c1)) )
         => ! [X20] : 
              ( ( p3(c4,X20)
                & p3(X20,c7) )
             => f9(c19,X19,X20) = c11 ) ) )
   => ! [X21,X22] : 
        ( ( p3(c4,X21)
          & p3(c4,X22)
          & p3(X21,c7)
          & p3(X22,c7) )
       => ( ( c2 != X22
            & X21 = c1
            & p3(X22,c2) )
         => f9(c19,X21,X22) = c11 ) ) )).
%------------------------------------------------------------------------------
