%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f6(A,C,D) = f6(B,C,D) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f6(C,A,D) = f6(C,B,D) ) )).

fof(f6_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f6(C,D,A) = f6(C,D,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_17,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p4(X1) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3,X4] : 
      ( X4 = f6(X1,X2,X3)
    <=> ! [X5] : 
          ( p1(X5,X4)
        <=> ~ ( X5 != X1
              & X5 != X2
              & X5 != X3 ) ) ) )).

fof(formula_12,axiom,(
    p4(c8) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c8 ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p4(X1) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
    ? [X2] : p7(X2,X1) )).

fof(formula_22,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p10(X1)
      & p3(X1) ) )).

fof(formula_9,axiom,(
    p9(c8) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_10,axiom,(
    p2(c8) )).

fof(formula_16,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p2(X1)
      & p3(X1) ) )).

fof(formula_18,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_8,axiom,(
    p4(c8) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p7(X1,X2) ) )).

fof(formula_15,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & ! [X3] : 
            ~ ( p1(X3,X2)
              & ! [X4] : 
                  ~ ( p1(X4,X2)
                    & p1(X4,X3) ) ) ) )).

fof(formula_20,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p9(X1) ) )).

fof(formula_11,axiom,(
    p2(c8) )).

fof(formula_24,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_14,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p4(X1) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p2(X1)
        & p3(X1) )
     => ( p4(X1)
        & p3(X1)
        & p5(X1) ) ) )).

fof(formula_25,conjecture,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p1(X2,X3)
        & p1(X3,X1) ) )).

fof(formula_19,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1)
      & p5(X1) ) )).

fof(formula_13,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1) ) )).

fof(formula_7,axiom,(
    p2(c8) )).

fof(formula_21,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p9(X1)
      & p3(X1) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).
%------------------------------------------------------------------------------
