%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(A,C) = f2(B,C) ) )).

fof(f2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(C,A) = f2(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(formula_5,axiom,(
    ! [X1] : p3(X1,X1) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) ) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : f2(X1,X2) = f2(X2,X1) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2,X3] : 
      ( p1(X3,f2(X1,X2))
    <=> ( p1(X3,X1)
        | p1(X3,X2) ) ) )).

fof(formula_7,conjecture,(
    ! [X1,X2,X3] : f2(f2(X1,X2),X3) = f2(X1,f2(X2,X3)) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p3(X1,X2)
        & p3(X2,X1) ) ) )).
%------------------------------------------------------------------------------
