%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f12(A) = f12(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X1,f6(X2,X3))
    <=> ( p2(X1,X2)
        | p2(X1,X3) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
    <=> ! [X3] : 
          ( p2(X3,X1)
         => p2(X3,X2) ) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f9(X2))
    <=> X1 = X2 ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
    <=> ( p1(X1,X2)
        & p1(X2,X1) ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f12(X2))
    <=> ! [X3] : 
          ( p2(X3,X2)
         => p2(X1,X3) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : ~ p2(X1,c7) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f11(X2))
    <=> ? [X3] : 
          ( p2(X3,X2)
          & p2(X1,X3) ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X1,f5(X2,X3))
    <=> ( p2(X1,X2)
        & p2(X1,X3) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X1,f8(X3,X2))
    <=> ( p2(X1,X3)
        & ~ p2(X1,X2) ) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f4(X2))
    <=> p1(X1,X2) ) )).

fof(formula_12,conjecture,(
    ! [X1,X2,X3] : p3(f6(f6(X1,X2),X3),f6(X1,f6(X2,X3))) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X1,f10(X2,X3))
    <=> ( X1 = X2
        | X1 = X3 ) ) )).
%------------------------------------------------------------------------------
