%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f1(A,C) = f1(B,C) ) )).

fof(f1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f1(C,A) = f1(C,B) ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(A,C) = f2(B,C) ) )).

fof(f2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(C,A) = f2(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( p5(X3,f4(X1,X2))
    <=> ( p5(X3,X1)
        & p5(X3,X2) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : f3(X1,f4(X1,X2)) = f3(X1,X2) )).

fof(formula_9,axiom,(
    ! [X1,X2] : f4(X1,X2) = f4(X2,X1) )).

fof(formula_13,axiom,(
    ! [X1] : p6(X1,X1) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( p5(X3,f2(X1,X2))
    <=> ( p5(X3,X1)
        | p5(X3,X2) ) ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
    <=> ! [X3] : 
          ( p5(X3,X1)
         => p5(X3,X2) ) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : f2(X1,X2) = f2(X2,X1) )).

fof(formula_3,axiom,(
    ! [X1,X2,X3] : f3(f2(X1,X2),X3) = f2(f3(X1,X3),f3(X2,X3)) )).

fof(formula_1,axiom,(
    ! [X1,X2] : f1(X1,X2) = f2(f3(X1,X2),f3(X2,X1)) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ! [X3] : 
          ( p5(X3,X1)
        <=> p5(X3,X2) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p6(X1,X2)
        & p6(X2,X1) ) ) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( p5(X3,f3(X1,X2))
    <=> ( p5(X3,X1)
        & ~ p5(X3,X2) ) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : f1(X1,X2) = f1(X2,X1) )).

fof(formula_14,conjecture,(
    ! [X1,X2] : f1(X1,X2) = f3(f2(X1,X2),f4(X1,X2)) )).
%------------------------------------------------------------------------------
