%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p1(X2,f8(X1))
          <=> p1(X2,f10(f11(X1))) ) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => p1(f6(X1,X2),c2) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => p1(f5(X1,X2),c2) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ? [X3] : p1(X3,f9(X2,X1)) ) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f8(f5(X1,X2)))
             => p13(X3) ) ) ) )).

fof(formula_22,conjecture,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,c2)
             => ! [X4] : 
                  ( p1(X4,c2)
                 => ! [X5] : 
                      ( p1(X5,f9(X1,X2))
                     => ( p3(f4(X3,X4),X5)
                       => ( p3(X3,X1)
                          & p3(X4,X2) ) ) ) ) ) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p13(X1)
      <=> ! [X2] : 
            ( p1(X2,c2)
           => ( p3(X2,X1)
             => ? [X3] : 
                  ( p1(X3,c2)
                  & ? [X4] : 
                      ( p1(X4,c2)
                      & X2 = f4(X3,X4) ) ) ) ) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( ( ~ p12(X2)
            & p1(X2,c2) )
         => ( p1(X1,f10(X2))
          <=> p3(X1,X2) ) ) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( ~ p12(f11(X1))
        & p1(f11(X1),c2) ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p1(X1,c2) )
     => ? [X2] : p1(X2,f10(X1)) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( ! [X3] : 
                ( p1(X3,f8(f5(X1,X2)))
               => p1(X3,f9(X1,X2)) )
            & ! [X4] : 
                ( p1(X4,f9(X1,X2))
               => p1(X4,f8(f5(X1,X2))) ) ) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => p1(f7(X1),c2) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p3(X1,f11(X2))
          <=> ! [X3] : 
                ( p1(X3,c2)
               => ( p3(X3,X1)
                 => p3(X3,X2) ) ) ) ) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( X1 = X2
          <=> ! [X3] : 
                ( p1(X3,c2)
               => ( p3(X3,X1)
                <=> p3(X3,X2) ) ) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ? [X2] : p1(X2,f8(X1)) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => f6(X1,X2) = f6(X2,X1) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => p1(f4(X1,X2),c2) ) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,c2)
             => ! [X4] : 
                  ( p1(X4,c2)
                 => ( p3(f4(X1,X2),f5(X3,X4))
                  <=> ( p3(X1,X3)
                      & p3(X2,X4) ) ) ) ) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p12(X1)
      <=> ! [X2] : 
            ( p1(X2,c2)
           => ~ p3(X2,X1) ) ) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( ( p12(X1)
        & p1(X1,c2) )
     => p13(X1) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,c2)
             => ! [X4] : 
                  ( p1(X4,c2)
                 => ! [X5] : 
                      ( p1(X5,c2)
                     => ( X5 = f4(X3,X4)
                      <=> X5 = f6(f6(X3,X4),f7(X3)) ) ) ) ) ) ) )).

fof(formula_21,axiom,(
    ! [X1] : p1(X1,c2) )).
%------------------------------------------------------------------------------
