%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f18(A,C,D,E) = f18(B,C,D,E) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f18(C,A,D,E) = f18(C,B,D,E) ) )).

fof(f18_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f18(C,D,A,E) = f18(C,D,B,E) ) )).

fof(f18_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f18(C,D,E,A) = f18(C,D,E,B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f19(A,C,D) = f19(B,C,D) ) )).

fof(f19_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f19(C,A,D) = f19(C,B,D) ) )).

fof(f19_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f19(C,D,A) = f19(C,D,B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f20(A,C,D) = f20(B,C,D) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f20(C,A,D) = f20(C,B,D) ) )).

fof(f20_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f20(C,D,A) = f20(C,D,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( ( ~ p16(X2)
            & p1(X2,c2) )
         => ( p1(X1,f14(X2))
          <=> p9(X1,X2) ) ) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p9(X1,f15(X2))
          <=> ! [X3] : 
                ( p1(X3,c2)
               => ( p9(X3,X1)
                 => p9(X3,X2) ) ) ) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p1(X1,c5)
     => p1(f6(X1),c2) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => p1(f17(X1,X2),c2) ) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p13(X1)
      <=> ! [X2] : 
            ( p1(X2,c2)
           => ( p9(X2,X1)
             => ? [X3] : 
                  ( p1(X3,c2)
                  & ? [X4] : 
                      ( p1(X4,c2)
                      & X2 = f17(X3,X4) ) ) ) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => f4(X1,X2) = f4(X2,X1) ) ) )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f12(X1,X2))
             => f19(X1,X2,X3) = f7(X3) ) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ? [X3] : p1(X3,f12(X2,X1)) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( ( ~ p16(X1)
        & p1(X1,c2) )
     => ? [X2] : p1(X2,f14(X1)) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p1(X1,c5)
     => p1(f8(X1),c2) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f12(X1,X2))
             => ! [X4] : 
                  ( p1(X4,f12(X1,X2))
                 => p1(f18(X1,X2,X3,X4),f12(X1,X2)) ) ) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( ( p16(X1)
        & p1(X1,c2) )
     => p13(X1) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => p1(f4(X1,X2),c2) ) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => p1(f11(X1,X2),c2) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( ! [X3] : 
                ( p1(X3,f10(f11(X1,X2)))
               => p1(X3,f12(X1,X2)) )
            & ! [X4] : 
                ( p1(X4,f12(X1,X2))
               => p1(X4,f10(f11(X1,X2))) ) ) ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p1(X2,f10(X1))
          <=> p1(X2,f14(f15(X1))) ) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p1(X1,c5)
     => f6(X1) = f4(f7(X1),f8(X1)) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f12(X1,X2))
             => f20(X1,X2,X3) = f8(X3) ) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,c2)
             => ( p9(X3,f4(X1,X2))
              <=> ( p9(X3,X1)
                  | p9(X3,X2) ) ) ) ) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( X1 = X2
          <=> ! [X3] : 
                ( p1(X3,c2)
               => ( p9(X3,X1)
                <=> p9(X3,X2) ) ) ) ) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p1(X1,c5)
      <=> ( p13(X1)
          & p1(X1,c2) ) ) ) )).

fof(formula_37,axiom,(
    ! [X1] : p1(X1,c2) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f10(f11(X1,X2)))
             => p13(X3) ) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( ~ p16(f15(X1))
        & p1(f15(X1),c2) ) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p3(X1,X2)
          <=> ! [X3] : 
                ( p1(X3,c2)
               => ( p9(X3,X1)
                 => p9(X3,X2) ) ) ) ) ) )).

fof(formula_15,axiom,(
    ? [X1] : p1(X1,c5) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p1(X1,c5)
     => X1 = X1 ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f12(X1,X2))
             => ! [X4] : 
                  ( p1(X4,f12(X1,X2))
                 => f18(X1,X2,X3,X4) = f4(X3,X4) ) ) ) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f12(X1,X2))
             => p1(f19(X1,X2,X3),f10(X1)) ) ) ) )).

fof(formula_38,conjecture,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f12(X1,X2))
             => p3(f6(X3),f4(X1,X2)) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,c2)
             => ! [X4] : 
                  ( p1(X4,c2)
                 => ( ( p3(X1,X2)
                      & p3(X3,X4) )
                   => p3(f4(X1,X3),f4(X2,X4)) ) ) ) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ? [X2] : p1(X2,f10(X1)) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p1(X1,c5)
     => f6(X1) = f4(f7(X1),f8(X1)) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p1(X1,c5)
     => ! [X2] : 
          ( p1(X2,c5)
         => ( X1 = X2
           => X2 = X1 ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p1(X1,c5)
     => p1(f7(X1),c2) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p16(X1)
      <=> ! [X2] : 
            ( p1(X2,c2)
           => ~ p9(X2,X1) ) ) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => p3(X1,X1) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f12(X1,X2))
             => p1(f20(X1,X2,X3),f10(X2)) ) ) ) )).
%------------------------------------------------------------------------------
