%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f17(A,C,D) = f17(B,C,D) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f17(C,A,D) = f17(C,B,D) ) )).

fof(f17_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f17(C,D,A) = f17(C,D,B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f18(A,C,D) = f18(B,C,D) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f18(C,A,D) = f18(C,B,D) ) )).

fof(f18_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f18(C,D,A) = f18(C,D,B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f19(A,C,D) = f19(B,C,D) ) )).

fof(f19_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f19(C,A,D) = f19(C,B,D) ) )).

fof(f19_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f19(C,D,A) = f19(C,D,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(A,C) )
     => p12(B,C) ) )).

fof(p12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(C,A) )
     => p12(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( ( ~ p16(X2)
            & p1(X2,c2) )
         => ( p1(X1,f14(X2))
          <=> p4(X1,X2) ) ) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( ( ~ p16(X1)
        & p1(X1,c2) )
     => ? [X2] : p1(X2,f14(X1)) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => p1(f10(X1,X2),c2) ) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p16(X1)
      <=> ! [X2] : 
            ( p1(X2,c2)
           => ~ p4(X2,X1) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p1(X1,c3)
     => p1(f7(X1),c2) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p13(X1)
      <=> ! [X2] : 
            ( p1(X2,c2)
           => ( p4(X2,X1)
             => ? [X3] : 
                  ( p1(X3,c2)
                  & ? [X4] : 
                      ( p1(X4,c2)
                      & X2 = f6(X3,X4) ) ) ) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c3)
         => ( p4(X1,f5(X2))
          <=> ? [X3] : 
                ( p1(X3,c2)
                & p4(f6(X1,X3),X2) ) ) ) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f11(X1,X2))
             => p1(f19(X1,X2,X3),f11(X2,X1)) ) ) ) )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f11(X1,X2))
             => f18(X1,X2,X3) = f7(X3) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p1(X1,c3)
     => p1(f5(X1),c2) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( ! [X3] : 
                ( p1(X3,f9(f10(X1,X2)))
               => p1(X3,f11(X1,X2)) )
            & ! [X4] : 
                ( p1(X4,f11(X1,X2))
               => p1(X4,f9(f10(X1,X2))) ) ) ) ) )).

fof(formula_15,axiom,(
    ? [X1] : p1(X1,c3) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ? [X3] : p1(X3,f11(X2,X1)) ) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p4(X1,f15(X2))
          <=> ! [X3] : 
                ( p1(X3,c2)
               => ( p4(X3,X1)
                 => p4(X3,X2) ) ) ) ) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f11(X1,X2))
             => p1(f17(X1,X2,X3),f9(X1)) ) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ? [X2] : p1(X2,f9(X1)) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( ! [X3] : 
                ( p1(X3,c2)
               => ( p4(X3,X1)
                <=> p4(X3,X2) ) )
           => X1 = X2 ) ) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p1(X1,c3)
     => X1 = X1 ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f11(X1,X2))
             => f19(X1,X2,X3) = f8(X3) ) ) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p1(X1,c3)
     => ! [X2] : 
          ( p1(X2,c3)
         => ( X1 = X2
           => X2 = X1 ) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( X1 = X2
          <=> ! [X3] : 
                ( p1(X3,c2)
               => ( p4(X3,X1)
                <=> p4(X3,X2) ) ) ) ) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p12(X1,X2)
          <=> ! [X3] : 
                ( p1(X3,c2)
               => ( p4(X3,X1)
                 => p4(X3,X2) ) ) ) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => p12(X1,X1) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,c3)
             => ( p4(f6(X1,X2),f8(X3))
              <=> p4(f6(X2,X1),X3) ) ) ) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f11(X1,X2))
             => f17(X1,X2,X3) = f5(X3) ) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c3)
         => ( p4(X1,f7(X2))
          <=> ? [X3] : 
                ( p1(X3,c2)
                & p4(f6(X3,X1),X2) ) ) ) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p1(X1,c3)
      <=> ( p13(X1)
          & p1(X1,c2) ) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( ~ p16(f15(X1))
        & p1(f15(X1),c2) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,c3)
             => ( p4(f6(X1,X2),X3)
               => ( p4(X1,f5(X3))
                  & p4(X2,f7(X3)) ) ) ) ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p1(X2,f9(X1))
          <=> p1(X2,f14(f15(X1))) ) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( ( p16(X1)
        & p1(X1,c2) )
     => p13(X1) ) )).

fof(formula_37,axiom,(
    ! [X1] : p1(X1,c2) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( X1 = X2
          <=> ( p12(X1,X2)
              & p12(X2,X1) ) ) ) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p1(X1,c3)
     => p1(f8(X1),c3) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f11(X1,X2))
             => p1(f18(X1,X2,X3),f9(X2)) ) ) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f9(f10(X1,X2)))
             => p13(X3) ) ) ) )).

fof(formula_38,conjecture,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f11(X1,X2))
             => ( f17(X2,X1,f19(X1,X2,X3)) = f18(X1,X2,X3)
                & f18(X2,X1,f19(X1,X2,X3)) = f17(X1,X2,X3) ) ) ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => p1(f6(X1,X2),c2) ) ) )).
%------------------------------------------------------------------------------
