%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f13(A) = f13(B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f16(A) = f16(B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f17(A) = f17(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f6(A,C,D) = f6(B,C,D) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f6(C,A,D) = f6(C,B,D) ) )).

fof(f6_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f6(C,D,A) = f6(C,D,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f7(A,C,D) = f7(B,C,D) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f7(C,A,D) = f7(C,B,D) ) )).

fof(f7_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f7(C,D,A) = f7(C,D,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,c2)
             => ( p8(f9(X2,X3),f5(X1))
              <=> ( p8(X2,X1)
                  & X2 = X3 ) ) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => p1(f12(X1,X2),c2) ) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( ~ p18(f17(X1))
        & p1(f17(X1),c2) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p1(X1,c10)
     => p1(f13(X1),c2) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p15(X1)
      <=> ! [X2] : 
            ( p1(X2,c2)
           => ( p8(X2,X1)
             => ? [X3] : 
                  ( p1(X3,c2)
                  & ? [X4] : 
                      ( p1(X4,c2)
                      & X2 = f9(X3,X4) ) ) ) ) ) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p1(X1,c10)
     => p3(X1,X1) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p1(X1,c10)
     => p1(f14(X1),c2) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => p1(f9(X1,X2),c2) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => p3(X1,X1) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p1(X1,c10)
     => ! [X2] : 
          ( p1(X2,c10)
         => ( p3(X1,X2)
          <=> ! [X3] : 
                ( p1(X3,c2)
               => ! [X4] : 
                    ( p1(X4,c2)
                   => ( p8(f9(X3,X4),X1)
                     => p8(f9(X3,X4),X2) ) ) ) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p3(X1,X2)
          <=> ! [X3] : 
                ( p1(X3,c2)
               => ( p8(X3,X1)
                 => p8(X3,X2) ) ) ) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ? [X2] : p1(X2,f11(X1)) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( ( ~ p18(X2)
            & p1(X2,c2) )
         => ( p1(X1,f16(X2))
          <=> p8(X1,X2) ) ) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( ( ~ p18(X1)
        & p1(X1,c2) )
     => ? [X2] : p1(X2,f16(X1)) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f4(X1,X2))
             => p1(f7(X1,X2,X3),f11(X2)) ) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => p1(f5(X1),c10) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f4(X1,X2))
             => f6(X1,X2,X3) = f13(X3) ) ) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p18(X1)
      <=> ! [X2] : 
            ( p1(X2,c2)
           => ~ p8(X2,X1) ) ) ) )).

fof(formula_32,axiom,(
    ! [X1] : p1(X1,c2) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( ( p18(X1)
        & p1(X1,c2) )
     => p15(X1) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p1(X1,c10)
      <=> ( p15(X1)
          & p1(X1,c2) ) ) ) )).

fof(formula_15,axiom,(
    ? [X1] : p1(X1,c10) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( ! [X3] : 
                ( p1(X3,f11(f12(X1,X2)))
               => p1(X3,f4(X1,X2)) )
            & ! [X4] : 
                ( p1(X4,f4(X1,X2))
               => p1(X4,f11(f12(X1,X2))) ) ) ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p1(X2,f11(X1))
          <=> p1(X2,f16(f17(X1))) ) ) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p8(X1,f17(X2))
          <=> ! [X3] : 
                ( p1(X3,c2)
               => ( p8(X3,X1)
                 => p8(X3,X2) ) ) ) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ? [X3] : p1(X3,f4(X2,X1)) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,c2)
             => ! [X4] : 
                  ( p1(X4,f4(X1,X2))
                 => ( p3(f5(X3),X4)
                   => ( p3(X3,f6(X1,X2,X4))
                      & p3(X3,f7(X1,X2,X4)) ) ) ) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( ( p3(X1,X2)
              & p3(X2,X1) )
           => X1 = X2 ) ) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f11(f12(X1,X2)))
             => p15(X3) ) ) ) )).

fof(formula_33,conjecture,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f4(X2,X1))
             => ( p3(f5(X2),X3)
               => ( X2 = f6(X2,X1,X3)
                  & p3(X2,f7(X2,X1,X3)) ) ) ) ) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f4(X1,X2))
             => p1(f6(X1,X2,X3),f11(X1)) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( X1 = X2
          <=> ( p3(X1,X2)
              & p3(X2,X1) ) ) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f4(X1,X2))
             => f7(X1,X2,X3) = f14(X3) ) ) ) )).
%------------------------------------------------------------------------------
