%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f13(A) = f13(B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(A,C) = f14(B,C) ) )).

fof(f14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(C,A) = f14(C,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f15(A,C,D) = f15(B,C,D) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f15(C,A,D) = f15(C,B,D) ) )).

fof(f15_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f15(C,D,A) = f15(C,D,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f16(A,C,D) = f16(B,C,D) ) )).

fof(f16_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f16(C,A,D) = f16(C,B,D) ) )).

fof(f16_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f16(C,D,A) = f16(C,D,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( ~ p10(f13(X1))
        & p1(f13(X1),c2) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( ! [X3] : 
                ( p1(X3,f7(f8(X1,X2)))
               => p1(X3,f9(X1,X2)) )
            & ! [X4] : 
                ( p1(X4,f9(X1,X2))
               => p1(X4,f7(f8(X1,X2))) ) ) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f9(X1,X2))
             => f16(X1,X2,X3) = f5(X3) ) ) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f9(X1,X2))
             => f15(X1,X2,X3) = f6(X3) ) ) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f9(X1,X2))
             => p1(f15(X1,X2,X3),f7(X1)) ) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f7(f8(X1,X2)))
             => p12(X3) ) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p1(X1,c2) )
     => p12(X1) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p12(X1)
      <=> ! [X2] : 
            ( p1(X2,c2)
           => ( p4(X2,X1)
             => ? [X3] : 
                  ( p1(X3,c2)
                  & ? [X4] : 
                      ( p1(X4,c2)
                      & X2 = f14(X3,X4) ) ) ) ) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : p1(X1,c2) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( ( ~ p10(X2)
            & p1(X2,c2) )
         => ( p1(X1,f11(X2))
          <=> p4(X1,X2) ) ) ) )).

fof(formula_11,axiom,(
    ? [X1] : p1(X1,c3) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( ~ p10(X1)
        & p1(X1,c2) )
     => ? [X2] : p1(X2,f11(X1)) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => p1(f14(X1,X2),c2) ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ? [X2] : p1(X2,f7(X1)) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p10(X1)
      <=> ! [X2] : 
            ( p1(X2,c2)
           => ~ p4(X2,X1) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c3)
         => ( p4(X1,f5(X2))
           => ? [X3] : 
                ( p1(X3,c2)
                & p4(X3,f6(X2)) ) ) ) ) )).

fof(formula_25,conjecture,(
    ! [X1] : 
      ( ( ~ p10(X1)
        & p1(X1,c2) )
     => ! [X2] : 
          ( ( ~ p10(X2)
            & p1(X2,c2) )
         => ! [X3] : 
              ( p1(X3,f9(X2,X1))
             => ! [X4] : 
                  ( p1(X4,f11(X1))
                 => ( p4(X4,f16(X2,X1,X3))
                   => ? [X5] : 
                        ( p1(X5,f11(X2))
                        & p4(X5,f15(X2,X1,X3)) ) ) ) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ( p1(X1,c3)
      <=> ( p12(X1)
          & p1(X1,c2) ) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ? [X3] : p1(X3,f9(X2,X1)) ) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p1(X1,c3)
     => p1(f5(X1),c2) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p1(X2,f7(X1))
          <=> p1(X2,f11(f13(X1))) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p1(X1,c3)
     => p1(f6(X1),c2) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ( p4(X1,f13(X2))
          <=> ! [X3] : 
                ( p1(X3,c2)
               => ( p4(X3,X1)
                 => p4(X3,X2) ) ) ) ) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => ! [X3] : 
              ( p1(X3,f9(X1,X2))
             => p1(f16(X1,X2,X3),f7(X2)) ) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p1(X1,c2)
     => ! [X2] : 
          ( p1(X2,c2)
         => p1(f8(X1,X2),c2) ) ) )).
%------------------------------------------------------------------------------
