%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f12(A) = f12(B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B,C,D,E,F] : 
      ( A = B
     => f16(A,C,D,E,F) = f16(B,C,D,E,F) ) )).

fof(f16_substitution_2,axiom,(
    ! [A,B,C,D,E,F] : 
      ( A = B
     => f16(C,A,D,E,F) = f16(C,B,D,E,F) ) )).

fof(f16_substitution_3,axiom,(
    ! [A,B,C,D,E,F] : 
      ( A = B
     => f16(C,D,A,E,F) = f16(C,D,B,E,F) ) )).

fof(f16_substitution_4,axiom,(
    ! [A,B,C,D,E,F] : 
      ( A = B
     => f16(C,D,E,A,F) = f16(C,D,E,B,F) ) )).

fof(f16_substitution_5,axiom,(
    ! [A,B,C,D,E,F] : 
      ( A = B
     => f16(C,D,E,F,A) = f16(C,D,E,F,B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f23(A,C,D) = f23(B,C,D) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f23(C,A,D) = f23(C,B,D) ) )).

fof(f23_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f23(C,D,A) = f23(C,D,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(A,C) = f24(B,C) ) )).

fof(f24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(C,A) = f24(C,B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f25(A,C,D) = f25(B,C,D) ) )).

fof(f25_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f25(C,A,D) = f25(C,B,D) ) )).

fof(f25_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f25(C,D,A) = f25(C,D,B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f26(A,C) = f26(B,C) ) )).

fof(f26_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f26(C,A) = f26(C,B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f27(A,C,D) = f27(B,C,D) ) )).

fof(f27_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f27(C,A,D) = f27(C,B,D) ) )).

fof(f27_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f27(C,D,A) = f27(C,D,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(A,C,D) )
     => p13(B,C,D) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(C,A,D) )
     => p13(C,B,D) ) )).

fof(p13_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(C,D,A) )
     => p13(C,D,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(A,C,D) )
     => p14(B,C,D) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(C,A,D) )
     => p14(C,B,D) ) )).

fof(p14_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(C,D,A) )
     => p14(C,D,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( ( A = B
        & p15(A,C,D,E,F,G) )
     => p15(B,C,D,E,F,G) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( ( A = B
        & p15(C,A,D,E,F,G) )
     => p15(C,B,D,E,F,G) ) )).

fof(p15_substitution_3,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( ( A = B
        & p15(C,D,A,E,F,G) )
     => p15(C,D,B,E,F,G) ) )).

fof(p15_substitution_4,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( ( A = B
        & p15(C,D,E,A,F,G) )
     => p15(C,D,E,B,F,G) ) )).

fof(p15_substitution_5,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( ( A = B
        & p15(C,D,E,F,A,G) )
     => p15(C,D,E,F,B,G) ) )).

fof(p15_substitution_6,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( ( A = B
        & p15(C,D,E,F,G,A) )
     => p15(C,D,E,F,G,B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p17(A,C,D,E) )
     => p17(B,C,D,E) ) )).

fof(p17_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p17(C,A,D,E) )
     => p17(C,B,D,E) ) )).

fof(p17_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p17(C,D,A,E) )
     => p17(C,D,B,E) ) )).

fof(p17_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p17(C,D,E,A) )
     => p17(C,D,E,B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(A,C) )
     => p18(B,C) ) )).

fof(p18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(C,A) )
     => p18(C,B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(A,C,D) )
     => p19(B,C,D) ) )).

fof(p19_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(C,A,D) )
     => p19(C,B,D) ) )).

fof(p19_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(C,D,A) )
     => p19(C,D,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(A,C,D) )
     => p20(B,C,D) ) )).

fof(p20_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(C,A,D) )
     => p20(C,B,D) ) )).

fof(p20_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(C,D,A) )
     => p20(C,D,B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p21(A,C,D) )
     => p21(B,C,D) ) )).

fof(p21_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p21(C,A,D) )
     => p21(C,B,D) ) )).

fof(p21_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p21(C,D,A) )
     => p21(C,D,B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p22(A,C,D,E) )
     => p22(B,C,D,E) ) )).

fof(p22_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p22(C,A,D,E) )
     => p22(C,B,D,E) ) )).

fof(p22_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p22(C,D,A,E) )
     => p22(C,D,B,E) ) )).

fof(p22_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p22(C,D,E,A) )
     => p22(C,D,E,B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( A = B
        & p28(A,C,D,E,F) )
     => p28(B,C,D,E,F) ) )).

fof(p28_substitution_2,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( A = B
        & p28(C,A,D,E,F) )
     => p28(C,B,D,E,F) ) )).

fof(p28_substitution_3,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( A = B
        & p28(C,D,A,E,F) )
     => p28(C,D,B,E,F) ) )).

fof(p28_substitution_4,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( A = B
        & p28(C,D,E,A,F) )
     => p28(C,D,E,B,F) ) )).

fof(p28_substitution_5,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( A = B
        & p28(C,D,E,F,A) )
     => p28(C,D,E,F,B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( A = B
        & p29(A,C,D,E,F) )
     => p29(B,C,D,E,F) ) )).

fof(p29_substitution_2,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( A = B
        & p29(C,A,D,E,F) )
     => p29(C,B,D,E,F) ) )).

fof(p29_substitution_3,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( A = B
        & p29(C,D,A,E,F) )
     => p29(C,D,B,E,F) ) )).

fof(p29_substitution_4,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( A = B
        & p29(C,D,E,A,F) )
     => p29(C,D,E,B,F) ) )).

fof(p29_substitution_5,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( A = B
        & p29(C,D,E,F,A) )
     => p29(C,D,E,F,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( A = B
        & p30(A,C,D,E,F) )
     => p30(B,C,D,E,F) ) )).

fof(p30_substitution_2,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( A = B
        & p30(C,A,D,E,F) )
     => p30(C,B,D,E,F) ) )).

fof(p30_substitution_3,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( A = B
        & p30(C,D,A,E,F) )
     => p30(C,D,B,E,F) ) )).

fof(p30_substitution_4,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( A = B
        & p30(C,D,E,A,F) )
     => p30(C,D,E,B,F) ) )).

fof(p30_substitution_5,axiom,(
    ! [A,B,C,D,E,F] : 
      ( ( A = B
        & p30(C,D,E,F,A) )
     => p30(C,D,E,F,B) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
    <=> ! [X3] : 
          ( p2(X3,X1)
         => p2(X3,X2) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
    <=> ( p1(X1,X2)
        & p1(X2,X1) ) ) )).

fof(formula_20,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p22(X1,X2,X3,X4)
    <=> ! [X5,X6] : 
          ( ( p2(X5,X3)
            & p2(X6,X4) )
         => ( p14(X2,X5,X6)
          <=> p14(X1,X6,X5) ) ) ) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3,X4,X5,X6,X7] : 
      ( ( p2(X6,X3)
        & p2(X7,X5) )
     => ( p14(f16(X1,X2,X3,X4,X5),X6,X7)
      <=> ? [X8] : 
            ( p2(X8,X4)
            & p14(X2,X6,X8)
            & p14(X1,X8,X7) ) ) ) )).

fof(formula_22,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X3,f24(X1,X2))
    <=> ? [X4] : 
          ( p2(X4,X2)
          & p14(X1,X4,X3) ) ) )).

fof(formula_18,axiom,(
    ! [X1,X2,X3] : 
      ( p20(X1,X2,X3)
    <=> ! [X4] : 
          ( p2(X4,X3)
         => ? [X5] : 
              ( p2(X5,X2)
              & p14(X1,X5,X4) ) ) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f4(X2))
    <=> p1(X1,X2) ) )).

fof(formula_26,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( p28(X1,X2,X3,X4,X5)
    <=> ! [X6,X7,X8,X9] : 
          ( ( p2(X6,X2)
            & p2(X7,X4)
            & p2(X8,X2)
            & p2(X9,X4)
            & p14(X3,X6,X8)
            & p14(X1,X6,X7)
            & p14(X1,X8,X9) )
         => p14(X5,X7,X9) ) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( p18(X1,X2)
    <=> ! [X3] : 
          ( p2(X3,X2)
         => p14(X1,X3,X3) ) ) )).

fof(formula_17,axiom,(
    ! [X1,X2,X3] : 
      ( p19(X1,X2,X3)
    <=> ! [X4,X5,X6] : 
          ( ( p2(X4,X2)
            & p2(X5,X2)
            & p2(X6,X3) )
         => ( ( p14(X1,X4,X6)
              & p14(X1,X5,X6) )
           => X4 = X5 ) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X1,f10(X2,X3))
    <=> ( X1 = X2
        | X1 = X3 ) ) )).

fof(formula_25,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p2(X4,f27(X1,X2,X3))
    <=> ( p2(X4,X3)
        & ? [X5] : 
            ( p2(X5,X2)
            & p14(X1,X4,X5) ) ) ) )).

fof(formula_15,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p17(X1,X2,X3,X4)
    <=> ! [X5,X6,X7] : 
          ( ( p2(X5,X3)
            & p2(X6,X4)
            & p2(X7,X4) )
         => ( ( p14(X1,X5,X6)
              & p14(X2,X5,X7) )
           => X6 = X7 ) ) ) )).

fof(formula_24,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X3,f26(X1,X2))
    <=> ? [X4] : 
          ( p2(X4,X2)
          & p14(X1,X3,X4) ) ) )).

fof(formula_28,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( p30(X1,X2,X3,X4,X5)
    <=> ( p13(X1,X2,X4)
        & p21(X1,X2,X4)
        & ! [X6,X7,X8,X9] : 
            ( ( p2(X6,X2)
              & p2(X7,X4)
              & p2(X8,X2)
              & p2(X9,X4)
              & p14(X1,X6,X7)
              & p14(X1,X8,X9) )
           => ( p14(X3,X6,X8)
            <=> p14(X5,X7,X9) ) ) ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X1,f5(X2,X3))
    <=> ( p2(X1,X2)
        & p2(X1,X3) ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f12(X2))
    <=> ! [X3] : 
          ( p2(X3,X2)
         => p2(X1,X3) ) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f9(X2))
    <=> X1 = X2 ) )).

fof(formula_13,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( p15(X1,X2,X3,X4,X5,X6)
    <=> ! [X7,X8] : 
          ( ( p2(X7,X4)
            & p2(X8,X6) )
         => ( p14(X1,X7,X8)
          <=> ? [X9] : 
                ( p2(X9,X5)
                & p14(X3,X7,X9)
                & p14(X2,X9,X8) ) ) ) ) )).

fof(formula_19,axiom,(
    ! [X1,X2,X3] : 
      ( p21(X1,X2,X3)
    <=> ( p19(X1,X2,X3)
        & p20(X1,X2,X3) ) ) )).

fof(formula_29,conjecture,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( p13(X1,X3,X4)
        & p13(X2,X4,X5)
        & p20(X1,X3,X4)
        & p20(X2,X4,X5) )
     => p20(f16(X2,X1,X3,X4,X5),X3,X5) ) )).

fof(formula_21,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( p2(X4,X2)
        & p2(X5,X3) )
     => ( p14(X1,X4,X5)
      <=> p14(f23(X1,X2,X3),X5,X4) ) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f11(X2))
    <=> ? [X3] : 
          ( p2(X3,X2)
          & p2(X1,X3) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : ~ p2(X1,c7) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X1,f8(X3,X2))
    <=> ( p2(X1,X3)
        & ~ p2(X1,X2) ) ) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X1,f6(X2,X3))
    <=> ( p2(X1,X2)
        | p2(X1,X3) ) ) )).

fof(formula_27,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( p29(X1,X2,X3,X4,X5)
    <=> ! [X6,X7,X8,X9] : 
          ( ( p2(X6,X2)
            & p2(X7,X4)
            & p2(X8,X2)
            & p2(X9,X4)
            & p14(X3,X6,X8)
            & p14(X1,X6,X7)
            & p14(X1,X8,X9) )
         => p14(X5,X9,X7) ) ) )).

fof(formula_23,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p2(X4,f25(X1,X2,X3))
    <=> ( p2(X4,X3)
        & ? [X5] : 
            ( p2(X5,X2)
            & p14(X1,X5,X4) ) ) ) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( p13(X1,X2,X3)
    <=> ( ! [X4] : 
            ( p2(X4,X2)
           => ? [X5] : 
                ( p2(X5,X3)
                & p14(X1,X4,X5) ) )
        & ! [X4,X6,X7] : 
            ( ( p2(X4,X2)
              & p2(X6,X3)
              & p2(X7,X3) )
           => ( ( p14(X1,X4,X6)
                & p14(X1,X4,X7) )
             => X6 = X7 ) ) ) ) )).
%------------------------------------------------------------------------------
