%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f1(A,C) = f1(B,C) ) )).

fof(f1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f1(C,A) = f1(C,B) ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(A,C) = f2(B,C) ) )).

fof(f2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(C,A) = f2(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f3(A) = f3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3,X4] : 
      ~ ( f1(X1,X2) = f1(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p5(f3(X1),f3(X2))
     => X1 = X2 ) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( f3(X1) = f1(X2,X3)
     => X2 = X3 ) )).

fof(formula_5,axiom,(
    ? [X1] : ~ p4(X1) )).

fof(formula_11,axiom,(
    ! [X1,X2,X3] : 
      ( f3(X1) = f1(X2,X3)
     => X1 = X2 ) )).

fof(formula_4,axiom,(
    ? [X1] : p4(X1) )).

fof(formula_3,axiom,(
    ! [X1,X2] : ~ p4(f2(X1,X2)) )).

fof(formula_9,axiom,(
    ! [X1] : f1(X1,X1) = f3(X1) )).

fof(formula_6,axiom,(
    ! [X1,X2] : p5(X1,X1) )).

fof(formula_8,conjecture,(
    ! [X1,X2,X3,X4] : 
      ( f2(X1,X2) = f2(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : f2(X1,X2) = f1(f1(X1,X2),f3(X1)) )).

fof(formula_1,axiom,(
    ! [X1,X2] : f1(X1,X2) = f1(X2,X1) )).
%------------------------------------------------------------------------------
