%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(A,C) = f2(B,C) ) )).

fof(f2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(C,A) = f2(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f4(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f5(X5,X6) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_8,axiom,(
    ? [X1] : p7(X1) )).

fof(formula_6,axiom,(
    p7(c3) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f5(X1,X2) = f2(f2(X1,X2),f6(X1)) )).

fof(formula_10,conjecture,(
    ! [X1,X2] : 
      ( f4(X1,X2) = c3
    <=> ( X1 = c3
        | X2 = c3 ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : ~ p7(f5(X1,X2)) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( X1 = c3
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_9,axiom,(
    ? [X1] : ~ p7(X1) )).

fof(formula_2,axiom,(
    ! [X1,X2] : f2(X1,X2) = f2(X2,X1) )).
%------------------------------------------------------------------------------
