%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(A,C) = f2(B,C) ) )).

fof(f2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(C,A) = f2(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(formula_26,axiom,(
    ! [X1,X2,X3] : f8(X1,f4(X2,X3)) = f3(f8(X1,X2),f8(X1,X3)) )).

fof(formula_2,axiom,(
    ! [X1,X2] : f2(X1,X2) = f2(X2,X1) )).

fof(formula_25,axiom,(
    ! [X1,X2,X3] : 
      ( p5(X1,X2)
     => p5(f8(X3,X2),f8(X3,X1)) ) )).

fof(formula_22,axiom,(
    ! [X1,X2,X3] : 
      ( f6(f8(X1,X2),X3) = f8(f6(X1,X3),f6(X2,X3))
      & f6(X3,f8(X1,X2)) = f8(f6(X3,X1),f6(X3,X2)) ) )).

fof(formula_17,axiom,(
    ? [X1] : p10(X1) )).

fof(formula_16,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p1(f7(X1,X2),f6(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : f3(X1,X1) = X1 )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( ~ p10(X1)
     => ~ p10(f3(X2,X1)) ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( ~ p10(X1)
     => ~ p10(f3(X1,X2)) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : f7(X1,X2) = f2(f2(X1,X2),f9(X1)) )).

fof(formula_21,axiom,(
    ! [X1,X2,X3,X4] : f6(f4(X1,X2),f4(X3,X4)) = f4(f6(X1,X3),f6(X2,X4)) )).

fof(formula_19,axiom,(
    ! [X1,X2] : p5(X1,X1) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f3(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f6(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f7(X5,X6) ) ) ) )).

fof(formula_20,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p5(X1,X2)
        & p5(X3,X4) )
     => p5(f6(X1,X3),f6(X2,X4)) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : f4(X1,X1) = X1 )).

fof(formula_4,axiom,(
    ! [X1,X2] : f4(X1,X2) = f4(X2,X1) )).

fof(formula_3,axiom,(
    ! [X1,X2] : f3(X1,X2) = f3(X2,X1) )).

fof(formula_23,conjecture,(
    ! [X1,X2,X3,X4] : f8(f6(X1,X2),f6(X3,X4)) = f3(f6(f8(X1,X3),X2),f6(X1,f8(X2,X4))) )).

fof(formula_18,axiom,(
    ? [X1] : ~ p10(X1) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p5(X1,X2)
        & p5(X2,X1) ) ) )).

fof(formula_24,axiom,(
    ! [X1,X2] : p5(f4(X1,X2),X1) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f8(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : ~ p10(f7(X1,X2)) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).
%------------------------------------------------------------------------------
