%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f1(A,C) = f1(B,C) ) )).

fof(f1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f1(C,A) = f1(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(formula_8,axiom,(
    ! [X1,X2,X3,X4] : f5(f1(X1,X2),f1(X3,X4)) = f1(f5(X1,X3),f5(X2,X4)) )).

fof(formula_10,conjecture,(
    ! [X1,X2,X3,X4] : 
      ( p4(f5(X1,X2),f5(X3,X4))
     => ( f5(X1,X2) = c3
        | ( p4(X1,X3)
          & p4(X2,X4) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : f1(X1,X2) = f1(X2,X1) )).

fof(formula_2,axiom,(
    p2(c3) )).

fof(formula_4,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_3,axiom,(
    ! [X1,X2] : f1(X1,X1) = X1 )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
     => f1(X1,X2) = X1 ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3,X4] : 
      ( f5(X1,X2) = f5(X3,X4)
     => ( X1 = c3
        | X2 = c3
        | ( X1 = X3
          & X2 = X4 ) ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : p4(f1(X1,X2),X1) )).

fof(formula_6,axiom,(
    ! [X1,X2] : p4(X1,X1) )).

fof(formula_5,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( f5(X1,X2) = c3
    <=> ( X1 = c3
        | X2 = c3 ) ) )).
%------------------------------------------------------------------------------
