%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p4(X1) )
     => ~ p2(f9(X1)) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p5(X2,f8(X1))
      & p2(X2) ) )).

fof(formula_34,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_31,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p5(X2,f8(X3)) )
     => p5(X1,X3) ) )).

fof(formula_22,axiom,(
    ! [X1,X2] : p10(X1,X1) )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c6 ) )).

fof(formula_14,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1) ) )).

fof(formula_5,axiom,(
    p2(c6) )).

fof(formula_27,conjecture,(
    ! [X1] : 
      ( ! [X2] : 
          ( ( p4(X2)
            & p3(X2) )
         => ! [X3] : 
              ( ( p4(X3)
                & p3(X3) )
             => ( ( f9(X2) = X1
                  & f9(X3) = X1 )
               => X2 = X3 ) ) )
     => X1 = c6 ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p4(X1) ) )).

fof(formula_20,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p5(X2,f8(X1))
          & ~ p2(X2) ) ) )).

fof(formula_26,axiom,(
    ~ p2(c13) )).

fof(formula_32,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p5(X2,f8(X3))
        & p2(X3) ) )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p5(X1,X2) ) )).

fof(formula_9,axiom,(
    p2(c6) )).

fof(formula_24,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( ( p4(X2)
        & p3(X2) )
      & f9(X2) = X1
      & ! [X3] : 
          ( p1(X3,X1)
         => f11(X2,X3) = c13 ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p2(f9(X1))
        & p4(f9(X1)) ) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( ( p4(X2)
        & p3(X2) )
      & f9(X2) = X1
      & ! [X3] : 
          ( p1(X3,X1)
         => f11(X2,X3) = c12 ) ) )).

fof(formula_8,axiom,(
    ! [X1] : ~ p2(f8(X1)) )).

fof(formula_18,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p4(X1) ) )).

fof(formula_15,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p4(X1) ) )).

fof(formula_17,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_6,axiom,(
    p4(c6) )).

fof(formula_30,axiom,(
    ! [X1,X2] : 
      ( p5(X1,f8(X2))
    <=> p10(X1,X2) ) )).

fof(formula_11,axiom,(
    p4(c6) )).

fof(formula_21,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p7(X1) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
    ? [X2] : p5(X2,X1) )).

fof(formula_10,axiom,(
    p2(c6) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_25,axiom,(
    p2(c12) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_7,axiom,(
    p7(c6) )).
%------------------------------------------------------------------------------
