%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f12(A) = f12(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_11,axiom,(
    p2(c10) )).

fof(formula_27,conjecture,(
    ! [X1,X2] : 
      ( ( p4(X2)
        & p3(X2) )
     => ( ! [X3] : 
            ~ ( p1(X3,X1)
              & ! [X4] : 
                  ~ ( p1(X4,f7(X2))
                    & X3 = f8(X2,X4) ) )
       => p5(X1,f6(X2)) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : ~ p2(f12(X1)) )).

fof(formula_24,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_32,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p9(X2,f12(X3))
        & p2(X3) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p2(f6(X1))
        & p4(f6(X1)) ) ) )).

fof(formula_25,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p11(X1) ) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_18,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p4(X1) )
     => ~ p2(f7(X1)) ) )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p9(X1,X2) ) )).

fof(formula_12,axiom,(
    p2(c10) )).

fof(formula_13,axiom,(
    p4(c10) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p2(f7(X1))
        & p4(f7(X1)) ) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p9(X2,f12(X1))
      & p2(X2) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p3(X1) )
     => ! [X2] : 
          ( X2 = f6(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : 
                  ( p1(X4,f7(X1))
                  & X3 = f8(X1,X4) ) ) ) ) )).

fof(formula_9,axiom,(
    p11(c10) )).

fof(formula_26,axiom,(
    ! [X1,X2] : p5(X1,X1) )).

fof(formula_30,axiom,(
    ! [X1,X2] : 
      ( p9(X1,f12(X2))
    <=> p5(X1,X2) ) )).

fof(formula_31,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p9(X2,f12(X3)) )
     => p9(X1,X3) ) )).

fof(formula_34,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_7,axiom,(
    p2(c10) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p9(X2,f12(X1))
          & ~ p2(X2) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
    ? [X2] : p9(X2,X1) )).

fof(formula_19,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p4(X1) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p4(X1) ) )).

fof(formula_22,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p4(X1) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p4(X1) )
     => ~ p2(f6(X1)) ) )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c10 ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_8,axiom,(
    p4(c10) )).

fof(formula_21,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ( p9(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).
%------------------------------------------------------------------------------
