%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(A,C) = f13(B,C) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(C,A) = f13(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(A,C) )
     => p12(B,C) ) )).

fof(p12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(C,A) )
     => p12(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_22,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p4(X1) ) )).

fof(formula_36,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p9(X2,f11(X3)) )
     => p9(X1,X3) ) )).

fof(formula_29,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X3)
        & p3(X3) )
     => ( p5(X3)
       => f13(X3,f6(X1,X2)) = f6(f13(X3,X1),f13(X3,X2)) ) ) )).

fof(formula_30,conjecture,(
    ! [X1,X2,X3] : 
      ( ( p4(X3)
        & p3(X3) )
     => ( ( p7(X1,X2)
          & p5(X3) )
       => p7(f13(X3,X1),f13(X3,X2)) ) ) )).

fof(formula_12,axiom,(
    ! [X1] : ~ p2(f11(X1)) )).

fof(formula_13,axiom,(
    p2(c8) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p4(X2) )
     => p4(f6(X1,X2)) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p9(X2,f11(X1))
      & p2(X2) ) )).

fof(formula_18,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p4(X1) ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_25,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1)
      & p5(X1) ) )).

fof(formula_17,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p4(X1)
     => f13(X1,c8) = c8 ) )).

fof(formula_24,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
     => p7(X2,X1) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p9(X2,f11(X1))
          & ~ p2(X2) ) ) )).

fof(formula_10,axiom,(
    p10(c8) )).

fof(formula_14,axiom,(
    p2(c8) )).

fof(formula_9,axiom,(
    p4(c8) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p2(X1)
        & p3(X1) )
     => ( p4(X1)
        & p3(X1)
        & p5(X1) ) ) )).

fof(formula_26,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p10(X1) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
    ? [X2] : p9(X2,X1) )).

fof(formula_33,axiom,(
    ! [X1] : f6(X1,c8) = c8 )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_37,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p9(X2,f11(X3))
        & p2(X3) ) )).

fof(formula_8,axiom,(
    p2(c8) )).

fof(formula_27,axiom,(
    ! [X1,X2] : p12(X1,X1) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p4(X1) ) )).

fof(formula_21,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p2(X1)
      & p3(X1) ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p9(X1,X2) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : f6(X1,X1) = X1 )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
    <=> f6(X1,X2) = c8 ) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f6(X1,X2) = f6(X2,X1) )).

fof(formula_34,axiom,(
    ! [X1,X2] : 
      ( p9(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_20,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_15,axiom,(
    p4(c8) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
      ( p9(X1,f11(X2))
    <=> p12(X1,X2) ) )).

fof(formula_38,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c8 ) )).
%------------------------------------------------------------------------------
