%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f17(A,C,D,E) = f17(B,C,D,E) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f17(C,A,D,E) = f17(C,B,D,E) ) )).

fof(f17_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f17(C,D,A,E) = f17(C,D,B,E) ) )).

fof(f17_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f17(C,D,E,A) = f17(C,D,E,B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(A,C) = f19(B,C) ) )).

fof(f19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(C,A) = f19(C,B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(A,C) = f23(B,C) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(C,A) = f23(C,B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f25(A) = f25(B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f28(A) = f28(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(A,C,D) )
     => p15(B,C,D) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(C,A,D) )
     => p15(C,B,D) ) )).

fof(p15_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(C,D,A) )
     => p15(C,D,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(A,C,D) )
     => p16(B,C,D) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,A,D) )
     => p16(C,B,D) ) )).

fof(p16_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,D,A) )
     => p16(C,D,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(A,C,D) )
     => p20(B,C,D) ) )).

fof(p20_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(C,A,D) )
     => p20(C,B,D) ) )).

fof(p20_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(C,D,A) )
     => p20(C,D,B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p24(A) )
     => p24(B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p26(A) )
     => p26(B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p27(A) )
     => p27(B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p29(A) )
     => p29(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p30(A) )
     => p30(B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p31(A) )
     => p31(B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p32(A,C) )
     => p32(B,C) ) )).

fof(p32_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p32(C,A) )
     => p32(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_29,axiom,(
    p22(c21) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p4(X1)
        & p5(X1) ) ) )).

fof(formula_54,axiom,(
    ? [X1] : p6(X1) )).

fof(formula_84,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
     => ( p6(X2)
        | p1(X1,X2) ) ) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( ( p7(X1)
        & p7(X2) )
     => p7(f11(X1,X2)) ) )).

fof(formula_42,axiom,(
    ! [X1] : 
      ( ( ~ p6(X1)
        & p9(X1) )
     => ~ p6(f28(X1)) ) )).

fof(formula_89,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p6(X2) ) )).

fof(formula_75,axiom,(
    ! [X1,X2] : p32(X1,X1) )).

fof(formula_17,axiom,(
    ! [X1,X2,X3] : 
      ( p20(X3,X1,X2)
     => p3(X3,f10(f11(X1,X2))) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ! [X2] : 
          ( p3(X2,X1)
         => ( p4(X2)
            & p5(X2)
            & p2(X2) ) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( ( p6(X1)
        & p2(X1) )
     => ( p4(X1)
        & p5(X1)
        & p2(X1)
        & p12(X1) ) ) )).

fof(formula_21,axiom,(
    p6(c21) )).

fof(formula_62,axiom,(
    ? [X1] : ~ p6(X1) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
    ? [X3] : p16(X3,X1,X2) )).

fof(formula_64,axiom,(
    ! [X1] : 
      ( ~ p6(X1)
     => ? [X2] : 
          ( p3(X2,f10(X1))
          & ~ p6(X2)
          & p7(X2) ) ) )).

fof(formula_80,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p3(X1,X2) ) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p8(X3)
        & p15(X3,X1,X2)
        & p16(X3,X1,X2) )
     => p3(f17(X1,X2,X3,X4),f10(X2)) ) )).

fof(formula_81,axiom,(
    ! [X1] : 
      ( p9(X1)
     => p32(X1,f11(f25(X1),f28(X1))) ) )).

fof(formula_63,axiom,(
    ? [X1] : 
      ( p3(X1,c14)
      & p6(X1)
      & p4(X1)
      & p5(X1)
      & p2(X1)
      & p12(X1) ) )).

fof(formula_83,conjecture,(
    ! [X1] : 
      ( ( p9(X1)
        & p8(X1) )
     => ( p7(f25(X1))
      <=> p7(X1) ) ) )).

fof(formula_51,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p5(X1)
      & p2(X1)
      & p30(X1) ) )).

fof(formula_68,axiom,(
    ! [X1] : 
      ( ~ p6(X1)
     => ? [X2] : 
          ( p3(X2,f10(X1))
          & ~ p6(X2)
          & p7(X2) ) ) )).

fof(formula_44,axiom,(
    ~ p6(c14) )).

fof(formula_74,axiom,(
    ! [X1,X2,X3] : 
      ( p20(X3,X1,X2)
    <=> p16(X3,X1,X2) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p6(X1)
     => p8(X1) ) )).

fof(formula_23,axiom,(
    p22(c21) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( ( ~ p6(X1)
        & p9(X1) )
     => ~ p6(f25(X1)) ) )).

fof(formula_67,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p22(X1) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( p9(f18(X1,X2))
      & p8(f18(X1,X2)) ) )).

fof(formula_50,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p5(X1)
      & p2(X1) ) )).

fof(formula_36,axiom,(
    p6(c21) )).

fof(formula_61,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p3(X2,f10(X1))
      & p6(X2) ) )).

fof(formula_33,axiom,(
    p4(c21) )).

fof(formula_87,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p3(X2,f10(X3))
        & p6(X3) ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
    ? [X3] : p20(X3,X1,X2) )).

fof(formula_71,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p26(X1)
      & p8(X1) ) )).

fof(formula_77,axiom,(
    ! [X1,X2] : 
      ( ( p32(X1,X2)
        & p7(X2) )
     => p7(X1) ) )).

fof(formula_60,axiom,(
    ? [X1] : 
      ( ~ p6(X1)
      & p9(X1) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p6(X1)
     => p9(X1) ) )).

fof(formula_31,axiom,(
    p13(c21) )).

fof(formula_59,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p8(X1)
      & p24(X1)
      & p31(X1) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
    ? [X2] : p3(X2,X1) )).

fof(formula_41,axiom,(
    ! [X1] : 
      ( ( p9(X1)
        & p26(X1)
        & p8(X1) )
     => p27(f28(X1)) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( p4(X1)
        & p5(X1)
        & p2(X1) ) ) )).

fof(formula_70,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p8(X1)
      & p24(X1) ) )).

fof(formula_37,axiom,(
    p9(c21) )).

fof(formula_22,axiom,(
    p9(c21) )).

fof(formula_39,axiom,(
    ! [X1] : 
      ( ( p9(X1)
        & p8(X1)
        & p24(X1) )
     => ( p4(f25(X1))
        & p5(f25(X1))
        & p2(f25(X1)) ) ) )).

fof(formula_53,axiom,(
    ! [X1] : 
      ( ~ p6(X1)
     => ? [X2] : 
          ( p3(X2,f10(X1))
          & ~ p6(X2) ) ) )).

fof(formula_69,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p22(X1)
      & p8(X1) ) )).

fof(formula_78,axiom,(
    ! [X1,X2] : 
      ( ( p9(X2)
        & p8(X2) )
     => ( p7(X1)
       => p7(f23(X2,X1)) ) ) )).

fof(formula_65,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p8(X1)
      & p13(X1) ) )).

fof(formula_55,axiom,(
    ? [X1] : 
      ( p3(X1,c14)
      & ~ p6(X1)
      & p4(X1)
      & p5(X1)
      & p2(X1) ) )).

fof(formula_66,axiom,(
    ? [X1] : 
      ( ~ p6(X1)
      & p4(X1)
      & p5(X1)
      & p2(X1) ) )).

fof(formula_28,axiom,(
    p9(c21) )).

fof(formula_73,axiom,(
    ! [X1,X2] : f19(X1,X2) = f18(X1,X2) )).

fof(formula_79,axiom,(
    ! [X1,X2] : 
      ( ( p7(X1)
        & p7(X2) )
     => p7(f11(X1,X2)) ) )).

fof(formula_48,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p8(X1)
      & p29(X1) ) )).

fof(formula_32,axiom,(
    p6(c21) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p3(X1,c14)
     => ( p2(X1)
       => ( p4(X1)
          & p5(X1)
          & p2(X1)
          & p12(X1) ) ) ) )).

fof(formula_72,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p8(X3)
        & p15(X3,X1,X2)
        & p16(X3,X1,X2) )
     => f17(X1,X2,X3,X4) = f23(X3,X4) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p5(X1) )
     => p2(X1) ) )).

fof(formula_52,axiom,(
    ? [X1] : 
      ( p6(X1)
      & p9(X1) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p6(X1)
     => p7(X1) ) )).

fof(formula_26,axiom,(
    ! [X1] : ~ p6(f10(X1)) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( p8(f19(X1,X2))
      & p15(f19(X1,X2),f11(X1,X2),X1)
      & p20(f19(X1,X2),f11(X1,X2),X1) ) )).

fof(formula_49,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p8(X1) ) )).

fof(formula_24,axiom,(
    ! [X1,X2] : 
      ( ( ( p9(X1)
          & p8(X1) )
        & p7(X2) )
     => p7(f23(X1,X2)) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ( ( ~ p6(X1)
        & ~ p6(X2) )
     => ~ p6(f11(X1,X2)) ) )).

fof(formula_86,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p3(X2,f10(X3)) )
     => p3(X1,X3) ) )).

fof(formula_58,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p8(X1)
      & p13(X1)
      & p6(X1)
      & p4(X1)
      & p5(X1)
      & p2(X1) ) )).

fof(formula_27,axiom,(
    p6(c21) )).

fof(formula_88,axiom,(
    ! [X1] : 
      ( p6(X1)
     => X1 = c21 ) )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( p6(f25(X1))
        & p9(f25(X1)) ) ) )).

fof(formula_30,axiom,(
    p8(c21) )).

fof(formula_76,axiom,(
    ! [X1] : 
      ( ( p9(X1)
        & p8(X1) )
     => f17(f11(f25(X1),f28(X1)),f25(X1),f19(f25(X1),f28(X1)),X1) = f25(X1) ) )).

fof(formula_46,axiom,(
    ? [X1] : 
      ( ~ p6(X1)
      & p4(X1)
      & p5(X1)
      & p2(X1)
      & p12(X1) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( ( p9(X1)
        & p6(X1)
        & p8(X1) )
     => ( p9(X1)
        & p8(X1)
        & p13(X1) ) ) )).

fof(formula_57,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p6(X1)
      & p8(X1) ) )).

fof(formula_47,axiom,(
    ? [X1] : 
      ( ~ p6(X1)
      & p7(X1) ) )).

fof(formula_45,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( p6(f28(X1))
        & p9(f28(X1)) ) ) )).

fof(formula_34,axiom,(
    p5(c21) )).

fof(formula_90,axiom,(
    ! [X1,X2] : 
      ~ ( p6(X1)
        & X1 != X2
        & p6(X2) ) )).

fof(formula_56,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p3(X2,f10(X1))
      & p6(X2)
      & p9(X2)
      & p8(X2)
      & p13(X2)
      & p4(X2)
      & p5(X2)
      & p2(X2)
      & p12(X2)
      & p7(X2) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_35,axiom,(
    p2(c21) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ! [X2] : 
          ( p3(X2,f10(X1))
         => p7(X2) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3] : 
      ( p3(X3,f10(f11(X1,X2)))
     => p9(X3) ) )).

fof(formula_82,axiom,(
    ! [X1] : 
      ( ( p9(X1)
        & p8(X1) )
     => ( p7(f25(X1))
       => p7(f28(X1)) ) ) )).

fof(formula_85,axiom,(
    ! [X1,X2] : 
      ( p3(X1,f10(X2))
    <=> p32(X1,X2) ) )).
%------------------------------------------------------------------------------
