%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_20,axiom,(
    $true )).

fof(formula_46,lemma,(
    ! [X1,X2] : f4(X1,f9(X2,X1)) = f4(X1,X2) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p6(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_50,lemma,(
    ! [X1,X2] : f9(f4(X1,X2),X2) = f9(X1,X2) )).

fof(formula_54,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p10(X1,X2)
          & ! [X3] : ~ p1(X3,f5(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f5(X1,X2))
          & p10(X1,X2) ) ) )).

fof(formula_56,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p10(X2,X3) )
     => p10(X1,X3) ) )).

fof(formula_57,conjecture,(
    ! [X1] : f3(X1,X1) = f7(X1) )).

fof(formula_39,lemma,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => f5(X1,X2) = X1 ) )).

fof(formula_19,axiom,(
    $true )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p6(X1,X2)
        & p6(X2,X1) ) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f5(X1,X2) = f5(X2,X1) )).

fof(formula_31,axiom,(
    ! [X1,X2] : p6(X1,X1) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( X1 = c8
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f4(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_17,axiom,(
    $true )).

fof(formula_3,axiom,(
    ! [X1,X2] : f3(X1,X2) = f3(X2,X1) )).

fof(formula_42,lemma,(
    ! [X1] : p6(c8,X1) )).

fof(formula_61,lemma,(
    ! [X1,X2] : 
      ( p10(X1,X2)
    <=> f9(X1,X2) = X1 ) )).

fof(formula_29,axiom,(
    ? [X1] : p11(X1) )).

fof(formula_34,lemma,(
    ! [X1,X2] : p6(f5(X1,X2),X1) )).

fof(formula_53,axiom,(
    ! [X1] : f9(c8,X1) = c8 )).

fof(formula_62,axiom,(
    ! [X1,X2] : 
      ~ ( p11(X1)
        & X1 != X2
        & p11(X2) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : f4(X1,X2) = f4(X2,X1) )).

fof(formula_52,lemma,(
    ! [X1,X2] : f9(X1,f9(X1,X2)) = f5(X1,X2) )).

fof(formula_22,axiom,(
    p11(c8) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( p10(X1,X2)
    <=> f5(X1,X2) = c8 ) )).

fof(formula_63,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X3,X2) )
     => p6(f4(X1,X3),X2) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( X2 = f7(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_28,lemma,(
    ! [X1,X2] : 
      ( f9(X1,X2) = c8
    <=> p6(X1,X2) ) )).

fof(formula_51,lemma,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => X2 = f4(X1,f9(X2,X1)) ) )).

fof(formula_38,lemma,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2)
     => p6(f5(X1,X3),f5(X2,X3)) ) )).

fof(formula_37,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X2,X3) )
     => p6(X1,X3) ) )).

fof(formula_25,axiom,(
    ! [X1,X2] : f4(X1,X1) = X1 )).

fof(formula_58,axiom,(
    ! [X1] : 
      ( p11(X1)
     => X1 = c8 ) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f5(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f3(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_44,lemma,(
    ! [X1,X2] : p6(f9(X1,X2),X1) )).

fof(formula_40,axiom,(
    ! [X1] : f5(X1,c8) = c8 )).

fof(formula_24,axiom,(
    ! [X1,X2] : 
      ( ~ p11(X1)
     => ~ p11(f4(X2,X1)) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_47,axiom,(
    ! [X1] : f9(X1,c8) = X1 )).

fof(formula_55,lemma,(
    ! [X1,X2] : 
      ~ ( p6(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_43,lemma,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2)
     => p6(f9(X1,X3),f9(X2,X3)) ) )).

fof(formula_49,lemma,(
    ! [X1] : 
      ( p6(X1,c8)
     => X1 = c8 ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( ~ p11(X1)
     => ~ p11(f4(X1,X2)) ) )).

fof(formula_30,axiom,(
    ? [X1] : ~ p11(X1) )).

fof(formula_26,axiom,(
    ! [X1,X2] : f5(X1,X1) = X1 )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => p10(X2,X1) ) )).

fof(formula_21,axiom,(
    $true )).

fof(formula_48,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p10(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p10(X1,X2) ) ) )).

fof(formula_59,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p11(X2) ) )).

fof(formula_33,lemma,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => f4(X1,X2) = X2 ) )).

fof(formula_45,lemma,(
    ! [X1,X2] : 
      ( f9(X1,X2) = c8
    <=> p6(X1,X2) ) )).

fof(formula_60,lemma,(
    ! [X1,X2] : p6(X1,f4(X1,X2)) )).

fof(formula_36,axiom,(
    ! [X1] : f4(X1,c8) = X1 )).

fof(formula_35,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X1,X3) )
     => p6(X1,f5(X2,X3)) ) )).

fof(formula_13,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f9(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_16,axiom,(
    $true )).

fof(formula_18,axiom,(
    $true )).
%------------------------------------------------------------------------------
