%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f12(A) = f12(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(A,C) = f15(B,C) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(C,A) = f15(C,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f16(A) = f16(B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f17(A) = f17(B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f18(A) = f18(B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(A,C) = f19(B,C) ) )).

fof(f19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(C,A) = f19(C,B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f20(A) = f20(B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(A,C) = f21(B,C) ) )).

fof(f21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(C,A) = f21(C,B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(A,C) = f23(B,C) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(C,A) = f23(C,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(A,C) = f24(B,C) ) )).

fof(f24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(C,A) = f24(C,B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(A,C) = f25(B,C) ) )).

fof(f25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(C,A) = f25(C,B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f26(A,C,D) = f26(B,C,D) ) )).

fof(f26_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f26(C,A,D) = f26(C,B,D) ) )).

fof(f26_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f26(C,D,A) = f26(C,D,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(A,C) )
     => p14(B,C) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(C,A) )
     => p14(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(A,C) )
     => p22(B,C) ) )).

fof(p22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(C,A) )
     => p22(C,B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(A,C) )
     => p27(B,C) ) )).

fof(p27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(C,A) )
     => p27(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(formula_15,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f15(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f8(X5,X6) ) ) ) )).

fof(formula_137,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p13(X2) ) )).

fof(formula_95,lemma,(
    f12(c9) = f11(c9) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p6(X1,X2)
        & p6(X2,X1) ) ) )).

fof(formula_52,axiom,(
    ! [X1] : ~ p13(f11(X1)) )).

fof(formula_57,axiom,(
    ! [X1,X2] : f4(X1,X1) = X1 )).

fof(formula_61,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_65,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p22(f11(X1),X2) ) )).

fof(formula_80,axiom,(
    ! [X1,X2] : 
      ( p14(X2,f12(f12(X1)))
     => f25(X1,X2) = f10(X2) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ( p14(X2,f12(f12(X1)))
     => p14(f23(X1,X2),f12(f12(X1))) ) )).

fof(formula_119,lemma,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => X2 = f4(X1,f19(X2,X1)) ) )).

fof(formula_59,axiom,(
    ! [X1,X2] : 
      ( p14(X2,f12(X1))
     => f21(X1,f21(X1,X2)) = X2 ) )).

fof(formula_129,lemma,(
    ! [X1,X2,X3] : 
      ( p14(X3,f12(X1))
     => ~ ( p1(X2,f21(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_74,axiom,(
    ? [X1] : 
      ( p13(X1)
      & p7(X1) ) )).

fof(formula_64,lemma,(
    ! [X1,X2] : 
      ~ ( p22(f11(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_94,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X2,X3) )
     => p6(X1,X3) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( X2 = f12(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p6(X3,X1) ) ) )).

fof(formula_90,lemma,(
    ! [X1,X2] : p6(f5(X1,X2),X1) )).

fof(formula_66,lemma,(
    ! [X1,X2] : 
      ( p6(f11(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_30,axiom,(
    $true )).

fof(formula_79,axiom,(
    ! [X1,X2] : 
      ( p14(X2,f12(f12(X1)))
     => f24(X1,X2) = f18(X2) ) )).

fof(formula_116,lemma,(
    ! [X1] : 
      ( p6(X1,c9)
     => X1 = c9 ) )).

fof(formula_136,lemma,(
    ! [X1,X2] : 
      ( p6(f11(X1),f11(X2))
     => X1 = X2 ) )).

fof(formula_91,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X1,X3) )
     => p6(X1,f5(X2,X3)) ) )).

fof(formula_118,lemma,(
    ! [X1,X2] : 
      ( p14(X2,f12(X1))
     => ! [X3] : 
          ( p14(X3,f12(X1))
         => ( p22(X2,X3)
          <=> p6(X2,f21(X1,X3)) ) ) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_98,conjecture,(
    ! [X1] : 
      ( p7(X1)
     => ! [X2] : 
          ( p7(X2)
         => ( p6(X1,X2)
           => ( p6(f16(X1),f16(X2))
              & p6(f20(X1),f20(X2)) ) ) ) ) )).

fof(formula_121,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f4(f11(X1),X2) = X2 ) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ( p14(X2,f12(f12(X1)))
     => ! [X3] : 
          ( p14(X3,f12(f12(X1)))
         => ( X3 = f23(X1,X2)
          <=> ! [X4] : 
                ( p14(X4,f12(X1))
               => ( p1(X4,X3)
                <=> p1(f21(X1,X4),X2) ) ) ) ) ) )).

fof(formula_50,axiom,(
    p13(c9) )).

fof(formula_122,lemma,(
    ! [X1,X2] : 
      ( p14(X2,f12(f12(X1)))
     => ( X2 != c9
       => f26(X1,f17(X1),f24(X1,X2)) = f25(X1,f23(X1,X2)) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p7(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f8(X3,X4) ) ) )).

fof(formula_120,lemma,(
    ! [X1,X2] : 
      ( p14(X2,f12(f12(X1)))
     => ~ ( X2 != c9
          & f23(X1,X2) = c9 ) ) )).

fof(formula_77,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p14(X2,f12(X1))
      & p13(X2) ) )).

fof(formula_34,axiom,(
    ! [X1] : p14(f17(X1),f12(X1)) )).

fof(formula_37,axiom,(
    $true )).

fof(formula_110,lemma,(
    ! [X1,X2,X3] : 
      ( p6(f3(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_124,lemma,(
    ! [X1,X2] : f19(X1,f19(X1,X2)) = f5(X1,X2) )).

fof(formula_101,axiom,(
    ! [X1] : f5(X1,c9) = c9 )).

fof(formula_113,axiom,(
    ! [X1] : f19(X1,c9) = X1 )).

fof(formula_17,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f5(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_111,lemma,(
    ! [X1,X2] : f4(X1,f19(X2,X1)) = f4(X1,X2) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p6(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_99,lemma,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2)
     => p6(f5(X1,X3),f5(X2,X3)) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f5(X1,X2) = f5(X2,X1) )).

fof(formula_49,axiom,(
    ! [X1] : ~ p13(f12(X1)) )).

fof(formula_54,axiom,(
    ! [X1,X2] : ~ p13(f3(X1,X2)) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ( p14(X2,f12(X1))
     => p14(f21(X1,X2),f12(X1)) ) )).

fof(formula_60,axiom,(
    ! [X1,X2] : 
      ( p14(X2,f12(f12(X1)))
     => f23(X1,f23(X1,X2)) = X2 ) )).

fof(formula_105,lemma,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2)
     => p6(f19(X1,X3),f19(X2,X3)) ) )).

fof(formula_107,lemma,(
    ! [X1,X2] : p6(f19(X1,X2),X1) )).

fof(formula_126,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p14(X2,f12(X3)) )
     => p14(X1,X3) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : f3(X1,X2) = f3(X2,X1) )).

fof(formula_100,lemma,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => f5(X1,X2) = X1 ) )).

fof(formula_41,axiom,(
    $true )).

fof(formula_104,lemma,(
    ! [X1] : p6(c9,X1) )).

fof(formula_36,axiom,(
    $true )).

fof(formula_14,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f4(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_42,axiom,(
    $true )).

fof(formula_70,lemma,(
    ! [X1,X2] : 
      ( p6(X1,f11(X2))
    <=> ( X1 = c9
        | X1 = f11(X2) ) ) )).

fof(formula_43,axiom,(
    ! [X1,X2] : 
      ( p14(X2,f12(f12(X1)))
     => p14(f24(X1,X2),f12(X1)) ) )).

fof(formula_88,lemma,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => f4(X1,X2) = X2 ) )).

fof(formula_134,lemma,(
    ! [X1] : f3(X1,X1) = f11(X1) )).

fof(formula_78,axiom,(
    ? [X1] : ~ p13(X1) )).

fof(formula_102,axiom,(
    ! [X1,X2] : 
      ( p14(X1,X2)
     => ( p13(X2)
        | p1(X1,X2) ) ) )).

fof(formula_143,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p6(X1,f18(X2)) ) )).

fof(formula_67,lemma,(
    ! [X1,X2] : 
      ( f19(X1,X2) = c9
    <=> p6(X1,X2) ) )).

fof(formula_84,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f8(X1,X2),f15(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_123,lemma,(
    ! [X1,X2] : 
      ( p14(X2,f12(f12(X1)))
     => ( X2 != c9
       => f24(X1,f23(X1,X2)) = f26(X1,f17(X1),f25(X1,X2)) ) ) )).

fof(formula_58,axiom,(
    ! [X1,X2] : f5(X1,X1) = X1 )).

fof(formula_13,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f3(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( p22(X1,X2)
    <=> f5(X1,X2) = c9 ) )).

fof(formula_108,lemma,(
    ! [X1,X2] : 
      ( f19(X1,X2) = c9
    <=> p6(X1,X2) ) )).

fof(formula_47,axiom,(
    $true )).

fof(formula_89,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p6(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f12(X3),X2) )
      & ! [X3] : 
          ~ ( p6(X3,X2)
            & ~ p27(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_93,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p14(X1,X2) ) )).

fof(formula_75,axiom,(
    ! [X1] : 
      ( ~ p13(X1)
     => ? [X2] : 
          ( p14(X2,f12(X1))
          & ~ p13(X2) ) ) )).

fof(formula_131,lemma,(
    ! [X1,X2] : 
      ~ ( p6(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
      ( X2 = f18(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ! [X2] : 
          ( X2 = f16(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f8(X3,X4),X1) ) ) ) )).

fof(formula_106,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f8(X1,X2) = f8(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_55,axiom,(
    ! [X1,X2] : 
      ( ~ p13(X1)
     => ~ p13(f4(X2,X1)) ) )).

fof(formula_92,axiom,(
    ! [X1] : f4(X1,c9) = X1 )).

fof(formula_142,lemma,(
    ! [X1,X2,X3] : 
      ( f11(X1) = f3(X2,X3)
     => X1 = X2 ) )).

fof(formula_31,axiom,(
    $true )).

fof(formula_29,axiom,(
    $true )).

fof(formula_21,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f19(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : f4(X1,X2) = f4(X2,X1) )).

fof(formula_69,lemma,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2)
     => ( p1(X3,X1)
        | p6(X1,f19(X2,f11(X3))) ) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( ( X1 != c9
       => ( X2 = f10(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ! [X4] : 
                  ( p1(X4,X1)
                 => p1(X3,X4) ) ) ) )
      & ( X1 = c9
       => ( X2 = f10(X1)
        <=> X2 = c9 ) ) ) )).

fof(formula_125,axiom,(
    ! [X1] : f19(c9,X1) = c9 )).

fof(formula_135,axiom,(
    ! [X1] : 
      ( p13(X1)
     => X1 = c9 ) )).

fof(formula_130,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p14(X2,f12(X3))
        & p13(X3) ) )).

fof(formula_141,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X3,X2) )
     => p6(f4(X1,X3),X2) ) )).

fof(formula_28,axiom,(
    $true )).

fof(formula_51,axiom,(
    ! [X1,X2] : ~ p13(f8(X1,X2)) )).

fof(formula_45,axiom,(
    ! [X1,X2,X3] : 
      ( ( p14(X2,f12(X1))
        & p14(X3,f12(X1)) )
     => p14(f26(X1,X2,X3),f12(X1)) ) )).

fof(formula_81,axiom,(
    ! [X1,X2,X3] : 
      ( ( p14(X2,f12(X1))
        & p14(X3,f12(X1)) )
     => f26(X1,X2,X3) = f19(X2,X3) ) )).

fof(formula_76,axiom,(
    ? [X1] : p13(X1) )).

fof(formula_145,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p6(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p6(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p6(X3,X2)
            & ~ p27(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_71,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p6(X1,f18(X2)) ) )).

fof(formula_144,lemma,(
    ! [X1] : f18(f12(X1)) = X1 )).

fof(formula_24,axiom,(
    ! [X1,X2] : f8(X1,X2) = f3(f3(X1,X2),f11(X1)) )).

fof(formula_112,lemma,(
    ! [X1,X2] : 
      ( p6(X1,f11(X2))
    <=> ( X1 = c9
        | X1 = f11(X2) ) ) )).

fof(formula_139,lemma,(
    ! [X1,X2] : 
      ( p22(X1,X2)
    <=> f19(X1,X2) = X1 ) )).

fof(formula_97,lemma,(
    ! [X1] : 
      ( p7(X1)
     => p6(X1,f15(f16(X1),f20(X1))) ) )).

fof(formula_35,axiom,(
    $true )).

fof(formula_132,lemma,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p22(X2,X3) )
     => p22(X1,X3) ) )).

fof(formula_146,lemma,(
    ! [X1,X2,X3] : 
      ( f11(X1) = f3(X2,X3)
     => X2 = X3 ) )).

fof(formula_56,axiom,(
    ! [X1,X2] : 
      ( ( ~ p13(X1)
        & ~ p13(X2) )
     => ~ p13(f15(X1,X2)) ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( ( ~ p13(X1)
       => ( p14(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p13(X1)
       => ( p14(X2,X1)
        <=> p13(X2) ) ) ) )).

fof(formula_82,axiom,(
    ! [X1,X2] : p6(X1,X1) )).

fof(formula_140,axiom,(
    ! [X1,X2] : 
      ~ ( p13(X1)
        & X1 != X2
        & p13(X2) ) )).

fof(formula_83,axiom,(
    ! [X1,X2] : 
      ( p22(X1,X2)
     => p22(X2,X1) ) )).

fof(formula_63,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f4(f11(X1),X2) = X2 ) )).

fof(formula_40,axiom,(
    $true )).

fof(formula_114,axiom,(
    ! [X1,X2] : 
      ( p14(X1,f12(X2))
    <=> p6(X1,X2) ) )).

fof(formula_33,axiom,(
    $true )).

fof(formula_128,lemma,(
    ! [X1] : 
      ( X1 != c9
     => ! [X2] : 
          ( p14(X2,f12(X1))
         => ! [X3] : 
              ( p14(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f21(X1,X2)) ) ) ) ) )).

fof(formula_86,lemma,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2)
     => ( p6(f15(X1,X3),f15(X2,X3))
        & p6(f15(X3,X1),f15(X3,X2)) ) ) )).

fof(formula_72,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f8(X1,X2),f15(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_109,lemma,(
    ! [X1,X2] : 
      ( p6(f11(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_103,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_87,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p6(X1,X2)
        & p6(X3,X4) )
     => p6(f15(X1,X3),f15(X2,X4)) ) )).

fof(formula_48,axiom,(
    ! [X1] : 
    ? [X2] : p14(X2,X1) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ! [X2] : 
          ( X2 = f20(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f8(X4,X3),X1) ) ) ) )).

fof(formula_62,lemma,(
    ! [X1] : f11(X1) != c9 )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( p14(X2,f12(X1))
     => f21(X1,X2) = f19(X1,X2) ) )).

fof(formula_39,axiom,(
    $true )).

fof(formula_133,lemma,(
    ! [X1,X2] : 
      ( f19(X1,f11(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_96,lemma,(
    ! [X1,X2,X3] : 
      ( p7(X3)
     => ( p1(f8(X1,X2),X3)
       => ( p1(X1,f16(X3))
          & p1(X2,f20(X3)) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( X1 = c9
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_53,axiom,(
    ! [X1,X2] : 
      ( ~ p13(X1)
     => ~ p13(f4(X1,X2)) ) )).

fof(formula_19,axiom,(
    ! [X1] : f17(X1) = X1 )).

fof(formula_115,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p22(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p22(X1,X2) ) ) )).

fof(formula_138,lemma,(
    ! [X1,X2] : p6(X1,f4(X1,X2)) )).

fof(formula_68,lemma,(
    ! [X1,X2] : 
      ( p14(X2,f12(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_127,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p22(X1,X2)
          & ! [X3] : ~ p1(X3,f5(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f5(X1,X2))
          & p22(X1,X2) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( X2 = f11(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_73,lemma,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p14(X1,f12(X2)) ) )).

fof(formula_44,axiom,(
    ! [X1,X2] : 
      ( p14(X2,f12(f12(X1)))
     => p14(f25(X1,X2),f12(X1)) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_117,lemma,(
    ! [X1,X2] : f19(f4(X1,X2),X2) = f19(X1,X2) )).

fof(formula_32,axiom,(
    $true )).

fof(formula_85,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f3(X1,X2) = f3(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).
%------------------------------------------------------------------------------
