%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(A,C) = f2(B,C) ) )).

fof(f2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(C,A) = f2(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : f6(X1,X2) = f2(f2(X1,X2),f8(X1)) )).

fof(formula_3,axiom,(
    ! [X1,X2] : f3(X1,X2) = f3(X2,X1) )).

fof(formula_24,axiom,(
    ! [X1,X2] : ~ p11(f2(X1,X2)) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p11(X2) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
    ? [X2] : p10(X2,X1) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( X2 = f5(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f6(X3,X4),X1) ) ) ) )).

fof(formula_11,axiom,(
    $true )).

fof(formula_17,axiom,(
    $true )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( ~ p11(X1)
     => ~ p11(f3(X1,X2)) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ~ ( p11(X1)
        & X1 != X2
        & p11(X2) ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : ~ p11(f6(X1,X2)) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p4(X1)
     => f9(X1) = f3(f5(X1),f7(X1)) ) )).

fof(formula_9,axiom,(
    $true )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f3(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : ~ p11(f8(X1)) )).

fof(formula_19,axiom,(
    p11(c12) )).

fof(formula_14,axiom,(
    $true )).

fof(formula_29,axiom,(
    ? [X1] : ~ p11(X1) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p4(X2) )
     => p4(f3(X1,X2)) ) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_15,axiom,(
    $true )).

fof(formula_26,axiom,(
    ! [X1,X2] : f3(X1,X1) = X1 )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( ~ p11(X1)
     => ~ p11(f3(X2,X1)) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : f2(X1,X2) = f2(X2,X1) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => ( p11(X2)
        | p1(X1,X2) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : f3(X1,c12) = X1 )).

fof(formula_16,axiom,(
    $true )).

fof(formula_10,axiom,(
    $true )).

fof(formula_33,conjecture,(
    ! [X1,X2,X3] : 
      ( p4(X3)
     => ( p1(f6(X1,X2),X3)
       => ( p1(X1,f9(X3))
          & p1(X2,f9(X3)) ) ) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p11(X1)
     => X1 = c12 ) )).

fof(formula_28,axiom,(
    ? [X1] : p11(X1) )).

fof(formula_27,axiom,(
    ? [X1] : 
      ( p11(X1)
      & p4(X1) ) )).

fof(formula_31,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p10(X1,X2) ) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( X2 = f7(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f6(X4,X3),X1) ) ) ) )).
%------------------------------------------------------------------------------
