%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(formula_19,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c8 ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : f4(X1,X2) = f4(X2,X1) )).

fof(formula_17,axiom,(
    p3(c8) )).

fof(formula_10,axiom,(
    $true )).

fof(formula_15,axiom,(
    ! [X1,X2] : ~ p2(f4(X1,X2)) )).

fof(formula_9,axiom,(
    $true )).

fof(formula_24,conjecture,(
    ! [X1] : 
      ( p3(X1)
     => ( ! [X2,X3] : ~ p1(f5(X2,X3),X1)
       => X1 = c8 ) ) )).

fof(formula_21,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_6,axiom,(
    $true )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
    ? [X2] : p7(X2,X1) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f5(X1,X2) = f4(f4(X1,X2),f6(X1)) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p7(X1,X2) ) )).

fof(formula_12,axiom,(
    p2(c8) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p3(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f5(X3,X4) ) ) )).

fof(formula_7,axiom,(
    $true )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_20,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p3(X1) ) )).

fof(formula_16,axiom,(
    p2(c8) )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_14,axiom,(
    ! [X1] : ~ p2(f6(X1)) )).

fof(formula_13,axiom,(
    ! [X1,X2] : ~ p2(f5(X1,X2)) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_8,axiom,(
    $true )).

fof(formula_18,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p3(X1) ) )).
%------------------------------------------------------------------------------
