%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f13(A) = f13(B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f18(A) = f18(B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f19(A) = f19(B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f20(A) = f20(B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(A,C) = f21(B,C) ) )).

fof(f21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(C,A) = f21(C,B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f22(A) = f22(B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(A,C) = f23(B,C) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(C,A) = f23(C,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f24(A) = f24(B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f25(A) = f25(B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(A,C) = f27(B,C) ) )).

fof(f27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(C,A) = f27(C,B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f28(A,C) = f28(B,C) ) )).

fof(f28_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f28(C,A) = f28(C,B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(A,C) = f29(B,C) ) )).

fof(f29_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(C,A) = f29(C,B) ) )).

fof(f30_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f30(A,C) = f30(B,C) ) )).

fof(f30_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f30(C,A) = f30(C,B) ) )).

fof(f31_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f31(A,C,D) = f31(B,C,D) ) )).

fof(f31_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f31(C,A,D) = f31(C,B,D) ) )).

fof(f31_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f31(C,D,A) = f31(C,D,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(A,C) )
     => p16(B,C) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(C,A) )
     => p16(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p26(A,C) )
     => p26(B,C) ) )).

fof(p26_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p26(C,A) )
     => p26(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p32(A,C) )
     => p32(B,C) ) )).

fof(p32_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p32(C,A) )
     => p32(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(formula_116,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X1,X2)
        & p10(X2,X3) )
     => p10(X1,X3) ) )).

fof(formula_105,axiom,(
    ! [X1,X2] : 
      ( p26(X1,X2)
     => p26(X2,X1) ) )).

fof(formula_158,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ( ! [X2,X3] : ~ p1(f9(X2,X3),X1)
       => X1 = c12 ) ) )).

fof(formula_54,axiom,(
    ! [X1,X2] : 
      ( p16(X2,f15(f15(X1)))
     => p16(f30(X1,X2),f15(X1)) ) )).

fof(formula_126,lemma,(
    ! [X1] : p10(c12,X1) )).

fof(formula_122,lemma,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => f7(X1,X2) = X1 ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f6(X1,X2) = f6(X2,X1) )).

fof(formula_180,lemma,(
    ! [X1] : f20(f15(X1)) = X1 )).

fof(formula_46,axiom,(
    $true )).

fof(formula_89,lemma,(
    ! [X1,X2] : 
      ( p16(X2,f15(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( ( X1 != c12
       => ( X2 = f13(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ! [X4] : 
                  ( p1(X4,X1)
                 => p1(X3,X4) ) ) ) )
      & ( X1 = c12
       => ( X2 = f13(X1)
        <=> X2 = c12 ) ) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( X2 = f15(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p10(X3,X1) ) ) )).

fof(formula_74,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f18(X1))
        & p4(f18(X1)) ) ) )).

fof(formula_181,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p10(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p10(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p10(X3,X2)
            & ~ p32(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_177,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X1,X2)
        & p10(X3,X2) )
     => p10(f6(X1,X3),X2) ) )).

fof(formula_138,axiom,(
    ! [X1,X2] : 
      ( p16(X1,f15(X2))
    <=> p10(X1,X2) ) )).

fof(formula_150,lemma,(
    ! [X1,X2] : 
      ( p16(X2,f15(f15(X1)))
     => ( X2 != c12
       => f31(X1,f19(X1),f29(X1,X2)) = f30(X1,f28(X1,X2)) ) ) )).

fof(formula_86,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p26(f14(X1),X2) ) )).

fof(formula_144,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => p10(f22(f27(X1,X2)),f22(X2)) ) ) )).

fof(formula_100,axiom,(
    ? [X1] : ~ p3(X1) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p4(X1) ) )).

fof(formula_45,axiom,(
    ! [X1,X2] : 
      ( p16(X2,f15(X1))
     => p16(f23(X1,X2),f15(X1)) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( X2 = f20(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_51,axiom,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p4(X2) )
     => p4(f27(X1,X2)) ) )).

fof(formula_48,axiom,(
    ! [X1] : 
      ( p4(X1)
     => p4(f25(X1)) ) )).

fof(formula_90,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X1,X2)
     => ( p1(X3,X1)
        | p10(X1,f21(X2,f14(X3))) ) ) )).

fof(formula_167,lemma,(
    ! [X1] : f5(X1,X1) = f14(X1) )).

fof(formula_157,lemma,(
    ! [X1,X2,X3] : 
      ( p16(X3,f15(X1))
     => ~ ( p1(X2,f23(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_164,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ( ( f18(X1) = c12
          | f22(X1) = c12 )
       => X1 = c12 ) ) )).

fof(formula_169,lemma,(
    ! [X1,X2] : 
      ( p10(f14(X1),f14(X2))
     => X1 = X2 ) )).

fof(formula_68,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f6(X2,X1)) ) )).

fof(formula_135,lemma,(
    ! [X1,X2] : f6(X1,f21(X2,X1)) = f6(X1,X2) )).

fof(formula_79,axiom,(
    ! [X1,X2] : 
      ( p16(X2,f15(X1))
     => f23(X1,f23(X1,X2)) = X2 ) )).

fof(formula_106,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f9(X1,X2),f17(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_78,axiom,(
    ! [X1,X2] : f7(X1,X1) = X1 )).

fof(formula_75,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f22(X1))
        & p4(f22(X1)) ) ) )).

fof(formula_127,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X3)
     => ( p1(f9(X1,X2),X3)
       => ( p1(X1,f24(X3))
          & p1(X2,f24(X3)) ) ) ) )).

fof(formula_155,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p26(X1,X2)
          & ! [X3] : ~ p1(X3,f7(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f7(X1,X2))
          & p26(X1,X2) ) ) )).

fof(formula_99,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p16(X2,f15(X1))
      & p3(X2) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p4(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f9(X3,X4) ) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( X2 = f18(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f9(X3,X4),X1) ) ) ) )).

fof(formula_114,axiom,(
    ! [X1] : f6(X1,c12) = X1 )).

fof(formula_82,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_172,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p3(X2) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p4(X1)
     => f24(X1) = f6(f18(X1),f22(X1)) ) )).

fof(formula_140,lemma,(
    ! [X1] : 
      ( p10(X1,c12)
     => X1 = c12 ) )).

fof(formula_43,axiom,(
    $true )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( X2 = f22(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f9(X4,X3),X1) ) ) ) )).

fof(formula_67,axiom,(
    ! [X1,X2] : ~ p3(f5(X1,X2)) )).

fof(formula_130,lemma,(
    ! [X1,X2] : p10(f21(X1,X2),X1) )).

fof(formula_179,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p10(X1,f20(X2)) ) )).

fof(formula_153,axiom,(
    ! [X1] : f21(c12,X1) = c12 )).

fof(formula_163,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X1,X2)
        & p26(X2,X3) )
     => p26(X1,X3) ) )).

fof(formula_84,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f6(f14(X1),X2) = X2 ) )).

fof(formula_56,axiom,(
    ! [X1,X2] : 
      ( p4(X1)
     => p4(f11(X1,X2)) ) )).

fof(formula_117,lemma,(
    f15(c12) = f14(c12) )).

fof(formula_44,axiom,(
    $true )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
       => ( p16(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p3(X1)
       => ( p16(X2,X1)
        <=> p3(X2) ) ) ) )).

fof(formula_154,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p16(X2,f15(X3)) )
     => p16(X1,X3) ) )).

fof(formula_171,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p4(X4)
     => ( p1(f9(X1,X2),f27(f8(X3),X4))
      <=> ( p1(X1,X3)
          & p1(f9(X1,X2),X4) ) ) ) )).

fof(formula_102,axiom,(
    ! [X1,X2] : 
      ( p16(X2,f15(f15(X1)))
     => f30(X1,X2) = f13(X2) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_62,axiom,(
    p3(c12) )).

fof(formula_129,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f9(X1,X2) = f9(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_77,axiom,(
    ! [X1,X2] : f6(X1,X1) = X1 )).

fof(formula_178,lemma,(
    ! [X1,X2,X3] : 
      ( f14(X1) = f5(X2,X3)
     => X1 = X2 ) )).

fof(formula_17,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f6(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_118,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X3)
     => ( p1(f9(X1,X2),X3)
       => ( p1(X1,f18(X3))
          & p1(X2,f22(X3)) ) ) ) )).

fof(formula_61,axiom,(
    ! [X1] : ~ p3(f15(X1)) )).

fof(formula_40,axiom,(
    ! [X1] : p16(f19(X1),f15(X1)) )).

fof(formula_94,lemma,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p16(X1,f15(X2)) ) )).

fof(formula_83,lemma,(
    ! [X1] : f14(X1) != c12 )).

fof(formula_59,axiom,(
    ! [X1] : 
    ? [X2] : p16(X2,X1) )).

fof(formula_72,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p4(X1) )
     => ~ p3(f18(X1)) ) )).

fof(formula_119,lemma,(
    ! [X1] : 
      ( p4(X1)
     => p10(X1,f17(f18(X1),f22(X1))) ) )).

fof(formula_71,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
        & ~ p3(X2) )
     => ~ p3(f17(X1,X2)) ) )).

fof(formula_137,axiom,(
    ! [X1] : f21(X1,c12) = X1 )).

fof(formula_27,axiom,(
    ! [X1,X2] : f9(X1,X2) = f5(f5(X1,X2),f14(X1)) )).

fof(formula_104,axiom,(
    ! [X1,X2] : p10(X1,X1) )).

fof(formula_112,lemma,(
    ! [X1,X2] : p10(f7(X1,X2),X1) )).

fof(formula_165,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ( f18(X1) = c12
      <=> f22(X1) = c12 ) ) )).

fof(formula_173,lemma,(
    ! [X1,X2] : p10(X1,f6(X1,X2)) )).

fof(formula_87,lemma,(
    ! [X1,X2] : 
      ( p10(f14(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ( p16(X2,f15(X1))
     => f23(X1,X2) = f21(X1,X2) ) )).

fof(formula_174,lemma,(
    ! [X1,X2] : 
      ( p26(X1,X2)
    <=> f21(X1,X2) = X1 ) )).

fof(formula_53,axiom,(
    ! [X1] : p4(f8(X1)) )).

fof(formula_22,axiom,(
    ! [X1] : f19(X1) = X1 )).

fof(formula_73,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p4(X1) )
     => ~ p3(f22(X1)) ) )).

fof(formula_20,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f7(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_76,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p4(X2) )
     => ( p3(f27(X1,X2))
        & p4(f27(X1,X2)) ) ) )).

fof(formula_125,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p10(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_146,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ( p10(f22(X1),f18(X2))
           => f18(f27(X1,X2)) = f18(X1) ) ) ) )).

fof(formula_42,axiom,(
    $true )).

fof(formula_80,axiom,(
    ! [X1] : 
      ( p4(X1)
     => f25(f25(X1)) = X1 ) )).

fof(formula_41,axiom,(
    $true )).

fof(formula_170,lemma,(
    ! [X1] : 
      ( f18(f8(X1)) = X1
      & f22(f8(X1)) = X1 ) )).

fof(formula_111,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p10(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f15(X3),X2) )
      & ! [X3] : 
          ~ ( p10(X3,X2)
            & ~ p32(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_136,lemma,(
    ! [X1,X2] : 
      ( p10(X1,f14(X2))
    <=> ( X1 = c12
        | X1 = f14(X2) ) ) )).

fof(formula_162,lemma,(
    ! [X1,X2] : 
      ~ ( p10(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_147,lemma,(
    ! [X1,X2] : 
      ( p16(X2,f15(f15(X1)))
     => ~ ( X2 != c12
          & f28(X1,X2) = c12 ) ) )).

fof(formula_149,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ( p10(f18(X1),f22(X2))
           => f22(f27(X2,X1)) = f22(X1) ) ) ) )).

fof(formula_123,axiom,(
    ! [X1] : f7(X1,c12) = c12 )).

fof(formula_88,lemma,(
    ! [X1,X2] : 
      ( f21(X1,X2) = c12
    <=> p10(X1,X2) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( X1 = c12
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_85,lemma,(
    ! [X1,X2] : 
      ~ ( p26(f14(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_108,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X1,X2)
     => ( p10(f17(X1,X3),f17(X2,X3))
        & p10(f17(X3,X1),f17(X3,X2)) ) ) )).

fof(formula_148,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f6(f14(X1),X2) = X2 ) )).

fof(formula_36,axiom,(
    $true )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2,X3] : 
          ( p4(X3)
         => ( X3 = f11(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f9(X4,X5),X3)
              <=> ( p1(X4,X2)
                  & p1(f9(X4,X5),X1) ) ) ) ) ) )).

fof(formula_98,axiom,(
    ? [X1] : 
      ( ~ p3(X1)
      & p4(X1) ) )).

fof(formula_49,axiom,(
    $true )).

fof(formula_57,axiom,(
    ! [X1,X2] : 
      ( p16(X2,f15(f15(X1)))
     => p16(f28(X1,X2),f15(f15(X1))) ) )).

fof(formula_64,axiom,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p4(X2) )
     => p4(f6(X1,X2)) ) )).

fof(formula_81,axiom,(
    ! [X1,X2] : 
      ( p16(X2,f15(f15(X1)))
     => f28(X1,f28(X1,X2)) = X2 ) )).

fof(formula_107,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f5(X1,X2) = f5(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_24,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f21(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_160,lemma,(
    f18(c12) = c12 )).

fof(formula_151,lemma,(
    ! [X1,X2] : 
      ( p16(X2,f15(f15(X1)))
     => ( X2 != c12
       => f29(X1,f28(X1,X2)) = f31(X1,f19(X1),f30(X1,X2)) ) ) )).

fof(formula_66,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f6(X1,X2)) ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( p16(X2,f15(f15(X1)))
     => ! [X3] : 
          ( p16(X3,f15(f15(X1)))
         => ( X3 = f28(X1,X2)
          <=> ! [X4] : 
                ( p16(X4,f15(X1))
               => ( p1(X4,X3)
                <=> p1(f23(X1,X4),X2) ) ) ) ) ) )).

fof(formula_37,axiom,(
    $true )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p10(X1,X2)
        & p10(X2,X1) ) ) )).

fof(formula_182,lemma,(
    ! [X1,X2,X3] : 
      ( f14(X1) = f5(X2,X3)
     => X2 = X3 ) )).

fof(formula_152,lemma,(
    ! [X1,X2] : f21(X1,f21(X1,X2)) = f7(X1,X2) )).

fof(formula_70,axiom,(
    p4(c12) )).

fof(formula_30,axiom,(
    ! [X1,X2] : 
      ( p26(X1,X2)
    <=> f7(X1,X2) = c12 ) )).

fof(formula_103,axiom,(
    ! [X1,X2,X3] : 
      ( ( p16(X2,f15(X1))
        & p16(X3,f15(X1)) )
     => f31(X1,X2,X3) = f21(X2,X3) ) )).

fof(formula_34,axiom,(
    $true )).

fof(formula_58,axiom,(
    $true )).

fof(formula_124,axiom,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => ( p3(X2)
        | p1(X1,X2) ) ) )).

fof(formula_92,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p10(X1,f20(X2)) ) )).

fof(formula_143,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => p10(f18(f27(X1,X2)),f18(X1)) ) ) )).

fof(formula_168,axiom,(
    ! [X1] : 
      ( p3(X1)
     => X1 = c12 ) )).

fof(formula_132,lemma,(
    ! [X1,X2] : 
      ( f21(X1,X2) = c12
    <=> p10(X1,X2) ) )).

fof(formula_18,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f17(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f9(X5,X6) ) ) ) )).

fof(formula_35,axiom,(
    $true )).

fof(formula_60,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p4(X2) )
     => ( p3(f27(X2,X1))
        & p4(f27(X2,X1)) ) ) )).

fof(formula_52,axiom,(
    ! [X1,X2] : 
      ( p16(X2,f15(f15(X1)))
     => p16(f29(X1,X2),f15(X1)) ) )).

fof(formula_91,lemma,(
    ! [X1,X2] : 
      ( p10(X1,f14(X2))
    <=> ( X1 = c12
        | X1 = f14(X2) ) ) )).

fof(formula_131,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ( f22(X1) = f18(f25(X1))
        & f18(X1) = f22(f25(X1)) ) ) )).

fof(formula_101,axiom,(
    ! [X1,X2] : 
      ( p16(X2,f15(f15(X1)))
     => f29(X1,X2) = f20(X2) ) )).

fof(formula_134,lemma,(
    ! [X1,X2,X3] : 
      ( p10(f5(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_55,axiom,(
    ! [X1,X2,X3] : 
      ( ( p16(X2,f15(X1))
        & p16(X3,f15(X1)) )
     => p16(f31(X1,X2,X3),f15(X1)) ) )).

fof(formula_176,axiom,(
    ! [X1,X2] : 
      ~ ( p3(X1)
        & X1 != X2
        & p3(X2) ) )).

fof(formula_16,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f5(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_120,lemma,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ( p10(X1,X2)
           => ( p10(f18(X1),f18(X2))
              & p10(f22(X1),f22(X2)) ) ) ) ) )).

fof(formula_69,axiom,(
    p3(c12) )).

fof(formula_38,axiom,(
    $true )).

fof(formula_175,conjecture,(
    ! [X1,X2,X3] : 
      ( p4(X3)
     => ( p1(X1,f18(f11(X3,X2)))
      <=> ( p1(X1,X2)
          & p1(X1,f18(X3)) ) ) ) )).

fof(formula_96,axiom,(
    ! [X1] : 
      ( ~ p3(X1)
     => ? [X2] : 
          ( p16(X2,f15(X1))
          & ~ p3(X2) ) ) )).

fof(formula_63,axiom,(
    ! [X1,X2] : ~ p3(f9(X1,X2)) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ! [X3] : 
              ( p4(X3)
             => ( X3 = f27(X1,X2)
              <=> ! [X4,X5] : 
                    ( p1(f9(X4,X5),X3)
                  <=> ? [X6] : 
                        ( p1(f9(X4,X6),X1)
                        & p1(f9(X6,X5),X2) ) ) ) ) ) ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( X2 = f14(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_50,axiom,(
    $true )).

fof(formula_65,axiom,(
    ! [X1] : ~ p3(f14(X1)) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( p4(X2)
     => ( X2 = f8(X1)
      <=> ! [X3,X4] : 
            ( p1(f9(X3,X4),X2)
          <=> ( p1(X3,X1)
              & X3 = X4 ) ) ) ) )).

fof(formula_93,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f9(X1,X2),f17(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p4(X2)
         => ( X2 = f25(X1)
          <=> ! [X3,X4] : 
                ( p1(f9(X3,X4),X2)
              <=> p1(f9(X4,X3),X1) ) ) ) ) )).

fof(formula_141,lemma,(
    ! [X1,X2] : f21(f6(X1,X2),X2) = f21(X1,X2) )).

fof(formula_115,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p16(X1,X2) ) )).

fof(formula_95,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p4(X1) ) )).

fof(formula_109,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p10(X1,X2)
        & p10(X3,X4) )
     => p10(f17(X1,X3),f17(X2,X4)) ) )).

fof(formula_166,lemma,(
    ! [X1,X2] : 
      ( f21(X1,f14(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( p10(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_128,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X1,X2)
     => p10(f21(X1,X3),f21(X2,X3)) ) )).

fof(formula_133,lemma,(
    ! [X1,X2] : 
      ( p10(f14(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_161,lemma,(
    f22(c12) = c12 )).

fof(formula_6,axiom,(
    ! [X1,X2] : f7(X1,X2) = f7(X2,X1) )).

fof(formula_145,lemma,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => X2 = f6(X1,f21(X2,X1)) ) )).

fof(formula_121,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X1,X2)
     => p10(f7(X1,X3),f7(X2,X3)) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : f5(X1,X2) = f5(X2,X1) )).

fof(formula_139,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p26(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p26(X1,X2) ) ) )).

fof(formula_97,axiom,(
    ? [X1] : p3(X1) )).

fof(formula_142,lemma,(
    ! [X1,X2] : 
      ( p16(X2,f15(X1))
     => ! [X3] : 
          ( p16(X3,f15(X1))
         => ( p26(X2,X3)
          <=> p10(X2,f23(X1,X3)) ) ) ) )).

fof(formula_110,lemma,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => f6(X1,X2) = X2 ) )).

fof(formula_113,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X1,X2)
        & p10(X1,X3) )
     => p10(X1,f7(X2,X3)) ) )).

fof(formula_156,lemma,(
    ! [X1] : 
      ( X1 != c12
     => ! [X2] : 
          ( p16(X2,f15(X1))
         => ! [X3] : 
              ( p16(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f23(X1,X2)) ) ) ) ) )).

fof(formula_39,axiom,(
    $true )).

fof(formula_47,axiom,(
    $true )).

fof(formula_159,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p16(X2,f15(X3))
        & p3(X3) ) )).
%------------------------------------------------------------------------------
