%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f12(A) = f12(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(formula_51,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_27,axiom,(
    p2(c13) )).

fof(formula_49,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c13 ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p6(X1,X2)
        & p6(X2,X1) ) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ( p11(X1,f12(X2))
    <=> p6(X1,X2) ) )).

fof(formula_35,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p3(X1) ) )).

fof(formula_50,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : f8(X1,X2) = f4(f4(X1,X2),f10(X1)) )).

fof(formula_22,axiom,(
    ! [X1] : ~ p2(f12(X1)) )).

fof(formula_48,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p11(X2,f12(X3))
        & p2(X3) ) )).

fof(formula_19,axiom,(
    $true )).

fof(formula_20,axiom,(
    ! [X1] : 
    ? [X2] : p11(X2,X1) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( p3(X2)
     => ! [X3] : 
          ( p3(X3)
         => ( X3 = f7(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f8(X4,X5),X3)
              <=> ( p1(X5,X1)
                  & p1(f8(X4,X5),X2) ) ) ) ) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p3(X1) )
     => ~ p2(f9(X1)) ) )).

fof(formula_45,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_28,axiom,(
    p3(c13) )).

fof(formula_38,axiom,(
    ! [X1,X2] : p6(X1,X1) )).

fof(formula_37,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : f5(X1,X2) = f5(X2,X1) )).

fof(formula_23,axiom,(
    p2(c13) )).

fof(formula_44,axiom,(
    ! [X1] : f5(X1,c13) = c13 )).

fof(formula_31,axiom,(
    ! [X1,X2] : f5(X1,X1) = X1 )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p11(X2,f12(X1))
          & ~ p2(X2) ) ) )).

fof(formula_15,axiom,(
    $true )).

fof(formula_42,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p6(X1,X3) )
     => p6(X1,f5(X2,X3)) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p11(X2,f12(X1))
      & p2(X2) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_11,axiom,(
    $true )).

fof(formula_14,axiom,(
    $true )).

fof(formula_43,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p11(X1,X2) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_32,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p3(X1) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( X2 = f9(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f8(X4,X3),X1) ) ) ) )).

fof(formula_17,axiom,(
    $true )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p2(f9(X1))
        & p3(f9(X1)) ) ) )).

fof(formula_25,axiom,(
    ! [X1] : ~ p2(f10(X1)) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ( p3(X2)
     => p6(f9(f7(X1,X2)),f9(X2)) ) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_24,axiom,(
    ! [X1,X2] : ~ p2(f8(X1,X2)) )).

fof(formula_8,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f5(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_41,conjecture,(
    ! [X1,X2] : 
      ( p3(X2)
     => f9(f7(X1,X2)) = f5(f9(X2),X1) ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( p3(X2)
     => p3(f7(X1,X2)) ) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ( p3(X2)
     => p6(f9(f7(X1,X2)),X1) ) )).

fof(formula_47,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p11(X2,f12(X3)) )
     => p11(X1,X3) ) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_16,axiom,(
    $true )).

fof(formula_3,axiom,(
    ! [X1,X2] : f4(X1,X2) = f4(X2,X1) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => p3(f5(X1,X2)) ) )).

fof(formula_26,axiom,(
    ! [X1,X2] : ~ p2(f4(X1,X2)) )).

fof(formula_34,axiom,(
    ? [X1] : p2(X1) )).
%------------------------------------------------------------------------------
