%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f13(A) = f13(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(formula_21,axiom,(
    p4(c11) )).

fof(formula_34,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p12(X1) ) )).

fof(formula_16,axiom,(
    p4(c11) )).

fof(formula_27,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1) ) )).

fof(formula_15,axiom,(
    p2(c11) )).

fof(formula_37,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p3(X1) )
     => ( p5(X1)
       => ! [X2] : 
            ( ( p4(X2)
              & p3(X2) )
           => ( X2 = f8(X1)
            <=> ( f6(X2) = f13(X1)
                & ! [X3,X4] : 
                    ( ( ( p1(X3,f13(X1))
                        & X4 = f7(X2,X3) )
                     => ( p1(X4,f6(X1))
                        & X3 = f7(X1,X4) ) )
                    & ( ( p1(X4,f6(X1))
                        & X3 = f7(X1,X4) )
                     => ( p1(X3,f13(X1))
                        & X4 = f7(X2,X3) ) ) ) ) ) ) ) ) )).

fof(formula_39,conjecture,(
    ! [X1] : 
      ( ( p4(X1)
        & p3(X1) )
     => ( p5(X1)
       => p5(f8(X1)) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p4(X1) )
     => ~ p2(f6(X1)) ) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p10(X1,X2) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( ( p2(X1)
        & p4(X2) )
     => ( p2(f9(X2,X1))
        & p4(f9(X2,X1)) ) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p4(X1) )
     => ~ p2(f13(X1)) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p2(f6(X1))
        & p4(f6(X1)) ) ) )).

fof(formula_10,axiom,(
    $true )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p2(X1)
        & p3(X1) )
     => ( p4(X1)
        & p3(X1)
        & p5(X1) ) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p3(X1) )
     => ( p4(f8(X1))
        & p3(f8(X1)) ) ) )).

fof(formula_33,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1)
      & p5(X1) ) )).

fof(formula_19,axiom,(
    p2(c11) )).

fof(formula_32,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_31,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p4(X1) ) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ( ( p4(X2)
        & p3(X2) )
     => ( ( p5(X2)
          & p1(X1,f13(X2)) )
       => ( X1 = f7(X2,f7(f8(X2),X1))
          & X1 = f7(f9(f8(X2),X2),X1) ) ) ) )).

fof(formula_6,axiom,(
    $true )).

fof(formula_8,axiom,(
    $true )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p3(X1)
        & p4(X2)
        & p3(X2) )
     => ( p4(f9(X1,X2))
        & p3(f9(X1,X2)) ) ) )).

fof(formula_17,axiom,(
    p12(c11) )).

fof(formula_30,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p2(X1)
      & p3(X1) ) )).

fof(formula_29,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_7,axiom,(
    $true )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p2(f13(X1))
        & p4(f13(X1)) ) ) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ( ( p2(X1)
        & p4(X2) )
     => ( p2(f9(X1,X2))
        & p4(f9(X1,X2)) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p4(X1) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p4(X2) )
     => p4(f9(X1,X2)) ) )).

fof(formula_20,axiom,(
    p2(c11) )).

fof(formula_13,axiom,(
    ! [X1] : 
    ? [X2] : p10(X2,X1) )).

fof(formula_28,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p4(X1) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c11 ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p3(X1) )
     => ( p5(X1)
      <=> ! [X2,X3] : 
            ( ( p1(X2,f6(X1))
              & p1(X3,f6(X1))
              & f7(X1,X2) = f7(X1,X3) )
           => X2 = X3 ) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).
%------------------------------------------------------------------------------
