%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ( p6(f10(X1))
        & p1(f10(X1)) ) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( ( ~ p6(X1)
        & p1(X1) )
     => ~ p6(f10(X1)) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => ~ p11(X2,X1) ) )).

fof(formula_24,axiom,(
    ! [X1,X2] : 
      ( p9(X1,X2)
     => ( p6(X2)
        | p11(X1,X2) ) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p6(X1)
     => X1 = c7 ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ( ( p1(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p1(X3)
            & p4(X3) )
         => ( X2 = f3(X3,X1)
          <=> ( f10(X2) = f8(f10(X3),X1)
              & ! [X4] : 
                  ( p11(X4,f10(X2))
                 => f12(X2,X4) = f12(X3,X4) ) ) ) ) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
    ? [X2] : p9(X2,X1) )).

fof(formula_28,axiom,(
    ! [X1,X2] : f8(X1,X1) = X1 )).

fof(formula_23,axiom,(
    ? [X1] : ~ p6(X1) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( p1(X1)
     => p1(f3(X1,X2)) ) )).

fof(formula_7,axiom,(
    p6(c7) )).

fof(formula_32,axiom,(
    $true )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(X1) )
     => ( p1(f3(X1,X2))
        & p2(f3(X1,X2)) ) ) )).

fof(formula_19,axiom,(
    ? [X1] : 
      ( ~ p6(X1)
      & p1(X1) ) )).

fof(formula_30,axiom,(
    $true )).

fof(formula_8,axiom,(
    p1(c7) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p1(X2) )
     => p1(f8(X1,X2)) ) )).

fof(formula_4,axiom,(
    ? [X1] : 
      ( p1(X1)
      & p4(X1)
      & p5(X1) ) )).

fof(formula_10,axiom,(
    p6(c7) )).

fof(formula_11,axiom,(
    ! [X1] : f8(X1,c7) = c7 )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => p9(X1,X2) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : f8(X1,X2) = f8(X2,X1) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_6,axiom,(
    p1(c7) )).

fof(formula_34,axiom,(
    ? [X1] : 
      ( p1(X1)
      & p4(X1) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ~ ( p11(X1,X2)
        & p6(X2) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p6(X1)
     => p4(X1) ) )).

fof(formula_22,axiom,(
    ? [X1] : p6(X1) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p4(X1) )
     => ( p1(f3(X1,X2))
        & p4(f3(X1,X2)) ) ) )).

fof(formula_31,axiom,(
    $true )).

fof(formula_9,axiom,(
    p2(c7) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ~ ( p6(X1)
        & X1 != X2
        & p6(X2) ) )).

fof(formula_15,axiom,(
    ? [X1] : 
      ( p1(X1)
      & p6(X1)
      & p4(X1) ) )).

fof(formula_17,axiom,(
    ? [X1] : 
      ( p6(X1)
      & p1(X1) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p6(X1)
     => p1(X1) ) )).

fof(formula_1,axiom,(
    ? [X1] : 
      ( p1(X1)
      & p2(X1) ) )).

fof(formula_5,axiom,(
    p6(c7) )).

fof(formula_3,axiom,(
    $true )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( ( p1(X1)
        & p6(X1)
        & p4(X1) )
     => ( p1(X1)
        & p4(X1)
        & p5(X1) ) ) )).

fof(formula_39,conjecture,(
    ! [X1,X2,X3] : 
      ( ( p1(X3)
        & p4(X3) )
     => ( p11(X2,f10(f3(X3,X1)))
       => f12(f3(X3,X1),X2) = f12(X3,X2) ) ) )).
%------------------------------------------------------------------------------
