%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(formula_34,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p13(X1) ) )).

fof(formula_19,axiom,(
    ! [X1] : ~ p2(f14(X1)) )).

fof(formula_22,axiom,(
    p4(c12) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ( p11(X1,f14(X2))
    <=> p10(X1,X2) ) )).

fof(formula_35,axiom,(
    ! [X1,X2] : p10(X1,X1) )).

fof(formula_26,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p4(X1) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p4(X1) ) )).

fof(formula_42,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c12 ) )).

fof(formula_33,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1)
      & p5(X1) ) )).

fof(formula_28,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_16,axiom,(
    p2(c12) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p4(X1) )
     => ~ p2(f7(X1)) ) )).

fof(formula_29,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p2(X1)
      & p3(X1) ) )).

fof(formula_10,axiom,(
    $true )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p2(X1)
        & p3(X1) )
     => ( p4(X1)
        & p3(X1)
        & p5(X1) ) ) )).

fof(formula_32,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p11(X1,X2) ) )).

fof(formula_36,conjecture,(
    ! [X1,X2] : 
      ( ( p4(X2)
        & p3(X2) )
     => p10(f6(X2,f9(X2,X1)),X1) ) )).

fof(formula_30,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p4(X1) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
    ? [X2] : p11(X2,X1) )).

fof(formula_43,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_8,axiom,(
    $true )).

fof(formula_11,axiom,(
    $true )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p3(X1) )
     => ! [X2,X3] : 
          ( X3 = f6(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(X5,f7(X1))
                  & p1(X5,X2)
                  & X4 = f8(X1,X5) ) ) ) ) )).

fof(formula_14,axiom,(
    $true )).

fof(formula_9,axiom,(
    $true )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( p10(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_44,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p11(X2,f14(X1))
      & p2(X2) ) )).

fof(formula_18,axiom,(
    p13(c12) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_21,axiom,(
    p2(c12) )).

fof(formula_20,axiom,(
    p2(c12) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p2(f7(X1))
        & p4(f7(X1)) ) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p11(X2,f14(X1))
          & ~ p2(X2) ) ) )).

fof(formula_40,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p11(X2,f14(X3)) )
     => p11(X1,X3) ) )).

fof(formula_17,axiom,(
    p4(c12) )).

fof(formula_25,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p3(X1) )
     => ! [X2,X3] : 
          ( X3 = f9(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( p1(X4,f7(X1))
                & p1(f8(X1,X4),X2) ) ) ) ) )).

fof(formula_41,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p11(X2,f14(X3))
        & p2(X3) ) )).
%------------------------------------------------------------------------------
