%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f17(A) = f17(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(A,C) )
     => p13(B,C) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(C,A) )
     => p13(C,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(A,C) )
     => p16(B,C) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(C,A) )
     => p16(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(formula_21,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : f6(X1,X2) = f6(X2,X1) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( ~ p2(X1)
     => ~ p2(f6(X2,X1)) ) )).

fof(formula_31,axiom,(
    ! [X1,X2] : 
      ( p16(X1,f17(X2))
    <=> p8(X1,X2) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
    ? [X2] : p16(X2,X1) )).

fof(formula_9,axiom,(
    $true )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p13(X1,X2)
        <=> ! [X3] : 
              ~ ( p8(X3,X2)
                & X3 != c10
                & ! [X4] : 
                    ~ ( p1(X4,X3)
                      & p11(f12(X1,X4),X3) ) ) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ( p7(X1)
      <=> ! [X2] : 
            ~ ( p8(X2,f9(X1))
              & X2 != c10
              & ! [X3] : 
                  ~ ( p1(X3,X2)
                    & p11(f12(X1,X3),X2) ) ) ) ) )).

fof(formula_14,axiom,(
    $true )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p4(X1)
     => f9(X1) = f6(f14(X1),f15(X1)) ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : f6(X1,X1) = X1 )).

fof(formula_28,axiom,(
    ! [X1] : f6(X1,c10) = X1 )).

fof(formula_11,axiom,(
    $true )).

fof(formula_30,axiom,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_23,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p2(X1)
      & p3(X1) ) )).

fof(formula_24,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_32,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p16(X2,f17(X3)) )
     => p16(X1,X3) ) )).

fof(formula_17,axiom,(
    p2(c10) )).

fof(formula_22,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_26,axiom,(
    ! [X1,X2] : p8(X1,X1) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_10,axiom,(
    $true )).

fof(formula_34,conjecture,(
    ! [X1] : 
      ( p4(X1)
     => ( p7(X1)
      <=> p13(X1,f9(X1)) ) ) )).

fof(formula_15,axiom,(
    $true )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( ~ p2(X1)
     => ~ p2(f6(X1,X2)) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p2(X1)
        & p3(X1) )
     => ( p4(X1)
        & p3(X1)
        & p5(X1) ) ) )).

fof(formula_8,axiom,(
    $true )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => p11(X2,X1) ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_25,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1)
      & p5(X1) ) )).

fof(formula_33,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p16(X2,f17(X3))
        & p2(X3) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c10 ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p16(X1,X2) ) )).
%------------------------------------------------------------------------------
