%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(A,C) = f13(B,C) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(C,A) = f13(C,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f16(A) = f16(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(A,C) )
     => p14(B,C) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(C,A) )
     => p14(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(formula_30,axiom,(
    ! [X1,X2] : p8(X1,X1) )).

fof(formula_34,conjecture,(
    ! [X1,X2] : 
      ( p4(X2)
     => ( p8(f9(f12(X2,X1)),f9(X2))
        & p8(f9(f12(X2,X1)),X1) ) ) )).

fof(formula_17,axiom,(
    $true )).

fof(formula_20,axiom,(
    p2(c15) )).

fof(formula_15,axiom,(
    $true )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p14(X1,X2) ) )).

fof(formula_27,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p2(X1)
      & p3(X1) ) )).

fof(formula_28,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_24,axiom,(
    ! [X1,X2] : f7(X1,X1) = X1 )).

fof(formula_39,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p14(X2,f16(X3))
        & p2(X3) ) )).

fof(formula_35,axiom,(
    ! [X1] : f7(X1,c15) = c15 )).

fof(formula_11,axiom,(
    $true )).

fof(formula_38,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p14(X2,f16(X3)) )
     => p14(X1,X3) ) )).

fof(formula_31,axiom,(
    ! [X1,X2,X3] : 
      ( p4(X3)
     => ( p1(X1,f9(f12(X3,X2)))
       => ( p1(X1,f9(X3))
          & p1(X1,X2) ) ) ) )).

fof(formula_14,axiom,(
    $true )).

fof(formula_12,axiom,(
    $true )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p4(X1)
     => p4(f12(X1,X2)) ) )).

fof(formula_25,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f7(X1,X2) = f7(X2,X1) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c15 ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( p14(X1,f16(X2))
    <=> p8(X1,X2) ) )).

fof(formula_18,axiom,(
    $true )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_32,axiom,(
    ! [X1] : f6(X1,c15) = X1 )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : f12(X1,X2) = f7(X1,f13(X2,X2)) ) )).

fof(formula_16,axiom,(
    $true )).

fof(formula_19,axiom,(
    ! [X1] : 
    ? [X2] : p14(X2,X1) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p2(X1)
        & p3(X1) )
     => ( p4(X1)
        & p3(X1)
        & p5(X1) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p4(X1)
     => f9(X1) = f6(f10(X1),f11(X1)) ) )).

fof(formula_29,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1)
      & p5(X1) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : f6(X1,X1) = X1 )).

fof(formula_9,axiom,(
    $true )).

fof(formula_4,axiom,(
    ! [X1,X2] : f6(X1,X2) = f6(X2,X1) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( p14(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_10,axiom,(
    $true )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( ~ p2(X1)
     => ~ p2(f6(X1,X2)) ) )).

fof(formula_26,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ( ~ p2(X1)
     => ~ p2(f6(X2,X1)) ) )).
%------------------------------------------------------------------------------
