%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f11(A,C,D) = f11(B,C,D) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f11(C,A,D) = f11(C,B,D) ) )).

fof(f11_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f11(C,D,A) = f11(C,D,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f16(A) = f16(B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f3(A) = f3(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p10(A,C,D) )
     => p10(B,C,D) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p10(C,A,D) )
     => p10(C,B,D) ) )).

fof(p10_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p10(C,D,A) )
     => p10(C,D,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p12(A,C,D) )
     => p12(B,C,D) ) )).

fof(p12_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p12(C,A,D) )
     => p12(C,B,D) ) )).

fof(p12_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p12(C,D,A) )
     => p12(C,D,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(A,C) )
     => p15(B,C) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(C,A) )
     => p15(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ~ ( p13(X1)
        & X1 != X2
        & p13(X2) ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p13(X2) ) )).

fof(formula_26,axiom,(
    ! [X1,X2,X3] : 
      ( p12(X3,X1,X2)
    <=> p10(X3,X1,X2) ) )).

fof(formula_17,axiom,(
    ! [X1,X2,X3] : 
      ( p12(X3,X1,X2)
     => p2(X3,f3(f4(X1,X2))) ) )).

fof(formula_7,axiom,(
    $true )).

fof(formula_19,axiom,(
    ! [X1] : 
    ? [X2] : p2(X2,X1) )).

fof(formula_10,axiom,(
    $true )).

fof(formula_16,axiom,(
    $true )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( X2 = f7(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f8(X3,X4),X1) ) ) ) )).

fof(formula_8,axiom,(
    $true )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p2(X1,X2) ) )).

fof(formula_9,axiom,(
    $true )).

fof(formula_14,axiom,(
    $true )).

fof(formula_27,axiom,(
    ! [X1,X2] : p15(X1,X1) )).

fof(formula_22,axiom,(
    ! [X1,X2] : ~ p13(f8(X1,X2)) )).

fof(formula_2,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X3,f3(f4(X1,X2)))
     => p5(X3) ) )).

fof(formula_34,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p2(X2,f3(X3)) )
     => p2(X1,X3) ) )).

fof(formula_21,axiom,(
    p13(c14) )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
    ? [X3] : p12(X3,X1,X2) )).

fof(formula_29,axiom,(
    ! [X1,X2,X3] : 
      ( p5(X3)
     => ( p1(f8(X1,X2),X3)
       => ( p1(X1,f7(X3))
          & p1(X2,f16(X3)) ) ) ) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( p2(X1,f3(X2))
    <=> p15(X1,X2) ) )).

fof(formula_24,axiom,(
    ? [X1] : ~ p13(X1) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_30,conjecture,(
    ! [X1,X2,X3] : 
      ( p12(X3,X2,X1)
     => ( ! [X4] : 
            ~ ( p1(X4,X2)
              & ! [X5] : ~ p1(f8(X4,X5),X3) )
      <=> f11(X2,X1,X3) = X2 ) ) )).

fof(formula_23,axiom,(
    ? [X1] : p13(X1) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
    ? [X3] : p10(X3,X1,X2) )).

fof(formula_31,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ( p13(X2)
        | p1(X1,X2) ) ) )).

fof(formula_15,axiom,(
    $true )).

fof(formula_25,axiom,(
    ! [X1,X2,X3] : 
      ( p10(X3,X1,X2)
     => f11(X1,X2,X3) = f7(X3) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : f6(X1,X2) = f6(X2,X1) )).

fof(formula_5,axiom,(
    ! [X1,X2] : f8(X1,X2) = f6(f6(X1,X2),f9(X1)) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p13(X1)
     => X1 = c14 ) )).

fof(formula_13,axiom,(
    ! [X1,X2,X3] : 
      ( p10(X3,X1,X2)
     => p2(f11(X1,X2,X3),f3(X1)) ) )).

fof(formula_6,axiom,(
    $true )).

fof(formula_11,axiom,(
    $true )).

fof(formula_35,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p2(X2,f3(X3))
        & p13(X3) ) )).
%------------------------------------------------------------------------------
