%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f13(A) = f13(B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f16(A) = f16(B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f17(A) = f17(B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f18(A) = f18(B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f23(A) = f23(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(A,C) )
     => p15(B,C) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(C,A) )
     => p15(C,B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(A,C) )
     => p20(B,C) ) )).

fof(p20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(C,A) )
     => p20(C,B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(formula_39,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p3(X1) ) )).

fof(formula_40,axiom,(
    ? [X1] : 
      ( p5(X1)
      & p6(X1)
      & p4(X1) ) )).

fof(formula_32,axiom,(
    p2(c21) )).

fof(formula_26,axiom,(
    p2(c21) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & p6(X1) )
     => p4(X1) ) )).

fof(formula_22,axiom,(
    $true )).

fof(formula_7,axiom,(
    ! [X1,X2] : f9(X1,X2) = f9(X2,X1) )).

fof(formula_25,axiom,(
    ! [X1] : 
    ? [X2] : p20(X2,X1) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p5(X1)
        & p6(X1)
        & p4(X1) ) ) )).

fof(formula_46,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p5(X1)
      & p6(X1)
      & p4(X1) ) )).

fof(formula_17,axiom,(
    $true )).

fof(formula_50,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p20(X1,X2) ) )).

fof(formula_20,axiom,(
    $true )).

fof(formula_55,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p20(X2,f23(X3))
        & p2(X3) ) )).

fof(formula_15,axiom,(
    $true )).

fof(formula_33,axiom,(
    p5(c21) )).

fof(formula_49,axiom,(
    ! [X1] : f10(X1,c21) = X1 )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( ~ p2(X1)
     => ~ p2(f10(X1,X2)) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p7(X1)
     => f14(X1) = f10(f17(X1),f18(X1)) ) )).

fof(formula_42,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p2(X1)
      & p3(X1) ) )).

fof(formula_24,axiom,(
    $true )).

fof(formula_38,axiom,(
    ! [X1,X2] : f10(X1,X1) = X1 )).

fof(formula_16,axiom,(
    ! [X1] : p7(f13(X1)) )).

fof(formula_43,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p3(X1)
      & p8(X1)
      & p2(X1)
      & p5(X1)
      & p6(X1)
      & p4(X1) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ! [X2] : 
          ( p11(X1,X2)
        <=> ! [X3] : 
              ( p1(X3,X2)
             => p1(f12(X3,X3),X1) ) ) ) )).

fof(formula_23,axiom,(
    $true )).

fof(formula_58,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ( p5(X1)
        & p6(X1) ) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : ~ p2(f12(X1,X2)) )).

fof(formula_28,axiom,(
    p7(c21) )).

fof(formula_53,axiom,(
    ! [X1,X2] : 
      ( p20(X1,f23(X2))
    <=> p15(X1,X2) ) )).

fof(formula_54,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p20(X2,f23(X3)) )
     => p20(X1,X3) ) )).

fof(formula_51,axiom,(
    ! [X1,X2] : 
      ( p20(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_48,axiom,(
    ! [X1,X2] : p15(X1,X1) )).

fof(formula_44,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_14,axiom,(
    $true )).

fof(formula_8,axiom,(
    ! [X1,X2] : f10(X1,X2) = f10(X2,X1) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p7(X2)
     => ( X2 = f13(X1)
      <=> ( f14(X2) = X1
          & ! [X3,X4] : 
              ( ( p1(X3,X1)
                & p1(X4,X1) )
             => ( p1(f12(X3,X4),X2)
              <=> p15(X3,X4) ) ) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_47,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p22(X1)
      & p3(X1) ) )).

fof(formula_34,axiom,(
    p6(c21) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_56,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c21 ) )).

fof(formula_41,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_52,conjecture,(
    ! [X1] : p19(f13(X1)) )).

fof(formula_19,axiom,(
    $true )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p19(X1)
      <=> p11(X1,f14(X1)) ) ) )).

fof(formula_30,axiom,(
    p3(c21) )).

fof(formula_57,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_21,axiom,(
    $true )).

fof(formula_29,axiom,(
    p22(c21) )).

fof(formula_35,axiom,(
    p4(c21) )).

fof(formula_31,axiom,(
    p8(c21) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( ~ p2(X1)
     => ~ p2(f10(X2,X1)) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : f12(X1,X2) = f9(f9(X1,X2),f16(X1)) )).

fof(formula_18,axiom,(
    $true )).

fof(formula_45,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p3(X1)
      & p8(X1) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( ( p7(X1)
        & p2(X1)
        & p3(X1) )
     => ( p7(X1)
        & p3(X1)
        & p8(X1) ) ) )).
%------------------------------------------------------------------------------
