%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f3(A) = f3(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p4(X1)
     => p5(X1) ) )).

fof(formula_1,conjecture,(
    ! [X1,X2] : 
      ( p1(X2)
     => ? [X3] : 
        ! [X4] : 
          ( p2(X4,X3)
        <=> ( p2(X4,f3(X2))
            & ? [X5] : 
                ( p1(X5)
                & X4 = X5
                & p2(X5,X1) ) ) ) ) )).

fof(formula_4,axiom,(
    ? [X1] : 
      ( p6(X1)
      & p7(X1)
      & p1(X1) ) )).

fof(formula_7,axiom,(
    ? [X1] : p4(X1) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ( p6(X1)
        & p7(X1)
        & p1(X1) ) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( p1(X2)
     => ( ! [X3,X4,X5] : 
            ( ( X3 = X4
              & ? [X6] : 
                  ( p1(X6)
                  & X4 = X6
                  & p2(X6,X1) )
              & X3 = X5
              & ? [X7] : 
                  ( p1(X7)
                  & X5 = X7
                  & p2(X7,X1) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p2(X4,X3)
          <=> ? [X5] : 
                ( p2(X5,f3(X2))
                & X5 = X4
                & ? [X8] : 
                    ( p1(X8)
                    & X4 = X8
                    & p2(X8,X1) ) ) ) ) ) )).

fof(formula_6,axiom,(
    ? [X1] : 
      ( ~ p4(X1)
      & p6(X1)
      & p7(X1)
      & p1(X1) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ~ p4(f3(X1))
        & p6(f3(X1))
        & p7(f3(X1))
        & p1(f3(X1)) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( ( p6(X1)
        & p7(X1) )
     => p1(X1) ) )).

fof(formula_8,axiom,(
    ? [X1] : ~ p4(X1) )).

fof(formula_11,axiom,(
    ! [X1] : ~ p4(f3(X1)) )).

fof(formula_10,axiom,(
    $true )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p6(X1)
        & p7(X1) ) ) )).
%------------------------------------------------------------------------------
