%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f2(A) = f2(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(A,C) )
     => p13(B,C) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(C,A) )
     => p13(C,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_37,axiom,(
    p10(c14) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( ( p3(X1)
        & p10(X1)
        & p4(X1) )
     => ( p3(X1)
        & p4(X1)
        & p6(X1) ) ) )).

fof(formula_9,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p10(X1)
      & p4(X1) ) )).

fof(formula_27,axiom,(
    $true )).

fof(formula_29,axiom,(
    $true )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ( p8(X1)
        & p9(X1)
        & p7(X1) ) ) )).

fof(formula_1,conjecture,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( p1(X2,X1)
            & X3 = f2(X2)
            & p1(X2,X1)
            & X4 = f2(X2) )
         => X3 = X4 )
     => ? [X2] : 
          ( p3(X2)
          & p4(X2)
          & ! [X3,X4] : 
              ( p1(f5(X3,X4),X2)
            <=> ( p1(X3,X1)
                & p1(X3,X1)
                & X4 = f2(X3) ) ) ) ) )).

fof(formula_40,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p3(X1) ) )).

fof(formula_7,axiom,(
    ? [X1] : 
      ( ~ p10(X1)
      & p8(X1)
      & p9(X1)
      & p7(X1) ) )).

fof(formula_44,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p13(X1,X2) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p4(X1)
    <=> ! [X2,X3,X4] : 
          ( ( p1(f5(X2,X3),X1)
            & p1(f5(X2,X4),X1) )
         => X3 = X4 ) ) )).

fof(formula_43,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p1(f5(X1,X2),f11(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ( ( ~ p10(X1)
        & ~ p10(X2) )
     => ~ p10(f11(X1,X2)) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_42,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p15(X1) ) )).

fof(formula_47,axiom,(
    ! [X1] : 
      ( p10(X1)
     => X1 = c14 ) )).

fof(formula_16,axiom,(
    $true )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p9(X1) )
     => p7(X1) ) )).

fof(formula_35,axiom,(
    ! [X1] : ~ p10(f2(X1)) )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
    ! [X4] : 
      ( p1(X4,X3)
    <=> ( p1(X4,f11(X1,X2))
        & ? [X5,X6] : 
            ( f5(X5,X6) = X4
            & p1(X5,X1)
            & X6 = f2(X5) ) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
    ? [X2] : p13(X2,X1) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p10(X1)
     => p4(X1) ) )).

fof(formula_17,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p4(X1) ) )).

fof(formula_13,axiom,(
    ? [X1] : ~ p10(X1) )).

fof(formula_38,axiom,(
    p3(c14) )).

fof(formula_45,axiom,(
    ! [X1,X2] : 
      ( p13(X1,X2)
     => ( p10(X2)
        | p1(X1,X2) ) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( p1(X2,X1)
            & X3 = f2(X2)
            & p1(X2,X1)
            & X4 = f2(X2) )
         => X3 = X4 )
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X4,X1)
              & p1(X4,X1)
              & X3 = f2(X4) ) ) ) )).

fof(formula_49,axiom,(
    ! [X1,X2] : 
      ~ ( p10(X1)
        & X1 != X2
        & p10(X2) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : ~ p10(f12(X1,X2)) )).

fof(formula_15,axiom,(
    $true )).

fof(formula_5,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p9(X1)
      & p7(X1) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p10(X1)
     => p3(X1) ) )).

fof(formula_25,axiom,(
    ! [X1,X2] : f5(X1,X2) = f12(f12(X1,X2),f2(X1)) )).

fof(formula_26,axiom,(
    $true )).

fof(formula_28,axiom,(
    $true )).

fof(formula_22,axiom,(
    ! [X1,X2] : f12(X1,X2) = f12(X2,X1) )).

fof(formula_2,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p4(X1)
      & p6(X1) ) )).

fof(formula_34,axiom,(
    p10(c14) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p8(X1)
        & p9(X1) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p3(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f5(X3,X4) ) ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : ~ p10(f5(X1,X2)) )).

fof(formula_12,axiom,(
    ? [X1] : p10(X1) )).

fof(formula_48,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p10(X2) ) )).

fof(formula_6,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p4(X1)
      & p6(X1)
      & p10(X1)
      & p8(X1)
      & p9(X1)
      & p7(X1) ) )).

fof(formula_31,axiom,(
    p10(c14) )).

fof(formula_41,axiom,(
    ? [X1] : 
      ( ~ p10(X1)
      & p3(X1) ) )).

fof(formula_33,axiom,(
    p15(c14) )).

fof(formula_46,axiom,(
    ! [X1,X2,X3,X4] : 
      ( f5(X1,X2) = f5(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_32,axiom,(
    p3(c14) )).
%------------------------------------------------------------------------------
