%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(A,C) = f13(B,C) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(C,A) = f13(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(A,C) = f14(B,C) ) )).

fof(f14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(C,A) = f14(C,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(A,C) = f15(B,C) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(C,A) = f15(C,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f17(A) = f17(B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(A,C) = f20(B,C) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(C,A) = f20(C,B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(A,C) = f21(B,C) ) )).

fof(f21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(C,A) = f21(C,B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f22(A) = f22(B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(A,C) = f23(B,C) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(C,A) = f23(C,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(A,C) = f24(B,C) ) )).

fof(f24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(C,A) = f24(C,B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f27(A) = f27(B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f28(A,C) = f28(B,C) ) )).

fof(f28_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f28(C,A) = f28(C,B) ) )).

fof(f33_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f33(A,C,D) = f33(B,C,D) ) )).

fof(f33_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f33(C,A,D) = f33(C,B,D) ) )).

fof(f33_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f33(C,D,A) = f33(C,D,B) ) )).

fof(f34_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f34(A) = f34(B) ) )).

fof(f35_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f35(A) = f35(B) ) )).

fof(f36_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f36(A) = f36(B) ) )).

fof(f40_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f40(A) = f40(B) ) )).

fof(f41_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f41(A,C) = f41(B,C) ) )).

fof(f41_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f41(C,A) = f41(C,B) ) )).

fof(f42_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f42(A) = f42(B) ) )).

fof(f43_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f43(A) = f43(B) ) )).

fof(f47_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f47(A) = f47(B) ) )).

fof(f48_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f48(A) = f48(B) ) )).

fof(f52_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f52(A) = f52(B) ) )).

fof(f53_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f53(A,C) = f53(B,C) ) )).

fof(f53_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f53(C,A) = f53(C,B) ) )).

fof(f54_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f54(A,C) = f54(B,C) ) )).

fof(f54_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f54(C,A) = f54(C,B) ) )).

fof(f57_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f57(A,C) = f57(B,C) ) )).

fof(f57_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f57(C,A) = f57(C,B) ) )).

fof(f58_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f58(A) = f58(B) ) )).

fof(f60_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f60(A,C) = f60(B,C) ) )).

fof(f60_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f60(C,A) = f60(C,B) ) )).

fof(f61_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f61(A,C) = f61(B,C) ) )).

fof(f61_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f61(C,A) = f61(C,B) ) )).

fof(f62_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f62(A) = f62(B) ) )).

fof(f63_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f63(A,C,D) = f63(B,C,D) ) )).

fof(f63_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f63(C,A,D) = f63(C,B,D) ) )).

fof(f63_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f63(C,D,A) = f63(C,D,B) ) )).

fof(f64_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f64(A,C,D) = f64(B,C,D) ) )).

fof(f64_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f64(C,A,D) = f64(C,B,D) ) )).

fof(f64_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f64(C,D,A) = f64(C,D,B) ) )).

fof(f65_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f65(A,C) = f65(B,C) ) )).

fof(f65_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f65(C,A) = f65(C,B) ) )).

fof(f66_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f66(A,C) = f66(B,C) ) )).

fof(f66_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f66(C,A) = f66(C,B) ) )).

fof(f67_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f67(A,C,D) = f67(B,C,D) ) )).

fof(f67_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f67(C,A,D) = f67(C,B,D) ) )).

fof(f67_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f67(C,D,A) = f67(C,D,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(A,C) )
     => p16(B,C) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(C,A) )
     => p16(C,B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p19(A,C) )
     => p19(B,C) ) )).

fof(p19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p19(C,A) )
     => p19(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p25(A) )
     => p25(B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p26(A,C) )
     => p26(B,C) ) )).

fof(p26_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p26(C,A) )
     => p26(C,B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p29(A) )
     => p29(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p30(A,C) )
     => p30(B,C) ) )).

fof(p30_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p30(C,A) )
     => p30(C,B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p31(A) )
     => p31(B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p32(A,C) )
     => p32(B,C) ) )).

fof(p32_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p32(C,A) )
     => p32(C,B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p37(A,C) )
     => p37(B,C) ) )).

fof(p37_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p37(C,A) )
     => p37(C,B) ) )).

fof(p38_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(A,C,D) )
     => p38(B,C,D) ) )).

fof(p38_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(C,A,D) )
     => p38(C,B,D) ) )).

fof(p38_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(C,D,A) )
     => p38(C,D,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p44_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p44(A) )
     => p44(B) ) )).

fof(p45_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p45(A,C) )
     => p45(B,C) ) )).

fof(p45_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p45(C,A) )
     => p45(C,B) ) )).

fof(p46_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p46(A,C) )
     => p46(B,C) ) )).

fof(p46_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p46(C,A) )
     => p46(C,B) ) )).

fof(p49_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p49(A) )
     => p49(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p50_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p50(A) )
     => p50(B) ) )).

fof(p51_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p51(A,C) )
     => p51(B,C) ) )).

fof(p51_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p51(C,A) )
     => p51(C,B) ) )).

fof(p55_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p55(A,C) )
     => p55(B,C) ) )).

fof(p55_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p55(C,A) )
     => p55(C,B) ) )).

fof(p56_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p56(A) )
     => p56(B) ) )).

fof(p59_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p59(A,C,D) )
     => p59(B,C,D) ) )).

fof(p59_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p59(C,A,D) )
     => p59(C,B,D) ) )).

fof(p59_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p59(C,D,A) )
     => p59(C,D,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p68_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p68(A,C,D) )
     => p68(B,C,D) ) )).

fof(p68_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p68(C,A,D) )
     => p68(C,B,D) ) )).

fof(p68_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p68(C,D,A) )
     => p68(C,D,B) ) )).

fof(p69_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p69(A) )
     => p69(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p70_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p70(A,C) )
     => p70(B,C) ) )).

fof(p70_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p70(C,A) )
     => p70(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_280,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ~ ( ~ p1(X1,X2)
              & X1 != X2
              & ~ p1(X2,X1) ) ) ) )).

fof(formula_220,axiom,(
    ! [X1,X2] : 
      ( p5(X2)
     => ( ! [X3,X4,X5] : 
            ( ( X3 = X4
              & ? [X6] : 
                  ( p5(X6)
                  & X4 = X6
                  & p1(X6,X1) )
              & X3 = X5
              & ? [X7] : 
                  ( p5(X7)
                  & X5 = X7
                  & p1(X7,X1) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,f35(X2))
                & X5 = X4
                & ? [X8] : 
                    ( p5(X8)
                    & X4 = X8
                    & p1(X8,X1) ) ) ) ) ) )).

fof(formula_72,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p12(X1)
      <=> ! [X2,X3] : 
            ( ( p1(X2,f22(X1))
              & p1(X3,f22(X1))
              & f23(X1,X2) = f23(X1,X3) )
           => X2 = X3 ) ) ) )).

fof(formula_315,lemma,(
    ! [X1] : 
      ( p19(X1,c39)
     => X1 = c39 ) )).

fof(formula_48,axiom,(
    ! [X1,X2] : 
      ( p19(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_141,axiom,(
    p6(c39) )).

fof(formula_142,axiom,(
    p7(c39) )).

fof(formula_337,lemma,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p12(X1)
       => ! [X2] : 
            ( ( p8(X2)
              & p4(X2) )
           => ( X2 = f62(X1)
            <=> ( f22(X2) = f52(X1)
                & ! [X3,X4] : 
                    ( ( ( p1(X3,f52(X1))
                        & X4 = f23(X2,X3) )
                     => ( p1(X4,f22(X1))
                        & X3 = f23(X1,X4) ) )
                    & ( ( p1(X4,f22(X1))
                        & X3 = f23(X1,X4) )
                     => ( p1(X3,f52(X1))
                        & X4 = f23(X2,X3) ) ) ) ) ) ) ) ) )).

fof(formula_208,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => ( p16(X1,X2)
      <=> p19(X1,X2) ) ) )).

fof(formula_115,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => p8(f24(X1,X2)) ) )).

fof(formula_285,lemma,(
    ! [X1,X2,X3] : 
      ( p19(X1,X2)
     => p19(f15(X1,X3),f15(X2,X3)) ) )).

fof(formula_215,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X2)
        & p8(X3)
        & p4(X3) )
     => ? [X4] : 
          ( p8(X4)
          & ! [X5,X6] : 
              ( p1(f18(X5,X6),X4)
            <=> ( p1(X5,X1)
                & p1(X6,X1)
                & p1(f18(f23(X3,X5),f23(X3,X6)),X2) ) ) ) ) )).

fof(formula_175,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( p31(X1)
      <=> ! [X2,X3,X4] : 
            ( ( p1(f18(X2,X3),X1)
              & p1(f18(X3,X4),X1) )
           => p1(f18(X2,X4),X1) ) ) ) )).

fof(formula_212,axiom,(
    ! [X1,X2] : p51(X1,X1) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p4(X1)
    <=> ! [X2,X3,X4] : 
          ( ( p1(f18(X2,X3),X1)
            & p1(f18(X2,X4),X1) )
         => X3 = X4 ) ) )).

fof(formula_121,axiom,(
    ! [X1] : 
    ? [X2] : p9(X2,X1) )).

fof(formula_153,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( p6(f48(X1))
        & p7(f48(X1))
        & p5(f48(X1)) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( X3 = f21(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(X5,f22(X1))
                  & p1(X5,X2)
                  & X4 = f23(X1,X5) ) ) ) ) )).

fof(formula_241,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p19(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f10(X3),X2) )
      & ! [X3] : 
          ~ ( p19(X3,X2)
            & ~ p70(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_226,conjecture,(
    ! [X1] : 
    ? [X2] : 
      ( p8(X2)
      & p4(X2)
      & f22(X2) = X1
      & ! [X3] : 
          ( p1(X3,X1)
         => f23(X2,X3) = f36(X3) ) ) )).

fof(formula_170,lemma,(
    ! [X1] : f36(X1) != c39 )).

fof(formula_328,lemma,(
    ! [X1,X2] : 
      ( p9(X2,f10(f10(X1)))
     => ( X2 != c39
       => f65(X1,f61(X1,X2)) = f67(X1,f47(X1),f66(X1,X2)) ) ) )).

fof(formula_28,axiom,(
    ! [X1] : f35(X1) = f14(X1,f36(X1)) )).

fof(formula_317,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ( p56(X1)
      <=> ! [X2] : 
            ( p5(X2)
           => ( p1(X2,X1)
             => p1(f35(X2),X1) ) ) ) ) )).

fof(formula_254,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p68(X4,X3,X1)
     => ( p19(X1,X2)
       => p68(X4,X3,X2) ) ) )).

fof(formula_122,axiom,(
    ! [X1,X2] : 
    ? [X3] : p68(X3,X1,X2) )).

fof(formula_258,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f57(X2,X1) = f20(f24(X1,X2),X1) ) )).

fof(formula_348,lemma,(
    ! [X1,X2] : 
      ~ ( p19(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_355,lemma,(
    ! [X1] : f13(X1,X1) = f36(X1) )).

fof(formula_114,axiom,(
    ! [X1,X2] : 
      ( p9(X2,f10(f10(X1)))
     => p9(f61(X1,X2),f10(f10(X1))) ) )).

fof(formula_275,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( p50(X2)
       => p50(f57(X2,X1)) ) ) )).

fof(formula_374,lemma,(
    ! [X1,X2,X3] : 
      ( ( p19(X1,X2)
        & p19(X3,X2) )
     => p19(f14(X1,X3),X2) ) )).

fof(formula_109,axiom,(
    ! [X1,X2] : 
      ( p9(X2,f10(f10(X1)))
     => p9(f65(X1,X2),f10(X1)) ) )).

fof(formula_349,lemma,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p12(X1)
       => p12(f62(X1)) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p4(X1) ) )).

fof(formula_99,axiom,(
    $true )).

fof(formula_70,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ! [X3] : 
              ( ( p8(X3)
                & p4(X3) )
             => ( p59(X1,X2,X3)
              <=> ( f22(X3) = f27(X1)
                  & f52(X3) = f27(X2)
                  & p12(X3)
                  & ! [X4,X5] : 
                      ( p1(f18(X4,X5),X1)
                    <=> ( p1(X4,f27(X1))
                        & p1(X5,f27(X1))
                        & p1(f18(f23(X3,X4),f23(X3,X5)),X2) ) ) ) ) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p6(X1)
        & p7(X1)
        & p5(X1) ) ) )).

fof(formula_38,axiom,(
    ! [X1] : 
      ( ? [X2,X3] : X1 = f18(X2,X3)
     => ! [X2] : 
          ( X2 = f43(X1)
        <=> ! [X3,X4] : 
              ( X1 = f18(X3,X4)
             => X2 = X4 ) ) ) )).

fof(formula_353,lemma,(
    ! [X1,X2] : 
      ( f53(X1,f36(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_305,lemma,(
    ! [X1,X2] : 
      ( p19(f36(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_283,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( p25(X2)
       => p25(f57(X2,X1)) ) ) )).

fof(formula_182,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( p29(X1)
      <=> ! [X2,X3] : 
            ~ ( p1(X2,f27(X1))
              & p1(X3,f27(X1))
              & X2 != X3
              & ~ p1(f18(X2,X3),X1)
              & ~ p1(f18(X3,X2),X1) ) ) ) )).

fof(formula_326,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p19(f22(X1),f52(X2))
           => f52(f60(X2,X1)) = f52(X1) ) ) ) )).

fof(formula_352,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( f22(X1) = c39
      <=> f52(X1) = c39 ) ) )).

fof(formula_293,lemma,(
    ! [X1] : 
      ( ! [X2] : 
          ( p1(X2,X1)
         => ( p5(X2)
            & p19(X2,X1) ) )
     => p5(X1) ) )).

fof(formula_130,axiom,(
    ! [X1] : ~ p3(f35(X1)) )).

fof(formula_227,axiom,(
    ! [X1,X2] : 
      ( p45(X1,X2)
     => p45(X2,X1) ) )).

fof(formula_205,axiom,(
    ! [X1,X2] : 
      ( p9(X2,f10(f10(X1)))
     => f66(X1,X2) = f40(X2) ) )).

fof(formula_65,axiom,(
    ! [X1] : 
      ( p56(X1)
    <=> X1 = f48(X1) ) )).

fof(formula_236,lemma,(
    ! [X1,X2,X3] : 
      ( p19(X1,X2)
     => ( p19(f11(X1,X3),f11(X2,X3))
        & p19(f11(X3,X1),f11(X3,X2)) ) ) )).

fof(formula_53,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( X2 = f22(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f18(X3,X4),X1) ) ) ) )).

fof(formula_55,axiom,(
    ! [X1] : f47(X1) = X1 )).

fof(formula_73,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ! [X3] : 
              ( p8(X3)
             => ( X3 = f60(X1,X2)
              <=> ! [X4,X5] : 
                    ( p1(f18(X4,X5),X3)
                  <=> ? [X6] : 
                        ( p1(f18(X4,X6),X1)
                        & p1(f18(X6,X5),X2) ) ) ) ) ) ) )).

fof(formula_223,lemma,(
    ! [X1] : 
    ? [X2] : 
    ! [X3] : 
      ( p1(X3,X2)
    <=> ( p1(X3,X1)
        & p5(X3) ) ) )).

fof(formula_161,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f52(X1))
        & p8(f52(X1)) ) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( X1 = c39
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_290,lemma,(
    ! [X1] : p50(f42(X1)) )).

fof(formula_131,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f15(X1,X2)) ) )).

fof(formula_143,axiom,(
    p5(c39) )).

fof(formula_145,axiom,(
    ! [X1] : ~ p3(f36(X1)) )).

fof(formula_171,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f14(f36(X1),X2) = X2 ) )).

fof(formula_209,axiom,(
    ! [X1,X2] : 
      ( p51(X1,X2)
    <=> p70(X1,X2) ) )).

fof(formula_210,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => p16(X1,X1) ) )).

fof(formula_240,lemma,(
    ! [X1,X2] : 
      ( p19(X1,X2)
     => f14(X1,X2) = X2 ) )).

fof(formula_148,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( ~ p3(f35(X1))
        & p6(f35(X1))
        & p7(f35(X1))
        & p5(f35(X1)) ) ) )).

fof(formula_282,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p19(X1,X2)
           => ( p19(f22(X1),f22(X2))
              & p19(f52(X1),f52(X2)) ) ) ) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( X2 = f36(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_218,axiom,(
    ! [X1,X2,X3] : 
      ( ( p8(X2)
        & p8(X3)
        & p4(X3) )
     => ( ! [X4,X5,X6] : 
            ( ( X4 = X5
              & ? [X7,X8] : 
                  ( X5 = f18(X7,X8)
                  & p1(f18(f23(X3,X7),f23(X3,X8)),X2) )
              & X4 = X6
              & ? [X9,X10] : 
                  ( X6 = f18(X9,X10)
                  & p1(f18(f23(X3,X9),f23(X3,X10)),X2) ) )
           => X5 = X6 )
       => ? [X4] : 
          ! [X5] : 
            ( p1(X5,X4)
          <=> ? [X6] : 
                ( p1(X6,f11(X1,X1))
                & X6 = X5
                & ? [X11,X12] : 
                    ( X5 = f18(X11,X12)
                    & p1(f18(f23(X3,X11),f23(X3,X12)),X2) ) ) ) ) ) )).

fof(formula_357,lemma,(
    ! [X1] : 
      ( p5(X1)
     => p44(f42(X1)) ) )).

fof(formula_324,lemma,(
    ! [X1,X2] : 
      ( p9(X2,f10(f10(X1)))
     => ~ ( X2 != c39
          & f61(X1,X2) = c39 ) ) )).

fof(formula_303,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( f52(X1) = f22(f58(X1))
        & f22(X1) = f52(f58(X1)) ) ) )).

fof(formula_106,axiom,(
    $true )).

fof(formula_286,lemma,(
    ! [X1,X2] : 
      ( p19(X1,X2)
     => f15(X1,X2) = X1 ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p29(X1)
      <=> p30(X1,f27(X1)) ) ) )).

fof(formula_217,axiom,(
    ! [X1,X2] : 
      ( ! [X3,X4,X5] : 
          ( ( X3 = X4
            & ? [X6,X7] : 
                ( f18(X6,X7) = X4
                & p1(X6,X1)
                & X7 = f36(X6) )
            & X3 = X5
            & ? [X8,X9] : 
                ( f18(X8,X9) = X5
                & p1(X8,X1)
                & X9 = f36(X8) ) )
         => X4 = X5 )
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5] : 
              ( p1(X5,f11(X1,X2))
              & X5 = X4
              & ? [X10,X11] : 
                  ( f18(X10,X11) = X4
                  & p1(X10,X1)
                  & X11 = f36(X10) ) ) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p31(X1)
      <=> p32(X1,f27(X1)) ) ) )).

fof(formula_91,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p8(f62(X1))
        & p4(f62(X1)) ) ) )).

fof(formula_45,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f11(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f18(X5,X6) ) ) ) )).

fof(formula_199,axiom,(
    ? [X1] : 
      ( ~ p3(X1)
      & p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_297,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p1(X1,X2)
          <=> p16(f35(X1),X2) ) ) ) )).

fof(formula_259,lemma,(
    ! [X1,X2] : p19(f15(X1,X2),X1) )).

fof(formula_44,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f14(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_118,axiom,(
    $true )).

fof(formula_158,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p8(X1) )
     => ~ p3(f22(X1)) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p25(X1)
      <=> p26(X1,f27(X1)) ) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( X1 = X2
          <=> ! [X3,X4] : 
                ( p1(f18(X3,X4),X1)
              <=> p1(f18(X3,X4),X2) ) ) ) ) )).

fof(formula_318,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ( ~ ( ~ p56(X1)
            & ! [X2] : 
                ( p5(X2)
               => X1 != f35(X2) ) )
        & ~ ( ? [X2] : 
                ( p5(X2)
                & X1 = f35(X2) )
            & p56(X1) ) ) ) )).

fof(formula_206,axiom,(
    ! [X1,X2,X3] : 
      ( ( p9(X2,f10(X1))
        & p9(X3,f10(X1)) )
     => f67(X1,X2,X3) = f53(X2,X3) ) )).

fof(formula_379,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p19(f52(f20(X2,X1)),f52(X2)) ) )).

fof(formula_336,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ! [X3] : 
              ( ( p8(X3)
                & p4(X3) )
             => ( p59(X1,X2,X3)
               => ( ( p50(X1)
                   => p50(X2) )
                  & ( p31(X1)
                   => p31(X2) )
                  & ( p29(X1)
                   => p29(X2) )
                  & ( p25(X1)
                   => p25(X2) )
                  & ( p44(X1)
                   => p44(X2) ) ) ) ) ) ) )).

fof(formula_272,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => p19(f41(f57(X3,X1),X2),f41(X3,X2)) ) )).

fof(formula_224,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,f35(X2))
            & ? [X5] : 
                ( p5(X5)
                & X4 = X5
                & p1(X5,X1) ) ) ) ) )).

fof(formula_365,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & ! [X3] : 
            ~ ( p1(X3,X2)
              & ! [X4] : 
                  ~ ( p1(X4,X2)
                    & p1(X4,X3) ) ) ) )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
       => ( p9(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p3(X1)
       => ( p9(X2,X1)
        <=> p3(X2) ) ) ) )).

fof(formula_264,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p9(X1,X2) ) )).

fof(formula_270,lemma,(
    ! [X1] : 
      ( p6(X1)
     => ! [X2] : 
          ( p5(X2)
         => ( p2(X1,X2)
           => p1(X1,X2) ) ) ) )).

fof(formula_268,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( p19(f27(f57(X2,X1)),f27(X2))
        & p19(f27(f57(X2,X1)),X1) ) ) )).

fof(formula_322,lemma,(
    ! [X1,X2] : 
      ( p19(X1,X2)
     => X2 = f14(X1,f53(X2,X1)) ) )).

fof(formula_174,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p19(f22(f24(X1,X2)),f22(X2)) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p8(X1) ) )).

fof(formula_237,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f52(f24(X1,X2)) = f15(f52(X2),X1) ) )).

fof(formula_185,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f18(X1,X2),f11(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_255,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f57(X3,X2))
      <=> ( p1(X1,X3)
          & p1(X1,f11(X2,X2)) ) ) ) )).

fof(formula_231,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f13(X1,X2) = f13(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_257,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p19(X1,X2)
       => p19(f28(X3,X1),f28(X3,X2)) ) ) )).

fof(formula_335,lemma,(
    ! [X1] : 
      ( X1 != c39
     => ! [X2] : 
          ( p9(X2,f10(X1))
         => ! [X3] : 
              ( p9(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f54(X1,X2)) ) ) ) ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( X2 = f10(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p19(X3,X1) ) ) )).

fof(formula_159,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p8(X1) )
     => ~ p3(f52(X1)) ) )).

fof(formula_57,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p49(X1)
      <=> ( p50(X1)
          & p31(X1)
          & p25(X1)
          & p29(X1)
          & p44(X1) ) ) ) )).

fof(formula_177,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ~ ( p49(X2)
          & p51(X1,f27(X2))
          & ! [X3] : 
              ( p8(X3)
             => ~ p55(X3,X1) ) ) ) )).

fof(formula_291,lemma,(
    ! [X1] : p19(c39,X1) )).

fof(formula_152,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p8(f20(X1,X2))
        & p4(f20(X1,X2)) ) ) )).

fof(formula_58,axiom,(
    ! [X1,X2] : 
      ( p51(X1,X2)
    <=> ? [X3] : 
          ( p8(X3)
          & p4(X3)
          & p12(X3)
          & f22(X3) = X1
          & f52(X3) = X2 ) ) )).

fof(formula_327,lemma,(
    ! [X1,X2] : 
      ( p9(X2,f10(f10(X1)))
     => ( X2 != c39
       => f67(X1,f47(X1),f65(X1,X2)) = f66(X1,f61(X1,X2)) ) ) )).

fof(formula_235,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p19(f52(f24(X1,X2)),f52(X2)) ) )).

fof(formula_124,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f58(X1))
        & p8(f58(X1)) ) ) )).

fof(formula_137,axiom,(
    p69(c39) )).

fof(formula_56,axiom,(
    ! [X1,X2] : 
      ( X2 = f48(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_191,axiom,(
    ! [X1] : 
      ( ~ p3(X1)
     => ? [X2] : 
          ( p9(X2,f10(X1))
          & ~ p3(X2) ) ) )).

fof(formula_225,lemma,(
    ! [X1] : 
      ( ( ! [X2,X3,X4] : 
            ( ( p1(X2,X1)
              & X3 = f36(X2)
              & X4 = f36(X2) )
           => X3 = X4 )
        & ! [X2] : 
            ~ ( p1(X2,X1)
              & ! [X3] : X3 != f36(X2) ) )
     => ? [X2] : 
          ( p8(X2)
          & p4(X2)
          & f22(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f23(X2,X3) = f36(X3) ) ) ) )).

fof(formula_298,lemma,(
    ! [X1,X2,X3] : 
      ( p19(X1,X2)
     => p19(f53(X1,X3),f53(X2,X3)) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p19(X1,X2)
        & p19(X2,X1) ) ) )).

fof(formula_189,axiom,(
    ? [X1] : 
      ( p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_110,axiom,(
    ! [X1] : p8(f17(X1)) )).

fof(formula_279,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( p29(X2)
       => p29(f57(X2,X1)) ) ) )).

fof(formula_230,lemma,(
    ! [X1] : p1(X1,f35(X1)) )).

fof(formula_265,lemma,(
    ! [X1,X2,X3] : 
      ( ( p19(X1,X2)
        & p19(X2,X3) )
     => p19(X1,X3) ) )).

fof(formula_269,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( p1(X1,f22(f60(X3,X2)))
          <=> ( p1(X1,f22(X3))
              & p1(f23(X3,X1),f22(X2)) ) ) ) ) )).

fof(formula_90,axiom,(
    $true )).

fof(formula_377,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p19(X1,f48(X2)) ) )).

fof(formula_214,lemma,(
    ! [X1] : 
      ( ? [X2] : 
          ( p5(X2)
          & p1(X2,X1) )
     => ? [X2] : 
          ( p5(X2)
          & p1(X2,X1)
          & ! [X3] : 
              ( p5(X3)
             => ( p1(X3,X1)
               => p16(X2,X3) ) ) ) ) )).

fof(formula_312,axiom,(
    ! [X1,X2] : 
      ( p9(X1,f10(X2))
    <=> p19(X1,X2) ) )).

fof(formula_373,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( p55(X1,f27(X1))
      <=> p49(X1) ) ) )).

fof(formula_107,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f60(X1,X2)) ) )).

fof(formula_213,lemma,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( p1(X2,X1)
            & X3 = f36(X2)
            & p1(X2,X1)
            & X4 = f36(X2) )
         => X3 = X4 )
     => ? [X2] : 
          ( p8(X2)
          & p4(X2)
          & ! [X3,X4] : 
              ( p1(f18(X3,X4),X2)
            <=> ( p1(X3,X1)
                & p1(X3,X1)
                & X4 = f36(X3) ) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : f14(X1,X2) = f14(X2,X1) )).

fof(formula_195,axiom,(
    ? [X1] : 
      ( ~ p3(X1)
      & p8(X1) ) )).

fof(formula_250,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p68(X4,X3,X1)
     => ( p19(f52(X4),X2)
       => p68(X4,X3,X2) ) ) )).

fof(formula_253,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p19(f28(X2,X1),f22(X2)) ) )).

fof(formula_311,lemma,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p1(X2,X3)
        & p1(X3,X1) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( ? [X2,X3] : X1 = f18(X2,X3)
     => ! [X2] : 
          ( X2 = f34(X1)
        <=> ! [X3,X4] : 
              ( X1 = f18(X3,X4)
             => X2 = X3 ) ) ) )).

fof(formula_381,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p19(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p19(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p19(X3,X2)
            & ~ p70(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_173,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p45(f36(X1),X2) ) )).

fof(formula_156,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
        & ~ p3(X2) )
     => ~ p3(f11(X1,X2)) ) )).

fof(formula_247,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( p19(X1,f22(X2))
       => p19(X1,f28(X2,f21(X2,X1))) ) ) )).

fof(formula_216,axiom,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( p1(X2,X1)
            & X3 = f36(X2)
            & p1(X2,X1)
            & X4 = f36(X2) )
         => X3 = X4 )
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X4,X1)
              & p1(X4,X1)
              & X3 = f36(X4) ) ) ) )).

fof(formula_75,axiom,(
    ! [X1,X2] : 
      ( p9(X2,f10(f10(X1)))
     => ! [X3] : 
          ( p9(X3,f10(f10(X1)))
         => ( X3 = f61(X1,X2)
          <=> ! [X4] : 
                ( p9(X4,f10(X1))
               => ( p1(X4,X3)
                <=> p1(f54(X1,X4),X2) ) ) ) ) ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : f15(X1,X2) = f15(X2,X1) )).

fof(formula_198,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1)
      & p12(X1) ) )).

fof(formula_233,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p19(f52(f24(X1,X2)),X1) ) )).

fof(formula_300,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ( X2 = f17(X1)
      <=> ( f22(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f23(X2,X3) = X3 ) ) ) ) )).

fof(formula_71,axiom,(
    ! [X1,X2] : 
      ( p45(X1,X2)
    <=> f15(X1,X2) = c39 ) )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( p5(X1)
    <=> ( p6(X1)
        & p7(X1) ) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( ( p5(X1)
        & p5(X2) )
     => ( p16(X1,X2)
        | p16(X2,X1) ) ) )).

fof(formula_93,axiom,(
    $true )).

fof(formula_116,axiom,(
    $true )).

fof(formula_287,axiom,(
    ! [X1] : f15(X1,c39) = c39 )).

fof(formula_47,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p19(X1,X2)
          <=> ! [X3,X4] : 
                ( p1(f18(X3,X4),X1)
               => p1(f18(X3,X4),X2) ) ) ) ) )).

fof(formula_378,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f20(X2,X1) = f60(f17(X1),X2) ) )).

fof(formula_162,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p8(X2) )
     => ( p3(f60(X1,X2))
        & p8(f60(X1,X2)) ) ) )).

fof(formula_343,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p9(X2,f10(X3))
        & p3(X3) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2,X3] : 
          ( X3 = f21(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f18(X5,X4),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_289,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_219,axiom,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( X2 = X3
            & p5(X3)
            & X2 = X4
            & p5(X4) )
         => X3 = X4 )
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X4,X1)
              & X4 = X3
              & p5(X3) ) ) ) )).

fof(formula_202,axiom,(
    ! [X1,X2,X3] : 
      ( p38(X3,X1,X2)
     => f63(X1,X2,X3) = f22(X3) ) )).

fof(formula_304,lemma,(
    ! [X1,X2] : 
      ( f53(X1,X2) = c39
    <=> p19(X1,X2) ) )).

fof(formula_129,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p4(X1)
        & p8(X2)
        & p4(X2) )
     => ( p8(f60(X1,X2))
        & p4(f60(X1,X2)) ) ) )).

fof(formula_292,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(f18(X1,X2),X3)
       => ( p1(X1,f27(X3))
          & p1(X2,f27(X3)) ) ) ) )).

fof(formula_262,lemma,(
    ! [X1,X2,X3] : 
      ( ( p19(X1,X2)
        & p19(X1,X3) )
     => p19(X1,f15(X2,X3)) ) )).

fof(formula_144,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f14(X1,X2)) ) )).

fof(formula_128,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p69(X1) )
     => ( p8(f20(X1,X2))
        & p69(f20(X1,X2)) ) ) )).

fof(formula_203,axiom,(
    ! [X1,X2,X3] : 
      ( p38(X3,X1,X2)
     => f64(X1,X2,X3) = f52(X3) ) )).

fof(formula_245,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => p19(f21(X2,f28(X2,X1)),X1) ) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( p9(X3,f10(f11(X1,X2)))
     => p8(X3) ) )).

fof(formula_76,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p19(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_360,lemma,(
    ! [X1] : 
      ( f22(f17(X1)) = X1
      & f52(f17(X1)) = X1 ) )).

fof(formula_77,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p12(X1)
       => f62(X1) = f58(X1) ) ) )).

fof(formula_249,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ( p19(X1,f52(X2))
       => f21(X2,f28(X2,X1)) = X1 ) ) )).

fof(formula_229,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f18(X1,X2),f11(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_301,lemma,(
    ! [X1,X2] : 
      ( p1(X2,X1)
     => f23(f17(X1),X2) = X2 ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( ( X1 != c39
       => ( X2 = f40(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ! [X4] : 
                  ( p1(X4,X1)
                 => p1(X3,X4) ) ) ) )
      & ( X1 = c39
       => ( X2 = f40(X1)
        <=> X2 = c39 ) ) ) )).

fof(formula_163,axiom,(
    ! [X1,X2] : f14(X1,X1) = X1 )).

fof(formula_111,axiom,(
    ! [X1,X2] : 
      ( p9(X2,f10(f10(X1)))
     => p9(f66(X1,X2),f10(X1)) ) )).

fof(formula_138,axiom,(
    p4(c39) )).

fof(formula_123,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p8(X2) )
     => ( p3(f60(X2,X1))
        & p8(f60(X2,X1)) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p37(X1,X2)
        <=> ! [X3] : 
              ( p1(X3,X2)
             => p1(f18(X3,X3),X1) ) ) ) )).

fof(formula_81,axiom,(
    $true )).

fof(formula_260,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f57(X2,X1) = f24(X1,f20(X2,X1)) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2,X3] : 
          ( X3 = f28(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f18(X4,X5),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_183,lemma,(
    ! [X1,X2] : 
      ( p19(X1,f36(X2))
    <=> ( X1 = c39
        | X1 = f36(X2) ) ) )).

fof(formula_221,lemma,(
    ! [X1,X2] : 
    ? [X3] : 
    ! [X4] : 
      ( p1(X4,X3)
    <=> ( p1(X4,f11(X1,X2))
        & ? [X5,X6] : 
            ( f18(X5,X6) = X4
            & p1(X5,X1)
            & X6 = f36(X5) ) ) ) )).

fof(formula_85,axiom,(
    $true )).

fof(formula_369,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f22(f20(X3,X2)))
      <=> ( p1(X1,X2)
          & p1(X1,f22(X3)) ) ) ) )).

fof(formula_82,axiom,(
    $true )).

fof(formula_74,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p32(X1,X2)
        <=> ! [X3,X4,X5] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(X5,X2)
                & p1(f18(X3,X4),X1)
                & p1(f18(X4,X5),X1) )
             => p1(f18(X3,X5),X1) ) ) ) )).

fof(formula_136,axiom,(
    p8(c39) )).

fof(formula_306,lemma,(
    ! [X1,X2,X3] : 
      ( p19(f13(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_252,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f28(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f52(X3))
            & p1(f18(X1,X4),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_368,lemma,(
    ! [X1,X2] : 
      ( p45(X1,X2)
    <=> f53(X1,X2) = X1 ) )).

fof(formula_181,lemma,(
    ! [X1,X2,X3] : 
      ( p19(X1,X2)
     => ( p1(X3,X1)
        | p19(X1,f53(X2,f36(X3))) ) ) )).

fof(formula_310,axiom,(
    ! [X1] : f53(X1,c39) = X1 )).

fof(formula_325,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f14(f36(X1),X2) = X2 ) )).

fof(formula_139,axiom,(
    p12(c39) )).

fof(formula_92,axiom,(
    $true )).

fof(formula_266,lemma,(
    f10(c39) = f36(c39) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( X2 = f17(X1)
      <=> ! [X3,X4] : 
            ( p1(f18(X3,X4),X2)
          <=> ( p1(X3,X1)
              & X3 = X4 ) ) ) ) )).

fof(formula_341,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( ! [X2,X3] : ~ p1(f18(X2,X3),X1)
       => X1 = c39 ) ) )).

fof(formula_382,lemma,(
    ! [X1,X2,X3] : 
      ( f36(X1) = f13(X2,X3)
     => X2 = X3 ) )).

fof(formula_354,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( X2 = f20(X3,X1)
          <=> ( f22(X2) = f15(f22(X3),X1)
              & ! [X4] : 
                  ( p1(X4,f22(X2))
                 => f23(X2,X4) = f23(X3,X4) ) ) ) ) ) )).

fof(formula_113,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f20(X1,X2)) ) )).

fof(formula_302,lemma,(
    ! [X1,X2] : p19(f53(X1,X2),X1) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_196,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p9(X2,f10(X1))
      & p3(X2) ) )).

fof(formula_316,lemma,(
    ! [X1,X2] : f53(f14(X1,X2),X2) = f53(X1,X2) )).

fof(formula_246,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f21(X2,X1) = f21(X2,f15(f22(X2),X1)) ) )).

fof(formula_372,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(f18(X1,X2),X3)
      <=> ( p1(X1,f22(X3))
          & X2 = f23(X3,X1) ) ) ) )).

fof(formula_103,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p8(f58(X1)) ) )).

fof(formula_63,axiom,(
    ! [X1,X2] : f18(X1,X2) = f13(f13(X1,X2),f36(X1)) )).

fof(formula_69,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( X2 = f58(X1)
          <=> ! [X3,X4] : 
                ( p1(f18(X3,X4),X2)
              <=> p1(f18(X4,X3),X1) ) ) ) ) )).

fof(formula_228,axiom,(
    ! [X1,X2] : 
      ( p51(X1,X2)
     => p51(X2,X1) ) )).

fof(formula_164,axiom,(
    ! [X1,X2] : f15(X1,X1) = X1 )).

fof(formula_101,axiom,(
    $true )).

fof(formula_263,axiom,(
    ! [X1] : f14(X1,c39) = X1 )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p8(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f18(X3,X4) ) ) )).

fof(formula_172,lemma,(
    ! [X1,X2] : 
      ~ ( p45(f36(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_370,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p19(f20(X2,X1),X2) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2,X3] : 
          ( p8(X3)
         => ( X3 = f20(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f18(X4,X5),X3)
              <=> ( p1(X4,X2)
                  & p1(f18(X4,X5),X1) ) ) ) ) ) )).

fof(formula_339,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ! [X3] : 
              ( ( p8(X3)
                & p4(X3) )
             => ( ( p49(X1)
                  & p59(X1,X2,X3) )
               => p49(X2) ) ) ) ) )).

fof(formula_271,lemma,(
    ! [X1] : 
      ( p8(X1)
     => p19(X1,f11(f22(X1),f52(X1))) ) )).

fof(formula_154,axiom,(
    p3(c39) )).

fof(formula_200,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p69(X1) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_66,axiom,(
    ! [X1] : 
      ( p8(X1)
     => f27(X1) = f14(f22(X1),f52(X1)) ) )).

fof(formula_288,axiom,(
    ! [X1,X2] : 
      ( p9(X1,X2)
     => ( p3(X2)
        | p1(X1,X2) ) ) )).

fof(formula_314,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p45(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p45(X1,X2) ) ) )).

fof(formula_100,axiom,(
    ! [X1,X2] : 
      ( p9(X2,f10(X1))
     => p9(f54(X1,X2),f10(X1)) ) )).

fof(formula_351,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( ( f22(X1) = c39
          | f52(X1) = c39 )
       => X1 = c39 ) ) )).

fof(formula_157,axiom,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ( p8(f24(X1,X2))
        & p4(f24(X1,X2)) ) ) )).

fof(formula_331,axiom,(
    ! [X1] : f53(c39,X1) = c39 )).

fof(formula_344,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( p44(X1)
      <=> p46(X1,f27(X1)) ) ) )).

fof(formula_94,axiom,(
    ! [X1] : p9(f47(X1),f10(X1)) )).

fof(formula_371,axiom,(
    ! [X1,X2] : 
      ~ ( p3(X1)
        & X1 != X2
        & p3(X2) ) )).

fof(formula_51,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( ( p1(X2,f22(X1))
           => ( X3 = f23(X1,X2)
            <=> p1(f18(X2,X3),X1) ) )
          & ( ~ p1(X2,f22(X1))
           => ( X3 = f23(X1,X2)
            <=> X3 = c39 ) ) ) ) )).

fof(formula_120,axiom,(
    ! [X1,X2] : 
    ? [X3] : p38(X3,X1,X2) )).

fof(formula_207,axiom,(
    ! [X1,X2,X3] : 
      ( p68(X3,X1,X2)
    <=> p38(X3,X1,X2) ) )).

fof(formula_323,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ( p19(f52(X1),f22(X2))
           => f22(f60(X1,X2)) = f22(X1) ) ) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2,X3] : 
          ( X3 = f41(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( X4 != X2
                & p1(f18(X4,X2),X1) ) ) ) ) )).

fof(formula_68,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : f57(X1,X2) = f15(X1,f11(X2,X2)) ) )).

fof(formula_321,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => p19(f52(f60(X1,X2)),f52(X2)) ) ) )).

fof(formula_267,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(f18(X1,X2),X3)
       => ( p1(X1,f22(X3))
          & p1(X2,f52(X3)) ) ) ) )).

fof(formula_338,lemma,(
    ! [X1,X2,X3] : 
      ( p9(X3,f10(X1))
     => ~ ( p1(X2,f54(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_356,axiom,(
    ! [X1] : 
      ( p3(X1)
     => X1 = c39 ) )).

fof(formula_102,axiom,(
    $true )).

fof(formula_104,axiom,(
    ! [X1,X2,X3] : 
      ( p38(X3,X1,X2)
     => p9(f63(X1,X2,X3),f10(X1)) ) )).

fof(formula_197,axiom,(
    ? [X1] : ~ p3(X1) )).

fof(formula_49,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p46(X1,X2)
        <=> ! [X3] : 
              ~ ( p19(X3,X2)
                & X3 != c39
                & ! [X4] : 
                    ~ ( p1(X4,X3)
                      & p45(f41(X1,X4),X3) ) ) ) ) )).

fof(formula_363,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p3(X2) ) )).

fof(formula_25,axiom,(
    ! [X1,X2,X3,X4] : 
      ( X4 = f33(X1,X2,X3)
    <=> ! [X5] : 
          ( p1(X5,X4)
        <=> ~ ( X5 != X1
              & X5 != X2
              & X5 != X3 ) ) ) )).

fof(formula_96,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f57(X1,X2)) ) )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p44(X1)
      <=> ! [X2] : 
            ~ ( p19(X2,f27(X1))
              & X2 != c39
              & ! [X3] : 
                  ~ ( p1(X3,X2)
                    & p45(f41(X1,X3),X2) ) ) ) ) )).

fof(formula_248,lemma,(
    ! [X1] : 
      ( p8(X1)
     => f21(X1,f22(X1)) = f52(X1) ) )).

fof(formula_125,axiom,(
    p3(c39) )).

fof(formula_80,axiom,(
    $true )).

fof(formula_278,lemma,(
    ! [X1,X2,X3] : 
      ( p68(X3,X1,X2)
     => ( ! [X4] : 
            ~ ( p1(X4,X2)
              & ! [X5] : ~ p1(f18(X5,X4),X3) )
      <=> f64(X1,X2,X3) = X2 ) ) )).

fof(formula_105,axiom,(
    $true )).

fof(formula_88,axiom,(
    ! [X1] : p8(f42(X1)) )).

fof(formula_97,axiom,(
    $true )).

fof(formula_62,axiom,(
    ! [X1,X2] : 
      ( p9(X2,f10(X1))
     => f54(X1,X2) = f53(X1,X2) ) )).

fof(formula_342,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ( ( p12(X2)
          & p1(X1,f52(X2)) )
       => ( X1 = f23(X2,f23(f62(X2),X1))
          & X1 = f23(f60(f62(X2),X2),X1) ) ) ) )).

fof(formula_274,lemma,(
    ! [X1,X2,X3] : 
      ( p68(X3,X2,X1)
     => ( ! [X4] : 
            ~ ( p1(X4,X2)
              & ! [X5] : ~ p1(f18(X4,X5),X3) )
      <=> f63(X2,X1,X3) = X2 ) ) )).

fof(formula_332,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p9(X2,f10(X3)) )
     => p9(X1,X3) ) )).

fof(formula_346,lemma,(
    f22(c39) = c39 )).

fof(formula_367,lemma,(
    ! [X1,X2] : p19(X1,f14(X1,X2)) )).

fof(formula_155,axiom,(
    p8(c39) )).

fof(formula_244,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p19(f21(X2,X1),f52(X2)) ) )).

fof(formula_67,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p30(X1,X2)
        <=> ! [X3,X4] : 
              ~ ( p1(X3,X2)
                & p1(X4,X2)
                & X3 != X4
                & ~ p1(f18(X3,X4),X1)
                & ~ p1(f18(X4,X3),X1) ) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( ( p6(X1)
        & p7(X1) )
     => p5(X1) ) )).

fof(formula_187,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(X2,f22(f20(X3,X1)))
      <=> ( p1(X2,f22(X3))
          & p1(X2,X1) ) ) ) )).

fof(formula_59,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f53(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_31,axiom,(
    ! [X1,X2,X3] : 
      ( p38(X3,X1,X2)
    <=> p19(X3,f11(X1,X2)) ) )).

fof(formula_361,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(X2,X1)
       => f23(f20(X3,X1),X2) = f23(X3,X2) ) ) )).

fof(formula_261,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f27(f57(X3,X2)))
       => ( p1(X1,f27(X3))
          & p1(X1,X2) ) ) ) )).

fof(formula_112,axiom,(
    ! [X1,X2,X3] : 
      ( ( p9(X2,f10(X1))
        & p9(X3,f10(X1)) )
     => p9(f67(X1,X2,X3),f10(X1)) ) )).

fof(formula_95,axiom,(
    $true )).

fof(formula_243,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f21(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f22(X3))
            & p1(f18(X4,X1),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_359,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & p4(X3) )
     => ( p1(X2,f22(f20(X3,X1)))
       => f23(f20(X3,X1),X2) = f23(X3,X2) ) ) )).

fof(formula_132,axiom,(
    ! [X1] : ~ p3(f10(X1)) )).

fof(formula_83,axiom,(
    $true )).

fof(formula_61,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( X2 = f52(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f18(X4,X3),X1) ) ) ) )).

fof(formula_204,axiom,(
    ! [X1,X2] : 
      ( p9(X2,f10(f10(X1)))
     => f65(X1,X2) = f48(X2) ) )).

fof(formula_295,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => ~ ( p19(X1,X2)
          & X1 != c39
          & ! [X3] : 
              ( p5(X3)
             => ~ ( p1(X3,X1)
                  & ! [X4] : 
                      ( p5(X4)
                     => ( p1(X4,X1)
                       => p16(X3,X4) ) ) ) ) ) ) )).

fof(formula_60,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2] : 
          ( X2 = f52(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : 
                  ( p1(X4,f22(X1))
                  & X3 = f23(X1,X4) ) ) ) ) )).

fof(formula_307,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( ( p49(X2)
          & p19(X1,f27(X2)) )
       => f27(f57(X2,X1)) = X1 ) ) )).

fof(formula_358,lemma,(
    ! [X1,X2] : 
      ( p19(f36(X1),f36(X2))
     => X1 = X2 ) )).

fof(formula_362,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p8(X4)
     => ( p1(f18(X1,X2),f60(f17(X3),X4))
      <=> ( p1(X1,X3)
          & p1(f18(X1,X2),X4) ) ) ) )).

fof(formula_273,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( p1(X1,f22(f60(X3,X2)))
           => f23(f60(X3,X2),X1) = f23(X2,f23(X3,X1)) ) ) ) )).

fof(formula_320,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => p19(f22(f60(X1,X2)),f22(X1)) ) ) )).

fof(formula_84,axiom,(
    $true )).

fof(formula_201,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p69(X1)
      & p4(X1) ) )).

fof(formula_376,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => f22(f20(X2,X1)) = f15(f22(X2),X1) ) )).

fof(formula_313,lemma,(
    ! [X1] : p31(f42(X1)) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( X2 = f42(X1)
      <=> ( f27(X2) = X1
          & ! [X3,X4] : 
              ( ( p1(X3,X1)
                & p1(X4,X1) )
             => ( p1(f18(X3,X4),X2)
              <=> p19(X3,X4) ) ) ) ) ) )).

fof(formula_308,lemma,(
    ! [X1,X2] : f14(X1,f53(X2,X1)) = f14(X1,X2) )).

fof(formula_79,axiom,(
    $true )).

fof(formula_340,lemma,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ( p12(X1)
       => ( f52(X1) = f22(f62(X1))
          & f22(X1) = f52(f62(X1)) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p3(X1)
        & p4(X1) )
     => ( p8(X1)
        & p4(X1)
        & p12(X1) ) ) )).

fof(formula_276,lemma,(
    ! [X1,X2] : 
      ( ( p8(X2)
        & p4(X2) )
     => ! [X3] : 
          ( ( p8(X3)
            & p4(X3) )
         => ( p1(X1,f22(X2))
           => f23(f60(X2,X3),X1) = f23(X3,f23(X2,X1)) ) ) ) )).

fof(formula_108,axiom,(
    ! [X1,X2,X3] : 
      ( p38(X3,X1,X2)
     => p9(f64(X1,X2,X3),f10(X2)) ) )).

fof(formula_284,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( p55(X2,X1)
       => ( f27(f57(X2,X1)) = X1
          & p49(f57(X2,X1)) ) ) ) )).

fof(formula_165,axiom,(
    ! [X1,X2] : 
      ( p9(X2,f10(X1))
     => f54(X1,f54(X1,X2)) = X2 ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1) )
     => ! [X2,X3] : 
          ( X3 = f28(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( p1(X4,f22(X1))
                & p1(f23(X1,X4),X2) ) ) ) ) )).

fof(formula_186,lemma,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p9(X1,f10(X2)) ) )).

fof(formula_160,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p3(f22(X1))
        & p8(f22(X1)) ) ) )).

fof(formula_375,lemma,(
    ! [X1,X2,X3] : 
      ( f36(X1) = f13(X2,X3)
     => X1 = X2 ) )).

fof(formula_42,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f13(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : f13(X1,X2) = f13(X2,X1) )).

fof(formula_98,axiom,(
    $true )).

fof(formula_78,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p50(X1)
      <=> p37(X1,f27(X1)) ) ) )).

fof(formula_256,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ~ ( X1 != c39
          & p19(X1,f52(X2))
          & f28(X2,X1) = c39 ) ) )).

fof(formula_330,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => ! [X3] : 
              ( ( p8(X3)
                & p4(X3) )
             => ( p59(X1,X2,X3)
               => p59(X2,X1,f62(X3)) ) ) ) ) )).

fof(formula_140,axiom,(
    p3(c39) )).

fof(formula_294,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( p44(X2)
       => p44(f57(X2,X1)) ) ) )).

fof(formula_333,lemma,(
    ! [X1] : 
      ( p5(X1)
     => p29(f42(X1)) ) )).

fof(formula_211,axiom,(
    ! [X1,X2] : p19(X1,X1) )).

fof(formula_167,axiom,(
    ! [X1,X2] : 
      ( p9(X2,f10(f10(X1)))
     => f61(X1,f61(X1,X2)) = X2 ) )).

fof(formula_232,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => ( p1(X1,f52(f24(X2,X3)))
      <=> ( p1(X1,X2)
          & p1(X1,f52(X3)) ) ) ) )).

fof(formula_180,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( p25(X1)
      <=> ! [X2,X3] : 
            ( ( p1(f18(X2,X3),X1)
              & p1(f18(X3,X2),X1) )
           => X2 = X3 ) ) ) )).

fof(formula_380,lemma,(
    ! [X1] : f48(f10(X1)) = X1 )).

fof(formula_319,lemma,(
    ! [X1,X2] : 
      ( p9(X2,f10(X1))
     => ! [X3] : 
          ( p9(X3,f10(X1))
         => ( p45(X2,X3)
          <=> p19(X2,f54(X1,X3)) ) ) ) )).

fof(formula_46,axiom,(
    ! [X1] : 
      ( p7(X1)
    <=> ! [X2,X3] : 
          ~ ( p1(X2,X1)
            & p1(X3,X1)
            & ~ p1(X2,X3)
            & X2 != X3
            & ~ p1(X3,X2) ) ) )).

fof(formula_350,lemma,(
    ! [X1,X2,X3] : 
      ( ( p19(X1,X2)
        & p45(X2,X3) )
     => p45(X1,X3) ) )).

fof(formula_364,lemma,(
    ! [X1,X2] : 
      ( f34(f18(X1,X2)) = X1
      & f43(f18(X1,X2)) = X2 ) )).

fof(formula_149,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f53(X1,X2)) ) )).

fof(formula_184,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p19(X1,f48(X2)) ) )).

fof(formula_188,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1) ) )).

fof(formula_54,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p26(X1,X2)
        <=> ! [X3,X4] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(f18(X3,X4),X1)
                & p1(f18(X4,X3),X1) )
             => X3 = X4 ) ) ) )).

fof(formula_176,lemma,(
    ! [X1,X2] : 
      ( p19(f36(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_169,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ( p50(X1)
      <=> ! [X2] : 
            ( p1(X2,f27(X1))
           => p1(f18(X2,X2),X1) ) ) ) )).

fof(formula_135,axiom,(
    ! [X1] : 
      ( p8(f17(X1))
      & p4(f17(X1)) ) )).

fof(formula_150,axiom,(
    ! [X1,X2] : ~ p3(f13(X1,X2)) )).

fof(formula_147,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p4(X1)
        & p12(X1) )
     => ( p8(f58(X1))
        & p4(f58(X1)) ) ) )).

fof(formula_334,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p45(X1,X2)
          & ! [X3] : ~ p1(X3,f15(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f15(X1,X2))
          & p45(X1,X2) ) ) )).

fof(formula_190,axiom,(
    ? [X1] : 
      ( p3(X1)
      & p8(X1) ) )).

fof(formula_166,axiom,(
    ! [X1] : 
      ( p8(X1)
     => f58(f58(X1)) = X1 ) )).

fof(formula_192,axiom,(
    ? [X1] : p3(X1) )).

fof(formula_126,axiom,(
    p8(c39) )).

fof(formula_117,axiom,(
    $true )).

fof(formula_89,axiom,(
    $true )).

fof(formula_119,axiom,(
    ! [X1,X2,X3] : 
      ( p68(X3,X1,X2)
     => p9(X3,f10(f11(X1,X2))) ) )).

fof(formula_239,lemma,(
    ! [X1,X2,X3] : 
      ( p68(X3,X1,X2)
     => ( p19(f22(X3),X1)
        & p19(f52(X3),X2) ) ) )).

fof(formula_168,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_277,lemma,(
    ! [X1,X2] : 
      ( p5(X2)
     => ( p1(X1,X2)
       => p5(X1) ) ) )).

fof(formula_178,lemma,(
    ! [X1,X2] : 
      ( f53(X1,X2) = c39
    <=> p19(X1,X2) ) )).

fof(formula_299,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f18(X1,X2) = f18(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_50,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f15(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => ! [X3] : 
          ( p8(X3)
         => ( X3 = f24(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f18(X4,X5),X3)
              <=> ( p1(X5,X1)
                  & p1(f18(X4,X5),X2) ) ) ) ) ) )).

fof(formula_281,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( p31(X2)
       => p31(f57(X2,X1)) ) ) )).

fof(formula_238,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p19(X1,X2)
        & p19(X3,X4) )
     => p19(f11(X1,X3),f11(X2,X4)) ) )).

fof(formula_127,axiom,(
    p69(c39) )).

fof(formula_251,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p8(X2)
         => f52(f60(X1,X2)) = f21(X2,f52(X1)) ) ) )).

fof(formula_366,lemma,(
    ! [X1] : 
      ( p5(X1)
     => p49(f42(X1)) ) )).

fof(formula_194,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p4(X1)
      & p12(X1)
      & p3(X1)
      & p6(X1)
      & p7(X1)
      & p5(X1) ) )).

fof(formula_134,axiom,(
    ! [X1,X2] : ~ p3(f18(X1,X2)) )).

fof(formula_222,lemma,(
    ! [X1,X2,X3] : 
      ( ( p8(X2)
        & p8(X3)
        & p4(X3) )
     => ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f11(X1,X1))
            & ? [X6,X7] : 
                ( X5 = f18(X6,X7)
                & p1(f18(f23(X3,X6),f23(X3,X7)),X2) ) ) ) ) )).

fof(formula_296,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => ( p49(X2)
       => p49(f57(X2,X1)) ) ) )).

fof(formula_86,axiom,(
    $true )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p5(X1)
     => ( p6(X1)
        & p7(X1) ) ) )).

fof(formula_87,axiom,(
    $true )).

fof(formula_151,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f14(X2,X1)) ) )).

fof(formula_242,lemma,(
    ! [X1,X2,X3] : 
      ( p8(X3)
     => f20(f24(X1,X3),X2) = f24(X1,f20(X3,X2)) ) )).

fof(formula_179,lemma,(
    ! [X1,X2] : 
      ( p9(X2,f10(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_309,lemma,(
    ! [X1,X2] : 
      ( p19(X1,f36(X2))
    <=> ( X1 = c39
        | X1 = f36(X2) ) ) )).

fof(formula_64,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p55(X1,X2)
        <=> ( p37(X1,X2)
            & p32(X1,X2)
            & p26(X1,X2)
            & p30(X1,X2)
            & p46(X1,X2) ) ) ) )).

fof(formula_39,axiom,(
    ! [X1] : 
      ( p6(X1)
    <=> ! [X2] : 
          ( p1(X2,X1)
         => p19(X2,X1) ) ) )).

fof(formula_133,axiom,(
    p3(c39) )).

fof(formula_347,lemma,(
    f52(c39) = c39 )).

fof(formula_234,lemma,(
    ! [X1,X2] : 
      ( p8(X2)
     => p19(f24(X1,X2),X2) ) )).

fof(formula_345,lemma,(
    ! [X1] : p25(f42(X1)) )).

fof(formula_146,axiom,(
    ! [X1,X2] : 
      ( ~ p3(X1)
     => ~ p3(f14(X1,X2)) ) )).

fof(formula_193,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p3(X1)
      & p4(X1) ) )).

fof(formula_329,lemma,(
    ! [X1,X2] : f53(X1,f53(X1,X2)) = f15(X1,X2) )).
%------------------------------------------------------------------------------
