%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_3,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p6(X1)
      & p7(X1)
      & p1(X1)
      & p8(X1)
      & p9(X1)
      & p10(X1) ) )).

fof(formula_2,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p6(X1)
      & p7(X1) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( p2(X1)
        & p1(X1)
        & p6(X1) )
     => ( p2(X1)
        & p6(X1)
        & p7(X1) ) ) )).

fof(formula_10,axiom,(
    ? [X1] : 
      ( ~ p1(X1)
      & p8(X1)
      & p9(X1)
      & p10(X1) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p8(X1)
        & p9(X1)
        & p10(X1) ) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : ~ p1(f5(X1,X2)) )).

fof(formula_5,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p1(X1)
      & p6(X1) ) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_4,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p6(X1) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p6(X1) ) )).

fof(formula_17,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p9(X1) )
     => p10(X1) ) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( ( ~ p1(X1)
        & p2(X2) )
     => ! [X3] : 
          ( ! [X4,X5,X6] : 
              ( ( X4 = X5
                & ? [X7,X8] : 
                    ( f5(X7,X8) = X5
                    & p3(X7,X1)
                    & ? [X9] : 
                        ( X7 = X9
                        & p3(X8,X9)
                        & ! [X10] : 
                            ( p3(X10,X9)
                           => p3(f5(X8,X10),X2) ) ) )
                & X4 = X6
                & ? [X11,X12] : 
                    ( f5(X11,X12) = X6
                    & p3(X11,X1)
                    & ? [X13] : 
                        ( X11 = X13
                        & p3(X12,X13)
                        & ! [X14] : 
                            ( p3(X14,X13)
                           => p3(f5(X12,X14),X2) ) ) ) )
             => X5 = X6 )
         => ? [X4] : 
            ! [X5] : 
              ( p3(X5,X4)
            <=> ? [X6] : 
                  ( p3(X6,f4(X1,X3))
                  & X6 = X5
                  & ? [X15,X16] : 
                      ( f5(X15,X16) = X5
                      & p3(X15,X1)
                      & ? [X17] : 
                          ( X15 = X17
                          & p3(X16,X17)
                          & ! [X18] : 
                              ( p3(X18,X17)
                             => p3(f5(X16,X18),X2) ) ) ) ) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ( p8(X1)
        & p9(X1) ) ) )).

fof(formula_9,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p9(X1)
      & p10(X1) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
     => ~ p3(X2,X1) ) )).

fof(formula_18,axiom,(
    ? [X1] : ~ p1(X1) )).

fof(formula_1,conjecture,(
    ! [X1,X2] : 
      ( ( ~ p1(X1)
        & p2(X2) )
     => ! [X3] : 
        ? [X4] : 
        ! [X5] : 
          ( p3(X5,X4)
        <=> ( p3(X5,f4(X1,X3))
            & ? [X6,X7] : 
                ( f5(X6,X7) = X5
                & p3(X6,X1)
                & ? [X8] : 
                    ( X6 = X8
                    & p3(X7,X8)
                    & ! [X9] : 
                        ( p3(X9,X8)
                       => p3(f5(X7,X9),X2) ) ) ) ) ) ) )).

fof(formula_13,axiom,(
    $true )).
%------------------------------------------------------------------------------
