%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f15(A,C,D) = f15(B,C,D) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f15(C,A,D) = f15(C,B,D) ) )).

fof(f15_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f15(C,D,A) = f15(C,D,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p12(A,C,D) )
     => p12(B,C,D) ) )).

fof(p12_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p12(C,A,D) )
     => p12(C,B,D) ) )).

fof(p12_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p12(C,D,A) )
     => p12(C,D,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(A,C,D) )
     => p14(B,C,D) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(C,A,D) )
     => p14(C,B,D) ) )).

fof(p14_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(C,D,A) )
     => p14(C,D,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(A,C,D) )
     => p16(B,C,D) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,A,D) )
     => p16(C,B,D) ) )).

fof(p16_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p16(C,D,A) )
     => p16(C,D,B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(A,C) )
     => p18(B,C) ) )).

fof(p18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(C,A) )
     => p18(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(formula_37,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p2(X1)
      & p3(X1) ) )).

fof(formula_42,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1)
      & p8(X1) ) )).

fof(formula_17,axiom,(
    ! [X1,X2,X3] : 
      ( p12(X3,X1,X2)
     => p5(X3,f6(f7(X1,X2))) ) )).

fof(formula_47,axiom,(
    ! [X1,X2] : p18(X1,X1) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3] : 
      ( p16(X3,X1,X2)
     => p5(f15(X1,X2,X3),f6(X1)) ) )).

fof(formula_27,axiom,(
    p4(c13) )).

fof(formula_16,axiom,(
    $true )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_44,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p17(X1)
      & p3(X1) ) )).

fof(formula_23,axiom,(
    p17(c13) )).

fof(formula_54,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c13 ) )).

fof(formula_33,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1)
      & p8(X1)
      & p2(X1) ) )).

fof(formula_51,conjecture,(
    ! [X1,X2,X3,X4] : 
      ( ( p3(X4)
        & p14(X4,X1,X2)
        & p12(X4,X1,X2) )
     => ( X2 != c13
       => ! [X5] : 
            ( p1(X5,f9(X4,X3))
          <=> ( p1(X5,X1)
              & p1(f11(X4,X5),X3) ) ) ) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p16(X3,X1,X2)
      & p4(X3)
      & p3(X3) ) )).

fof(formula_34,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p4(X1) ) )).

fof(formula_26,axiom,(
    p2(c13) )).

fof(formula_41,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_22,axiom,(
    p4(c13) )).

fof(formula_25,axiom,(
    p2(c13) )).

fof(formula_56,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p16(X3,X1,X2)
      & p4(X3)
      & p3(X3)
      & p14(X3,X1,X2) ) )).

fof(formula_31,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1) ) )).

fof(formula_21,axiom,(
    p2(c13) )).

fof(formula_53,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p5(X2,f6(X3))
        & p2(X3) ) )).

fof(formula_48,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p5(X1,X2) ) )).

fof(formula_43,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p17(X1) ) )).

fof(formula_8,axiom,(
    $true )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
    ? [X3] : p12(X3,X1,X2) )).

fof(formula_45,axiom,(
    ! [X1,X2,X3] : 
      ( p16(X3,X1,X2)
     => f15(X1,X2,X3) = f10(X3) ) )).

fof(formula_50,axiom,(
    ! [X1,X2] : 
      ( p5(X1,f6(X2))
    <=> p18(X1,X2) ) )).

fof(formula_10,axiom,(
    $true )).

fof(formula_49,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
    ? [X2] : p5(X2,X1) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p2(X1)
        & p3(X1) )
     => ( p4(X1)
        & p3(X1)
        & p8(X1) ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p4(X1) ) )).

fof(formula_11,axiom,(
    $true )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ( ( ~ p2(X1)
        & ~ p2(X2) )
     => ~ p2(f7(X1,X2)) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p5(X2,f6(X1))
          & ~ p2(X2) ) ) )).

fof(formula_36,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3] : 
      ( p12(X3,X1,X2)
     => ( ( ( X2 = c13
           => X1 = c13 )
         => ( p14(X3,X1,X2)
          <=> X1 = f15(X1,X2,X3) ) )
        & ( X2 = c13
         => ( X1 = c13
            | ( p14(X3,X1,X2)
            <=> X3 = c13 ) ) ) ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( p5(X3,f6(f7(X1,X2)))
     => p4(X3) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p2(f10(X1))
        & p4(f10(X1)) ) ) )).

fof(formula_55,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_39,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p4(X1) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p4(X1) )
     => ~ p2(f10(X1)) ) )).

fof(formula_24,axiom,(
    ! [X1] : ~ p2(f6(X1)) )).

fof(formula_15,axiom,(
    $true )).

fof(formula_52,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p5(X2,f6(X3)) )
     => p5(X1,X3) ) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
    ? [X3] : p16(X3,X1,X2) )).

fof(formula_46,axiom,(
    ! [X1,X2,X3] : 
      ( p12(X3,X1,X2)
    <=> p16(X3,X1,X2) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p3(X1) )
     => ! [X2,X3] : 
          ( X3 = f9(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( p1(X4,f10(X1))
                & p1(f11(X1,X4),X2) ) ) ) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p5(X2,f6(X1))
      & p2(X2) ) )).

fof(formula_9,axiom,(
    $true )).
%------------------------------------------------------------------------------
