%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(A,C) = f15(B,C) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(C,A) = f15(C,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(A,C) = f16(B,C) ) )).

fof(f16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(C,A) = f16(C,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f19(A) = f19(B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(A,C) = f20(B,C) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(C,A) = f20(C,B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(A,C) = f22(B,C) ) )).

fof(f22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(C,A) = f22(C,B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(A,C) = f23(B,C) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(C,A) = f23(C,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f24(A) = f24(B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(A,C) = f25(B,C) ) )).

fof(f25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(C,A) = f25(C,B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f26(A,C) = f26(B,C) ) )).

fof(f26_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f26(C,A) = f26(C,B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f29(A) = f29(B) ) )).

fof(f30_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f30(A,C) = f30(B,C) ) )).

fof(f30_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f30(C,A) = f30(C,B) ) )).

fof(f35_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f35(A,C,D) = f35(B,C,D) ) )).

fof(f35_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f35(C,A,D) = f35(C,B,D) ) )).

fof(f35_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f35(C,D,A) = f35(C,D,B) ) )).

fof(f39_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f39(A,C,D) = f39(B,C,D) ) )).

fof(f39_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f39(C,A,D) = f39(C,B,D) ) )).

fof(f39_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f39(C,D,A) = f39(C,D,B) ) )).

fof(f40_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f40(A) = f40(B) ) )).

fof(f41_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f41(A) = f41(B) ) )).

fof(f42_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f42(A) = f42(B) ) )).

fof(f45_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f45(A) = f45(B) ) )).

fof(f46_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f46(A,C) = f46(B,C) ) )).

fof(f46_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f46(C,A) = f46(C,B) ) )).

fof(f47_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f47(A) = f47(B) ) )).

fof(f48_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f48(A) = f48(B) ) )).

fof(f52_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f52(A) = f52(B) ) )).

fof(f53_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f53(A) = f53(B) ) )).

fof(f57_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f57(A) = f57(B) ) )).

fof(f58_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f58(A,C) = f58(B,C) ) )).

fof(f58_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f58(C,A) = f58(C,B) ) )).

fof(f59_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f59(A,C) = f59(B,C) ) )).

fof(f59_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f59(C,A) = f59(C,B) ) )).

fof(f62_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f62(A,C) = f62(B,C) ) )).

fof(f62_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f62(C,A) = f62(C,B) ) )).

fof(f63_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f63(A) = f63(B) ) )).

fof(f65_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f65(A,C) = f65(B,C) ) )).

fof(f65_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f65(C,A) = f65(C,B) ) )).

fof(f66_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f66(A,C) = f66(B,C) ) )).

fof(f66_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f66(C,A) = f66(C,B) ) )).

fof(f67_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f67(A) = f67(B) ) )).

fof(f68_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f68(A,C,D) = f68(B,C,D) ) )).

fof(f68_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f68(C,A,D) = f68(C,B,D) ) )).

fof(f68_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f68(C,D,A) = f68(C,D,B) ) )).

fof(f69_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f69(A,C) = f69(B,C) ) )).

fof(f69_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f69(C,A) = f69(C,B) ) )).

fof(f70_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f70(A,C) = f70(B,C) ) )).

fof(f70_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f70(C,A) = f70(C,B) ) )).

fof(f71_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f71(A,C,D) = f71(B,C,D) ) )).

fof(f71_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f71(C,A,D) = f71(C,B,D) ) )).

fof(f71_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f71(C,D,A) = f71(C,D,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(A,C) )
     => p18(B,C) ) )).

fof(p18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(C,A) )
     => p18(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p21(A,C) )
     => p21(B,C) ) )).

fof(p21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p21(C,A) )
     => p21(C,B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p27(A) )
     => p27(B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p28(A,C) )
     => p28(B,C) ) )).

fof(p28_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p28(C,A) )
     => p28(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p31(A) )
     => p31(B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p32(A,C) )
     => p32(B,C) ) )).

fof(p32_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p32(C,A) )
     => p32(C,B) ) )).

fof(p33_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p33(A) )
     => p33(B) ) )).

fof(p34_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p34(A,C) )
     => p34(B,C) ) )).

fof(p34_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p34(C,A) )
     => p34(C,B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p36(A,C,D) )
     => p36(B,C,D) ) )).

fof(p36_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p36(C,A,D) )
     => p36(C,B,D) ) )).

fof(p36_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p36(C,D,A) )
     => p36(C,D,B) ) )).

fof(p38_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(A,C,D) )
     => p38(B,C,D) ) )).

fof(p38_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(C,A,D) )
     => p38(C,B,D) ) )).

fof(p38_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(C,D,A) )
     => p38(C,D,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p43_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p43(A,C) )
     => p43(B,C) ) )).

fof(p43_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p43(C,A) )
     => p43(C,B) ) )).

fof(p44_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p44(A,C,D) )
     => p44(B,C,D) ) )).

fof(p44_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p44(C,A,D) )
     => p44(C,B,D) ) )).

fof(p44_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p44(C,D,A) )
     => p44(C,D,B) ) )).

fof(p49_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p49(A) )
     => p49(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p50_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p50(A,C) )
     => p50(B,C) ) )).

fof(p50_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p50(C,A) )
     => p50(C,B) ) )).

fof(p51_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p51(A,C) )
     => p51(B,C) ) )).

fof(p51_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p51(C,A) )
     => p51(C,B) ) )).

fof(p54_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p54(A) )
     => p54(B) ) )).

fof(p55_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p55(A) )
     => p55(B) ) )).

fof(p56_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p56(A,C) )
     => p56(B,C) ) )).

fof(p56_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p56(C,A) )
     => p56(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p60_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p60(A,C) )
     => p60(B,C) ) )).

fof(p60_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p60(C,A) )
     => p60(C,B) ) )).

fof(p61_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p61(A) )
     => p61(B) ) )).

fof(p64_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p64(A,C,D) )
     => p64(B,C,D) ) )).

fof(p64_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p64(C,A,D) )
     => p64(C,B,D) ) )).

fof(p64_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p64(C,D,A) )
     => p64(C,D,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p72_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p72(A) )
     => p72(B) ) )).

fof(p73_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p73(A,C) )
     => p73(B,C) ) )).

fof(p73_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p73(C,A) )
     => p73(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_245,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p10(X2)
      & p9(X2)
      & f24(X2) = X1
      & ! [X3] : 
          ( p1(X3,X1)
         => f25(X2,X3) = f42(X3) ) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2,X3] : 
          ( p10(X3)
         => ( X3 = f22(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f20(X4,X5),X3)
              <=> ( p1(X4,X2)
                  & p1(f20(X4,X5),X1) ) ) ) ) ) )).

fof(formula_264,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => p21(f23(X2,X1),f57(X2)) ) )).

fof(formula_116,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => p4(f70(X1,X2),f11(X1)) ) )).

fof(formula_350,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f16(f42(X1),X2) = X2 ) )).

fof(formula_176,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( p55(X1)
      <=> ! [X2] : 
            ( p1(X2,f29(X1))
           => p1(f20(X2,X2),X1) ) ) ) )).

fof(formula_288,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p1(f20(X1,X2),X3)
       => ( p1(X1,f24(X3))
          & p1(X2,f57(X3)) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p10(X1) ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( X2 = f19(X1)
      <=> ! [X3,X4] : 
            ( p1(f20(X3,X4),X2)
          <=> ( p1(X3,X1)
              & X3 = X4 ) ) ) ) )).

fof(formula_292,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( p2(X1,X2)
           => p1(X1,X2) ) ) ) )).

fof(formula_252,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => p21(f57(f26(X1,X2)),X1) ) )).

fof(formula_319,lemma,(
    ! [X1,X2] : 
      ( p3(X2)
     => ~ ( p21(X1,X2)
          & X1 != c37
          & ! [X3] : 
              ( p3(X3)
             => ~ ( p1(X3,X1)
                  & ! [X4] : 
                      ( p3(X4)
                     => ( p1(X4,X1)
                       => p18(X3,X4) ) ) ) ) ) ) )).

fof(formula_128,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => p8(f17(X1,X2)) ) )).

fof(formula_238,lemma,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p10(X2) )
     => ! [X3] : 
        ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f12(X1,X3))
            & ? [X6,X7] : 
                ( f20(X6,X7) = X5
                & p1(X6,X1)
                & ? [X8] : 
                    ( X6 = X8
                    & p1(X7,X8)
                    & ! [X9] : 
                        ( p1(X9,X8)
                       => p1(f20(X7,X9),X2) ) ) ) ) ) ) )).

fof(formula_364,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ! [X3] : 
              ( ( p10(X3)
                & p9(X3) )
             => ( ( p54(X1)
                  & p64(X1,X2,X3) )
               => p54(X2) ) ) ) ) )).

fof(formula_44,axiom,(
    ! [X1] : 
      ( p5(X1)
    <=> ! [X2] : 
          ( p1(X2,X1)
         => p21(X2,X1) ) ) )).

fof(formula_324,lemma,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => ( X2 = f19(X1)
      <=> ( f24(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f25(X2,X3) = X3 ) ) ) ) )).

fof(formula_73,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : f62(X1,X2) = f17(X1,f12(X2,X2)) ) )).

fof(formula_359,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p50(X1,X2)
          & ! [X3] : ~ p1(X3,f17(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f17(X1,X2))
          & p50(X1,X2) ) ) )).

fof(formula_60,axiom,(
    ! [X1] : f52(X1) = X1 )).

fof(formula_407,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p9(X4)
        & p38(X4,X1,X2)
        & p36(X4,X1,X2) )
     => ( p21(X2,X3)
       => ( ( X2 = c37
            & X1 != c37 )
          | ( p9(X4)
            & p38(X4,X1,X3)
            & p36(X4,X1,X3) ) ) ) ) )).

fof(formula_242,lemma,(
    ! [X1,X2] : 
      ( p3(X2)
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,f41(X2))
            & ? [X5] : 
                ( p3(X5)
                & X4 = X5
                & p1(X5,X1) ) ) ) ) )).

fof(formula_314,lemma,(
    ! [X1] : p55(f47(X1)) )).

fof(formula_197,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p9(X1) ) )).

fof(formula_114,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => p4(f69(X1,X2),f11(X1)) ) )).

fof(formula_161,axiom,(
    p7(c37) )).

fof(formula_321,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( p1(X1,X2)
          <=> p18(f41(X1),X2) ) ) ) )).

fof(formula_58,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( X2 = f24(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f20(X3,X4),X1) ) ) ) )).

fof(formula_391,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & ! [X3] : 
            ~ ( p1(X3,X2)
              & ! [X4] : 
                  ~ ( p1(X4,X2)
                    & p1(X4,X3) ) ) ) )).

fof(formula_345,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => p21(f57(f65(X1,X2)),f57(X2)) ) ) )).

fof(formula_211,axiom,(
    ! [X1] : 
      ( ~ p7(X1)
     => ? [X2] : 
          ( p4(X2,f11(X1))
          & ~ p7(X2)
          & p8(X2) ) ) )).

fof(formula_270,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p36(X4,X3,X1)
     => ( p21(f57(X4),X2)
       => p36(X4,X3,X2) ) ) )).

fof(formula_80,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => ! [X3] : 
          ( p4(X3,f11(f11(X1)))
         => ( X3 = f66(X1,X2)
          <=> ! [X4] : 
                ( p4(X4,f11(X1))
               => ( p1(X4,X3)
                <=> p1(f59(X1,X4),X2) ) ) ) ) ) )).

fof(formula_342,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ( ~ ( ~ p61(X1)
            & ! [X2] : 
                ( p3(X2)
               => X1 != f41(X2) ) )
        & ~ ( ? [X2] : 
                ( p3(X2)
                & X1 = f41(X2) )
            & p61(X1) ) ) ) )).

fof(formula_253,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => p21(f26(X1,X2),X2) ) )).

fof(formula_290,lemma,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => ! [X3] : 
          ( ( p10(X3)
            & p9(X3) )
         => ( p1(X1,f24(f65(X3,X2)))
          <=> ( p1(X1,f24(X3))
              & p1(f25(X3,X1),f24(X2)) ) ) ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p5(X1)
        & p6(X1)
        & p3(X1) ) ) )).

fof(formula_115,axiom,(
    ! [X1] : p10(f19(X1)) )).

fof(formula_140,axiom,(
    p7(c37) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( ( p7(X1)
        & p3(X1) )
     => ( p5(X1)
        & p6(X1)
        & p3(X1)
        & p13(X1) ) ) )).

fof(formula_164,axiom,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => ( p10(f26(X1,X2))
        & p9(f26(X1,X2)) ) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p43(X1,X2)
        <=> ! [X3] : 
              ( p1(X3,X2)
             => p1(f20(X3,X3),X1) ) ) ) )).

fof(formula_296,lemma,(
    ! [X1,X2,X3] : 
      ( p36(X3,X2,X1)
     => ( ! [X4] : 
            ~ ( p1(X4,X2)
              & ! [X5] : ~ p1(f20(X4,X5),X3) )
      <=> f39(X2,X1,X3) = X2 ) ) )).

fof(formula_48,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ( p49(X1)
      <=> ! [X2] : 
            ~ ( p21(X2,f29(X1))
              & X2 != c37
              & ! [X3] : 
                  ~ ( p1(X3,X2)
                    & p50(f46(X1,X3),X2) ) ) ) ) )).

fof(formula_230,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X2)
        & p10(X3)
        & p9(X3) )
     => ? [X4] : 
          ( p10(X4)
          & ! [X5,X6] : 
              ( p1(f20(X5,X6),X4)
            <=> ( p1(X5,X1)
                & p1(X6,X1)
                & p1(f20(f25(X3,X5),f25(X3,X6)),X2) ) ) ) ) )).

fof(formula_215,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p72(X1)
      & p9(X1) ) )).

fof(formula_394,lemma,(
    ! [X1,X2] : 
      ( p50(X1,X2)
    <=> f58(X1,X2) = X1 ) )).

fof(formula_308,lemma,(
    ! [X1,X2,X3] : 
      ( p21(X1,X2)
     => p21(f17(X1,X3),f17(X2,X3)) ) )).

fof(formula_386,lemma,(
    ! [X1] : 
      ( f24(f19(X1)) = X1
      & f57(f19(X1)) = X1 ) )).

fof(formula_201,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p10(X1) ) )).

fof(formula_121,axiom,(
    $true )).

fof(formula_127,axiom,(
    ! [X1,X2] : 
    ? [X3] : p36(X3,X1,X2) )).

fof(formula_158,axiom,(
    ! [X1,X2] : 
      ( ~ p7(X1)
     => ~ p7(f16(X2,X1)) ) )).

fof(formula_254,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => p21(f57(f26(X1,X2)),f57(X2)) ) )).

fof(formula_287,lemma,(
    f11(c37) = f42(c37) )).

fof(formula_338,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p50(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p50(X1,X2) ) ) )).

fof(formula_139,axiom,(
    ! [X1] : ~ p7(f11(X1)) )).

fof(formula_136,axiom,(
    ! [X1,X2] : 
      ( ( p10(X1)
        & p9(X1)
        & p10(X2)
        & p9(X2) )
     => ( p10(f65(X1,X2))
        & p9(f65(X1,X2)) ) ) )).

fof(formula_352,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => ( X2 != c37
       => f71(X1,f52(X1),f69(X1,X2)) = f70(X1,f66(X1,X2)) ) ) )).

fof(formula_193,lemma,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p4(X1,f11(X2)) ) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ( p10(X2)
     => ! [X3] : 
          ( p10(X3)
         => ( X3 = f26(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f20(X4,X5),X3)
              <=> ( p1(X5,X1)
                  & p1(f20(X4,X5),X2) ) ) ) ) ) )).

fof(formula_366,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( ! [X2,X3] : ~ p1(f20(X2,X3),X1)
       => X1 = c37 ) ) )).

fof(formula_331,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( ( p54(X2)
          & p21(X1,f29(X2)) )
       => f29(f62(X2,X1)) = X1 ) ) )).

fof(formula_353,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => ( X2 != c37
       => f69(X1,f66(X1,X2)) = f71(X1,f52(X1),f70(X1,X2)) ) ) )).

fof(formula_393,lemma,(
    ! [X1,X2] : p21(X1,f16(X1,X2)) )).

fof(formula_83,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ( p55(X1)
      <=> p43(X1,f29(X1)) ) ) )).

fof(formula_151,axiom,(
    ! [X1,X2] : 
      ( ( p10(X1)
        & p10(X2) )
     => p10(f16(X1,X2)) ) )).

fof(formula_232,axiom,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p10(X2) )
     => ! [X3] : 
          ( ! [X4,X5,X6] : 
              ( ( X4 = X5
                & ? [X7,X8] : 
                    ( f20(X7,X8) = X5
                    & p1(X7,X1)
                    & ? [X9] : 
                        ( X7 = X9
                        & p1(X8,X9)
                        & ! [X10] : 
                            ( p1(X10,X9)
                           => p1(f20(X8,X10),X2) ) ) )
                & X4 = X6
                & ? [X11,X12] : 
                    ( f20(X11,X12) = X6
                    & p1(X11,X1)
                    & ? [X13] : 
                        ( X11 = X13
                        & p1(X12,X13)
                        & ! [X14] : 
                            ( p1(X14,X13)
                           => p1(f20(X12,X14),X2) ) ) ) )
             => X5 = X6 )
         => ? [X4] : 
            ! [X5] : 
              ( p1(X5,X4)
            <=> ? [X6] : 
                  ( p1(X6,f12(X1,X3))
                  & X6 = X5
                  & ? [X15,X16] : 
                      ( f20(X15,X16) = X5
                      & p1(X15,X1)
                      & ? [X17] : 
                          ( X15 = X17
                          & p1(X16,X17)
                          & ! [X18] : 
                              ( p1(X18,X17)
                             => p1(f20(X16,X18),X2) ) ) ) ) ) ) ) )).

fof(formula_153,axiom,(
    ! [X1,X2] : 
      ( ~ p7(X1)
     => ~ p7(f16(X1,X2)) ) )).

fof(formula_61,axiom,(
    ! [X1,X2] : 
      ( X2 = f53(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_217,axiom,(
    ! [X1,X2,X3] : 
      ( p44(X3,X1,X2)
     => f68(X1,X2,X3) = f57(X3) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => ( p18(X1,X2)
        | p18(X2,X1) ) ) )).

fof(formula_50,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f12(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f20(X5,X6) ) ) ) )).

fof(formula_274,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => p21(f30(X2,X1),f24(X2)) ) )).

fof(formula_167,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p7(f24(X1))
        & p10(f24(X1)) ) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( ? [X2,X3] : X1 = f20(X2,X3)
     => ! [X2] : 
          ( X2 = f40(X1)
        <=> ! [X3,X4] : 
              ( X1 = f20(X3,X4)
             => X2 = X3 ) ) ) )).

fof(formula_106,axiom,(
    $true )).

fof(formula_282,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p1(X1,f29(f62(X3,X2)))
       => ( p1(X1,f29(X3))
          & p1(X1,X2) ) ) ) )).

fof(formula_356,axiom,(
    ! [X1] : f58(c37,X1) = c37 )).

fof(formula_86,axiom,(
    $true )).

fof(formula_370,lemma,(
    ! [X1] : p27(f47(X1)) )).

fof(formula_363,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X3,f11(X1))
     => ~ ( p1(X2,f59(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_388,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p10(X4)
     => ( p1(f20(X1,X2),f65(f19(X3),X4))
      <=> ( p1(X1,X3)
          & p1(f20(X1,X2),X4) ) ) ) )).

fof(formula_29,axiom,(
    ! [X1,X2,X3,X4] : 
      ( X4 = f35(X1,X2,X3)
    <=> ! [X5] : 
          ( p1(X5,X4)
        <=> ~ ( X5 != X1
              & X5 != X2
              & X5 != X3 ) ) ) )).

fof(formula_373,lemma,(
    ! [X1,X2] : 
      ~ ( p21(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_41,axiom,(
    ! [X1] : 
      ( X1 = c37
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_354,lemma,(
    ! [X1,X2] : f58(X1,f58(X1,X2)) = f17(X1,X2) )).

fof(formula_172,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(X1))
     => f59(X1,f59(X1,X2)) = X2 ) )).

fof(formula_148,axiom,(
    p5(c37) )).

fof(formula_75,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ! [X3] : 
              ( ( p10(X3)
                & p9(X3) )
             => ( p64(X1,X2,X3)
              <=> ( f24(X3) = f29(X1)
                  & f57(X3) = f29(X2)
                  & p14(X3)
                  & ! [X4,X5] : 
                      ( p1(f20(X4,X5),X1)
                    <=> ( p1(X4,f29(X1))
                        & p1(X5,f29(X1))
                        & p1(f20(f25(X3,X4),f25(X3,X5)),X2) ) ) ) ) ) ) ) )).

fof(formula_130,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f17(X1,X2)) ) )).

fof(formula_285,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p4(X1,X2) ) )).

fof(formula_94,axiom,(
    $true )).

fof(formula_8,axiom,(
    ! [X1,X2,X3] : 
      ( p4(X3,f11(f12(X1,X2)))
     => p10(X3) ) )).

fof(formula_275,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p36(X4,X3,X1)
     => ( p21(X1,X2)
       => p36(X4,X3,X2) ) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p10(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f20(X3,X4) ) ) )).

fof(formula_67,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(X1))
     => f59(X1,X2) = f58(X1,X2) ) )).

fof(formula_195,axiom,(
    ? [X1] : 
      ( ~ p7(X1)
      & p5(X1)
      & p6(X1)
      & p3(X1)
      & p13(X1) ) )).

fof(formula_175,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_228,lemma,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( p1(X2,X1)
            & X3 = f42(X2)
            & p1(X2,X1)
            & X4 = f42(X2) )
         => X3 = X4 )
     => ? [X2] : 
          ( p10(X2)
          & p9(X2)
          & ! [X3,X4] : 
              ( p1(f20(X3,X4),X2)
            <=> ( p1(X3,X1)
                & p1(X3,X1)
                & X4 = f42(X3) ) ) ) ) )).

fof(formula_156,axiom,(
    ! [X1,X2] : 
      ( ( p10(X1)
        & p10(X2) )
     => p10(f58(X1,X2)) ) )).

fof(formula_204,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p4(X2,f11(X1))
      & p7(X2)
      & p10(X2)
      & p9(X2)
      & p14(X2)
      & p5(X2)
      & p6(X2)
      & p3(X2)
      & p13(X2)
      & p8(X2) ) )).

fof(formula_310,lemma,(
    ! [X1,X2] : 
      ( p21(X1,X2)
     => f17(X1,X2) = X1 ) )).

fof(formula_316,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p1(f20(X1,X2),X3)
       => ( p1(X1,f29(X3))
          & p1(X2,f29(X3)) ) ) ) )).

fof(formula_239,lemma,(
    ! [X1,X2] : 
    ? [X3] : 
    ! [X4] : 
      ( p1(X4,X3)
    <=> ( p1(X4,f12(X1,X2))
        & ? [X5,X6] : 
            ( f20(X5,X6) = X4
            & p1(X5,X1)
            & X6 = f42(X5) ) ) ) )).

fof(formula_183,lemma,(
    ! [X1,X2] : 
      ( p21(f42(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_191,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p21(X1,f53(X2)) ) )).

fof(formula_200,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p9(X1)
      & p14(X1)
      & p7(X1) ) )).

fof(formula_408,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p21(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p21(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p21(X3,X2)
            & ~ p73(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_244,lemma,(
    ! [X1] : 
      ( ( ! [X2,X3,X4] : 
            ( ( p1(X2,X1)
              & X3 = f42(X2)
              & X4 = f42(X2) )
           => X3 = X4 )
        & ! [X2] : 
            ~ ( p1(X2,X1)
              & ! [X3] : X3 != f42(X2) ) )
     => ? [X2] : 
          ( p10(X2)
          & p9(X2)
          & f24(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f25(X2,X3) = f42(X3) ) ) ) )).

fof(formula_299,lemma,(
    ! [X1,X2] : 
      ( p3(X2)
     => ( p1(X1,X2)
       => p3(X1) ) ) )).

fof(formula_369,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( p49(X1)
      <=> p51(X1,f29(X1)) ) ) )).

fof(formula_134,axiom,(
    p72(c37) )).

fof(formula_16,axiom,(
    ! [X1,X2] : f17(X1,X2) = f17(X2,X1) )).

fof(formula_402,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => f24(f22(X2,X1)) = f17(f24(X2),X1) ) )).

fof(formula_212,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p9(X1)
      & p14(X1) ) )).

fof(formula_72,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p32(X1,X2)
        <=> ! [X3,X4] : 
              ~ ( p1(X3,X2)
                & p1(X4,X2)
                & X3 != X4
                & ~ p1(f20(X3,X4),X1)
                & ~ p1(f20(X4,X3),X1) ) ) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ( p31(X1)
      <=> p32(X1,f29(X1)) ) ) )).

fof(formula_74,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ( X2 = f63(X1)
          <=> ! [X3,X4] : 
                ( p1(f20(X3,X4),X2)
              <=> p1(f20(X4,X3),X1) ) ) ) ) )).

fof(formula_190,lemma,(
    ! [X1,X2] : 
      ( p21(X1,f42(X2))
    <=> ( X1 = c37
        | X1 = f42(X2) ) ) )).

fof(formula_278,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p21(X1,X2)
       => p21(f30(X3,X1),f30(X3,X2)) ) ) )).

fof(formula_179,lemma,(
    ! [X1,X2] : 
      ~ ( p50(f42(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_247,axiom,(
    ! [X1,X2] : 
      ( p56(X1,X2)
     => p56(X2,X1) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p4(X2,f11(X1))
         => p8(X2) ) ) )).

fof(formula_208,axiom,(
    ? [X1] : 
      ( ~ p7(X1)
      & p10(X1) ) )).

fof(formula_78,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ! [X3] : 
              ( p10(X3)
             => ( X3 = f65(X1,X2)
              <=> ! [X4,X5] : 
                    ( p1(f20(X4,X5),X3)
                  <=> ? [X6] : 
                        ( p1(f20(X4,X6),X1)
                        & p1(f20(X6,X5),X2) ) ) ) ) ) ) )).

fof(formula_87,axiom,(
    $true )).

fof(formula_82,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ( p14(X1)
       => f67(X1) = f63(X1) ) ) )).

fof(formula_113,axiom,(
    ! [X1,X2,X3] : 
      ( p44(X3,X1,X2)
     => p4(f68(X1,X2,X3),f11(X2)) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p5(X1)
        & p6(X1) ) ) )).

fof(formula_246,axiom,(
    ! [X1,X2] : 
      ( p50(X1,X2)
     => p50(X2,X1) ) )).

fof(formula_141,axiom,(
    ! [X1,X2] : ~ p7(f20(X1,X2)) )).

fof(formula_131,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p7(f63(X1))
        & p10(f63(X1)) ) ) )).

fof(formula_334,axiom,(
    ! [X1] : f58(X1,c37) = X1 )).

fof(formula_281,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => f62(X2,X1) = f26(X1,f22(X2,X1)) ) )).

fof(formula_123,axiom,(
    $true )).

fof(formula_277,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ~ ( X1 != c37
          & p21(X1,f57(X2))
          & f30(X2,X1) = c37 ) ) )).

fof(formula_397,axiom,(
    ! [X1,X2] : 
      ~ ( p7(X1)
        & X1 != X2
        & p7(X2) ) )).

fof(formula_111,axiom,(
    $true )).

fof(formula_405,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => p21(f57(f22(X2,X1)),f57(X2)) ) )).

fof(formula_250,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f15(X1,X2) = f15(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_55,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f17(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ( X2 = f42(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ( X2 = f11(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p21(X3,X1) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p7(X1)
        & p9(X1) )
     => ( p10(X1)
        & p9(X1)
        & p14(X1) ) ) )).

fof(formula_110,axiom,(
    $true )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p9(X1) ) )).

fof(formula_328,lemma,(
    ! [X1,X2] : 
      ( f58(X1,X2) = c37
    <=> p21(X1,X2) ) )).

fof(formula_399,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( p60(X1,f29(X1))
      <=> p54(X1) ) ) )).

fof(formula_311,axiom,(
    ! [X1] : f17(X1,c37) = c37 )).

fof(formula_265,lemma,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => p21(f23(X2,f30(X2,X1)),X1) ) )).

fof(formula_56,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ! [X2,X3] : 
          ( ( p1(X2,f24(X1))
           => ( X3 = f25(X1,X2)
            <=> p1(f20(X2,X3),X1) ) )
          & ( ~ p1(X2,f24(X1))
           => ( X3 = f25(X1,X2)
            <=> X3 = c37 ) ) ) ) )).

fof(formula_77,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ( p14(X1)
      <=> ! [X2,X3] : 
            ( ( p1(X2,f24(X1))
              & p1(X3,f24(X1))
              & f25(X1,X2) = f25(X1,X3) )
           => X2 = X3 ) ) ) )).

fof(formula_146,axiom,(
    p14(c37) )).

fof(formula_294,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => p21(f46(f62(X3,X1),X2),f46(X3,X2)) ) )).

fof(formula_107,axiom,(
    $true )).

fof(formula_271,conjecture,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f17(X1,X2)) ) )).

fof(formula_340,lemma,(
    ! [X1,X2] : f58(f16(X1,X2),X2) = f58(X1,X2) )).

fof(formula_101,axiom,(
    ! [X1,X2] : 
      ( p10(X1)
     => p10(f62(X1,X2)) ) )).

fof(formula_392,lemma,(
    ! [X1] : 
      ( p3(X1)
     => p54(f47(X1)) ) )).

fof(formula_302,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ~ ( ~ p1(X1,X2)
              & X1 != X2
              & ~ p1(X2,X1) ) ) ) )).

fof(formula_249,lemma,(
    ! [X1] : p1(X1,f41(X1)) )).

fof(formula_120,axiom,(
    ! [X1,X2] : 
      ( p10(X2)
     => p10(f26(X1,X2)) ) )).

fof(formula_218,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => f69(X1,X2) = f53(X2) ) )).

fof(formula_79,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p34(X1,X2)
        <=> ! [X3,X4,X5] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(X5,X2)
                & p1(f20(X3,X4),X1)
                & p1(f20(X4,X5),X1) )
             => p1(f20(X3,X5),X1) ) ) ) )).

fof(formula_154,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1)
        & p14(X1) )
     => ( p10(f63(X1))
        & p9(f63(X1)) ) ) )).

fof(formula_98,axiom,(
    $true )).

fof(formula_371,lemma,(
    f24(c37) = c37 )).

fof(formula_348,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ( p21(f57(X1),f24(X2))
           => f24(f65(X1,X2)) = f24(X1) ) ) ) )).

fof(formula_199,axiom,(
    ? [X1] : 
      ( p5(X1)
      & p6(X1)
      & p3(X1) ) )).

fof(formula_355,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ! [X3] : 
              ( ( p10(X3)
                & p9(X3) )
             => ( p64(X1,X2,X3)
               => p64(X2,X1,f67(X3)) ) ) ) ) )).

fof(formula_145,axiom,(
    p9(c37) )).

fof(formula_307,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p10(X2)
      & p60(X2,X1) ) )).

fof(formula_349,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => ~ ( X2 != c37
          & f66(X1,X2) = c37 ) ) )).

fof(formula_108,axiom,(
    ! [X1] : 
      ( p10(X1)
     => p10(f63(X1)) ) )).

fof(formula_266,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => f23(X2,X1) = f23(X2,f17(f24(X2),X1)) ) )).

fof(formula_149,axiom,(
    p6(c37) )).

fof(formula_229,lemma,(
    ! [X1] : 
      ( ? [X2] : 
          ( p3(X2)
          & p1(X2,X1) )
     => ? [X2] : 
          ( p3(X2)
          & p1(X2,X1)
          & ! [X3] : 
              ( p3(X3)
             => ( p1(X3,X1)
               => p18(X2,X3) ) ) ) ) )).

fof(formula_117,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f11(X1))
        & p4(X3,f11(X1)) )
     => p4(f71(X1,X2,X3),f11(X1)) ) )).

fof(formula_220,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f11(X1))
        & p4(X3,f11(X1)) )
     => f71(X1,X2,X3) = f58(X2,X3) ) )).

fof(formula_336,axiom,(
    ! [X1,X2] : 
      ( p4(X1,f11(X2))
    <=> p21(X1,X2) ) )).

fof(formula_403,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p21(X1,f53(X2)) ) )).

fof(formula_300,lemma,(
    ! [X1,X2,X3] : 
      ( p36(X3,X1,X2)
     => ( ! [X4] : 
            ~ ( p1(X4,X2)
              & ! [X5] : ~ p1(f20(X5,X4),X3) )
      <=> f68(X1,X2,X3) = X2 ) ) )).

fof(formula_401,lemma,(
    ! [X1,X2,X3] : 
      ( f42(X1) = f15(X2,X3)
     => X1 = X2 ) )).

fof(formula_325,lemma,(
    ! [X1,X2] : 
      ( p1(X2,X1)
     => f25(f19(X1),X2) = X2 ) )).

fof(formula_344,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => p21(f24(f65(X1,X2)),f24(X1)) ) ) )).

fof(formula_63,axiom,(
    ! [X1,X2] : 
      ( p56(X1,X2)
    <=> ? [X3] : 
          ( p10(X3)
          & p9(X3)
          & p14(X3)
          & f24(X3) = X1
          & f57(X3) = X2 ) ) )).

fof(formula_226,axiom,(
    ! [X1,X2] : p56(X1,X1) )).

fof(formula_96,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ( p10(f67(X1))
        & p9(f67(X1)) ) ) )).

fof(formula_329,lemma,(
    ! [X1,X2] : 
      ( p21(f42(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_206,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p9(X1)
      & p14(X1)
      & p7(X1)
      & p5(X1)
      & p6(X1)
      & p3(X1) ) )).

fof(formula_303,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p33(X2)
       => p33(f62(X2,X1)) ) ) )).

fof(formula_47,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f15(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_376,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( ( f24(X1) = c37
          | f57(X1) = c37 )
       => X1 = c37 ) ) )).

fof(formula_400,lemma,(
    ! [X1,X2,X3] : 
      ( ( p21(X1,X2)
        & p21(X3,X2) )
     => p21(f16(X1,X3),X2) ) )).

fof(formula_189,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( p31(X1)
      <=> ! [X2,X3] : 
            ~ ( p1(X2,f29(X1))
              & p1(X3,f29(X1))
              & X2 != X3
              & ~ p1(f20(X2,X3),X1)
              & ~ p1(f20(X3,X2),X1) ) ) ) )).

fof(formula_305,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p27(X2)
       => p27(f62(X2,X1)) ) ) )).

fof(formula_51,axiom,(
    ! [X1] : 
      ( p6(X1)
    <=> ! [X2,X3] : 
          ~ ( p1(X2,X1)
            & p1(X3,X1)
            & ~ p1(X2,X3)
            & X2 != X3
            & ~ p1(X3,X2) ) ) )).

fof(formula_31,axiom,(
    ! [X1,X2,X3] : 
      ( p36(X3,X1,X2)
     => ( ( ( X2 = c37
           => X1 = c37 )
         => ( p38(X3,X1,X2)
          <=> X1 = f39(X1,X2,X3) ) )
        & ( X2 = c37
         => ( X1 = c37
            | ( p38(X3,X1,X2)
            <=> X3 = c37 ) ) ) ) ) )).

fof(formula_57,axiom,(
    ! [X1] : 
      ( p3(X1)
    <=> ( p5(X1)
        & p6(X1) ) ) )).

fof(formula_283,lemma,(
    ! [X1,X2,X3] : 
      ( ( p21(X1,X2)
        & p21(X1,X3) )
     => p21(X1,f17(X2,X3)) ) )).

fof(formula_379,lemma,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => ! [X3] : 
          ( ( p10(X3)
            & p9(X3) )
         => ( X2 = f22(X3,X1)
          <=> ( f24(X2) = f17(f24(X3),X1)
              & ! [X4] : 
                  ( p1(X4,f24(X2))
                 => f25(X2,X4) = f25(X3,X4) ) ) ) ) ) )).

fof(formula_225,axiom,(
    ! [X1,X2] : p21(X1,X1) )).

fof(formula_135,axiom,(
    ! [X1,X2] : 
      ( ( p10(X1)
        & p72(X1) )
     => ( p10(f22(X1,X2))
        & p72(f22(X1,X2)) ) ) )).

fof(formula_109,axiom,(
    ! [X1,X2,X3] : 
      ( p44(X3,X1,X2)
     => p4(f39(X1,X2,X3),f11(X1)) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2,X3] : 
          ( X3 = f23(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f20(X5,X4),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_256,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => f57(f26(X1,X2)) = f17(f57(X2),X1) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p8(X1) ) )).

fof(formula_223,axiom,(
    ! [X1,X2] : 
      ( p56(X1,X2)
    <=> p73(X1,X2) ) )).

fof(formula_330,lemma,(
    ! [X1,X2,X3] : 
      ( p21(f15(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & p6(X1) )
     => p3(X1) ) )).

fof(formula_261,lemma,(
    ! [X1,X2] : 
      ( ( p21(X1,X2)
        & p8(X2) )
     => p8(X1) ) )).

fof(formula_185,lemma,(
    ! [X1,X2] : 
      ( f58(X1,X2) = c37
    <=> p21(X1,X2) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2,X3] : 
          ( X3 = f30(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f20(X4,X5),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_150,axiom,(
    p3(c37) )).

fof(formula_69,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p60(X1,X2)
        <=> ( p43(X1,X2)
            & p34(X1,X2)
            & p28(X1,X2)
            & p32(X1,X2)
            & p51(X1,X2) ) ) ) )).

fof(formula_227,lemma,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p10(X2) )
     => ( ! [X3,X4,X5] : 
            ( ( p1(X3,X1)
              & ? [X6] : 
                  ( X3 = X6
                  & p1(X4,X6)
                  & ! [X7] : 
                      ( p1(X7,X6)
                     => p1(f20(X4,X7),X2) ) )
              & p1(X3,X1)
              & ? [X8] : 
                  ( X3 = X8
                  & p1(X5,X8)
                  & ! [X9] : 
                      ( p1(X9,X8)
                     => p1(f20(X5,X9),X2) ) ) )
           => X4 = X5 )
       => ? [X3] : 
            ( p10(X3)
            & p9(X3)
            & ! [X4,X5] : 
                ( p1(f20(X4,X5),X3)
              <=> ( p1(X4,X1)
                  & p1(X4,X1)
                  & ? [X10] : 
                      ( X4 = X10
                      & p1(X5,X10)
                      & ! [X11] : 
                          ( p1(X11,X10)
                         => p1(f20(X5,X11),X2) ) ) ) ) ) ) ) )).

fof(formula_276,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p1(X1,f62(X3,X2))
      <=> ( p1(X1,X3)
          & p1(X1,f12(X2,X2)) ) ) ) )).

fof(formula_59,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p28(X1,X2)
        <=> ! [X3,X4] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(f20(X3,X4),X1)
                & p1(f20(X4,X3),X1) )
             => X3 = X4 ) ) ) )).

fof(formula_100,axiom,(
    $true )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p21(X1,X2)
        & p21(X2,X1) ) ) )).

fof(formula_165,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p10(X1) )
     => ~ p7(f24(X1)) ) )).

fof(formula_170,axiom,(
    ! [X1,X2] : f16(X1,X1) = X1 )).

fof(formula_320,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p54(X2)
       => p54(f62(X2,X1)) ) ) )).

fof(formula_162,axiom,(
    p10(c37) )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ( p21(X1,X2)
          <=> ! [X3,X4] : 
                ( p1(f20(X3,X4),X1)
               => p1(f20(X3,X4),X2) ) ) ) ) )).

fof(formula_95,axiom,(
    $true )).

fof(formula_367,lemma,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => ( ( p14(X2)
          & p1(X1,f57(X2)) )
       => ( X1 = f25(X2,f25(f67(X2),X1))
          & X1 = f25(f65(f67(X2),X2),X1) ) ) ) )).

fof(formula_49,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f16(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_144,axiom,(
    p72(c37) )).

fof(formula_104,axiom,(
    $true )).

fof(formula_45,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ( X1 = X2
          <=> ! [X3,X4] : 
                ( p1(f20(X3,X4),X1)
              <=> p1(f20(X3,X4),X2) ) ) ) ) )).

fof(formula_409,lemma,(
    ! [X1,X2,X3] : 
      ( f42(X1) = f15(X2,X3)
     => X2 = X3 ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p5(X2)
            & p6(X2)
            & p3(X2) ) ) ) )).

fof(formula_76,axiom,(
    ! [X1,X2] : 
      ( p50(X1,X2)
    <=> f17(X1,X2) = c37 ) )).

fof(formula_383,lemma,(
    ! [X1] : 
      ( p3(X1)
     => p49(f47(X1)) ) )).

fof(formula_377,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( f24(X1) = c37
      <=> f57(X1) = c37 ) ) )).

fof(formula_255,lemma,(
    ! [X1,X2,X3] : 
      ( p21(X1,X2)
     => ( p21(f12(X1,X3),f12(X2,X3))
        & p21(f12(X3,X1),f12(X3,X2)) ) ) )).

fof(formula_65,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ! [X2] : 
          ( X2 = f57(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : 
                  ( p1(X4,f24(X1))
                  & X3 = f25(X1,X4) ) ) ) ) )).

fof(formula_268,lemma,(
    ! [X1] : 
      ( p10(X1)
     => f23(X1,f24(X1)) = f57(X1) ) )).

fof(formula_97,axiom,(
    $true )).

fof(formula_137,axiom,(
    ! [X1] : ~ p7(f41(X1)) )).

fof(formula_168,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p7(f57(X1))
        & p10(f57(X1)) ) ) )).

fof(formula_236,axiom,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( X2 = X3
            & p3(X3)
            & X2 = X4
            & p3(X4) )
         => X3 = X4 )
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X4,X1)
              & X4 = X3
              & p3(X3) ) ) ) )).

fof(formula_138,axiom,(
    ! [X1,X2] : 
      ( ( p10(X1)
        & p10(X2) )
     => p10(f17(X1,X2)) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : f15(X1,X2) = f15(X2,X1) )).

fof(formula_362,lemma,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ( p14(X1)
       => ! [X2] : 
            ( ( p10(X2)
              & p9(X2) )
           => ( X2 = f67(X1)
            <=> ( f24(X2) = f57(X1)
                & ! [X3,X4] : 
                    ( ( ( p1(X3,f57(X1))
                        & X4 = f25(X2,X3) )
                     => ( p1(X4,f24(X1))
                        & X3 = f25(X1,X4) ) )
                    & ( ( p1(X4,f24(X1))
                        & X3 = f25(X1,X4) )
                     => ( p1(X3,f57(X1))
                        & X4 = f25(X2,X3) ) ) ) ) ) ) ) ) )).

fof(formula_36,axiom,(
    ! [X1,X2,X3] : 
      ( p44(X3,X1,X2)
    <=> p21(X3,f12(X1,X2)) ) )).

fof(formula_389,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p7(X2) ) )).

fof(formula_90,axiom,(
    $true )).

fof(formula_112,axiom,(
    ! [X1,X2] : 
      ( ( p10(X1)
        & p10(X2) )
     => p10(f65(X1,X2)) ) )).

fof(formula_33,axiom,(
    ! [X1] : f41(X1) = f16(X1,f42(X1)) )).

fof(formula_68,axiom,(
    ! [X1,X2] : f20(X1,X2) = f15(f15(X1,X2),f42(X1)) )).

fof(formula_358,lemma,(
    ! [X1] : 
      ( p3(X1)
     => p31(f47(X1)) ) )).

fof(formula_374,lemma,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ( p14(X1)
       => p14(f67(X1)) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_293,lemma,(
    ! [X1] : 
      ( p10(X1)
     => p21(X1,f12(f24(X1),f57(X1))) ) )).

fof(formula_133,axiom,(
    p10(c37) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ( p33(X1)
      <=> p34(X1,f29(X1)) ) ) )).

fof(formula_240,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X2)
        & p10(X3)
        & p9(X3) )
     => ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f12(X1,X1))
            & ? [X6,X7] : 
                ( X5 = f20(X6,X7)
                & p1(f20(f25(X3,X6),f25(X3,X7)),X2) ) ) ) ) )).

fof(formula_203,axiom,(
    ? [X1] : p7(X1) )).

fof(formula_159,axiom,(
    ! [X1,X2] : 
      ( ( p10(X1)
        & p9(X1) )
     => ( p10(f22(X1,X2))
        & p9(f22(X1,X2)) ) ) )).

fof(formula_92,axiom,(
    $true )).

fof(formula_322,lemma,(
    ! [X1,X2,X3] : 
      ( p21(X1,X2)
     => p21(f58(X1,X3),f58(X2,X3)) ) )).

fof(formula_99,axiom,(
    ! [X1] : p4(f52(X1),f11(X1)) )).

fof(formula_103,axiom,(
    $true )).

fof(formula_187,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( p27(X1)
      <=> ! [X2,X3] : 
            ( ( p1(f20(X2,X3),X1)
              & p1(f20(X3,X2),X1) )
           => X2 = X3 ) ) ) )).

fof(formula_318,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p49(X2)
       => p49(f62(X2,X1)) ) ) )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( ? [X2,X3] : X1 = f20(X2,X3)
     => ! [X2] : 
          ( X2 = f48(X1)
        <=> ! [X3,X4] : 
              ( X1 = f20(X3,X4)
             => X2 = X4 ) ) ) )).

fof(formula_188,lemma,(
    ! [X1,X2,X3] : 
      ( p21(X1,X2)
     => ( p1(X3,X1)
        | p21(X1,f58(X2,f42(X3))) ) ) )).

fof(formula_152,axiom,(
    ! [X1] : ~ p7(f42(X1)) )).

fof(formula_209,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p4(X2,f11(X1))
      & p7(X2) ) )).

fof(formula_387,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X3)
        & p9(X3) )
     => ( p1(X2,X1)
       => f25(f22(X3,X1),X2) = f25(X3,X2) ) ) )).

fof(formula_71,axiom,(
    ! [X1] : 
      ( p10(X1)
     => f29(X1) = f16(f24(X1),f57(X1)) ) )).

fof(formula_343,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f11(X1))
     => ! [X3] : 
          ( p4(X3,f11(X1))
         => ( p50(X2,X3)
          <=> p21(X2,f59(X1,X3)) ) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ! [X2,X3] : 
          ( X3 = f30(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( p1(X4,f24(X1))
                & p1(f25(X1,X4),X2) ) ) ) ) )).

fof(formula_406,lemma,(
    ! [X1] : f53(f11(X1)) = X1 )).

fof(formula_368,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p4(X2,f11(X3))
        & p7(X3) ) )).

fof(formula_273,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p1(X1,f30(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f57(X3))
            & p1(f20(X1,X4),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_231,axiom,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p10(X2) )
     => ( ! [X3,X4,X5] : 
            ( ( p1(X3,X1)
              & ? [X6] : 
                  ( X3 = X6
                  & p1(X4,X6)
                  & ! [X7] : 
                      ( p1(X7,X6)
                     => p1(f20(X4,X7),X2) ) )
              & p1(X3,X1)
              & ? [X8] : 
                  ( X3 = X8
                  & p1(X5,X8)
                  & ! [X9] : 
                      ( p1(X9,X8)
                     => p1(f20(X5,X9),X2) ) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,X1)
                & p1(X5,X1)
                & ? [X10] : 
                    ( X5 = X10
                    & p1(X4,X10)
                    & ! [X11] : 
                        ( p1(X11,X10)
                       => p1(f20(X4,X11),X2) ) ) ) ) ) ) )).

fof(formula_237,axiom,(
    ! [X1,X2] : 
      ( p3(X2)
     => ( ! [X3,X4,X5] : 
            ( ( X3 = X4
              & ? [X6] : 
                  ( p3(X6)
                  & X4 = X6
                  & p1(X6,X1) )
              & X3 = X5
              & ? [X7] : 
                  ( p3(X7)
                  & X5 = X7
                  & p1(X7,X1) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,f41(X2))
                & X5 = X4
                & ? [X8] : 
                    ( p3(X8)
                    & X4 = X8
                    & p1(X8,X1) ) ) ) ) ) )).

fof(formula_157,axiom,(
    ! [X1,X2] : ~ p7(f15(X1,X2)) )).

fof(formula_196,axiom,(
    ? [X1] : 
      ( ~ p7(X1)
      & p8(X1) ) )).

fof(formula_234,axiom,(
    ! [X1,X2] : 
      ( ! [X3,X4,X5] : 
          ( ( X3 = X4
            & ? [X6,X7] : 
                ( f20(X6,X7) = X4
                & p1(X6,X1)
                & X7 = f42(X6) )
            & X3 = X5
            & ? [X8,X9] : 
                ( f20(X8,X9) = X5
                & p1(X8,X1)
                & X9 = f42(X8) ) )
         => X4 = X5 )
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5] : 
              ( p1(X5,f12(X1,X2))
              & X5 = X4
              & ? [X10,X11] : 
                  ( f20(X10,X11) = X4
                  & p1(X10,X1)
                  & X11 = f42(X10) ) ) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p9(X1)
    <=> ! [X2,X3,X4] : 
          ( ( p1(f20(X2,X3),X1)
            & p1(f20(X2,X4),X1) )
         => X3 = X4 ) ) )).

fof(formula_173,axiom,(
    ! [X1] : 
      ( p10(X1)
     => f63(f63(X1)) = X1 ) )).

fof(formula_160,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p5(f53(X1))
        & p6(f53(X1))
        & p3(f53(X1)) ) ) )).

fof(formula_53,axiom,(
    ! [X1,X2] : 
      ( p21(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_384,lemma,(
    ! [X1,X2] : 
      ( p21(f42(X1),f42(X2))
     => X1 = X2 ) )).

fof(formula_361,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ! [X3] : 
              ( ( p10(X3)
                & p9(X3) )
             => ( p64(X1,X2,X3)
               => ( ( p55(X1)
                   => p55(X2) )
                  & ( p33(X1)
                   => p33(X2) )
                  & ( p31(X1)
                   => p31(X2) )
                  & ( p27(X1)
                   => p27(X2) )
                  & ( p49(X1)
                   => p49(X2) ) ) ) ) ) ) )).

fof(formula_181,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => p21(f24(f26(X1,X2)),f24(X2)) ) )).

fof(formula_313,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_360,lemma,(
    ! [X1] : 
      ( X1 != c37
     => ! [X2] : 
          ( p4(X2,f11(X1))
         => ! [X3] : 
              ( p4(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f59(X1,X2)) ) ) ) ) )).

fof(formula_105,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(X1))
     => p4(f59(X1,X2),f11(X1)) ) )).

fof(formula_180,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p50(f42(X1),X2) ) )).

fof(formula_382,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p9(X4)
        & p38(X4,X1,X2)
        & p36(X4,X1,X2) )
     => ( p1(X3,X1)
       => ( X2 = c37
          | p1(f25(X4,X3),f57(X4)) ) ) ) )).

fof(formula_347,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p9(X4)
        & p38(X4,X1,X2)
        & p36(X4,X1,X2) )
     => ( X2 != c37
       => ! [X5] : 
            ( p1(X5,f30(X4,X3))
          <=> ( p1(X5,X1)
              & p1(f25(X4,X5),X3) ) ) ) ) )).

fof(formula_289,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p21(f29(f62(X2,X1)),f29(X2))
        & p21(f29(f62(X2,X1)),X1) ) ) )).

fof(formula_202,axiom,(
    ! [X1] : 
      ( ~ p7(X1)
     => ? [X2] : 
          ( p4(X2,f11(X1))
          & ~ p7(X2) ) ) )).

fof(formula_81,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p21(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_85,axiom,(
    $true )).

fof(formula_248,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f20(X1,X2),f12(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_381,axiom,(
    ! [X1] : 
      ( p7(X1)
     => X1 = c37 ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : f16(X1,X2) = f16(X2,X1) )).

fof(formula_284,axiom,(
    ! [X1] : f16(X1,c37) = X1 )).

fof(formula_286,lemma,(
    ! [X1,X2,X3] : 
      ( ( p21(X1,X2)
        & p21(X2,X3) )
     => p21(X1,X3) ) )).

fof(formula_207,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p44(X3,X1,X2)
      & p10(X3)
      & p9(X3) ) )).

fof(formula_64,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f58(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_279,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => f62(X2,X1) = f22(f26(X1,X2),X1) ) )).

fof(formula_39,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2,X3] : 
          ( X3 = f46(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( X4 != X2
                & p1(f20(X4,X2),X1) ) ) ) ) )).

fof(formula_233,axiom,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( p1(X2,X1)
            & X3 = f42(X2)
            & p1(X2,X1)
            & X4 = f42(X2) )
         => X3 = X4 )
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X4,X1)
              & p1(X4,X1)
              & X3 = f42(X4) ) ) ) )).

fof(formula_306,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p60(X2,X1)
       => ( f29(f62(X2,X1)) = X1
          & p54(f62(X2,X1)) ) ) ) )).

fof(formula_174,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => f66(X1,f66(X1,X2)) = X2 ) )).

fof(formula_147,axiom,(
    p7(c37) )).

fof(formula_357,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p4(X2,f11(X3)) )
     => p4(X1,X3) ) )).

fof(formula_295,lemma,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => ! [X3] : 
          ( ( p10(X3)
            & p9(X3) )
         => ( p1(X1,f24(f65(X3,X2)))
           => f25(f65(X3,X2),X1) = f25(X2,f25(X3,X1)) ) ) ) )).

fof(formula_365,lemma,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ( p14(X1)
       => ( f57(X1) = f24(f67(X1))
          & f24(X1) = f57(f67(X1)) ) ) ) )).

fof(formula_260,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p21(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f11(X3),X2) )
      & ! [X3] : 
          ~ ( p21(X3,X2)
            & ~ p73(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_84,axiom,(
    $true )).

fof(formula_166,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p10(X1) )
     => ~ p7(f57(X1)) ) )).

fof(formula_214,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p72(X1) ) )).

fof(formula_267,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p21(X1,f24(X2))
       => p21(X1,f30(X2,f23(X2,X1))) ) ) )).

fof(formula_93,axiom,(
    ! [X1] : p10(f47(X1)) )).

fof(formula_309,lemma,(
    ! [X1] : 
      ( ~ p7(X1)
     => ~ ( ! [X2] : 
              ~ ( p1(X2,X1)
                & X2 = c37 )
          & ! [X2] : 
              ( ( p10(X2)
                & p9(X2) )
             => ~ ( f24(X2) = X1
                  & ! [X3] : 
                      ( p1(X3,X1)
                     => p1(f25(X2,X3),X3) ) ) ) ) ) )).

fof(formula_301,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p31(X2)
       => p31(f62(X2,X1)) ) ) )).

fof(formula_219,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => f70(X1,X2) = f45(X2) ) )).

fof(formula_385,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X3)
        & p9(X3) )
     => ( p1(X2,f24(f22(X3,X1)))
       => f25(f22(X3,X1),X2) = f25(X3,X2) ) ) )).

fof(formula_341,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ( p61(X1)
      <=> ! [X2] : 
            ( p3(X2)
           => ( p1(X2,X1)
             => p1(f41(X2),X1) ) ) ) ) )).

fof(formula_102,axiom,(
    $true )).

fof(formula_380,lemma,(
    ! [X1] : f15(X1,X1) = f42(X1) )).

fof(formula_221,axiom,(
    ! [X1,X2,X3] : 
      ( p36(X3,X1,X2)
    <=> p44(X3,X1,X2) ) )).

fof(formula_66,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( X2 = f57(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f20(X4,X3),X1) ) ) ) )).

fof(formula_272,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => f57(f65(X1,X2)) = f23(X2,f57(X1)) ) ) )).

fof(formula_297,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p55(X2)
       => p55(f62(X2,X1)) ) ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( ( X1 != c37
       => ( X2 = f45(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ! [X4] : 
                  ( p1(X4,X1)
                 => p1(X3,X4) ) ) ) )
      & ( X1 = c37
       => ( X2 = f45(X1)
        <=> X2 = c37 ) ) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
       => ( p4(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p7(X1)
       => ( p4(X2,X1)
        <=> p7(X2) ) ) ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( X2 = f47(X1)
      <=> ( f29(X2) = X1
          & ! [X3,X4] : 
              ( ( p1(X3,X1)
                & p1(X4,X1) )
             => ( p1(f20(X3,X4),X2)
              <=> p21(X3,X4) ) ) ) ) ) )).

fof(formula_339,lemma,(
    ! [X1] : 
      ( p21(X1,c37)
     => X1 = c37 ) )).

fof(formula_70,axiom,(
    ! [X1] : 
      ( p61(X1)
    <=> X1 = f53(X1) ) )).

fof(formula_259,lemma,(
    ! [X1,X2] : 
      ( p21(X1,X2)
     => f16(X1,X2) = X2 ) )).

fof(formula_126,axiom,(
    ! [X1] : 
    ? [X2] : p4(X2,X1) )).

fof(formula_333,lemma,(
    ! [X1,X2] : 
      ( p21(X1,f42(X2))
    <=> ( X1 = c37
        | X1 = f42(X2) ) ) )).

fof(formula_335,lemma,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p1(X2,X3)
        & p1(X3,X1) ) )).

fof(formula_119,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => p4(f66(X1,X2),f11(f11(X1))) ) )).

fof(formula_89,axiom,(
    $true )).

fof(formula_54,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p51(X1,X2)
        <=> ! [X3] : 
              ~ ( p21(X3,X2)
                & X3 != c37
                & ! [X4] : 
                    ~ ( p1(X4,X3)
                      & p50(f46(X1,X4),X3) ) ) ) ) )).

fof(formula_372,lemma,(
    f57(c37) = c37 )).

fof(formula_351,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ( p21(f24(X1),f57(X2))
           => f57(f65(X2,X1)) = f57(X1) ) ) ) )).

fof(formula_312,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
     => ( p7(X2)
        | p1(X1,X2) ) ) )).

fof(formula_210,axiom,(
    ? [X1] : ~ p7(X1) )).

fof(formula_390,lemma,(
    ! [X1,X2] : 
      ( f40(f20(X1,X2)) = X1
      & f48(f20(X1,X2)) = X2 ) )).

fof(formula_327,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( f57(X1) = f24(f63(X1))
        & f24(X1) = f57(f63(X1)) ) ) )).

fof(formula_132,axiom,(
    p7(c37) )).

fof(formula_263,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p1(X1,f23(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f24(X3))
            & p1(f20(X4,X1),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_251,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p1(X1,f57(f26(X2,X3)))
      <=> ( p1(X1,X2)
          & p1(X1,f57(X3)) ) ) ) )).

fof(formula_143,axiom,(
    p10(c37) )).

fof(formula_184,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ~ ( p54(X2)
          & p56(X1,f29(X2))
          & ! [X3] : 
              ( p10(X3)
             => ~ p60(X3,X1) ) ) ) )).

fof(formula_182,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( p33(X1)
      <=> ! [X2,X3,X4] : 
            ( ( p1(f20(X2,X3),X1)
              & p1(f20(X3,X4),X1) )
           => p1(f20(X2,X4),X1) ) ) ) )).

fof(formula_298,lemma,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => ! [X3] : 
          ( ( p10(X3)
            & p9(X3) )
         => ( p1(X1,f24(X2))
           => f25(f65(X2,X3),X1) = f25(X3,f25(X2,X1)) ) ) ) )).

fof(formula_91,axiom,(
    $true )).

fof(formula_304,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ( p21(X1,X2)
           => ( p21(f24(X1),f24(X2))
              & p21(f57(X1),f57(X2)) ) ) ) ) )).

fof(formula_317,lemma,(
    ! [X1] : 
      ( ! [X2] : 
          ( p1(X2,X1)
         => ( p3(X2)
            & p21(X2,X1) ) )
     => p3(X1) ) )).

fof(formula_224,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => p18(X1,X1) ) )).

fof(formula_375,lemma,(
    ! [X1,X2,X3] : 
      ( ( p21(X1,X2)
        & p50(X2,X3) )
     => p50(X1,X3) ) )).

fof(formula_198,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p44(X3,X1,X2)
      & p10(X3)
      & p9(X3)
      & p38(X3,X1,X2) ) )).

fof(formula_332,lemma,(
    ! [X1,X2] : f16(X1,f58(X2,X1)) = f16(X1,X2) )).

fof(formula_88,axiom,(
    $true )).

fof(formula_269,lemma,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => ( p21(X1,f57(X2))
       => f23(X2,f30(X2,X1)) = X1 ) ) )).

fof(formula_177,lemma,(
    ! [X1] : f42(X1) != c37 )).

fof(formula_205,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p7(X1)
      & p9(X1) ) )).

fof(formula_213,axiom,(
    ? [X1] : 
      ( ~ p7(X1)
      & p5(X1)
      & p6(X1)
      & p3(X1) ) )).

fof(formula_396,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => p21(f22(X2,X1),X2) ) )).

fof(formula_186,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f11(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_216,axiom,(
    ! [X1,X2,X3] : 
      ( p44(X3,X1,X2)
     => f39(X1,X2,X3) = f24(X3) ) )).

fof(formula_378,lemma,(
    ! [X1,X2] : 
      ( f58(X1,f42(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_192,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f20(X1,X2),f12(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_346,lemma,(
    ! [X1,X2] : 
      ( p21(X1,X2)
     => X2 = f16(X1,f58(X2,X1)) ) )).

fof(formula_243,lemma,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p10(X2) )
     => ( ( ! [X3,X4,X5] : 
              ( ( p1(X3,X1)
                & ? [X6] : 
                    ( X3 = X6
                    & p1(X4,X6)
                    & ! [X7] : 
                        ( p1(X7,X6)
                       => p1(f20(X4,X7),X2) ) )
                & ? [X8] : 
                    ( X3 = X8
                    & p1(X5,X8)
                    & ! [X9] : 
                        ( p1(X9,X8)
                       => p1(f20(X5,X9),X2) ) ) )
             => X4 = X5 )
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & ! [X4] : 
                    ~ ? [X10] : 
                        ( X3 = X10
                        & p1(X4,X10)
                        & ! [X11] : 
                            ( p1(X11,X10)
                           => p1(f20(X4,X11),X2) ) ) ) )
       => ? [X3] : 
            ( p10(X3)
            & p9(X3)
            & f24(X3) = X1
            & ! [X4] : 
                ( p1(X4,X1)
               => ? [X12] : 
                    ( X4 = X12
                    & p1(f25(X3,X4),X12)
                    & ! [X13] : 
                        ( p1(X13,X12)
                       => p1(f20(f25(X3,X4),X13),X2) ) ) ) ) ) ) )).

fof(formula_395,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p1(X1,f24(f22(X3,X2)))
      <=> ( p1(X1,X2)
          & p1(X1,f24(X3)) ) ) ) )).

fof(formula_326,lemma,(
    ! [X1,X2] : p21(f58(X1,X2),X1) )).

fof(formula_171,axiom,(
    ! [X1,X2] : f17(X1,X1) = X1 )).

fof(formula_258,lemma,(
    ! [X1,X2,X3] : 
      ( p36(X3,X1,X2)
     => ( p21(f24(X3),X1)
        & p21(f57(X3),X2) ) ) )).

fof(formula_280,lemma,(
    ! [X1,X2] : p21(f17(X1,X2),X1) )).

fof(formula_118,axiom,(
    ! [X1,X2] : 
      ( p10(X1)
     => p10(f22(X1,X2)) ) )).

fof(formula_169,axiom,(
    ! [X1,X2] : 
      ( ( p7(X1)
        & p10(X2) )
     => ( p7(f65(X1,X2))
        & p10(f65(X1,X2)) ) ) )).

fof(formula_404,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => f22(X2,X1) = f65(f19(X1),X2) ) )).

fof(formula_194,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X3)
        & p9(X3) )
     => ( p1(X2,f24(f22(X3,X1)))
      <=> ( p1(X2,f24(X3))
          & p1(X2,X1) ) ) ) )).

fof(formula_155,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( ~ p7(f41(X1))
        & p5(f41(X1))
        & p6(f41(X1))
        & p3(f41(X1)) ) ) )).

fof(formula_62,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ( p54(X1)
      <=> ( p55(X1)
          & p33(X1)
          & p27(X1)
          & p31(X1)
          & p49(X1) ) ) ) )).

fof(formula_124,axiom,(
    ! [X1,X2,X3] : 
      ( p36(X3,X1,X2)
     => p4(X3,f11(f12(X1,X2))) ) )).

fof(formula_257,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p21(X1,X2)
        & p21(X3,X4) )
     => p21(f12(X1,X3),f12(X2,X4)) ) )).

fof(formula_235,axiom,(
    ! [X1,X2,X3] : 
      ( ( p10(X2)
        & p10(X3)
        & p9(X3) )
     => ( ! [X4,X5,X6] : 
            ( ( X4 = X5
              & ? [X7,X8] : 
                  ( X5 = f20(X7,X8)
                  & p1(f20(f25(X3,X7),f25(X3,X8)),X2) )
              & X4 = X6
              & ? [X9,X10] : 
                  ( X6 = f20(X9,X10)
                  & p1(f20(f25(X3,X9),f25(X3,X10)),X2) ) )
           => X5 = X6 )
       => ? [X4] : 
          ! [X5] : 
            ( p1(X5,X4)
          <=> ? [X6] : 
                ( p1(X6,f12(X1,X1))
                & X6 = X5
                & ? [X11,X12] : 
                    ( X5 = f20(X11,X12)
                    & p1(f20(f25(X3,X11),f25(X3,X12)),X2) ) ) ) ) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ( p27(X1)
      <=> p28(X1,f29(X1)) ) ) )).

fof(formula_129,axiom,(
    ! [X1,X2] : 
      ( ( p7(X1)
        & p10(X2) )
     => ( p7(f65(X2,X1))
        & p10(f65(X2,X1)) ) ) )).

fof(formula_142,axiom,(
    ! [X1] : 
      ( p10(f19(X1))
      & p9(f19(X1)) ) )).

fof(formula_337,lemma,(
    ! [X1] : p33(f47(X1)) )).

fof(formula_262,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => f22(f26(X1,X3),X2) = f26(X1,f22(X3,X2)) ) )).

fof(formula_125,axiom,(
    ! [X1,X2] : 
    ? [X3] : p44(X3,X1,X2) )).

fof(formula_323,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f20(X1,X2) = f20(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_222,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => ( p18(X1,X2)
      <=> p21(X1,X2) ) ) )).

fof(formula_178,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f16(f42(X1),X2) = X2 ) )).

fof(formula_122,axiom,(
    $true )).

fof(formula_163,axiom,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & ~ p7(X2) )
     => ~ p7(f12(X1,X2)) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ! [X2,X3] : 
          ( X3 = f23(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(X5,f24(X1))
                  & p1(X5,X2)
                  & X4 = f25(X1,X5) ) ) ) ) )).

fof(formula_241,lemma,(
    ! [X1] : 
    ? [X2] : 
    ! [X3] : 
      ( p1(X3,X2)
    <=> ( p1(X3,X1)
        & p3(X3) ) ) )).

fof(formula_315,lemma,(
    ! [X1] : p21(c37,X1) )).

fof(formula_291,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p9(X4)
        & p38(X4,X1,X2)
        & p36(X4,X1,X2) )
     => ! [X5] : 
          ( ( p10(X5)
            & p9(X5) )
         => ( p1(X3,X1)
           => ( X2 = c37
              | f25(f65(X4,X5),X3) = f25(X5,f25(X4,X3)) ) ) ) ) )).

fof(formula_398,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X3)
        & p9(X3) )
     => ( p1(f20(X1,X2),X3)
      <=> ( p1(X1,f24(X3))
          & X2 = f25(X3,X1) ) ) ) )).
%------------------------------------------------------------------------------
