%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f3(A) = f3(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_37,axiom,(
    ! [X1] : ~ p8(f4(X1)) )).

fof(formula_5,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p10(X1) ) )).

fof(formula_8,axiom,(
    ? [X1] : 
      ( p8(X1)
      & p9(X1) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(X2,f3(f3(f4(X1)))) )
     => ( ! [X3,X4,X5] : 
            ( ( X3 = X4
              & ? [X6] : 
                  ( p5(X6,X2)
                  & X4 = f6(X6,f7(X1)) )
              & X3 = X5
              & ? [X7] : 
                  ( p5(X7,X2)
                  & X5 = f6(X7,f7(X1)) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p5(X4,X3)
          <=> ? [X5] : 
                ( p5(X5,f3(X1))
                & X5 = X4
                & ? [X8] : 
                    ( p5(X8,X2)
                    & X4 = f6(X8,f7(X1)) ) ) ) ) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ( p12(X1)
        & p13(X1)
        & p1(X1) ) ) )).

fof(formula_11,axiom,(
    ? [X1] : 
      ( ~ p8(X1)
      & p12(X1)
      & p13(X1)
      & p1(X1)
      & p14(X1) ) )).

fof(formula_28,axiom,(
    ? [X1] : ~ p8(X1) )).

fof(formula_34,axiom,(
    $true )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( ( p1(X1)
        & p14(X1) )
     => ( ~ p8(f4(X1))
        & p12(f4(X1))
        & p13(f4(X1))
        & p1(f4(X1))
        & p14(f4(X1)) ) ) )).

fof(formula_31,axiom,(
    $true )).

fof(formula_1,conjecture,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p2(X2,f3(f3(f4(X1)))) )
     => ? [X3] : 
        ! [X4] : 
          ( p5(X4,X3)
        <=> ( p5(X4,f3(X1))
            & ? [X5] : 
                ( p5(X5,X2)
                & X4 = f6(X5,f7(X1)) ) ) ) ) )).

fof(formula_6,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p8(X1)
      & p10(X1) ) )).

fof(formula_3,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p10(X1)
      & p11(X1) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( p15(X1)
     => p15(f6(X1,X2)) ) )).

fof(formula_39,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ~ p8(f4(X1))
        & p12(f4(X1))
        & p13(f4(X1))
        & p1(f4(X1)) ) ) )).

fof(formula_27,axiom,(
    ? [X1] : p8(X1) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
     => ~ p5(X2,X1) ) )).

fof(formula_24,axiom,(
    ? [X1] : 
      ( ~ p8(X1)
      & p12(X1)
      & p13(X1)
      & p1(X1) ) )).

fof(formula_22,axiom,(
    ? [X1] : 
      ( p12(X1)
      & p13(X1)
      & p1(X1) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( ~ p8(X1)
     => ? [X2] : 
          ( p2(X2,f3(X1))
          & ~ p8(X2) ) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p2(X2,f3(X1))
      & p8(X2) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( ( p12(X1)
        & p13(X1) )
     => p1(X1) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p9(X2) )
     => p9(f6(X1,X2)) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( ~ p8(X1)
     => ? [X2] : 
          ( p2(X2,f3(X1))
          & ~ p8(X2)
          & p15(X2) ) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p15(X1) ) )).

fof(formula_41,axiom,(
    ! [X1] : ~ p8(f7(X1)) )).

fof(formula_10,axiom,(
    ? [X1] : 
      ( ~ p8(X1)
      & p9(X1) ) )).

fof(formula_4,axiom,(
    ? [X1] : 
      ( p9(X1)
      & p10(X1)
      & p11(X1)
      & p8(X1)
      & p12(X1)
      & p13(X1)
      & p1(X1) ) )).

fof(formula_32,axiom,(
    $true )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p1(X1) )
     => ( p12(X1)
        & p13(X1)
        & p1(X1)
        & p14(X1) ) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p9(X1) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p15(X1)
     => ! [X2] : 
          ( p2(X2,f3(X1))
         => p15(X2) ) ) )).

fof(formula_40,axiom,(
    ! [X1] : ~ p8(f3(X1)) )).

fof(formula_13,axiom,(
    ? [X1] : 
      ( ~ p8(X1)
      & p15(X1) ) )).

fof(formula_33,axiom,(
    $true )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ! [X2] : 
          ( p2(X2,X1)
         => ( p12(X2)
            & p13(X2)
            & p1(X2) ) ) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( ~ p8(f7(X1))
      & p15(f7(X1)) ) )).

fof(formula_30,axiom,(
    $true )).

fof(formula_38,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p12(X1)
        & p13(X1) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p2(X2,f3(X1))
      & p8(X2)
      & p9(X2)
      & p10(X2)
      & p11(X2)
      & p12(X2)
      & p13(X2)
      & p1(X2)
      & p14(X2)
      & p15(X2) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p10(X1) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ( p9(X1)
        & p8(X1)
        & p10(X1) )
     => ( p9(X1)
        & p10(X1)
        & p11(X1) ) ) )).
%------------------------------------------------------------------------------
