%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(A,C) = f19(B,C) ) )).

fof(f19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(C,A) = f19(C,B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f20(A) = f20(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_28,axiom,(
    ? [X1] : p10(X1) )).

fof(formula_42,axiom,(
    p12(c2) )).

fof(formula_58,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( ~ p10(f8(X1))
        & p15(f8(X1))
        & p16(f8(X1))
        & p7(f8(X1)) ) ) )).

fof(formula_32,axiom,(
    $true )).

fof(formula_12,axiom,(
    ? [X1] : 
      ( p12(X1)
      & p18(X1)
      & p13(X1) ) )).

fof(formula_61,axiom,
    ( ! [X1] : 
        ( p7(X1)
       => ( ! [X2] : 
              ( p7(X2)
             => ( p1(X2,X1)
               => ( p1(X2,c3)
                 => ! [X3] : 
                      ( p4(X3,f5(f5(X2)))
                     => ~ ( X3 != c2
                          & ! [X4] : 
                              ~ ( p1(X4,X3)
                                & ! [X5] : 
                                    ( ( p1(X5,X3)
                                      & p6(X4,X5) )
                                   => X5 = X4 ) ) ) ) ) ) )
         => ( p1(X1,c3)
           => ! [X6] : 
                ( p4(X6,f5(f5(X1)))
               => ~ ( X6 != c2
                    & ! [X7] : 
                        ~ ( p1(X7,X6)
                          & ! [X8] : 
                              ( ( p1(X8,X6)
                                & p6(X7,X8) )
                             => X8 = X7 ) ) ) ) ) ) )
   => ! [X1] : 
        ( p7(X1)
       => ( p1(X1,c3)
         => ! [X9] : 
              ( p4(X9,f5(f5(X1)))
             => ~ ( X9 != c2
                  & ! [X10] : 
                      ~ ( p1(X10,X9)
                        & ! [X11] : 
                            ( ( p1(X11,X9)
                              & p6(X10,X11) )
                           => X11 = X10 ) ) ) ) ) ) )).

fof(formula_67,axiom,(
    ! [X1] : ~ p10(f20(X1)) )).

fof(formula_64,axiom,(
    $true )).

fof(formula_47,axiom,(
    ! [X1] : 
      ( p4(X1,c3)
     => ( p15(X1)
        & p16(X1)
        & p7(X1)
        & p17(X1) ) ) )).

fof(formula_45,axiom,(
    p18(c2) )).

fof(formula_57,axiom,(
    p7(c2) )).

fof(formula_34,axiom,(
    $true )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p10(X1)
     => p11(X1) ) )).

fof(formula_69,axiom,(
    ! [X1,X2] : 
      ( ~ p10(X1)
     => ~ p10(f19(X2,X1)) ) )).

fof(formula_62,axiom,(
    ! [X1,X2] : f19(X1,X2) = f19(X2,X1) )).

fof(formula_49,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p15(X1)
        & p16(X1) ) ) )).

fof(formula_23,axiom,(
    ? [X1] : 
      ( p12(X1)
      & p13(X1)
      & p14(X1)
      & p10(X1)
      & p15(X1)
      & p16(X1)
      & p7(X1) ) )).

fof(formula_68,axiom,(
    ! [X1,X2] : 
      ( ~ p10(X1)
     => ~ p10(f19(X1,X2)) ) )).

fof(formula_16,axiom,(
    ? [X1] : 
      ( ~ p10(X1)
      & p12(X1) ) )).

fof(formula_55,axiom,(
    p15(c2) )).

fof(formula_43,axiom,(
    p10(c2) )).

fof(formula_35,axiom,(
    $true )).

fof(formula_9,axiom,(
    ? [X1] : 
      ( p12(X1)
      & p10(X1)
      & p13(X1) ) )).

fof(formula_54,axiom,(
    p10(c2) )).

fof(formula_3,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p4(X2,f5(X1))
      & p10(X2)
      & p12(X2)
      & p13(X2)
      & p14(X2)
      & p15(X2)
      & p16(X2)
      & p7(X2)
      & p17(X2)
      & p11(X2) ) )).

fof(formula_51,axiom,(
    p18(c2) )).

fof(formula_71,axiom,(
    ! [X1] : p1(X1,f8(X1)) )).

fof(formula_17,axiom,(
    ? [X1] : 
      ( p12(X1)
      & p18(X1) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p11(X1)
     => ! [X2] : 
          ( p4(X2,f5(X1))
         => p11(X2) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p7(X1) )
     => ( p15(X1)
        & p16(X1)
        & p7(X1)
        & p17(X1) ) ) )).

fof(formula_19,axiom,(
    ? [X1] : 
      ( ~ p10(X1)
      & p15(X1)
      & p16(X1)
      & p7(X1)
      & p17(X1) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p10(X1)
     => p13(X1) ) )).

fof(formula_40,axiom,(
    ~ p10(c3) )).

fof(formula_14,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p12(X1) ) )).

fof(formula_39,axiom,(
    p7(c3) )).

fof(formula_60,axiom,(
    p10(c2) )).

fof(formula_36,axiom,(
    $true )).

fof(formula_13,axiom,(
    ? [X1] : 
      ( p15(X1)
      & p16(X1)
      & p7(X1)
      & p9(X1) ) )).

fof(formula_66,axiom,(
    ! [X1] : 
    ? [X2] : p4(X2,X1) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p10(X1)
     => p12(X1) ) )).

fof(formula_46,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p15(X2)
            & p16(X2)
            & p7(X2) ) ) ) )).

fof(formula_29,axiom,(
    ? [X1] : ~ p10(X1) )).

fof(formula_30,axiom,(
    ! [X1,X2] : p6(X1,X1) )).

fof(formula_59,axiom,(
    ! [X1] : ~ p10(f5(X1)) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ( p15(X1)
        & p16(X1)
        & p7(X1) ) ) )).

fof(formula_52,axiom,(
    p13(c2) )).

fof(formula_2,axiom,(
    ? [X1] : 
      ( ~ p10(X1)
      & p11(X1) ) )).

fof(formula_77,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p10(X2) ) )).

fof(formula_44,axiom,(
    p12(c2) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( ( p7(X1)
        & p17(X1) )
     => ( ~ p10(f8(X1))
        & p15(f8(X1))
        & p16(f8(X1))
        & p7(f8(X1))
        & p17(f8(X1)) ) ) )).

fof(formula_72,axiom,(
    ! [X1] : f19(X1,c2) = X1 )).

fof(formula_31,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_1,conjecture,
    ( ( ( p1(c2,c3)
       => ! [X1] : 
            ( p4(X1,f5(f5(c2)))
           => ~ ( X1 != c2
                & ! [X2] : 
                    ~ ( p1(X2,X1)
                      & ! [X3] : 
                          ( ( p1(X3,X1)
                            & p6(X2,X3) )
                         => X3 = X2 ) ) ) ) )
      & ! [X4] : 
          ( p7(X4)
         => ( ( p1(X4,c3)
             => ! [X5] : 
                  ( p4(X5,f5(f5(X4)))
                 => ~ ( X5 != c2
                      & ! [X6] : 
                          ~ ( p1(X6,X5)
                            & ! [X7] : 
                                ( ( p1(X7,X5)
                                  & p6(X6,X7) )
                               => X7 = X6 ) ) ) ) )
           => ( p1(f8(X4),c3)
             => ! [X8] : 
                  ( p4(X8,f5(f5(f8(X4))))
                 => ~ ( X8 != c2
                      & ! [X9] : 
                          ~ ( p1(X9,X8)
                            & ! [X10] : 
                                ( ( p1(X10,X8)
                                  & p6(X9,X10) )
                               => X10 = X9 ) ) ) ) ) ) )
      & ! [X4] : 
          ( p7(X4)
         => ( ( p9(X4)
              & ! [X11] : 
                  ( p7(X11)
                 => ( p1(X11,X4)
                   => ( p1(X11,c3)
                     => ! [X12] : 
                          ( p4(X12,f5(f5(X11)))
                         => ~ ( X12 != c2
                              & ! [X13] : 
                                  ~ ( p1(X13,X12)
                                    & ! [X14] : 
                                        ( ( p1(X14,X12)
                                          & p6(X13,X14) )
                                       => X14 = X13 ) ) ) ) ) ) ) )
           => ( X4 = c2
              | ( p1(X4,c3)
               => ! [X15] : 
                    ( p4(X15,f5(f5(X4)))
                   => ~ ( X15 != c2
                        & ! [X16] : 
                            ~ ( p1(X16,X15)
                              & ! [X17] : 
                                  ( ( p1(X17,X15)
                                    & p6(X16,X17) )
                                 => X17 = X16 ) ) ) ) ) ) ) ) )
   => ! [X4] : 
        ( p7(X4)
       => ( p1(X4,c3)
         => ! [X18] : 
              ( p4(X18,f5(f5(X4)))
             => ~ ( X18 != c2
                  & ! [X19] : 
                      ~ ( p1(X19,X18)
                        & ! [X20] : 
                            ( ( p1(X20,X18)
                              & p6(X19,X20) )
                           => X20 = X19 ) ) ) ) ) ) )).

fof(formula_75,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( ~ ( ~ p9(X1)
            & ! [X2] : 
                ( p7(X2)
               => X1 != f8(X2) ) )
        & ~ ( ? [X2] : 
                ( p7(X2)
                & X1 = f8(X2) )
            & p9(X1) ) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( ~ p10(X1)
     => ? [X2] : 
          ( p4(X2,f5(X1))
          & ~ p10(X2)
          & p11(X2) ) ) )).

fof(formula_41,axiom,(
    p10(c2) )).

fof(formula_56,axiom,(
    p16(c2) )).

fof(formula_76,axiom,(
    ! [X1] : 
      ( p10(X1)
     => X1 = c2 ) )).

fof(formula_38,axiom,(
    p16(c3) )).

fof(formula_27,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p4(X2,f5(X1))
      & p10(X2) ) )).

fof(formula_22,axiom,(
    ? [X1] : 
      ( p15(X1)
      & p16(X1)
      & p7(X1) ) )).

fof(formula_50,axiom,(
    p12(c2) )).

fof(formula_74,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
     => ( p10(X2)
        | p1(X1,X2) ) ) )).

fof(formula_73,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p4(X1,X2) ) )).

fof(formula_37,axiom,(
    p15(c3) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( ( p12(X1)
        & p10(X1)
        & p13(X1) )
     => ( p12(X1)
        & p13(X1)
        & p14(X1) ) ) )).

fof(formula_53,axiom,(
    p14(c2) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( ~ p10(X1)
     => ? [X2] : 
          ( p4(X2,f5(X1))
          & ~ p10(X2) ) ) )).

fof(formula_33,axiom,(
    $true )).

fof(formula_65,axiom,(
    $true )).

fof(formula_25,axiom,(
    ? [X1] : 
      ( ~ p10(X1)
      & p15(X1)
      & p16(X1)
      & p7(X1) ) )).

fof(formula_11,axiom,(
    ? [X1] : 
      ( p12(X1)
      & p13(X1)
      & p14(X1) ) )).

fof(formula_63,axiom,(
    ! [X1] : f8(X1) = f19(X1,f20(X1)) )).

fof(formula_7,axiom,(
    ? [X1] : 
      ( p12(X1)
      & p13(X1) ) )).

fof(formula_48,axiom,(
    ! [X1] : ~ p10(f8(X1)) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( ( p15(X1)
        & p16(X1) )
     => p7(X1) ) )).

fof(formula_70,axiom,(
    ! [X1,X2] : f19(X1,X1) = X1 )).

fof(formula_78,axiom,(
    ! [X1,X2] : 
      ~ ( p10(X1)
        & X1 != X2
        & p10(X2) ) )).
%------------------------------------------------------------------------------
