%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(A,C) = f16(B,C) ) )).

fof(f16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(C,A) = f16(C,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f20(A) = f20(B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(A,C) = f21(B,C) ) )).

fof(f21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f21(C,A) = f21(C,B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(A,C) = f23(B,C) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(C,A) = f23(C,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(A,C) = f24(B,C) ) )).

fof(f24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(C,A) = f24(C,B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f25(A) = f25(B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f26(A,C) = f26(B,C) ) )).

fof(f26_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f26(C,A) = f26(C,B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(A,C) = f27(B,C) ) )).

fof(f27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(C,A) = f27(C,B) ) )).

fof(f30_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f30(A) = f30(B) ) )).

fof(f31_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f31(A,C) = f31(B,C) ) )).

fof(f31_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f31(C,A) = f31(C,B) ) )).

fof(f36_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f36(A,C,D) = f36(B,C,D) ) )).

fof(f36_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f36(C,A,D) = f36(C,B,D) ) )).

fof(f36_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f36(C,D,A) = f36(C,D,B) ) )).

fof(f37_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f37(A) = f37(B) ) )).

fof(f41_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f41(A,C,D) = f41(B,C,D) ) )).

fof(f41_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f41(C,A,D) = f41(C,B,D) ) )).

fof(f41_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f41(C,D,A) = f41(C,D,B) ) )).

fof(f42_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f42(A) = f42(B) ) )).

fof(f43_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f43(A) = f43(B) ) )).

fof(f44_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f44(A) = f44(B) ) )).

fof(f47_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f47(A) = f47(B) ) )).

fof(f48_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f48(A,C) = f48(B,C) ) )).

fof(f48_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f48(C,A) = f48(C,B) ) )).

fof(f49_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f49(A) = f49(B) ) )).

fof(f50_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f50(A) = f50(B) ) )).

fof(f54_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f54(A) = f54(B) ) )).

fof(f55_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f55(A) = f55(B) ) )).

fof(f59_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f59(A,C) = f59(B,C) ) )).

fof(f59_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f59(C,A) = f59(C,B) ) )).

fof(f61_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f61(A,C) = f61(B,C) ) )).

fof(f61_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f61(C,A) = f61(C,B) ) )).

fof(f63_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f63(A,C) = f63(B,C) ) )).

fof(f63_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f63(C,A) = f63(C,B) ) )).

fof(f64_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f64(A) = f64(B) ) )).

fof(f66_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f66(A,C) = f66(B,C) ) )).

fof(f66_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f66(C,A) = f66(C,B) ) )).

fof(f67_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f67(A,C) = f67(B,C) ) )).

fof(f67_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f67(C,A) = f67(C,B) ) )).

fof(f68_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f68(A) = f68(B) ) )).

fof(f69_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f69(A,C,D) = f69(B,C,D) ) )).

fof(f69_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f69(C,A,D) = f69(C,B,D) ) )).

fof(f69_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f69(C,D,A) = f69(C,D,B) ) )).

fof(f70_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f70(A,C) = f70(B,C) ) )).

fof(f70_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f70(C,A) = f70(C,B) ) )).

fof(f71_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f71(A,C) = f71(B,C) ) )).

fof(f71_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f71(C,A) = f71(C,B) ) )).

fof(f72_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f72(A,C,D) = f72(B,C,D) ) )).

fof(f72_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f72(C,A,D) = f72(C,B,D) ) )).

fof(f72_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f72(C,D,A) = f72(C,D,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p19(A,C) )
     => p19(B,C) ) )).

fof(p19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p19(C,A) )
     => p19(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(A,C) )
     => p22(B,C) ) )).

fof(p22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(C,A) )
     => p22(C,B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p28(A) )
     => p28(B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p29(A,C) )
     => p29(B,C) ) )).

fof(p29_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p29(C,A) )
     => p29(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p32(A) )
     => p32(B) ) )).

fof(p33_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p33(A,C) )
     => p33(B,C) ) )).

fof(p33_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p33(C,A) )
     => p33(C,B) ) )).

fof(p34_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p34(A) )
     => p34(B) ) )).

fof(p35_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p35(A,C) )
     => p35(B,C) ) )).

fof(p35_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p35(C,A) )
     => p35(C,B) ) )).

fof(p38_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(A,C,D) )
     => p38(B,C,D) ) )).

fof(p38_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(C,A,D) )
     => p38(C,B,D) ) )).

fof(p38_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(C,D,A) )
     => p38(C,D,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p40(A,C,D) )
     => p40(B,C,D) ) )).

fof(p40_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p40(C,A,D) )
     => p40(C,B,D) ) )).

fof(p40_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p40(C,D,A) )
     => p40(C,D,B) ) )).

fof(p45_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p45(A,C) )
     => p45(B,C) ) )).

fof(p45_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p45(C,A) )
     => p45(C,B) ) )).

fof(p46_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p46(A,C,D) )
     => p46(B,C,D) ) )).

fof(p46_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p46(C,A,D) )
     => p46(C,B,D) ) )).

fof(p46_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p46(C,D,A) )
     => p46(C,D,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p51_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p51(A) )
     => p51(B) ) )).

fof(p52_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p52(A,C) )
     => p52(B,C) ) )).

fof(p52_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p52(C,A) )
     => p52(C,B) ) )).

fof(p53_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p53(A,C) )
     => p53(B,C) ) )).

fof(p53_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p53(C,A) )
     => p53(C,B) ) )).

fof(p56_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p56(A) )
     => p56(B) ) )).

fof(p57_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p57(A) )
     => p57(B) ) )).

fof(p58_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p58(A,C) )
     => p58(B,C) ) )).

fof(p58_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p58(C,A) )
     => p58(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p60_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p60(A) )
     => p60(B) ) )).

fof(p62_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p62(A,C) )
     => p62(B,C) ) )).

fof(p62_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p62(C,A) )
     => p62(C,B) ) )).

fof(p65_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p65(A,C,D) )
     => p65(B,C,D) ) )).

fof(p65_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p65(C,A,D) )
     => p65(C,B,D) ) )).

fof(p65_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p65(C,D,A) )
     => p65(C,D,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p73_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p73(A) )
     => p73(B) ) )).

fof(p74_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p74(A,C) )
     => p74(B,C) ) )).

fof(p74_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p74(C,A) )
     => p74(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_153,axiom,(
    ! [X1] : 
      ( ( p3(X1)
        & p13(X1) )
     => ( ~ p7(f43(X1))
        & p5(f43(X1))
        & p6(f43(X1))
        & p3(f43(X1))
        & p13(f43(X1)) ) ) )).

fof(formula_178,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p10(X1) )
     => ~ p7(f37(X1)) ) )).

fof(formula_323,lemma,(
    ! [X1,X2] : 
      ( p3(X2)
     => ( p1(X1,X2)
       => p3(X1) ) ) )).

fof(formula_74,axiom,(
    ! [X1] : 
      ( p10(X1)
     => f30(X1) = f17(f25(X1),f37(X1)) ) )).

fof(formula_353,lemma,(
    ! [X1,X2] : 
      ( f59(X1,X2) = c39
    <=> p22(X1,X2) ) )).

fof(formula_48,axiom,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
       => ( p4(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p7(X1)
       => ( p4(X2,X1)
        <=> p7(X2) ) ) ) )).

fof(formula_88,axiom,(
    $true )).

fof(formula_406,axiom,(
    ! [X1] : 
      ( p7(X1)
     => X1 = c39 ) )).

fof(formula_266,lemma,
    ( ! [X1] : 
        ( p3(X1)
       => ( ! [X2] : 
              ( p3(X2)
             => ( p1(X2,X1)
               => ( p1(X2,c15)
                 => ! [X3] : 
                      ( p4(X3,f11(f11(X2)))
                     => ~ ( X3 != c39
                          & ! [X4] : 
                              ~ ( p1(X4,X3)
                                & ! [X5] : 
                                    ( ( p1(X5,X3)
                                      & p22(X4,X5) )
                                   => X5 = X4 ) ) ) ) ) ) )
         => ( p1(X1,c15)
           => ! [X6] : 
                ( p4(X6,f11(f11(X1)))
               => ~ ( X6 != c39
                    & ! [X7] : 
                        ~ ( p1(X7,X6)
                          & ! [X8] : 
                              ( ( p1(X8,X6)
                                & p22(X7,X8) )
                             => X8 = X7 ) ) ) ) ) ) )
   => ! [X1] : 
        ( p3(X1)
       => ( p1(X1,c15)
         => ! [X9] : 
              ( p4(X9,f11(f11(X1)))
             => ~ ( X9 != c39
                  & ! [X10] : 
                      ~ ( p1(X10,X9)
                        & ! [X11] : 
                            ( ( p1(X11,X9)
                              & p22(X10,X11) )
                           => X11 = X10 ) ) ) ) ) ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p22(X1,X2)
        & p22(X2,X1) ) ) )).

fof(formula_122,axiom,(
    ! [X1,X2] : 
      ( p10(X1)
     => p10(f23(X1,X2)) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p8(X1)
    <=> ? [X2] : 
          ( p10(X2)
          & p9(X2)
          & f37(X2) = X1
          & p1(f25(X2),c15) ) ) )).

fof(formula_37,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p45(X1,X2)
        <=> ! [X3] : 
              ( p1(X3,X2)
             => p1(f21(X3,X3),X1) ) ) ) )).

fof(formula_106,axiom,(
    $true )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p10(X1) ) )).

fof(formula_255,axiom,(
    ! [X1,X2] : 
      ( p3(X2)
     => ( ! [X3,X4,X5] : 
            ( ( X3 = X4
              & ? [X6] : 
                  ( p3(X6)
                  & X4 = X6
                  & p1(X6,X1) )
              & X3 = X5
              & ? [X7] : 
                  ( p3(X7)
                  & X5 = X7
                  & p1(X7,X1) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,f43(X2))
                & X5 = X4
                & ? [X8] : 
                    ( p3(X8)
                    & X4 = X8
                    & p1(X8,X1) ) ) ) ) ) )).

fof(formula_123,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => p4(f67(X1,X2),f11(f11(X1))) ) )).

fof(formula_396,lemma,(
    f25(c39) = c39 )).

fof(formula_317,lemma,(
    ! [X1] : 
      ( p10(X1)
     => p22(X1,f12(f25(X1),f37(X1))) ) )).

fof(formula_429,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => f23(X2,X1) = f66(f20(X1),X2) ) )).

fof(formula_79,axiom,(
    ! [X1,X2] : 
      ( p52(X1,X2)
    <=> f18(X1,X2) = c39 ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p5(X2)
            & p6(X2)
            & p3(X2) ) ) ) )).

fof(formula_258,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ( p1(X3,f43(X1))
            & ? [X4] : 
                ( p3(X4)
                & X3 = X4
                & ( p1(X4,c15)
                 => ! [X5] : 
                      ( p4(X5,f11(f11(X4)))
                     => ~ ( X5 != c39
                          & ! [X6] : 
                              ~ ( p1(X6,X5)
                                & ! [X7] : 
                                    ( ( p1(X7,X5)
                                      & p22(X6,X7) )
                                   => X7 = X6 ) ) ) ) ) ) ) ) ) )).

fof(formula_192,lemma,(
    ! [X1,X2] : 
      ~ ( p52(f44(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_253,axiom,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( X2 = X3
            & p3(X3)
            & X2 = X4
            & p3(X4) )
         => X3 = X4 )
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X4,X1)
              & X4 = X3
              & p3(X3) ) ) ) )).

fof(formula_428,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p22(X1,f55(X2)) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( ( p7(X1)
        & p3(X1) )
     => ( p5(X1)
        & p6(X1)
        & p3(X1)
        & p13(X1) ) ) )).

fof(formula_294,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => f37(f66(X1,X2)) = f24(X2,f37(X1)) ) ) )).

fof(formula_362,lemma,(
    ! [X1] : p34(f49(X1)) )).

fof(formula_73,axiom,(
    ! [X1] : 
      ( p60(X1)
    <=> X1 = f55(X1) ) )).

fof(formula_407,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p9(X4)
        & p40(X4,X1,X2)
        & p38(X4,X1,X2) )
     => ( p1(X3,X1)
       => ( X2 = c39
          | p1(f26(X4,X3),f37(X4)) ) ) ) )).

fof(formula_214,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p9(X1)
      & p14(X1)
      & p7(X1) ) )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( X1 = c39
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_103,axiom,(
    $true )).

fof(formula_90,axiom,(
    $true )).

fof(formula_277,lemma,(
    ! [X1,X2,X3] : 
      ( p22(X1,X2)
     => ( p22(f12(X1,X3),f12(X2,X3))
        & p22(f12(X3,X1),f12(X3,X2)) ) ) )).

fof(formula_335,lemma,(
    ! [X1,X2] : 
      ( p22(X1,X2)
     => f18(X1,X2) = X1 ) )).

fof(formula_401,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( ( f25(X1) = c39
          | f37(X1) = c39 )
       => X1 = c39 ) ) )).

fof(formula_270,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f21(X1,X2),f12(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_77,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ( X2 = f64(X1)
          <=> ! [X3,X4] : 
                ( p1(f21(X3,X4),X2)
              <=> p1(f21(X4,X3),X1) ) ) ) ) )).

fof(formula_259,lemma,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p4(X2,f11(f11(f43(X1)))) )
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,f11(X1))
            & ? [X5] : 
                ( p1(X5,X2)
                & X4 = f59(X5,f44(X1)) ) ) ) ) )).

fof(formula_280,lemma,(
    ! [X1,X2,X3] : 
      ( p38(X3,X1,X2)
     => ( p22(f25(X3),X1)
        & p22(f37(X3),X2) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ! [X2,X3] : 
          ( X3 = f24(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(X5,f25(X1))
                  & p1(X5,X2)
                  & X4 = f26(X1,X5) ) ) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p5(X1)
        & p6(X1) ) ) )).

fof(formula_8,axiom,(
    ! [X1,X2,X3] : 
      ( p4(X3,f11(f12(X1,X2)))
     => p10(X3) ) )).

fof(formula_293,lemma,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f18(X1,X2)) ) )).

fof(formula_169,axiom,(
    ! [X1,X2] : ~ p7(f16(X1,X2)) )).

fof(formula_383,lemma,(
    ! [X1] : 
      ( p3(X1)
     => p32(f49(X1)) ) )).

fof(formula_288,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => f24(X2,X1) = f24(X2,f18(f25(X2),X1)) ) )).

fof(formula_275,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => p22(f27(X1,X2),X2) ) )).

fof(formula_205,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f21(X1,X2),f12(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_267,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p10(X2)
      & p9(X2)
      & f25(X2) = X1
      & ! [X3] : 
          ( p1(X3,X1)
         => f26(X2,X3) = f44(X3) ) ) )).

fof(formula_47,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ( X1 = X2
          <=> ! [X3,X4] : 
                ( p1(f21(X3,X4),X1)
              <=> p1(f21(X3,X4),X2) ) ) ) ) )).

fof(formula_158,axiom,(
    p14(c39) )).

fof(formula_327,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p34(X2)
       => p34(f63(X2,X1)) ) ) )).

fof(formula_66,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f59(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_61,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p29(X1,X2)
        <=> ! [X3,X4] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(f21(X3,X4),X1)
                & p1(f21(X4,X3),X1) )
             => X3 = X4 ) ) ) )).

fof(formula_418,lemma,(
    ! [X1,X2] : p22(X1,f17(X1,X2)) )).

fof(formula_272,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f16(X1,X2) = f16(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_53,axiom,(
    ! [X1] : 
      ( p6(X1)
    <=> ! [X2,X3] : 
          ~ ( p1(X2,X1)
            & p1(X3,X1)
            & ~ p1(X2,X3)
            & X2 != X3
            & ~ p1(X3,X2) ) ) )).

fof(formula_175,axiom,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & ~ p7(X2) )
     => ~ p7(f12(X1,X2)) ) )).

fof(formula_180,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p7(f37(X1))
        & p10(f37(X1)) ) ) )).

fof(formula_65,axiom,(
    ! [X1,X2] : 
      ( p58(X1,X2)
    <=> ? [X3] : 
          ( p10(X3)
          & p9(X3)
          & p14(X3)
          & f25(X3) = X1
          & f37(X3) = X2 ) ) )).

fof(formula_211,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p46(X3,X1,X2)
      & p10(X3)
      & p9(X3)
      & p40(X3,X1,X2) ) )).

fof(formula_63,axiom,(
    ! [X1,X2] : 
      ( X2 = f55(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_287,lemma,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => p22(f24(X2,f31(X2,X1)),X1) ) )).

fof(formula_201,lemma,(
    ! [X1,X2,X3] : 
      ( p22(X1,X2)
     => ( p1(X3,X1)
        | p22(X1,f59(X2,f44(X3))) ) ) )).

fof(formula_168,axiom,(
    ! [X1,X2] : 
      ( ( p10(X1)
        & p10(X2) )
     => p10(f59(X1,X2)) ) )).

fof(formula_374,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => ~ ( X2 != c39
          & f67(X1,X2) = c39 ) ) )).

fof(formula_147,axiom,(
    p3(c15) )).

fof(formula_301,lemma,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => ( p8(X1)
       => p8(f24(X2,X1)) ) ) )).

fof(formula_305,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => f63(X2,X1) = f27(X1,f23(X2,X1)) ) )).

fof(formula_314,lemma,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => ! [X3] : 
          ( ( p10(X3)
            & p9(X3) )
         => ( p1(X1,f25(f66(X3,X2)))
          <=> ( p1(X1,f25(X3))
              & p1(f26(X3,X1),f25(X2)) ) ) ) ) )).

fof(formula_350,lemma,(
    ! [X1,X2] : 
      ( p1(X2,X1)
     => f26(f20(X1),X2) = X2 ) )).

fof(formula_344,lemma,(
    ! [X1,X2] : 
      ( p3(X2)
     => ~ ( p22(X1,X2)
          & X1 != c39
          & ! [X3] : 
              ( p3(X3)
             => ~ ( p1(X3,X1)
                  & ! [X4] : 
                      ( p3(X4)
                     => ( p1(X4,X1)
                       => p19(X3,X4) ) ) ) ) ) ) )).

fof(formula_69,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( X2 = f37(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f21(X4,X3),X1) ) ) ) )).

fof(formula_56,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p53(X1,X2)
        <=> ! [X3] : 
              ~ ( p22(X3,X2)
                & X3 != c39
                & ! [X4] : 
                    ~ ( p1(X4,X3)
                      & p52(f48(X1,X4),X3) ) ) ) ) )).

fof(formula_291,lemma,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => ( p22(X1,f37(X2))
       => f24(X2,f31(X2,X1)) = X1 ) ) )).

fof(formula_217,axiom,(
    ? [X1] : p7(X1) )).

fof(formula_177,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p10(X1) )
     => ~ p7(f25(X1)) ) )).

fof(formula_276,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => p22(f37(f27(X1,X2)),f37(X2)) ) )).

fof(formula_414,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p7(X2) ) )).

fof(formula_173,axiom,(
    p7(c39) )).

fof(formula_285,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p1(X1,f24(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f25(X3))
            & p1(f21(X4,X1),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_191,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f17(f44(X1),X2) = X2 ) )).

fof(formula_424,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( p62(X1,f30(X1))
      <=> p56(X1) ) ) )).

fof(formula_404,lemma,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => ! [X3] : 
          ( ( p10(X3)
            & p9(X3) )
         => ( X2 = f23(X3,X1)
          <=> ( f25(X2) = f18(f25(X3),X1)
              & ! [X4] : 
                  ( p1(X4,f25(X2))
                 => f26(X2,X4) = f26(X3,X4) ) ) ) ) ) )).

fof(formula_316,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( p2(X1,X2)
           => p1(X1,X2) ) ) ) )).

fof(formula_143,axiom,(
    ! [X1,X2] : 
      ( ( p10(X1)
        & p9(X1)
        & p10(X2)
        & p9(X2) )
     => ( p10(f66(X1,X2))
        & p9(f66(X1,X2)) ) ) )).

fof(formula_261,lemma,(
    ! [X1] : 
    ? [X2] : 
    ! [X3] : 
      ( p1(X3,X2)
    <=> ( p1(X3,X1)
        & p3(X3) ) ) )).

fof(formula_207,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X3)
        & p9(X3) )
     => ( p1(X2,f25(f23(X3,X1)))
      <=> ( p1(X2,f25(X3))
          & p1(X2,X1) ) ) ) )).

fof(formula_274,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => p22(f37(f27(X1,X2)),X1) ) )).

fof(formula_151,axiom,(
    p7(c39) )).

fof(formula_399,lemma,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ( p14(X1)
       => p14(f68(X1)) ) ) )).

fof(formula_345,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p56(X2)
       => p56(f63(X2,X1)) ) ) )).

fof(formula_238,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => p19(X1,X1) ) )).

fof(formula_250,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( ! [X2,X3,X4] : 
            ( ( X2 = X3
              & ? [X5] : 
                  ( p3(X5)
                  & X3 = X5
                  & ( p1(X5,c15)
                   => ! [X6] : 
                        ( p4(X6,f11(f11(X5)))
                       => ~ ( X6 != c39
                            & ! [X7] : 
                                ~ ( p1(X7,X6)
                                  & ! [X8] : 
                                      ( ( p1(X8,X6)
                                        & p22(X7,X8) )
                                     => X8 = X7 ) ) ) ) ) )
              & X2 = X4
              & ? [X9] : 
                  ( p3(X9)
                  & X4 = X9
                  & ( p1(X9,c15)
                   => ! [X10] : 
                        ( p4(X10,f11(f11(X9)))
                       => ~ ( X10 != c39
                            & ! [X11] : 
                                ~ ( p1(X11,X10)
                                  & ! [X12] : 
                                      ( ( p1(X12,X10)
                                        & p22(X11,X12) )
                                     => X12 = X11 ) ) ) ) ) ) )
           => X3 = X4 )
       => ? [X2] : 
          ! [X3] : 
            ( p1(X3,X2)
          <=> ? [X4] : 
                ( p1(X4,f43(X1))
                & X4 = X3
                & ? [X13] : 
                    ( p3(X13)
                    & X3 = X13
                    & ( p1(X13,c15)
                     => ! [X14] : 
                          ( p4(X14,f11(f11(X13)))
                         => ~ ( X14 != c39
                              & ! [X15] : 
                                  ~ ( p1(X15,X14)
                                    & ! [X16] : 
                                        ( ( p1(X16,X14)
                                          & p22(X15,X16) )
                                       => X16 = X15 ) ) ) ) ) ) ) ) ) ) )).

fof(formula_315,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p9(X4)
        & p40(X4,X1,X2)
        & p38(X4,X1,X2) )
     => ! [X5] : 
          ( ( p10(X5)
            & p9(X5) )
         => ( p1(X3,X1)
           => ( X2 = c39
              | f26(f66(X4,X5),X3) = f26(X5,f26(X4,X3)) ) ) ) ) )).

fof(formula_160,axiom,(
    p5(c39) )).

fof(formula_307,lemma,(
    ! [X1,X2,X3] : 
      ( ( p22(X1,X2)
        & p22(X1,X3) )
     => p22(X1,f18(X2,X3)) ) )).

fof(formula_230,axiom,(
    ! [X1,X2,X3] : 
      ( p46(X3,X1,X2)
     => f41(X1,X2,X3) = f25(X3) ) )).

fof(formula_184,axiom,(
    ! [X1,X2] : f18(X1,X1) = X1 )).

fof(formula_228,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p73(X1) ) )).

fof(formula_318,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => p22(f48(f63(X3,X1),X2),f48(X3,X2)) ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ( X2 = f44(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_107,axiom,(
    $true )).

fof(formula_54,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ( p22(X1,X2)
          <=> ! [X3,X4] : 
                ( p1(f21(X3,X4),X1)
               => p1(f21(X3,X4),X2) ) ) ) ) )).

fof(formula_325,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p32(X2)
       => p32(f63(X2,X1)) ) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ( p34(X1)
      <=> p35(X1,f30(X1)) ) ) )).

fof(formula_57,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f18(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_356,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( ( p56(X2)
          & p22(X1,f30(X2)) )
       => f30(f63(X2,X1)) = X1 ) ) )).

fof(formula_342,lemma,(
    ! [X1] : 
      ( ! [X2] : 
          ( p1(X2,X1)
         => ( p3(X2)
            & p22(X2,X1) ) )
     => p3(X1) ) )).

fof(formula_367,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ( ~ ( ~ p60(X1)
            & ! [X2] : 
                ( p3(X2)
               => X1 != f43(X2) ) )
        & ~ ( ? [X2] : 
                ( p3(X2)
                & X1 = f43(X2) )
            & p60(X1) ) ) ) )).

fof(formula_188,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_150,axiom,(
    ! [X1] : ~ p7(f11(X1)) )).

fof(formula_409,lemma,(
    ! [X1,X2] : 
      ( p22(f44(X1),f44(X2))
     => X1 = X2 ) )).

fof(formula_332,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p10(X2)
      & p62(X2,X1) ) )).

fof(formula_426,lemma,(
    ! [X1,X2,X3] : 
      ( f44(X1) = f16(X2,X3)
     => X1 = X2 ) )).

fof(formula_391,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( ! [X2,X3] : ~ p1(f21(X2,X3),X1)
       => X1 = c39 ) ) )).

fof(formula_286,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => p22(f24(X2,X1),f37(X2)) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( p10(X2)
     => ! [X3] : 
          ( p10(X3)
         => ( X3 = f27(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f21(X4,X5),X3)
              <=> ( p1(X5,X1)
                  & p1(f21(X4,X5),X2) ) ) ) ) ) )).

fof(formula_338,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_212,axiom,(
    ? [X1] : 
      ( p5(X1)
      & p6(X1)
      & p3(X1) ) )).

fof(formula_312,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p1(f21(X1,X2),X3)
       => ( p1(X1,f25(X3))
          & p1(X2,f37(X3)) ) ) ) )).

fof(formula_405,lemma,(
    ! [X1] : f16(X1,X1) = f44(X1) )).

fof(formula_194,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => p22(f25(f27(X1,X2)),f25(X2)) ) )).

fof(formula_249,axiom,(
    ! [X1,X2] : 
      ( ! [X3,X4,X5] : 
          ( ( X3 = X4
            & ? [X6,X7] : 
                ( f21(X6,X7) = X4
                & p1(X6,X1)
                & X7 = f44(X6) )
            & X3 = X5
            & ? [X8,X9] : 
                ( f21(X8,X9) = X5
                & p1(X8,X1)
                & X9 = f44(X8) ) )
         => X4 = X5 )
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5] : 
              ( p1(X5,f12(X1,X2))
              & X5 = X4
              & ? [X10,X11] : 
                  ( f21(X10,X11) = X4
                  & p1(X10,X1)
                  & X11 = f44(X10) ) ) ) ) )).

fof(formula_359,axiom,(
    ! [X1] : f59(X1,c39) = X1 )).

fof(formula_403,lemma,(
    ! [X1,X2] : 
      ( f59(X1,f44(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_419,lemma,(
    ! [X1,X2] : 
      ( p52(X1,X2)
    <=> f59(X1,X2) = X1 ) )).

fof(formula_354,lemma,(
    ! [X1,X2] : 
      ( p22(f44(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_289,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p22(X1,f25(X2))
       => p22(X1,f31(X2,f24(X2,X1))) ) ) )).

fof(formula_45,axiom,(
    ! [X1] : 
      ( ? [X2,X3] : X1 = f21(X2,X3)
     => ! [X2] : 
          ( X2 = f50(X1)
        <=> ! [X3,X4] : 
              ( X1 = f21(X3,X4)
             => X2 = X4 ) ) ) )).

fof(formula_283,lemma,(
    ! [X1,X2] : 
      ( ( p22(X1,X2)
        & p8(X2) )
     => p8(X1) ) )).

fof(formula_395,lemma,(
    ! [X1] : p28(f49(X1)) )).

fof(formula_187,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => f67(X1,f67(X1,X2)) = X2 ) )).

fof(formula_152,axiom,(
    ! [X1,X2] : ~ p7(f21(X1,X2)) )).

fof(formula_427,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => f25(f23(X2,X1)) = f18(f25(X2),X1) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2,X3] : 
          ( X3 = f31(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f21(X4,X5),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_112,axiom,(
    ! [X1,X2,X3] : 
      ( p46(X3,X1,X2)
     => p4(f41(X1,X2,X3),f11(X1)) ) )).

fof(formula_412,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X3)
        & p9(X3) )
     => ( p1(X2,X1)
       => f26(f23(X3,X1),X2) = f26(X3,X2) ) ) )).

fof(formula_52,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f12(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f21(X5,X6) ) ) ) )).

fof(formula_174,axiom,(
    p10(c39) )).

fof(formula_162,axiom,(
    p3(c39) )).

fof(formula_104,axiom,(
    ! [X1,X2] : 
      ( p10(X1)
     => p10(f63(X1,X2)) ) )).

fof(formula_368,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f11(X1))
     => ! [X3] : 
          ( p4(X3,f11(X1))
         => ( p52(X2,X3)
          <=> p22(X2,f61(X1,X3)) ) ) ) )).

fof(formula_218,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p4(X2,f11(X1))
      & p7(X2)
      & p10(X2)
      & p9(X2)
      & p14(X2)
      & p5(X2)
      & p6(X2)
      & p3(X2)
      & p13(X2)
      & p8(X2) ) )).

fof(formula_232,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => f70(X1,X2) = f55(X2) ) )).

fof(formula_159,axiom,(
    p7(c39) )).

fof(formula_199,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f11(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_89,axiom,(
    $true )).

fof(formula_186,axiom,(
    ! [X1] : 
      ( p10(X1)
     => f64(f64(X1)) = X1 ) )).

fof(formula_75,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p33(X1,X2)
        <=> ! [X3,X4] : 
              ~ ( p1(X3,X2)
                & p1(X4,X2)
                & X3 != X4
                & ~ p1(f21(X3,X4),X1)
                & ~ p1(f21(X4,X3),X1) ) ) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2,X3] : 
          ( X3 = f24(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f21(X5,X4),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_142,axiom,(
    ! [X1] : 
      ( ~ p7(f44(X1))
      & p8(f44(X1)) ) )).

fof(formula_422,axiom,(
    ! [X1,X2] : 
      ~ ( p7(X1)
        & X1 != X2
        & p7(X2) ) )).

fof(formula_154,axiom,(
    ! [X1] : 
      ( p10(f20(X1))
      & p9(f20(X1)) ) )).

fof(formula_195,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( p34(X1)
      <=> ! [X2,X3,X4] : 
            ( ( p1(f21(X2,X3),X1)
              & p1(f21(X3,X4),X1) )
           => p1(f21(X2,X4),X1) ) ) ) )).

fof(formula_185,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(X1))
     => f61(X1,f61(X1,X2)) = X2 ) )).

fof(formula_278,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => f37(f27(X1,X2)) = f18(f37(X2),X1) ) )).

fof(formula_222,axiom,(
    ? [X1] : 
      ( ~ p7(X1)
      & p10(X1) ) )).

fof(formula_226,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p9(X1)
      & p14(X1) ) )).

fof(formula_378,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => ( X2 != c39
       => f70(X1,f67(X1,X2)) = f72(X1,f54(X1),f71(X1,X2)) ) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( X2 = f49(X1)
      <=> ( f30(X2) = X1
          & ! [X3,X4] : 
              ( ( p1(X3,X1)
                & p1(X4,X1) )
             => ( p1(f21(X3,X4),X2)
              <=> p22(X3,X4) ) ) ) ) ) )).

fof(formula_349,lemma,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => ( X2 = f20(X1)
      <=> ( f25(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f26(X2,X3) = X3 ) ) ) ) )).

fof(formula_136,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f59(X1,X2)) ) )).

fof(formula_420,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p1(X1,f25(f23(X3,X2)))
      <=> ( p1(X1,X2)
          & p1(X1,f25(X3)) ) ) ) )).

fof(formula_309,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p4(X1,X2) ) )).

fof(formula_139,axiom,(
    p73(c39) )).

fof(formula_389,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ! [X3] : 
              ( ( p10(X3)
                & p9(X3) )
             => ( ( p56(X1)
                  & p65(X1,X2,X3) )
               => p56(X2) ) ) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_304,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p4(X2,f11(f11(X1)))
         => ~ ( X2 != c39
              & ! [X3] : 
                  ~ ( p1(X3,X2)
                    & ! [X4] : 
                        ( ( p1(X4,X2)
                          & p22(X3,X4) )
                       => X4 = X3 ) ) ) ) ) )).

fof(formula_93,axiom,(
    $true )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( p9(X1)
    <=> ! [X2,X3,X4] : 
          ( ( p1(f21(X2,X3),X1)
            & p1(f21(X2,X4),X1) )
         => X3 = X4 ) ) )).

fof(formula_240,axiom,(
    ! [X1,X2] : p58(X1,X1) )).

fof(formula_87,axiom,(
    $true )).

fof(formula_55,axiom,(
    ! [X1,X2] : 
      ( p22(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_379,lemma,(
    ! [X1,X2] : f59(X1,f59(X1,X2)) = f18(X1,X2) )).

fof(formula_117,axiom,(
    ! [X1,X2,X3] : 
      ( p46(X3,X1,X2)
     => p4(f69(X1,X2,X3),f11(X2)) ) )).

fof(formula_99,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ( p10(f68(X1))
        & p9(f68(X1)) ) ) )).

fof(formula_375,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f17(f44(X1),X2) = X2 ) )).

fof(formula_38,axiom,(
    ! [X1,X2,X3] : 
      ( p46(X3,X1,X2)
    <=> p22(X3,f12(X1,X2)) ) )).

fof(formula_348,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f21(X1,X2) = f21(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_346,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( p1(X1,X2)
          <=> p19(f43(X1),X2) ) ) ) )).

fof(formula_219,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p7(X1)
      & p9(X1) ) )).

fof(formula_302,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => f63(X2,X1) = f23(f27(X1,X2),X1) ) )).

fof(formula_402,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( f25(X1) = c39
      <=> f37(X1) = c39 ) ) )).

fof(formula_216,axiom,(
    ! [X1] : 
      ( ~ p7(X1)
     => ? [X2] : 
          ( p4(X2,f11(X1))
          & ~ p7(X2) ) ) )).

fof(formula_430,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => p22(f37(f23(X2,X1)),f37(X2)) ) )).

fof(formula_411,lemma,(
    ! [X1] : 
      ( f25(f20(X1)) = X1
      & f37(f20(X1)) = X1 ) )).

fof(formula_208,axiom,(
    ? [X1] : 
      ( ~ p7(X1)
      & p5(X1)
      & p6(X1)
      & p3(X1)
      & p13(X1) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p7(X1)
        & p9(X1) )
     => ( p10(X1)
        & p9(X1)
        & p14(X1) ) ) )).

fof(formula_384,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p52(X1,X2)
          & ! [X3] : ~ p1(X3,f18(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f18(X1,X2))
          & p52(X1,X2) ) ) )).

fof(formula_200,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( p28(X1)
      <=> ! [X2,X3] : 
            ( ( p1(f21(X2,X3),X1)
              & p1(f21(X3,X2),X1) )
           => X2 = X3 ) ) ) )).

fof(formula_373,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ( p22(f37(X1),f25(X2))
           => f25(f66(X1,X2)) = f25(X1) ) ) ) )).

fof(formula_220,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p9(X1)
      & p14(X1)
      & p7(X1)
      & p5(X1)
      & p6(X1)
      & p3(X1) ) )).

fof(formula_303,lemma,(
    ! [X1,X2] : p22(f18(X1,X2),X1) )).

fof(formula_295,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p1(X1,f31(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f37(X3))
            & p1(f21(X1,X4),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_134,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f18(X1,X2)) ) )).

fof(formula_413,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p10(X4)
     => ( p1(f21(X1,X2),f66(f20(X3),X4))
      <=> ( p1(X1,X3)
          & p1(f21(X1,X2),X4) ) ) ) )).

fof(formula_132,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => p8(f18(X1,X2)) ) )).

fof(formula_244,lemma,
    ( ( ( p1(c39,c15)
       => ! [X1] : 
            ( p4(X1,f11(f11(c39)))
           => ~ ( X1 != c39
                & ! [X2] : 
                    ~ ( p1(X2,X1)
                      & ! [X3] : 
                          ( ( p1(X3,X1)
                            & p22(X2,X3) )
                         => X3 = X2 ) ) ) ) )
      & ! [X4] : 
          ( p3(X4)
         => ( ( p1(X4,c15)
             => ! [X5] : 
                  ( p4(X5,f11(f11(X4)))
                 => ~ ( X5 != c39
                      & ! [X6] : 
                          ~ ( p1(X6,X5)
                            & ! [X7] : 
                                ( ( p1(X7,X5)
                                  & p22(X6,X7) )
                               => X7 = X6 ) ) ) ) )
           => ( p1(f43(X4),c15)
             => ! [X8] : 
                  ( p4(X8,f11(f11(f43(X4))))
                 => ~ ( X8 != c39
                      & ! [X9] : 
                          ~ ( p1(X9,X8)
                            & ! [X10] : 
                                ( ( p1(X10,X8)
                                  & p22(X9,X10) )
                               => X10 = X9 ) ) ) ) ) ) )
      & ! [X4] : 
          ( p3(X4)
         => ( ( p60(X4)
              & ! [X11] : 
                  ( p3(X11)
                 => ( p1(X11,X4)
                   => ( p1(X11,c15)
                     => ! [X12] : 
                          ( p4(X12,f11(f11(X11)))
                         => ~ ( X12 != c39
                              & ! [X13] : 
                                  ~ ( p1(X13,X12)
                                    & ! [X14] : 
                                        ( ( p1(X14,X12)
                                          & p22(X13,X14) )
                                       => X14 = X13 ) ) ) ) ) ) ) )
           => ( X4 = c39
              | ( p1(X4,c15)
               => ! [X15] : 
                    ( p4(X15,f11(f11(X4)))
                   => ~ ( X15 != c39
                        & ! [X16] : 
                            ~ ( p1(X16,X15)
                              & ! [X17] : 
                                  ( ( p1(X17,X15)
                                    & p22(X16,X17) )
                                 => X17 = X16 ) ) ) ) ) ) ) ) )
   => ! [X4] : 
        ( p3(X4)
       => ( p1(X4,c15)
         => ! [X18] : 
              ( p4(X18,f11(f11(X4)))
             => ~ ( X18 != c39
                  & ! [X19] : 
                      ~ ( p1(X19,X18)
                        & ! [X20] : 
                            ( ( p1(X20,X18)
                              & p22(X19,X20) )
                           => X20 = X19 ) ) ) ) ) ) )).

fof(formula_133,axiom,(
    ! [X1,X2] : 
      ( ( p7(X1)
        & p10(X2) )
     => ( p7(f66(X2,X1))
        & p10(f66(X2,X1)) ) ) )).

fof(formula_273,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p1(X1,f37(f27(X2,X3)))
      <=> ( p1(X1,X2)
          & p1(X1,f37(X3)) ) ) ) )).

fof(formula_326,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ~ ( ~ p1(X1,X2)
              & X1 != X2
              & ~ p1(X2,X1) ) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ( p28(X1)
      <=> p29(X1,f30(X1)) ) ) )).

fof(formula_279,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p22(X1,X2)
        & p22(X3,X4) )
     => p22(f12(X1,X3),f12(X2,X4)) ) )).

fof(formula_296,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => p22(f31(X2,X1),f25(X2)) ) )).

fof(formula_202,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( p32(X1)
      <=> ! [X2,X3] : 
            ~ ( p1(X2,f30(X1))
              & p1(X3,f30(X1))
              & X2 != X3
              & ~ p1(f21(X2,X3),X1)
              & ~ p1(f21(X3,X2),X1) ) ) ) )).

fof(formula_241,lemma,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p10(X2) )
     => ( ! [X3,X4,X5] : 
            ( ( p1(X3,X1)
              & ? [X6] : 
                  ( X3 = X6
                  & p1(X4,X6)
                  & ! [X7] : 
                      ( p1(X7,X6)
                     => p1(f21(X4,X7),X2) ) )
              & p1(X3,X1)
              & ? [X8] : 
                  ( X3 = X8
                  & p1(X5,X8)
                  & ! [X9] : 
                      ( p1(X9,X8)
                     => p1(f21(X5,X9),X2) ) ) )
           => X4 = X5 )
       => ? [X3] : 
            ( p10(X3)
            & p9(X3)
            & ! [X4,X5] : 
                ( p1(f21(X4,X5),X3)
              <=> ( p1(X4,X1)
                  & p1(X4,X1)
                  & ? [X10] : 
                      ( X4 = X10
                      & p1(X5,X10)
                      & ! [X11] : 
                          ( p1(X11,X10)
                         => p1(f21(X5,X11),X2) ) ) ) ) ) ) ) )).

fof(formula_392,lemma,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => ( ( p14(X2)
          & p1(X1,f37(X2)) )
       => ( X1 = f26(X2,f26(f68(X2),X1))
          & X1 = f26(f66(f68(X2),X2),X1) ) ) ) )).

fof(formula_360,lemma,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p1(X2,X3)
        & p1(X3,X1) ) )).

fof(formula_33,axiom,(
    ! [X1,X2,X3] : 
      ( p38(X3,X1,X2)
     => ( ( ( X2 = c39
           => X1 = c39 )
         => ( p40(X3,X1,X2)
          <=> X1 = f41(X1,X2,X3) ) )
        & ( X2 = c39
         => ( X1 = c39
            | ( p40(X3,X1,X2)
            <=> X3 = c39 ) ) ) ) ) )).

fof(formula_102,axiom,(
    ! [X1] : p4(f54(X1),f11(X1)) )).

fof(formula_165,axiom,(
    ! [X1,X2] : 
      ( ~ p7(X1)
     => ~ p7(f17(X1,X2)) ) )).

fof(formula_91,axiom,(
    $true )).

fof(formula_221,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p46(X3,X1,X2)
      & p10(X3)
      & p9(X3) ) )).

fof(formula_113,axiom,(
    $true )).

fof(formula_339,lemma,(
    ! [X1] : p57(f49(X1)) )).

fof(formula_213,axiom,(
    ? [X1] : 
      ( p5(X1)
      & p6(X1)
      & p3(X1)
      & p60(X1) ) )).

fof(formula_164,axiom,(
    ! [X1] : ~ p7(f44(X1)) )).

fof(formula_239,axiom,(
    ! [X1,X2] : p22(X1,X1) )).

fof(formula_15,axiom,(
    ! [X1,X2] : f16(X1,X2) = f16(X2,X1) )).

fof(formula_49,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f16(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( X2 = f20(X1)
      <=> ! [X3,X4] : 
            ( p1(f21(X3,X4),X2)
          <=> ( p1(X3,X1)
              & X3 = X4 ) ) ) ) )).

fof(formula_116,axiom,(
    ! [X1,X2] : 
      ( ( p10(X1)
        & p10(X2) )
     => p10(f66(X1,X2)) ) )).

fof(formula_252,axiom,(
    ! [X1,X2,X3] : 
      ( ( p10(X2)
        & p10(X3)
        & p9(X3) )
     => ( ! [X4,X5,X6] : 
            ( ( X4 = X5
              & ? [X7,X8] : 
                  ( X5 = f21(X7,X8)
                  & p1(f21(f26(X3,X7),f26(X3,X8)),X2) )
              & X4 = X6
              & ? [X9,X10] : 
                  ( X6 = f21(X9,X10)
                  & p1(f21(f26(X3,X9),f26(X3,X10)),X2) ) )
           => X5 = X6 )
       => ? [X4] : 
          ! [X5] : 
            ( p1(X5,X4)
          <=> ? [X6] : 
                ( p1(X6,f12(X1,X1))
                & X6 = X5
                & ? [X11,X12] : 
                    ( X5 = f21(X11,X12)
                    & p1(f21(f26(X3,X11),f26(X3,X12)),X2) ) ) ) ) ) )).

fof(formula_82,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p35(X1,X2)
        <=> ! [X3,X4,X5] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(X5,X2)
                & p1(f21(X3,X4),X1)
                & p1(f21(X4,X5),X1) )
             => p1(f21(X3,X5),X1) ) ) ) )).

fof(formula_126,axiom,(
    $true )).

fof(formula_72,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p62(X1,X2)
        <=> ( p45(X1,X2)
            & p35(X1,X2)
            & p29(X1,X2)
            & p33(X1,X2)
            & p53(X1,X2) ) ) ) )).

fof(formula_170,axiom,(
    ! [X1,X2] : 
      ( ~ p7(X1)
     => ~ p7(f17(X2,X1)) ) )).

fof(formula_245,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X2)
        & p10(X3)
        & p9(X3) )
     => ? [X4] : 
          ( p10(X4)
          & ! [X5,X6] : 
              ( p1(f21(X5,X6),X4)
            <=> ( p1(X5,X1)
                & p1(X6,X1)
                & p1(f21(f26(X3,X5),f26(X3,X6)),X2) ) ) ) ) )).

fof(formula_254,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f11(f11(X1)))
        & p10(X3)
        & p9(X3) )
     => ( ! [X4,X5,X6] : 
            ( ( X4 = X5
              & p1(f24(X3,X5),X2)
              & X4 = X6
              & p1(f24(X3,X6),X2) )
           => X5 = X6 )
       => ? [X4] : 
          ! [X5] : 
            ( p1(X5,X4)
          <=> ? [X6] : 
                ( p1(X6,f11(f25(X3)))
                & X6 = X5
                & p1(f24(X3,X5),X2) ) ) ) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p10(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f21(X3,X4) ) ) )).

fof(formula_183,axiom,(
    ! [X1,X2] : f17(X1,X1) = X1 )).

fof(formula_181,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f17(X1,X2)) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_347,lemma,(
    ! [X1,X2,X3] : 
      ( p22(X1,X2)
     => p22(f59(X1,X3),f59(X2,X3)) ) )).

fof(formula_68,axiom,(
    ! [X1] : 
      ( X1 = c15
    <=> ( p1(c39,X1)
        & p60(X1)
        & p3(X1)
        & ! [X2] : 
            ( p3(X2)
           => ( ( p1(c39,X2)
                & p60(X2) )
             => p22(X1,X2) ) ) ) ) )).

fof(formula_121,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f11(X1))
        & p4(X3,f11(X1)) )
     => p4(f72(X1,X2,X3),f11(X1)) ) )).

fof(formula_189,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( p57(X1)
      <=> ! [X2] : 
            ( p1(X2,f30(X1))
           => p1(f21(X2,X2),X1) ) ) ) )).

fof(formula_257,lemma,(
    ! [X1,X2] : 
    ? [X3] : 
    ! [X4] : 
      ( p1(X4,X3)
    <=> ( p1(X4,f12(X1,X2))
        & ? [X5,X6] : 
            ( f21(X5,X6) = X4
            & p1(X5,X1)
            & X6 = f44(X5) ) ) ) )).

fof(formula_225,axiom,(
    ! [X1] : 
      ( ~ p7(X1)
     => ? [X2] : 
          ( p4(X2,f11(X1))
          & ~ p7(X2)
          & p8(X2) ) ) )).

fof(formula_351,lemma,(
    ! [X1,X2] : p22(f59(X1,X2),X1) )).

fof(formula_138,axiom,(
    p10(c39) )).

fof(formula_17,axiom,(
    ! [X1,X2] : f18(X1,X2) = f18(X2,X1) )).

fof(formula_387,lemma,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ( p14(X1)
       => ! [X2] : 
            ( ( p10(X2)
              & p9(X2) )
           => ( X2 = f68(X1)
            <=> ( f25(X2) = f37(X1)
                & ! [X3,X4] : 
                    ( ( ( p1(X3,f37(X1))
                        & X4 = f26(X2,X3) )
                     => ( p1(X4,f25(X1))
                        & X3 = f26(X1,X4) ) )
                    & ( ( p1(X4,f25(X1))
                        & X3 = f26(X1,X4) )
                     => ( p1(X3,f37(X1))
                        & X4 = f26(X2,X3) ) ) ) ) ) ) ) ) )).

fof(formula_125,axiom,(
    $true )).

fof(formula_268,axiom,(
    ! [X1,X2] : 
      ( p52(X1,X2)
     => p52(X2,X1) ) )).

fof(formula_137,axiom,(
    p7(c39) )).

fof(formula_322,lemma,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => ! [X3] : 
          ( ( p10(X3)
            & p9(X3) )
         => ( p1(X1,f25(X2))
           => f26(f66(X2,X3),X1) = f26(X3,f26(X2,X1)) ) ) ) )).

fof(formula_108,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(X1))
     => p4(f61(X1,X2),f11(X1)) ) )).

fof(formula_433,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p22(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p22(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p22(X3,X2)
            & ~ p74(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_355,lemma,(
    ! [X1,X2,X3] : 
      ( p22(f16(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_129,axiom,(
    ! [X1,X2] : 
    ? [X3] : p46(X3,X1,X2) )).

fof(formula_86,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ( p57(X1)
      <=> p45(X1,f30(X1)) ) ) )).

fof(formula_223,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p4(X2,f11(X1))
      & p7(X2) ) )).

fof(formula_385,lemma,(
    ! [X1] : 
      ( X1 != c39
     => ! [X2] : 
          ( p4(X2,f11(X1))
         => ! [X3] : 
              ( p4(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f61(X1,X2)) ) ) ) ) )).

fof(formula_263,lemma,(
    ! [X1,X2] : 
      ( p3(X2)
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,f43(X2))
            & ? [X5] : 
                ( p3(X5)
                & X4 = X5
                & p1(X5,X1) ) ) ) ) )).

fof(formula_84,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p22(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_388,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X3,f11(X1))
     => ~ ( p1(X2,f61(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_190,lemma,(
    ! [X1] : f44(X1) != c39 )).

fof(formula_298,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p1(X1,f63(X3,X2))
      <=> ( p1(X1,X3)
          & p1(X1,f12(X2,X2)) ) ) ) )).

fof(formula_114,axiom,(
    $true )).

fof(formula_431,lemma,(
    ! [X1] : f55(f11(X1)) = X1 )).

fof(formula_381,axiom,(
    ! [X1] : f59(c39,X1) = c39 )).

fof(formula_324,lemma,(
    ! [X1,X2,X3] : 
      ( p38(X3,X1,X2)
     => ( ! [X4] : 
            ~ ( p1(X4,X2)
              & ! [X5] : ~ p1(f21(X5,X4),X3) )
      <=> f69(X1,X2,X3) = X2 ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p9(X1) ) )).

fof(formula_64,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ( p56(X1)
      <=> ( p57(X1)
          & p34(X1)
          & p28(X1)
          & p32(X1)
          & p51(X1) ) ) ) )).

fof(formula_44,axiom,(
    ! [X1,X2] : 
      ( X2 = f11(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p22(X3,X1) ) ) )).

fof(formula_196,lemma,(
    ! [X1,X2] : 
      ( p22(f44(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_46,axiom,(
    ! [X1] : 
      ( p5(X1)
    <=> ! [X2] : 
          ( p1(X2,X1)
         => p22(X2,X1) ) ) )).

fof(formula_70,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(X1))
     => f61(X1,X2) = f59(X1,X2) ) )).

fof(formula_376,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ( p22(f25(X1),f37(X2))
           => f37(f66(X2,X1)) = f37(X1) ) ) ) )).

fof(formula_410,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X3)
        & p9(X3) )
     => ( p1(X2,f25(f23(X3,X1)))
       => f26(f23(X3,X1),X2) = f26(X3,X2) ) ) )).

fof(formula_340,lemma,(
    ! [X1] : p22(c39,X1) )).

fof(formula_336,axiom,(
    ! [X1] : f18(X1,c39) = c39 )).

fof(formula_308,axiom,(
    ! [X1] : f17(X1,c39) = X1 )).

fof(formula_370,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => p22(f37(f66(X1,X2)),f37(X2)) ) ) )).

fof(formula_434,lemma,(
    ! [X1,X2,X3] : 
      ( f44(X1) = f16(X2,X3)
     => X2 = X3 ) )).

fof(formula_329,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p28(X2)
       => p28(f63(X2,X1)) ) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & p6(X1) )
     => p3(X1) ) )).

fof(formula_105,axiom,(
    $true )).

fof(formula_313,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p22(f30(f63(X2,X1)),f30(X2))
        & p22(f30(f63(X2,X1)),X1) ) ) )).

fof(formula_372,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p9(X4)
        & p40(X4,X1,X2)
        & p38(X4,X1,X2) )
     => ( X2 != c39
       => ! [X5] : 
            ( p1(X5,f31(X4,X3))
          <=> ( p1(X5,X1)
              & p1(f26(X4,X5),X3) ) ) ) ) )).

fof(formula_83,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => ! [X3] : 
          ( p4(X3,f11(f11(X1)))
         => ( X3 = f67(X1,X2)
          <=> ! [X4] : 
                ( p4(X4,f11(X1))
               => ( p1(X4,X3)
                <=> p1(f61(X1,X4),X2) ) ) ) ) ) )).

fof(formula_155,axiom,(
    p10(c39) )).

fof(formula_41,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2,X3] : 
          ( X3 = f48(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( X4 != X2
                & p1(f21(X4,X2),X1) ) ) ) ) )).

fof(formula_282,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p22(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f11(X3),X2) )
      & ! [X3] : 
          ~ ( p22(X3,X2)
            & ~ p74(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_229,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p73(X1)
      & p9(X1) ) )).

fof(formula_343,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p51(X2)
       => p51(f63(X2,X1)) ) ) )).

fof(formula_299,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ~ ( X1 != c39
          & p22(X1,f37(X2))
          & f31(X2,X1) = c39 ) ) )).

fof(formula_423,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X3)
        & p9(X3) )
     => ( p1(f21(X1,X2),X3)
      <=> ( p1(X1,f25(X3))
          & X2 = f26(X3,X1) ) ) ) )).

fof(formula_111,axiom,(
    ! [X1] : 
      ( p10(X1)
     => p10(f64(X1)) ) )).

fof(formula_300,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p22(X1,X2)
       => p22(f31(X3,X1),f31(X3,X2)) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p8(X1) ) )).

fof(formula_365,lemma,(
    ! [X1,X2] : f59(f17(X1,X2),X2) = f59(X1,X2) )).

fof(formula_157,axiom,(
    p9(c39) )).

fof(formula_206,lemma,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p4(X1,f11(X2)) ) )).

fof(formula_141,axiom,(
    ! [X1,X2] : 
      ( ( p10(X1)
        & p73(X1) )
     => ( p10(f23(X1,X2))
        & p73(f23(X1,X2)) ) ) )).

fof(formula_148,axiom,(
    ~ p7(c15) )).

fof(formula_408,lemma,(
    ! [X1] : 
      ( p3(X1)
     => p51(f49(X1)) ) )).

fof(formula_236,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => ( p19(X1,X2)
      <=> p22(X1,X2) ) ) )).

fof(formula_234,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f11(X1))
        & p4(X3,f11(X1)) )
     => f72(X1,X2,X3) = f59(X2,X3) ) )).

fof(formula_233,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => f71(X1,X2) = f47(X2) ) )).

fof(formula_328,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ( p22(X1,X2)
           => ( p22(f25(X1),f25(X2))
              & p22(f37(X1),f37(X2)) ) ) ) ) )).

fof(formula_124,axiom,(
    ! [X1,X2] : 
      ( p10(X2)
     => p10(f27(X1,X2)) ) )).

fof(formula_264,lemma,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p10(X2) )
     => ( ( ! [X3,X4,X5] : 
              ( ( p1(X3,X1)
                & ? [X6] : 
                    ( X3 = X6
                    & p1(X4,X6)
                    & ! [X7] : 
                        ( p1(X7,X6)
                       => p1(f21(X4,X7),X2) ) )
                & ? [X8] : 
                    ( X3 = X8
                    & p1(X5,X8)
                    & ! [X9] : 
                        ( p1(X9,X8)
                       => p1(f21(X5,X9),X2) ) ) )
             => X4 = X5 )
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & ! [X4] : 
                    ~ ? [X10] : 
                        ( X3 = X10
                        & p1(X4,X10)
                        & ! [X11] : 
                            ( p1(X11,X10)
                           => p1(f21(X4,X11),X2) ) ) ) )
       => ? [X3] : 
            ( p10(X3)
            & p9(X3)
            & f25(X3) = X1
            & ! [X4] : 
                ( p1(X4,X1)
               => ? [X12] : 
                    ( X4 = X12
                    & p1(f26(X3,X4),X12)
                    & ! [X13] : 
                        ( p1(X13,X12)
                       => p1(f21(f26(X3,X4),X13),X2) ) ) ) ) ) ) )).

fof(formula_366,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ( p60(X1)
      <=> ! [X2] : 
            ( p3(X2)
           => ( p1(X2,X1)
             => p1(f43(X2),X1) ) ) ) ) )).

fof(formula_130,axiom,(
    ! [X1] : 
    ? [X2] : p4(X2,X1) )).

fof(formula_163,axiom,(
    ! [X1,X2] : 
      ( ( p10(X1)
        & p10(X2) )
     => p10(f17(X1,X2)) ) )).

fof(formula_92,axiom,(
    $true )).

fof(formula_209,axiom,(
    ? [X1] : 
      ( ~ p7(X1)
      & p8(X1) ) )).

fof(formula_243,lemma,(
    ! [X1] : 
      ( ? [X2] : 
          ( p3(X2)
          & p1(X2,X1) )
     => ? [X2] : 
          ( p3(X2)
          & p1(X2,X1)
          & ! [X3] : 
              ( p3(X3)
             => ( p1(X3,X1)
               => p19(X2,X3) ) ) ) ) )).

fof(formula_176,axiom,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => ( p10(f27(X1,X2))
        & p9(f27(X1,X2)) ) ) )).

fof(formula_59,axiom,(
    ! [X1] : 
      ( p3(X1)
    <=> ( p5(X1)
        & p6(X1) ) ) )).

fof(formula_100,axiom,(
    $true )).

fof(formula_101,axiom,(
    $true )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( ? [X2,X3] : X1 = f21(X2,X3)
     => ! [X2] : 
          ( X2 = f42(X1)
        <=> ! [X3,X4] : 
              ( X1 = f21(X3,X4)
             => X2 = X3 ) ) ) )).

fof(formula_358,lemma,(
    ! [X1,X2] : 
      ( p22(X1,f44(X2))
    <=> ( X1 = c39
        | X1 = f44(X2) ) ) )).

fof(formula_248,axiom,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( p1(X2,X1)
            & X3 = f44(X2)
            & p1(X2,X1)
            & X4 = f44(X2) )
         => X3 = X4 )
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X4,X1)
              & p1(X4,X1)
              & X3 = f44(X4) ) ) ) )).

fof(formula_380,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ! [X3] : 
              ( ( p10(X3)
                & p9(X3) )
             => ( p65(X1,X2,X3)
               => p65(X2,X1,f68(X3)) ) ) ) ) )).

fof(formula_400,lemma,(
    ! [X1,X2,X3] : 
      ( ( p22(X1,X2)
        & p52(X2,X3) )
     => p52(X1,X3) ) )).

fof(formula_390,lemma,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ( p14(X1)
       => ( f37(X1) = f25(f68(X1))
          & f25(X1) = f37(f68(X1)) ) ) ) )).

fof(formula_166,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1)
        & p14(X1) )
     => ( p10(f64(X1))
        & p9(f64(X1)) ) ) )).

fof(formula_146,axiom,(
    p6(c15) )).

fof(formula_247,axiom,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p10(X2) )
     => ! [X3] : 
          ( ! [X4,X5,X6] : 
              ( ( X4 = X5
                & ? [X7,X8] : 
                    ( f21(X7,X8) = X5
                    & p1(X7,X1)
                    & ? [X9] : 
                        ( X7 = X9
                        & p1(X8,X9)
                        & ! [X10] : 
                            ( p1(X10,X9)
                           => p1(f21(X8,X10),X2) ) ) )
                & X4 = X6
                & ? [X11,X12] : 
                    ( f21(X11,X12) = X6
                    & p1(X11,X1)
                    & ? [X13] : 
                        ( X11 = X13
                        & p1(X12,X13)
                        & ! [X14] : 
                            ( p1(X14,X13)
                           => p1(f21(X12,X14),X2) ) ) ) )
             => X5 = X6 )
         => ? [X4] : 
            ! [X5] : 
              ( p1(X5,X4)
            <=> ? [X6] : 
                  ( p1(X6,f12(X1,X3))
                  & X6 = X5
                  & ? [X15,X16] : 
                      ( f21(X15,X16) = X5
                      & p1(X15,X1)
                      & ? [X17] : 
                          ( X15 = X17
                          & p1(X16,X17)
                          & ! [X18] : 
                              ( p1(X18,X17)
                             => p1(f21(X16,X18),X2) ) ) ) ) ) ) ) )).

fof(formula_297,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p38(X4,X3,X1)
     => ( p22(X1,X2)
       => p38(X4,X3,X2) ) ) )).

fof(formula_398,lemma,(
    ! [X1,X2] : 
      ~ ( p22(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_50,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ( p51(X1)
      <=> ! [X2] : 
            ~ ( p22(X2,f30(X1))
              & X2 != c39
              & ! [X3] : 
                  ~ ( p1(X3,X2)
                    & p52(f48(X1,X3),X2) ) ) ) ) )).

fof(formula_341,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p1(f21(X1,X2),X3)
       => ( p1(X1,f30(X3))
          & p1(X2,f30(X3)) ) ) ) )).

fof(formula_51,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f17(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_135,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p7(f64(X1))
        & p10(f64(X1)) ) ) )).

fof(formula_251,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p4(X2,f11(f11(f43(X1)))) )
     => ( ! [X3,X4,X5] : 
            ( ( X3 = X4
              & ? [X6] : 
                  ( p1(X6,X2)
                  & X4 = f59(X6,f44(X1)) )
              & X3 = X5
              & ? [X7] : 
                  ( p1(X7,X2)
                  & X5 = f59(X7,f44(X1)) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,f11(X1))
                & X5 = X4
                & ? [X8] : 
                    ( p1(X8,X2)
                    & X4 = f59(X8,f44(X1)) ) ) ) ) ) )).

fof(formula_98,axiom,(
    $true )).

fof(formula_149,axiom,(
    ! [X1,X2] : 
      ( ( p10(X1)
        & p10(X2) )
     => p10(f18(X1,X2)) ) )).

fof(formula_30,axiom,(
    ! [X1,X2,X3,X4] : 
      ( X4 = f36(X1,X2,X3)
    <=> ! [X5] : 
          ( p1(X5,X4)
        <=> ~ ( X5 != X1
              & X5 != X2
              & X5 != X3 ) ) ) )).

fof(formula_319,lemma,(
    ! [X1,X2] : 
      ( ( p10(X2)
        & p9(X2) )
     => ! [X3] : 
          ( ( p10(X3)
            & p9(X3) )
         => ( p1(X1,f25(f66(X3,X2)))
           => f26(f66(X3,X2),X1) = f26(X2,f26(X3,X1)) ) ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p4(X1,c15)
     => ( p5(X1)
        & p6(X1)
        & p3(X1)
        & p13(X1) ) ) )).

fof(formula_333,lemma,(
    ! [X1,X2,X3] : 
      ( p22(X1,X2)
     => p22(f18(X1,X3),f18(X2,X3)) ) )).

fof(formula_60,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( X2 = f25(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f21(X3,X4),X1) ) ) ) )).

fof(formula_172,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p5(f55(X1))
        & p6(f55(X1))
        & p3(f55(X1)) ) ) )).

fof(formula_78,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ! [X3] : 
              ( ( p10(X3)
                & p9(X3) )
             => ( p65(X1,X2,X3)
              <=> ( f25(X3) = f30(X1)
                  & f37(X3) = f30(X2)
                  & p14(X3)
                  & ! [X4,X5] : 
                      ( p1(f21(X4,X5),X1)
                    <=> ( p1(X4,f30(X1))
                        & p1(X5,f30(X1))
                        & p1(f21(f26(X3,X4),f26(X3,X5)),X2) ) ) ) ) ) ) ) )).

fof(formula_97,axiom,(
    $true )).

fof(formula_281,lemma,(
    ! [X1,X2] : 
      ( p22(X1,X2)
     => f17(X1,X2) = X2 ) )).

fof(formula_203,lemma,(
    ! [X1,X2] : 
      ( p22(X1,f44(X2))
    <=> ( X1 = c39
        | X1 = f44(X2) ) ) )).

fof(formula_145,axiom,(
    p5(c15) )).

fof(formula_416,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & ! [X3] : 
            ~ ( p1(X3,X2)
              & ! [X4] : 
                  ~ ( p1(X4,X2)
                    & p1(X4,X3) ) ) ) )).

fof(formula_371,lemma,(
    ! [X1,X2] : 
      ( p22(X1,X2)
     => X2 = f17(X1,f59(X2,X1)) ) )).

fof(formula_284,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => f23(f27(X1,X3),X2) = f27(X1,f23(X3,X2)) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ! [X2,X3] : 
          ( X3 = f31(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( p1(X4,f25(X1))
                & p1(f26(X1,X4),X2) ) ) ) ) )).

fof(formula_128,axiom,(
    ! [X1,X2,X3] : 
      ( p38(X3,X1,X2)
     => p4(X3,f11(f12(X1,X2))) ) )).

fof(formula_357,lemma,(
    ! [X1,X2] : f17(X1,f59(X2,X1)) = f17(X1,X2) )).

fof(formula_71,axiom,(
    ! [X1,X2] : f21(X1,X2) = f16(f16(X1,X2),f44(X1)) )).

fof(formula_271,lemma,(
    ! [X1] : p1(X1,f43(X1)) )).

fof(formula_81,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ! [X3] : 
              ( p10(X3)
             => ( X3 = f66(X1,X2)
              <=> ! [X4,X5] : 
                    ( p1(f21(X4,X5),X3)
                  <=> ? [X6] : 
                        ( p1(f21(X4,X6),X1)
                        & p1(f21(X6,X5),X2) ) ) ) ) ) ) )).

fof(formula_127,axiom,(
    $true )).

fof(formula_235,axiom,(
    ! [X1,X2,X3] : 
      ( p38(X3,X1,X2)
    <=> p46(X3,X1,X2) ) )).

fof(formula_197,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ~ ( p56(X2)
          & p58(X1,f30(X2))
          & ! [X3] : 
              ( p10(X3)
             => ~ p62(X3,X1) ) ) ) )).

fof(formula_95,axiom,(
    $true )).

fof(formula_115,axiom,(
    $true )).

fof(formula_35,axiom,(
    ! [X1] : f43(X1) = f17(X1,f44(X1)) )).

fof(formula_334,lemma,(
    ! [X1] : 
      ( ~ p7(X1)
     => ~ ( ! [X2] : 
              ~ ( p1(X2,X1)
                & X2 = c39 )
          & ! [X2] : 
              ( ( p10(X2)
                & p9(X2) )
             => ~ ( f25(X2) = X1
                  & ! [X3] : 
                      ( p1(X3,X1)
                     => p1(f26(X2,X3),X3) ) ) ) ) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ( p32(X1)
      <=> p33(X1,f30(X1)) ) ) )).

fof(formula_265,lemma,(
    ! [X1] : 
      ( ( ! [X2,X3,X4] : 
            ( ( p1(X2,X1)
              & X3 = f44(X2)
              & X4 = f44(X2) )
           => X3 = X4 )
        & ! [X2] : 
            ~ ( p1(X2,X1)
              & ! [X3] : X3 != f44(X2) ) )
     => ? [X2] : 
          ( p10(X2)
          & p9(X2)
          & f25(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f26(X2,X3) = f44(X3) ) ) ) )).

fof(formula_242,lemma,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( p1(X2,X1)
            & X3 = f44(X2)
            & p1(X2,X1)
            & X4 = f44(X2) )
         => X3 = X4 )
     => ? [X2] : 
          ( p10(X2)
          & p9(X2)
          & ! [X3,X4] : 
              ( p1(f21(X3,X4),X2)
            <=> ( p1(X3,X1)
                & p1(X3,X1)
                & X4 = f44(X3) ) ) ) ) )).

fof(formula_193,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p52(f44(X1),X2) ) )).

fof(formula_310,lemma,(
    ! [X1,X2,X3] : 
      ( ( p22(X1,X2)
        & p22(X2,X3) )
     => p22(X1,X3) ) )).

fof(formula_397,lemma,(
    f37(c39) = c39 )).

fof(formula_330,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p62(X2,X1)
       => ( f30(f63(X2,X1)) = X1
          & p56(f63(X2,X1)) ) ) ) )).

fof(formula_292,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p38(X4,X3,X1)
     => ( p22(f37(X4),X2)
       => p38(X4,X3,X2) ) ) )).

fof(formula_110,axiom,(
    $true )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => ( p19(X1,X2)
        | p19(X2,X1) ) ) )).

fof(formula_237,axiom,(
    ! [X1,X2] : 
      ( p58(X1,X2)
    <=> p74(X1,X2) ) )).

fof(formula_361,axiom,(
    ! [X1,X2] : 
      ( p4(X1,f11(X2))
    <=> p22(X1,X2) ) )).

fof(formula_224,axiom,(
    ? [X1] : ~ p7(X1) )).

fof(formula_290,lemma,(
    ! [X1] : 
      ( p10(X1)
     => f24(X1,f25(X1)) = f37(X1) ) )).

fof(formula_161,axiom,(
    p6(c39) )).

fof(formula_80,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ( p14(X1)
      <=> ! [X2,X3] : 
            ( ( p1(X2,f25(X1))
              & p1(X3,f25(X1))
              & f26(X1,X2) = f26(X1,X3) )
           => X2 = X3 ) ) ) )).

fof(formula_231,axiom,(
    ! [X1,X2,X3] : 
      ( p46(X3,X1,X2)
     => f69(X1,X2,X3) = f37(X3) ) )).

fof(formula_306,lemma,(
    ! [X1,X2,X3] : 
      ( p10(X3)
     => ( p1(X1,f30(f63(X3,X2)))
       => ( p1(X1,f30(X3))
          & p1(X1,X2) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p4(X2,f11(X1))
         => p8(X2) ) ) )).

fof(formula_432,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p9(X4)
        & p40(X4,X1,X2)
        & p38(X4,X1,X2) )
     => ( p22(X2,X3)
       => ( ( X2 = c39
            & X1 != c39 )
          | ( p9(X4)
            & p40(X4,X1,X3)
            & p38(X4,X1,X3) ) ) ) ) )).

fof(formula_393,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p4(X2,f11(X3))
        & p7(X3) ) )).

fof(formula_58,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ! [X2,X3] : 
          ( ( p1(X2,f25(X1))
           => ( X3 = f26(X1,X2)
            <=> p1(f21(X2,X3),X1) ) )
          & ( ~ p1(X2,f25(X1))
           => ( X3 = f26(X1,X2)
            <=> X3 = c39 ) ) ) ) )).

fof(formula_171,axiom,(
    ! [X1,X2] : 
      ( ( p10(X1)
        & p9(X1) )
     => ( p10(f23(X1,X2))
        & p9(f23(X1,X2)) ) ) )).

fof(formula_144,axiom,(
    ! [X1] : ~ p7(f43(X1)) )).

fof(formula_256,lemma,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p10(X2) )
     => ! [X3] : 
        ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f12(X1,X3))
            & ? [X6,X7] : 
                ( f21(X6,X7) = X5
                & p1(X6,X1)
                & ? [X8] : 
                    ( X6 = X8
                    & p1(X7,X8)
                    & ! [X9] : 
                        ( p1(X9,X8)
                       => p1(f21(X7,X9),X2) ) ) ) ) ) ) )).

fof(formula_182,axiom,(
    ! [X1,X2] : 
      ( ( p7(X1)
        & p10(X2) )
     => ( p7(f66(X1,X2))
        & p10(f66(X1,X2)) ) ) )).

fof(formula_210,axiom,(
    ? [X1] : 
      ( p10(X1)
      & p9(X1) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p5(X1)
        & p6(X1)
        & p3(X1) ) ) )).

fof(formula_215,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p10(X1) ) )).

fof(formula_321,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => ( p57(X2)
       => p57(f63(X2,X1)) ) ) )).

fof(formula_369,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => p22(f25(f66(X1,X2)),f25(X1)) ) ) )).

fof(formula_156,axiom,(
    p73(c39) )).

fof(formula_204,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p22(X1,f55(X2)) ) )).

fof(formula_96,axiom,(
    ! [X1] : p10(f49(X1)) )).

fof(formula_119,axiom,(
    ! [X1] : p10(f20(X1)) )).

fof(formula_269,axiom,(
    ! [X1,X2] : 
      ( p58(X1,X2)
     => p58(X2,X1) ) )).

fof(formula_262,lemma,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f11(f11(X1)))
        & p10(X3)
        & p9(X3) )
     => ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f11(f25(X3)))
            & p1(f24(X3,X5),X2) ) ) ) )).

fof(formula_311,lemma,(
    f11(c39) = f44(c39) )).

fof(formula_320,lemma,(
    ! [X1,X2,X3] : 
      ( p38(X3,X2,X1)
     => ( ! [X4] : 
            ~ ( p1(X4,X2)
              & ! [X5] : ~ p1(f21(X4,X5),X3) )
      <=> f41(X2,X1,X3) = X2 ) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : f17(X1,X2) = f17(X2,X1) )).

fof(formula_198,lemma,(
    ! [X1,X2] : 
      ( f59(X1,X2) = c39
    <=> p22(X1,X2) ) )).

fof(formula_337,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
     => ( p7(X2)
        | p1(X1,X2) ) ) )).

fof(formula_377,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => ( X2 != c39
       => f72(X1,f54(X1),f70(X1,X2)) = f71(X1,f67(X1,X2)) ) ) )).

fof(formula_227,axiom,(
    ? [X1] : 
      ( ~ p7(X1)
      & p5(X1)
      & p6(X1)
      & p3(X1) ) )).

fof(formula_140,axiom,(
    ! [X1,X2] : 
      ( ( p10(X1)
        & p9(X1)
        & p8(X2) )
     => p8(f24(X1,X2)) ) )).

fof(formula_94,axiom,(
    $true )).

fof(formula_179,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p7(f25(X1))
        & p10(f25(X1)) ) ) )).

fof(formula_167,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( ~ p7(f43(X1))
        & p5(f43(X1))
        & p6(f43(X1))
        & p3(f43(X1)) ) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2,X3] : 
          ( p10(X3)
         => ( X3 = f23(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f21(X4,X5),X3)
              <=> ( p1(X4,X2)
                  & p1(f21(X4,X5),X1) ) ) ) ) ) )).

fof(formula_417,lemma,(
    ! [X1] : 
      ( p3(X1)
     => p56(f49(X1)) ) )).

fof(formula_85,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ( p14(X1)
       => f68(X1) = f64(X1) ) ) )).

fof(formula_394,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( p51(X1)
      <=> p53(X1,f30(X1)) ) ) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ( ( X1 != c39
       => ( X2 = f47(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ! [X4] : 
                  ( p1(X4,X1)
                 => p1(X3,X4) ) ) ) )
      & ( X1 = c39
       => ( X2 = f47(X1)
        <=> X2 = c39 ) ) ) )).

fof(formula_364,lemma,(
    ! [X1] : 
      ( p22(X1,c39)
     => X1 = c39 ) )).

fof(formula_352,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ( f37(X1) = f25(f64(X1))
        & f25(X1) = f37(f64(X1)) ) ) )).

fof(formula_363,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p52(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p52(X1,X2) ) ) )).

fof(formula_386,lemma,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p10(X2)
         => ! [X3] : 
              ( ( p10(X3)
                & p9(X3) )
             => ( p65(X1,X2,X3)
               => ( ( p57(X1)
                   => p57(X2) )
                  & ( p34(X1)
                   => p34(X2) )
                  & ( p32(X1)
                   => p32(X2) )
                  & ( p28(X1)
                   => p28(X2) )
                  & ( p51(X1)
                   => p51(X2) ) ) ) ) ) ) )).

fof(formula_118,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => p4(f70(X1,X2),f11(X1)) ) )).

fof(formula_260,lemma,(
    ! [X1,X2,X3] : 
      ( ( p10(X2)
        & p10(X3)
        & p9(X3) )
     => ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f12(X1,X1))
            & ? [X6,X7] : 
                ( X5 = f21(X6,X7)
                & p1(f21(f26(X3,X6),f26(X3,X7)),X2) ) ) ) ) )).

fof(formula_421,lemma,(
    ! [X1,X2] : 
      ( p10(X2)
     => p22(f23(X2,X1),X2) ) )).

fof(formula_62,axiom,(
    ! [X1] : f54(X1) = X1 )).

fof(formula_120,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f11(f11(X1)))
     => p4(f71(X1,X2),f11(X1)) ) )).

fof(formula_331,conjecture,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ( p8(f25(X1))
       => p8(f37(X1)) ) ) )).

fof(formula_382,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p4(X2,f11(X3)) )
     => p4(X1,X3) ) )).

fof(formula_425,lemma,(
    ! [X1,X2,X3] : 
      ( ( p22(X1,X2)
        & p22(X3,X2) )
     => p22(f17(X1,X3),X2) ) )).

fof(formula_131,axiom,(
    ! [X1,X2] : 
    ? [X3] : p38(X3,X1,X2) )).

fof(formula_109,axiom,(
    $true )).

fof(formula_76,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : f63(X1,X2) = f18(X1,f12(X2,X2)) ) )).

fof(formula_415,lemma,(
    ! [X1,X2] : 
      ( f42(f21(X1,X2)) = X1
      & f50(f21(X1,X2)) = X2 ) )).

fof(formula_67,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p9(X1) )
     => ! [X2] : 
          ( X2 = f37(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : 
                  ( p1(X4,f25(X1))
                  & X3 = f26(X1,X4) ) ) ) ) )).

fof(formula_246,axiom,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p10(X2) )
     => ( ! [X3,X4,X5] : 
            ( ( p1(X3,X1)
              & ? [X6] : 
                  ( X3 = X6
                  & p1(X4,X6)
                  & ! [X7] : 
                      ( p1(X7,X6)
                     => p1(f21(X4,X7),X2) ) )
              & p1(X3,X1)
              & ? [X8] : 
                  ( X3 = X8
                  & p1(X5,X8)
                  & ! [X9] : 
                      ( p1(X9,X8)
                     => p1(f21(X5,X9),X2) ) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,X1)
                & p1(X5,X1)
                & ? [X10] : 
                    ( X5 = X10
                    & p1(X4,X10)
                    & ! [X11] : 
                        ( p1(X11,X10)
                       => p1(f21(X4,X11),X2) ) ) ) ) ) ) )).
%------------------------------------------------------------------------------
