%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f10(A,C,D) = f10(B,C,D) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f10(C,A,D) = f10(C,B,D) ) )).

fof(f10_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f10(C,D,A) = f10(C,D,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f12(A,C,D) = f12(B,C,D) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f12(C,A,D) = f12(C,B,D) ) )).

fof(f12_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f12(C,D,A) = f12(C,D,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f13(A,C,D,E,F,G) = f13(B,C,D,E,F,G) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f13(C,A,D,E,F,G) = f13(C,B,D,E,F,G) ) )).

fof(f13_substitution_3,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f13(C,D,A,E,F,G) = f13(C,D,B,E,F,G) ) )).

fof(f13_substitution_4,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f13(C,D,E,A,F,G) = f13(C,D,E,B,F,G) ) )).

fof(f13_substitution_5,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f13(C,D,E,F,A,G) = f13(C,D,E,F,B,G) ) )).

fof(f13_substitution_6,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f13(C,D,E,F,G,A) = f13(C,D,E,F,G,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f15(A,C,D) = f15(B,C,D) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f15(C,A,D) = f15(C,B,D) ) )).

fof(f15_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f15(C,D,A) = f15(C,D,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f16(A) = f16(B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(A,C) = f23(B,C) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(C,A) = f23(C,B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f27(A) = f27(B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f28(A,C,D) = f28(B,C,D) ) )).

fof(f28_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f28(C,A,D) = f28(C,B,D) ) )).

fof(f28_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f28(C,D,A) = f28(C,D,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(A,C,D) )
     => p17(B,C,D) ) )).

fof(p17_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(C,A,D) )
     => p17(C,B,D) ) )).

fof(p17_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(C,D,A) )
     => p17(C,D,B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p22(A,C,D) )
     => p22(B,C,D) ) )).

fof(p22_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p22(C,A,D) )
     => p22(C,B,D) ) )).

fof(p22_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p22(C,D,A) )
     => p22(C,D,B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p24(A,C,D) )
     => p24(B,C,D) ) )).

fof(p24_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p24(C,A,D) )
     => p24(C,B,D) ) )).

fof(p24_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p24(C,D,A) )
     => p24(C,D,B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p25(A) )
     => p25(B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p26(A,C,D) )
     => p26(B,C,D) ) )).

fof(p26_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p26(C,A,D) )
     => p26(C,B,D) ) )).

fof(p26_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p26(C,D,A) )
     => p26(C,D,B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p29(A,C) )
     => p29(B,C) ) )).

fof(p29_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p29(C,A) )
     => p29(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ( ~ p5(X1)
        & p11(X1) )
     => ! [X2] : 
          ( p8(X2,f9(X1))
         => ! [X3] : 
              ( p8(X3,f9(X1))
             => ( p17(X1,X2,X3)
              <=> f12(X1,X2,X3) = X3 ) ) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( ( ~ p5(X1)
        & p18(X1) )
     => ( p19(X1)
      <=> ! [X2] : 
            ( p8(X2,f9(X1))
           => ! [X3] : 
                ( p8(X3,f9(X1))
               => f12(X1,f15(X1,X2,X3),X3) = X3 ) ) ) ) )).

fof(formula_23,axiom,(
    ! [X1,X2,X3] : 
      ( p26(X3,X1,X2)
     => p8(X3,f27(f23(X1,X2))) ) )).

fof(formula_39,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p5(X1)
        & p6(X1)
        & p7(X1)
        & p8(X2,f9(X1))
        & p8(X3,f9(X1)) )
     => f10(X1,X2,X3) = f15(X1,X2,X3) ) )).

fof(formula_29,axiom,(
    ? [X1] : p11(X1) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p3(X1)
        & p4(X1) ) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p8(X1,X2) ) )).

fof(formula_28,axiom,(
    ? [X1] : p25(X1) )).

fof(formula_16,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p5(X1)
        & p6(X1)
        & p7(X1)
        & p8(X2,f9(X1))
        & p8(X3,f9(X1)) )
     => p8(f10(X1,X2,X3),f9(X1)) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p11(X1)
     => ( p21(f14(X1))
        & p22(f14(X1),f23(f9(X1),f9(X1)),f9(X1))
        & p26(f14(X1),f23(f9(X1),f9(X1)),f9(X1)) ) ) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_46,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p8(X2,f27(X3)) )
     => p8(X1,X3) ) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p5(X1)
        & p7(X1)
        & p8(X2,f9(X1))
        & p8(X3,f9(X1)) )
     => p8(f15(X1,X2,X3),f9(X1)) ) )).

fof(formula_36,axiom,(
    ? [X1] : 
      ( p25(X1)
      & ~ p5(X1) ) )).

fof(formula_22,axiom,(
    $true )).

fof(formula_9,axiom,(
    $true )).

fof(formula_31,axiom,(
    ! [X1,X2] : 
    ? [X3] : p24(X3,X1,X2) )).

fof(formula_11,axiom,(
    $true )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( ~ p5(X1)
        & p7(X1) )
     => ! [X2] : 
          ( p8(X2,f9(X1))
         => ! [X3] : 
              ( p8(X3,f9(X1))
             => f15(X1,X2,X3) = f13(f9(X1),f9(X1),f9(X1),f16(X1),X2,X3) ) ) ) )).

fof(formula_27,axiom,(
    ? [X1] : p7(X1) )).

fof(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p5(X1)
        & p11(X1)
        & p8(X2,f9(X1))
        & p8(X3,f9(X1)) )
     => p8(f12(X1,X2,X3),f9(X1)) ) )).

fof(formula_40,axiom,(
    ! [X1,X2,X3] : 
      ( p26(X3,X1,X2)
    <=> p24(X3,X1,X2) ) )).

fof(formula_47,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p8(X2,f27(X3))
        & p20(X3) ) )).

fof(formula_44,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
     => ( p20(X2)
        | p1(X1,X2) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_38,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p20(X1)
        & ~ p20(X2)
        & p21(X4)
        & p22(X4,f23(X1,X2),X3)
        & p24(X4,f23(X1,X2),X3)
        & p8(X5,X1)
        & p8(X6,X2) )
     => f13(X1,X2,X3,X4,X5,X6) = f28(X4,X5,X6) ) )).

fof(formula_18,axiom,(
    $true )).

fof(formula_48,axiom,(
    ! [X1] : 
      ( p20(X1)
     => X1 = c30 ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p18(X1)
     => ( p7(X1)
        & p11(X1) ) ) )).

fof(formula_15,axiom,(
    $true )).

fof(formula_32,axiom,(
    ! [X1] : 
    ? [X2] : p8(X2,X1) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( ( p3(X1)
        & p4(X1) )
     => p2(X1) ) )).

fof(formula_45,axiom,(
    ! [X1,X2] : 
      ( p8(X1,f27(X2))
    <=> p29(X1,X2) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
    ? [X3] : p26(X3,X1,X2) )).

fof(formula_49,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p20(X2) ) )).

fof(formula_30,axiom,(
    ? [X1] : p18(X1) )).

fof(formula_37,axiom,(
    ! [X1] : 
      ( ( ~ p5(X1)
        & p25(X1) )
     => ? [X2] : 
          ( p8(X2,f27(f9(X1)))
          & ~ p20(X2) ) ) )).

fof(formula_25,axiom,(
    $true )).

fof(formula_21,axiom,(
    $true )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p25(X1) ) )).

fof(formula_50,axiom,(
    ! [X1,X2] : 
      ~ ( p20(X1)
        & X1 != X2
        & p20(X2) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p21(f16(X1))
        & p22(f16(X1),f23(f9(X1),f9(X1)),f9(X1))
        & p26(f16(X1),f23(f9(X1),f9(X1)),f9(X1)) ) ) )).

fof(formula_43,conjecture,(
    ! [X1] : 
      ( ( ~ p5(X1)
        & p6(X1)
        & p19(X1)
        & p18(X1) )
     => ! [X2] : 
          ( p8(X2,f9(X1))
         => ! [X3] : 
              ( p8(X3,f9(X1))
             => p17(X1,f10(X1,X2,X3),X2) ) ) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p11(X1)
     => p25(X1) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( ( ~ p5(X1)
        & p25(X1) )
     => ~ p20(f9(X1)) ) )).

fof(formula_13,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p20(X1)
        & ~ p20(X2)
        & p21(X4)
        & p22(X4,f23(X1,X2),X3)
        & p24(X4,f23(X1,X2),X3)
        & p8(X5,X1)
        & p8(X6,X2) )
     => p8(f13(X1,X2,X3,X4,X5,X6),X3) ) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p5(X1)
        & p6(X1)
        & p7(X1)
        & p8(X2,f9(X1))
        & p8(X3,f9(X1)) )
     => f10(X1,X2,X3) = f10(X1,X3,X2) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( ~ p5(X1)
        & p11(X1) )
     => ! [X2] : 
          ( p8(X2,f9(X1))
         => ! [X3] : 
              ( p8(X3,f9(X1))
             => f12(X1,X2,X3) = f13(f9(X1),f9(X1),f9(X1),f14(X1),X2,X3) ) ) ) )).

fof(formula_41,axiom,(
    ! [X1,X2] : p29(X1,X1) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( ~ p20(f27(X1))
      & p3(f27(X1))
      & p4(f27(X1))
      & p2(f27(X1)) ) )).
%------------------------------------------------------------------------------
