%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(A,C) = f15(B,C) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(C,A) = f15(C,B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(A,C) = f19(B,C) ) )).

fof(f19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(C,A) = f19(C,B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(A,C) = f20(B,C) ) )).

fof(f20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f20(C,A) = f20(C,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f24(A) = f24(B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f25(A,C,D) = f25(B,C,D) ) )).

fof(f25_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f25(C,A,D) = f25(C,B,D) ) )).

fof(f25_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f25(C,D,A) = f25(C,D,B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f26(A,C) = f26(B,C) ) )).

fof(f26_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f26(C,A) = f26(C,B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f29(A,C,D) = f29(B,C,D) ) )).

fof(f29_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f29(C,A,D) = f29(C,B,D) ) )).

fof(f29_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f29(C,D,A) = f29(C,D,B) ) )).

fof(f31_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f31(A) = f31(B) ) )).

fof(f32_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f32(A,C) = f32(B,C) ) )).

fof(f32_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f32(C,A) = f32(C,B) ) )).

fof(f34_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f34(A,C) = f34(B,C) ) )).

fof(f34_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f34(C,A) = f34(C,B) ) )).

fof(f35_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f35(A,C) = f35(B,C) ) )).

fof(f35_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f35(C,A) = f35(C,B) ) )).

fof(f36_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f36(A) = f36(B) ) )).

fof(f37_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f37(A,C) = f37(B,C) ) )).

fof(f37_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f37(C,A) = f37(C,B) ) )).

fof(f38_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f38(A,C) = f38(B,C) ) )).

fof(f38_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f38(C,A) = f38(C,B) ) )).

fof(f41_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f41(A) = f41(B) ) )).

fof(f42_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f42(A,C) = f42(B,C) ) )).

fof(f42_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f42(C,A) = f42(C,B) ) )).

fof(f47_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f47(A,C,D) = f47(B,C,D) ) )).

fof(f47_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f47(C,A,D) = f47(C,B,D) ) )).

fof(f47_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f47(C,D,A) = f47(C,D,B) ) )).

fof(f48_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f48(A) = f48(B) ) )).

fof(f52_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f52(A,C,D) = f52(B,C,D) ) )).

fof(f52_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f52(C,A,D) = f52(C,B,D) ) )).

fof(f52_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f52(C,D,A) = f52(C,D,B) ) )).

fof(f53_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f53(A,C,D) = f53(B,C,D) ) )).

fof(f53_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f53(C,A,D) = f53(C,B,D) ) )).

fof(f53_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f53(C,D,A) = f53(C,D,B) ) )).

fof(f54_substitution_1,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f54(A,C,D,E,F,G) = f54(B,C,D,E,F,G) ) )).

fof(f54_substitution_2,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f54(C,A,D,E,F,G) = f54(C,B,D,E,F,G) ) )).

fof(f54_substitution_3,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f54(C,D,A,E,F,G) = f54(C,D,B,E,F,G) ) )).

fof(f54_substitution_4,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f54(C,D,E,A,F,G) = f54(C,D,E,B,F,G) ) )).

fof(f54_substitution_5,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f54(C,D,E,F,A,G) = f54(C,D,E,F,B,G) ) )).

fof(f54_substitution_6,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f54(C,D,E,F,G,A) = f54(C,D,E,F,G,B) ) )).

fof(f55_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f55(A) = f55(B) ) )).

fof(f56_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f56(A) = f56(B) ) )).

fof(f57_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f57(A) = f57(B) ) )).

fof(f58_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f58(A) = f58(B) ) )).

fof(f61_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f61(A) = f61(B) ) )).

fof(f62_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f62(A,C) = f62(B,C) ) )).

fof(f62_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f62(C,A) = f62(C,B) ) )).

fof(f63_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f63(A) = f63(B) ) )).

fof(f64_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f64(A,C,D) = f64(B,C,D) ) )).

fof(f64_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f64(C,A,D) = f64(C,B,D) ) )).

fof(f64_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f64(C,D,A) = f64(C,D,B) ) )).

fof(f65_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f65(A) = f65(B) ) )).

fof(f66_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f66(A) = f66(B) ) )).

fof(f71_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f71(A) = f71(B) ) )).

fof(f72_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f72(A) = f72(B) ) )).

fof(f76_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f76(A,C) = f76(B,C) ) )).

fof(f76_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f76(C,A) = f76(C,B) ) )).

fof(f78_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f78(A,C) = f78(B,C) ) )).

fof(f78_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f78(C,A) = f78(C,B) ) )).

fof(f80_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f80(A,C) = f80(B,C) ) )).

fof(f80_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f80(C,A) = f80(C,B) ) )).

fof(f81_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f81(A) = f81(B) ) )).

fof(f85_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f85(A,C) = f85(B,C) ) )).

fof(f85_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f85(C,A) = f85(C,B) ) )).

fof(f86_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f86(A,C) = f86(B,C) ) )).

fof(f86_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f86(C,A) = f86(C,B) ) )).

fof(f87_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f87(A) = f87(B) ) )).

fof(f88_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f88(A,C,D) = f88(B,C,D) ) )).

fof(f88_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f88(C,A,D) = f88(C,B,D) ) )).

fof(f88_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f88(C,D,A) = f88(C,D,B) ) )).

fof(f89_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f89(A,C) = f89(B,C) ) )).

fof(f89_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f89(C,A) = f89(C,B) ) )).

fof(f90_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f90(A,C) = f90(B,C) ) )).

fof(f90_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f90(C,A) = f90(C,B) ) )).

fof(f91_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f91(A,C,D) = f91(B,C,D) ) )).

fof(f91_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f91(C,A,D) = f91(C,B,D) ) )).

fof(f91_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f91(C,D,A) = f91(C,D,B) ) )).

fof(f94_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f94(A,C,D) = f94(B,C,D) ) )).

fof(f94_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f94(C,A,D) = f94(C,B,D) ) )).

fof(f94_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f94(C,D,A) = f94(C,D,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p23(A) )
     => p23(B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p27(A) )
     => p27(B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p28(A) )
     => p28(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p30(A,C) )
     => p30(B,C) ) )).

fof(p30_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p30(C,A) )
     => p30(C,B) ) )).

fof(p33_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p33(A,C) )
     => p33(B,C) ) )).

fof(p33_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p33(C,A) )
     => p33(C,B) ) )).

fof(p39_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p39(A) )
     => p39(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(A,C) )
     => p40(B,C) ) )).

fof(p40_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(C,A) )
     => p40(C,B) ) )).

fof(p43_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p43(A) )
     => p43(B) ) )).

fof(p44_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p44(A,C) )
     => p44(B,C) ) )).

fof(p44_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p44(C,A) )
     => p44(C,B) ) )).

fof(p45_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p45(A) )
     => p45(B) ) )).

fof(p46_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p46(A,C) )
     => p46(B,C) ) )).

fof(p46_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p46(C,A) )
     => p46(C,B) ) )).

fof(p49_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p49(A,C,D) )
     => p49(B,C,D) ) )).

fof(p49_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p49(C,A,D) )
     => p49(C,B,D) ) )).

fof(p49_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p49(C,D,A) )
     => p49(C,D,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p51_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p51(A,C,D) )
     => p51(B,C,D) ) )).

fof(p51_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p51(C,A,D) )
     => p51(C,B,D) ) )).

fof(p51_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p51(C,D,A) )
     => p51(C,D,B) ) )).

fof(p59_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p59(A,C) )
     => p59(B,C) ) )).

fof(p59_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p59(C,A) )
     => p59(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p60_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p60(A,C,D) )
     => p60(B,C,D) ) )).

fof(p60_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p60(C,A,D) )
     => p60(C,B,D) ) )).

fof(p60_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p60(C,D,A) )
     => p60(C,D,B) ) )).

fof(p67_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p67(A) )
     => p67(B) ) )).

fof(p68_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p68(A,C) )
     => p68(B,C) ) )).

fof(p68_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p68(C,A) )
     => p68(C,B) ) )).

fof(p69_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p69(A,C,D) )
     => p69(B,C,D) ) )).

fof(p69_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p69(C,A,D) )
     => p69(C,B,D) ) )).

fof(p69_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p69(C,D,A) )
     => p69(C,D,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p70_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p70(A,C) )
     => p70(B,C) ) )).

fof(p70_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p70(C,A) )
     => p70(C,B) ) )).

fof(p73_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p73(A) )
     => p73(B) ) )).

fof(p74_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p74(A) )
     => p74(B) ) )).

fof(p75_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p75(A,C) )
     => p75(B,C) ) )).

fof(p75_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p75(C,A) )
     => p75(C,B) ) )).

fof(p77_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p77(A) )
     => p77(B) ) )).

fof(p79_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p79(A,C) )
     => p79(B,C) ) )).

fof(p79_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p79(C,A) )
     => p79(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p82_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p82(A,C,D) )
     => p82(B,C,D) ) )).

fof(p82_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p82(C,A,D) )
     => p82(C,B,D) ) )).

fof(p82_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p82(C,D,A) )
     => p82(C,D,B) ) )).

fof(p83_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p83(A) )
     => p83(B) ) )).

fof(p84_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p84(A) )
     => p84(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(p92_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p92(A) )
     => p92(B) ) )).

fof(p93_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p93(A) )
     => p93(B) ) )).

fof(p95_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p95(A,C) )
     => p95(B,C) ) )).

fof(p95_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p95(C,A) )
     => p95(C,B) ) )).

fof(formula_96,axiom,(
    $true )).

fof(formula_235,axiom,(
    ? [X1] : 
      ( ~ p7(X1)
      & p5(X1)
      & p6(X1)
      & p3(X1)
      & p16(X1) ) )).

fof(formula_222,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( p45(X1)
      <=> ! [X2,X3,X4] : 
            ( ( p1(f32(X2,X3),X1)
              & p1(f32(X3,X4),X1) )
           => p1(f32(X2,X4),X1) ) ) ) )).

fof(formula_247,axiom,(
    ? [X1] : 
      ( p13(X1)
      & p12(X1)
      & p17(X1)
      & p7(X1)
      & p5(X1)
      & p6(X1)
      & p3(X1) ) )).

fof(formula_245,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p4(X2,f14(X1))
      & p7(X2)
      & p13(X2)
      & p12(X2)
      & p17(X2)
      & p5(X2)
      & p6(X2)
      & p3(X2)
      & p16(X2)
      & p8(X2) ) )).

fof(formula_228,lemma,(
    ! [X1,X2,X3] : 
      ( p33(X1,X2)
     => ( p1(X3,X1)
        | p33(X1,f76(X2,f58(X3))) ) ) )).

fof(formula_125,axiom,(
    ! [X1] : 
      ( p13(X1)
     => p13(f81(X1)) ) )).

fof(formula_85,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ! [X3] : 
              ( ( p13(X3)
                & p12(X3) )
             => ( p82(X1,X2,X3)
              <=> ( f36(X3) = f41(X1)
                  & f48(X3) = f41(X2)
                  & p17(X3)
                  & ! [X4,X5] : 
                      ( p1(f32(X4,X5),X1)
                    <=> ( p1(X4,f41(X1))
                        & p1(X5,f41(X1))
                        & p1(f32(f37(X3,X4),f37(X3,X5)),X2) ) ) ) ) ) ) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ! [X2,X3] : 
          ( X3 = f42(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( p1(X4,f36(X1))
                & p1(f37(X1,X4),X2) ) ) ) ) )).

fof(formula_43,axiom,(
    ! [X1,X2,X3] : 
      ( p60(X3,X1,X2)
    <=> p33(X3,f15(X1,X2)) ) )).

fof(formula_301,axiom,(
    ! [X1,X2] : 
      ( p75(X1,X2)
     => p75(X2,X1) ) )).

fof(formula_299,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p13(X2)
      & p12(X2)
      & f36(X2) = X1
      & ! [X3] : 
          ( p1(X3,X1)
         => f37(X2,X3) = f58(X3) ) ) )).

fof(formula_103,axiom,(
    $true )).

fof(formula_357,lemma,(
    ! [X1,X2,X3] : 
      ( p49(X3,X1,X2)
     => ( ! [X4] : 
            ~ ( p1(X4,X2)
              & ! [X5] : ~ p1(f32(X5,X4),X3) )
      <=> f88(X1,X2,X3) = X2 ) ) )).

fof(formula_49,axiom,(
    ! [X1,X2] : 
      ( X2 = f14(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p33(X3,X1) ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p5(X1)
        & p6(X1)
        & p3(X1) ) ) )).

fof(formula_94,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ( p74(X1)
      <=> p59(X1,f41(X1)) ) ) )).

fof(formula_244,axiom,(
    ? [X1] : p7(X1) )).

fof(formula_148,axiom,(
    $true )).

fof(formula_417,lemma,(
    ! [X1] : 
      ( p3(X1)
     => p43(f63(X1)) ) )).

fof(formula_192,axiom,(
    ! [X1,X2] : 
      ( ~ p7(X1)
     => ~ p7(f20(X1,X2)) ) )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ( p45(X1)
      <=> p46(X1,f41(X1)) ) ) )).

fof(formula_373,lemma,(
    ! [X1] : p74(f63(X1)) )).

fof(formula_130,axiom,(
    ! [X1,X2] : 
      ( ( p13(X1)
        & p13(X2) )
     => p13(f85(X1,X2)) ) )).

fof(formula_158,axiom,(
    ! [X1,X2] : 
      ( ( p7(X1)
        & p13(X2) )
     => ( p7(f85(X2,X1))
        & p13(f85(X2,X1)) ) ) )).

fof(formula_316,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => f34(f38(X1,X3),X2) = f38(X1,f34(X3,X2)) ) )).

fof(formula_240,axiom,(
    ? [X1] : 
      ( p5(X1)
      & p6(X1)
      & p3(X1)
      & p77(X1) ) )).

fof(formula_70,axiom,(
    ! [X1,X2] : 
      ( X2 = f72(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_170,axiom,(
    ! [X1] : ~ p7(f57(X1)) )).

fof(formula_199,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p5(f72(X1))
        & p6(f72(X1))
        & p3(f72(X1)) ) ) )).

fof(formula_56,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ( p67(X1)
      <=> ! [X2] : 
            ~ ( p33(X2,f41(X1))
              & X2 != c50
              & ! [X3] : 
                  ~ ( p1(X3,X2)
                    & p68(f62(X1,X3),X2) ) ) ) ) )).

fof(formula_186,axiom,(
    p7(c50) )).

fof(formula_76,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( X2 = f48(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f32(X4,X3),X1) ) ) ) )).

fof(formula_431,lemma,(
    f48(c50) = c50 )).

fof(formula_201,axiom,(
    p13(c50) )).

fof(formula_337,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => f80(X2,X1) = f38(X1,f34(X2,X1)) ) )).

fof(formula_343,lemma,(
    f14(c50) = f58(c50) )).

fof(formula_351,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ! [X3] : 
          ( ( p13(X3)
            & p12(X3) )
         => ( p1(X1,f36(f85(X3,X2)))
           => f37(f85(X3,X2),X1) = f37(X2,f37(X3,X1)) ) ) ) )).

fof(formula_276,lemma,
    ( ( ( p1(c50,c18)
       => ! [X1] : 
            ( p4(X1,f14(f14(c50)))
           => ~ ( X1 != c50
                & ! [X2] : 
                    ~ ( p1(X2,X1)
                      & ! [X3] : 
                          ( ( p1(X3,X1)
                            & p33(X2,X3) )
                         => X3 = X2 ) ) ) ) )
      & ! [X4] : 
          ( p3(X4)
         => ( ( p1(X4,c18)
             => ! [X5] : 
                  ( p4(X5,f14(f14(X4)))
                 => ~ ( X5 != c50
                      & ! [X6] : 
                          ~ ( p1(X6,X5)
                            & ! [X7] : 
                                ( ( p1(X7,X5)
                                  & p33(X6,X7) )
                               => X7 = X6 ) ) ) ) )
           => ( p1(f57(X4),c18)
             => ! [X8] : 
                  ( p4(X8,f14(f14(f57(X4))))
                 => ~ ( X8 != c50
                      & ! [X9] : 
                          ~ ( p1(X9,X8)
                            & ! [X10] : 
                                ( ( p1(X10,X8)
                                  & p33(X9,X10) )
                               => X10 = X9 ) ) ) ) ) ) )
      & ! [X4] : 
          ( p3(X4)
         => ( ( p77(X4)
              & ! [X11] : 
                  ( p3(X11)
                 => ( p1(X11,X4)
                   => ( p1(X11,c18)
                     => ! [X12] : 
                          ( p4(X12,f14(f14(X11)))
                         => ~ ( X12 != c50
                              & ! [X13] : 
                                  ~ ( p1(X13,X12)
                                    & ! [X14] : 
                                        ( ( p1(X14,X12)
                                          & p33(X13,X14) )
                                       => X14 = X13 ) ) ) ) ) ) ) )
           => ( X4 = c50
              | ( p1(X4,c18)
               => ! [X15] : 
                    ( p4(X15,f14(f14(X4)))
                   => ~ ( X15 != c50
                        & ! [X16] : 
                            ~ ( p1(X16,X15)
                              & ! [X17] : 
                                  ( ( p1(X17,X15)
                                    & p33(X16,X17) )
                                 => X17 = X16 ) ) ) ) ) ) ) ) )
   => ! [X4] : 
        ( p3(X4)
       => ( p1(X4,c18)
         => ! [X18] : 
              ( p4(X18,f14(f14(X4)))
             => ~ ( X18 != c50
                  & ! [X19] : 
                      ~ ( p1(X19,X18)
                        & ! [X20] : 
                            ( ( p1(X20,X18)
                              & p33(X19,X20) )
                           => X20 = X19 ) ) ) ) ) ) )).

fof(formula_274,lemma,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( p1(X2,X1)
            & X3 = f58(X2)
            & p1(X2,X1)
            & X4 = f58(X2) )
         => X3 = X4 )
     => ? [X2] : 
          ( p13(X2)
          & p12(X2)
          & ! [X3,X4] : 
              ( p1(f32(X3,X4),X2)
            <=> ( p1(X3,X1)
                & p1(X3,X1)
                & X4 = f58(X3) ) ) ) ) )).

fof(formula_403,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => p33(f36(f85(X1,X2)),f36(X1)) ) ) )).

fof(formula_231,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p33(X1,f72(X2)) ) )).

fof(formula_414,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ! [X3] : 
              ( ( p13(X3)
                & p12(X3) )
             => ( p82(X1,X2,X3)
               => p82(X2,X1,f87(X3)) ) ) ) ) )).

fof(formula_106,axiom,(
    ! [X1] : p13(f63(X1)) )).

fof(formula_339,lemma,(
    ! [X1,X2,X3] : 
      ( ( p33(X1,X2)
        & p33(X1,X3) )
     => p33(X1,f26(X2,X3)) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2,X3] : 
          ( X3 = f42(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f32(X4,X5),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_116,axiom,(
    ! [X1,X2] : 
      ( p13(X1)
     => p13(f80(X1,X2)) ) )).

fof(formula_297,lemma,(
    ! [X1] : 
      ( ( ! [X2,X3,X4] : 
            ( ( p1(X2,X1)
              & X3 = f58(X2)
              & X4 = f58(X2) )
           => X3 = X4 )
        & ! [X2] : 
            ~ ( p1(X2,X1)
              & ! [X3] : X3 != f58(X2) ) )
     => ? [X2] : 
          ( p13(X2)
          & p12(X2)
          & f36(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f37(X2,X3) = f58(X3) ) ) ) )).

fof(formula_143,axiom,(
    ! [X1] : 
      ( p83(X1)
     => ( p28(X1)
        & p23(X1) ) ) )).

fof(formula_112,axiom,(
    $true )).

fof(formula_390,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( ( p73(X2)
          & p33(X1,f41(X2)) )
       => f41(f80(X2,X1)) = X1 ) ) )).

fof(formula_79,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p79(X1,X2)
        <=> ( p59(X1,X2)
            & p46(X1,X2)
            & p40(X1,X2)
            & p44(X1,X2)
            & p70(X1,X2) ) ) ) )).

fof(formula_44,axiom,(
    ! [X1,X2] : 
      ( ( X1 != c50
       => ( X2 = f61(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ! [X4] : 
                  ( p1(X4,X1)
                 => p1(X3,X4) ) ) ) )
      & ( X1 = c50
       => ( X2 = f61(X1)
        <=> X2 = c50 ) ) ) )).

fof(formula_191,axiom,(
    ! [X1] : ~ p7(f58(X1)) )).

fof(formula_138,axiom,(
    ! [X1,X2] : 
      ( p13(X2)
     => p13(f38(X1,X2)) ) )).

fof(formula_333,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ( p8(X1)
       => p8(f35(X2,X1)) ) ) )).

fof(formula_420,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ! [X3] : 
              ( ( p13(X3)
                & p12(X3) )
             => ( p82(X1,X2,X3)
               => ( ( p74(X1)
                   => p74(X2) )
                  & ( p45(X1)
                   => p45(X2) )
                  & ( p43(X1)
                   => p43(X2) )
                  & ( p39(X1)
                   => p39(X2) )
                  & ( p67(X1)
                   => p67(X2) ) ) ) ) ) ) )).

fof(formula_432,lemma,(
    ! [X1,X2] : 
      ~ ( p33(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_224,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ~ ( p73(X2)
          & p75(X1,f41(X2))
          & ! [X3] : 
              ( p13(X3)
             => ~ p79(X3,X1) ) ) ) )).

fof(formula_62,axiom,(
    ! [X1,X2] : 
      ( p33(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_223,lemma,(
    ! [X1,X2] : 
      ( p33(f58(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_298,lemma,
    ( ! [X1] : 
        ( p3(X1)
       => ( ! [X2] : 
              ( p3(X2)
             => ( p1(X2,X1)
               => ( p1(X2,c18)
                 => ! [X3] : 
                      ( p4(X3,f14(f14(X2)))
                     => ~ ( X3 != c50
                          & ! [X4] : 
                              ~ ( p1(X4,X3)
                                & ! [X5] : 
                                    ( ( p1(X5,X3)
                                      & p33(X4,X5) )
                                   => X5 = X4 ) ) ) ) ) ) )
         => ( p1(X1,c18)
           => ! [X6] : 
                ( p4(X6,f14(f14(X1)))
               => ~ ( X6 != c50
                    & ! [X7] : 
                        ~ ( p1(X7,X6)
                          & ! [X8] : 
                              ( ( p1(X8,X6)
                                & p33(X7,X8) )
                             => X8 = X7 ) ) ) ) ) ) )
   => ! [X1] : 
        ( p3(X1)
       => ( p1(X1,c18)
         => ! [X9] : 
              ( p4(X9,f14(f14(X1)))
             => ~ ( X9 != c50
                  & ! [X10] : 
                      ~ ( p1(X10,X9)
                        & ! [X11] : 
                            ( ( p1(X11,X9)
                              & p33(X10,X11) )
                           => X11 = X10 ) ) ) ) ) ) )).

fof(formula_180,axiom,(
    ! [X1] : 
      ( ( p3(X1)
        & p16(X1) )
     => ( ~ p7(f57(X1))
        & p5(f57(X1))
        & p6(f57(X1))
        & p3(f57(X1))
        & p16(f57(X1)) ) ) )).

fof(formula_428,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( p67(X1)
      <=> p70(X1,f41(X1)) ) ) )).

fof(formula_21,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p21(X1)
        & p27(X1)
        & p28(X1)
        & p4(X2,f24(X1))
        & p4(X3,f24(X1)) )
     => f29(X1,X2,X3) = f29(X1,X3,X2) ) )).

fof(formula_385,lemma,(
    ! [X1,X2] : p33(f76(X1,X2),X1) )).

fof(formula_67,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( X2 = f36(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f32(X3,X4),X1) ) ) ) )).

fof(formula_278,axiom,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p13(X2) )
     => ( ! [X3,X4,X5] : 
            ( ( p1(X3,X1)
              & ? [X6] : 
                  ( X3 = X6
                  & p1(X4,X6)
                  & ! [X7] : 
                      ( p1(X7,X6)
                     => p1(f32(X4,X7),X2) ) )
              & p1(X3,X1)
              & ? [X8] : 
                  ( X3 = X8
                  & p1(X5,X8)
                  & ! [X9] : 
                      ( p1(X9,X8)
                     => p1(f32(X5,X9),X2) ) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,X1)
                & p1(X5,X1)
                & ? [X10] : 
                    ( X5 = X10
                    & p1(X4,X10)
                    & ! [X11] : 
                        ( p1(X11,X10)
                       => p1(f32(X4,X11),X2) ) ) ) ) ) ) )).

fof(formula_465,lemma,(
    ! [X1] : f72(f14(X1)) = X1 )).

fof(formula_59,axiom,(
    ! [X1] : 
      ( ( ~ p21(X1)
        & p23(X1) )
     => ! [X2] : 
          ( p4(X2,f24(X1))
         => ! [X3] : 
              ( p4(X3,f24(X1))
             => ( p69(X1,X2,X3)
              <=> f53(X1,X2,X3) = X3 ) ) ) ) )).

fof(formula_189,axiom,(
    p3(c50) )).

fof(formula_341,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p4(X1,X2) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p9(X1)
     => ( p10(X1)
        & p11(X1) ) ) )).

fof(formula_45,axiom,(
    ! [X1,X2] : 
      ( X2 = f58(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_91,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => ! [X3] : 
          ( p4(X3,f14(f14(X1)))
         => ( X3 = f86(X1,X2)
          <=> ! [X4] : 
                ( p4(X4,f14(X1))
               => ( p1(X4,X3)
                <=> p1(f78(X1,X4),X2) ) ) ) ) ) )).

fof(formula_374,lemma,(
    ! [X1] : p33(c50,X1) )).

fof(formula_251,axiom,(
    ? [X1] : ~ p7(X1) )).

fof(formula_188,axiom,(
    p6(c50) )).

fof(formula_210,axiom,(
    ! [X1,X2] : f20(X1,X1) = X1 )).

fof(formula_389,lemma,(
    ! [X1,X2,X3] : 
      ( p33(f19(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_302,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f32(X1,X2),f15(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_71,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ( p73(X1)
      <=> ( p74(X1)
          & p45(X1)
          & p39(X1)
          & p43(X1)
          & p67(X1) ) ) ) )).

fof(formula_144,axiom,(
    $true )).

fof(formula_82,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p44(X1,X2)
        <=> ! [X3,X4] : 
              ~ ( p1(X3,X2)
                & p1(X4,X2)
                & X3 != X4
                & ~ p1(f32(X3,X4),X1)
                & ~ p1(f32(X4,X3),X1) ) ) ) )).

fof(formula_80,axiom,(
    ! [X1] : 
      ( p77(X1)
    <=> X1 = f72(X1) ) )).

fof(formula_179,axiom,(
    ! [X1,X2] : ~ p7(f32(X1,X2)) )).

fof(formula_461,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => f36(f34(X2,X1)) = f26(f36(X2),X1) ) )).

fof(formula_183,axiom,(
    p93(c50) )).

fof(formula_61,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ( p33(X1,X2)
          <=> ! [X3,X4] : 
                ( p1(f32(X3,X4),X1)
               => p1(f32(X3,X4),X2) ) ) ) ) )).

fof(formula_450,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & ! [X3] : 
            ~ ( p1(X3,X2)
              & ! [X4] : 
                  ~ ( p1(X4,X2)
                    & p1(X4,X3) ) ) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p12(X1)
    <=> ! [X2,X3,X4] : 
          ( ( p1(f32(X2,X3),X1)
            & p1(f32(X2,X4),X1) )
         => X3 = X4 ) ) )).

fof(formula_202,axiom,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & ~ p7(X2) )
     => ~ p7(f15(X1,X2)) ) )).

fof(formula_266,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f14(X1))
        & p4(X3,f14(X1)) )
     => f91(X1,X2,X3) = f76(X2,X3) ) )).

fof(formula_126,axiom,(
    ! [X1,X2,X3] : 
      ( p60(X3,X1,X2)
     => p4(f52(X1,X2,X3),f14(X1)) ) )).

fof(formula_426,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ( ( p17(X2)
          & p1(X1,f48(X2)) )
       => ( X1 = f37(X2,f37(f87(X2),X1))
          & X1 = f37(f85(f87(X2),X2),X1) ) ) ) )).

fof(formula_361,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ( p33(X1,X2)
           => ( p33(f36(X1),f36(X2))
              & p33(f48(X1),f48(X2)) ) ) ) ) )).

fof(formula_123,axiom,(
    $true )).

fof(formula_105,axiom,(
    $true )).

fof(formula_400,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ( p77(X1)
      <=> ! [X2] : 
            ( p3(X2)
           => ( p1(X2,X1)
             => p1(f57(X2),X1) ) ) ) ) )).

fof(formula_332,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p33(X1,X2)
       => p33(f42(X3,X1),f42(X3,X2)) ) ) )).

fof(formula_119,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p21(X1)
        & p22(X1)
        & p23(X1)
        & p4(X2,f24(X1))
        & p4(X3,f24(X1)) )
     => p4(f25(X1,X2,X3),f24(X1)) ) )).

fof(formula_174,axiom,(
    ~ p7(c18) )).

fof(formula_107,axiom,(
    $true )).

fof(formula_264,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => f89(X1,X2) = f72(X2) ) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => ( p30(X1,X2)
        | p30(X2,X1) ) ) )).

fof(formula_311,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p33(X1,X2)
        & p33(X3,X4) )
     => p33(f15(X1,X3),f15(X2,X4)) ) )).

fof(formula_309,lemma,(
    ! [X1,X2,X3] : 
      ( p33(X1,X2)
     => ( p33(f15(X1,X3),f15(X2,X3))
        & p33(f15(X3,X1),f15(X3,X2)) ) ) )).

fof(formula_362,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p39(X2)
       => p39(f80(X2,X1)) ) ) )).

fof(formula_455,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => p33(f34(X2,X1),X2) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & p6(X1) )
     => p3(X1) ) )).

fof(formula_441,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p12(X4)
        & p51(X4,X1,X2)
        & p49(X4,X1,X2) )
     => ( p1(X3,X1)
       => ( X2 = c50
          | p1(f37(X4,X3),f48(X4)) ) ) ) )).

fof(formula_369,lemma,(
    ! [X1,X2] : 
      ( p33(X1,X2)
     => f26(X1,X2) = X1 ) )).

fof(formula_292,lemma,(
    ! [X1,X2,X3] : 
      ( ( p13(X2)
        & p13(X3)
        & p12(X3) )
     => ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f15(X1,X1))
            & ? [X6,X7] : 
                ( X5 = f32(X6,X7)
                & p1(f32(f37(X3,X6),f37(X3,X7)),X2) ) ) ) ) )).

fof(formula_93,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ( p17(X1)
       => f87(X1) = f81(X1) ) ) )).

fof(formula_115,axiom,(
    $true )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_447,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p13(X4)
     => ( p1(f32(X1,X2),f85(f31(X3),X4))
      <=> ( p1(X1,X3)
          & p1(f32(X1,X2),X4) ) ) ) )).

fof(formula_308,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => p33(f48(f38(X1,X2)),f48(X2)) ) )).

fof(formula_324,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p49(X4,X3,X1)
     => ( p33(f48(X4),X2)
       => p49(X4,X3,X2) ) ) )).

fof(formula_75,axiom,(
    ! [X1] : 
      ( X1 = c18
    <=> ( p1(c50,X1)
        & p77(X1)
        & p3(X1)
        & ! [X2] : 
            ( p3(X2)
           => ( ( p1(c50,X2)
                & p77(X2) )
             => p33(X1,X2) ) ) ) ) )).

fof(formula_196,axiom,(
    ! [X1,X2] : ~ p7(f19(X1,X2)) )).

fof(formula_295,lemma,(
    ! [X1,X2] : 
      ( p3(X2)
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,f57(X2))
            & ? [X5] : 
                ( p3(X5)
                & X4 = X5
                & p1(X5,X1) ) ) ) ) )).

fof(formula_430,lemma,(
    f36(c50) = c50 )).

fof(formula_263,axiom,(
    ! [X1,X2,X3] : 
      ( p60(X3,X1,X2)
     => f88(X1,X2,X3) = f48(X3) ) )).

fof(formula_381,lemma,(
    ! [X1,X2,X3] : 
      ( p33(X1,X2)
     => p33(f76(X1,X3),f76(X2,X3)) ) )).

fof(formula_66,axiom,(
    ! [X1] : 
      ( p3(X1)
    <=> ( p5(X1)
        & p6(X1) ) ) )).

fof(formula_454,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p1(X1,f36(f34(X3,X2)))
      <=> ( p1(X1,X2)
          & p1(X1,f36(X3)) ) ) ) )).

fof(formula_367,lemma,(
    ! [X1,X2,X3] : 
      ( p33(X1,X2)
     => p33(f26(X1,X3),f26(X2,X3)) ) )).

fof(formula_162,axiom,(
    p7(c50) )).

fof(formula_268,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => ( p30(X1,X2)
      <=> p33(X1,X2) ) ) )).

fof(formula_265,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => f90(X1,X2) = f61(X2) ) )).

fof(formula_419,lemma,(
    ! [X1] : 
      ( X1 != c50
     => ! [X2] : 
          ( p4(X2,f14(X1))
         => ! [X3] : 
              ( p4(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f78(X1,X2)) ) ) ) ) )).

fof(formula_77,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(X1))
     => f78(X1,X2) = f76(X1,X2) ) )).

fof(formula_140,axiom,(
    ! [X1] : 
      ( p28(X1)
     => p92(X1) ) )).

fof(formula_72,axiom,(
    ! [X1,X2] : 
      ( p75(X1,X2)
    <=> ? [X3] : 
          ( p13(X3)
          & p12(X3)
          & p17(X3)
          & f36(X3) = X1
          & f48(X3) = X2 ) ) )).

fof(formula_360,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p45(X2)
       => p45(f80(X2,X1)) ) ) )).

fof(formula_437,lemma,(
    ! [X1,X2] : 
      ( f76(X1,f58(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : f26(X1,X2) = f26(X2,X1) )).

fof(formula_129,axiom,(
    $true )).

fof(formula_355,lemma,(
    ! [X1] : 
      ( ( ~ p21(X1)
        & p27(X1)
        & p84(X1)
        & p83(X1) )
     => ! [X2] : 
          ( p4(X2,f24(X1))
         => ! [X3] : 
              ( p4(X3,f24(X1))
             => p69(X1,f29(X1,X2,X3),X2) ) ) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p8(X1)
    <=> ? [X2] : 
          ( p13(X2)
          & p12(X2)
          & f48(X2) = X1
          & p1(f36(X2),c18) ) ) )).

fof(formula_69,axiom,(
    ! [X1] : f71(X1) = X1 )).

fof(formula_120,axiom,(
    $true )).

fof(formula_445,lemma,(
    ! [X1] : 
      ( f36(f31(X1)) = X1
      & f48(f31(X1)) = X1 ) )).

fof(formula_229,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( p43(X1)
      <=> ! [X2,X3] : 
            ~ ( p1(X2,f41(X1))
              & p1(X3,f41(X1))
              & X2 != X3
              & ~ p1(f32(X2,X3),X1)
              & ~ p1(f32(X3,X2),X1) ) ) ) )).

fof(formula_433,lemma,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ( p17(X1)
       => p17(f87(X1)) ) ) )).

fof(formula_370,axiom,(
    ! [X1] : f26(X1,c50) = c50 )).

fof(formula_242,axiom,(
    ? [X1] : 
      ( p7(X1)
      & p13(X1) ) )).

fof(formula_51,axiom,(
    ! [X1] : 
      ( ? [X2,X3] : X1 = f32(X2,X3)
     => ! [X2] : 
          ( X2 = f66(X1)
        <=> ! [X3,X4] : 
              ( X1 = f32(X3,X4)
             => X2 = X4 ) ) ) )).

fof(formula_205,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p13(X1) )
     => ~ p7(f48(X1)) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( X2 = f31(X1)
      <=> ! [X3,X4] : 
            ( p1(f32(X3,X4),X2)
          <=> ( p1(X3,X1)
              & X3 = X4 ) ) ) ) )).

fof(formula_48,axiom,(
    ! [X1] : 
      ( X1 = c50
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_98,axiom,(
    $true )).

fof(formula_356,lemma,(
    ! [X1,X2] : 
      ( p3(X2)
     => ( p1(X1,X2)
       => p3(X1) ) ) )).

fof(formula_413,lemma,(
    ! [X1,X2] : f76(X1,f76(X1,X2)) = f26(X1,X2) )).

fof(formula_377,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p67(X2)
       => p67(f80(X2,X1)) ) ) )).

fof(formula_416,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p4(X2,f14(X3)) )
     => p4(X1,X3) ) )).

fof(formula_145,axiom,(
    $true )).

fof(formula_207,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p7(f48(X1))
        & p13(f48(X1)) ) ) )).

fof(formula_185,axiom,(
    p17(c50) )).

fof(formula_347,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p12(X4)
        & p51(X4,X1,X2)
        & p49(X4,X1,X2) )
     => ! [X5] : 
          ( ( p13(X5)
            & p12(X5) )
         => ( p1(X3,X1)
           => ( X2 = c50
              | f37(f85(X4,X5),X3) = f37(X5,f37(X4,X3)) ) ) ) ) )).

fof(formula_41,axiom,(
    ! [X1] : 
      ( p13(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f32(X3,X4) ) ) )).

fof(formula_344,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p1(f32(X1,X2),X3)
       => ( p1(X1,f36(X3))
          & p1(X2,f48(X3)) ) ) ) )).

fof(formula_111,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p21(X1)
        & p28(X1)
        & p4(X2,f24(X1))
        & p4(X3,f24(X1)) )
     => p4(f64(X1,X2,X3),f24(X1)) ) )).

fof(formula_395,axiom,(
    ! [X1,X2] : 
      ( p4(X1,f14(X2))
    <=> p33(X1,X2) ) )).

fof(formula_349,lemma,(
    ! [X1] : 
      ( p13(X1)
     => p33(X1,f15(f36(X1),f48(X1))) ) )).

fof(formula_155,axiom,(
    ! [X1] : 
    ? [X2] : p4(X2,X1) )).

fof(formula_159,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f26(X1,X2)) ) )).

fof(formula_225,lemma,(
    ! [X1,X2] : 
      ( f76(X1,X2) = c50
    <=> p33(X1,X2) ) )).

fof(formula_131,axiom,(
    ! [X1,X2,X3] : 
      ( p60(X3,X1,X2)
     => p4(f88(X1,X2,X3),f14(X2)) ) )).

fof(formula_289,lemma,(
    ! [X1,X2] : 
    ? [X3] : 
    ! [X4] : 
      ( p1(X4,X3)
    <=> ( p1(X4,f15(X1,X2))
        & ? [X5,X6] : 
            ( f32(X5,X6) = X4
            & p1(X5,X1)
            & X6 = f58(X5) ) ) ) )).

fof(formula_306,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => p33(f48(f38(X1,X2)),X1) ) )).

fof(formula_187,axiom,(
    p5(c50) )).

fof(formula_365,conjecture,(
    ! [X1] : 
      ( ( ~ p21(X1)
        & p22(X1)
        & p23(X1) )
     => ! [X2] : 
          ( p4(X2,f24(X1))
         => ! [X3] : 
              ( p4(X3,f24(X1))
             => ( ( p69(X1,X2,X3)
                  & p69(X1,X3,X2) )
               => X2 = X3 ) ) ) ) )).

fof(formula_354,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ! [X3] : 
          ( ( p13(X3)
            & p12(X3) )
         => ( p1(X1,f36(X2))
           => f37(f85(X2,X3),X1) = f37(X3,f37(X2,X1)) ) ) ) )).

fof(formula_135,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f14(X1))
        & p4(X3,f14(X1)) )
     => p4(f91(X1,X2,X3),f14(X1)) ) )).

fof(formula_248,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p60(X3,X1,X2)
      & p13(X3)
      & p12(X3) ) )).

fof(formula_182,axiom,(
    p13(c50) )).

fof(formula_164,axiom,(
    p93(c50) )).

fof(formula_305,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p1(X1,f48(f38(X2,X3)))
      <=> ( p1(X1,X2)
          & p1(X1,f48(X3)) ) ) ) )).

fof(formula_294,lemma,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f14(f14(X1)))
        & p13(X3)
        & p12(X3) )
     => ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f14(f36(X3)))
            & p1(f35(X3,X5),X2) ) ) ) )).

fof(formula_387,lemma,(
    ! [X1,X2] : 
      ( f76(X1,X2) = c50
    <=> p33(X1,X2) ) )).

fof(formula_379,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p73(X2)
       => p73(f80(X2,X1)) ) ) )).

fof(formula_269,axiom,(
    ! [X1,X2] : 
      ( p75(X1,X2)
    <=> p95(X1,X2) ) )).

fof(formula_327,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p1(X1,f42(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f48(X3))
            & p1(f32(X1,X4),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_464,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => p33(f48(f34(X2,X1)),f48(X2)) ) )).

fof(formula_410,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ( p33(f36(X1),f48(X2))
           => f48(f85(X2,X1)) = f48(X1) ) ) ) )).

fof(formula_47,axiom,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( X2 = f63(X1)
      <=> ( f41(X2) = X1
          & ! [X3,X4] : 
              ( ( p1(X3,X1)
                & p1(X4,X1) )
             => ( p1(f32(X3,X4),X2)
              <=> p33(X3,X4) ) ) ) ) ) )).

fof(formula_92,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p33(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_253,axiom,(
    ? [X1] : 
      ( p13(X1)
      & p12(X1)
      & p17(X1) ) )).

fof(formula_288,lemma,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p13(X2) )
     => ! [X3] : 
        ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f15(X1,X3))
            & ? [X6,X7] : 
                ( f32(X6,X7) = X5
                & p1(X6,X1)
                & ? [X8] : 
                    ( X6 = X8
                    & p1(X7,X8)
                    & ! [X9] : 
                        ( p1(X9,X8)
                       => p1(f32(X7,X9),X2) ) ) ) ) ) ) )).

fof(formula_444,lemma,(
    ! [X1,X2,X3] : 
      ( ( p13(X3)
        & p12(X3) )
     => ( p1(X2,f36(f34(X3,X1)))
       => f37(f34(X3,X1),X2) = f37(X3,X2) ) ) )).

fof(formula_331,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ~ ( X1 != c50
          & p33(X1,f48(X2))
          & f42(X2,X1) = c50 ) ) )).

fof(formula_323,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ( p33(X1,f48(X2))
       => f35(X2,f42(X2,X1)) = X1 ) ) )).

fof(formula_425,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( ! [X2,X3] : ~ p1(f32(X2,X3),X1)
       => X1 = c50 ) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( ( p10(X1)
        & p11(X1) )
     => p9(X1) ) )).

fof(formula_178,axiom,(
    p7(c50) )).

fof(formula_375,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p1(f32(X1,X2),X3)
       => ( p1(X1,f41(X3))
          & p1(X2,f41(X3)) ) ) ) )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( p5(X1)
    <=> ! [X2] : 
          ( p1(X2,X1)
         => p33(X2,X1) ) ) )).

fof(formula_296,lemma,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p13(X2) )
     => ( ( ! [X3,X4,X5] : 
              ( ( p1(X3,X1)
                & ? [X6] : 
                    ( X3 = X6
                    & p1(X4,X6)
                    & ! [X7] : 
                        ( p1(X7,X6)
                       => p1(f32(X4,X7),X2) ) )
                & ? [X8] : 
                    ( X3 = X8
                    & p1(X5,X8)
                    & ! [X9] : 
                        ( p1(X9,X8)
                       => p1(f32(X5,X9),X2) ) ) )
             => X4 = X5 )
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & ! [X4] : 
                    ~ ? [X10] : 
                        ( X3 = X10
                        & p1(X4,X10)
                        & ! [X11] : 
                            ( p1(X11,X10)
                           => p1(f32(X4,X11),X2) ) ) ) )
       => ? [X3] : 
            ( p13(X3)
            & p12(X3)
            & f36(X3) = X1
            & ! [X4] : 
                ( p1(X4,X1)
               => ? [X12] : 
                    ( X4 = X12
                    & p1(f37(X3,X4),X12)
                    & ! [X13] : 
                        ( p1(X13,X12)
                       => p1(f32(f37(X3,X4),X13),X2) ) ) ) ) ) ) )).

fof(formula_232,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f32(X1,X2),f15(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_415,axiom,(
    ! [X1] : f76(c50,X1) = c50 )).

fof(formula_262,axiom,(
    ! [X1,X2,X3] : 
      ( p60(X3,X1,X2)
     => f52(X1,X2,X3) = f36(X3) ) )).

fof(formula_206,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p7(f36(X1))
        & p13(f36(X1)) ) ) )).

fof(formula_97,axiom,(
    $true )).

fof(formula_427,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p4(X2,f14(X3))
        & p7(X3) ) )).

fof(formula_388,lemma,(
    ! [X1,X2] : 
      ( p33(f58(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_463,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => f34(X2,X1) = f85(f31(X1),X2) ) )).

fof(formula_154,axiom,(
    ! [X1,X2] : 
    ? [X3] : p60(X3,X1,X2) )).

fof(formula_392,lemma,(
    ! [X1,X2] : 
      ( p33(X1,f58(X2))
    <=> ( X1 = c50
        | X1 = f58(X2) ) ) )).

fof(formula_58,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f15(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f32(X5,X6) ) ) ) )).

fof(formula_261,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p21(X1)
        & p27(X1)
        & p28(X1)
        & p4(X2,f24(X1))
        & p4(X3,f24(X1)) )
     => f29(X1,X2,X3) = f64(X1,X2,X3) ) )).

fof(formula_238,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p60(X3,X1,X2)
      & p13(X3)
      & p12(X3)
      & p51(X3,X1,X2) ) )).

fof(formula_124,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p21(X1)
        & p27(X1)
        & p28(X1)
        & p4(X2,f24(X1))
        & p4(X3,f24(X1)) )
     => p4(f29(X1,X2,X3),f24(X1)) ) )).

fof(formula_215,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_363,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p79(X2,X1)
       => ( f41(f80(X2,X1)) = X1
          & p73(f80(X2,X1)) ) ) ) )).

fof(formula_448,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p7(X2) ) )).

fof(formula_153,axiom,(
    ? [X1] : p83(X1) )).

fof(formula_319,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => p33(f35(X2,f42(X2,X1)),X1) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p4(X2,f14(X1))
         => p8(X2) ) ) )).

fof(formula_336,lemma,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p4(X2,f14(f14(X1)))
         => ~ ( X2 != c50
              & ! [X3] : 
                  ~ ( p1(X3,X2)
                    & ! [X4] : 
                        ( ( p1(X4,X2)
                          & p33(X3,X4) )
                       => X4 = X3 ) ) ) ) ) )).

fof(formula_233,lemma,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p4(X1,f14(X2)) ) )).

fof(formula_139,axiom,(
    $true )).

fof(formula_418,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p68(X1,X2)
          & ! [X3] : ~ p1(X3,f26(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f26(X1,X2))
          & p68(X1,X2) ) ) )).

fof(formula_209,axiom,(
    ! [X1,X2] : 
      ( ( p7(X1)
        & p13(X2) )
     => ( p7(f85(X1,X2))
        & p13(f85(X1,X2)) ) ) )).

fof(formula_211,axiom,(
    ! [X1,X2] : f26(X1,X1) = X1 )).

fof(formula_78,axiom,(
    ! [X1,X2] : f32(X1,X2) = f19(f19(X1,X2),f58(X1)) )).

fof(formula_462,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p33(X1,f72(X2)) ) )).

fof(formula_203,axiom,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ( p13(f38(X1,X2))
        & p12(f38(X1,X2)) ) ) )).

fof(formula_113,axiom,(
    $true )).

fof(formula_24,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p33(X1,X2)
        & p33(X2,X1) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_114,axiom,(
    ! [X1] : p4(f71(X1),f14(X1)) )).

fof(formula_54,axiom,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
       => ( p4(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p7(X1)
       => ( p4(X2,X1)
        <=> p7(X2) ) ) ) )).

fof(formula_396,lemma,(
    ! [X1] : p45(f63(X1)) )).

fof(formula_281,axiom,(
    ! [X1,X2] : 
      ( ! [X3,X4,X5] : 
          ( ( X3 = X4
            & ? [X6,X7] : 
                ( f32(X6,X7) = X4
                & p1(X6,X1)
                & X7 = f58(X6) )
            & X3 = X5
            & ? [X8,X9] : 
                ( f32(X8,X9) = X5
                & p1(X8,X1)
                & X9 = f58(X8) ) )
         => X4 = X5 )
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5] : 
              ( p1(X5,f15(X1,X2))
              & X5 = X4
              & ? [X10,X11] : 
                  ( f32(X10,X11) = X4
                  & p1(X10,X1)
                  & X11 = f58(X10) ) ) ) ) )).

fof(formula_193,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1)
        & p17(X1) )
     => ( p13(f81(X1))
        & p12(f81(X1)) ) ) )).

fof(formula_213,axiom,(
    ! [X1] : 
      ( p13(X1)
     => f81(f81(X1)) = X1 ) )).

fof(formula_95,axiom,(
    $true )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p5(X2)
            & p6(X2)
            & p3(X2) ) ) ) )).

fof(formula_335,lemma,(
    ! [X1,X2] : p33(f26(X1,X2),X1) )).

fof(formula_443,lemma,(
    ! [X1,X2] : 
      ( p33(f58(X1),f58(X2))
     => X1 = X2 ) )).

fof(formula_260,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p21(X1)
        & p22(X1)
        & p23(X1)
        & p4(X2,f24(X1))
        & p4(X3,f24(X1)) )
     => f25(X1,X2,X3) = f53(X1,X2,X3) ) )).

fof(formula_459,lemma,(
    ! [X1,X2,X3] : 
      ( ( p33(X1,X2)
        & p33(X3,X2) )
     => p33(f20(X1,X3),X2) ) )).

fof(formula_99,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p21(X1)
        & p23(X1)
        & p4(X2,f24(X1))
        & p4(X3,f24(X1)) )
     => p4(f53(X1,X2,X3),f24(X1)) ) )).

fof(formula_226,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f14(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_408,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => ~ ( X2 != c50
          & f86(X1,X2) = c50 ) ) )).

fof(formula_40,axiom,(
    ! [X1] : f57(X1) = f20(X1,f58(X1)) )).

fof(formula_227,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( p39(X1)
      <=> ! [X2,X3] : 
            ( ( p1(f32(X2,X3),X1)
              & p1(f32(X3,X2),X1) )
           => X2 = X3 ) ) ) )).

fof(formula_181,axiom,(
    ! [X1] : 
      ( p13(f31(X1))
      & p12(f31(X1)) ) )).

fof(formula_380,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( p1(X1,X2)
          <=> p30(f57(X1),X2) ) ) ) )).

fof(formula_89,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ! [X3] : 
              ( p13(X3)
             => ( X3 = f85(X1,X2)
              <=> ! [X4,X5] : 
                    ( p1(f32(X4,X5),X3)
                  <=> ? [X6] : 
                        ( p1(f32(X4,X6),X1)
                        & p1(f32(X6,X5),X2) ) ) ) ) ) ) )).

fof(formula_457,lemma,(
    ! [X1,X2,X3] : 
      ( ( p13(X3)
        & p12(X3) )
     => ( p1(f32(X1,X2),X3)
      <=> ( p1(X1,f36(X3))
          & X2 = f37(X3,X1) ) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p8(X1) ) )).

fof(formula_141,axiom,(
    $true )).

fof(formula_212,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(X1))
     => f78(X1,f78(X1,X2)) = X2 ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2,X3] : 
          ( p13(X3)
         => ( X3 = f34(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f32(X4,X5),X3)
              <=> ( p1(X4,X2)
                  & p1(f32(X4,X5),X1) ) ) ) ) ) )).

fof(formula_438,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ! [X3] : 
          ( ( p13(X3)
            & p12(X3) )
         => ( X2 = f34(X3,X1)
          <=> ( f36(X2) = f26(f36(X3),X1)
              & ! [X4] : 
                  ( p1(X4,f36(X2))
                 => f37(X2,X4) = f37(X3,X4) ) ) ) ) ) )).

fof(formula_55,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f19(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_442,lemma,(
    ! [X1] : 
      ( p3(X1)
     => p67(f63(X1)) ) )).

fof(formula_165,axiom,(
    ! [X1,X2] : 
      ( ( p13(X1)
        & p12(X1)
        & p8(X2) )
     => p8(f35(X1,X2)) ) )).

fof(formula_156,axiom,(
    ! [X1,X2] : 
    ? [X3] : p49(X3,X1,X2) )).

fof(formula_340,axiom,(
    ! [X1] : f20(X1,c50) = X1 )).

fof(formula_136,axiom,(
    ! [X1,X2] : 
      ( p13(X1)
     => p13(f34(X1,X2)) ) )).

fof(formula_307,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => p33(f38(X1,X2),X2) ) )).

fof(formula_134,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => p4(f90(X1,X2),f14(X1)) ) )).

fof(formula_200,axiom,(
    p7(c50) )).

fof(formula_293,lemma,(
    ! [X1] : 
    ? [X2] : 
    ! [X3] : 
      ( p1(X3,X2)
    <=> ( p1(X3,X1)
        & p3(X3) ) ) )).

fof(formula_230,lemma,(
    ! [X1,X2] : 
      ( p33(X1,f58(X2))
    <=> ( X1 = c50
        | X1 = f58(X2) ) ) )).

fof(formula_328,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => p33(f42(X2,X1),f36(X2)) ) )).

fof(formula_439,lemma,(
    ! [X1] : f19(X1,X1) = f58(X1) )).

fof(formula_283,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p4(X2,f14(f14(f57(X1)))) )
     => ( ! [X3,X4,X5] : 
            ( ( X3 = X4
              & ? [X6] : 
                  ( p1(X6,X2)
                  & X4 = f76(X6,f58(X1)) )
              & X3 = X5
              & ? [X7] : 
                  ( p1(X7,X2)
                  & X5 = f76(X7,f58(X1)) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,f14(X1))
                & X5 = X4
                & ? [X8] : 
                    ( p1(X8,X2)
                    & X4 = f76(X8,f58(X1)) ) ) ) ) ) )).

fof(formula_460,lemma,(
    ! [X1,X2,X3] : 
      ( f58(X1) = f19(X2,X3)
     => X1 = X2 ) )).

fof(formula_175,axiom,(
    ! [X1,X2] : 
      ( ( p13(X1)
        & p13(X2) )
     => p13(f26(X1,X2)) ) )).

fof(formula_37,axiom,(
    ! [X1,X2,X3] : 
      ( p49(X3,X1,X2)
     => ( ( ( X2 = c50
           => X1 = c50 )
         => ( p51(X3,X1,X2)
          <=> X1 = f52(X1,X2,X3) ) )
        & ( X2 = c50
         => ( X1 = c50
            | ( p51(X3,X1,X2)
            <=> X3 = c50 ) ) ) ) ) )).

fof(formula_287,axiom,(
    ! [X1,X2] : 
      ( p3(X2)
     => ( ! [X3,X4,X5] : 
            ( ( X3 = X4
              & ? [X6] : 
                  ( p3(X6)
                  & X4 = X6
                  & p1(X6,X1) )
              & X3 = X5
              & ? [X7] : 
                  ( p3(X7)
                  & X5 = X7
                  & p1(X7,X1) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,f57(X2))
                & X5 = X4
                & ? [X8] : 
                    ( p3(X8)
                    & X4 = X8
                    & p1(X8,X1) ) ) ) ) ) )).

fof(formula_270,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => p30(X1,X1) ) )).

fof(formula_194,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( ~ p7(f57(X1))
        & p5(f57(X1))
        & p6(f57(X1))
        & p3(f57(X1)) ) ) )).

fof(formula_127,axiom,(
    $true )).

fof(formula_398,lemma,(
    ! [X1] : 
      ( p33(X1,c50)
     => X1 = c50 ) )).

fof(formula_236,axiom,(
    ? [X1] : 
      ( ~ p7(X1)
      & p8(X1) ) )).

fof(formula_173,axiom,(
    p3(c18) )).

fof(formula_466,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p12(X4)
        & p51(X4,X1,X2)
        & p49(X4,X1,X2) )
     => ( p33(X2,X3)
       => ( ( X2 = c50
            & X1 != c50 )
          | ( p12(X4)
            & p51(X4,X1,X3)
            & p49(X4,X1,X3) ) ) ) ) )).

fof(formula_152,axiom,(
    ? [X1] : p23(X1) )).

fof(formula_102,axiom,(
    $true )).

fof(formula_384,lemma,(
    ! [X1,X2] : 
      ( p1(X2,X1)
     => f37(f31(X1),X2) = X2 ) )).

fof(formula_133,axiom,(
    ! [X1] : p13(f31(X1)) )).

fof(formula_399,lemma,(
    ! [X1,X2] : f76(f20(X1,X2),X2) = f76(X1,X2) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p7(X1)
        & p12(X1) )
     => ( p13(X1)
        & p12(X1)
        & p17(X1) ) ) )).

fof(formula_405,lemma,(
    ! [X1,X2] : 
      ( p33(X1,X2)
     => X2 = f20(X1,f76(X2,X1)) ) )).

fof(formula_422,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X3,f14(X1))
     => ~ ( p1(X2,f78(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_117,axiom,(
    $true )).

fof(formula_146,axiom,(
    ! [X1,X2,X3] : 
      ( p49(X3,X1,X2)
     => p4(X3,f14(f15(X1,X2))) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ( p13(X2)
     => ! [X3] : 
          ( p13(X3)
         => ( X3 = f38(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f32(X4,X5),X3)
              <=> ( p1(X5,X1)
                  & p1(f32(X4,X5),X2) ) ) ) ) ) )).

fof(formula_255,axiom,(
    ? [X1] : 
      ( p13(X1)
      & p93(X1) ) )).

fof(formula_326,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => f48(f85(X1,X2)) = f35(X2,f48(X1)) ) ) )).

fof(formula_128,axiom,(
    $true )).

fof(formula_272,axiom,(
    ! [X1,X2] : p75(X1,X1) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( p5(X1)
        & p6(X1) ) ) )).

fof(formula_320,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => f35(X2,X1) = f35(X2,f26(f36(X2),X1)) ) )).

fof(formula_220,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p68(f58(X1),X2) ) )).

fof(formula_382,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f32(X1,X2) = f32(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_259,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p7(X1)
        & ~ p7(X2)
        & p12(X4)
        & p51(X4,f15(X1,X2),X3)
        & p60(X4,f15(X1,X2),X3)
        & p4(X5,X1)
        & p4(X6,X2) )
     => f54(X1,X2,X3,X4,X5,X6) = f94(X4,X5,X6) ) )).

fof(formula_167,axiom,(
    ! [X1] : 
      ( ~ p7(f58(X1))
      & p8(f58(X1)) ) )).

fof(formula_453,lemma,(
    ! [X1,X2] : 
      ( p68(X1,X2)
    <=> f76(X1,X2) = X1 ) )).

fof(formula_313,lemma,(
    ! [X1,X2] : 
      ( p33(X1,X2)
     => f20(X1,X2) = X2 ) )).

fof(formula_160,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p7(f81(X1))
        & p13(f81(X1)) ) ) )).

fof(formula_404,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => p33(f48(f85(X1,X2)),f48(X2)) ) ) )).

fof(formula_73,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f76(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_452,lemma,(
    ! [X1,X2] : p33(X1,f20(X1,X2)) )).

fof(formula_258,axiom,(
    ! [X1] : 
      ( ( ~ p21(X1)
        & p92(X1) )
     => ? [X2] : 
          ( p4(X2,f14(f24(X1)))
          & ~ p7(X2) ) ) )).

fof(formula_214,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => f86(X1,f86(X1,X2)) = X2 ) )).

fof(formula_217,lemma,(
    ! [X1] : f58(X1) != c50 )).

fof(formula_429,lemma,(
    ! [X1] : p39(f63(X1)) )).

fof(formula_150,axiom,(
    ? [X1] : p28(X1) )).

fof(formula_169,axiom,(
    ! [X1,X2] : 
      ( ( p13(X1)
        & p12(X1)
        & p13(X2)
        & p12(X2) )
     => ( p13(f85(X1,X2))
        & p12(f85(X1,X2)) ) ) )).

fof(formula_334,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => f80(X2,X1) = f34(f38(X1,X2),X1) ) )).

fof(formula_456,axiom,(
    ! [X1,X2] : 
      ~ ( p7(X1)
        & X1 != X2
        & p7(X2) ) )).

fof(formula_280,axiom,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( p1(X2,X1)
            & X3 = f58(X2)
            & p1(X2,X1)
            & X4 = f58(X2) )
         => X3 = X4 )
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X4,X1)
              & p1(X4,X1)
              & X3 = f58(X4) ) ) ) )).

fof(formula_411,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => ( X2 != c50
       => f91(X1,f71(X1),f89(X1,X2)) = f90(X1,f86(X1,X2)) ) ) )).

fof(formula_239,axiom,(
    ? [X1] : 
      ( p5(X1)
      & p6(X1)
      & p3(X1) ) )).

fof(formula_279,axiom,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p13(X2) )
     => ! [X3] : 
          ( ! [X4,X5,X6] : 
              ( ( X4 = X5
                & ? [X7,X8] : 
                    ( f32(X7,X8) = X5
                    & p1(X7,X1)
                    & ? [X9] : 
                        ( X7 = X9
                        & p1(X8,X9)
                        & ! [X10] : 
                            ( p1(X10,X9)
                           => p1(f32(X8,X10),X2) ) ) )
                & X4 = X6
                & ? [X11,X12] : 
                    ( f32(X11,X12) = X6
                    & p1(X11,X1)
                    & ? [X13] : 
                        ( X11 = X13
                        & p1(X12,X13)
                        & ! [X14] : 
                            ( p1(X14,X13)
                           => p1(f32(X12,X14),X2) ) ) ) )
             => X5 = X6 )
         => ? [X4] : 
            ! [X5] : 
              ( p1(X5,X4)
            <=> ? [X6] : 
                  ( p1(X6,f15(X1,X3))
                  & X6 = X5
                  & ? [X15,X16] : 
                      ( f32(X15,X16) = X5
                      & p1(X15,X1)
                      & ? [X17] : 
                          ( X15 = X17
                          & p1(X16,X17)
                          & ! [X18] : 
                              ( p1(X18,X17)
                             => p1(f32(X16,X18),X2) ) ) ) ) ) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2,X3] : 
          ( X3 = f35(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f32(X5,X4),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_109,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p7(X1)
        & ~ p7(X2)
        & p12(X4)
        & p51(X4,f15(X1,X2),X3)
        & p60(X4,f15(X1,X2),X3)
        & p4(X5,X1)
        & p4(X6,X2) )
     => p4(f54(X1,X2,X3,X4,X5,X6),X3) ) )).

fof(formula_271,axiom,(
    ! [X1,X2] : p33(X1,X1) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( ( p7(X1)
        & p3(X1) )
     => ( p5(X1)
        & p6(X1)
        & p3(X1)
        & p16(X1) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p4(X1,c18)
     => ( p5(X1)
        & p6(X1)
        & p3(X1)
        & p16(X1) ) ) )).

fof(formula_137,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => p4(f86(X1,X2),f14(f14(X1))) ) )).

fof(formula_198,axiom,(
    ! [X1,X2] : 
      ( ( p13(X1)
        & p12(X1) )
     => ( p13(f34(X1,X2))
        & p12(f34(X1,X2)) ) ) )).

fof(formula_172,axiom,(
    p6(c18) )).

fof(formula_368,lemma,(
    ! [X1] : 
      ( ~ p7(X1)
     => ~ ( ! [X2] : 
              ~ ( p1(X2,X1)
                & X2 = c50 )
          & ! [X2] : 
              ( ( p13(X2)
                & p12(X2) )
             => ~ ( f36(X2) = X1
                  & ! [X3] : 
                      ( p1(X3,X1)
                     => p1(f37(X2,X3),X3) ) ) ) ) ) )).

fof(formula_383,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ( X2 = f31(X1)
      <=> ( f36(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f37(X2,X3) = X3 ) ) ) ) )).

fof(formula_104,axiom,(
    $true )).

fof(formula_423,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ! [X3] : 
              ( ( p13(X3)
                & p12(X3) )
             => ( ( p73(X1)
                  & p82(X1,X2,X3) )
               => p73(X2) ) ) ) ) )).

fof(formula_348,lemma,(
    ! [X1] : 
      ( p5(X1)
     => ! [X2] : 
          ( p3(X2)
         => ( p2(X1,X2)
           => p1(X1,X2) ) ) ) )).

fof(formula_346,lemma,(
    ! [X1,X2] : 
      ( ( p13(X2)
        & p12(X2) )
     => ! [X3] : 
          ( ( p13(X3)
            & p12(X3) )
         => ( p1(X1,f36(f85(X3,X2)))
          <=> ( p1(X1,f36(X3))
              & p1(f37(X3,X1),f36(X2)) ) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( p4(X3,f14(f15(X1,X2)))
     => p13(X3) ) )).

fof(formula_74,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ! [X2] : 
          ( X2 = f48(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : 
                  ( p1(X4,f36(X1))
                  & X3 = f37(X1,X4) ) ) ) ) )).

fof(formula_359,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p3(X2)
         => ~ ( ~ p1(X1,X2)
              & X1 != X2
              & ~ p1(X2,X1) ) ) ) )).

fof(formula_87,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ( p17(X1)
      <=> ! [X2,X3] : 
            ( ( p1(X2,f36(X1))
              & p1(X3,f36(X1))
              & f37(X1,X2) = f37(X1,X3) )
           => X2 = X3 ) ) ) )).

fof(formula_147,axiom,(
    ! [X1] : 
      ( p28(X1)
     => ( p12(f65(X1))
        & p51(f65(X1),f15(f24(X1),f24(X1)),f24(X1))
        & p49(f65(X1),f15(f24(X1),f24(X1)),f24(X1)) ) ) )).

fof(formula_237,axiom,(
    ? [X1] : 
      ( p13(X1)
      & p12(X1) ) )).

fof(formula_50,axiom,(
    ! [X1] : 
      ( ( ~ p21(X1)
        & p28(X1) )
     => ! [X2] : 
          ( p4(X2,f24(X1))
         => ! [X3] : 
              ( p4(X3,f24(X1))
             => f64(X1,X2,X3) = f54(f24(X1),f24(X1),f24(X1),f65(X1),X2,X3) ) ) ) )).

fof(formula_286,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f14(f14(X1)))
        & p13(X3)
        & p12(X3) )
     => ( ! [X4,X5,X6] : 
            ( ( X4 = X5
              & p1(f35(X3,X5),X2)
              & X4 = X6
              & p1(f35(X3,X6),X2) )
           => X5 = X6 )
       => ? [X4] : 
          ! [X5] : 
            ( p1(X5,X4)
          <=> ? [X6] : 
                ( p1(X6,f14(f36(X3)))
                & X6 = X5
                & p1(f35(X3,X5),X2) ) ) ) ) )).

fof(formula_434,lemma,(
    ! [X1,X2,X3] : 
      ( ( p33(X1,X2)
        & p68(X2,X3) )
     => p68(X1,X3) ) )).

fof(formula_350,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => p33(f62(f80(X3,X1),X2),f62(X3,X2)) ) )).

fof(formula_338,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p1(X1,f41(f80(X3,X2)))
       => ( p1(X1,f41(X3))
          & p1(X1,X2) ) ) ) )).

fof(formula_157,axiom,(
    ! [X1,X2] : 
      ( p8(X2)
     => p8(f26(X1,X2)) ) )).

fof(formula_371,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
     => ( p7(X2)
        | p1(X1,X2) ) ) )).

fof(formula_421,lemma,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ( p17(X1)
       => ! [X2] : 
            ( ( p13(X2)
              & p12(X2) )
           => ( X2 = f87(X1)
            <=> ( f36(X2) = f48(X1)
                & ! [X3,X4] : 
                    ( ( ( p1(X3,f48(X1))
                        & X4 = f37(X2,X3) )
                     => ( p1(X4,f36(X1))
                        & X3 = f37(X1,X4) ) )
                    & ( ( p1(X4,f36(X1))
                        & X3 = f37(X1,X4) )
                     => ( p1(X3,f48(X1))
                        & X4 = f37(X2,X3) ) ) ) ) ) ) ) ) )).

fof(formula_100,axiom,(
    $true )).

fof(formula_219,lemma,(
    ! [X1,X2] : 
      ~ ( p68(f58(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_352,lemma,(
    ! [X1,X2,X3] : 
      ( p49(X3,X2,X1)
     => ( ! [X4] : 
            ~ ( p1(X4,X2)
              & ! [X5] : ~ p1(f32(X4,X5),X3) )
      <=> f52(X2,X1,X3) = X2 ) ) )).

fof(formula_353,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p74(X2)
       => p74(f80(X2,X1)) ) ) )).

fof(formula_424,lemma,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ( p17(X1)
       => ( f48(X1) = f36(f87(X1))
          & f36(X1) = f48(f87(X1)) ) ) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ( p39(X1)
      <=> p40(X1,f41(X1)) ) ) )).

fof(formula_110,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ( p13(f87(X1))
        & p12(f87(X1)) ) ) )).

fof(formula_121,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(X1))
     => p4(f78(X1,X2),f14(X1)) ) )).

fof(formula_401,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ( ~ ( ~ p77(X1)
            & ! [X2] : 
                ( p3(X2)
               => X1 != f57(X2) ) )
        & ~ ( ? [X2] : 
                ( p3(X2)
                & X1 = f57(X2) )
            & p77(X1) ) ) ) )).

fof(formula_184,axiom,(
    p12(c50) )).

fof(formula_406,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p12(X4)
        & p51(X4,X1,X2)
        & p49(X4,X1,X2) )
     => ( X2 != c50
       => ! [X5] : 
            ( p1(X5,f42(X4,X3))
          <=> ( p1(X5,X1)
              & p1(f37(X4,X5),X3) ) ) ) ) )).

fof(formula_446,lemma,(
    ! [X1,X2,X3] : 
      ( ( p13(X3)
        & p12(X3) )
     => ( p1(X2,X1)
       => f37(f34(X3,X1),X2) = f37(X3,X2) ) ) )).

fof(formula_329,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p49(X4,X3,X1)
     => ( p33(X1,X2)
       => p49(X4,X3,X2) ) ) )).

fof(formula_376,lemma,(
    ! [X1] : 
      ( ! [X2] : 
          ( p1(X2,X1)
         => ( p3(X2)
            & p33(X2,X1) ) )
     => p3(X1) ) )).

fof(formula_372,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_345,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p33(f41(f80(X2,X1)),f41(X2))
        & p33(f41(f80(X2,X1)),X1) ) ) )).

fof(formula_254,axiom,(
    ? [X1] : 
      ( ~ p7(X1)
      & p5(X1)
      & p6(X1)
      & p3(X1) ) )).

fof(formula_257,axiom,(
    ? [X1] : 
      ( p13(X1)
      & p93(X1)
      & p12(X1) ) )).

fof(formula_250,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p4(X2,f14(X1))
      & p7(X2) ) )).

fof(formula_208,axiom,(
    ! [X1,X2] : 
      ( ( p8(X1)
        & p8(X2) )
     => p8(f20(X1,X2)) ) )).

fof(formula_284,axiom,(
    ! [X1,X2,X3] : 
      ( ( p13(X2)
        & p13(X3)
        & p12(X3) )
     => ( ! [X4,X5,X6] : 
            ( ( X4 = X5
              & ? [X7,X8] : 
                  ( X5 = f32(X7,X8)
                  & p1(f32(f37(X3,X7),f37(X3,X8)),X2) )
              & X4 = X6
              & ? [X9,X10] : 
                  ( X6 = f32(X9,X10)
                  & p1(f32(f37(X3,X9),f37(X3,X10)),X2) ) )
           => X5 = X6 )
       => ? [X4] : 
          ! [X5] : 
            ( p1(X5,X4)
          <=> ? [X6] : 
                ( p1(X6,f15(X1,X1))
                & X6 = X5
                & ? [X11,X12] : 
                    ( X5 = f32(X11,X12)
                    & p1(f32(f37(X3,X11),f37(X3,X12)),X2) ) ) ) ) ) )).

fof(formula_60,axiom,(
    ! [X1] : 
      ( p6(X1)
    <=> ! [X2,X3] : 
          ~ ( p1(X2,X1)
            & p1(X3,X1)
            & ~ p1(X2,X3)
            & X2 != X3
            & ~ p1(X3,X2) ) ) )).

fof(formula_275,lemma,(
    ! [X1] : 
      ( ? [X2] : 
          ( p3(X2)
          & p1(X2,X1) )
     => ? [X2] : 
          ( p3(X2)
          & p1(X2,X1)
          & ! [X3] : 
              ( p3(X3)
             => ( p1(X3,X1)
               => p30(X2,X3) ) ) ) ) )).

fof(formula_458,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( p79(X1,f41(X1))
      <=> p73(X1) ) ) )).

fof(formula_122,axiom,(
    $true )).

fof(formula_467,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p33(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p33(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p33(X3,X2)
            & ~ p95(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_394,lemma,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p1(X2,X3)
        & p1(X3,X1) ) )).

fof(formula_322,lemma,(
    ! [X1] : 
      ( p13(X1)
     => f35(X1,f36(X1)) = f48(X1) ) )).

fof(formula_101,axiom,(
    $true )).

fof(formula_38,axiom,(
    ! [X1] : 
      ( ( ~ p21(X1)
        & p23(X1) )
     => ! [X2] : 
          ( p4(X2,f24(X1))
         => ! [X3] : 
              ( p4(X3,f24(X1))
             => f53(X1,X2,X3) = f54(f24(X1),f24(X1),f24(X1),f55(X1),X2,X3) ) ) ) )).

fof(formula_63,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p70(X1,X2)
        <=> ! [X3] : 
              ~ ( p33(X3,X2)
                & X3 != c50
                & ! [X4] : 
                    ~ ( p1(X4,X3)
                      & p68(f62(X1,X4),X3) ) ) ) ) )).

fof(formula_216,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( p74(X1)
      <=> ! [X2] : 
            ( p1(X2,f41(X1))
           => p1(f32(X2,X2),X1) ) ) ) )).

fof(formula_325,lemma,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f26(X1,X2)) ) )).

fof(formula_412,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => ( X2 != c50
       => f89(X1,f86(X1,X2)) = f91(X1,f71(X1),f90(X1,X2)) ) ) )).

fof(formula_118,axiom,(
    $true )).

fof(formula_243,axiom,(
    ! [X1] : 
      ( ~ p7(X1)
     => ? [X2] : 
          ( p4(X2,f14(X1))
          & ~ p7(X2) ) ) )).

fof(formula_267,axiom,(
    ! [X1,X2,X3] : 
      ( p49(X3,X1,X2)
    <=> p60(X3,X1,X2) ) )).

fof(formula_132,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f14(f14(X1)))
     => p4(f89(X1,X2),f14(X1)) ) )).

fof(formula_397,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p68(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p68(X1,X2) ) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : f19(X1,X2) = f19(X2,X1) )).

fof(formula_409,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f20(f58(X1),X2) = X2 ) )).

fof(formula_57,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f20(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_149,axiom,(
    ! [X1] : 
      ( p23(X1)
     => ( p12(f55(X1))
        & p51(f55(X1),f15(f24(X1),f24(X1)),f24(X1))
        & p49(f55(X1),f15(f24(X1),f24(X1)),f24(X1)) ) ) )).

fof(formula_391,lemma,(
    ! [X1,X2] : f20(X1,f76(X2,X1)) = f20(X1,X2) )).

fof(formula_65,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ! [X2,X3] : 
          ( ( p1(X2,f36(X1))
           => ( X3 = f37(X1,X2)
            <=> p1(f32(X2,X3),X1) ) )
          & ( ~ p1(X2,f36(X1))
           => ( X3 = f37(X1,X2)
            <=> X3 = c50 ) ) ) ) )).

fof(formula_171,axiom,(
    p5(c18) )).

fof(formula_317,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p1(X1,f35(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f36(X3))
            & p1(f32(X4,X1),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p12(X1) ) )).

fof(formula_282,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ( ! [X2,X3,X4] : 
            ( ( X2 = X3
              & ? [X5] : 
                  ( p3(X5)
                  & X3 = X5
                  & ( p1(X5,c18)
                   => ! [X6] : 
                        ( p4(X6,f14(f14(X5)))
                       => ~ ( X6 != c50
                            & ! [X7] : 
                                ~ ( p1(X7,X6)
                                  & ! [X8] : 
                                      ( ( p1(X8,X6)
                                        & p33(X7,X8) )
                                     => X8 = X7 ) ) ) ) ) )
              & X2 = X4
              & ? [X9] : 
                  ( p3(X9)
                  & X4 = X9
                  & ( p1(X9,c18)
                   => ! [X10] : 
                        ( p4(X10,f14(f14(X9)))
                       => ~ ( X10 != c50
                            & ! [X11] : 
                                ~ ( p1(X11,X10)
                                  & ! [X12] : 
                                      ( ( p1(X12,X10)
                                        & p33(X11,X12) )
                                     => X12 = X11 ) ) ) ) ) ) )
           => X3 = X4 )
       => ? [X2] : 
          ! [X3] : 
            ( p1(X3,X2)
          <=> ? [X4] : 
                ( p1(X4,f57(X1))
                & X4 = X3
                & ? [X13] : 
                    ( p3(X13)
                    & X3 = X13
                    & ( p1(X13,c18)
                     => ! [X14] : 
                          ( p4(X14,f14(f14(X13)))
                         => ~ ( X14 != c50
                              & ! [X15] : 
                                  ~ ( p1(X15,X14)
                                    & ! [X16] : 
                                        ( ( p1(X16,X14)
                                          & p33(X15,X16) )
                                       => X16 = X15 ) ) ) ) ) ) ) ) ) ) )).

fof(formula_451,lemma,(
    ! [X1] : 
      ( p3(X1)
     => p73(f63(X1)) ) )).

fof(formula_256,axiom,(
    ? [X1] : 
      ( p92(X1)
      & ~ p21(X1) ) )).

fof(formula_83,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : f80(X1,X2) = f26(X1,f15(X2,X2)) ) )).

fof(formula_168,axiom,(
    ! [X1] : 
      ( ~ p7(f14(X1))
      & p10(f14(X1))
      & p11(f14(X1))
      & p9(f14(X1)) ) )).

fof(formula_177,axiom,(
    ! [X1] : ~ p7(f14(X1)) )).

fof(formula_318,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => p33(f35(X2,X1),f48(X2)) ) )).

fof(formula_436,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( f36(X1) = c50
      <=> f48(X1) = c50 ) ) )).

fof(formula_46,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2,X3] : 
          ( X3 = f62(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( X4 != X2
                & p1(f32(X4,X2),X1) ) ) ) ) )).

fof(formula_277,lemma,(
    ! [X1,X2,X3] : 
      ( ( p13(X2)
        & p13(X3)
        & p12(X3) )
     => ? [X4] : 
          ( p13(X4)
          & ! [X5,X6] : 
              ( p1(f32(X5,X6),X4)
            <=> ( p1(X5,X1)
                & p1(X6,X1)
                & p1(f32(f37(X3,X5),f37(X3,X6)),X2) ) ) ) ) )).

fof(formula_468,lemma,(
    ! [X1,X2,X3] : 
      ( f58(X1) = f19(X2,X3)
     => X2 = X3 ) )).

fof(formula_312,lemma,(
    ! [X1,X2,X3] : 
      ( p49(X3,X1,X2)
     => ( p33(f36(X3),X1)
        & p33(f48(X3),X2) ) ) )).

fof(formula_221,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => p33(f36(f38(X1,X2)),f36(X2)) ) )).

fof(formula_386,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( f48(X1) = f36(f81(X1))
        & f36(X1) = f48(f81(X1)) ) ) )).

fof(formula_88,axiom,(
    ! [X1] : 
      ( ( ~ p21(X1)
        & p83(X1) )
     => ( p84(X1)
      <=> ! [X2] : 
            ( p4(X2,f24(X1))
           => ! [X3] : 
                ( p4(X3,f24(X1))
               => f53(X1,f64(X1,X2,X3),X3) = X3 ) ) ) ) )).

fof(formula_440,axiom,(
    ! [X1] : 
      ( p7(X1)
     => X1 = c50 ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : f20(X1,X2) = f20(X2,X1) )).

fof(formula_303,lemma,(
    ! [X1] : p1(X1,f57(X1)) )).

fof(formula_402,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f14(X1))
     => ! [X3] : 
          ( p4(X3,f14(X1))
         => ( p68(X2,X3)
          <=> p33(X2,f78(X1,X3)) ) ) ) )).

fof(formula_273,lemma,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p13(X2) )
     => ( ! [X3,X4,X5] : 
            ( ( p1(X3,X1)
              & ? [X6] : 
                  ( X3 = X6
                  & p1(X4,X6)
                  & ! [X7] : 
                      ( p1(X7,X6)
                     => p1(f32(X4,X7),X2) ) )
              & p1(X3,X1)
              & ? [X8] : 
                  ( X3 = X8
                  & p1(X5,X8)
                  & ! [X9] : 
                      ( p1(X9,X8)
                     => p1(f32(X5,X9),X2) ) ) )
           => X4 = X5 )
       => ? [X3] : 
            ( p13(X3)
            & p12(X3)
            & ! [X4,X5] : 
                ( p1(f32(X4,X5),X3)
              <=> ( p1(X4,X1)
                  & p1(X4,X1)
                  & ? [X10] : 
                      ( X4 = X10
                      & p1(X5,X10)
                      & ! [X11] : 
                          ( p1(X11,X10)
                         => p1(f32(X5,X11),X2) ) ) ) ) ) ) ) )).

fof(formula_53,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ( X1 = X2
          <=> ! [X3,X4] : 
                ( p1(f32(X3,X4),X1)
              <=> p1(f32(X3,X4),X2) ) ) ) ) )).

fof(formula_249,axiom,(
    ? [X1] : 
      ( ~ p7(X1)
      & p13(X1) ) )).

fof(formula_176,axiom,(
    ! [X1] : 
      ( ( ~ p21(X1)
        & p92(X1) )
     => ~ p7(f24(X1)) ) )).

fof(formula_86,axiom,(
    ! [X1,X2] : 
      ( p68(X1,X2)
    <=> f26(X1,X2) = c50 ) )).

fof(formula_407,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ( p33(f48(X1),f36(X2))
           => f36(f85(X1,X2)) = f36(X1) ) ) ) )).

fof(formula_291,lemma,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p4(X2,f14(f14(f57(X1)))) )
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,f14(X1))
            & ? [X5] : 
                ( p1(X5,X2)
                & X4 = f76(X5,f58(X1)) ) ) ) ) )).

fof(formula_449,lemma,(
    ! [X1,X2] : 
      ( f56(f32(X1,X2)) = X1
      & f66(f32(X1,X2)) = X2 ) )).

fof(formula_19,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p21(X1)
        & p22(X1)
        & p23(X1)
        & p4(X2,f24(X1))
        & p4(X3,f24(X1)) )
     => f25(X1,X2,X3) = f25(X1,X3,X2) ) )).

fof(formula_342,lemma,(
    ! [X1,X2,X3] : 
      ( ( p33(X1,X2)
        & p33(X2,X3) )
     => p33(X1,X3) ) )).

fof(formula_108,axiom,(
    $true )).

fof(formula_315,lemma,(
    ! [X1,X2] : 
      ( ( p33(X1,X2)
        & p8(X2) )
     => p8(X1) ) )).

fof(formula_304,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f19(X1,X2) = f19(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_358,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p43(X2)
       => p43(f80(X2,X1)) ) ) )).

fof(formula_197,axiom,(
    ! [X1,X2] : 
      ( ~ p7(X1)
     => ~ p7(f20(X2,X1)) ) )).

fof(formula_246,axiom,(
    ? [X1] : 
      ( p13(X1)
      & p7(X1)
      & p12(X1) ) )).

fof(formula_300,axiom,(
    ! [X1,X2] : 
      ( p68(X1,X2)
     => p68(X2,X1) ) )).

fof(formula_34,axiom,(
    ! [X1,X2,X3,X4] : 
      ( X4 = f47(X1,X2,X3)
    <=> ! [X5] : 
          ( p1(X5,X4)
        <=> ~ ( X5 != X1
              & X5 != X2
              & X5 != X3 ) ) ) )).

fof(formula_435,lemma,(
    ! [X1] : 
      ( p13(X1)
     => ( ( f36(X1) = c50
          | f48(X1) = c50 )
       => X1 = c50 ) ) )).

fof(formula_68,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p40(X1,X2)
        <=> ! [X3,X4] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(f32(X3,X4),X1)
                & p1(f32(X4,X3),X1) )
             => X3 = X4 ) ) ) )).

fof(formula_234,lemma,(
    ! [X1,X2,X3] : 
      ( ( p13(X3)
        & p12(X3) )
     => ( p1(X2,f36(f34(X3,X1)))
      <=> ( p1(X2,f36(X3))
          & p1(X2,X1) ) ) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ! [X2,X3] : 
          ( X3 = f35(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(X5,f36(X1))
                  & p1(X5,X2)
                  & X4 = f37(X1,X5) ) ) ) ) )).

fof(formula_142,axiom,(
    ! [X1] : 
      ( p23(X1)
     => p92(X1) ) )).

fof(formula_42,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p59(X1,X2)
        <=> ! [X3] : 
              ( p1(X3,X2)
             => p1(f32(X3,X3),X1) ) ) ) )).

fof(formula_84,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p13(X2)
         => ( X2 = f81(X1)
          <=> ! [X3,X4] : 
                ( p1(f32(X3,X4),X2)
              <=> p1(f32(X4,X3),X1) ) ) ) ) )).

fof(formula_241,axiom,(
    ? [X1] : 
      ( p13(X1)
      & p12(X1)
      & p17(X1)
      & p7(X1) ) )).

fof(formula_166,axiom,(
    ! [X1,X2] : 
      ( ( p13(X1)
        & p93(X1) )
     => ( p13(f34(X1,X2))
        & p93(f34(X1,X2)) ) ) )).

fof(formula_81,axiom,(
    ! [X1] : 
      ( p13(X1)
     => f41(X1) = f20(f36(X1),f48(X1)) ) )).

fof(formula_151,axiom,(
    ? [X1] : p92(X1) )).

fof(formula_330,lemma,(
    ! [X1,X2,X3] : 
      ( p13(X3)
     => ( p1(X1,f80(X3,X2))
      <=> ( p1(X1,X3)
          & p1(X1,f15(X2,X2)) ) ) ) )).

fof(formula_204,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p13(X1) )
     => ~ p7(f36(X1)) ) )).

fof(formula_39,axiom,(
    ! [X1] : 
      ( ? [X2,X3] : X1 = f32(X2,X3)
     => ! [X2] : 
          ( X2 = f56(X1)
        <=> ! [X3,X4] : 
              ( X1 = f32(X3,X4)
             => X2 = X3 ) ) ) )).

fof(formula_366,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p13(X2)
      & p79(X2,X1) ) )).

fof(formula_285,axiom,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( X2 = X3
            & p3(X3)
            & X2 = X4
            & p3(X4) )
         => X3 = X4 )
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X4,X1)
              & X4 = X3
              & p3(X3) ) ) ) )).

fof(formula_290,lemma,(
    ! [X1] : 
      ( p3(X1)
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ( p1(X3,f57(X1))
            & ? [X4] : 
                ( p3(X4)
                & X3 = X4
                & ( p1(X4,c18)
                 => ! [X5] : 
                      ( p4(X5,f14(f14(X4)))
                     => ~ ( X5 != c50
                          & ! [X6] : 
                              ~ ( p1(X6,X5)
                                & ! [X7] : 
                                    ( ( p1(X7,X5)
                                      & p33(X6,X7) )
                                   => X7 = X6 ) ) ) ) ) ) ) ) ) )).

fof(formula_90,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ! [X2] : 
          ( p46(X1,X2)
        <=> ! [X3,X4,X5] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(X5,X2)
                & p1(f32(X3,X4),X1)
                & p1(f32(X4,X5),X1) )
             => p1(f32(X3,X5),X1) ) ) ) )).

fof(formula_190,axiom,(
    ! [X1,X2] : 
      ( ( p13(X1)
        & p13(X2) )
     => p13(f20(X1,X2)) ) )).

fof(formula_161,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => p8(f76(X1,X2)) ) )).

fof(formula_163,axiom,(
    p13(c50) )).

fof(formula_321,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => ( p33(X1,f36(X2))
       => p33(X1,f42(X2,f35(X2,X1))) ) ) )).

fof(formula_393,axiom,(
    ! [X1] : f76(X1,c50) = X1 )).

fof(formula_310,lemma,(
    ! [X1,X2] : 
      ( p13(X2)
     => f48(f38(X1,X2)) = f26(f48(X2),X1) ) )).

fof(formula_218,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f20(f58(X1),X2) = X2 ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p7(X1)
     => p13(X1) ) )).

fof(formula_364,lemma,(
    ! [X1] : 
      ( ( p13(X1)
        & p12(X1) )
     => ( p8(f36(X1))
       => p8(f48(X1)) ) ) )).

fof(formula_64,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f26(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_378,lemma,(
    ! [X1,X2] : 
      ( p3(X2)
     => ~ ( p33(X1,X2)
          & X1 != c50
          & ! [X3] : 
              ( p3(X3)
             => ~ ( p1(X3,X1)
                  & ! [X4] : 
                      ( p3(X4)
                     => ( p1(X4,X1)
                       => p30(X3,X4) ) ) ) ) ) ) )).

fof(formula_252,axiom,(
    ! [X1] : 
      ( ~ p7(X1)
     => ? [X2] : 
          ( p4(X2,f14(X1))
          & ~ p7(X2)
          & p8(X2) ) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( p13(X1)
     => ( p43(X1)
      <=> p44(X1,f41(X1)) ) ) )).

fof(formula_195,axiom,(
    ! [X1,X2] : 
      ( ( p13(X1)
        & p13(X2) )
     => p13(f76(X1,X2)) ) )).

fof(formula_314,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p33(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f14(X3),X2) )
      & ! [X3] : 
          ~ ( p33(X3,X2)
            & ~ p95(X3,X2)
            & ~ p1(X3,X2) ) ) )).
%------------------------------------------------------------------------------
