%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(A,C) = f19(B,C) ) )).

fof(f19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(C,A) = f19(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(A,C) )
     => p18(B,C) ) )).

fof(p18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(C,A) )
     => p18(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p4(X2,f5(X1))
         => ( p12(X2)
            & p11(X2)
            & p10(X2)
            & p9(X2)
            & p8(X2) ) ) ) )).

fof(formula_39,axiom,(
    p8(c20) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p9(X1)
     => ! [X2] : 
          ( p4(X2,f5(X1))
         => ( p12(X2)
            & p11(X2)
            & p10(X2)
            & p9(X2) ) ) ) )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f5(X1))
     => p4(f19(X1,X2),f5(X1)) ) )).

fof(formula_20,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p18(X1,X2)
        & p4(X2,f5(X3))
        & p7(X3) ) )).

fof(formula_36,axiom,(
    p11(c20) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p11(X1)
     => ! [X2] : 
          ( p4(X2,f5(X1))
         => ( p12(X2)
            & p11(X2) ) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p12(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => p13(X2) ) ) )).

fof(formula_24,axiom,(
    ? [X1] : p3(X1) )).

fof(formula_38,axiom,(
    p9(c20) )).

fof(formula_32,axiom,(
    ? [X1] : 
      ( p3(X1)
      & ~ p2(X1) ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ( p18(X1,X2)
     => p4(X1,X2) ) )).

fof(formula_47,axiom,(
    ! [X1,X2,X3] : 
      ( p4(X3,f5(X1))
     => ~ ( p18(X2,f19(X1,X3))
          & p18(X2,X3) ) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( p18(X1,X2)
     => ~ p18(X2,X1) ) )).

fof(formula_31,axiom,(
    $true )).

fof(formula_29,axiom,(
    $true )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p4(X2,f5(X1))
         => ( p12(X2)
            & p11(X2)
            & p10(X2) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p9(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p13(X2)
            & p14(X2)
            & p16(X2)
            & p15(X2) ) ) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : p1(X1,X1) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p12(X1)
        & p11(X1)
        & p10(X1)
        & p9(X1)
        & p8(X1) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p3(X1) )
     => ? [X2] : 
          ( p4(X2,f5(f6(X1)))
          & ~ p7(X2) ) ) )).

fof(formula_46,axiom,(
    ! [X1] : 
      ( X1 != c20
     => ! [X2] : 
          ( p4(X2,f5(X1))
         => ! [X3] : 
              ( p4(X3,X1)
             => ( ~ p18(X3,X2)
               => p18(X3,f19(X1,X2)) ) ) ) ) )).

fof(formula_34,axiom,(
    p7(c20) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p12(X1)
     => ! [X2] : 
          ( p4(X2,f5(X1))
         => p12(X2) ) ) )).

fof(formula_7,axiom,(
    ? [X1] : 
      ( ~ p7(X1)
      & p12(X1)
      & p11(X1)
      & p10(X1)
      & p9(X1)
      & p8(X1) ) )).

fof(formula_27,axiom,(
    $true )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p13(X2)
            & p17(X2)
            & p14(X2)
            & p16(X2)
            & p15(X2) ) ) ) )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p3(X1) )
     => ~ p7(f6(X1)) ) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f5(X1))
     => f19(X1,f19(X1,X2)) = X2 ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p11(X1)
     => p12(X1) ) )).

fof(formula_26,axiom,(
    $true )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p10(X1)
     => p11(X1) ) )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( p7(X1)
     => X1 = c20 ) )).

fof(formula_44,axiom,(
    ! [X1,X2] : 
      ~ ( p18(X1,X2)
        & p7(X2) ) )).

fof(formula_30,axiom,(
    $true )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
     => ( p7(X2)
        | p18(X1,X2) ) ) )).

fof(formula_42,axiom,(
    ! [X1,X2,X3] : 
      ( ( p18(X1,X2)
        & p4(X2,f5(X3)) )
     => p4(X1,X3) ) )).

fof(formula_37,axiom,(
    p10(c20) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p11(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p13(X2)
            & p14(X2) ) ) ) )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ( p4(X1,f5(X2))
    <=> p1(X1,X2) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p9(X1) ) )).

fof(formula_45,conjecture,(
    ! [X1] : 
      ( ( ~ p2(X1)
        & p3(X1) )
     => ! [X2] : 
          ( p4(X2,f5(f6(X1)))
         => ! [X3] : 
              ( p4(X3,f6(X1))
             => ( p18(X3,f19(f6(X1),X2))
              <=> ~ p18(X3,X2) ) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p13(X2)
            & p14(X2)
            & p15(X2) ) ) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ~ ( p7(X1)
        & X1 != X2
        & p7(X2) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
    ? [X2] : p4(X2,X1) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p9(X1)
     => p10(X1) ) )).

fof(formula_35,axiom,(
    p12(c20) )).
%------------------------------------------------------------------------------
