%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f100_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f100(A,C) = f100(B,C) ) )).

fof(f100_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f100(C,A) = f100(C,B) ) )).

fof(f103_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f103(A,C,D) = f103(B,C,D) ) )).

fof(f103_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f103(C,A,D) = f103(C,B,D) ) )).

fof(f103_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f103(C,D,A) = f103(C,D,B) ) )).

fof(f104_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f104(A,C) = f104(B,C) ) )).

fof(f104_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f104(C,A) = f104(C,B) ) )).

fof(f105_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f105(A) = f105(B) ) )).

fof(f110_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f110(A,C) = f110(B,C) ) )).

fof(f110_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f110(C,A) = f110(C,B) ) )).

fof(f111_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f111(A,C) = f111(B,C) ) )).

fof(f111_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f111(C,A) = f111(C,B) ) )).

fof(f112_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f112(A) = f112(B) ) )).

fof(f113_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f113(A,C,D) = f113(B,C,D) ) )).

fof(f113_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f113(C,A,D) = f113(C,B,D) ) )).

fof(f113_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f113(C,D,A) = f113(C,D,B) ) )).

fof(f114_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f114(A,C) = f114(B,C) ) )).

fof(f114_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f114(C,A) = f114(C,B) ) )).

fof(f116_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f116(A,C,D) = f116(B,C,D) ) )).

fof(f116_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f116(C,A,D) = f116(C,B,D) ) )).

fof(f116_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f116(C,D,A) = f116(C,D,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(A,C) = f25(B,C) ) )).

fof(f25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(C,A) = f25(C,B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f28(A,C) = f28(B,C) ) )).

fof(f28_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f28(C,A) = f28(C,B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(A,C) = f29(B,C) ) )).

fof(f29_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(C,A) = f29(C,B) ) )).

fof(f33_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f33(A) = f33(B) ) )).

fof(f34_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f34(A,C,D) = f34(B,C,D) ) )).

fof(f34_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f34(C,A,D) = f34(C,B,D) ) )).

fof(f34_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f34(C,D,A) = f34(C,D,B) ) )).

fof(f35_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f35(A,C) = f35(B,C) ) )).

fof(f35_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f35(C,A) = f35(C,B) ) )).

fof(f38_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f38(A,C,D) = f38(B,C,D) ) )).

fof(f38_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f38(C,A,D) = f38(C,B,D) ) )).

fof(f38_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f38(C,D,A) = f38(C,D,B) ) )).

fof(f39_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f39(A,C,D) = f39(B,C,D) ) )).

fof(f39_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f39(C,A,D) = f39(C,B,D) ) )).

fof(f39_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f39(C,D,A) = f39(C,D,B) ) )).

fof(f41_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f41(A) = f41(B) ) )).

fof(f42_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f42(A,C) = f42(B,C) ) )).

fof(f42_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f42(C,A) = f42(C,B) ) )).

fof(f44_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f44(A,C) = f44(B,C) ) )).

fof(f44_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f44(C,A) = f44(C,B) ) )).

fof(f45_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f45(A,C) = f45(B,C) ) )).

fof(f45_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f45(C,A) = f45(C,B) ) )).

fof(f46_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f46(A) = f46(B) ) )).

fof(f47_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f47(A,C) = f47(B,C) ) )).

fof(f47_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f47(C,A) = f47(C,B) ) )).

fof(f48_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f48(A,C) = f48(B,C) ) )).

fof(f48_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f48(C,A) = f48(C,B) ) )).

fof(f51_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f51(A) = f51(B) ) )).

fof(f52_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f52(A,C) = f52(B,C) ) )).

fof(f52_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f52(C,A) = f52(C,B) ) )).

fof(f54_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f54(A,C) = f54(B,C) ) )).

fof(f54_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f54(C,A) = f54(C,B) ) )).

fof(f61_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f61(A,C,D) = f61(B,C,D) ) )).

fof(f61_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f61(C,A,D) = f61(C,B,D) ) )).

fof(f61_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f61(C,D,A) = f61(C,D,B) ) )).

fof(f62_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f62(A) = f62(B) ) )).

fof(f66_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f66(A,C,D) = f66(B,C,D) ) )).

fof(f66_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f66(C,A,D) = f66(C,B,D) ) )).

fof(f66_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f66(C,D,A) = f66(C,D,B) ) )).

fof(f67_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f67(A,C,D) = f67(B,C,D) ) )).

fof(f67_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f67(C,A,D) = f67(C,B,D) ) )).

fof(f67_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f67(C,D,A) = f67(C,D,B) ) )).

fof(f68_substitution_1,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f68(A,C,D,E,F,G) = f68(B,C,D,E,F,G) ) )).

fof(f68_substitution_2,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f68(C,A,D,E,F,G) = f68(C,B,D,E,F,G) ) )).

fof(f68_substitution_3,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f68(C,D,A,E,F,G) = f68(C,D,B,E,F,G) ) )).

fof(f68_substitution_4,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f68(C,D,E,A,F,G) = f68(C,D,E,B,F,G) ) )).

fof(f68_substitution_5,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f68(C,D,E,F,A,G) = f68(C,D,E,F,B,G) ) )).

fof(f68_substitution_6,axiom,(
    ! [A,B,C,D,E,F,G] : 
      ( A = B
     => f68(C,D,E,F,G,A) = f68(C,D,E,F,G,B) ) )).

fof(f69_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f69(A) = f69(B) ) )).

fof(f70_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f70(A) = f70(B) ) )).

fof(f71_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f71(A) = f71(B) ) )).

fof(f72_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f72(A) = f72(B) ) )).

fof(f74_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f74(A) = f74(B) ) )).

fof(f75_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f75(A,C) = f75(B,C) ) )).

fof(f75_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f75(C,A) = f75(C,B) ) )).

fof(f78_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f78(A) = f78(B) ) )).

fof(f80_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f80(A,C) = f80(B,C) ) )).

fof(f80_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f80(C,A) = f80(C,B) ) )).

fof(f81_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f81(A,C) = f81(B,C) ) )).

fof(f81_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f81(C,A) = f81(C,B) ) )).

fof(f83_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f83(A,C) = f83(B,C) ) )).

fof(f83_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f83(C,A) = f83(C,B) ) )).

fof(f84_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f84(A) = f84(B) ) )).

fof(f85_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f85(A,C,D) = f85(B,C,D) ) )).

fof(f85_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f85(C,A,D) = f85(C,B,D) ) )).

fof(f85_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f85(C,D,A) = f85(C,D,B) ) )).

fof(f86_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f86(A) = f86(B) ) )).

fof(f87_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f87(A) = f87(B) ) )).

fof(f88_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f88(A) = f88(B) ) )).

fof(f93_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f93(A) = f93(B) ) )).

fof(f95_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f95(A) = f95(B) ) )).

fof(f96_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f96(A) = f96(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p101_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p101(A) )
     => p101(B) ) )).

fof(p102_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p102(A,C) )
     => p102(B,C) ) )).

fof(p102_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p102(C,A) )
     => p102(C,B) ) )).

fof(p106_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p106(A,C,D) )
     => p106(B,C,D) ) )).

fof(p106_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p106(C,A,D) )
     => p106(C,B,D) ) )).

fof(p106_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p106(C,D,A) )
     => p106(C,D,B) ) )).

fof(p107_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p107(A) )
     => p107(B) ) )).

fof(p108_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p108(A) )
     => p108(B) ) )).

fof(p109_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p109(A,C) )
     => p109(B,C) ) )).

fof(p109_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p109(C,A) )
     => p109(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p115_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p115(A) )
     => p115(B) ) )).

fof(p117_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p117(A,C) )
     => p117(B,C) ) )).

fof(p117_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p117(C,A) )
     => p117(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p23(A) )
     => p23(B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p24(A) )
     => p24(B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p26(A) )
     => p26(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p30(A) )
     => p30(B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p31(A) )
     => p31(B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p32(A) )
     => p32(B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p36(A) )
     => p36(B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p37(A) )
     => p37(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(A,C) )
     => p40(B,C) ) )).

fof(p40_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(C,A) )
     => p40(C,B) ) )).

fof(p43_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p43(A,C) )
     => p43(B,C) ) )).

fof(p43_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p43(C,A) )
     => p43(C,B) ) )).

fof(p49_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p49(A) )
     => p49(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p50_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p50(A,C) )
     => p50(B,C) ) )).

fof(p50_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p50(C,A) )
     => p50(C,B) ) )).

fof(p53_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p53(A) )
     => p53(B) ) )).

fof(p55_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p55(A,C) )
     => p55(B,C) ) )).

fof(p55_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p55(C,A) )
     => p55(C,B) ) )).

fof(p56_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p56(A,C) )
     => p56(B,C) ) )).

fof(p56_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p56(C,A) )
     => p56(C,B) ) )).

fof(p57_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p57(A) )
     => p57(B) ) )).

fof(p58_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p58(A,C) )
     => p58(B,C) ) )).

fof(p58_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p58(C,A) )
     => p58(C,B) ) )).

fof(p59_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p59(A) )
     => p59(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p60_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p60(A,C) )
     => p60(B,C) ) )).

fof(p60_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p60(C,A) )
     => p60(C,B) ) )).

fof(p63_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p63(A,C,D) )
     => p63(B,C,D) ) )).

fof(p63_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p63(C,A,D) )
     => p63(C,B,D) ) )).

fof(p63_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p63(C,D,A) )
     => p63(C,D,B) ) )).

fof(p65_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p65(A,C,D) )
     => p65(B,C,D) ) )).

fof(p65_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p65(C,A,D) )
     => p65(C,B,D) ) )).

fof(p65_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p65(C,D,A) )
     => p65(C,D,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p73_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p73(A) )
     => p73(B) ) )).

fof(p76_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p76(A,C) )
     => p76(B,C) ) )).

fof(p76_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p76(C,A) )
     => p76(C,B) ) )).

fof(p77_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p77(A,C,D) )
     => p77(B,C,D) ) )).

fof(p77_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p77(C,A,D) )
     => p77(C,B,D) ) )).

fof(p77_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p77(C,D,A) )
     => p77(C,D,B) ) )).

fof(p79_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p79(A) )
     => p79(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p82_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p82(A,C) )
     => p82(B,C) ) )).

fof(p82_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p82(C,A) )
     => p82(C,B) ) )).

fof(p89_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p89(A,C) )
     => p89(B,C) ) )).

fof(p89_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p89(C,A) )
     => p89(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(p90_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p90(A,C) )
     => p90(B,C) ) )).

fof(p90_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p90(C,A) )
     => p90(C,B) ) )).

fof(p91_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p91(A) )
     => p91(B) ) )).

fof(p92_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p92(A,C,D) )
     => p92(B,C,D) ) )).

fof(p92_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p92(C,A,D) )
     => p92(C,B,D) ) )).

fof(p92_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p92(C,D,A) )
     => p92(C,D,B) ) )).

fof(p94_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p94(A,C) )
     => p94(B,C) ) )).

fof(p94_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p94(C,A) )
     => p94(C,B) ) )).

fof(p97_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p97(A) )
     => p97(B) ) )).

fof(p98_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p98(A) )
     => p98(B) ) )).

fof(p99_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p99(A,C) )
     => p99(B,C) ) )).

fof(p99_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p99(C,A) )
     => p99(C,B) ) )).

fof(formula_390,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => ( ~ ( X2 != c64
            & f111(X1,X2) = c64 )
        & ~ ( f111(X1,X2) != c64
            & X2 = c64 ) ) ) )).

fof(formula_373,lemma,(
    ! [X1,X2] : 
      ( ( p79(X1)
        & p4(X2,f15(f15(f33(X1)))) )
     => ! [X3] : 
        ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f25(X2,X3))
            & ? [X6,X7] : 
                ( f42(X6,X7) = X5
                & p1(X6,X2)
                & ! [X8] : 
                    ( p4(X8,f15(f33(X1)))
                   => ( X8 = X6
                     => X7 = f81(f33(X1),X8) ) ) ) ) ) ) )).

fof(formula_211,axiom,(
    ! [X1,X2] : 
      ( ( p24(X1)
        & p24(X2) )
     => p24(f35(X1,X2)) ) )).

fof(formula_551,lemma,(
    ! [X1,X2,X3] : 
      ( ( p24(X3)
        & p23(X3) )
     => ( p1(X2,f46(f44(X3,X1)))
       => f47(f44(X3,X1),X2) = f47(X3,X2) ) ) )).

fof(formula_527,lemma,(
    ! [X1,X2,X3] : 
      ( p4(X3,f15(X1))
     => ~ ( p1(X2,f81(X1,X3))
          & p1(X2,X3) ) ) )).

fof(formula_365,axiom,(
    ! [X1,X2] : 
      ( p16(X2)
     => ( ! [X3,X4,X5] : 
            ( ( X3 = X4
              & ? [X6] : 
                  ( p16(X6)
                  & X4 = X6
                  & p1(X6,X1) )
              & X3 = X5
              & ? [X7] : 
                  ( p16(X7)
                  & X5 = X7
                  & p1(X7,X1) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,f71(X2))
                & X5 = X4
                & ? [X8] : 
                    ( p16(X8)
                    & X4 = X8
                    & p1(X8,X1) ) ) ) ) ) )).

fof(formula_138,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p14(X1)
        & ~ p14(X2)
        & p23(X4)
        & p65(X4,f25(X1,X2),X3)
        & p77(X4,f25(X1,X2),X3)
        & p4(X5,X1)
        & p4(X6,X2) )
     => p4(f68(X1,X2,X3,X4,X5,X6),X3) ) )).

fof(formula_345,lemma,(
    ! [X1,X2] : 
      ( ( p79(X1)
        & p4(X2,f15(f15(f33(X1)))) )
     => ( ! [X3,X4,X5] : 
            ( ( p1(X3,f111(f33(X1),X2))
              & ! [X6] : 
                  ( p4(X6,f15(f33(X1)))
                 => ( X6 = X3
                   => X4 = f81(f33(X1),X6) ) )
              & p1(X3,f111(f33(X1),X2))
              & ! [X7] : 
                  ( p4(X7,f15(f33(X1)))
                 => ( X7 = X3
                   => X5 = f81(f33(X1),X7) ) ) )
           => X4 = X5 )
       => ? [X3] : 
            ( p24(X3)
            & p23(X3)
            & ! [X4,X5] : 
                ( p1(f42(X4,X5),X3)
              <=> ( p1(X4,f111(f33(X1),X2))
                  & p1(X4,f111(f33(X1),X2))
                  & ! [X8] : 
                      ( p4(X8,f15(f33(X1)))
                     => ( X8 = X4
                       => X5 = f81(f33(X1),X8) ) ) ) ) ) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p5(X2)
            & p7(X2)
            & p9(X2) ) ) ) )).

fof(formula_214,axiom,(
    p14(c64) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p14(X1)
        & p23(X1) )
     => ( p24(X1)
        & p23(X1)
        & p26(X1) ) ) )).

fof(formula_248,axiom,(
    ! [X1,X2] : 
      ( ( p73(X1)
        & p53(X1)
        & p90(X2,X1)
        & p4(X2,f15(f33(X1))) )
     => p55(f81(f33(X1),X2),X1) ) )).

fof(formula_339,axiom,(
    ! [X1,X2] : 
      ( p99(X1,X2)
    <=> p117(X1,X2) ) )).

fof(formula_307,axiom,(
    ? [X1] : 
      ( p24(X1)
      & p23(X1)
      & p26(X1)
      & p14(X1) ) )).

fof(formula_477,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p97(X2)
       => p97(f104(X2,X1)) ) ) )).

fof(formula_290,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f15(X1))
     => ! [X3] : 
          ( p1(X3,X2)
         => p1(X3,X1) ) ) )).

fof(formula_547,axiom,(
    ! [X1] : 
      ( p14(X1)
     => X1 = c64 ) )).

fof(formula_483,lemma,(
    ! [X1,X2] : p43(f100(X1,X2),X1) )).

fof(formula_575,lemma,(
    ! [X1,X2,X3] : 
      ( f72(X1) = f28(X2,X3)
     => X2 = X3 ) )).

fof(formula_484,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( f62(X1) = f46(f105(X1))
        & f46(X1) = f62(f105(X1)) ) ) )).

fof(formula_574,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p43(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ~ ( p1(X3,X2)
            & ! [X4] : 
                ~ ( p1(X4,X2)
                  & ! [X5] : 
                      ( p43(X5,X3)
                     => p1(X5,X4) ) ) )
      & ! [X3] : 
          ~ ( p43(X3,X2)
            & ~ p117(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_201,axiom,(
    ! [X1,X2] : 
      ( ( p24(X1)
        & p115(X1) )
     => ( p24(f44(X1,X2))
        & p115(f44(X1,X2)) ) ) )).

fof(formula_405,lemma,(
    ! [X1,X2] : 
      ( ( p43(X1,X2)
        & p19(X2) )
     => p19(X1) ) )).

fof(formula_388,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f42(X1,X2),f25(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_195,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ( p14(f105(X1))
        & p24(f105(X1)) ) ) )).

fof(formula_570,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => f44(X2,X1) = f110(f41(X1),X2) ) )).

fof(formula_344,lemma,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( p1(X2,X1)
            & X3 = f72(X2)
            & p1(X2,X1)
            & X4 = f72(X2) )
         => X3 = X4 )
     => ? [X2] : 
          ( p24(X2)
          & p23(X2)
          & ! [X3,X4] : 
              ( p1(f42(X3,X4),X2)
            <=> ( p1(X3,X1)
                & p1(X3,X1)
                & X4 = f72(X3) ) ) ) ) )).

fof(formula_158,axiom,(
    $true )).

fof(formula_266,axiom,(
    p12(c64) )).

fof(formula_368,lemma,(
    ! [X1] : 
      ( p16(X1)
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ( p1(X3,f71(X1))
            & ? [X4] : 
                ( p16(X4)
                & X3 = X4
                & ( p1(X4,c27)
                 => ! [X5] : 
                      ( p4(X5,f15(f15(X4)))
                     => ~ ( X5 != c64
                          & ! [X6] : 
                              ~ ( p1(X6,X5)
                                & ! [X7] : 
                                    ( ( p1(X7,X5)
                                      & p43(X6,X7) )
                                   => X7 = X6 ) ) ) ) ) ) ) ) ) )).

fof(formula_404,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p1(X1,X2)
      & ! [X3,X4] : 
          ( ( p1(X3,X2)
            & p43(X4,X3) )
         => p1(X4,X2) )
      & ! [X3] : 
          ( p1(X3,X2)
         => p1(f15(X3),X2) )
      & ! [X3] : 
          ~ ( p43(X3,X2)
            & ~ p117(X3,X2)
            & ~ p1(X3,X2) ) ) )).

fof(formula_332,axiom,(
    ! [X1,X2,X3] : 
      ( p77(X3,X1,X2)
     => f113(X1,X2,X3) = f62(X3) ) )).

fof(formula_106,axiom,(
    ! [X1] : 
      ( p53(X1)
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => ( p90(X2,X1)
          <=> p55(f103(f33(X1),f93(X1),X2),X1) ) ) ) )).

fof(formula_247,axiom,(
    ! [X1,X2] : ~ p14(f28(X1,X2)) )).

fof(formula_104,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p102(X1,X2)
        <=> ( p76(X1,X2)
            & p60(X1,X2)
            & p50(X1,X2)
            & p58(X1,X2)
            & p94(X1,X2) ) ) ) )).

fof(formula_338,axiom,(
    ! [X1,X2] : 
      ( ( p16(X1)
        & p16(X2) )
     => ( p40(X1,X2)
      <=> p43(X1,X2) ) ) )).

fof(formula_41,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2,X3] : 
          ( p24(X3)
         => ( X3 = f44(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f42(X4,X5),X3)
              <=> ( p1(X4,X2)
                  & p1(f42(X4,X5),X1) ) ) ) ) ) )).

fof(formula_525,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ! [X3] : 
              ( ( p24(X3)
                & p23(X3) )
             => ( p106(X1,X2,X3)
               => ( ( p98(X1)
                   => p98(X2) )
                  & ( p59(X1)
                   => p59(X2) )
                  & ( p57(X1)
                   => p57(X2) )
                  & ( p49(X1)
                   => p49(X2) )
                  & ( p91(X1)
                   => p91(X2) ) ) ) ) ) ) )).

fof(formula_387,axiom,(
    ! [X1,X2] : 
      ( p99(X1,X2)
     => p99(X2,X1) ) )).

fof(formula_379,lemma,(
    ! [X1] : 
      ( ( ! [X2,X3,X4] : 
            ( ( p1(X2,X1)
              & X3 = f72(X2)
              & X4 = f72(X2) )
           => X3 = X4 )
        & ! [X2] : 
            ~ ( p1(X2,X1)
              & ! [X3] : X3 != f72(X2) ) )
     => ? [X2] : 
          ( p24(X2)
          & p23(X2)
          & f46(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f47(X2,X3) = f72(X3) ) ) ) )).

fof(formula_326,axiom,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p79(X1) )
     => ? [X2] : 
          ( p4(X2,f15(f33(X1)))
          & ~ p14(X2) ) ) )).

fof(formula_274,axiom,(
    ! [X1,X2] : f35(X1,X1) = X1 )).

fof(formula_412,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p43(X1,f46(X2))
       => p43(X1,f52(X2,f45(X2,X1))) ) ) )).

fof(formula_342,axiom,(
    ! [X1,X2] : p99(X1,X1) )).

fof(formula_166,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => p4(f114(X1,X2),f15(X1)) ) )).

fof(formula_560,lemma,(
    ! [X1,X2] : 
      ( p56(X1,X2)
    <=> f100(X1,X2) = X1 ) )).

fof(formula_445,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => p43(f83(f104(X3,X1),X2),f83(X3,X2)) ) )).

fof(formula_463,lemma,(
    ! [X1,X2,X3] : 
      ( p43(X1,X2)
     => p43(f35(X1,X3),f35(X2,X3)) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : f29(X1,X2) = f29(X2,X1) )).

fof(formula_548,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p23(X4)
        & p65(X4,X1,X2)
        & p63(X4,X1,X2) )
     => ( p1(X3,X1)
       => ( X2 = c64
          | p1(f47(X4,X3),f62(X4)) ) ) ) )).

fof(formula_221,axiom,(
    p24(c64) )).

fof(formula_215,axiom,(
    ! [X1,X2] : ~ p14(f42(X1,X2)) )).

fof(formula_410,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => p43(f45(X2,f52(X2,X1)),X1) ) )).

fof(formula_227,axiom,(
    p18(c64) )).

fof(formula_518,axiom,(
    ! [X1] : f100(c64,X1) = c64 )).

fof(formula_153,axiom,(
    $true )).

fof(formula_251,axiom,(
    ! [X1,X2] : 
      ( p12(X1)
     => ( p3(f100(X1,X2))
        & p6(f100(X1,X2))
        & p8(f100(X1,X2))
        & p10(f100(X1,X2))
        & p12(f100(X1,X2)) ) ) )).

fof(formula_277,axiom,(
    ! [X1] : 
      ( p24(X1)
     => f105(f105(X1)) = X1 ) )).

fof(formula_299,lemma,(
    ! [X1,X2,X3] : 
      ( ( p24(X3)
        & p23(X3) )
     => ( p1(X2,f46(f44(X3,X1)))
      <=> ( p1(X2,f46(X3))
          & p1(X2,X1) ) ) ) )).

fof(formula_532,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ( ( p26(X2)
          & p1(X1,f62(X2)) )
       => ( X1 = f47(X2,f47(f112(X2),X1))
          & X1 = f47(f110(f112(X2),X2),X1) ) ) ) )).

fof(formula_523,lemma,(
    ! [X1] : 
      ( ( p73(X1)
        & p53(X1) )
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => p55(f80(X1,X2),X1) ) ) )).

fof(formula_538,lemma,(
    f62(c64) = c64 )).

fof(formula_384,lemma,(
    ! [X1,X2] : 
      ( ( p73(X1)
        & p53(X1)
        & p4(X2,f15(f33(X1))) )
     => ? [X3] : 
          ( p4(X3,f15(f15(f33(X1))))
          & ! [X4] : 
              ( p4(X4,f15(f33(X1)))
             => ( p1(X4,X3)
              <=> ? [X5] : 
                    ( p4(X5,f15(f33(X1)))
                    & X5 = X4
                    & p90(X5,X1)
                    & p43(X2,X4) ) ) ) ) ) )).

fof(formula_409,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => p43(f45(X2,X1),f62(X2)) ) )).

fof(formula_418,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => f62(f110(X1,X2)) = f45(X2,f62(X1)) ) ) )).

fof(formula_243,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => ( p3(f100(X1,X2))
        & p6(f100(X1,X2))
        & p8(f100(X1,X2)) ) ) )).

fof(formula_129,axiom,(
    ! [X1] : 
      ( p79(X1)
     => p4(f88(X1),f15(f33(X1))) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p12(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p5(X2)
            & p13(X2)
            & p7(X2)
            & p11(X2)
            & p9(X2) ) ) ) )).

fof(formula_185,axiom,(
    ? [X1] : p53(X1) )).

fof(formula_543,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( f46(X1) = c64
      <=> f62(X1) = c64 ) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p12(X1)
     => ! [X2] : 
          ( p4(X2,f15(X1))
         => ( p3(X2)
            & p6(X2)
            & p8(X2)
            & p10(X2)
            & p12(X2) ) ) ) )).

fof(formula_421,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p63(X4,X3,X1)
     => ( p43(X1,X2)
       => p63(X4,X3,X2) ) ) )).

fof(formula_295,lemma,(
    ! [X1,X2] : 
      ( p43(X1,f72(X2))
    <=> ( X1 = c64
        | X1 = f72(X2) ) ) )).

fof(formula_423,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p1(X1,f104(X3,X2))
      <=> ( p1(X1,X3)
          & p1(X1,f25(X2,X2)) ) ) ) )).

fof(formula_256,axiom,(
    ! [X1,X2] : 
      ( ( ~ p14(X1)
        & ~ p14(X2) )
     => ~ p14(f25(X1,X2)) ) )).

fof(formula_435,axiom,(
    ! [X1] : f29(X1,c64) = X1 )).

fof(formula_515,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => ( X2 != c64
       => f75(X1,f111(X1,X2)) = f103(X1,f95(X1),f114(X1,X2)) ) ) )).

fof(formula_174,axiom,(
    $true )).

fof(formula_44,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ( p49(X1)
      <=> p50(X1,f51(X1)) ) ) )).

fof(formula_261,axiom,(
    p14(c64) )).

fof(formula_508,lemma,(
    ! [X1] : 
      ( ( p73(X1)
        & p53(X1) )
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => ? [X3] : 
              ( p4(X3,f15(f15(f33(X1))))
              & ! [X4] : 
                  ( p4(X4,f15(f33(X1)))
                 => ( p1(X4,X3)
                  <=> ( p90(X4,X1)
                      & p43(X2,X4) ) ) )
              & f54(X1,X2) = f114(f33(X1),X3) ) ) ) )).

fof(formula_411,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => f45(X2,X1) = f45(X2,f35(f46(X2),X1)) ) )).

fof(formula_188,axiom,(
    ? [X1] : p107(X1) )).

fof(formula_417,lemma,(
    ! [X1] : 
      ( p79(X1)
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => f39(f33(X1),X2,f93(X1)) = X2 ) ) )).

fof(formula_197,axiom,(
    p14(c64) )).

fof(formula_112,axiom,(
    ! [X1,X2] : 
      ( p56(X1,X2)
    <=> f35(X1,X2) = c64 ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ( X1 = X2
    <=> ( p43(X1,X2)
        & p43(X2,X1) ) ) )).

fof(formula_113,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ( p26(X1)
      <=> ! [X2,X3] : 
            ( ( p1(X2,f46(X1))
              & p1(X3,f46(X1))
              & f47(X1,X2) = f47(X1,X3) )
           => X2 = X3 ) ) ) )).

fof(formula_230,axiom,(
    ! [X1,X2] : 
      ( ( p24(X1)
        & p24(X2) )
     => p24(f29(X1,X2)) ) )).

fof(formula_232,axiom,(
    ! [X1,X2] : 
      ( ( p73(X1)
        & p53(X1)
        & p4(X2,f15(f33(X1))) )
     => p90(f54(X1,X2),X1) ) )).

fof(formula_488,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( ( p97(X2)
          & p43(X1,f51(X2)) )
       => f51(f104(X2,X1)) = X1 ) ) )).

fof(formula_496,lemma,(
    ! [X1] : 
      ( p43(X1,c64)
     => X1 = c64 ) )).

fof(formula_89,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ! [X2,X3] : 
          ( ( p1(X2,f46(X1))
           => ( X3 = f47(X1,X2)
            <=> p1(f42(X2,X3),X1) ) )
          & ( ~ p1(X2,f46(X1))
           => ( X3 = f47(X1,X2)
            <=> X3 = c64 ) ) ) ) )).

fof(formula_346,lemma,(
    ! [X1,X2] : 
      ( ( p79(X1)
        & p4(X2,f15(f15(f33(X1)))) )
     => ( ! [X3,X4,X5] : 
            ( ( p1(X3,X2)
              & ! [X6] : 
                  ( p4(X6,f15(f33(X1)))
                 => ( X6 = X3
                   => X4 = f81(f33(X1),X6) ) )
              & p1(X3,X2)
              & ! [X7] : 
                  ( p4(X7,f15(f33(X1)))
                 => ( X7 = X3
                   => X5 = f81(f33(X1),X7) ) ) )
           => X4 = X5 )
       => ? [X3] : 
            ( p24(X3)
            & p23(X3)
            & ! [X4,X5] : 
                ( p1(f42(X4,X5),X3)
              <=> ( p1(X4,X2)
                  & p1(X4,X2)
                  & ! [X8] : 
                      ( p4(X8,f15(f33(X1)))
                     => ( X8 = X4
                       => X5 = f81(f33(X1),X8) ) ) ) ) ) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ! [X2] : 
          ( p4(X2,f15(X1))
         => ( p3(X2)
            & p6(X2) ) ) ) )).

fof(formula_451,lemma,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p36(X1)
        & p108(X1)
        & p107(X1) )
     => ! [X2] : 
          ( p4(X2,f33(X1))
         => ! [X3] : 
              ( p4(X3,f33(X1))
             => p92(X1,f38(X1,X2,X3),X2) ) ) ) )).

fof(formula_487,lemma,(
    ! [X1,X2,X3] : 
      ( p43(f28(X1,X2),X3)
    <=> ( p1(X1,X3)
        & p1(X2,X3) ) ) )).

fof(formula_119,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p43(X1,X2)
        & X1 != X2 ) ) )).

fof(formula_98,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ! [X2] : 
          ( X2 = f62(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : 
                  ( p1(X4,f46(X1))
                  & X3 = f47(X1,X4) ) ) ) ) )).

fof(formula_286,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( p59(X1)
      <=> ! [X2,X3,X4] : 
            ( ( p1(f42(X2,X3),X1)
              & p1(f42(X3,X4),X1) )
           => p1(f42(X2,X4),X1) ) ) ) )).

fof(formula_537,lemma,(
    f46(c64) = c64 )).

fof(formula_419,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p1(X1,f52(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f62(X3))
            & p1(f42(X1,X4),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_391,lemma,(
    ! [X1,X2,X3,X4] : 
      ~ ( f28(X1,X2) = f28(X3,X4)
        & X1 != X3
        & X1 != X4 ) )).

fof(formula_522,lemma,(
    ! [X1] : 
      ( X1 != c64
     => ! [X2] : 
          ( p4(X2,f15(X1))
         => ! [X3] : 
              ( p4(X3,X1)
             => ( ~ p1(X3,X2)
               => p1(X3,f81(X1,X2)) ) ) ) ) )).

fof(formula_401,lemma,(
    ! [X1,X2,X3] : 
      ( p63(X3,X1,X2)
     => ( p43(f46(X3),X1)
        & p43(f62(X3),X2) ) ) )).

fof(formula_485,lemma,(
    ! [X1,X2] : 
      ( f100(X1,X2) = c64
    <=> p43(X1,X2) ) )).

fof(formula_503,lemma,(
    ! [X1] : 
      ( p53(X1)
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => p43(f80(X1,X2),X2) ) ) )).

fof(formula_155,axiom,(
    ! [X1] : 
      ( p24(X1)
     => p24(f105(X1)) ) )).

fof(formula_462,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p24(X2)
      & p102(X2,X1) ) )).

fof(formula_233,axiom,(
    ! [X1,X2] : 
      ( ~ p14(X1)
     => ~ p14(f29(X1,X2)) ) )).

fof(formula_567,lemma,(
    ! [X1,X2,X3] : 
      ( f72(X1) = f28(X2,X3)
     => X1 = X2 ) )).

fof(formula_80,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f29(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            | p1(X4,X2) ) ) ) )).

fof(formula_210,axiom,(
    ! [X1] : 
      ( p79(X1)
     => ( p14(f88(X1))
        & p3(f88(X1))
        & p6(f88(X1))
        & p8(f88(X1))
        & p10(f88(X1))
        & p12(f88(X1)) ) ) )).

fof(formula_545,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ! [X3] : 
          ( ( p24(X3)
            & p23(X3) )
         => ( X2 = f44(X3,X1)
          <=> ( f46(X2) = f35(f46(X3),X1)
              & ! [X4] : 
                  ( p1(X4,f46(X2))
                 => f47(X2,X4) = f47(X3,X4) ) ) ) ) ) )).

fof(formula_48,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2,X3] : 
          ( X3 = f52(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f42(X4,X5),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_558,lemma,(
    ! [X1] : 
      ( p16(X1)
     => p97(f84(X1)) ) )).

fof(formula_90,axiom,(
    ! [X1] : 
      ( p16(X1)
    <=> ( p17(X1)
        & p18(X1) ) ) )).

fof(formula_539,lemma,(
    ! [X1,X2] : 
      ~ ( p43(X1,X2)
        & p2(X2,X1) ) )).

fof(formula_361,axiom,(
    ! [X1,X2] : 
      ( ( p79(X1)
        & p4(X2,f15(f15(f33(X1)))) )
     => ! [X3] : 
          ( ! [X4,X5,X6] : 
              ( ( X4 = X5
                & ? [X7,X8] : 
                    ( f42(X7,X8) = X5
                    & p1(X7,X2)
                    & ! [X9] : 
                        ( p4(X9,f15(f33(X1)))
                       => ( X9 = X7
                         => X8 = f81(f33(X1),X9) ) ) )
                & X4 = X6
                & ? [X10,X11] : 
                    ( f42(X10,X11) = X6
                    & p1(X10,X2)
                    & ! [X12] : 
                        ( p4(X12,f15(f33(X1)))
                       => ( X12 = X10
                         => X11 = f81(f33(X1),X12) ) ) ) )
             => X5 = X6 )
         => ? [X4] : 
            ! [X5] : 
              ( p1(X5,X4)
            <=> ? [X6] : 
                  ( p1(X6,f25(X2,X3))
                  & X6 = X5
                  & ? [X13,X14] : 
                      ( f42(X13,X14) = X5
                      & p1(X13,X2)
                      & ! [X15] : 
                          ( p4(X15,f15(f33(X1)))
                         => ( X15 = X13
                           => X14 = f81(f33(X1),X15) ) ) ) ) ) ) ) )).

fof(formula_330,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p30(X1)
        & p36(X1)
        & p37(X1)
        & p4(X2,f33(X1))
        & p4(X3,f33(X1)) )
     => f38(X1,X2,X3) = f85(X1,X2,X3) ) )).

fof(formula_318,axiom,(
    ! [X1] : 
      ( ( p73(X1)
        & p53(X1) )
     => ? [X2] : 
          ( p4(X2,f15(f33(X1)))
          & p55(X2,X1)
          & p90(X2,X1) ) ) )).

fof(formula_374,lemma,(
    ! [X1,X2,X3] : 
      ( ( p24(X2)
        & p24(X3)
        & p23(X3) )
     => ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f25(X1,X1))
            & ? [X6,X7] : 
                ( X5 = f42(X6,X7)
                & p1(f42(f47(X3,X6),f47(X3,X7)),X2) ) ) ) ) )).

fof(formula_82,axiom,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p32(X1) )
     => ! [X2] : 
          ( p4(X2,f33(X1))
         => ! [X3] : 
              ( p4(X3,f33(X1))
             => ( p92(X1,X2,X3)
              <=> f67(X1,X2,X3) = X3 ) ) ) ) )).

fof(formula_69,axiom,(
    ! [X1] : 
      ( X1 = c64
    <=> ! [X2] : ~ p1(X2,X1) ) )).

fof(formula_260,axiom,(
    ! [X1] : 
      ( ( ~ p14(X1)
        & p24(X1) )
     => ~ p14(f46(X1)) ) )).

fof(formula_314,axiom,(
    ? [X1] : 
      ( p24(X1)
      & p23(X1)
      & p26(X1)
      & p14(X1)
      & p17(X1)
      & p18(X1)
      & p16(X1) ) )).

fof(formula_99,axiom,(
    ! [X1] : 
      ( X1 = c27
    <=> ( p1(c64,X1)
        & p101(X1)
        & p16(X1)
        & ! [X2] : 
            ( p16(X2)
           => ( ( p1(c64,X2)
                & p101(X2) )
             => p43(X1,X2) ) ) ) ) )).

fof(formula_117,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p60(X1,X2)
        <=> ! [X3,X4,X5] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(X5,X2)
                & p1(f42(X3,X4),X1)
                & p1(f42(X4,X5),X1) )
             => p1(f42(X3,X5),X1) ) ) ) )).

fof(formula_436,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p4(X1,X2) ) )).

fof(formula_526,lemma,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ( p26(X1)
       => ! [X2] : 
            ( ( p24(X2)
              & p23(X2) )
           => ( X2 = f112(X1)
            <=> ( f46(X2) = f62(X1)
                & ! [X3,X4] : 
                    ( ( ( p1(X3,f62(X1))
                        & X4 = f47(X2,X3) )
                     => ( p1(X4,f46(X1))
                        & X3 = f47(X1,X4) ) )
                    & ( ( p1(X4,f46(X1))
                        & X3 = f47(X1,X4) )
                     => ( p1(X3,f62(X1))
                        & X4 = f47(X2,X3) ) ) ) ) ) ) ) ) )).

fof(formula_349,lemma,(
    ! [X1,X2,X3] : 
      ( ( p24(X2)
        & p24(X3)
        & p23(X3) )
     => ? [X4] : 
          ( p24(X4)
          & ! [X5,X6] : 
              ( p1(f42(X5,X6),X4)
            <=> ( p1(X5,X1)
                & p1(X6,X1)
                & p1(f42(f47(X3,X5),f47(X3,X6)),X2) ) ) ) ) )).

fof(formula_321,axiom,(
    ? [X1] : 
      ( p24(X1)
      & p23(X1)
      & p26(X1) ) )).

fof(formula_565,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( p102(X1,f51(X1))
      <=> p97(X1) ) ) )).

fof(formula_130,axiom,(
    $true )).

fof(formula_281,lemma,(
    ! [X1] : f72(X1) != c64 )).

fof(formula_328,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( ~ p14(X1)
        & ~ p14(X2)
        & p23(X4)
        & p65(X4,f25(X1,X2),X3)
        & p77(X4,f25(X1,X2),X3)
        & p4(X5,X1)
        & p4(X6,X2) )
     => f68(X1,X2,X3,X4,X5,X6) = f116(X4,X5,X6) ) )).

fof(formula_101,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( X2 = f62(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f42(X4,X3),X1) ) ) ) )).

fof(formula_378,lemma,(
    ! [X1,X2] : 
      ( ( ~ p14(X1)
        & p24(X2) )
     => ( ( ! [X3,X4,X5] : 
              ( ( p1(X3,X1)
                & ? [X6] : 
                    ( X3 = X6
                    & p1(X4,X6)
                    & ! [X7] : 
                        ( p1(X7,X6)
                       => p1(f42(X4,X7),X2) ) )
                & ? [X8] : 
                    ( X3 = X8
                    & p1(X5,X8)
                    & ! [X9] : 
                        ( p1(X9,X8)
                       => p1(f42(X5,X9),X2) ) ) )
             => X4 = X5 )
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & ! [X4] : 
                    ~ ? [X10] : 
                        ( X3 = X10
                        & p1(X4,X10)
                        & ! [X11] : 
                            ( p1(X11,X10)
                           => p1(f42(X4,X11),X2) ) ) ) )
       => ? [X3] : 
            ( p24(X3)
            & p23(X3)
            & f46(X3) = X1
            & ! [X4] : 
                ( p1(X4,X1)
               => ? [X12] : 
                    ( X4 = X12
                    & p1(f47(X3,X4),X12)
                    & ! [X13] : 
                        ( p1(X13,X12)
                       => p1(f42(f47(X3,X4),X13),X2) ) ) ) ) ) ) )).

fof(formula_341,axiom,(
    ! [X1,X2] : p43(X1,X1) )).

fof(formula_96,axiom,(
    ! [X1,X2] : 
      ( p99(X1,X2)
    <=> ? [X3] : 
          ( p24(X3)
          & p23(X3)
          & p26(X3)
          & f46(X3) = X1
          & f62(X3) = X2 ) ) )).

fof(formula_110,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ( X2 = f105(X1)
          <=> ! [X3,X4] : 
                ( p1(f42(X3,X4),X2)
              <=> p1(f42(X4,X3),X1) ) ) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ( p17(X1)
        & p18(X1)
        & p16(X1) ) ) )).

fof(formula_413,lemma,(
    ! [X1] : 
      ( p24(X1)
     => f45(X1,f46(X1)) = f62(X1) ) )).

fof(formula_216,axiom,(
    ! [X1,X2] : 
      ( p3(X1)
     => p3(f35(X1,X2)) ) )).

fof(formula_263,axiom,(
    p6(c64) )).

fof(formula_213,axiom,(
    ! [X1] : ~ p14(f15(X1)) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p10(X1)
     => p8(X1) ) )).

fof(formula_324,axiom,(
    ? [X1] : 
      ( p79(X1)
      & ~ p30(X1) ) )).

fof(formula_424,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ~ ( X1 != c64
          & p43(X1,f62(X2))
          & f52(X2,X1) = c64 ) ) )).

fof(formula_45,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ! [X2,X3] : 
          ( X3 = f52(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( p1(X4,f46(X1))
                & p1(f47(X1,X4),X2) ) ) ) ) )).

fof(formula_461,lemma,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p31(X1)
        & p32(X1) )
     => ! [X2] : 
          ( p4(X2,f33(X1))
         => ! [X3] : 
              ( p4(X3,f33(X1))
             => ( ( p92(X1,X2,X3)
                  & p92(X1,X3,X2) )
               => X2 = X3 ) ) ) ) )).

fof(formula_303,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p77(X3,X1,X2)
      & p24(X3)
      & p23(X3)
      & p65(X3,X1,X2) ) )).

fof(formula_507,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p23(X4)
        & p65(X4,X1,X2)
        & p63(X4,X1,X2) )
     => ( X2 != c64
       => ! [X5] : 
            ( p1(X5,f52(X4,X3))
          <=> ( p1(X5,X1)
              & p1(f47(X4,X5),X3) ) ) ) ) )).

fof(formula_308,axiom,(
    ? [X1] : 
      ( p14(X1)
      & p24(X1) ) )).

fof(formula_115,axiom,(
    ! [X1] : 
      ( p79(X1)
     => ! [X2] : 
          ( p4(X2,f15(f15(f33(X1))))
         => ( p109(X1,X2)
          <=> f93(X1) = f75(f33(X1),X2) ) ) ) )).

fof(formula_430,lemma,(
    ! [X1,X2] : p43(f35(X1,X2),X1) )).

fof(formula_541,lemma,(
    ! [X1,X2,X3] : 
      ( ( p43(X1,X2)
        & p56(X2,X3) )
     => p56(X1,X3) ) )).

fof(formula_467,axiom,(
    ! [X1] : f35(X1,c64) = c64 )).

fof(formula_343,lemma,(
    ! [X1,X2] : 
      ( ( ~ p14(X1)
        & p24(X2) )
     => ( ! [X3,X4,X5] : 
            ( ( p1(X3,X1)
              & ? [X6] : 
                  ( X3 = X6
                  & p1(X4,X6)
                  & ! [X7] : 
                      ( p1(X7,X6)
                     => p1(f42(X4,X7),X2) ) )
              & p1(X3,X1)
              & ? [X8] : 
                  ( X3 = X8
                  & p1(X5,X8)
                  & ! [X9] : 
                      ( p1(X9,X8)
                     => p1(f42(X5,X9),X2) ) ) )
           => X4 = X5 )
       => ? [X3] : 
            ( p24(X3)
            & p23(X3)
            & ! [X4,X5] : 
                ( p1(f42(X4,X5),X3)
              <=> ( p1(X4,X1)
                  & p1(X4,X1)
                  & ? [X10] : 
                      ( X4 = X10
                      & p1(X5,X10)
                      & ! [X11] : 
                          ( p1(X11,X10)
                         => p1(f42(X5,X11),X2) ) ) ) ) ) ) ) )).

fof(formula_289,lemma,(
    ! [X1,X2] : 
      ( f100(X1,X2) = c64
    <=> p43(X1,X2) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p5(X2)
            & p7(X2)
            & p11(X2)
            & p9(X2) ) ) ) )).

fof(formula_97,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f100(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & ~ p1(X4,X2) ) ) ) )).

fof(formula_399,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => ( X2 != c64
       => f114(X1,f111(X1,X2)) = f81(X1,f75(X1,X2)) ) ) )).

fof(formula_68,axiom,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( X2 = f84(X1)
      <=> ( f51(X2) = X1
          & ! [X3,X4] : 
              ( ( p1(X3,X1)
                & p1(X4,X1) )
             => ( p1(f42(X3,X4),X2)
              <=> p43(X3,X4) ) ) ) ) ) )).

fof(formula_128,axiom,(
    $true )).

fof(formula_465,lemma,(
    ! [X1,X2] : 
      ( p43(X1,X2)
     => f35(X1,X2) = X1 ) )).

fof(formula_70,axiom,(
    ! [X1,X2] : 
      ( X2 = f15(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> p43(X3,X1) ) ) )).

fof(formula_481,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ( X2 = f41(X1)
      <=> ( f46(X2) = X1
          & ! [X3] : 
              ( p1(X3,X1)
             => f47(X2,X3) = X3 ) ) ) ) )).

fof(formula_530,lemma,(
    ! [X1] : 
      ( ( p73(X1)
        & p53(X1) )
     => ! [X2] : 
          ( p53(X2)
         => ! [X3] : 
              ( p4(X3,f15(f33(X1)))
             => ! [X4] : 
                  ( p4(X4,f15(f33(X2)))
                 => ( ( p55(X4,X2)
                     => f80(X2,X4) = X4 )
                    & ( f80(X1,X3) = X3
                     => p55(X3,X1) ) ) ) ) ) ) )).

fof(formula_495,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p56(X1,X2)
          & ! [X3] : 
              ~ ( p1(X3,X1)
                & p1(X3,X2) ) )
      & ~ ( ? [X3] : 
              ( p1(X3,X1)
              & p1(X3,X2) )
          & p56(X1,X2) ) ) )).

fof(formula_273,axiom,(
    ! [X1,X2] : f29(X1,X1) = X1 )).

fof(formula_556,lemma,(
    ! [X1,X2] : 
      ( f70(f42(X1,X2)) = X1
      & f87(f42(X1,X2)) = X2 ) )).

fof(formula_238,axiom,(
    ! [X1,X2] : 
      ( p10(X1)
     => ( p3(f35(X2,X1))
        & p6(f35(X2,X1))
        & p8(f35(X2,X1))
        & p10(f35(X2,X1)) ) ) )).

fof(formula_241,axiom,(
    ! [X1,X2] : 
      ( p3(X1)
     => p3(f100(X1,X2)) ) )).

fof(formula_367,lemma,(
    ! [X1,X2] : 
    ? [X3] : 
    ! [X4] : 
      ( p1(X4,X3)
    <=> ( p1(X4,f25(X1,X2))
        & ? [X5,X6] : 
            ( f42(X5,X6) = X4
            & p1(X5,X1)
            & X6 = f72(X5) ) ) ) )).

fof(formula_313,axiom,(
    ? [X1] : 
      ( p24(X1)
      & p14(X1)
      & p23(X1) ) )).

fof(formula_469,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_250,axiom,(
    ! [X1,X2] : 
      ( p10(X1)
     => ( p3(f100(X1,X2))
        & p6(f100(X1,X2))
        & p8(f100(X1,X2))
        & p10(f100(X1,X2)) ) ) )).

fof(formula_152,axiom,(
    $true )).

fof(formula_480,lemma,(
    ! [X1,X2,X3,X4] : 
      ( f42(X1,X2) = f42(X3,X4)
     => ( X1 = X3
        & X2 = X4 ) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ( ( p16(X1)
        & p16(X2) )
     => ( p40(X1,X2)
        | p40(X2,X1) ) ) )).

fof(formula_482,lemma,(
    ! [X1,X2] : 
      ( p1(X2,X1)
     => f47(f41(X1),X2) = X2 ) )).

fof(formula_376,lemma,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f15(f15(X1)))
        & p24(X3)
        & p23(X3) )
     => ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f15(f46(X3)))
            & p1(f45(X3,X5),X2) ) ) ) )).

fof(formula_304,axiom,(
    ? [X1] : 
      ( ~ p14(X1)
      & p3(X1)
      & p6(X1)
      & p8(X1)
      & p10(X1)
      & p12(X1) ) )).

fof(formula_322,axiom,(
    ? [X1] : 
      ( ~ p14(X1)
      & p17(X1)
      & p18(X1)
      & p16(X1) ) )).

fof(formula_444,lemma,(
    ! [X1] : 
      ( p24(X1)
     => p43(X1,f25(f46(X1),f62(X1))) ) )).

fof(formula_55,axiom,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p32(X1) )
     => ! [X2] : 
          ( p4(X2,f33(X1))
         => ! [X3] : 
              ( p4(X3,f33(X1))
             => f67(X1,X2,X3) = f68(f33(X1),f33(X1),f33(X1),f69(X1),X2,X3) ) ) ) )).

fof(formula_170,axiom,(
    ! [X1,X2] : 
      ( p24(X2)
     => p24(f48(X1,X2)) ) )).

fof(formula_65,axiom,(
    ! [X1] : 
      ( p53(X1)
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => f80(X1,X2) = f81(f33(X1),f54(X1,f81(f33(X1),X2))) ) ) )).

fof(formula_67,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2,X3] : 
          ( X3 = f83(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ( X4 != X2
                & p1(f42(X4,X2),X1) ) ) ) ) )).

fof(formula_272,axiom,(
    ! [X1,X2] : 
      ( ( p14(X1)
        & p24(X2) )
     => ( p14(f110(X1,X2))
        & p24(f110(X1,X2)) ) ) )).

fof(formula_501,lemma,(
    ! [X1] : 
      ( ( p73(X1)
        & p53(X1) )
     => ! [X2] : 
          ( p4(X2,f15(f15(f33(X1))))
         => ( ! [X3] : 
                ( p4(X3,f15(f33(X1)))
               => ( p1(X3,X2)
                 => p90(X3,X1) ) )
           => p90(f114(f33(X1),X2),X1) ) ) ) )).

fof(formula_471,lemma,(
    ! [X1] : p43(c64,X1) )).

fof(formula_382,lemma,
    ( ! [X1] : 
        ( p16(X1)
       => ( ! [X2] : 
              ( p16(X2)
             => ( p1(X2,X1)
               => ( p1(X2,c27)
                 => ! [X3] : 
                      ( p4(X3,f15(f15(X2)))
                     => ~ ( X3 != c64
                          & ! [X4] : 
                              ~ ( p1(X4,X3)
                                & ! [X5] : 
                                    ( ( p1(X5,X3)
                                      & p43(X4,X5) )
                                   => X5 = X4 ) ) ) ) ) ) )
         => ( p1(X1,c27)
           => ! [X6] : 
                ( p4(X6,f15(f15(X1)))
               => ~ ( X6 != c64
                    & ! [X7] : 
                        ~ ( p1(X7,X6)
                          & ! [X8] : 
                              ( ( p1(X8,X6)
                                & p43(X7,X8) )
                             => X8 = X7 ) ) ) ) ) ) )
   => ! [X1] : 
        ( p16(X1)
       => ( p1(X1,c27)
         => ! [X9] : 
              ( p4(X9,f15(f15(X1)))
             => ~ ( X9 != c64
                  & ! [X10] : 
                      ~ ( p1(X10,X9)
                        & ! [X11] : 
                            ( ( p1(X11,X9)
                              & p43(X10,X11) )
                           => X11 = X10 ) ) ) ) ) ) )).

fof(formula_566,lemma,(
    ! [X1,X2,X3] : 
      ( ( p43(X1,X2)
        & p43(X3,X2) )
     => p43(f29(X1,X3),X2) ) )).

fof(formula_92,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p50(X1,X2)
        <=> ! [X3,X4] : 
              ( ( p1(X3,X2)
                & p1(X4,X2)
                & p1(f42(X3,X4),X1)
                & p1(f42(X4,X3),X1) )
             => X3 = X4 ) ) ) )).

fof(formula_142,axiom,(
    ! [X1] : 
      ( p79(X1)
     => p4(f93(X1),f15(f33(X1))) ) )).

fof(formula_34,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p30(X1)
        & p31(X1)
        & p32(X1)
        & p4(X2,f33(X1))
        & p4(X3,f33(X1)) )
     => f34(X1,X2,X3) = f34(X1,X3,X2) ) )).

fof(formula_305,axiom,(
    ? [X1] : 
      ( p17(X1)
      & p18(X1)
      & p16(X1) ) )).

fof(formula_542,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( ( f46(X1) = c64
          | f62(X1) = c64 )
       => X1 = c64 ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p14(X1)
     => p23(X1) ) )).

fof(formula_139,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ( p24(f112(X1))
        & p23(f112(X1)) ) ) )).

fof(formula_316,axiom,(
    ? [X1] : 
      ( ~ p14(X1)
      & p24(X1) ) )).

fof(formula_529,lemma,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ( p26(X1)
       => ( f62(X1) = f46(f112(X1))
          & f46(X1) = f62(f112(X1)) ) ) ) )).

fof(formula_218,axiom,(
    ! [X1,X2] : 
      ( p6(X1)
     => ( p3(f35(X1,X2))
        & p6(f35(X1,X2)) ) ) )).

fof(formula_534,lemma,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p79(X1) )
     => ! [X2] : 
          ( p4(X2,f15(f15(f33(X1))))
         => ~ ( p109(X1,X2)
              & X2 = c64 ) ) ) )).

fof(formula_370,lemma,(
    ! [X1,X2] : 
      ( ( p73(X1)
        & p53(X1)
        & p4(X2,f15(f15(f33(X1)))) )
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,f15(f33(X1)))
            & p1(f100(f93(X1),X4),X2) ) ) ) )).

fof(formula_42,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ! [X2,X3] : 
          ( X3 = f45(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(X5,f46(X1))
                  & p1(X5,X2)
                  & X4 = f47(X1,X5) ) ) ) ) )).

fof(formula_78,axiom,(
    ! [X1] : 
      ( p53(X1)
     => ! [X2] : 
          ( p4(X2,f15(f15(f33(X1))))
         => ( p89(X2,X1)
          <=> ! [X3] : 
                ( p4(X3,f15(f33(X1)))
               => ( p1(X3,X2)
                 => p90(X3,X1) ) ) ) ) ) )).

fof(formula_573,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p23(X4)
        & p65(X4,X1,X2)
        & p63(X4,X1,X2) )
     => ( p43(X2,X3)
       => ( ( X2 = c64
            & X1 != c64 )
          | ( p23(X4)
            & p65(X4,X1,X3)
            & p63(X4,X1,X3) ) ) ) ) )).

fof(formula_519,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p4(X2,f15(X3)) )
     => p4(X1,X3) ) )).

fof(formula_552,lemma,(
    ! [X1] : 
      ( f46(f41(X1)) = X1
      & f62(f41(X1)) = X1 ) )).

fof(formula_294,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( p57(X1)
      <=> ! [X2,X3] : 
            ~ ( p1(X2,f51(X1))
              & p1(X3,f51(X1))
              & X2 != X3
              & ~ p1(f42(X2,X3),X1)
              & ~ p1(f42(X3,X2),X1) ) ) ) )).

fof(formula_395,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => p43(f62(f48(X1,X2)),f62(X2)) ) )).

fof(formula_59,axiom,(
    ! [X1] : 
      ( p24(X1)
    <=> ! [X2] : 
          ~ ( p1(X2,X1)
            & ! [X3,X4] : X2 != f42(X3,X4) ) ) )).

fof(formula_460,lemma,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ( p19(f46(X1))
       => p19(f62(X1)) ) ) )).

fof(formula_479,lemma,(
    ! [X1,X2,X3] : 
      ( p43(X1,X2)
     => p43(f100(X1,X3),f100(X2,X3)) ) )).

fof(formula_116,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ! [X3] : 
              ( p24(X3)
             => ( X3 = f110(X1,X2)
              <=> ! [X4,X5] : 
                    ( p1(f42(X4,X5),X3)
                  <=> ? [X6] : 
                        ( p1(f42(X4,X6),X1)
                        & p1(f42(X6,X5),X2) ) ) ) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p4(X2,f15(X1))
         => p3(X2) ) ) )).

fof(formula_557,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & ! [X3] : 
            ~ ( p1(X3,X2)
              & ! [X4] : 
                  ~ ( p1(X4,X2)
                    & p1(X4,X3) ) ) ) )).

fof(formula_310,axiom,(
    ! [X1] : 
      ( ( p73(X1)
        & p53(X1) )
     => ? [X2] : 
          ( p4(X2,f15(f33(X1)))
          & p55(X2,X1) ) ) )).

fof(formula_259,axiom,(
    ! [X1] : 
      ( ( p73(X1)
        & p53(X1) )
     => p90(f93(X1),X1) ) )).

fof(formula_60,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p76(X1,X2)
        <=> ! [X3] : 
              ( p1(X3,X2)
             => p1(f42(X3,X3),X1) ) ) ) )).

fof(formula_400,lemma,(
    ! [X1] : 
      ( p79(X1)
     => f93(X1) = f33(X1) ) )).

fof(formula_196,axiom,(
    ! [X1,X2] : 
      ( p19(X1)
     => p19(f100(X1,X2)) ) )).

fof(formula_470,lemma,(
    ! [X1] : p98(f84(X1)) )).

fof(formula_357,axiom,(
    ! [X1,X2] : 
      ( ( p16(X1)
        & p4(X2,f15(f15(f71(X1)))) )
     => ( ! [X3,X4,X5] : 
            ( ( X3 = X4
              & ? [X6] : 
                  ( p1(X6,X2)
                  & X4 = f100(X6,f72(X1)) )
              & X3 = X5
              & ? [X7] : 
                  ( p1(X7,X2)
                  & X5 = f100(X7,f72(X1)) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,f15(X1))
                & X5 = X4
                & ? [X8] : 
                    ( p1(X8,X2)
                    & X4 = f100(X8,f72(X1)) ) ) ) ) ) )).

fof(formula_47,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2,X3] : 
          ( X3 = f45(X1,X2)
        <=> ! [X4] : 
              ( p1(X4,X3)
            <=> ? [X5] : 
                  ( p1(f42(X5,X4),X1)
                  & p1(X5,X2) ) ) ) ) )).

fof(formula_531,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( ! [X2,X3] : ~ p1(f42(X2,X3),X1)
       => X1 = c64 ) ) )).

fof(formula_443,lemma,(
    ! [X1] : 
      ( p17(X1)
     => ! [X2] : 
          ( p16(X2)
         => ( p2(X1,X2)
           => p1(X1,X2) ) ) ) )).

fof(formula_550,lemma,(
    ! [X1,X2] : 
      ( p43(f72(X1),f72(X2))
     => X1 = X2 ) )).

fof(formula_394,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => p43(f48(X1,X2),X2) ) )).

fof(formula_268,axiom,(
    ! [X1,X2] : 
      ( ( p73(X1)
        & p53(X1)
        & p4(X2,f15(f33(X1))) )
     => p55(f80(X1,X2),X1) ) )).

fof(formula_94,axiom,(
    ! [X1,X2] : 
      ( X2 = f96(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X3,X4)
              & p1(X4,X1) ) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
     => ~ p2(X2,X1) ) )).

fof(formula_452,lemma,(
    ! [X1,X2] : 
      ( p16(X2)
     => ( p1(X1,X2)
       => p16(X1) ) ) )).

fof(formula_475,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p91(X2)
       => p91(f104(X2,X1)) ) ) )).

fof(formula_439,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p1(f42(X1,X2),X3)
       => ( p1(X1,f46(X3))
          & p1(X2,f62(X3)) ) ) ) )).

fof(formula_224,axiom,(
    p26(c64) )).

fof(formula_209,axiom,(
    ~ p14(c27) )).

fof(formula_320,axiom,(
    ! [X1] : 
      ( ~ p14(X1)
     => ? [X2] : 
          ( p4(X2,f15(X1))
          & ~ p14(X2)
          & p19(X2) ) ) )).

fof(formula_396,lemma,(
    ! [X1,X2,X3] : 
      ( p43(X1,X2)
     => ( p43(f25(X1,X3),f25(X2,X3))
        & p43(f25(X3,X1),f25(X3,X2)) ) ) )).

fof(formula_335,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => f114(X1,X2) = f78(X2) ) )).

fof(formula_422,lemma,(
    ! [X1] : 
      ( p53(X1)
     => ! [X2] : 
          ( p4(X2,f15(f15(f33(X1))))
         => ( p89(X2,X1)
          <=> p82(f111(f33(X1),X2),X1) ) ) ) )).

fof(formula_50,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ( p59(X1)
      <=> p60(X1,f51(X1)) ) ) )).

fof(formula_184,axiom,(
    ? [X1] : p37(X1) )).

fof(formula_386,axiom,(
    ! [X1,X2] : 
      ( p56(X1,X2)
     => p56(X2,X1) ) )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( p19(X1)
    <=> ? [X2] : 
          ( p24(X2)
          & p23(X2)
          & f62(X2) = X1
          & p1(f46(X2),c27) ) ) )).

fof(formula_186,axiom,(
    ? [X1] : p79(X1) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p10(X1)
     => ! [X2] : 
          ( p4(X2,f15(X1))
         => ( p3(X2)
            & p6(X2)
            & p8(X2)
            & p10(X2) ) ) ) )).

fof(formula_536,lemma,(
    ! [X1] : p49(f84(X1)) )).

fof(formula_136,axiom,(
    $true )).

fof(formula_432,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => f104(X2,X1) = f48(X1,f44(X2,X1)) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p20(X1)
     => ( p21(X1)
        & p22(X1) ) ) )).

fof(formula_189,axiom,(
    ! [X1,X2] : 
    ? [X3] : p77(X3,X1,X2) )).

fof(formula_348,lemma,
    ( ( ( p1(c64,c27)
       => ! [X1] : 
            ( p4(X1,f15(f15(c64)))
           => ~ ( X1 != c64
                & ! [X2] : 
                    ~ ( p1(X2,X1)
                      & ! [X3] : 
                          ( ( p1(X3,X1)
                            & p43(X2,X3) )
                         => X3 = X2 ) ) ) ) )
      & ! [X4] : 
          ( p16(X4)
         => ( ( p1(X4,c27)
             => ! [X5] : 
                  ( p4(X5,f15(f15(X4)))
                 => ~ ( X5 != c64
                      & ! [X6] : 
                          ~ ( p1(X6,X5)
                            & ! [X7] : 
                                ( ( p1(X7,X5)
                                  & p43(X6,X7) )
                               => X7 = X6 ) ) ) ) )
           => ( p1(f71(X4),c27)
             => ! [X8] : 
                  ( p4(X8,f15(f15(f71(X4))))
                 => ~ ( X8 != c64
                      & ! [X9] : 
                          ~ ( p1(X9,X8)
                            & ! [X10] : 
                                ( ( p1(X10,X8)
                                  & p43(X9,X10) )
                               => X10 = X9 ) ) ) ) ) ) )
      & ! [X4] : 
          ( p16(X4)
         => ( ( p101(X4)
              & ! [X11] : 
                  ( p16(X11)
                 => ( p1(X11,X4)
                   => ( p1(X11,c27)
                     => ! [X12] : 
                          ( p4(X12,f15(f15(X11)))
                         => ~ ( X12 != c64
                              & ! [X13] : 
                                  ~ ( p1(X13,X12)
                                    & ! [X14] : 
                                        ( ( p1(X14,X12)
                                          & p43(X13,X14) )
                                       => X14 = X13 ) ) ) ) ) ) ) )
           => ( X4 = c64
              | ( p1(X4,c27)
               => ! [X15] : 
                    ( p4(X15,f15(f15(X4)))
                   => ~ ( X15 != c64
                        & ! [X16] : 
                            ~ ( p1(X16,X15)
                              & ! [X17] : 
                                  ( ( p1(X17,X15)
                                    & p43(X16,X17) )
                                 => X17 = X16 ) ) ) ) ) ) ) ) )
   => ! [X4] : 
        ( p16(X4)
       => ( p1(X4,c27)
         => ! [X18] : 
              ( p4(X18,f15(f15(X4)))
             => ~ ( X18 != c64
                  & ! [X19] : 
                      ~ ( p1(X19,X18)
                        & ! [X20] : 
                            ( ( p1(X20,X18)
                              & p43(X19,X20) )
                           => X20 = X19 ) ) ) ) ) ) )).

fof(formula_79,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ( p91(X1)
      <=> ! [X2] : 
            ~ ( p43(X2,f51(X1))
              & X2 != c64
              & ! [X3] : 
                  ~ ( p1(X3,X2)
                    & p56(f83(X1,X3),X2) ) ) ) ) )).

fof(formula_53,axiom,(
    ! [X1] : 
      ( p23(X1)
    <=> ! [X2,X3,X4] : 
          ( ( p1(f42(X2,X3),X1)
            & p1(f42(X2,X4),X1) )
         => X3 = X4 ) ) )).

fof(formula_371,lemma,(
    ! [X1,X2] : 
      ( ( p16(X1)
        & p4(X2,f15(f15(f71(X1)))) )
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,f15(X1))
            & ? [X5] : 
                ( p1(X5,X2)
                & X4 = f100(X5,f72(X1)) ) ) ) ) )).

fof(formula_377,lemma,(
    ! [X1,X2] : 
      ( p16(X2)
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,f71(X2))
            & ? [X5] : 
                ( p16(X5)
                & X4 = X5
                & p1(X5,X1) ) ) ) ) )).

fof(formula_102,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(X1))
     => f81(X1,X2) = f100(X1,X2) ) )).

fof(formula_93,axiom,(
    ! [X1] : f95(X1) = X1 )).

fof(formula_306,axiom,(
    ? [X1] : 
      ( p17(X1)
      & p18(X1)
      & p16(X1)
      & p101(X1) ) )).

fof(formula_358,axiom,(
    ! [X1,X2] : 
      ( ( p79(X1)
        & p4(X2,f15(f15(f33(X1)))) )
     => ( ! [X3,X4,X5] : 
            ( ( p1(X3,f111(f33(X1),X2))
              & ! [X6] : 
                  ( p4(X6,f15(f33(X1)))
                 => ( X6 = X3
                   => X4 = f81(f33(X1),X6) ) )
              & p1(X3,f111(f33(X1),X2))
              & ! [X7] : 
                  ( p4(X7,f15(f33(X1)))
                 => ( X7 = X3
                   => X5 = f81(f33(X1),X7) ) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,f111(f33(X1),X2))
                & p1(X5,f111(f33(X1),X2))
                & ! [X8] : 
                    ( p4(X8,f15(f33(X1)))
                   => ( X8 = X5
                     => X4 = f81(f33(X1),X8) ) ) ) ) ) ) )).

fof(formula_212,axiom,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p79(X1) )
     => ~ p14(f33(X1)) ) )).

fof(formula_198,axiom,(
    p24(c64) )).

fof(formula_555,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p14(X2) ) )).

fof(formula_111,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ! [X3] : 
              ( ( p24(X3)
                & p23(X3) )
             => ( p106(X1,X2,X3)
              <=> ( f46(X3) = f51(X1)
                  & f62(X3) = f51(X2)
                  & p26(X3)
                  & ! [X4,X5] : 
                      ( p1(f42(X4,X5),X1)
                    <=> ( p1(X4,f51(X1))
                        & p1(X5,f51(X1))
                        & p1(f42(f47(X3,X4),f47(X3,X5)),X2) ) ) ) ) ) ) ) )).

fof(formula_513,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => ( X2 != c64
       => f103(X1,f95(X1),f75(X1,X2)) = f114(X1,f111(X1,X2)) ) ) )).

fof(formula_472,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p1(f42(X1,X2),X3)
       => ( p1(X1,f51(X3))
          & p1(X2,f51(X3)) ) ) ) )).

fof(formula_438,lemma,(
    f15(c64) = f72(c64) )).

fof(formula_144,axiom,(
    ! [X1] : p4(f95(X1),f15(X1)) )).

fof(formula_57,axiom,(
    ! [X1] : f71(X1) = f29(X1,f72(X1)) )).

fof(formula_457,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ( p43(X1,X2)
           => ( p43(f46(X1),f46(X2))
              & p43(f62(X1),f62(X2)) ) ) ) ) )).

fof(formula_514,lemma,(
    ! [X1] : 
      ( p53(X1)
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => p43(X2,f54(X1,X2)) ) ) )).

fof(formula_207,axiom,(
    p18(c27) )).

fof(formula_509,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ( p43(f62(X1),f46(X2))
           => f46(f110(X1,X2)) = f46(X1) ) ) ) )).

fof(formula_108,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p58(X1,X2)
        <=> ! [X3,X4] : 
              ~ ( p1(X3,X2)
                & p1(X4,X2)
                & X3 != X4
                & ~ p1(f42(X3,X4),X1)
                & ~ p1(f42(X4,X3),X1) ) ) ) )).

fof(formula_180,axiom,(
    ! [X1] : 
      ( p37(X1)
     => ( p23(f86(X1))
        & p65(f86(X1),f25(f33(X1),f33(X1)),f33(X1))
        & p63(f86(X1),f25(f33(X1),f33(X1)),f33(X1)) ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ( p3(X1)
        & p6(X1)
        & p8(X1)
        & p10(X1)
        & p12(X1) ) ) )).

fof(formula_448,lemma,(
    ! [X1,X2,X3] : 
      ( p63(X3,X2,X1)
     => ( ! [X4] : 
            ~ ( p1(X4,X2)
              & ! [X5] : ~ p1(f42(X4,X5),X3) )
      <=> f66(X2,X1,X3) = X2 ) ) )).

fof(formula_506,lemma,(
    ! [X1,X2] : 
      ( p43(X1,X2)
     => X2 = f29(X1,f100(X2,X1)) ) )).

fof(formula_347,lemma,(
    ! [X1] : 
      ( ? [X2] : 
          ( p16(X2)
          & p1(X2,X1) )
     => ? [X2] : 
          ( p16(X2)
          & p1(X2,X1)
          & ! [X3] : 
              ( p16(X3)
             => ( p1(X3,X1)
               => p40(X2,X3) ) ) ) ) )).

fof(formula_402,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => ( X2 != c64
       => f75(X1,f111(X1,X2)) = f81(X1,f114(X1,X2)) ) ) )).

fof(formula_428,conjecture,(
    ! [X1] : 
      ( p53(X1)
     => ! [X2] : 
          ( p4(X2,f15(f15(f33(X1))))
         => ( p82(X2,X1)
          <=> p89(f111(f33(X1),X2),X1) ) ) ) )).

fof(formula_163,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f15(X1))
        & p4(X3,f15(X1)) )
     => p4(f39(X1,X2,X3),f15(X1)) ) )).

fof(formula_572,lemma,(
    ! [X1] : f96(f15(X1)) = X1 )).

fof(formula_331,axiom,(
    ! [X1,X2,X3] : 
      ( p77(X3,X1,X2)
     => f66(X1,X2,X3) = f46(X3) ) )).

fof(formula_351,axiom,(
    ! [X1,X2] : 
      ( ( ~ p14(X1)
        & p24(X2) )
     => ! [X3] : 
          ( ! [X4,X5,X6] : 
              ( ( X4 = X5
                & ? [X7,X8] : 
                    ( f42(X7,X8) = X5
                    & p1(X7,X1)
                    & ? [X9] : 
                        ( X7 = X9
                        & p1(X8,X9)
                        & ! [X10] : 
                            ( p1(X10,X9)
                           => p1(f42(X8,X10),X2) ) ) )
                & X4 = X6
                & ? [X11,X12] : 
                    ( f42(X11,X12) = X6
                    & p1(X11,X1)
                    & ? [X13] : 
                        ( X11 = X13
                        & p1(X12,X13)
                        & ! [X14] : 
                            ( p1(X14,X13)
                           => p1(f42(X12,X14),X2) ) ) ) )
             => X5 = X6 )
         => ? [X4] : 
            ! [X5] : 
              ( p1(X5,X4)
            <=> ? [X6] : 
                  ( p1(X6,f25(X1,X3))
                  & X6 = X5
                  & ? [X15,X16] : 
                      ( f42(X15,X16) = X5
                      & p1(X15,X1)
                      & ? [X17] : 
                          ( X15 = X17
                          & p1(X16,X17)
                          & ! [X18] : 
                              ( p1(X18,X17)
                             => p1(f42(X16,X18),X2) ) ) ) ) ) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p12(X1)
     => p10(X1) ) )).

fof(formula_301,axiom,(
    ? [X1] : 
      ( ~ p14(X1)
      & p19(X1) ) )).

fof(formula_520,lemma,(
    ! [X1] : 
      ( p16(X1)
     => p57(f84(X1)) ) )).

fof(formula_270,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ( p14(f62(X1))
        & p24(f62(X1)) ) ) )).

fof(formula_118,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => ! [X3] : 
          ( p4(X3,f15(f15(X1)))
         => ( X3 = f111(X1,X2)
          <=> ! [X4] : 
                ( p4(X4,f15(X1))
               => ( p1(X4,X3)
                <=> p1(f81(X1,X4),X2) ) ) ) ) ) )).

fof(formula_397,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => f62(f48(X1,X2)) = f35(f62(X2),X1) ) )).

fof(formula_164,axiom,(
    ! [X1,X2] : 
      ( ( p53(X1)
        & p4(X2,f15(f33(X1))) )
     => p4(f54(X1,X2),f15(f33(X1))) ) )).

fof(formula_137,axiom,(
    $true )).

fof(formula_252,axiom,(
    ! [X1,X2] : 
      ( ( p24(X1)
        & p23(X1) )
     => ( p24(f44(X1,X2))
        & p23(f44(X1,X2)) ) ) )).

fof(formula_416,lemma,(
    ! [X1,X2] : 
      ( p19(X1)
     => p19(f35(X1,X2)) ) )).

fof(formula_500,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f15(X1))
     => ! [X3] : 
          ( p4(X3,f15(X1))
         => ( p56(X2,X3)
          <=> p43(X2,f81(X1,X3)) ) ) ) )).

fof(formula_62,axiom,(
    ! [X1,X2] : 
      ( ( X1 != c64
       => ( X2 = f78(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ! [X4] : 
                  ( p1(X4,X1)
                 => p1(X3,X4) ) ) ) )
      & ( X1 = c64
       => ( X2 = f78(X1)
        <=> X2 = c64 ) ) ) )).

fof(formula_64,axiom,(
    ! [X1,X2] : 
      ( X2 = f72(X1)
    <=> ! [X3] : 
          ( p1(X3,X2)
        <=> X3 = X1 ) ) )).

fof(formula_325,axiom,(
    ? [X1] : 
      ( p24(X1)
      & p115(X1)
      & p23(X1) ) )).

fof(formula_168,axiom,(
    ! [X1,X2] : 
      ( p24(X1)
     => p24(f44(X1,X2)) ) )).

fof(formula_359,axiom,(
    ! [X1,X2] : 
      ( ( p79(X1)
        & p4(X2,f15(f15(f33(X1)))) )
     => ! [X3] : 
          ( ! [X4,X5,X6] : 
              ( ( X4 = X5
                & ? [X7,X8] : 
                    ( f42(X7,X8) = X5
                    & p1(X7,f111(f33(X1),X2))
                    & ! [X9] : 
                        ( p4(X9,f15(f33(X1)))
                       => ( X9 = X7
                         => X8 = f81(f33(X1),X9) ) ) )
                & X4 = X6
                & ? [X10,X11] : 
                    ( f42(X10,X11) = X6
                    & p1(X10,f111(f33(X1),X2))
                    & ! [X12] : 
                        ( p4(X12,f15(f33(X1)))
                       => ( X12 = X10
                         => X11 = f81(f33(X1),X12) ) ) ) )
             => X5 = X6 )
         => ? [X4] : 
            ! [X5] : 
              ( p1(X5,X4)
            <=> ? [X6] : 
                  ( p1(X6,f25(f111(f33(X1),X2),X3))
                  & X6 = X5
                  & ? [X13,X14] : 
                      ( f42(X13,X14) = X5
                      & p1(X13,f111(f33(X1),X2))
                      & ! [X15] : 
                          ( p4(X15,f15(f33(X1)))
                         => ( X15 = X13
                           => X14 = f81(f33(X1),X15) ) ) ) ) ) ) ) )).

fof(formula_51,axiom,(
    ! [X1,X2,X3,X4] : 
      ( X4 = f61(X1,X2,X3)
    <=> ! [X5] : 
          ( p1(X5,X4)
        <=> ~ ( X5 != X1
              & X5 != X2
              & X5 != X3 ) ) ) )).

fof(formula_275,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f15(X1))
        & p4(X3,f15(X1)) )
     => f39(X1,X2,X2) = X2 ) )).

fof(formula_300,axiom,(
    ? [X1] : 
      ( ~ p14(X1)
      & p17(X1)
      & p18(X1)
      & p16(X1)
      & p13(X1) ) )).

fof(formula_544,lemma,(
    ! [X1,X2] : 
      ( f100(X1,f72(X2)) = X1
    <=> ~ p1(X2,X1) ) )).

fof(formula_258,axiom,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ( p24(f48(X1,X2))
        & p23(f48(X1,X2)) ) ) )).

fof(formula_319,axiom,(
    ? [X1] : ~ p14(X1) )).

fof(formula_235,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => ( p3(f35(X1,X2))
        & p6(f35(X1,X2))
        & p8(f35(X1,X2)) ) ) )).

fof(formula_553,lemma,(
    ! [X1,X2,X3] : 
      ( ( p24(X3)
        & p23(X3) )
     => ( p1(X2,X1)
       => f47(f44(X3,X1),X2) = f47(X3,X2) ) ) )).

fof(formula_103,axiom,(
    ! [X1,X2] : f42(X1,X2) = f28(f28(X1,X2),f72(X1)) )).

fof(formula_362,axiom,(
    ! [X1,X2,X3] : 
      ( ( p24(X2)
        & p24(X3)
        & p23(X3) )
     => ( ! [X4,X5,X6] : 
            ( ( X4 = X5
              & ? [X7,X8] : 
                  ( X5 = f42(X7,X8)
                  & p1(f42(f47(X3,X7),f47(X3,X8)),X2) )
              & X4 = X6
              & ? [X9,X10] : 
                  ( X6 = f42(X9,X10)
                  & p1(f42(f47(X3,X9),f47(X3,X10)),X2) ) )
           => X5 = X6 )
       => ? [X4] : 
          ! [X5] : 
            ( p1(X5,X4)
          <=> ? [X6] : 
                ( p1(X6,f25(X1,X1))
                & X6 = X5
                & ? [X11,X12] : 
                    ( X5 = f42(X11,X12)
                    & p1(f42(f47(X3,X11),f47(X3,X12)),X2) ) ) ) ) ) )).

fof(formula_76,axiom,(
    ! [X1,X2] : 
      ( ( ~ p14(X1)
       => ( p4(X2,X1)
        <=> p1(X2,X1) ) )
      & ( p14(X1)
       => ( p4(X2,X1)
        <=> p14(X2) ) ) ) )).

fof(formula_468,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
     => ( p14(X2)
        | p1(X1,X2) ) ) )).

fof(formula_561,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p1(X1,f46(f44(X3,X2)))
      <=> ( p1(X1,X2)
          & p1(X1,f46(X3)) ) ) ) )).

fof(formula_446,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ! [X3] : 
          ( ( p24(X3)
            & p23(X3) )
         => ( p1(X1,f46(f110(X3,X2)))
           => f47(f110(X3,X2),X1) = f47(X2,f47(X3,X1)) ) ) ) )).

fof(formula_228,axiom,(
    p16(c64) )).

fof(formula_350,axiom,(
    ! [X1,X2] : 
      ( ( ~ p14(X1)
        & p24(X2) )
     => ( ! [X3,X4,X5] : 
            ( ( p1(X3,X1)
              & ? [X6] : 
                  ( X3 = X6
                  & p1(X4,X6)
                  & ! [X7] : 
                      ( p1(X7,X6)
                     => p1(f42(X4,X7),X2) ) )
              & p1(X3,X1)
              & ? [X8] : 
                  ( X3 = X8
                  & p1(X5,X8)
                  & ! [X9] : 
                      ( p1(X9,X8)
                     => p1(f42(X5,X9),X2) ) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,X1)
                & p1(X5,X1)
                & ? [X10] : 
                    ( X5 = X10
                    & p1(X4,X10)
                    & ! [X11] : 
                        ( p1(X11,X10)
                       => p1(f42(X4,X11),X2) ) ) ) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p8(X1)
     => ! [X2] : 
          ( p4(X2,f15(X1))
         => ( p3(X2)
            & p6(X2)
            & p8(X2) ) ) ) )).

fof(formula_528,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ! [X3] : 
              ( ( p24(X3)
                & p23(X3) )
             => ( ( p97(X1)
                  & p106(X1,X2,X3) )
               => p97(X2) ) ) ) ) )).

fof(formula_154,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p30(X1)
        & p36(X1)
        & p37(X1)
        & p4(X2,f33(X1))
        & p4(X3,f33(X1)) )
     => p4(f38(X1,X2,X3),f33(X1)) ) )).

fof(formula_202,axiom,(
    ! [X1] : 
      ( ~ p14(f72(X1))
      & p19(f72(X1)) ) )).

fof(formula_502,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => p43(f46(f110(X1,X2)),f46(X1)) ) ) )).

fof(formula_172,axiom,(
    ! [X1] : 
      ( p37(X1)
     => p79(X1) ) )).

fof(formula_131,axiom,(
    $true )).

fof(formula_493,axiom,(
    ! [X1,X2] : 
      ( p4(X1,f15(X2))
    <=> p43(X1,X2) ) )).

fof(formula_511,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f29(f72(X1),X2) = X2 ) )).

fof(formula_449,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p98(X2)
       => p98(f104(X2,X1)) ) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p8(X1)
     => p6(X1) ) )).

fof(formula_437,lemma,(
    ! [X1,X2,X3] : 
      ( ( p43(X1,X2)
        & p43(X2,X3) )
     => p43(X1,X3) ) )).

fof(formula_456,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p59(X2)
       => p59(f104(X2,X1)) ) ) )).

fof(formula_145,axiom,(
    $true )).

fof(formula_35,axiom,(
    ! [X1,X2] : f35(X1,X2) = f35(X2,X1) )).

fof(formula_100,axiom,(
    ! [X1] : 
      ( p53(X1)
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => ( p55(X2,X1)
          <=> p1(X2,f74(X1)) ) ) ) )).

fof(formula_226,axiom,(
    p17(c64) )).

fof(formula_291,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( p49(X1)
      <=> ! [X2,X3] : 
            ( ( p1(f42(X2,X3),X1)
              & p1(f42(X3,X2),X1) )
           => X2 = X3 ) ) ) )).

fof(formula_429,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => f104(X2,X1) = f44(f48(X1,X2),X1) ) )).

fof(formula_490,lemma,(
    ! [X1,X2] : 
      ( p43(X1,f72(X2))
    <=> ( X1 = c64
        | X1 = f72(X2) ) ) )).

fof(formula_219,axiom,(
    ! [X1] : 
      ( ( p16(X1)
        & p13(X1) )
     => ( ~ p14(f71(X1))
        & p17(f71(X1))
        & p18(f71(X1))
        & p16(f71(X1))
        & p13(f71(X1)) ) ) )).

fof(formula_383,lemma,(
    ! [X1] : 
    ? [X2] : 
      ( p24(X2)
      & p23(X2)
      & f46(X2) = X1
      & ! [X3] : 
          ( p1(X3,X1)
         => f47(X2,X3) = f72(X3) ) ) )).

fof(formula_453,lemma,(
    ! [X1,X2,X3] : 
      ( p63(X3,X1,X2)
     => ( ! [X4] : 
            ~ ( p1(X4,X2)
              & ! [X5] : ~ p1(f42(X5,X4),X3) )
      <=> f113(X1,X2,X3) = X2 ) ) )).

fof(formula_521,lemma,(
    ! [X1,X2] : 
      ( ~ ( ~ p56(X1,X2)
          & ! [X3] : ~ p1(X3,f35(X1,X2)) )
      & ~ ( ? [X3] : p1(X3,f35(X1,X2))
          & p56(X1,X2) ) ) )).

fof(formula_244,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1)
        & p26(X1) )
     => ( p24(f105(X1))
        & p23(f105(X1)) ) ) )).

fof(formula_120,axiom,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ( p26(X1)
       => f112(X1) = f105(X1) ) ) )).

fof(formula_517,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ! [X3] : 
              ( ( p24(X3)
                & p23(X3) )
             => ( p106(X1,X2,X3)
               => p106(X2,X1,f112(X3)) ) ) ) ) )).

fof(formula_282,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => f29(f72(X1),X2) = X2 ) )).

fof(formula_504,lemma,(
    ! [X1] : 
      ( p53(X1)
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => ! [X3] : 
              ( p1(X3,f33(X1))
             => ( p1(X3,f54(X1,X2))
              <=> ! [X4] : 
                    ( p4(X4,f15(f33(X1)))
                   => ( ( p90(X4,X1)
                        & p43(X2,X4) )
                     => p1(X3,X4) ) ) ) ) ) ) )).

fof(formula_63,axiom,(
    ! [X1] : 
      ( p79(X1)
     => ( p30(X1)
      <=> p14(f33(X1)) ) ) )).

fof(formula_355,axiom,(
    ! [X1,X2] : 
      ( ( p73(X1)
        & p53(X1)
        & p4(X2,f15(f33(X1))) )
     => ( ! [X3,X4,X5] : 
            ( ( X3 = X4
              & ? [X6] : 
                  ( p4(X6,f15(f33(X1)))
                  & X6 = X4
                  & p90(X6,X1)
                  & p43(X2,X4) )
              & X3 = X5
              & ? [X7] : 
                  ( p4(X7,f15(f33(X1)))
                  & X7 = X5
                  & p90(X7,X1)
                  & p43(X2,X5) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,f15(f33(X1)))
                & X5 = X4
                & ? [X8] : 
                    ( p4(X8,f15(f33(X1)))
                    & X8 = X4
                    & p90(X8,X1)
                    & p43(X2,X4) ) ) ) ) ) )).

fof(formula_169,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => p4(f111(X1,X2),f15(f15(X1))) ) )).

fof(formula_287,lemma,(
    ! [X1,X2] : 
      ( p43(f72(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_323,axiom,(
    ? [X1] : 
      ( p24(X1)
      & p115(X1) ) )).

fof(formula_71,axiom,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p37(X1) )
     => ! [X2] : 
          ( p4(X2,f33(X1))
         => ! [X3] : 
              ( p4(X3,f33(X1))
             => f85(X1,X2,X3) = f68(f33(X1),f33(X1),f33(X1),f86(X1),X2,X3) ) ) ) )).

fof(formula_512,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ( p43(f46(X1),f62(X2))
           => f62(f110(X2,X1)) = f62(X1) ) ) ) )).

fof(formula_317,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p4(X2,f15(X1))
      & p14(X2) ) )).

fof(formula_380,lemma,(
    ! [X1,X2] : 
      ( ( p79(X1)
        & p4(X2,f15(f15(f33(X1)))) )
     => ( ( ! [X3,X4,X5] : 
              ( ( p1(X3,f111(f33(X1),X2))
                & ! [X6] : 
                    ( p4(X6,f15(f33(X1)))
                   => ( X6 = X3
                     => X4 = f81(f33(X1),X6) ) )
                & ! [X7] : 
                    ( p4(X7,f15(f33(X1)))
                   => ( X7 = X3
                     => X5 = f81(f33(X1),X7) ) ) )
             => X4 = X5 )
          & ! [X3] : 
              ~ ( p1(X3,f111(f33(X1),X2))
                & ! [X4] : 
                    ~ ! [X8] : 
                        ( p4(X8,f15(f33(X1)))
                       => ( X8 = X3
                         => X4 = f81(f33(X1),X8) ) ) ) )
       => ? [X3] : 
            ( p24(X3)
            & p23(X3)
            & f46(X3) = f111(f33(X1),X2)
            & ! [X4] : 
                ( p1(X4,f111(f33(X1),X2))
               => ! [X9] : 
                    ( p4(X9,f15(f33(X1)))
                   => ( X9 = X4
                     => f47(X3,X4) = f81(f33(X1),X9) ) ) ) ) ) ) )).

fof(formula_302,axiom,(
    ? [X1] : 
      ( p24(X1)
      & p23(X1) ) )).

fof(formula_190,axiom,(
    ! [X1] : 
    ? [X2] : p4(X2,X1) )).

fof(formula_156,axiom,(
    ! [X1,X2,X3] : 
      ( p77(X3,X1,X2)
     => p4(f66(X1,X2,X3),f15(X1)) ) )).

fof(formula_223,axiom,(
    p23(c64) )).

fof(formula_298,lemma,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) )
     => p4(X1,f15(X2)) ) )).

fof(formula_56,axiom,(
    ! [X1] : 
      ( ? [X2,X3] : X1 = f42(X2,X3)
     => ! [X2] : 
          ( X2 = f70(X1)
        <=> ! [X3,X4] : 
              ( X1 = f42(X3,X4)
             => X2 = X3 ) ) ) )).

fof(formula_88,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f35(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,X1)
            & p1(X4,X2) ) ) ) )).

fof(formula_134,axiom,(
    $true )).

fof(formula_434,lemma,(
    ! [X1,X2,X3] : 
      ( ( p43(X1,X2)
        & p43(X1,X3) )
     => p43(X1,f35(X2,X3)) ) )).

fof(formula_87,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p94(X1,X2)
        <=> ! [X3] : 
              ~ ( p43(X3,X2)
                & X3 != c64
                & ! [X4] : 
                    ~ ( p1(X4,X3)
                      & p56(f83(X1,X4),X3) ) ) ) ) )).

fof(formula_569,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p43(X1,f96(X2)) ) )).

fof(formula_181,axiom,(
    ! [X1] : 
      ( p53(X1)
     => p4(f74(X1),f15(f15(f33(X1)))) ) )).

fof(formula_199,axiom,(
    p115(c64) )).

fof(formula_315,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p77(X3,X1,X2)
      & p24(X3)
      & p23(X3) ) )).

fof(formula_414,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ( p43(X1,f62(X2))
       => f45(X2,f52(X2,X1)) = X1 ) ) )).

fof(formula_262,axiom,(
    p3(c64) )).

fof(formula_122,axiom,(
    $true )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p14(X1)
     => p24(X1) ) )).

fof(formula_161,axiom,(
    ! [X1,X2,X3] : 
      ( p77(X3,X1,X2)
     => p4(f113(X1,X2,X3),f15(X2)) ) )).

fof(formula_360,axiom,(
    ! [X1,X2] : 
      ( ( p79(X1)
        & p4(X2,f15(f15(f33(X1)))) )
     => ( ! [X3,X4,X5] : 
            ( ( p1(X3,X2)
              & ! [X6] : 
                  ( p4(X6,f15(f33(X1)))
                 => ( X6 = X3
                   => X4 = f81(f33(X1),X6) ) )
              & p1(X3,X2)
              & ! [X7] : 
                  ( p4(X7,f15(f33(X1)))
                 => ( X7 = X3
                   => X5 = f81(f33(X1),X7) ) ) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,X2)
                & p1(X5,X2)
                & ! [X8] : 
                    ( p4(X8,f15(f33(X1)))
                   => ( X8 = X5
                     => X4 = f81(f33(X1),X8) ) ) ) ) ) ) )).

fof(formula_329,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p30(X1)
        & p31(X1)
        & p32(X1)
        & p4(X2,f33(X1))
        & p4(X3,f33(X1)) )
     => f34(X1,X2,X3) = f67(X1,X2,X3) ) )).

fof(formula_85,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ( p43(X1,X2)
          <=> ! [X3,X4] : 
                ( p1(f42(X3,X4),X1)
               => p1(f42(X3,X4),X2) ) ) ) ) )).

fof(formula_533,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p4(X2,f15(X3))
        & p14(X3) ) )).

fof(formula_454,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p57(X2)
       => p57(f104(X2,X1)) ) ) )).

fof(formula_337,axiom,(
    ! [X1,X2,X3] : 
      ( p63(X3,X1,X2)
    <=> p77(X3,X1,X2) ) )).

fof(formula_458,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p49(X2)
       => p49(f104(X2,X1)) ) ) )).

fof(formula_66,axiom,(
    ! [X1] : 
      ( p53(X1)
     => ! [X2] : 
          ( p4(X2,f15(f15(f33(X1))))
         => ( p82(X2,X1)
          <=> ! [X3] : 
                ( p4(X3,f15(f33(X1)))
               => ( p1(X3,X2)
                 => p55(X3,X1) ) ) ) ) ) )).

fof(formula_464,lemma,(
    ! [X1] : 
      ( ~ p14(X1)
     => ~ ( ! [X2] : 
              ~ ( p1(X2,X1)
                & X2 = c64 )
          & ! [X2] : 
              ( ( p24(X2)
                & p23(X2) )
             => ~ ( f46(X2) = X1
                  & ! [X3] : 
                      ( p1(X3,X1)
                     => p1(f47(X2,X3),X3) ) ) ) ) ) )).

fof(formula_143,axiom,(
    $true )).

fof(formula_107,axiom,(
    ! [X1] : 
      ( p24(X1)
     => f51(X1) = f29(f46(X1),f62(X1)) ) )).

fof(formula_447,lemma,(
    ! [X1] : 
      ( p79(X1)
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => f103(f33(X1),f93(X1),f103(f33(X1),f93(X1),X2)) = X2 ) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
      ( p19(X1)
     => ! [X2] : 
          ( p4(X2,f15(X1))
         => p19(X2) ) ) )).

fof(formula_54,axiom,(
    ! [X1,X2,X3] : 
      ( p63(X3,X1,X2)
     => ( ( ( X2 = c64
           => X1 = c64 )
         => ( p65(X3,X1,X2)
          <=> X1 = f66(X1,X2,X3) ) )
        & ( X2 = c64
         => ( X1 = c64
            | ( p65(X3,X1,X2)
            <=> X3 = c64 ) ) ) ) ) )).

fof(formula_549,lemma,(
    ! [X1] : 
      ( p16(X1)
     => p91(f84(X1)) ) )).

fof(formula_109,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : f104(X1,X2) = f35(X1,f25(X2,X2)) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p14(X1)
     => p19(X1) ) )).

fof(formula_441,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ! [X3] : 
          ( ( p24(X3)
            & p23(X3) )
         => ( p1(X1,f46(f110(X3,X2)))
          <=> ( p1(X1,f46(X3))
              & p1(f47(X3,X1),f46(X2)) ) ) ) ) )).

fof(formula_61,axiom,(
    ! [X1,X2,X3] : 
      ( p77(X3,X1,X2)
    <=> p43(X3,f25(X1,X2)) ) )).

fof(formula_171,axiom,(
    $true )).

fof(formula_292,lemma,(
    ! [X1,X2,X3] : 
      ( p43(X1,X2)
     => ( p1(X3,X1)
        | p43(X1,f100(X2,f72(X3))) ) ) )).

fof(formula_121,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ( p98(X1)
      <=> p76(X1,f51(X1)) ) ) )).

fof(formula_193,axiom,(
    ! [X1,X2] : 
      ( ( p14(X1)
        & p24(X2) )
     => ( p14(f110(X2,X1))
        & p24(f110(X2,X1)) ) ) )).

fof(formula_426,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ( p19(X1)
       => p19(f45(X2,X1)) ) ) )).

fof(formula_562,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => p43(f44(X2,X1),X2) ) )).

fof(formula_222,axiom,(
    p115(c64) )).

fof(formula_257,axiom,(
    ! [X1,X2] : 
      ( ( p73(X1)
        & p53(X1)
        & p55(X2,X1)
        & p4(X2,f15(f33(X1))) )
     => p90(f81(f33(X1),X2),X1) ) )).

fof(formula_239,axiom,(
    ! [X1,X2] : 
      ( p12(X1)
     => ( p3(f35(X1,X2))
        & p6(f35(X1,X2))
        & p8(f35(X1,X2))
        & p10(f35(X1,X2))
        & p12(f35(X1,X2)) ) ) )).

fof(formula_246,axiom,(
    ! [X1,X2] : 
      ( ( p24(X1)
        & p24(X2) )
     => p24(f100(X1,X2)) ) )).

fof(formula_229,axiom,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p79(X1) )
     => ~ p14(f93(X1)) ) )).

fof(formula_278,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => f111(X1,f111(X1,X2)) = X2 ) )).

fof(formula_327,axiom,(
    ! [X1] : 
      ( ( p73(X1)
        & p53(X1) )
     => ? [X2] : 
          ( p4(X2,f15(f33(X1)))
          & p90(X2,X1) ) ) )).

fof(formula_473,lemma,(
    ! [X1] : 
      ( p53(X1)
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => ( p55(X2,X1)
          <=> p90(f81(f33(X1),X2),X1) ) ) ) )).

fof(formula_516,lemma,(
    ! [X1,X2] : f100(X1,f100(X1,X2)) = f35(X1,X2) )).

fof(formula_37,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f15(X1))
        & p4(X3,f15(X1)) )
     => f39(X1,X2,X3) = f39(X1,X3,X2) ) )).

fof(formula_132,axiom,(
    $true )).

fof(formula_408,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p1(X1,f45(X3,X2))
      <=> ? [X4] : 
            ( p1(X4,f46(X3))
            & p1(f42(X4,X1),X3)
            & p1(X4,X2) ) ) ) )).

fof(formula_157,axiom,(
    $true )).

fof(formula_49,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ( p57(X1)
      <=> p58(X1,f51(X1)) ) ) )).

fof(formula_58,axiom,(
    ! [X1] : 
      ( p53(X1)
     => ( p73(X1)
      <=> ( p1(f33(X1),f74(X1))
          & ! [X2] : 
              ( p4(X2,f15(f15(f33(X1))))
             => ( p43(X2,f74(X1))
               => p1(f75(f33(X1),X2),f74(X1)) ) )
          & ! [X2] : 
              ( p4(X2,f15(f33(X1)))
             => ! [X3] : 
                  ( p4(X3,f15(f33(X1)))
                 => ( ( p1(X2,f74(X1))
                      & p1(X3,f74(X1)) )
                   => p1(f39(f33(X1),X2,X3),f74(X1)) ) ) ) ) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p16(X1)
     => ( p17(X1)
        & p18(X1) ) ) )).

fof(formula_147,axiom,(
    $true )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_162,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => p4(f75(X1,X2),f15(X1)) ) )).

fof(formula_178,axiom,(
    $true )).

fof(formula_309,axiom,(
    ! [X1] : 
      ( ~ p14(X1)
     => ? [X2] : 
          ( p4(X2,f15(X1))
          & ~ p14(X2) ) ) )).

fof(formula_336,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f15(X1))
        & p4(X3,f15(X1)) )
     => f103(X1,X2,X3) = f100(X2,X3) ) )).

fof(formula_296,lemma,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p43(X1,f96(X2)) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p5(X2)
            & p7(X2) ) ) ) )).

fof(formula_200,axiom,(
    ! [X1,X2] : 
      ( ( p24(X1)
        & p23(X1)
        & p19(X2) )
     => p19(f45(X1,X2)) ) )).

fof(formula_353,axiom,(
    ! [X1,X2] : 
      ( ! [X3,X4,X5] : 
          ( ( X3 = X4
            & ? [X6,X7] : 
                ( f42(X6,X7) = X4
                & p1(X6,X1)
                & X7 = f72(X6) )
            & X3 = X5
            & ? [X8,X9] : 
                ( f42(X8,X9) = X5
                & p1(X8,X1)
                & X9 = f72(X8) ) )
         => X4 = X5 )
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5] : 
              ( p1(X5,f25(X1,X2))
              & X5 = X4
              & ? [X10,X11] : 
                  ( f42(X10,X11) = X4
                  & p1(X10,X1)
                  & X11 = f72(X10) ) ) ) ) )).

fof(formula_407,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => f44(f48(X1,X3),X2) = f48(X1,f44(X3,X2)) ) )).

fof(formula_124,axiom,(
    $true )).

fof(formula_72,axiom,(
    ! [X1] : 
      ( ? [X2,X3] : X1 = f42(X2,X3)
     => ! [X2] : 
          ( X2 = f87(X1)
        <=> ! [X3,X4] : 
              ( X1 = f42(X3,X4)
             => X2 = X4 ) ) ) )).

fof(formula_206,axiom,(
    p17(c27) )).

fof(formula_280,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( p98(X1)
      <=> ! [X2] : 
            ( p1(X2,f51(X1))
           => p1(f42(X2,X2),X1) ) ) ) )).

fof(formula_364,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f15(f15(X1)))
        & p24(X3)
        & p23(X3) )
     => ( ! [X4,X5,X6] : 
            ( ( X4 = X5
              & p1(f45(X3,X5),X2)
              & X4 = X6
              & p1(f45(X3,X6),X2) )
           => X5 = X6 )
       => ? [X4] : 
          ! [X5] : 
            ( p1(X5,X4)
          <=> ? [X6] : 
                ( p1(X6,f15(f46(X3)))
                & X6 = X5
                & p1(f45(X3,X5),X2) ) ) ) ) )).

fof(formula_208,axiom,(
    p16(c27) )).

fof(formula_240,axiom,(
    ! [X1,X2] : 
      ( p12(X1)
     => ( p3(f35(X2,X1))
        & p6(f35(X2,X1))
        & p8(f35(X2,X1))
        & p10(f35(X2,X1))
        & p12(f35(X2,X1)) ) ) )).

fof(formula_77,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f28(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ( X4 = X1
            | X4 = X2 ) ) ) )).

fof(formula_492,lemma,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p1(X2,X3)
        & p1(X3,X1) ) )).

fof(formula_568,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => f46(f44(X2,X1)) = f35(f46(X2),X1) ) )).

fof(formula_489,lemma,(
    ! [X1,X2] : f29(X1,f100(X2,X1)) = f29(X1,X2) )).

fof(formula_366,lemma,(
    ! [X1,X2] : 
      ( ( ~ p14(X1)
        & p24(X2) )
     => ! [X3] : 
        ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f25(X1,X3))
            & ? [X6,X7] : 
                ( f42(X6,X7) = X5
                & p1(X6,X1)
                & ? [X8] : 
                    ( X6 = X8
                    & p1(X7,X8)
                    & ! [X9] : 
                        ( p1(X9,X8)
                       => p1(f42(X7,X9),X2) ) ) ) ) ) ) )).

fof(formula_140,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p30(X1)
        & p37(X1)
        & p4(X2,f33(X1))
        & p4(X3,f33(X1)) )
     => p4(f85(X1,X2,X3),f33(X1)) ) )).

fof(formula_91,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( X2 = f46(X1)
        <=> ! [X3] : 
              ( p1(X3,X2)
            <=> ? [X4] : p1(f42(X3,X4),X1) ) ) ) )).

fof(formula_312,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p4(X2,f15(X1))
      & p14(X2)
      & p24(X2)
      & p23(X2)
      & p26(X2)
      & p17(X2)
      & p18(X2)
      & p16(X2)
      & p13(X2)
      & p19(X2) ) )).

fof(formula_173,axiom,(
    ! [X1] : 
      ( p53(X1)
     => p79(X1) ) )).

fof(formula_392,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p1(X1,f62(f48(X2,X3)))
      <=> ( p1(X1,X2)
          & p1(X1,f62(X3)) ) ) ) )).

fof(formula_510,lemma,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => ~ ( X2 != c64
          & f111(X1,X2) = c64 ) ) )).

fof(formula_478,lemma,(
    ! [X1] : 
      ( p16(X1)
     => ! [X2] : 
          ( p16(X2)
         => ( p1(X1,X2)
          <=> p40(f71(X1),X2) ) ) ) )).

fof(formula_95,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ( p97(X1)
      <=> ( p98(X1)
          & p59(X1)
          & p49(X1)
          & p57(X1)
          & p91(X1) ) ) ) )).

fof(formula_191,axiom,(
    ! [X1,X2] : 
    ? [X3] : p63(X3,X1,X2) )).

fof(formula_236,axiom,(
    ! [X1,X2] : 
      ( p8(X1)
     => ( p3(f35(X2,X1))
        & p6(f35(X2,X1))
        & p8(f35(X2,X1)) ) ) )).

fof(formula_334,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f15(X1))
        & p4(X3,f15(X1)) )
     => f39(X1,X2,X3) = f35(X2,X3) ) )).

fof(formula_135,axiom,(
    ! [X1] : p24(f84(X1)) )).

fof(formula_234,axiom,(
    ! [X1,X2] : 
      ( p6(X1)
     => ( p3(f35(X2,X1))
        & p6(f35(X2,X1)) ) ) )).

fof(formula_255,axiom,(
    p24(c64) )).

fof(formula_254,axiom,(
    p14(c64) )).

fof(formula_427,lemma,(
    ! [X1] : 
      ( p79(X1)
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => f81(f33(X1),X2) = f103(f33(X1),f93(X1),X2) ) ) )).

fof(formula_389,lemma,(
    ! [X1] : p1(X1,f71(X1)) )).

fof(formula_192,axiom,(
    ! [X1,X2] : 
      ( p19(X2)
     => p19(f35(X1,X2)) ) )).

fof(formula_393,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => p43(f62(f48(X1,X2)),X1) ) )).

fof(formula_75,axiom,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => ( X1 = X2
          <=> ! [X3,X4] : 
                ( p1(f42(X3,X4),X1)
              <=> p1(f42(X3,X4),X2) ) ) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( ( p14(X1)
        & p16(X1) )
     => ( p17(X1)
        & p18(X1)
        & p16(X1)
        & p13(X1) ) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p6(X1)
     => p3(X1) ) )).

fof(formula_288,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ~ ( p97(X2)
          & p99(X1,f51(X2))
          & ! [X3] : 
              ( p24(X3)
             => ~ p102(X3,X1) ) ) ) )).

fof(formula_431,lemma,(
    ! [X1] : 
      ( p19(X1)
     => ! [X2] : 
          ( p4(X2,f15(f15(X1)))
         => ~ ( X2 != c64
              & ! [X3] : 
                  ~ ( p1(X3,X2)
                    & ! [X4] : 
                        ( ( p1(X4,X2)
                          & p43(X3,X4) )
                       => X4 = X3 ) ) ) ) ) )).

fof(formula_84,axiom,(
    ! [X1] : 
      ( p79(X1)
     => f93(X1) = f33(X1) ) )).

fof(formula_177,axiom,(
    $true )).

fof(formula_563,axiom,(
    ! [X1,X2] : 
      ~ ( p14(X1)
        & X1 != X2
        & p14(X2) ) )).

fof(formula_372,lemma,(
    ! [X1,X2] : 
      ( ( p79(X1)
        & p4(X2,f15(f15(f33(X1)))) )
     => ! [X3] : 
        ? [X4] : 
        ! [X5] : 
          ( p1(X5,X4)
        <=> ( p1(X5,f25(f111(f33(X1),X2),X3))
            & ? [X6,X7] : 
                ( f42(X6,X7) = X5
                & p1(X6,f111(f33(X1),X2))
                & ! [X8] : 
                    ( p4(X8,f15(f33(X1)))
                   => ( X8 = X6
                     => X7 = f81(f33(X1),X8) ) ) ) ) ) ) )).

fof(formula_433,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p1(X1,f51(f104(X3,X2)))
       => ( p1(X1,f51(X3))
          & p1(X1,X2) ) ) ) )).

fof(formula_554,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p24(X4)
     => ( p1(f42(X1,X2),f110(f41(X3),X4))
      <=> ( p1(X1,X3)
          & p1(f42(X1,X2),X4) ) ) ) )).

fof(formula_127,axiom,(
    $true )).

fof(formula_271,axiom,(
    ! [X1,X2] : 
      ( ( p19(X1)
        & p19(X2) )
     => p19(f29(X1,X2)) ) )).

fof(formula_363,axiom,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( X2 = X3
            & p16(X3)
            & X2 = X4
            & p16(X4) )
         => X3 = X4 )
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X4,X1)
              & X4 = X3
              & p16(X3) ) ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p16(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => ( p17(X2)
            & p18(X2)
            & p16(X2) ) ) ) )).

fof(formula_499,lemma,(
    ! [X1] : 
      ( p16(X1)
     => ( ~ ( ~ p101(X1)
            & ! [X2] : 
                ( p16(X2)
               => X1 != f71(X2) ) )
        & ~ ( ? [X2] : 
                ( p16(X2)
                & X1 = f71(X2) )
            & p101(X1) ) ) ) )).

fof(formula_524,lemma,(
    ! [X1] : 
      ( p53(X1)
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => ( ( p90(X2,X1)
             => f54(X1,X2) = X2 )
            & ( ( p73(X1)
                & f54(X1,X2) = X2 )
             => p90(X2,X1) ) ) ) ) )).

fof(formula_73,axiom,(
    ! [X1] : 
      ( p17(X1)
    <=> ! [X2] : 
          ( p1(X2,X1)
         => p43(X2,X1) ) ) )).

fof(formula_160,axiom,(
    ! [X1,X2] : 
      ( ( p24(X1)
        & p24(X2) )
     => p24(f110(X1,X2)) ) )).

fof(formula_249,axiom,(
    ! [X1,X2] : 
      ( ~ p14(X1)
     => ~ p14(f29(X2,X1)) ) )).

fof(formula_204,axiom,(
    ! [X1,X2] : 
      ( ( p24(X1)
        & p23(X1)
        & p24(X2)
        & p23(X2) )
     => ( p24(f110(X1,X2))
        & p23(f110(X1,X2)) ) ) )).

fof(formula_491,axiom,(
    ! [X1] : f100(X1,c64) = X1 )).

fof(formula_466,lemma,(
    ! [X1] : 
      ( p53(X1)
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => ( p90(X2,X1)
          <=> p55(f81(f33(X1),X2),X1) ) ) ) )).

fof(formula_74,axiom,(
    ! [X1] : 
      ( p79(X1)
     => f88(X1) = c64 ) )).

fof(formula_148,axiom,(
    $true )).

fof(formula_133,axiom,(
    ! [X1,X2] : 
      ( ( p53(X1)
        & p4(X2,f15(f33(X1))) )
     => p4(f80(X1,X2),f15(f33(X1))) ) )).

fof(formula_245,axiom,(
    ! [X1] : 
      ( p16(X1)
     => ( ~ p14(f71(X1))
        & p17(f71(X1))
        & p18(f71(X1))
        & p16(f71(X1)) ) ) )).

fof(formula_455,lemma,(
    ! [X1] : 
      ( p16(X1)
     => ! [X2] : 
          ( p16(X2)
         => ~ ( ~ p1(X1,X2)
              & X1 != X2
              & ~ p1(X2,X1) ) ) ) )).

fof(formula_420,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => p43(f52(X2,X1),f46(X2)) ) )).

fof(formula_497,lemma,(
    ! [X1,X2] : f100(f29(X1,X2),X2) = f100(X1,X2) )).

fof(formula_385,lemma,(
    ! [X1,X2] : 
      ( ( p73(X1)
        & p53(X1)
        & p4(X2,f15(f15(f33(X1)))) )
     => ? [X3] : 
          ( p4(X3,f15(f15(f33(X1))))
          & ! [X4] : 
              ( p4(X4,f15(f33(X1)))
             => ( p1(X4,X3)
              <=> p1(f100(f93(X1),X4),X2) ) ) ) ) )).

fof(formula_276,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(X1))
     => f81(X1,f81(X1,X2)) = X2 ) )).

fof(formula_474,lemma,(
    ! [X1] : 
      ( ! [X2] : 
          ( p1(X2,X1)
         => ( p16(X2)
            & p43(X2,X1) ) )
     => p16(X1) ) )).

fof(formula_231,axiom,(
    ! [X1] : ~ p14(f72(X1)) )).

fof(formula_167,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X2,f15(X1))
        & p4(X3,f15(X1)) )
     => p4(f103(X1,X2,X3),f15(X1)) ) )).

fof(formula_20,axiom,(
    ! [X1,X2,X3] : 
      ( p4(X3,f15(f25(X1,X2)))
     => p24(X3) ) )).

fof(formula_297,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p1(f42(X1,X2),f25(X3,X4))
    <=> ( p1(X1,X3)
        & p1(X2,X4) ) ) )).

fof(formula_369,lemma,(
    ! [X1,X2] : 
      ( ( p73(X1)
        & p53(X1)
        & p4(X2,f15(f33(X1))) )
     => ? [X3] : 
        ! [X4] : 
          ( p1(X4,X3)
        <=> ( p1(X4,f15(f33(X1)))
            & ? [X5] : 
                ( p4(X5,f15(f33(X1)))
                & X5 = X4
                & p90(X5,X1)
                & p43(X2,X4) ) ) ) ) )).

fof(formula_279,axiom,(
    ! [X1,X2] : ~ p2(X1,X1) )).

fof(formula_340,axiom,(
    ! [X1,X2] : 
      ( ( p16(X1)
        & p16(X2) )
     => p40(X1,X1) ) )).

fof(formula_486,lemma,(
    ! [X1,X2] : 
      ( p43(f72(X1),X2)
    <=> p1(X1,X2) ) )).

fof(formula_141,axiom,(
    $true )).

fof(formula_86,axiom,(
    ! [X1,X2] : 
      ( p43(X1,X2)
    <=> ! [X3] : 
          ( p1(X3,X1)
         => p1(X3,X2) ) ) )).

fof(formula_283,lemma,(
    ! [X1,X2] : 
      ~ ( p56(f72(X1),X2)
        & p1(X1,X2) ) )).

fof(formula_354,axiom,(
    ! [X1] : 
      ( p16(X1)
     => ( ! [X2,X3,X4] : 
            ( ( X2 = X3
              & ? [X5] : 
                  ( p16(X5)
                  & X3 = X5
                  & ( p1(X5,c27)
                   => ! [X6] : 
                        ( p4(X6,f15(f15(X5)))
                       => ~ ( X6 != c64
                            & ! [X7] : 
                                ~ ( p1(X7,X6)
                                  & ! [X8] : 
                                      ( ( p1(X8,X6)
                                        & p43(X7,X8) )
                                     => X8 = X7 ) ) ) ) ) )
              & X2 = X4
              & ? [X9] : 
                  ( p16(X9)
                  & X4 = X9
                  & ( p1(X9,c27)
                   => ! [X10] : 
                        ( p4(X10,f15(f15(X9)))
                       => ~ ( X10 != c64
                            & ! [X11] : 
                                ~ ( p1(X11,X10)
                                  & ! [X12] : 
                                      ( ( p1(X12,X10)
                                        & p43(X11,X12) )
                                     => X12 = X11 ) ) ) ) ) ) )
           => X3 = X4 )
       => ? [X2] : 
          ! [X3] : 
            ( p1(X3,X2)
          <=> ? [X4] : 
                ( p1(X4,f71(X1))
                & X4 = X3
                & ? [X13] : 
                    ( p16(X13)
                    & X3 = X13
                    & ( p1(X13,c27)
                     => ! [X14] : 
                          ( p4(X14,f15(f15(X13)))
                         => ~ ( X14 != c64
                              & ! [X15] : 
                                  ~ ( p1(X15,X14)
                                    & ! [X16] : 
                                        ( ( p1(X16,X14)
                                          & p43(X15,X16) )
                                       => X16 = X15 ) ) ) ) ) ) ) ) ) ) )).

fof(formula_217,axiom,(
    ! [X1,X2] : 
      ( p3(X1)
     => p3(f35(X2,X1)) ) )).

fof(formula_442,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p23(X4)
        & p65(X4,X1,X2)
        & p63(X4,X1,X2) )
     => ! [X5] : 
          ( ( p24(X5)
            & p23(X5) )
         => ( p1(X3,X1)
           => ( X2 = c64
              | f47(f110(X4,X5),X3) = f47(X5,f47(X4,X3)) ) ) ) ) )).

fof(formula_151,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(X1))
     => p4(f81(X1,X2),f15(X1)) ) )).

fof(formula_267,axiom,(
    ! [X1] : 
      ( ( ~ p14(X1)
        & p24(X1) )
     => ~ p14(f62(X1)) ) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( X2 = f41(X1)
      <=> ! [X3,X4] : 
            ( p1(f42(X3,X4),X2)
          <=> ( p1(X3,X1)
              & X3 = X4 ) ) ) ) )).

fof(formula_43,axiom,(
    ! [X1,X2] : 
      ( p24(X2)
     => ! [X3] : 
          ( p24(X3)
         => ( X3 = f48(X1,X2)
          <=> ! [X4,X5] : 
                ( p1(f42(X4,X5),X3)
              <=> ( p1(X5,X1)
                  & p1(f42(X4,X5),X2) ) ) ) ) ) )).

fof(formula_546,lemma,(
    ! [X1] : f28(X1,X1) = f72(X1) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p4(X1,c27)
     => ( p17(X1)
        & p18(X1)
        & p16(X1)
        & p13(X1) ) ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : f28(X1,X2) = f28(X2,X1) )).

fof(formula_398,lemma,(
    ! [X1,X2,X3,X4] : 
      ( ( p43(X1,X2)
        & p43(X3,X4) )
     => p43(f25(X1,X3),f25(X2,X4)) ) )).

fof(formula_225,axiom,(
    p14(c64) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p4(X2,X1)
         => p5(X2) ) ) )).

fof(formula_356,axiom,(
    ! [X1,X2] : 
      ( ( p73(X1)
        & p53(X1)
        & p4(X2,f15(f15(f33(X1)))) )
     => ( ! [X3,X4,X5] : 
            ( ( X3 = X4
              & p1(f100(f93(X1),X4),X2)
              & X3 = X5
              & p1(f100(f93(X1),X5),X2) )
           => X4 = X5 )
       => ? [X3] : 
          ! [X4] : 
            ( p1(X4,X3)
          <=> ? [X5] : 
                ( p1(X5,f15(f33(X1)))
                & X5 = X4
                & p1(f100(f93(X1),X4),X2) ) ) ) ) )).

fof(formula_540,lemma,(
    ! [X1] : 
      ( ( p24(X1)
        & p23(X1) )
     => ( p26(X1)
       => p26(f112(X1)) ) ) )).

fof(formula_159,axiom,(
    $true )).

fof(formula_165,axiom,(
    ! [X1] : p24(f41(X1)) )).

fof(formula_150,axiom,(
    $true )).

fof(formula_352,axiom,(
    ! [X1] : 
      ( ! [X2,X3,X4] : 
          ( ( p1(X2,X1)
            & X3 = f72(X2)
            & p1(X2,X1)
            & X4 = f72(X2) )
         => X3 = X4 )
     => ? [X2] : 
        ! [X3] : 
          ( p1(X3,X2)
        <=> ? [X4] : 
              ( p1(X4,X1)
              & p1(X4,X1)
              & X3 = f72(X4) ) ) ) )).

fof(formula_505,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ! [X2] : 
          ( p24(X2)
         => p43(f62(f110(X1,X2)),f62(X2)) ) ) )).

fof(formula_203,axiom,(
    ! [X1] : 
      ( ~ p14(f15(X1))
      & p21(f15(X1))
      & p22(f15(X1))
      & p20(f15(X1)) ) )).

fof(formula_194,axiom,(
    ! [X1,X2] : 
      ( p19(X1)
     => p19(f35(X1,X2)) ) )).

fof(formula_498,lemma,(
    ! [X1] : 
      ( p16(X1)
     => ( p101(X1)
      <=> ! [X2] : 
            ( p16(X2)
           => ( p1(X2,X1)
             => p1(f71(X2),X1) ) ) ) ) )).

fof(formula_425,lemma,(
    ! [X1,X2,X3] : 
      ( p24(X3)
     => ( p43(X1,X2)
       => p43(f52(X3,X1),f52(X3,X2)) ) ) )).

fof(formula_176,axiom,(
    ! [X1] : 
      ( p107(X1)
     => ( p37(X1)
        & p32(X1) ) ) )).

fof(formula_36,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p30(X1)
        & p36(X1)
        & p37(X1)
        & p4(X2,f33(X1))
        & p4(X3,f33(X1)) )
     => f38(X1,X2,X3) = f38(X1,X3,X2) ) )).

fof(formula_146,axiom,(
    ! [X1,X2] : 
      ( p24(X1)
     => p24(f104(X1,X2)) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( ( p17(X1)
        & p18(X1) )
     => p16(X1) ) )).

fof(formula_284,lemma,(
    ! [X1,X2] : 
      ( ~ p1(X1,X2)
     => p56(f72(X1),X2) ) )).

fof(formula_149,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p30(X1)
        & p31(X1)
        & p32(X1)
        & p4(X2,f33(X1))
        & p4(X3,f33(X1)) )
     => p4(f34(X1,X2,X3),f33(X1)) ) )).

fof(formula_375,lemma,(
    ! [X1] : 
    ? [X2] : 
    ! [X3] : 
      ( p1(X3,X2)
    <=> ( p1(X3,X1)
        & p16(X3) ) ) )).

fof(formula_81,axiom,(
    ! [X1,X2,X3] : 
      ( X3 = f25(X1,X2)
    <=> ! [X4] : 
          ( p1(X4,X3)
        <=> ? [X5,X6] : 
              ( p1(X5,X1)
              & p1(X6,X2)
              & X4 = f42(X5,X6) ) ) ) )).

fof(formula_175,axiom,(
    ! [X1] : 
      ( p32(X1)
     => p79(X1) ) )).

fof(formula_459,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p102(X2,X1)
       => ( f51(f104(X2,X1)) = X1
          & p97(f104(X2,X1)) ) ) ) )).

fof(formula_535,lemma,(
    ! [X1] : 
      ( p24(X1)
     => ( p91(X1)
      <=> p94(X1,f51(X1)) ) ) )).

fof(formula_293,lemma,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p79(X1) )
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => ! [X3] : 
              ( p4(X3,f33(X1))
             => ( p1(X3,f81(f33(X1),X2))
              <=> ~ p1(X3,X2) ) ) ) ) )).

fof(formula_450,lemma,(
    ! [X1,X2] : 
      ( ( p24(X2)
        & p23(X2) )
     => ! [X3] : 
          ( ( p24(X3)
            & p23(X3) )
         => ( p1(X1,f46(X2))
           => f47(f110(X2,X3),X1) = f47(X3,f47(X2,X1)) ) ) ) )).

fof(formula_220,axiom,(
    ! [X1] : 
      ( p24(f41(X1))
      & p23(f41(X1)) ) )).

fof(formula_494,lemma,(
    ! [X1] : p59(f84(X1)) )).

fof(formula_242,axiom,(
    ! [X1,X2] : 
      ( p6(X1)
     => ( p3(f100(X1,X2))
        & p6(f100(X1,X2)) ) ) )).

fof(formula_381,lemma,(
    ! [X1,X2] : 
      ( ( p79(X1)
        & p4(X2,f15(f15(f33(X1)))) )
     => ( ( ! [X3,X4,X5] : 
              ( ( p1(X3,X2)
                & ! [X6] : 
                    ( p4(X6,f15(f33(X1)))
                   => ( X6 = X3
                     => X4 = f81(f33(X1),X6) ) )
                & ! [X7] : 
                    ( p4(X7,f15(f33(X1)))
                   => ( X7 = X3
                     => X5 = f81(f33(X1),X7) ) ) )
             => X4 = X5 )
          & ! [X3] : 
              ~ ( p1(X3,X2)
                & ! [X4] : 
                    ~ ! [X8] : 
                        ( p4(X8,f15(f33(X1)))
                       => ( X8 = X3
                         => X4 = f81(f33(X1),X8) ) ) ) )
       => ? [X3] : 
            ( p24(X3)
            & p23(X3)
            & f46(X3) = X2
            & ! [X4] : 
                ( p1(X4,X2)
               => ! [X9] : 
                    ( p4(X9,f15(f33(X1)))
                   => ( X9 = X4
                     => f47(X3,X4) = f81(f33(X1),X9) ) ) ) ) ) ) )).

fof(formula_285,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => p43(f46(f48(X1,X2)),f46(X2)) ) )).

fof(formula_333,axiom,(
    ! [X1,X2] : 
      ( p4(X2,f15(f15(X1)))
     => f75(X1,X2) = f96(X2) ) )).

fof(formula_125,axiom,(
    $true )).

fof(formula_46,axiom,(
    ! [X1] : 
      ( p53(X1)
     => ! [X2] : 
          ( p4(X2,f15(f33(X1)))
         => ! [X3] : 
              ( p4(X3,f15(f33(X1)))
             => ( X3 = f54(X1,X2)
              <=> ! [X4] : 
                    ( p1(X4,f33(X1))
                   => ( p1(X4,X3)
                    <=> ! [X5] : 
                          ( p4(X5,f15(f33(X1)))
                         => ~ ( p55(X5,X1)
                              & p1(X4,X5)
                              & p56(X2,X5) ) ) ) ) ) ) ) ) )).

fof(formula_403,lemma,(
    ! [X1,X2] : 
      ( p43(X1,X2)
     => f29(X1,X2) = X2 ) )).

fof(formula_415,lemma,(
    ! [X1,X2,X3,X4] : 
      ( p63(X4,X3,X1)
     => ( p43(f62(X4),X2)
       => p63(X4,X3,X2) ) ) )).

fof(formula_105,axiom,(
    ! [X1] : 
      ( p101(X1)
    <=> X1 = f96(X1) ) )).

fof(formula_126,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p30(X1)
        & p32(X1)
        & p4(X2,f33(X1))
        & p4(X3,f33(X1)) )
     => p4(f67(X1,X2,X3),f33(X1)) ) )).

fof(formula_564,lemma,(
    ! [X1,X2,X3] : 
      ( ( p24(X3)
        & p23(X3) )
     => ( p1(f42(X1,X2),X3)
      <=> ( p1(X1,f46(X3))
          & X2 = f47(X3,X1) ) ) ) )).

fof(formula_253,axiom,(
    ! [X1] : 
      ( p16(X1)
     => ( p17(f96(X1))
        & p18(f96(X1))
        & p16(f96(X1)) ) ) )).

fof(formula_311,axiom,(
    ? [X1] : p14(X1) )).

fof(formula_114,axiom,(
    ! [X1] : 
      ( ( ~ p30(X1)
        & p107(X1) )
     => ( p108(X1)
      <=> ! [X2] : 
            ( p4(X2,f33(X1))
           => ! [X3] : 
                ( p4(X3,f33(X1))
               => f67(X1,f85(X1,X2,X3),X3) = X3 ) ) ) ) )).

fof(formula_269,axiom,(
    ! [X1] : 
      ( p14(X1)
     => ( p14(f46(X1))
        & p24(f46(X1)) ) ) )).

fof(formula_265,axiom,(
    p10(c64) )).

fof(formula_264,axiom,(
    p8(c64) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( ( p21(X1)
        & p22(X1) )
     => p20(X1) ) )).

fof(formula_123,axiom,(
    $true )).

fof(formula_406,lemma,(
    ! [X1] : 
      ( p79(X1)
     => ! [X2] : 
          ( p4(X2,f15(f15(f33(X1))))
         => ( p19(f111(f33(X1),X2))
          <=> p19(X2) ) ) ) )).

fof(formula_183,axiom,(
    ! [X1] : 
      ( p32(X1)
     => ( p23(f69(X1))
        & p65(f69(X1),f25(f33(X1),f33(X1)),f33(X1))
        & p63(f69(X1),f25(f33(X1),f33(X1)),f33(X1)) ) ) )).

fof(formula_179,axiom,(
    ! [X1,X2,X3] : 
      ( p63(X3,X1,X2)
     => p4(X3,f15(f25(X1,X2))) ) )).

fof(formula_571,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => p43(f62(f44(X2,X1)),f62(X2)) ) )).

fof(formula_559,lemma,(
    ! [X1,X2] : p43(X1,f29(X1,X2)) )).

fof(formula_237,axiom,(
    ! [X1,X2] : 
      ( p10(X1)
     => ( p3(f35(X1,X2))
        & p6(f35(X1,X2))
        & p8(f35(X1,X2))
        & p10(f35(X1,X2)) ) ) )).

fof(formula_440,lemma,(
    ! [X1,X2] : 
      ( p24(X2)
     => ( p43(f51(f104(X2,X1)),f51(X2))
        & p43(f51(f104(X2,X1)),X1) ) ) )).

fof(formula_83,axiom,(
    ! [X1] : 
      ( p18(X1)
    <=> ! [X2,X3] : 
          ~ ( p1(X2,X1)
            & p1(X3,X1)
            & ~ p1(X2,X3)
            & X2 != X3
            & ~ p1(X3,X2) ) ) )).

fof(formula_187,axiom,(
    ? [X1] : p32(X1) )).

fof(formula_182,axiom,(
    $true )).

fof(formula_205,axiom,(
    ! [X1] : ~ p14(f71(X1)) )).

fof(formula_476,lemma,(
    ! [X1,X2] : 
      ( p16(X2)
     => ~ ( p43(X1,X2)
          & X1 != c64
          & ! [X3] : 
              ( p16(X3)
             => ~ ( p1(X3,X1)
                  & ! [X4] : 
                      ( p16(X4)
                     => ( p1(X4,X1)
                       => p40(X3,X4) ) ) ) ) ) ) )).
%------------------------------------------------------------------------------
