%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f17(A) = f17(B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f20(A) = f20(B) ) )).

fof(f21_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f21(A) = f21(B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(A,C) = f22(B,C) ) )).

fof(f22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f22(C,A) = f22(C,B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(A,C) = f23(B,C) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(C,A) = f23(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f33_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f33(A) = f33(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(A,C) )
     => p16(B,C) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(C,A) )
     => p16(C,B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p24(A,C,D) )
     => p24(B,C,D) ) )).

fof(p24_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p24(C,A,D) )
     => p24(C,B,D) ) )).

fof(p24_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p24(C,D,A) )
     => p24(C,D,B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p25(A) )
     => p25(B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p26(A) )
     => p26(B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p27(A) )
     => p27(B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p28(A,C,D) )
     => p28(B,C,D) ) )).

fof(p28_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p28(C,A,D) )
     => p28(C,B,D) ) )).

fof(p28_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p28(C,D,A) )
     => p28(C,D,B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p29(A,C,D) )
     => p29(B,C,D) ) )).

fof(p29_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p29(C,A,D) )
     => p29(C,B,D) ) )).

fof(p29_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p29(C,D,A) )
     => p29(C,D,B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p30(A) )
     => p30(B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p31(A) )
     => p31(B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p32(A) )
     => p32(B) ) )).

fof(p34_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p34(A) )
     => p34(B) ) )).

fof(p35_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p35(A) )
     => p35(B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p36(A) )
     => p36(B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p37(A) )
     => p37(B) ) )).

fof(p39_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p39(A,C) )
     => p39(B,C) ) )).

fof(p39_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p39(C,A) )
     => p39(C,B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p40(A,C,D) )
     => p40(B,C,D) ) )).

fof(p40_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p40(C,A,D) )
     => p40(C,B,D) ) )).

fof(p40_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p40(C,D,A) )
     => p40(C,D,B) ) )).

fof(p41_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p41(A,C,D) )
     => p41(B,C,D) ) )).

fof(p41_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p41(C,A,D) )
     => p41(C,B,D) ) )).

fof(p41_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p41(C,D,A) )
     => p41(C,D,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( p24(X2,X1,X1)
     => ( p2(f3(X1,X2))
        & p1(f3(X1,X2)) ) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( ( p30(X1)
        & p31(X1)
        & p32(X1)
        & p1(X1) )
     => ( p19(f5(X1))
        & p25(f5(X1))
        & p26(f5(X1))
        & p27(f5(X1))
        & p28(f5(X1),f4(X1),f4(X1)) ) ) )).

fof(formula_41,axiom,(
    ! [X1,X2] : 
      ( ( p25(X2)
        & p26(X2)
        & p27(X2)
        & p28(X2,X1,X1)
        & p24(X2,X1,X1) )
     => ( p2(f3(X1,X2))
        & p30(f3(X1,X2))
        & p31(f3(X1,X2))
        & p32(f3(X1,X2)) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1) )
     => f20(X1) = f3(f4(X1),f21(X1)) ) )).

fof(formula_65,axiom,(
    ! [X1,X2] : 
      ~ ( p37(X1)
        & X1 != X2
        & p37(X2) ) )).

fof(formula_38,axiom,(
    ! [X1] : ~ p37(f17(X1)) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => ~ p6(X2,X1) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1) )
     => p19(f33(X1)) ) )).

fof(formula_11,axiom,(
    $true )).

fof(formula_27,axiom,(
    $true )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1) )
     => ( p25(f21(X1))
        & p26(f21(X1))
        & p27(f21(X1))
        & p28(f21(X1),f4(X1),f4(X1))
        & p29(f21(X1),f4(X1),f4(X1)) ) ) )).

fof(formula_23,axiom,(
    $true )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p34(X1)
     => p35(X1) ) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
    ? [X3] : p29(X3,X1,X2) )).

fof(formula_64,axiom,(
    ! [X1,X2] : 
      ~ ( p6(X1,X2)
        & p37(X2) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1) )
     => ! [X2] : 
          ( p16(X2,f4(f20(X1)))
         => f23(X1,X2) = X2 ) ) )).

fof(formula_59,axiom,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => ( p37(X2)
        | p6(X1,X2) ) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1)
        & p16(X2,f4(f20(X1))) )
     => p16(f23(X1,X2),f4(X1)) ) )).

fof(formula_20,axiom,(
    $true )).

fof(formula_32,axiom,(
    ? [X1] : p7(X1) )).

fof(formula_28,axiom,(
    ? [X1] : p34(X1) )).

fof(formula_45,axiom,(
    ? [X1] : 
      ( p1(X1)
      & p2(X1) ) )).

fof(formula_55,axiom,(
    ! [X1,X2] : p39(X1,X1) )).

fof(formula_62,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p6(X1,X2)
        & p16(X2,f17(X3))
        & p37(X3) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( p34(X1)
        & p36(X1) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1) )
     => ! [X2] : 
          ( p16(X2,f4(X1))
         => f22(X1,X2) = X2 ) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( ( ~ p8(X1)
          & p9(X1) )
       => ( ~ p8(X1)
          & p10(X1)
          & p11(X1)
          & p12(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1) ) ) ) )).

fof(formula_57,axiom,(
    ! [X1,X2] : 
      ( ( ~ p8(X2)
        & p9(X2)
        & p7(X2) )
     => ! [X3] : 
          ( p16(X3,f4(X2))
         => ( p40(X2,X3,X1)
          <=> p41(f20(X2),X1,f22(X2,X3)) ) ) ) )).

fof(formula_30,axiom,(
    ? [X1] : p35(X1) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p2(X1)
       => X1 = f3(f4(X1),f5(X1)) ) ) )).

fof(formula_29,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_37,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p35(X1) )
     => ~ p37(f4(X1)) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
    ? [X2] : p16(X2,X1) )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p35(X1) )
     => ? [X2] : 
          ( p16(X2,f17(f4(X1)))
          & ~ p37(X2) ) ) )).

fof(formula_25,axiom,(
    ! [X1,X2,X3] : 
      ( p29(X3,X1,X2)
     => p16(X3,f17(f18(X1,X2))) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p36(X1)
     => p35(X1) ) )).

fof(formula_10,axiom,(
    $true )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1)
        & p16(X2,f4(X1)) )
     => p16(f22(X1,X2),f4(f20(X1))) ) )).

fof(formula_48,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p8(X1)
      & p2(X1)
      & p30(X1)
      & p31(X1)
      & p32(X1) ) )).

fof(formula_63,axiom,(
    ! [X1] : 
      ( p37(X1)
     => X1 = c38 ) )).

fof(formula_58,conjecture,(
    ! [X1,X2] : 
      ( ( ~ p8(X2)
        & p9(X2)
        & p7(X2) )
     => ! [X3] : 
          ( p16(X3,f4(f20(X2)))
         => ( p41(f20(X2),X1,X3)
          <=> p40(X2,f23(X2,X3),X1) ) ) ) )).

fof(formula_39,axiom,(
    p37(c38) )).

fof(formula_49,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p16(X2,f17(X1))
      & p37(X2) ) )).

fof(formula_54,axiom,(
    ! [X1,X2,X3] : 
      ( p29(X3,X1,X2)
    <=> p24(X3,X1,X2) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( ( ~ p37(X1)
        & p24(X2,X1,X1) )
     => ( ~ p8(f3(X1,X2))
        & p2(f3(X1,X2)) ) ) )).

fof(formula_51,axiom,(
    ? [X1] : 
      ( p35(X1)
      & ~ p8(X1) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p7(X1)
     => ( ( ~ p8(X1)
          & p10(X1)
          & p11(X1)
          & p12(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1) )
       => ( ~ p8(X1)
          & p9(X1) ) ) ) )).

fof(formula_31,axiom,(
    ? [X1] : p36(X1) )).

fof(formula_46,axiom,(
    ! [X1] : 
      ( ~ p37(X1)
     => ? [X2] : 
          ( p16(X2,f17(X1))
          & ~ p37(X2) ) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p29(f5(X1),f4(X1),f4(X1)) ) )).

fof(formula_61,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p16(X2,f17(X3)) )
     => p16(X1,X3) ) )).

fof(formula_44,axiom,(
    ! [X1,X2] : 
      ( p24(X2,X1,X1)
     => ! [X3,X4] : 
          ( f3(X1,X2) = f3(X3,X4)
         => ( X1 = X3
            & X2 = X4 ) ) ) )).

fof(formula_24,axiom,(
    $true )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
    ? [X3] : p24(X3,X1,X2) )).

fof(formula_53,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1) )
     => f21(X1) = f33(X1) ) )).

fof(formula_42,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1) )
     => ( ~ p8(f20(X1))
        & p2(f20(X1))
        & p30(f20(X1))
        & p31(f20(X1))
        & p32(f20(X1)) ) ) )).

fof(formula_50,axiom,(
    ? [X1] : ~ p37(X1) )).

fof(formula_60,axiom,(
    ! [X1,X2] : 
      ( p16(X1,f17(X2))
    <=> p39(X1,X2) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p35(X1) ) )).

fof(formula_47,axiom,(
    ? [X1] : p37(X1) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & p7(X1) )
     => ( p2(f20(X1))
        & p30(f20(X1))
        & p31(f20(X1))
        & p32(f20(X1))
        & p1(f20(X1)) ) ) )).

fof(formula_43,axiom,(
    ! [X1,X2] : 
      ( ( ~ p37(X1)
        & ~ p37(X2) )
     => ~ p37(f18(X1,X2)) ) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( p16(X3,f17(f18(X1,X2)))
     => p19(X3) ) )).

fof(formula_56,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => p16(X1,X2) ) )).
%------------------------------------------------------------------------------
