%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f12(A) = f12(B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(A,C) = f18(B,C) ) )).

fof(f18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f18(C,A) = f18(C,B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(A,C) = f19(B,C) ) )).

fof(f19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f19(C,A) = f19(C,B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(A,C) = f25(B,C) ) )).

fof(f25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f25(C,A) = f25(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(A,C,D) )
     => p13(B,C,D) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(C,A,D) )
     => p13(C,B,D) ) )).

fof(p13_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(C,D,A) )
     => p13(C,D,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(A,C,D) )
     => p14(B,C,D) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(C,A,D) )
     => p14(C,B,D) ) )).

fof(p14_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p14(C,D,A) )
     => p14(C,D,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(A,C,D) )
     => p15(B,C,D) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(C,A,D) )
     => p15(C,B,D) ) )).

fof(p15_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(C,D,A) )
     => p15(C,D,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p23(A) )
     => p23(B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p26(A,C,D) )
     => p26(B,C,D) ) )).

fof(p26_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p26(C,A,D) )
     => p26(C,B,D) ) )).

fof(p26_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p26(C,D,A) )
     => p26(C,D,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_19,axiom,(
    ? [X1] : p22(X1) )).

fof(formula_30,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p3(X1)
        & p7(X1)
        & p9(X1)
        & p10(X1)
        & p2(X1)
        & p11(X2,f12(X1))
        & p11(X3,f12(X1)) )
     => p26(X1,X2,X2) ) )).

fof(formula_34,conjecture,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p4(X1)
        & p16(X1)
        & p2(X1) )
     => ! [X2] : 
          ( p11(X2,f12(X1))
         => ! [X3] : 
              ( X2 = f18(X1,X3)
            <=> ( p13(X1,X2,X3)
                & ! [X4] : 
                    ( p11(X4,f12(X1))
                   => ( p13(X1,X4,X3)
                     => p26(X1,X4,X2) ) ) ) ) ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p22(X1)
     => p21(X1) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p2(X1) )
     => ! [X2] : 
          ( p11(X2,f12(X1))
         => ! [X3] : 
              ( p13(X1,X2,X3)
            <=> ! [X4] : 
                  ( p11(X4,f12(X1))
                 => ( p1(X4,X3)
                   => p14(X1,X2,X4) ) ) ) ) ) )).

fof(formula_31,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p11(X1,X2) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( p20(X1)
        & p22(X1) ) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
    ? [X2] : p11(X2,X1) )).

fof(formula_10,axiom,(
    $true )).

fof(formula_15,axiom,(
    $true )).

fof(formula_12,axiom,(
    $true )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p23(X1)
     => X1 = c24 ) )).

fof(formula_20,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p2(X1) )
     => ! [X2] : 
          ( p11(X2,f12(X1))
         => ! [X3] : 
              ( p15(X1,X2,X3)
            <=> ! [X4] : 
                  ( p11(X4,f12(X1))
                 => ( p1(X4,X3)
                   => p14(X1,X4,X2) ) ) ) ) ) )).

fof(formula_25,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p3(X2)
        & p4(X2)
        & p16(X2)
        & p2(X2) )
     => ( p1(X1,f25(X2,X3))
      <=> ? [X4] : 
            ( p11(X4,f12(X2))
            & X1 = X4
            & p13(X2,X4,X3) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
        & p2(X1) )
     => p11(f18(X1,X2),f12(X1)) ) )).

fof(formula_17,axiom,(
    ? [X1] : p20(X1) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p1(X3,X1)
        <=> p1(X3,X2) )
     => X1 = X2 ) )).

fof(formula_29,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p3(X1)
        & p7(X1)
        & p9(X1)
        & p10(X1)
        & p2(X1)
        & p11(X2,f12(X1))
        & p11(X3,f12(X1)) )
     => ( p26(X1,X2,X3)
      <=> p14(X1,X2,X3) ) ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ~ ( p23(X1)
        & X1 != X2
        & p23(X2) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( ( ~ p3(X1)
        & p2(X1) )
     => p11(f17(X1,X2),f12(X1)) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p2(X1) )
     => ! [X2] : f18(X1,X2) = f17(X1,f19(X1,X2)) ) )).

fof(formula_24,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p3(X2)
        & p2(X2) )
     => ( p1(X1,f19(X2,X3))
      <=> ? [X4] : 
            ( p11(X4,f12(X2))
            & X1 = X4
            & p13(X2,X4,X3) ) ) ) )).

fof(formula_18,axiom,(
    ? [X1] : p21(X1) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( ( ~ p3(X1)
          & p4(X1) )
       => ( ~ p3(X1)
          & p5(X1)
          & p6(X1)
          & p7(X1)
          & p8(X1)
          & p9(X1)
          & p10(X1) ) ) ) )).

fof(formula_23,axiom,(
    p23(c24) )).

fof(formula_16,axiom,(
    $true )).

fof(formula_28,axiom,(
    ? [X1] : 
      ( p21(X1)
      & ~ p3(X1) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p21(X1) )
     => ~ p23(f12(X1)) ) )).

fof(formula_26,axiom,(
    ? [X1] : p23(X1) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p2(X1)
     => ( ( ~ p3(X1)
          & p5(X1)
          & p6(X1)
          & p7(X1)
          & p8(X1)
          & p9(X1)
          & p10(X1) )
       => ( ~ p3(X1)
          & p4(X1) ) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p20(X1)
     => p21(X1) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( ~ p3(X1)
        & p2(X1) )
     => ( ( ~ p3(X1)
          & p4(X1)
          & p16(X1)
          & p2(X1) )
       => ! [X2,X3] : 
            ( p11(X3,f12(X1))
           => ( X3 = f17(X1,X2)
            <=> ( p15(X1,X3,X2)
                & ! [X4] : 
                    ( p11(X4,f12(X1))
                   => ( p15(X1,X4,X2)
                     => p14(X1,X3,X4) ) ) ) ) ) ) ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => ( p23(X2)
        | p1(X1,X2) ) ) )).

fof(formula_27,axiom,(
    ? [X1] : ~ p23(X1) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p23(X2) ) )).
%------------------------------------------------------------------------------
