%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f18(A) = f18(B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f19(A) = f19(B) ) )).

fof(f20_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f20(A) = f20(B) ) )).

fof(f22_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f22(A) = f22(B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f23(A,C,D,E) = f23(B,C,D,E) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f23(C,A,D,E) = f23(C,B,D,E) ) )).

fof(f23_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f23(C,D,A,E) = f23(C,D,B,E) ) )).

fof(f23_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f23(C,D,E,A) = f23(C,D,E,B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(A,C) = f27(B,C) ) )).

fof(f27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(C,A) = f27(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(A,C,D) )
     => p13(B,C,D) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(C,A,D) )
     => p13(C,B,D) ) )).

fof(p13_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(C,D,A) )
     => p13(C,D,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(A,C,D) )
     => p15(B,C,D) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(C,A,D) )
     => p15(C,B,D) ) )).

fof(p15_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(C,D,A) )
     => p15(C,D,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p2(A,C,D) )
     => p2(B,C,D) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p2(C,A,D) )
     => p2(C,B,D) ) )).

fof(p2_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p2(C,D,A) )
     => p2(C,D,B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p21(A,C,D) )
     => p21(B,C,D) ) )).

fof(p21_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p21(C,A,D) )
     => p21(C,B,D) ) )).

fof(p21_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p21(C,D,A) )
     => p21(C,D,B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p24(A) )
     => p24(B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p26(A) )
     => p26(B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p28(A,C) )
     => p28(B,C) ) )).

fof(p28_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p28(C,A) )
     => p28(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p4(A,C,D) )
     => p4(B,C,D) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p4(C,A,D) )
     => p4(C,B,D) ) )).

fof(p4_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p4(C,D,A) )
     => p4(C,D,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p5(A,C,D) )
     => p5(B,C,D) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p5(C,A,D) )
     => p5(C,B,D) ) )).

fof(p5_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p5(C,D,A) )
     => p5(C,D,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p4(f19(X1),X1,X1)
      & p21(f19(X1),X1,X1) ) )).

fof(formula_47,axiom,(
    ! [X1,X2] : p28(X1,X1) )).

fof(formula_30,axiom,(
    p16(c25) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( ( ~ p16(X1)
        & ~ p16(X2) )
     => ~ p16(f12(X1,X2)) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p2(X3,X1,X2)
      & p6(X3)
      & p3(X3) ) )).

fof(formula_42,axiom,(
    ? [X1] : 
      ( p17(X1)
      & ~ p24(X1) ) )).

fof(formula_52,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p10(X2,f11(X3)) )
     => p10(X1,X3) ) )).

fof(formula_44,axiom,(
    ! [X1] : f19(X1) = f22(X1) )).

fof(formula_51,axiom,(
    ! [X1,X2] : 
      ( p10(X1,f11(X2))
    <=> p28(X1,X2) ) )).

fof(formula_40,axiom,(
    ? [X1] : ~ p16(X1) )).

fof(formula_55,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p16(X2) ) )).

fof(formula_11,axiom,(
    $true )).

fof(formula_50,axiom,(
    ! [X1,X2] : 
      ( p1(X2,X1)
     => f27(f22(X1),X2) = X2 ) )).

fof(formula_46,axiom,(
    ! [X1,X2,X3] : 
      ( p21(X3,X1,X2)
    <=> p2(X3,X1,X2) ) )).

fof(formula_22,axiom,(
    ! [X1,X2,X3] : 
      ( p21(X3,X1,X2)
     => p10(X3,f11(f12(X1,X2))) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( ( p6(X1)
        & p7(X1)
        & p8(X1) )
     => ( p6(X1)
        & p9(X1) ) ) )).

fof(formula_24,axiom,(
    ? [X1] : p17(X1) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( ( ~ p24(X1)
        & p17(X1) )
     => ~ p16(f20(X1)) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p17(X1)
     => ( p3(f18(X1))
        & p5(f18(X1),f20(X1),f20(X1))
        & p21(f18(X1),f20(X1),f20(X1)) ) ) )).

fof(formula_34,axiom,(
    ? [X1] : 
      ( p6(X1)
      & p3(X1)
      & p14(X1)
      & p16(X1) ) )).

fof(formula_2,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X3,X1,X2)
     => ( ( p3(X3)
          & p4(X3,X1,X2) )
       => ( p3(X3)
          & p5(X3,X1,X2) ) ) ) )).

fof(formula_56,axiom,(
    ! [X1,X2] : 
      ~ ( p16(X1)
        & X1 != X2
        & p16(X2) ) )).

fof(formula_14,axiom,(
    $true )).

fof(formula_29,axiom,(
    ! [X1] : ~ p16(f11(X1)) )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( ( ~ p24(X1)
        & p17(X1) )
     => ? [X2] : 
          ( p10(X2,f11(f20(X1)))
          & ~ p16(X2) ) ) )).

fof(formula_18,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( ~ p16(X1)
        & p3(X3)
        & p5(X3,X1,X2)
        & p2(X3,X1,X2)
        & p10(X4,X1) )
     => p10(f23(X1,X2,X3,X4),X2) ) )).

fof(formula_57,conjecture,(
    ! [X1] : 
      ( ( ~ p24(X1)
        & p17(X1) )
     => ! [X2] : 
          ( p10(X2,f20(X1))
         => f23(f20(X1),f20(X1),f18(X1),X2) = X2 ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( p10(X3,f11(f12(X1,X2)))
     => p6(X3) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( ( ~ p16(X1)
        & ~ p16(X2) )
     => ! [X3] : 
          ( p2(X3,X1,X2)
         => ( ( p3(X3)
              & p5(X3,X1,X2) )
           => ( p3(X3)
              & ~ p16(X3)
              & p4(X3,X1,X2)
              & p5(X3,X1,X2) ) ) ) ) )).

fof(formula_20,axiom,(
    $true )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p17(X1)
     => f18(X1) = f19(f20(X1)) ) )).

fof(formula_16,axiom,(
    ! [X1] : p6(f22(X1)) )).

fof(formula_26,axiom,(
    ! [X1] : 
    ? [X2] : p10(X2,X1) )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
    ? [X3] : p21(X3,X1,X2) )).

fof(formula_39,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p10(X2,f11(X1))
      & p16(X2) ) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X3,X1,X2)
     => ( ( p3(X3)
          & p14(X3)
          & p5(X3,X1,X2)
          & p15(X3,X1,X2) )
       => ( p3(X3)
          & p5(X3,X1,X2)
          & p13(X3,X1,X2) ) ) ) )).

fof(formula_48,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p10(X1,X2) ) )).

fof(formula_49,axiom,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => ( p16(X2)
        | p1(X1,X2) ) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
    ? [X3] : 
      ( p2(X3,X1,X2)
      & p6(X3)
      & p3(X3)
      & p5(X3,X1,X2) ) )).

fof(formula_45,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( ~ p16(X1)
        & p3(X3)
        & p5(X3,X1,X2)
        & p2(X3,X1,X2)
        & p10(X4,X1) )
     => f23(X1,X2,X3,X4) = f27(X3,X4) ) )).

fof(formula_23,axiom,(
    $true )).

fof(formula_53,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p10(X2,f11(X3))
        & p16(X3) ) )).

fof(formula_37,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p2(X2,X1,X1)
      & p6(X2)
      & p3(X2)
      & p14(X2)
      & p5(X2,X1,X1)
      & p15(X2,X1,X1)
      & p13(X2,X1,X1) ) )).

fof(formula_41,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p2(X2,X1,X1)
      & p6(X2)
      & p9(X2)
      & p7(X2)
      & p26(X2)
      & p8(X2)
      & p4(X2,X1,X1) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p6(f22(X1))
      & p3(f22(X1))
      & p9(f22(X1))
      & p7(f22(X1))
      & p26(f22(X1))
      & p8(f22(X1)) ) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( ~ p16(X1)
     => ? [X2] : 
          ( p10(X2,f11(X1))
          & ~ p16(X2) ) ) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_54,axiom,(
    ! [X1] : 
      ( p16(X1)
     => X1 = c25 ) )).

fof(formula_36,axiom,(
    ? [X1] : p16(X1) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
    ? [X3] : p2(X3,X1,X2) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X3,X1,X2)
     => ( ( p3(X3)
          & p5(X3,X1,X2)
          & p13(X3,X1,X2) )
       => ( p3(X3)
          & p14(X3)
          & p5(X3,X1,X2)
          & p15(X3,X1,X2) ) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( p2(X2,X1,X1)
     => ( ( p3(X2)
          & p4(X2,X1,X1)
          & p9(X2)
          & p5(X2,X1,X1) )
       => ( p3(X2)
          & p14(X2)
          & p5(X2,X1,X1)
          & p15(X2,X1,X1)
          & p13(X2,X1,X1) ) ) ) )).

fof(formula_21,axiom,(
    $true )).

fof(formula_19,axiom,(
    $true )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( ~ p16(X2)
     => ! [X3] : 
          ( p2(X3,X1,X2)
         => ( ( p3(X3)
              & p5(X3,X1,X2) )
           => ( p3(X3)
              & p4(X3,X1,X2)
              & p5(X3,X1,X2) ) ) ) ) )).
%------------------------------------------------------------------------------
