%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f7(A) = f7(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(A,C) )
     => p14(B,C) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(C,A) )
     => p14(C,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(A,C,D) )
     => p15(B,C,D) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(C,A,D) )
     => p15(C,B,D) ) )).

fof(p15_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(C,D,A) )
     => p15(C,D,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(A,C) )
     => p16(B,C) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(C,A) )
     => p16(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p8(A,C,D) )
     => p8(B,C,D) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p8(C,A,D) )
     => p8(C,B,D) ) )).

fof(p8_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p8(C,D,A) )
     => p8(C,D,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(A,C,D) )
     => p9(B,C,D) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(C,A,D) )
     => p9(C,B,D) ) )).

fof(p9_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(C,D,A) )
     => p9(C,D,B) ) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_14,axiom,(
    p2(c12) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( ( ~ p11(X1)
        & p10(X1) )
     => ~ p2(f7(X1)) ) )).

fof(formula_10,axiom,(
    ? [X1] : p4(X1) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_23,conjecture,(
    ! [X1] : 
      ( ( ~ p11(X1)
        & p13(X1)
        & p5(X1)
        & p4(X1) )
     => ( p14(X1,c12)
        & p16(X1,f7(X1)) ) ) )).

fof(formula_17,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_15,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p3(X1) ) )).

fof(formula_9,axiom,(
    $true )).

fof(formula_12,axiom,(
    ! [X1] : 
    ? [X2] : p6(X2,X1) )).

fof(formula_5,axiom,(
    $true )).

fof(formula_16,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_18,axiom,(
    ? [X1] : 
      ( p10(X1)
      & ~ p11(X1) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p4(X1) )
     => ! [X2] : 
          ( p16(X1,X2)
        <=> ? [X3] : 
              ( p6(X3,f7(X1))
              & p8(X1,X2,X3)
              & ! [X4] : 
                  ( p6(X4,f7(X1))
                 => ( p8(X1,X2,X4)
                   => p9(X1,X4,X3) ) ) ) ) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ( p5(X1)
      <=> ? [X2] : 
            ( p6(X2,f7(X1))
            & p8(X1,f7(X1),X2) ) ) ) )).

fof(formula_7,axiom,(
    $true )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p6(X1,X2) ) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c12 ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_11,axiom,(
    ? [X1] : p10(X1) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2,X3] : 
          ( p6(X3,f7(X1))
         => ( p8(X1,X2,X3)
          <=> ! [X4] : 
                ( p6(X4,f7(X1))
               => ( p1(X4,X2)
                 => p9(X1,X3,X4) ) ) ) ) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ! [X2] : 
          ( p6(X2,f7(X1))
         => ( p15(X1,c12,X2)
            & p8(X1,c12,X2) ) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p4(X1)
     => p10(X1) ) )).

fof(formula_8,axiom,(
    $true )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p4(X1) )
     => ! [X2] : 
          ( p14(X1,X2)
        <=> ? [X3] : 
              ( p6(X3,f7(X1))
              & p15(X1,X2,X3)
              & ! [X4] : 
                  ( p6(X4,f7(X1))
                 => ( p15(X1,X2,X4)
                   => p9(X1,X3,X4) ) ) ) ) ) )).
%------------------------------------------------------------------------------
