%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f12(A) = f12(B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f14(A,C,D) = f14(B,C,D) ) )).

fof(f14_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f14(C,A,D) = f14(C,B,D) ) )).

fof(f14_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f14(C,D,A) = f14(C,D,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f16(A,C,D,E) = f16(B,C,D,E) ) )).

fof(f16_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f16(C,A,D,E) = f16(C,B,D,E) ) )).

fof(f16_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f16(C,D,A,E) = f16(C,D,B,E) ) )).

fof(f16_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f16(C,D,E,A) = f16(C,D,E,B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(A,C) = f24(B,C) ) )).

fof(f24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(C,A) = f24(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p11(A,C,D) )
     => p11(B,C,D) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p11(C,A,D) )
     => p11(C,B,D) ) )).

fof(p11_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p11(C,D,A) )
     => p11(C,D,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(A,C,D) )
     => p13(B,C,D) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(C,A,D) )
     => p13(C,B,D) ) )).

fof(p13_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p13(C,D,A) )
     => p13(C,D,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(A,C,D) )
     => p15(B,C,D) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(C,A,D) )
     => p15(C,B,D) ) )).

fof(p15_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p15(C,D,A) )
     => p15(C,D,B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(A,C,D) )
     => p19(B,C,D) ) )).

fof(p19_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(C,A,D) )
     => p19(C,B,D) ) )).

fof(p19_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(C,D,A) )
     => p19(C,D,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(A,C,D) )
     => p20(B,C,D) ) )).

fof(p20_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(C,A,D) )
     => p20(C,B,D) ) )).

fof(p20_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(C,D,A) )
     => p20(C,D,B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p22(A,C,D) )
     => p22(B,C,D) ) )).

fof(p22_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p22(C,A,D) )
     => p22(C,B,D) ) )).

fof(p22_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p22(C,D,A) )
     => p22(C,D,B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p25(A,C) )
     => p25(B,C) ) )).

fof(p25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p25(C,A) )
     => p25(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_8,axiom,(
    $true )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p4(X2,f5(X1))
          & ~ p2(X2)
          & p3(X2) ) ) )).

fof(formula_47,axiom,(
    ! [X1,X2] : 
      ( p4(X1,f5(X2))
    <=> p25(X1,X2) ) )).

fof(formula_43,axiom,(
    ! [X1,X2,X3] : 
      ( p22(X3,X1,X2)
    <=> p20(X3,X1,X2) ) )).

fof(formula_22,axiom,(
    ? [X1] : p21(X1) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
    ? [X2] : p4(X2,X1) )).

fof(formula_10,axiom,(
    $true )).

fof(formula_37,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_17,axiom,(
    $true )).

fof(formula_13,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & ~ p8(X2)
        & p10(X2,X1)
        & p4(X3,f12(X2)) )
     => p4(f14(X1,X2,X3),f12(X1)) ) )).

fof(formula_19,axiom,(
    ! [X1,X2,X3] : 
      ( p22(X3,X1,X2)
     => p4(X3,f5(f6(X1,X2))) ) )).

fof(formula_52,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_3,axiom,(
    ! [X1,X2,X3] : 
      ( p4(X3,f5(f6(X1,X2)))
     => p7(X3) ) )).

fof(formula_48,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p4(X2,f5(X3)) )
     => p4(X1,X3) ) )).

fof(formula_23,axiom,(
    ? [X1] : p9(X1) )).

fof(formula_31,axiom,(
    p2(c23) )).

fof(formula_35,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p9(X1)
     => ! [X2] : 
          ( p10(X2,X1)
         => p21(X2) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1) )
     => ! [X2] : 
          ( ( ~ p8(X2)
            & p10(X2,X1) )
         => ! [X3] : 
              ( p15(X1,X2,X3)
            <=> ! [X4] : 
                  ( p4(X4,f12(X2))
                 => ? [X5] : 
                      ( p4(X5,f12(X2))
                      & p13(X2,X4,X5)
                      & p1(f14(X1,X2,X5),X3) ) ) ) ) ) )).

fof(formula_50,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c23 ) )).

fof(formula_44,axiom,(
    ! [X1,X2] : p25(X1,X1) )).

fof(formula_11,axiom,(
    $true )).

fof(formula_15,axiom,(
    $true )).

fof(formula_33,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p3(X1) ) )).

fof(formula_49,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p4(X2,f5(X3))
        & p2(X3) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p9(X1)
     => ? [X2] : p10(X2,X1) ) )).

fof(formula_42,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & ~ p8(X2)
        & p9(X2)
        & p18(X3)
        & p19(X3,f12(X1),f12(X2))
        & p20(X3,f12(X1),f12(X2))
        & p4(X4,f12(X1)) )
     => f16(X1,X2,X3,X4) = f24(X3,X4) ) )).

fof(formula_39,axiom,(
    ? [X1] : 
      ( p9(X1)
      & ~ p8(X1) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p4(X2,f5(X1))
          & ~ p2(X2) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1) )
     => ! [X2] : 
          ( ( ~ p8(X2)
            & p10(X2,X1) )
         => ! [X3] : 
              ( p4(X3,f12(X2))
             => f14(X1,X2,X3) = f16(X2,X1,f17(X1,X2),X3) ) ) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_41,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1) )
     => ? [X2] : 
          ( p4(X2,f5(f12(X1)))
          & ~ p2(X2) ) ) )).

fof(formula_38,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p4(X2,f5(X1))
          & ~ p2(X2)
          & p3(X2) ) ) )).

fof(formula_51,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p3(X2) )
     => p3(f6(X1,X2)) ) )).

fof(formula_18,axiom,(
    $true )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1) )
     => ~ p2(f12(X1)) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p4(X2,f5(X1))
      & p2(X2) ) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
    ? [X3] : p20(X3,X1,X2) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( ~ p8(X1)
        & p9(X1)
        & ~ p8(X2)
        & p9(X2)
        & p18(X3)
        & p19(X3,f12(X1),f12(X2))
        & p20(X3,f12(X1),f12(X2))
        & p4(X4,f12(X1)) )
     => p4(f16(X1,X2,X3,X4),f12(X2)) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1) )
     => ! [X2] : 
          ( ( ~ p8(X2)
            & p10(X2,X1) )
         => ! [X3] : 
              ( p11(X1,X2,X3)
            <=> ? [X4] : 
                  ( p4(X4,f12(X2))
                  & ! [X5] : 
                      ( p4(X5,f12(X2))
                     => ( p13(X2,X4,X5)
                       => p1(f14(X1,X2,X5),X3) ) ) ) ) ) ) )).

fof(formula_12,axiom,(
    $true )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
    ? [X3] : p22(X3,X1,X2) )).

fof(formula_20,axiom,(
    $true )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( ( ~ p2(X1)
        & ~ p2(X2) )
     => ~ p2(f6(X1,X2)) ) )).

fof(formula_53,conjecture,(
    ! [X1] : 
      ( ( ~ p8(X1)
        & p9(X1) )
     => ! [X2] : 
          ( ( ~ p8(X2)
            & p10(X2,X1) )
         => ! [X3,X4] : 
              ( p25(X3,X4)
             => ( ( p11(X1,X2,X3)
                 => p11(X1,X2,X4) )
                & ( p15(X1,X2,X3)
                 => p15(X1,X2,X4) ) ) ) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p10(X2,X1) )
     => ( p18(f17(X1,X2))
        & p19(f17(X1,X2),f12(X2),f12(X1))
        & p22(f17(X1,X2),f12(X2),f12(X1)) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : ~ p2(f5(X1)) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p21(X1)
     => p9(X1) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p4(X2,f5(X1))
         => p3(X2) ) ) )).

fof(formula_45,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p4(X1,X2) ) )).
%------------------------------------------------------------------------------
