%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(A,C) = f13(B,C) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(C,A) = f13(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f14(A,C,D,E) = f14(B,C,D,E) ) )).

fof(f14_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f14(C,A,D,E) = f14(C,B,D,E) ) )).

fof(f14_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f14(C,D,A,E) = f14(C,D,B,E) ) )).

fof(f14_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f14(C,D,E,A) = f14(C,D,E,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(A,C) = f16(B,C) ) )).

fof(f16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(C,A) = f16(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f6(A) = f6(B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p11(A,C,D) )
     => p11(B,C,D) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p11(C,A,D) )
     => p11(C,B,D) ) )).

fof(p11_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p11(C,D,A) )
     => p11(C,D,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(A,C) )
     => p12(B,C) ) )).

fof(p12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(C,A) )
     => p12(C,B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(A,C,D) )
     => p17(B,C,D) ) )).

fof(p17_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(C,A,D) )
     => p17(C,B,D) ) )).

fof(p17_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p17(C,D,A) )
     => p17(C,D,B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p18(A,C,D) )
     => p18(B,C,D) ) )).

fof(p18_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p18(C,A,D) )
     => p18(C,B,D) ) )).

fof(p18_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p18(C,D,A) )
     => p18(C,D,B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(A,C,D) )
     => p20(B,C,D) ) )).

fof(p20_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(C,A,D) )
     => p20(C,B,D) ) )).

fof(p20_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(C,D,A) )
     => p20(C,D,B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(A,C) )
     => p23(B,C) ) )).

fof(p23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(C,A) )
     => p23(C,B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p24(A,C,D) )
     => p24(B,C,D) ) )).

fof(p24_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p24(C,A,D) )
     => p24(C,B,D) ) )).

fof(p24_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p24(C,D,A) )
     => p24(C,D,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_19,axiom,(
    ! [X1,X2,X3] : 
      ( p18(X3,X1,X2)
     => p5(X3,f6(f7(X1,X2))) ) )).

fof(formula_44,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p4(X1) ) )).

fof(formula_49,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p17(X3,X1,X2)
     => f14(X1,X2,X3,X4) = f16(X3,X4) ) )).

fof(formula_61,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_56,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p5(X2,f6(X3)) )
     => p5(X1,X3) ) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( p5(X3,f6(f7(X1,X2)))
     => p4(X3) ) )).

fof(formula_42,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p5(X2,f6(X1))
          & ~ p2(X2) ) ) )).

fof(formula_36,axiom,(
    p2(c21) )).

fof(formula_23,axiom,(
    ? [X1] : p9(X1) )).

fof(formula_47,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p22(X1) ) )).

fof(formula_40,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p22(X1)
      & p3(X1) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p10(X2,X1) )
     => ? [X3] : p11(X3,X1,X2) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p19(X1)
     => ! [X2] : 
          ( p12(X2,X1)
         => p19(X2) ) ) )).

fof(formula_50,axiom,(
    ! [X1,X2,X3] : 
      ( p18(X3,X1,X2)
    <=> p17(X3,X1,X2) ) )).

fof(formula_52,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p5(X1,X2) ) )).

fof(formula_30,axiom,(
    p2(c21) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p3(X1) )
     => ( p4(f16(X1,X2))
        & p3(f16(X1,X2)) ) ) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
    ? [X3] : p17(X3,X1,X2) )).

fof(formula_20,axiom,(
    $true )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p19(X1)
     => p9(X1) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p4(X1)
     => p4(f16(X1,X2)) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ( ( ~ p2(X1)
        & ~ p2(X2) )
     => ~ p2(f7(X1,X2)) ) )).

fof(formula_7,axiom,(
    $true )).

fof(formula_55,axiom,(
    ! [X1,X2] : 
      ( p5(X1,f6(X2))
    <=> p23(X1,X2) ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p10(X2,X1) )
     => ( p3(f13(X1,X2))
        & p20(f13(X1,X2),f15(X2),f15(X1))
        & p18(f13(X1,X2),f15(X2),f15(X1)) ) ) )).

fof(formula_45,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p5(X2,f6(X1))
      & p2(X2) ) )).

fof(formula_51,axiom,(
    ! [X1,X2] : p23(X1,X1) )).

fof(formula_53,conjecture,(
    ! [X1] : 
      ( p9(X1)
     => ! [X2] : 
          ( p10(X2,X1)
         => ! [X3] : 
              ( p11(X3,X1,X2)
             => ! [X4] : 
                  ( p5(X4,f15(X2))
                 => ! [X5] : 
                      ( p5(X5,f15(X2))
                     => ! [X6] : 
                          ( p5(X6,f15(X3))
                         => ! [X7] : 
                              ( p5(X7,f15(X3))
                             => ( ( X4 = X6
                                  & X5 = X7
                                  & p24(X3,X6,X7) )
                               => p24(X2,X4,X5) ) ) ) ) ) ) ) ) )).

fof(formula_57,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p5(X2,f6(X3))
        & p2(X3) ) )).

fof(formula_9,axiom,(
    $true )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p10(X2,X1) )
     => ! [X3] : 
          ( p11(X3,X1,X2)
         => p10(X3,X1) ) ) )).

fof(formula_37,axiom,(
    p4(c21) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( p19(X1)
     => ? [X2] : p12(X2,X1) ) )).

fof(formula_11,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p17(X3,X1,X2)
     => p18(f14(X1,X2,X3,X4),X1,X2) ) )).

fof(formula_39,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p9(X1)
     => ! [X2] : 
          ( p10(X2,X1)
         => p19(X2) ) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
    ? [X3] : p18(X3,X1,X2) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p4(X1) ) )).

fof(formula_13,axiom,(
    $true )).

fof(formula_59,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c21 ) )).

fof(formula_8,axiom,(
    $true )).

fof(formula_41,axiom,(
    ? [X1] : 
      ( p2(X1)
      & p4(X1) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( ( p4(X1)
        & p22(X1) )
     => ( p4(f16(X1,X2))
        & p22(f16(X1,X2)) ) ) )).

fof(formula_43,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p2(X1)
      & p3(X1) ) )).

fof(formula_60,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_15,axiom,(
    $true )).

fof(formula_26,axiom,(
    ! [X1] : 
    ? [X2] : p5(X2,X1) )).

fof(formula_32,axiom,(
    p22(c21) )).

fof(formula_22,axiom,(
    ? [X1] : p19(X1) )).

fof(formula_31,axiom,(
    p4(c21) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ( p4(X1)
        & p2(X1)
        & p3(X1) )
     => ( p4(X1)
        & p3(X1)
        & p8(X1) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p9(X1)
     => ? [X2] : p10(X2,X1) ) )).

fof(formula_34,axiom,(
    ! [X1] : ~ p2(f6(X1)) )).

fof(formula_58,axiom,(
    ! [X1] : 
      ( p19(X1)
     => ! [X2] : 
          ( p12(X2,X1)
         => ! [X3] : 
              ( p5(X3,f15(X1))
             => ! [X4] : 
                  ( p5(X4,f15(X1))
                 => ! [X5] : 
                      ( p5(X5,f15(X2))
                     => ! [X6] : 
                          ( p5(X6,f15(X2))
                         => ( ( X5 = X3
                              & X6 = X4
                              & p24(X2,X5,X6) )
                           => p24(X1,X3,X4) ) ) ) ) ) ) ) )).

fof(formula_54,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_16,axiom,(
    $true )).

fof(formula_48,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p22(X1)
      & p3(X1) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p9(X1)
     => ! [X2] : 
          ( p10(X2,X1)
         => ! [X3] : 
              ( p10(X3,X1)
             => ( p11(X3,X1,X2)
              <=> ( p12(X3,X2)
                  & f13(X1,X3) = f14(f15(X2),f15(X1),f13(X1,X2),f15(X3)) ) ) ) ) ) )).

fof(formula_46,axiom,(
    ? [X1] : 
      ( p4(X1)
      & p3(X1)
      & p8(X1) ) )).
%------------------------------------------------------------------------------
