%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f16(A) = f16(B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f9(A) = f9(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(A,C) )
     => p15(B,C) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(C,A) )
     => p15(C,B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p18(A,C,D) )
     => p18(B,C,D) ) )).

fof(p18_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p18(C,A,D) )
     => p18(C,B,D) ) )).

fof(p18_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p18(C,D,A) )
     => p18(C,D,B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(A,C,D) )
     => p19(B,C,D) ) )).

fof(p19_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(C,A,D) )
     => p19(C,B,D) ) )).

fof(p19_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p19(C,D,A) )
     => p19(C,D,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(A,C,D) )
     => p20(B,C,D) ) )).

fof(p20_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(C,A,D) )
     => p20(C,B,D) ) )).

fof(p20_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p20(C,D,A) )
     => p20(C,D,B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p21(A,C,D) )
     => p21(B,C,D) ) )).

fof(p21_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p21(C,A,D) )
     => p21(C,B,D) ) )).

fof(p21_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p21(C,D,A) )
     => p21(C,D,B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p23(A) )
     => p23(B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p25(A,C) )
     => p25(B,C) ) )).

fof(p25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p25(C,A) )
     => p25(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(formula_19,axiom,(
    ? [X1] : p22(X1) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p8(X2,f9(X1))
          & ~ p2(X2)
          & p3(X2) ) ) )).

fof(formula_39,axiom,(
    ! [X1,X2] : 
      ( p8(X1,X2)
     => ( p2(X2)
        | p1(X1,X2) ) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p22(X1)
     => p23(X1) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( ( ~ p10(X1)
        & p11(X1)
        & p12(X1)
        & p8(X2,f16(X1)) )
     => ! [X3] : 
          ( p18(X3,X1,X2)
         => p8(X3,f9(f16(X1))) ) ) )).

fof(formula_32,axiom,(
    ? [X1] : 
      ( p23(X1)
      & ~ p10(X1) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( ~ p2(f9(X1))
      & p5(f9(X1))
      & p6(f9(X1))
      & p4(f9(X1)) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( ( ~ p10(X1)
        & p11(X1)
        & p12(X1)
        & ~ p10(X2)
        & p13(X2)
        & p14(X2)
        & p15(X2,X1) )
     => p8(f17(X1,X2),f9(f16(X1))) ) )).

fof(formula_44,axiom,(
    ! [X1,X2] : 
      ~ ( p1(X1,X2)
        & p2(X2) ) )).

fof(formula_35,axiom,(
    ! [X1,X2] : p25(X1,X1) )).

fof(formula_20,axiom,(
    ? [X1] : p12(X1) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( ( ~ p10(X1)
        & p23(X1) )
     => ~ p2(f16(X1)) ) )).

fof(formula_27,axiom,(
    p2(c24) )).

fof(formula_42,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p1(X1,X2)
        & p8(X2,f9(X3))
        & p2(X3) ) )).

fof(formula_18,axiom,(
    $true )).

fof(formula_29,axiom,(
    ? [X1] : p2(X1) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p3(X1) ) )).

fof(formula_17,axiom,(
    $true )).

fof(formula_10,axiom,(
    $true )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => ~ p1(X2,X1) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( p5(X1)
        & p6(X1) )
     => p4(X1) ) )).

fof(formula_30,axiom,(
    ? [X1] : ~ p2(X1) )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( p23(X1)
     => ? [X2] : p15(X2,X1) ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ( p8(X1,f9(X2))
    <=> p25(X1,X2) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p23(X1)
     => ! [X2] : 
          ( p15(X2,X1)
         => p22(X2) ) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( ( ~ p10(X1)
        & p23(X1) )
     => ? [X2] : 
          ( p8(X2,f9(f16(X1)))
          & ~ p2(X2) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
    ? [X2] : p8(X2,X1) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ( ~ p10(X1)
        & p11(X1)
        & p12(X1) )
     => ! [X2] : 
          ( ( ~ p10(X2)
            & p13(X2)
            & p14(X2)
            & p15(X2,X1) )
         => ! [X3] : 
              ( p8(X3,f9(f16(X1)))
             => ( X3 = f17(X1,X2)
              <=> ! [X4] : 
                    ( p8(X4,f16(X1))
                   => ( p1(X4,X3)
                    <=> ! [X5] : 
                          ( p18(X5,X1,X4)
                         => p19(X1,X2,X5) ) ) ) ) ) ) ) )).

fof(formula_11,axiom,(
    $true )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( ( ~ p10(X1)
        & p11(X1)
        & p12(X1) )
     => ! [X2] : 
          ( ( ~ p10(X2)
            & p15(X2,X1) )
         => ! [X3] : 
              ( p8(X3,f16(X1))
             => ( p20(X1,X2,X3)
              <=> ! [X4] : 
                    ( p18(X4,X1,X3)
                   => p21(X1,X2,X4) ) ) ) ) ) )).

fof(formula_14,axiom,(
    $true )).

fof(formula_21,axiom,(
    ? [X1] : p23(X1) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p8(X1,X2) ) )).

fof(formula_45,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1)
        & X1 != X2
        & p2(X2) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p12(X1)
     => p23(X1) ) )).

fof(formula_37,axiom,(
    ! [X1] : 
      ( ( ~ p10(X1)
        & p23(X1) )
     => ! [X2] : 
          ( ( ~ p10(X2)
            & p13(X2)
            & p14(X2)
            & p15(X2,X1) )
         => ! [X3] : 
              ( p19(X1,X2,X3)
             => p21(X1,X2,X3) ) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p8(X2,f9(X1))
         => p3(X2) ) ) )).

fof(formula_38,conjecture,(
    ! [X1] : 
      ( ( ~ p10(X1)
        & p11(X1)
        & p12(X1) )
     => ! [X2] : 
          ( ( ~ p10(X2)
            & p13(X2)
            & p14(X2)
            & p15(X2,X1) )
         => ! [X3] : 
              ( p8(X3,f16(X1))
             => ( p1(X3,f17(X1,X2))
               => p20(X1,X2,X3) ) ) ) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p2(X1)
     => p7(X1) ) )).

fof(formula_41,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p8(X2,f9(X3)) )
     => p8(X1,X3) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p4(X1)
     => ( p5(X1)
        & p6(X1) ) ) )).

fof(formula_28,axiom,(
    ? [X1] : 
      ( ~ p2(X1)
      & p3(X1) ) )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( p2(X1)
     => X1 = c24 ) )).

fof(formula_33,axiom,(
    ! [X1] : 
      ( ~ p2(X1)
     => ? [X2] : 
          ( p8(X2,f9(X1))
          & ~ p2(X2)
          & p3(X2) ) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( ( ~ p10(X1)
        & p11(X1)
        & p12(X1)
        & p8(X2,f16(X1)) )
     => ? [X3] : p18(X3,X1,X2) ) )).
%------------------------------------------------------------------------------
