%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f23(A) = f23(B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(A,C) = f24(B,C) ) )).

fof(f24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(C,A) = f24(C,B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(A,C) = f29(B,C) ) )).

fof(f29_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(C,A) = f29(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f30_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f30(A,C) = f30(B,C) ) )).

fof(f30_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f30(C,A) = f30(C,B) ) )).

fof(f32_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f32(A) = f32(B) ) )).

fof(f33_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f33(A) = f33(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p11(A) )
     => p11(B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(A,C) )
     => p22(B,C) ) )).

fof(p22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(C,A) )
     => p22(C,B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p25(A) )
     => p25(B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p26(A) )
     => p26(B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p27(A) )
     => p27(B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p28(A,C) )
     => p28(B,C) ) )).

fof(p28_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p28(C,A) )
     => p28(C,B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p31(A,C,D) )
     => p31(B,C,D) ) )).

fof(p31_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p31(C,A,D) )
     => p31(C,B,D) ) )).

fof(p31_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p31(C,D,A) )
     => p31(C,D,B) ) )).

fof(p34_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p34(A,C,D) )
     => p34(B,C,D) ) )).

fof(p34_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p34(C,A,D) )
     => p34(C,B,D) ) )).

fof(p34_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p34(C,D,A) )
     => p34(C,D,B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p36(A) )
     => p36(B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p37(A,C) )
     => p37(B,C) ) )).

fof(p37_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p37(C,A) )
     => p37(C,B) ) )).

fof(p38_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p38(A,C) )
     => p38(B,C) ) )).

fof(p38_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p38(C,A) )
     => p38(C,B) ) )).

fof(p39_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p39(A) )
     => p39(B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p40(A) )
     => p40(B) ) )).

fof(p41_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p41(A) )
     => p41(B) ) )).

fof(p42_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p42(A) )
     => p42(B) ) )).

fof(p43_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p43(A) )
     => p43(B) ) )).

fof(p44_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p44(A,C) )
     => p44(B,C) ) )).

fof(p44_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p44(C,A) )
     => p44(C,B) ) )).

fof(p45_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p45(A,C) )
     => p45(B,C) ) )).

fof(p45_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p45(C,A) )
     => p45(C,B) ) )).

fof(p46_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p46(A) )
     => p46(B) ) )).

fof(p47_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p47(A,C,D) )
     => p47(B,C,D) ) )).

fof(p47_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p47(C,A,D) )
     => p47(C,B,D) ) )).

fof(p47_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p47(C,D,A) )
     => p47(C,D,B) ) )).

fof(p48_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p48(A,C) )
     => p48(B,C) ) )).

fof(p48_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p48(C,A) )
     => p48(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p7(A) )
     => p7(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p8(A) )
     => p8(B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( p27(X1)
     => p22(f32(X1),f23(f4(X1))) ) )).

fof(formula_83,axiom,(
    ! [X1] : 
      ( ~ p19(X1)
     => ? [X2] : 
          ( p22(X2,f23(X1))
          & ~ p19(X2)
          & p20(X2) ) ) )).

fof(formula_64,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p7(X2)
        & p27(X2)
        & ~ p7(X3)
        & p28(X3,X2) )
     => ( p6(X1,f30(X2,X3))
      <=> ? [X4] : 
            ( p22(X4,f23(f4(X2)))
            & X1 = X4
            & p47(X2,X3,X4) ) ) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p2(f33(X1))
      & p1(f33(X1)) ) )).

fof(formula_38,axiom,(
    ? [X1] : p27(X1) )).

fof(formula_66,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p8(X1)
        & p13(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p22(X2,f23(f4(X1)))
          & ~ p19(X2)
          & p45(X2,X1)
          & p38(X2,X1) ) ) )).

fof(formula_47,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p1(X1) )
     => ( ~ p19(f32(X1))
        & p37(f32(X1),X1)
        & p38(f32(X1),X1) ) ) )).

fof(formula_24,axiom,(
    $true )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => ~ p6(X2,X1) ) )).

fof(formula_59,axiom,(
    ! [X1] : 
      ( ( p16(X1)
        & p1(X1) )
     => ( ~ p19(f32(X1))
        & p45(f32(X1),X1) ) ) )).

fof(formula_79,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p22(X2,f23(X1))
      & p19(X2) ) )).

fof(formula_55,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p17(X1)
        & p1(X1) )
     => ( ~ p19(f32(X1))
        & p44(f32(X1),X1) ) ) )).

fof(formula_41,axiom,(
    ! [X1] : 
    ? [X2] : p22(X2,X1) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ( ( ~ p7(X1)
        & p27(X1)
        & ~ p7(X2)
        & p28(X2,X1) )
     => p22(f29(X1,X2),f23(f4(f33(f32(X1))))) ) )).

fof(formula_98,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p6(X3,X1)
        <=> p6(X3,X2) )
     => X1 = X2 ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p11(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p12(X1) ) ) ) )).

fof(formula_39,axiom,(
    ! [X1] : 
      ( p27(X1)
     => ? [X2] : p28(X2,X1) ) )).

fof(formula_99,axiom,(
    ! [X1,X2] : 
      ( p22(X1,f23(X2))
    <=> p48(X1,X2) ) )).

fof(formula_65,axiom,(
    ! [X1,X2] : 
      ( p31(X2,X1,X1)
     => ! [X3,X4] : 
          ( f3(X1,X2) = f3(X3,X4)
         => ( X1 = X3
            & X2 = X4 ) ) ) )).

fof(formula_67,axiom,(
    ! [X1] : 
      ( ( p8(X1)
        & p13(X1)
        & p14(X1)
        & p15(X1)
        & p16(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p22(X2,f23(f4(X1)))
          & ~ p19(X2)
          & p44(X2,X1)
          & p45(X2,X1)
          & p37(X2,X1)
          & p38(X2,X1) ) ) )).

fof(formula_60,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p12(X1)
        & p1(X1) )
     => ( ~ p19(f32(X1))
        & p45(f32(X1),X1) ) ) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ( p31(X2,X1,X1)
     => ( p2(f3(X1,X2))
        & p1(f3(X1,X2)) ) ) )).

fof(formula_101,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p6(X1,X2)
        & p22(X2,f23(X3))
        & p19(X3) ) )).

fof(formula_85,axiom,(
    ? [X1] : 
      ( p27(X1)
      & ~ p7(X1) ) )).

fof(formula_62,axiom,(
    ! [X1] : 
      ( ~ p7(f33(X1))
      & p2(f33(X1))
      & p8(f33(X1))
      & p13(f33(X1))
      & p14(f33(X1))
      & p12(f33(X1))
      & p17(f33(X1))
      & p18(f33(X1))
      & p15(f33(X1))
      & p16(f33(X1))
      & p9(f33(X1)) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p14(X1)
          & p11(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p14(X1)
          & p16(X1) ) ) ) )).

fof(formula_103,axiom,(
    ! [X1,X2] : 
      ~ ( p6(X1,X2)
        & p19(X2) ) )).

fof(formula_76,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p15(X1)
      & p16(X1)
      & p9(X1)
      & p25(X1) ) )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p2(X1)
       => X1 = f3(f4(X1),f5(X1)) ) ) )).

fof(formula_94,axiom,(
    ! [X1,X2] : p48(X1,X1) )).

fof(formula_34,axiom,(
    ! [X1,X2,X3] : 
      ( p34(X3,X1,X2)
     => p22(X3,f23(f24(X1,X2))) ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
    ? [X3] : p31(X3,X1,X2) )).

fof(formula_23,axiom,(
    $true )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
    ? [X3] : p34(X3,X1,X2) )).

fof(formula_96,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => p22(X1,X2) ) )).

fof(formula_90,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ? [X2] : 
          ( p22(X2,f23(f4(X1)))
          & p37(X2,X1)
          & p38(X2,X1) ) ) )).

fof(formula_74,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ? [X2] : 
          ( p22(X2,f23(f4(X1)))
          & p44(X2,X1)
          & p45(X2,X1) ) ) )).

fof(formula_91,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p22(X2,f23(f4(X1)))
          & ~ p19(X2)
          & p37(X2,X1)
          & p38(X2,X1) ) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p27(X1) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p25(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p9(X1) ) ) ) )).

fof(formula_56,axiom,(
    p19(c35) )).

fof(formula_95,conjecture,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p27(X1) )
     => ! [X2] : 
          ( ( ~ p7(X2)
            & p28(X2,X1) )
         => ! [X3] : 
              ( p6(X3,f29(X1,X2))
            <=> ( p47(X1,X2,X3)
                & p22(X3,f23(f4(X1))) ) ) ) ) )).

fof(formula_78,axiom,(
    ? [X1] : 
      ( ~ p19(X1)
      & p21(X1) ) )).

fof(formula_57,axiom,(
    p21(c35) )).

fof(formula_35,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p34(f5(X1),f4(X1),f4(X1)) ) )).

fof(formula_61,axiom,(
    ! [X1] : 
      ( ~ p7(f33(X1))
      & p2(f33(X1))
      & p8(f33(X1))
      & p13(f33(X1))
      & p14(f33(X1)) ) )).

fof(formula_54,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p1(X1) )
     => ~ p19(f32(X1)) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p19(X1)
     => p20(X1) ) )).

fof(formula_80,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p8(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p22(X2,f23(f4(X1)))
          & ~ p19(X2)
          & p20(X2)
          & p44(X2,X1)
          & p45(X2,X1) ) ) )).

fof(formula_93,axiom,(
    ! [X1,X2,X3] : 
      ( p34(X3,X1,X2)
    <=> p31(X3,X1,X2) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p19(X1)
     => p21(X1) ) )).

fof(formula_82,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p15(X1)
      & p16(X1)
      & p9(X1)
      & p12(X1)
      & p17(X1)
      & p18(X1) ) )).

fof(formula_51,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p27(X1) )
     => ~ p19(f32(X1)) ) )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p9(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p10(X1)
          & p11(X1) ) ) ) )).

fof(formula_104,axiom,(
    ! [X1,X2] : 
      ~ ( p19(X1)
        & X1 != X2
        & p19(X2) ) )).

fof(formula_97,axiom,(
    ! [X1,X2] : 
      ( p22(X1,X2)
     => ( p19(X2)
        | p6(X1,X2) ) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( p12(X1)
          & p17(X1) )
       => p18(X1) ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p20(X1)
     => ! [X2] : 
          ( p22(X2,f23(X1))
         => p20(X2) ) ) )).

fof(formula_48,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p27(X1) )
     => ~ p19(f4(X1)) ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p27(X1)
     => ! [X2] : 
          ( p28(X2,X1)
         => p1(X2) ) ) )).

fof(formula_86,axiom,(
    ! [X1] : 
      ( p27(X1)
     => ? [X2] : 
          ( p22(X2,f23(f23(f4(X1))))
          & ~ p19(X2)
          & p20(X2) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p14(X1)
          & p17(X1)
          & p11(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p14(X1)
          & p15(X1)
          & p17(X1) ) ) ) )).

fof(formula_27,axiom,(
    $true )).

fof(formula_43,axiom,(
    p19(c35) )).

fof(formula_70,axiom,(
    ? [X1] : 
      ( ~ p19(X1)
      & p20(X1) ) )).

fof(formula_75,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & ~ p25(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p12(X1)
      & p17(X1)
      & p18(X1)
      & ~ p39(X1)
      & p40(X1)
      & p41(X1)
      & p42(X1)
      & p43(X1)
      & p15(X1)
      & p16(X1) ) )).

fof(formula_33,axiom,(
    $true )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( ( p15(X1)
        & p1(X1) )
     => ( ~ p19(f32(X1))
        & p44(f32(X1),X1) ) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p15(X1)
       => ~ p7(X1) ) ) )).

fof(formula_84,axiom,(
    ? [X1] : 
      ( p21(X1)
      & p36(X1) ) )).

fof(formula_102,axiom,(
    ! [X1] : 
      ( p19(X1)
     => X1 = c35 ) )).

fof(formula_50,axiom,(
    ! [X1] : 
      ( ~ p7(f33(X1))
      & p2(f33(X1))
      & p8(f33(X1))
      & p13(f33(X1))
      & p14(f33(X1))
      & p12(f33(X1))
      & p17(f33(X1))
      & p18(f33(X1))
      & p10(f33(X1))
      & p11(f33(X1))
      & ~ p39(f33(X1))
      & p40(f33(X1))
      & p41(f33(X1))
      & p42(f33(X1))
      & p43(f33(X1))
      & p15(f33(X1))
      & p16(f33(X1))
      & p9(f33(X1)) ) )).

fof(formula_87,axiom,(
    ! [X1] : 
      ( ~ p19(X1)
     => ? [X2] : 
          ( p22(X2,f23(X1))
          & ~ p19(X2)
          & p20(X2) ) ) )).

fof(formula_36,axiom,(
    $true )).

fof(formula_72,axiom,(
    ? [X1] : 
      ( p19(X1)
      & p21(X1) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( p8(X1)
          & p15(X1)
          & p10(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p15(X1)
          & p17(X1) ) ) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p16(X1)
       => ~ p7(X1) ) ) )).

fof(formula_49,axiom,(
    ! [X1] : ~ p19(f23(X1)) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p27(X1) )
     => ! [X2] : 
          ( ( ~ p7(X2)
            & p28(X2,X1) )
         => f29(X1,X2) = f30(X1,X2) ) ) )).

fof(formula_37,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_53,axiom,(
    ! [X1] : 
      ( ~ p19(X1)
     => ( ~ p7(f33(X1))
        & ~ p25(f33(X1))
        & p2(f33(X1))
        & p8(f33(X1))
        & p13(f33(X1))
        & p14(f33(X1))
        & p12(f33(X1))
        & p17(f33(X1))
        & p18(f33(X1))
        & p10(f33(X1))
        & p11(f33(X1))
        & ~ p39(f33(X1))
        & p40(f33(X1))
        & p41(f33(X1))
        & p42(f33(X1))
        & p43(f33(X1))
        & p15(f33(X1))
        & p16(f33(X1))
        & p9(f33(X1)) ) ) )).

fof(formula_69,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p15(X1)
      & p16(X1)
      & p9(X1)
      & p12(X1)
      & p17(X1)
      & p18(X1)
      & p10(X1)
      & p11(X1) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
      ( ( p20(X1)
        & p20(X2) )
     => p20(f24(X1,X2)) ) )).

fof(formula_63,axiom,(
    ! [X1] : 
      ( ~ p7(f33(X1))
      & p2(f33(X1))
      & p8(f33(X1))
      & p13(f33(X1))
      & p14(f33(X1))
      & p12(f33(X1))
      & p17(f33(X1))
      & p18(f33(X1))
      & p46(f33(X1))
      & p10(f33(X1))
      & p11(f33(X1))
      & ~ p39(f33(X1))
      & p15(f33(X1))
      & p16(f33(X1))
      & p9(f33(X1)) ) )).

fof(formula_11,axiom,(
    ! [X1,X2,X3] : 
      ( p22(X3,f23(f24(X1,X2)))
     => p21(X3) ) )).

fof(formula_81,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p22(X2,f23(f23(X1)))
      & ~ p19(X2)
      & p20(X2) ) )).

fof(formula_73,axiom,(
    ! [X1] : 
      ( ~ p19(X1)
     => ? [X2] : 
          ( p22(X2,f23(X1))
          & ~ p19(X2) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p25(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p26(X1) ) ) ) )).

fof(formula_100,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1,X2)
        & p22(X2,f23(X3)) )
     => p22(X1,X3) ) )).

fof(formula_77,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p15(X1)
      & p16(X1)
      & p9(X1) ) )).

fof(formula_68,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p26(X1) ) )).

fof(formula_45,axiom,(
    p36(c35) )).

fof(formula_44,axiom,(
    p21(c35) )).

fof(formula_58,axiom,(
    ! [X1,X2] : 
      ( ( ~ p19(X1)
        & ~ p19(X2) )
     => ~ p19(f24(X1,X2)) ) )).

fof(formula_30,axiom,(
    $true )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p9(X1) )
       => ( ~ p7(X1)
          & p15(X1)
          & p16(X1) ) ) ) )).

fof(formula_89,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p27(X1) )
     => ? [X2] : 
          ( p22(X2,f23(f4(X1)))
          & ~ p19(X2) ) ) )).

fof(formula_92,axiom,(
    ! [X1] : 
      ( ( ~ p7(X1)
        & p8(X1)
        & p13(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p22(X2,f23(f4(X1)))
          & ~ p19(X2)
          & p44(X2,X1)
          & p37(X2,X1) ) ) )).

fof(formula_32,axiom,(
    $true )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p18(X1)
       => ( p12(X1)
          & p17(X1) ) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1)
          & p12(X1)
          & p10(X1) )
       => ( ~ p7(X1)
          & p8(X1)
          & p13(X1)
          & p14(X1)
          & p15(X1)
          & p16(X1)
          & p9(X1)
          & p12(X1)
          & p17(X1)
          & p18(X1) ) ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p7(X1)
          & p9(X1) )
       => ( ~ p7(X1)
          & p18(X1) ) ) ) )).

fof(formula_88,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p13(X1)
      & p46(X1) ) )).

fof(formula_71,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p7(X1)
      & p2(X1)
      & p8(X1)
      & p13(X1)
      & p14(X1)
      & p9(X1) ) )).
%------------------------------------------------------------------------------
