%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f28_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f28(A) = f28(B) ) )).

fof(f29_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(A,C) = f29(B,C) ) )).

fof(f29_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f29(C,A) = f29(C,B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f32_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f32(A,C) = f32(B,C) ) )).

fof(f32_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f32(C,A) = f32(C,B) ) )).

fof(f33_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f33(A,C) = f33(B,C) ) )).

fof(f33_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f33(C,A) = f33(C,B) ) )).

fof(f37_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f37(A) = f37(B) ) )).

fof(f38_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f38(A) = f38(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f41_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f41(A,C,D) = f41(B,C,D) ) )).

fof(f41_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f41(C,A,D) = f41(C,B,D) ) )).

fof(f41_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f41(C,D,A) = f41(C,D,B) ) )).

fof(f43_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f43(A,C) = f43(B,C) ) )).

fof(f43_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f43(C,A) = f43(C,B) ) )).

fof(f47_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f47(A) = f47(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f5(A) = f5(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f9(A,C,D,E) = f9(B,C,D,E) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f9(C,A,D,E) = f9(C,B,D,E) ) )).

fof(f9_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f9(C,D,A,E) = f9(C,D,B,E) ) )).

fof(f9_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f9(C,D,E,A) = f9(C,D,E,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p12(A) )
     => p12(B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p13(A) )
     => p13(B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p14(A) )
     => p14(B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p15(A) )
     => p15(B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p22(A) )
     => p22(B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p23(A) )
     => p23(B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p24(A) )
     => p24(B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p25(A) )
     => p25(B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p26(A) )
     => p26(B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(A,C) )
     => p27(B,C) ) )).

fof(p27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(C,A) )
     => p27(C,B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p30(A) )
     => p30(B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p31(A) )
     => p31(B) ) )).

fof(p34_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p34(A,C,D) )
     => p34(B,C,D) ) )).

fof(p34_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p34(C,A,D) )
     => p34(C,B,D) ) )).

fof(p34_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p34(C,D,A) )
     => p34(C,D,B) ) )).

fof(p35_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p35(A) )
     => p35(B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p36(A,C,D) )
     => p36(B,C,D) ) )).

fof(p36_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p36(C,A,D) )
     => p36(C,B,D) ) )).

fof(p36_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p36(C,D,A) )
     => p36(C,D,B) ) )).

fof(p39_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p39(A,C) )
     => p39(B,C) ) )).

fof(p39_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p39(C,A) )
     => p39(C,B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(A,C) )
     => p40(B,C) ) )).

fof(p40_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p40(C,A) )
     => p40(C,B) ) )).

fof(p42_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p42(A,C,D) )
     => p42(B,C,D) ) )).

fof(p42_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p42(C,A,D) )
     => p42(C,B,D) ) )).

fof(p42_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p42(C,D,A) )
     => p42(C,D,B) ) )).

fof(p45_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p45(A) )
     => p45(B) ) )).

fof(p46_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p46(A,C) )
     => p46(B,C) ) )).

fof(p46_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p46(C,A) )
     => p46(C,B) ) )).

fof(p48_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p48(A) )
     => p48(B) ) )).

fof(p49_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p49(A) )
     => p49(B) ) )).

fof(p50_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p50(A) )
     => p50(B) ) )).

fof(p51_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p51(A) )
     => p51(B) ) )).

fof(p52_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p52(A) )
     => p52(B) ) )).

fof(p53_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p53(A,C) )
     => p53(B,C) ) )).

fof(p53_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p53(C,A) )
     => p53(C,B) ) )).

fof(p54_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p54(A) )
     => p54(B) ) )).

fof(p55_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p55(A,C) )
     => p55(B,C) ) )).

fof(p55_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p55(C,A) )
     => p55(C,B) ) )).

fof(p56_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p56(A,C,D) )
     => p56(B,C,D) ) )).

fof(p56_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p56(C,A,D) )
     => p56(C,B,D) ) )).

fof(p56_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p56(C,D,A) )
     => p56(C,D,B) ) )).

fof(p57_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p57(A,C) )
     => p57(B,C) ) )).

fof(p57_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p57(C,A) )
     => p57(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( p34(X2,X1,X1)
     => ( p2(f3(X1,X2))
        & p1(f3(X1,X2)) ) ) )).

fof(formula_61,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p6(X1) )
     => ~ p24(f37(X1)) ) )).

fof(formula_98,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & ~ p24(X2)
          & p25(X2)
          & p53(X2,X1)
          & p39(X2,X1) ) ) )).

fof(formula_101,axiom,(
    ! [X1] : 
      ( ~ p24(X1)
     => ? [X2] : 
          ( p27(X2,f28(X1))
          & ~ p24(X2)
          & p25(X2) ) ) )).

fof(formula_15,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p21(X1)
       => ~ p12(X1) ) ) )).

fof(formula_64,axiom,(
    ! [X1] : 
      ( ~ p24(X1)
     => ( ~ p12(f38(X1))
        & ~ p30(f38(X1))
        & p2(f38(X1))
        & p13(f38(X1))
        & p18(f38(X1))
        & p19(f38(X1))
        & p17(f38(X1))
        & p22(f38(X1))
        & p23(f38(X1))
        & p15(f38(X1))
        & p16(f38(X1))
        & ~ p48(f38(X1))
        & p49(f38(X1))
        & p50(f38(X1))
        & p51(f38(X1))
        & p52(f38(X1))
        & p20(f38(X1))
        & p21(f38(X1))
        & p14(f38(X1)) ) ) )).

fof(formula_62,axiom,(
    ! [X1] : ~ p24(f47(X1)) )).

fof(formula_74,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p12(X1)
        & p6(X1)
        & ~ p24(X2)
        & p27(X2,f28(f4(X1)))
        & ~ p24(X3)
        & p39(X3,f38(X2))
        & p40(X3,f38(X2))
        & p27(X3,f28(f4(f38(X2)))) )
     => ( ~ p12(f41(X1,X2,X3))
        & p13(f41(X1,X2,X3))
        & p18(f41(X1,X2,X3))
        & p8(f41(X1,X2,X3),X1) ) ) )).

fof(formula_51,axiom,(
    p26(c44) )).

fof(formula_96,axiom,(
    ? [X1] : 
      ( ~ p24(X1)
      & p26(X1) ) )).

fof(formula_42,axiom,(
    ! [X1,X2] : 
      ( ( p6(X1)
        & p7(X2,X1) )
     => ( p35(f10(X1,X2))
        & p36(f10(X1,X2),f4(X2),f4(X1))
        & p42(f10(X1,X2),f4(X2),f4(X1)) ) ) )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p13(X1)
          & p30(X1) )
       => ( ~ p12(X1)
          & p13(X1)
          & p18(X1)
          & p19(X1)
          & p14(X1) ) ) ) )).

fof(formula_105,axiom,(
    ! [X1] : 
      ( ~ p24(X1)
     => ? [X2] : 
          ( p27(X2,f28(X1))
          & ~ p24(X2)
          & p25(X2) ) ) )).

fof(formula_26,axiom,(
    $true )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( p25(X1)
     => ! [X2] : 
          ( p27(X2,f28(X1))
         => p25(X2) ) ) )).

fof(formula_71,axiom,(
    p26(c44) )).

fof(formula_121,axiom,(
    ! [X1] : 
      ( ~ p24(X1)
     => ! [X2] : 
          ( ( ~ p24(X2)
            & p39(X2,f38(X1))
            & p40(X2,f38(X1))
            & p55(X2,f28(f4(f38(X1))))
            & p27(X2,f28(f4(f38(X1)))) )
         => ! [X3] : 
              ~ ( p11(X3,X2)
                & p24(X3) ) ) ) )).

fof(formula_102,axiom,(
    ? [X1] : 
      ( p26(X1)
      & p45(X1) ) )).

fof(formula_128,axiom,(
    ! [X1] : 
      ( p24(X1)
     => X1 = c44 ) )).

fof(formula_112,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & ~ p24(X2)
          & p46(X2,X1)
          & p40(X2,X1) ) ) )).

fof(formula_92,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & p53(X2,X1)
          & p39(X2,X1) ) ) )).

fof(formula_118,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => p27(X1,X2) ) )).

fof(formula_130,axiom,(
    ! [X1,X2] : 
      ~ ( p24(X1)
        & X1 != X2
        & p24(X2) ) )).

fof(formula_110,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ? [X2] : 
          ( p7(X2,X1)
          & ~ p12(X2)
          & p13(X2)
          & p18(X2)
          & p19(X2)
          & p8(X2,X1)
          & p54(X2) ) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => ~ p11(X2,X1) ) )).

fof(formula_88,axiom,(
    ? [X1] : 
      ( ~ p24(X1)
      & p25(X1) ) )).

fof(formula_56,axiom,(
    ! [X1] : 
      ( ~ p24(f47(X1))
      & p25(f47(X1)) ) )).

fof(formula_70,axiom,(
    p24(c44) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( p24(X1)
     => p26(X1) ) )).

fof(formula_97,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p27(X2,f28(X1))
      & p24(X2) ) )).

fof(formula_67,axiom,(
    ! [X1,X2] : 
      ( ( p26(X1)
        & p26(X2) )
     => p26(f43(X1,X2)) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( ( p6(X1)
        & p7(X2,X1) )
     => ( p8(X2,X1)
       => X2 = f9(X1,f4(X2),f5(X2),f10(X1,X2)) ) ) )).

fof(formula_80,axiom,(
    ! [X1] : 
      ( ~ p12(f38(X1))
      & p2(f38(X1))
      & p13(f38(X1))
      & p18(f38(X1))
      & p19(f38(X1))
      & p17(f38(X1))
      & p22(f38(X1))
      & p23(f38(X1))
      & p54(f38(X1))
      & p15(f38(X1))
      & p16(f38(X1))
      & ~ p48(f38(X1))
      & p20(f38(X1))
      & p21(f38(X1))
      & p14(f38(X1)) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p13(X1)
          & p18(X1)
          & p19(X1)
          & p20(X1)
          & p17(X1)
          & p15(X1) )
       => ( ~ p12(X1)
          & p13(X1)
          & p18(X1)
          & p19(X1)
          & p20(X1)
          & p21(X1)
          & p14(X1)
          & p17(X1)
          & p22(X1)
          & p23(X1) ) ) ) )).

fof(formula_85,axiom,(
    ! [X1] : 
      ( ( p13(X1)
        & p18(X1)
        & p19(X1)
        & p20(X1)
        & p21(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & ~ p24(X2)
          & p53(X2,X1)
          & p39(X2,X1)
          & p46(X2,X1)
          & p40(X2,X1) ) ) )).

fof(formula_40,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p42(f5(X1),f4(X1),f4(X1)) ) )).

fof(formula_103,axiom,(
    ? [X1] : 
      ( p6(X1)
      & ~ p12(X1) ) )).

fof(formula_35,axiom,(
    $true )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p1(X1)
     => p6(X1) ) )).

fof(formula_113,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p18(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & ~ p24(X2)
          & p53(X2,X1)
          & p46(X2,X1) ) ) )).

fof(formula_66,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p1(X1) )
     => ~ p24(f37(X1)) ) )).

fof(formula_25,axiom,(
    $true )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( p24(X1)
     => p25(X1) ) )).

fof(formula_53,axiom,(
    ! [X1,X2] : 
      ( ( p25(X1)
        & p25(X2) )
     => p25(f29(X1,X2)) ) )).

fof(formula_50,axiom,(
    p24(c44) )).

fof(formula_87,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p2(X1)
      & p13(X1)
      & p18(X1)
      & p19(X1)
      & p20(X1)
      & p21(X1)
      & p14(X1)
      & p17(X1)
      & p22(X1)
      & p23(X1)
      & p15(X1)
      & p16(X1) ) )).

fof(formula_4,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p13(X1)
          & p14(X1) )
       => ( ~ p12(X1)
          & p13(X1)
          & p15(X1)
          & p16(X1) ) ) ) )).

fof(formula_55,axiom,(
    ! [X1,X2] : 
      ( ( ~ p12(X1)
        & p6(X1)
        & ~ p12(X2)
        & p7(X2,X1) )
     => ( ~ p24(f10(X1,X2))
        & p26(f10(X1,X2))
        & p35(f10(X1,X2))
        & p36(f10(X1,X2),f4(X2),f4(X1)) ) ) )).

fof(formula_39,axiom,(
    ! [X1,X2,X3] : 
      ( p42(X3,X1,X2)
     => p27(X3,f28(f29(X1,X2))) ) )).

fof(formula_86,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p13(X1)
      & p18(X1)
      & p19(X1)
      & p31(X1) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p13(X1)
          & p19(X1)
          & p16(X1) )
       => ( ~ p12(X1)
          & p13(X1)
          & p19(X1)
          & p21(X1) ) ) ) )).

fof(formula_49,axiom,(
    ! [X1,X2] : 
      ( p25(X1)
     => p25(f43(X1,X2)) ) )).

fof(formula_72,axiom,(
    ! [X1,X2] : 
      ( ( ~ p24(X1)
        & ~ p24(X2) )
     => ~ p24(f29(X1,X2)) ) )).

fof(formula_81,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p12(X2)
        & p6(X2)
        & ~ p12(X3)
        & p7(X3,X2) )
     => ( p11(X1,f33(X2,X3))
      <=> ? [X4] : 
            ( p27(X4,f28(f4(X2)))
            & X1 = X4
            & p56(X2,X3,X4) ) ) ) )).

fof(formula_27,axiom,(
    $true )).

fof(formula_95,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p2(X1)
      & p13(X1)
      & p18(X1)
      & p19(X1)
      & p20(X1)
      & p21(X1)
      & p14(X1) ) )).

fof(formula_65,axiom,(
    ! [X1,X2] : 
      ( ( ~ p12(X1)
        & p6(X1)
        & ~ p12(X2)
        & p7(X2,X1) )
     => ( ~ p24(f32(X1,X2))
        & p40(f32(X1,X2),f38(f37(X1))) ) ) )).

fof(formula_90,axiom,(
    ? [X1] : 
      ( p24(X1)
      & p26(X1) ) )).

fof(formula_100,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p13(X1)
      & p18(X1)
      & p19(X1)
      & p20(X1)
      & p21(X1)
      & p14(X1)
      & p17(X1)
      & p22(X1)
      & p23(X1) ) )).

fof(formula_63,axiom,(
    ! [X1] : 
      ( ( p20(X1)
        & p1(X1) )
     => ( ~ p24(f37(X1))
        & p53(f37(X1),X1) ) ) )).

fof(formula_44,axiom,(
    ? [X1] : p6(X1) )).

fof(formula_69,axiom,(
    ! [X1,X2] : 
      ( ( ~ p12(X1)
        & p6(X1)
        & ~ p12(X2)
        & p18(X2)
        & p54(X2)
        & p7(X2,X1) )
     => ( ~ p24(f32(X1,X2))
        & p39(f32(X1,X2),f38(f37(X1)))
        & p40(f32(X1,X2),f38(f37(X1)))
        & p55(f32(X1,X2),f28(f4(f38(f37(X1))))) ) ) )).

fof(formula_123,axiom,(
    ! [X1,X2] : 
      ( p27(X1,f28(X2))
    <=> p57(X1,X2) ) )).

fof(formula_60,axiom,(
    ! [X1,X2] : 
      ( p34(X2,f47(X1),f47(X1))
     => ( ~ p12(f3(f47(X1),X2))
        & p2(f3(f47(X1),X2))
        & p30(f3(f47(X1),X2)) ) ) )).

fof(formula_52,axiom,(
    p45(c44) )).

fof(formula_94,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p2(X1)
      & p13(X1)
      & p18(X1)
      & p19(X1)
      & p20(X1)
      & p21(X1)
      & p14(X1)
      & p30(X1) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ( ( ~ p12(X1)
        & p6(X1)
        & ~ p12(X2)
        & p7(X2,X1) )
     => p27(f32(X1,X2),f28(f4(f38(f37(X1))))) ) )).

fof(formula_93,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & ~ p30(X1)
      & p2(X1)
      & p13(X1)
      & p18(X1)
      & p19(X1)
      & p17(X1)
      & p22(X1)
      & p23(X1)
      & ~ p48(X1)
      & p49(X1)
      & p50(X1)
      & p51(X1)
      & p52(X1)
      & p20(X1)
      & p21(X1) ) )).

fof(formula_43,axiom,(
    ? [X1] : p1(X1) )).

fof(formula_58,axiom,(
    ! [X1] : ~ p24(f28(X1)) )).

fof(formula_115,axiom,(
    ! [X1,X2] : p57(X1,X1) )).

fof(formula_106,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ? [X2] : 
          ( p7(X2,X1)
          & p8(X2,X1) ) ) )).

fof(formula_32,axiom,(
    ! [X1] : 
      ( p2(f38(X1))
      & p1(f38(X1)) ) )).

fof(formula_83,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p6(X1)
        & p34(X3,X2,X2)
        & p35(X4)
        & p36(X4,X2,f4(X1))
        & p34(X4,X2,f4(X1)) )
     => ! [X5,X6,X7,X8] : 
          ( f9(X1,X2,X3,X4) = f9(X5,X6,X7,X8)
         => ( X1 = X5
            & X2 = X6
            & X3 = X7
            & X4 = X8 ) ) ) )).

fof(formula_117,conjecture,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p6(X1) )
     => ! [X2] : 
          ( ( ~ p24(X2)
            & p39(X2,f38(f37(X1)))
            & p40(X2,f38(f37(X1)))
            & p55(X2,f28(f4(f38(f37(X1)))))
            & p27(X2,f28(f4(f38(f37(X1))))) )
         => X2 = f32(X1,f41(X1,f37(X1),X2)) ) ) )).

fof(formula_47,axiom,(
    ! [X1] : 
    ? [X2] : p27(X2,X1) )).

fof(formula_79,axiom,(
    ! [X1] : 
      ( ~ p12(f38(X1))
      & p2(f38(X1))
      & p13(f38(X1))
      & p18(f38(X1))
      & p19(f38(X1))
      & p17(f38(X1))
      & p22(f38(X1))
      & p23(f38(X1))
      & p20(f38(X1))
      & p21(f38(X1))
      & p14(f38(X1)) ) )).

fof(formula_84,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p13(X1)
        & p18(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & ~ p24(X2)
          & p39(X2,X1)
          & p40(X2,X1) ) ) )).

fof(formula_59,axiom,(
    ! [X1] : 
      ( ~ p12(f38(X1))
      & p2(f38(X1))
      & p13(f38(X1))
      & p18(f38(X1))
      & p19(f38(X1))
      & p17(f38(X1))
      & p22(f38(X1))
      & p23(f38(X1))
      & p15(f38(X1))
      & p16(f38(X1))
      & ~ p48(f38(X1))
      & p49(f38(X1))
      & p50(f38(X1))
      & p51(f38(X1))
      & p52(f38(X1))
      & p20(f38(X1))
      & p21(f38(X1))
      & p14(f38(X1)) ) )).

fof(formula_125,axiom,(
    ! [X1,X2,X3] : 
      ( ( p11(X1,X2)
        & p27(X2,f28(X3)) )
     => p27(X1,X3) ) )).

fof(formula_46,axiom,(
    ! [X1,X2] : 
    ? [X3] : p34(X3,X1,X2) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p13(X1)
          & p19(X1)
          & p22(X1)
          & p16(X1) )
       => ( ~ p12(X1)
          & p13(X1)
          & p19(X1)
          & p20(X1)
          & p22(X1) ) ) ) )).

fof(formula_45,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ? [X2] : p7(X2,X1) ) )).

fof(formula_19,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p13(X1)
          & p30(X1) )
       => ( ~ p12(X1)
          & p13(X1)
          & p31(X1) ) ) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( p6(X1)
     => p27(f37(X1),f28(f4(X1))) ) )).

fof(formula_77,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p6(X1)
        & ~ p24(X2)
        & p34(X3,X2,X2)
        & p35(X4)
        & p36(X4,X2,f4(X1))
        & p34(X4,X2,f4(X1)) )
     => ( ~ p12(f9(X1,X2,X3,X4))
        & p8(f9(X1,X2,X3,X4),X1) ) ) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( p27(X3,f28(f29(X1,X2)))
     => p26(X3) ) )).

fof(formula_116,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p6(X1) )
     => ! [X2] : 
          ( ( ~ p24(X2)
            & p39(X2,f38(f37(X1)))
            & p40(X2,f38(f37(X1)))
            & p27(X2,f28(f4(f38(f37(X1))))) )
         => f43(X2,f47(c44)) = f32(X1,f41(X1,f37(X1),X2)) ) ) )).

fof(formula_68,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p22(X1)
        & p1(X1) )
     => ( ~ p24(f37(X1))
        & p53(f37(X1),X1) ) ) )).

fof(formula_124,axiom,(
    ! [X1] : f43(c44,X1) = c44 )).

fof(formula_1,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p2(X1)
       => X1 = f3(f4(X1),f5(X1)) ) ) )).

fof(formula_18,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p23(X1)
       => ( p17(X1)
          & p22(X1) ) ) ) )).

fof(formula_126,axiom,(
    ! [X1,X2,X3] : 
      ~ ( p11(X1,X2)
        & p27(X2,f28(X3))
        & p24(X3) ) )).

fof(formula_127,axiom,(
    ! [X1,X2] : 
      ( f43(X1,f47(X2)) = X1
    <=> ~ p11(X2,X1) ) )).

fof(formula_33,axiom,(
    $true )).

fof(formula_38,axiom,(
    $true )).

fof(formula_54,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p1(X1) )
     => ( ~ p24(f37(X1))
        & p46(f37(X1),X1)
        & p40(f37(X1),X1) ) ) )).

fof(formula_73,axiom,(
    ! [X1] : 
      ( ( p21(X1)
        & p1(X1) )
     => ( ~ p24(f37(X1))
        & p39(f37(X1),X1) ) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p14(X1) )
       => ( ~ p12(X1)
          & p20(X1)
          & p21(X1) ) ) ) )).

fof(formula_99,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p27(X2,f28(f28(X1)))
      & ~ p24(X2)
      & p25(X2) ) )).

fof(formula_76,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p12(X1)
        & p6(X1)
        & ~ p24(X2)
        & p27(X2,f28(f4(X1)))
        & ~ p24(X3)
        & p39(X3,f38(X2))
        & p40(X3,f38(X2))
        & p55(X3,f28(f4(f38(X2))))
        & p27(X3,f28(f4(f38(X2)))) )
     => ( ~ p12(f41(X1,X2,X3))
        & p13(f41(X1,X2,X3))
        & p18(f41(X1,X2,X3))
        & p8(f41(X1,X2,X3),X1)
        & p54(f41(X1,X2,X3)) ) ) )).

fof(formula_119,axiom,(
    ! [X1,X2] : 
      ( p27(X1,X2)
     => ( p24(X2)
        | p11(X1,X2) ) ) )).

fof(formula_41,axiom,(
    $true )).

fof(formula_22,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p6(X1) )
     => ! [X2] : 
          ( ( ~ p12(X2)
            & p7(X2,X1) )
         => f32(X1,X2) = f33(X1,X2) ) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( p13(X1)
          & p20(X1)
          & p15(X1) )
       => ( ~ p12(X1)
          & p13(X1)
          & p20(X1)
          & p22(X1) ) ) ) )).

fof(formula_114,axiom,(
    ! [X1,X2,X3] : 
      ( p42(X3,X1,X2)
    <=> p34(X3,X1,X2) ) )).

fof(formula_82,axiom,(
    ! [X1,X2] : 
      ( p34(X2,X1,X1)
     => ! [X3,X4] : 
          ( f3(X1,X2) = f3(X3,X4)
         => ( X1 = X3
            & X2 = X4 ) ) ) )).

fof(formula_120,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p11(X3,X1)
        <=> p11(X3,X2) )
     => X1 = X2 ) )).

fof(formula_57,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p6(X1) )
     => ~ p24(f4(X1)) ) )).

fof(formula_111,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & p46(X2,X1)
          & p40(X2,X1) ) ) )).

fof(formula_104,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ? [X2] : 
          ( p27(X2,f28(f28(f4(X1))))
          & ~ p24(X2)
          & p25(X2) ) ) )).

fof(formula_122,axiom,(
    ! [X1] : f43(X1,c44) = X1 )).

fof(formula_48,axiom,(
    ! [X1,X2] : 
    ? [X3] : p42(X3,X1,X2) )).

fof(formula_89,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p2(X1)
      & p13(X1)
      & p18(X1)
      & p19(X1)
      & p14(X1) ) )).

fof(formula_91,axiom,(
    ! [X1] : 
      ( ~ p24(X1)
     => ? [X2] : 
          ( p27(X2,f28(X1))
          & ~ p24(X2) ) ) )).

fof(formula_24,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p6(X1)
        & p34(X3,X2,X2)
        & p35(X4)
        & p36(X4,X2,f4(X1))
        & p34(X4,X2,f4(X1)) )
     => ( p8(f9(X1,X2,X3,X4),X1)
        & p7(f9(X1,X2,X3,X4),X1) ) ) )).

fof(formula_78,axiom,(
    ! [X1] : 
      ( ~ p12(f38(X1))
      & p2(f38(X1))
      & p13(f38(X1))
      & p18(f38(X1))
      & p19(f38(X1)) ) )).

fof(formula_37,axiom,(
    $true )).

fof(formula_31,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p12(X1)
        & p6(X1)
        & ~ p24(X2)
        & p27(X2,f28(f4(X1)))
        & ~ p24(X3)
        & p39(X3,f38(X2))
        & p40(X3,f38(X2))
        & p27(X3,f28(f4(f38(X2)))) )
     => ( ~ p12(f41(X1,X2,X3))
        & p8(f41(X1,X2,X3),X1)
        & p7(f41(X1,X2,X3),X1) ) ) )).

fof(formula_75,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p17(X1)
        & p1(X1) )
     => ( ~ p24(f37(X1))
        & p39(f37(X1),X1) ) ) )).

fof(formula_30,axiom,(
    $true )).

fof(formula_109,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & p6(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & ~ p24(X2) ) ) )).

fof(formula_17,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p14(X1) )
       => ( ~ p12(X1)
          & p23(X1) ) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( ~ p12(X1)
          & p13(X1)
          & p16(X1) )
       => ( ~ p12(X1)
          & p13(X1)
          & p17(X1) ) ) ) )).

fof(formula_107,axiom,(
    ! [X1] : 
      ( ( ~ p12(X1)
        & ~ p30(X1)
        & p13(X1)
        & p18(X1)
        & p19(X1)
        & p22(X1)
        & p1(X1) )
     => ? [X2] : 
          ( p27(X2,f28(f4(X1)))
          & ~ p24(X2)
          & p55(X2,f28(f4(X1)))
          & p39(X2,X1)
          & p40(X2,X1) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p20(X1)
       => ~ p12(X1) ) ) )).

fof(formula_129,axiom,(
    ! [X1,X2] : 
      ~ ( p11(X1,X2)
        & p24(X2) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p6(X1)
     => ! [X2] : 
          ( p7(X2,X1)
         => p1(X2) ) ) )).

fof(formula_108,axiom,(
    ? [X1] : 
      ( p1(X1)
      & ~ p12(X1)
      & p2(X1)
      & p18(X1)
      & p54(X1) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( ( p17(X1)
          & p22(X1) )
       => p23(X1) ) ) )).
%------------------------------------------------------------------------------
