%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f12(A,C,D) = f12(B,C,D) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f12(C,A,D) = f12(C,B,D) ) )).

fof(f12_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f12(C,D,A) = f12(C,D,B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f13(A,C,D) = f13(B,C,D) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f13(C,A,D) = f13(C,B,D) ) )).

fof(f13_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f13(C,D,A) = f13(C,D,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(A,C) = f14(B,C) ) )).

fof(f14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(C,A) = f14(C,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(A,C) = f27(B,C) ) )).

fof(f27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f27(C,A) = f27(C,B) ) )).

fof(f32_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f32(A,C,D,E) = f32(B,C,D,E) ) )).

fof(f32_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f32(C,A,D,E) = f32(C,B,D,E) ) )).

fof(f32_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f32(C,D,A,E) = f32(C,D,B,E) ) )).

fof(f32_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( A = B
     => f32(C,D,E,A) = f32(C,D,E,B) ) )).

fof(f36_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f36(A) = f36(B) ) )).

fof(f38_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f38(A) = f38(B) ) )).

fof(f39_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f39(A,C,D) = f39(B,C,D) ) )).

fof(f39_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f39(C,A,D) = f39(C,B,D) ) )).

fof(f39_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f39(C,D,A) = f39(C,D,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f8(A) = f8(B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p16(A) )
     => p16(B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p17(A) )
     => p17(B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p19(A) )
     => p19(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p2(A) )
     => p2(B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p20(A) )
     => p20(B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(A,C) )
     => p22(B,C) ) )).

fof(p22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(C,A) )
     => p22(C,B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(A,C) )
     => p23(B,C) ) )).

fof(p23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(C,A) )
     => p23(C,B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p24(A,C) )
     => p24(B,C) ) )).

fof(p24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p24(C,A) )
     => p24(C,B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p25(A,C) )
     => p25(B,C) ) )).

fof(p25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p25(C,A) )
     => p25(C,B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p26(A) )
     => p26(B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p28(A) )
     => p28(B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p29(A,C,D) )
     => p29(B,C,D) ) )).

fof(p29_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p29(C,A,D) )
     => p29(C,B,D) ) )).

fof(p29_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p29(C,D,A) )
     => p29(C,D,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p3(A) )
     => p3(B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p30(A) )
     => p30(B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p31(A,C,D) )
     => p31(B,C,D) ) )).

fof(p31_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p31(C,A,D) )
     => p31(C,B,D) ) )).

fof(p31_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p31(C,D,A) )
     => p31(C,D,B) ) )).

fof(p33_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p33(A,C) )
     => p33(B,C) ) )).

fof(p33_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p33(C,A) )
     => p33(C,B) ) )).

fof(p34_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p34(A) )
     => p34(B) ) )).

fof(p35_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p35(A,C,D) )
     => p35(B,C,D) ) )).

fof(p35_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p35(C,A,D) )
     => p35(C,B,D) ) )).

fof(p35_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p35(C,D,A) )
     => p35(C,D,B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p37(A) )
     => p37(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p40(A,C,D) )
     => p40(B,C,D) ) )).

fof(p40_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p40(C,A,D) )
     => p40(C,B,D) ) )).

fof(p40_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p40(C,D,A) )
     => p40(C,D,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(A,C,D) )
     => p9(B,C,D) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(C,A,D) )
     => p9(C,B,D) ) )).

fof(p9_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(C,D,A) )
     => p9(C,D,B) ) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ( ( ~ p16(X1)
        & ~ p16(X2) )
     => ~ p16(f27(X1,X2)) ) )).

fof(formula_21,axiom,(
    ! [X1] : 
      ( ~ p16(X1)
     => ? [X2] : 
          ( p10(X2,f15(X1))
          & ~ p16(X2) ) ) )).

fof(formula_56,axiom,(
    ! [X1,X2] : 
      ( ( ~ p1(X1)
        & p28(X1)
        & ~ p1(X2)
        & p6(X2,X1) )
     => ( ~ p16(f14(X1,X2))
        & p37(f14(X1,X2))
        & p30(f14(X1,X2))
        & p31(f14(X1,X2),f8(X2),f8(X1)) ) ) )).

fof(formula_40,axiom,(
    $true )).

fof(formula_60,axiom,(
    ! [X1,X2,X3] : 
      ( p29(X3,X1,X2)
     => p10(f12(X1,X2,X3),f15(X2)) ) )).

fof(formula_20,axiom,(
    ! [X1] : 
      ( p34(X1)
     => p35(f36(X1),f8(X1),f8(X1)) ) )).

fof(formula_53,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p1(X1)
        & p28(X1)
        & ~ p1(X2)
        & p5(X2)
        & p6(X2,X1)
        & p10(X3,f8(X2)) )
     => ( ~ p1(f39(X1,X2,X3))
        & p33(f39(X1,X2,X3),X1) ) ) )).

fof(formula_46,axiom,(
    ! [X1,X2,X3] : 
      ( p35(X3,X1,X2)
     => p10(X3,f15(f27(X1,X2))) ) )).

fof(formula_52,axiom,(
    ! [X1] : 
      ( p28(X1)
     => ? [X2] : 
          ( p6(X2,X1)
          & p33(X2,X1) ) ) )).

fof(formula_25,axiom,(
    ! [X1] : 
      ( ( ~ p1(X1)
        & p28(X1) )
     => ? [X2] : 
          ( p10(X2,f15(f8(X1)))
          & ~ p16(X2) ) ) )).

fof(formula_17,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p28(X1)
        & p29(X3,X2,X2)
        & p30(X4)
        & p31(X4,X2,f8(X1))
        & p29(X4,X2,f8(X1)) )
     => ! [X5,X6,X7,X8] : 
          ( f32(X1,X2,X3,X4) = f32(X5,X6,X7,X8)
         => ( X1 = X5
            & X2 = X6
            & X3 = X7
            & X4 = X8 ) ) ) )).

fof(formula_12,axiom,(
    ! [X1] : 
      ( ( p2(X1)
        & p3(X1) )
     => ! [X2] : 
          ( p10(X2,f15(f8(X1)))
         => ( p25(X2,X1)
           => p22(X2,X1) ) ) ) )).

fof(formula_28,axiom,(
    ! [X1] : 
      ( ( p2(X1)
        & p3(X1) )
     => ! [X2] : 
          ( p10(X2,f15(f8(X1)))
         => ( p16(X2)
           => ( p23(X2,X1)
              & p24(X2,X1) ) ) ) ) )).

fof(formula_37,axiom,(
    ! [X1] : 
      ( p16(X1)
     => ( p16(f38(X1))
        & p37(f38(X1)) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p26(X1)
     => ! [X2] : 
          ( p10(X2,f15(X1))
         => p26(X2) ) ) )).

fof(formula_59,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p1(X1)
        & p28(X1)
        & ~ p1(X2)
        & p4(X2)
        & p5(X2)
        & p6(X2,X1)
        & p10(X3,f8(X2)) )
     => f13(X1,X2,X3) = f39(X1,X2,X3) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( ~ p16(X1)
     => ? [X2] : 
          ( p10(X2,f15(X1))
          & ~ p16(X2)
          & p26(X2) ) ) )).

fof(formula_31,axiom,(
    ! [X1,X2,X3] : 
      ( p10(X3,f15(f27(X1,X2)))
     => p37(X3) ) )).

fof(formula_63,axiom,(
    ! [X1] : 
      ( p3(X1)
     => p28(X1) ) )).

fof(formula_69,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p7(X3,X1)
        <=> p7(X3,X2) )
     => X1 = X2 ) )).

fof(formula_49,axiom,(
    ? [X1] : 
      ( p28(X1)
      & ~ p1(X1) ) )).

fof(formula_9,axiom,(
    ! [X1] : 
      ( ( p2(X1)
        & p3(X1) )
     => ? [X2] : 
          ( p10(X2,f15(f8(X1)))
          & p23(X2,X1) ) ) )).

fof(formula_45,axiom,(
    $true )).

fof(formula_55,axiom,(
    ! [X1,X2] : 
      ( ( ~ p1(X1)
        & p28(X1)
        & ~ p1(X2)
        & p4(X2)
        & p5(X2)
        & p6(X2,X1) )
     => ? [X3] : 
          ( p40(X3,X1,X2)
          & ~ p1(X3)
          & p4(X3)
          & p33(X3,X1)
          & p5(X3) ) ) )).

fof(formula_41,axiom,(
    $true )).

fof(formula_15,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p10(X2,f15(f15(X1)))
      & ~ p16(X2)
      & p26(X2) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ( ( p28(X1)
        & p6(X2,X1) )
     => ( p33(X2,X1)
       => X2 = f32(X1,f8(X2),f36(X2),f14(X1,X2)) ) ) )).

fof(formula_62,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p1(X1)
        & p28(X1)
        & ~ p1(X2)
        & p4(X2)
        & p5(X2)
        & p6(X2,X1)
        & p10(X3,f8(X2)) )
     => ( p33(f13(X1,X2,X3),X1)
        & p40(f13(X1,X2,X3),X1,X2) ) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
      ( p16(X1)
     => p37(X1) ) )).

fof(formula_39,axiom,(
    ! [X1,X2,X3] : 
      ( p35(X3,X1,X2)
    <=> p29(X3,X1,X2) ) )).

fof(formula_33,axiom,(
    ? [X1] : 
      ( p16(X1)
      & p37(X1) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( ( p26(X1)
        & p26(X2) )
     => p26(f27(X1,X2)) ) )).

fof(formula_4,axiom,(
    ? [X1] : 
      ( ~ p16(X1)
      & p26(X1) ) )).

fof(formula_64,axiom,(
    ! [X1] : 
      ( p28(X1)
     => ! [X2] : 
          ( p6(X2,X1)
         => p34(X2) ) ) )).

fof(formula_57,axiom,(
    ! [X1,X2] : 
      ( p7(X1,X2)
     => ~ p7(X2,X1) ) )).

fof(formula_19,axiom,(
    $true )).

fof(formula_50,axiom,(
    ! [X1] : 
      ( ( ~ p1(X1)
        & p28(X1) )
     => ~ p16(f8(X1)) ) )).

fof(formula_18,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p28(X1)
        & p29(X3,X2,X2)
        & p30(X4)
        & p31(X4,X2,f8(X1))
        & p29(X4,X2,f8(X1)) )
     => ( p33(f32(X1,X2,X3,X4),X1)
        & p6(f32(X1,X2,X3,X4),X1) ) ) )).

fof(formula_47,axiom,(
    ! [X1,X2] : 
      ( ( ~ p1(X1)
        & p28(X1)
        & ~ p1(X2)
        & p4(X2)
        & p5(X2)
        & p6(X2,X1) )
     => ! [X3] : 
          ( p40(X3,X1,X2)
         => ( ~ p1(X3)
            & p4(X3)
            & p5(X3)
            & p6(X3,X1) ) ) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( ( ~ p16(X1)
        & p37(X1) )
     => ~ p16(f38(X1)) ) )).

fof(formula_66,axiom,(
    ! [X1,X2] : 
      ( ( ~ p1(X1)
        & p28(X1)
        & ~ p1(X2)
        & p6(X2,X1) )
     => ! [X3] : 
          ( p9(X3,X1,X2)
         => p10(X3,f15(f8(X1))) ) ) )).

fof(formula_29,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ! [X2] : 
          ( p10(X2,f15(f8(X1)))
         => ( p16(X2)
           => p22(X2,X1) ) ) ) )).

fof(formula_54,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p1(X1)
        & p28(X1)
        & ~ p1(X2)
        & p4(X2)
        & p5(X2)
        & p6(X2,X1)
        & p10(X3,f8(X2)) )
     => ( ~ p1(f39(X1,X2,X3))
        & p4(f39(X1,X2,X3))
        & p33(f39(X1,X2,X3),X1)
        & p5(f39(X1,X2,X3)) ) ) )).

fof(formula_2,axiom,(
    ! [X1] : 
      ( p3(X1)
     => ? [X2] : 
          ( p10(X2,f15(f8(X1)))
          & p16(X2)
          & p17(X2)
          & p18(X2)
          & p19(X2)
          & p20(X2)
          & p21(X2)
          & p22(X2,X1) ) ) )).

fof(formula_58,axiom,(
    ! [X1,X2,X3] : 
      ( p29(X3,X1,X2)
     => f12(X1,X2,X3) = f38(X3) ) )).

fof(formula_13,axiom,(
    ! [X1] : 
      ( ( p2(X1)
        & p3(X1) )
     => ! [X2] : 
          ( p10(X2,f15(f8(X1)))
         => ( ( p24(X2,X1)
              & p22(X2,X1) )
           => ( p22(X2,X1)
              & p25(X2,X1) ) ) ) ) )).

fof(formula_1,conjecture,(
    ! [X1,X2,X3] : 
      ( ( ~ p1(X1)
        & p2(X1)
        & p3(X1)
        & ~ p1(X2)
        & p4(X2)
        & p5(X2)
        & p6(X2,X1) )
     => ! [X4,X5,X6] : 
          ( ( ! [X7] : 
                ( p7(X7,X5)
              <=> ( p7(X7,f8(X2))
                  & ? [X8] : 
                      ( p9(X8,X1,X2)
                      & ? [X9] : 
                          ( p10(X9,f8(X2))
                          & X4 = f11(X1,X8)
                          & X7 = X9
                          & X8 = f12(f8(f13(X1,X2,X9)),f8(X1),f14(X1,f13(X1,X2,X9))) ) ) ) )
            & ! [X7] : 
                ( p7(X7,X6)
              <=> ( p7(X7,f8(X2))
                  & ? [X10] : 
                      ( p9(X10,X1,X2)
                      & ? [X11] : 
                          ( p10(X11,f8(X2))
                          & X4 = f11(X1,X10)
                          & X7 = X11
                          & X10 = f12(f8(f13(X1,X2,X11)),f8(X1),f14(X1,f13(X1,X2,X11))) ) ) ) ) )
         => X5 = X6 ) ) )).

fof(formula_68,axiom,(
    ! [X1,X2] : 
      ( ( p28(X1)
        & p6(X2,X1) )
     => ( p30(f14(X1,X2))
        & p31(f14(X1,X2),f8(X2),f8(X1))
        & p35(f14(X1,X2),f8(X2),f8(X1)) ) ) )).

fof(formula_11,axiom,(
    ! [X1] : 
      ( ( ~ p1(X1)
        & p2(X1)
        & p3(X1) )
     => ? [X2] : 
          ( p10(X2,f15(f8(X1)))
          & ~ p16(X2)
          & p23(X2,X1)
          & p24(X2,X1) ) ) )).

fof(formula_51,axiom,(
    ! [X1,X2] : 
      ( ( p2(X1)
        & p3(X1)
        & p10(X2,f15(f8(X1))) )
     => p24(f11(X1,X2),X1) ) )).

fof(formula_43,axiom,(
    ! [X1] : 
      ( p34(X1)
     => p28(X1) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
      ( p16(X1)
     => p26(X1) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
      ( ( p2(X1)
        & p3(X1) )
     => ? [X2] : 
          ( p10(X2,f15(f8(X1)))
          & p23(X2,X1)
          & p24(X2,X1) ) ) )).

fof(formula_48,axiom,(
    ! [X1] : ~ p16(f15(X1)) )).

fof(formula_44,axiom,(
    $true )).

fof(formula_16,axiom,(
    ! [X1] : 
      ( p28(X1)
     => ? [X2] : 
          ( p10(X2,f15(f15(f8(X1))))
          & ~ p16(X2)
          & p26(X2) ) ) )).

fof(formula_14,axiom,(
    ! [X1] : 
      ( ( p2(X1)
        & p3(X1) )
     => ! [X2] : 
          ( p10(X2,f15(f8(X1)))
         => ( ( p23(X2,X1)
              & p25(X2,X1) )
           => ( p16(X2)
              & p23(X2,X1)
              & p24(X2,X1)
              & p17(X2)
              & p18(X2)
              & p19(X2)
              & p20(X2)
              & p21(X2)
              & p22(X2,X1)
              & p25(X2,X1) ) ) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : 
      ( ~ p16(X1)
     => ? [X2] : 
          ( p10(X2,f15(X1))
          & ~ p16(X2)
          & p26(X2) ) ) )).

fof(formula_67,axiom,(
    $true )).

fof(formula_61,axiom,(
    ! [X1,X2] : 
      ( ( p3(X1)
        & p10(X2,f15(f8(X1))) )
     => p10(f11(X1,X2),f15(f8(X1))) ) )).

fof(formula_26,axiom,(
    ! [X1] : 
      ( ( p2(X1)
        & p3(X1) )
     => ? [X2] : 
          ( p10(X2,f15(f8(X1)))
          & p24(X2,X1) ) ) )).

fof(formula_42,axiom,(
    ! [X1,X2,X3] : 
      ( ( ~ p1(X1)
        & p28(X1)
        & ~ p1(X2)
        & p6(X2,X1)
        & p10(X3,f8(X2)) )
     => ( p33(f39(X1,X2,X3),X1)
        & p6(f39(X1,X2,X3),X1) ) ) )).

fof(formula_23,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p10(X2,f15(X1))
      & p16(X2) ) )).

fof(formula_27,axiom,(
    ! [X1] : 
      ( ( ~ p1(X1)
        & p2(X1)
        & p3(X1) )
     => ? [X2] : 
          ( p10(X2,f15(f8(X1)))
          & ~ p16(X2)
          & p24(X2,X1) ) ) )).

fof(formula_32,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p28(X1)
        & ~ p16(X2)
        & p29(X3,X2,X2)
        & p30(X4)
        & p31(X4,X2,f8(X1))
        & p29(X4,X2,f8(X1)) )
     => ( ~ p1(f32(X1,X2,X3,X4))
        & p33(f32(X1,X2,X3,X4),X1) ) ) )).

fof(formula_65,axiom,(
    $true )).

fof(formula_3,axiom,(
    ! [X1] : 
      ( ( p2(X1)
        & p3(X1) )
     => ? [X2] : 
          ( p10(X2,f15(f8(X1)))
          & p16(X2)
          & p23(X2,X1)
          & p24(X2,X1)
          & p17(X2)
          & p18(X2)
          & p19(X2)
          & p20(X2)
          & p21(X2)
          & p22(X2,X1)
          & p25(X2,X1) ) ) )).

fof(formula_30,axiom,(
    ! [X1] : 
      ( ( p2(X1)
        & p3(X1) )
     => ! [X2] : 
          ( p10(X2,f15(f8(X1)))
         => ( p16(X2)
           => p25(X2,X1) ) ) ) )).

fof(formula_35,axiom,(
    ? [X1] : 
      ( ~ p16(X1)
      & p37(X1) ) )).
%------------------------------------------------------------------------------
