%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f10(A) = f10(B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f11(A) = f11(B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f12(A) = f12(B) ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f13(A) = f13(B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f14(A) = f14(B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f15(A) = f15(B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f16(A) = f16(B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(A,C) = f17(B,C) ) )).

fof(f17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f17(C,A) = f17(C,B) ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(A,C) = f2(B,C) ) )).

fof(f2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f2(C,A) = f2(C,B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f26(A) = f26(B) ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f3(A) = f3(B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(A,C) = f4(B,C) ) )).

fof(f4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f4(C,A) = f4(C,B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(f8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(A,C) = f8(B,C) ) )).

fof(f8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f8(C,A) = f8(C,B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(A,C) = f9(B,C) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f9(C,A) = f9(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p1(X2) )
     => ( p1(f6(X1,X2))
        & p1(f2(X1,X2))
        & p1(f4(X1,X2))
        & p1(f7(X1,X2))
        & p1(f8(X1,X2))
        & p1(f9(X1,X2))
        & p1(f5(X1,X2)) ) ) )).

fof(formula_20,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( p1(f6(c20,f6(c21,f5(f6(c22,f6(c21,c23)),f3(c21)))))
      & ( ( p1(X4)
          & p1(X5)
          & f13(f9(X5,c18)) = c24
          & f14(f9(f7(X4,f3(c21)),f14(f9(X5,c18)))) = c20 )
       => p1(f4(c25,f13(f9(f7(X4,f3(c21)),f14(f9(X5,c18)))))) )
      & ( ( p1(X1)
          & p1(X2)
          & p1(X3)
          & f14(f9(X3,X2)) = X2 )
       => p1(f6(f2(f5(f6(f26(X2),f6(X1,c23)),f3(c27)),X2),f5(f6(c24,f6(c27,c23)),f3(c18)))) ) ) )).

fof(formula_13,axiom,(
    ! [X1] : f14(X1) = f10(f11(X1)) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( ( p1(f2(X1,X2))
        & p1(f3(X2)) )
     => p1(X1) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : f8(f4(X1,X2),X2) = X1 )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( ( p1(f5(X1,f3(X2)))
        & p1(X2) )
     => p1(X1) ) )).

fof(formula_12,axiom,(
    ! [X1] : f13(X1) = f10(X1) )).

fof(formula_9,axiom,(
    ! [X1,X2] : f9(f5(X1,f3(X2)),X2) = X1 )).

fof(formula_15,axiom,(
    ! [X1] : f16(X1) = f10(f11(f11(f11(X1)))) )).

fof(formula_18,axiom,(
    p1(f3(c19)) )).

fof(formula_7,axiom,(
    ! [X1,X2] : f7(f2(X1,X2),f3(X2)) = X1 )).

fof(formula_21,conjecture,(
    p1(c25) )).

fof(formula_17,axiom,(
    p1(c18) )).

fof(formula_14,axiom,(
    ! [X1] : f15(X1) = f10(f11(f11(X1))) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( ( p1(f4(X1,X2))
        & p1(X2) )
     => p1(X1) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : f11(f6(X1,X2)) = X2 )).

fof(formula_19,axiom,(
    p1(c19) )).

fof(formula_5,axiom,(
    ! [X1,X2] : 
      ( p1(f6(X1,X2))
     => ( p1(X1)
        & p1(X2) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p1(X1)
     => ( p1(f10(X1))
        & p1(f11(X1))
        & p1(f12(X1)) ) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p1(X2) )
     => p1(f17(X1,X2)) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : f10(f6(X1,X2)) = X1 )).
%------------------------------------------------------------------------------
