%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(A,C) = f10(B,C) ) )).

fof(f10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f10(C,A) = f10(C,B) ) )).

fof(f11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(A,C) = f11(B,C) ) )).

fof(f11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f11(C,A) = f11(C,B) ) )).

fof(f12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(A,C) = f12(B,C) ) )).

fof(f12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f12(C,A) = f12(C,B) ) )).

fof(f14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(A,C) = f14(B,C) ) )).

fof(f14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f14(C,A) = f14(C,B) ) )).

fof(f15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(A,C) = f15(B,C) ) )).

fof(f15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f15(C,A) = f15(C,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f16(A) = f16(B) ) )).

fof(f17_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f17(A) = f17(B) ) )).

fof(f19_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f19(A,C,D) = f19(B,C,D) ) )).

fof(f19_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f19(C,A,D) = f19(C,B,D) ) )).

fof(f19_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f19(C,D,A) = f19(C,D,B) ) )).

fof(f23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(A,C) = f23(B,C) ) )).

fof(f23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f23(C,A) = f23(C,B) ) )).

fof(f24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(A,C) = f24(B,C) ) )).

fof(f24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f24(C,A) = f24(C,B) ) )).

fof(f25_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f25(A) = f25(B) ) )).

fof(f26_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f26(A) = f26(B) ) )).

fof(f27_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f27(A) = f27(B) ) )).

fof(f6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(A,C) = f6(B,C) ) )).

fof(f6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f6(C,A) = f6(C,B) ) )).

fof(f7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(A,C) = f7(B,C) ) )).

fof(f7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f7(C,A) = f7(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(A,C) )
     => p13(B,C) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(C,A) )
     => p13(C,B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p18(A) )
     => p18(B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(A,C) )
     => p20(B,C) ) )).

fof(p20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(C,A) )
     => p20(C,B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p21(A) )
     => p21(B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p4(A) )
     => p4(B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(A,C,D) )
     => p9(B,C,D) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(C,A,D) )
     => p9(C,B,D) ) )).

fof(p9_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p9(C,D,A) )
     => p9(C,D,B) ) )).

fof(formula_25,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( p1(X5,X4)
     => ( p18(f19(X1,f6(X2,f7(X4,X5)),X3))
      <=> p18(f19(X1,X2,X3)) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p8(f6(X1,f7(X2,X4)),X3)
    <=> ( p8(X1,X3)
        | X2 = X3 ) ) )).

fof(formula_15,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( X2 != X3
        & p8(X1,X3) )
     => f11(f6(X1,f7(X2,X4)),X3) = f11(X1,X3) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : f26(f19(X1,c5,X2)) = c3 )).

fof(formula_36,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( X2 != c5
        & p8(X2,f25(X1))
        & p2(f25(X1),f11(X2,f25(X1))) )
     => f16(f19(X1,X2,X3)) = f19(X1,f12(X2,f25(X1)),c22) ) )).

fof(formula_16,axiom,(
    ! [X1] : f12(c5,X1) = c5 )).

fof(formula_27,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p20(f19(X1,X2,X3),X4)
    <=> p8(X2,X4) ) )).

fof(formula_3,axiom,(
    ! [X1] : p1(X1,X1) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( p13(X1,X2)
     => p13(X1,f17(X2)) ) )).

fof(formula_39,axiom,(
    ! [X1,X2,X3,X4] : 
      ( X2 != c5
     => f26(f19(X1,X2,X3)) = f25(X1) ) )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ( p21(f19(X1,X2,c22))
    <=> $false ) )).

fof(formula_11,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( p9(f6(X1,f7(X2,X4)),X3,X5)
    <=> ( p9(X1,X3,X5)
        | ( X2 = X3
          & X4 = X5 ) ) ) )).

fof(formula_6,axiom,(
    ~ p4(c5) )).

fof(formula_26,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( p2(X4,X5)
     => ( p18(f19(X1,f6(X2,f7(X4,X5)),X3))
      <=> $false ) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : ~ p9(c5,X1,X2) )).

fof(formula_31,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ~ p8(X2,X4)
     => f15(f19(X1,X2,X3),X4) = f19(X1,X2,c22) ) )).

fof(formula_24,axiom,(
    ! [X1,X2] : p18(f19(X1,c5,X2)) )).

fof(formula_34,axiom,(
    ! [X1,X2] : f16(f19(X1,c5,X2)) = f19(X1,c5,c22) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3] : f11(f6(X1,f7(X2,X3)),X2) = X3 )).

fof(formula_32,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p8(X2,X4)
        & p1(f11(X2,X4),X4) )
     => f15(f19(X1,X2,X3),X4) = f19(f24(X1,X4),f10(X2,X4),X3) ) )).

fof(formula_30,axiom,(
    ! [X1,X2,X3,X4] : f14(f19(X1,X2,X3),X4) = f19(f23(X1,X4),f6(X2,f7(X4,c3)),X3) )).

fof(formula_40,axiom,(
    ! [X1] : f17(X1) = f15(f16(X1),f26(X1)) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3] : p4(f6(X1,f7(X2,X3))) )).

fof(formula_35,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( X2 != c5
        & ~ p8(X2,f25(X1)) )
     => f16(f19(X1,X2,X3)) = f19(X1,f12(X2,f25(X1)),c22) ) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ( p13(X1,X2)
     => p13(X1,f16(X2)) ) )).

fof(formula_29,axiom,(
    ! [X1,X2,X3] : 
      ( ~ p21(f19(X1,X2,X3))
     => X3 = c22 ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( p2(X1,X2)
    <=> ( p1(X1,X2)
        & ~ p1(X2,X1) ) ) )).

fof(formula_5,axiom,(
    ! [X1] : p1(c3,X1) )).

fof(formula_20,axiom,(
    ! [X1,X2,X3] : 
      ( p13(X1,X2)
     => p13(X1,f14(X2,X3)) ) )).

fof(formula_8,axiom,(
    ! [X1] : ~ p8(c5,X1) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
      | p1(X2,X1) ) )).

fof(formula_17,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p2(X4,X3)
     => f12(f6(X1,f7(X2,X4)),X3) = f6(f12(X1,X3),f7(X2,X3)) ) )).

fof(formula_18,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p1(X3,X4)
     => f12(f6(X1,f7(X2,X4)),X3) = f6(f12(X1,X3),f7(X2,X4)) ) )).

fof(formula_37,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( X2 != c5
        & p8(X2,f25(X1))
        & p1(f11(X2,f25(X1)),f25(X1)) )
     => f16(f19(X1,X2,X3)) = f19(X1,f12(X2,f25(X1)),X3) ) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3] : f10(f6(X1,f7(X2,X3)),X2) = X1 )).

fof(formula_19,axiom,(
    ! [X1] : p13(X1,X1) )).

fof(formula_21,axiom,(
    ! [X1,X2,X3] : 
      ( p13(X1,X2)
     => p13(X1,f15(X2,X3)) ) )).

fof(formula_1,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2)
        & p1(X2,X3) )
     => p1(X1,X3) ) )).

fof(formula_33,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p8(X2,X4)
        & p2(X4,f11(X2,X4)) )
     => f15(f19(X1,X2,X3),X4) = f19(f24(X1,X4),f10(X2,X4),c22) ) )).

fof(formula_41,axiom,(
    ! [X1] : f27(X1) = f26(X1) )).

fof(formula_13,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( X2 != X3
        & p8(X1,X3) )
     => f10(f6(X1,f7(X2,X4)),X3) = f6(f10(X1,X3),f7(X2,X4)) ) )).

fof(formula_42,conjecture,(
    ! [X1,X2,X3] : 
      ( ~ p21(f19(X1,X2,X3))
     => ~ p21(f16(f19(X1,X2,X3))) ) )).
%------------------------------------------------------------------------------
