%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(formula_2,conjecture,
    ( ? [X1] : 
      ! [X2] : 
        ( ? [X3] : 
          ! [X4] : 
            ( p1(X2,X4)
          <=> X4 = X3 )
      <=> X2 = X1 )
  <=> ? [X5] : 
      ! [X6] : 
        ( ? [X7] : 
          ! [X8] : 
            ( p1(X8,X6)
          <=> X8 = X7 )
      <=> X6 = X5 ) )).

fof(formula_1,axiom,(
    ? [X1,X2] : 
      ( X1 != X2
      & ! [X3] : 
          ( X3 = X1
          | X3 = X2 ) ) )).
%------------------------------------------------------------------------------
