%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f1_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f1(A) = f1(B) ) )).

fof(f2_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f2(A) = f2(B) ) )).

fof(formula_1,conjecture,
    ( ( ? [X1] : X1 = f1(f2(X1))
      & ! [X2,X3] : 
          ( ( X2 = f1(f2(X2))
            & X3 = f1(f2(X3)) )
         => X2 = X3 ) )
  <=> ( ? [X1] : X1 = f2(f1(X1))
      & ! [X2,X3] : 
          ( ( X2 = f2(f1(X2))
            & X3 = f2(f1(X3)) )
         => X2 = X3 ) ) )).
%------------------------------------------------------------------------------
