%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( ( p1(X2,X1)
        & X2 != X1 )
     => p8(X2) ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( p17(f18(X1,X2))
     => ( p17(X1)
        & p17(X2) ) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ( X1 = f15(X2)
    <=> ! [X3] : 
          ( p13(X3,X2)
        <=> p2(X3,X1) ) ) )).

fof(formula_35,axiom,(
    ! [X1,X2,X3,X4,X5,X6] : 
      ( ( p17(f18(f19(X5,X1),f19(X6,X2)))
        & p17(f18(f19(X5,X3),f19(X6,X4))) )
     => ~ ( p11(f20(X5),X1,X3)
          & p11(f20(X6),X4,X2) ) ) )).

fof(formula_17,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p9(X1,X2,X3,X4)
    <=> ( X2 != X4
        & ? [X5] : 
            ( p1(X5,X1)
            & p4(X2,X5)
            & p4(X4,X5)
            & p5(X3,X5) ) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2,X3] : 
      ( X1 = f3(X2,X3)
    <=> ! [X4] : 
          ( p2(X4,X1)
        <=> ( p2(X4,X2)
            | p2(X4,X3) ) ) ) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p4(X2,X1)
        & p4(X3,X1)
        & p4(X4,X1) )
     => ( X2 = X3
        | X2 = X4
        | X3 = X4 ) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( p5(X2,X1)
     => ? [X3,X4] : 
          ( p6(X2,X3,X4)
          & X1 = f3(X3,X4) ) ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
      ( p14(X1,X2)
    <=> ( p13(X1,X2)
        & ! [X3] : 
            ( ( X1 != X3
              & p13(X3,X2) )
           => p11(X2,X3,X1) ) ) ) )).

fof(formula_30,axiom,(
    ! [X1,X2,X3] : 
      ( p17(f18(f18(X1,X2),X3))
    <=> p17(f18(X1,f18(X2,X3))) ) )).

fof(formula_14,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p7(X1)
        & p6(X4,X2,X3)
        & X1 = f3(X2,X3) )
     => ! [X5] : 
          ( p4(X5,X2)
         => p6(X5,X2,X3) ) ) )).

fof(formula_22,axiom,(
    ! [X1] : 
    ? [X2] : 
      ( p8(X2)
      & ! [X3] : 
          ( p13(X3,X1)
        <=> p2(X3,X2) ) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( p7(X1)
    <=> ~ ? [X2] : p4(X2,X1) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( p17(f19(X1,X2))
    <=> p13(X2,f20(X1)) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( p5(X1,X2)
    <=> ( p2(X1,X2)
        & ~ p4(X1,X2) ) ) )).

fof(formula_25,axiom,(
    ! [X1,X2,X3] : 
      ( ( p8(X3)
        & X1 != X2
        & p2(X1,X3)
        & p2(X2,X3) )
     => ? [X4] : 
          ( ! [X5] : 
              ( p13(X5,X4)
            <=> p2(X5,X3) )
          & p11(X4,X1,X2) ) ) )).

fof(formula_10,axiom,(
    ! [X1] : 
    ? [X2] : p5(X2,X1) )).

fof(formula_37,conjecture,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2,X3)
    <=> p16(X2,X1,X3) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ( p17(f18(X1,X2))
    <=> p17(f18(X2,X1)) ) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( p6(X1,X2,X3)
    <=> ( p2(X1,X2)
        & p2(X1,X3)
        & ! [X4] : 
            ( ( p2(X4,X2)
              & p2(X4,X3) )
           => ( p4(X4,X2)
              & p4(X4,X3) ) ) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p1(X2,X1)
        & p1(X3,X1)
        & p1(X4,X1)
        & ? [X5] : 
            ( p4(X5,X2)
            & p4(X5,X3)
            & p4(X5,X4) ) )
     => ( p1(X3,X4)
        | p1(X4,X3)
        | p1(X2,X3)
        | p1(X3,X2)
        | p1(X2,X4)
        | p1(X4,X2) ) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( ? [X3] : p6(X3,X1,X2)
     => ? [X4] : X4 = f3(X1,X2) ) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( p12(X1,X2)
    <=> ( p13(X1,X2)
        & ! [X3] : 
            ( ( X1 != X3
              & p13(X3,X2) )
           => p11(X2,X1,X3) ) ) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p4(X2,X1)
     => ? [X3] : 
          ( p4(X3,X1)
          & X2 != X3 ) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( ! [X3] : 
          ( p2(X3,X1)
        <=> p2(X3,X2) )
     => X1 = X2 ) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ( ! [X3,X4] : 
          ( p11(X1,X3,X4)
        <=> p11(X2,X3,X4) )
     => X1 = X2 ) )).

fof(formula_31,axiom,(
    ! [X1] : 
      ( p17(X1)
     => p17(f18(X1,X1)) ) )).

fof(formula_28,axiom,(
    ! [X1,X2,X3] : 
      ( p16(X1,X2,X3)
    <=> p17(f18(f19(X1,X3),f19(X2,X3))) ) )).

fof(formula_36,axiom,(
    ! [X1] : 
      ( p17(X1)
     => ! [X2] : 
        ? [X3] : p17(f18(X1,f19(X2,X3))) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X2,X1)
    <=> ! [X3] : 
          ( p2(X3,X2)
         => p2(X3,X1) ) ) )).

fof(formula_23,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p10(X4,X1,X2,X3)
    <=> ? [X5] : 
          ( ! [X1] : 
              ( p13(X1,X4)
            <=> p2(X1,X5) )
          & p9(X5,X1,X2,X3) ) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( p8(X1)
    <=> ? [X2] : p4(X2,X1) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
    <=> ( p2(X1,X2)
        & ! [X3,X4] : 
            ( ( p1(X3,X2)
              & p1(X4,X2)
              & p2(X1,X3)
              & p2(X1,X4) )
           => ( p1(X3,X4)
              | p1(X4,X3) ) ) ) ) )).

fof(formula_24,axiom,(
    ! [X1] : 
    ? [X2] : p12(X2,X1) )).

fof(formula_21,axiom,(
    ! [X1,X2,X3] : 
      ( p11(X1,X2,X3)
     => ( p13(X2,X1)
        & p13(X3,X1) ) ) )).

fof(formula_34,axiom,(
    ! [X1] : 
    ? [X2] : f20(X1) = X2 )).

fof(formula_18,axiom,(
    ! [X1,X2,X3,X4] : 
      ( p10(X1,X2,X3,X4)
    <=> ( ( p11(X1,X2,X3)
          & p11(X1,X3,X4) )
        | ( p11(X1,X4,X3)
          & p11(X1,X3,X2) ) ) ) )).
%------------------------------------------------------------------------------
