%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(A,C) = f3(B,C) ) )).

fof(f3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f3(C,A) = f3(C,B) ) )).

fof(f4_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f4(A) = f4(B) ) )).

fof(f9_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f9(A,C,D) = f9(B,C,D) ) )).

fof(f9_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f9(C,A,D) = f9(C,B,D) ) )).

fof(f9_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( A = B
     => f9(C,D,A) = f9(C,D,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p1(A,C,D) )
     => p1(B,C,D) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p1(C,A,D) )
     => p1(C,B,D) ) )).

fof(p1_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p1(C,D,A) )
     => p1(C,D,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p5(A) )
     => p5(B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p6(A) )
     => p6(B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p8(A,C,D,E) )
     => p8(B,C,D,E) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p8(C,A,D,E) )
     => p8(C,B,D,E) ) )).

fof(p8_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p8(C,D,A,E) )
     => p8(C,D,B,E) ) )).

fof(p8_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p8(C,D,E,A) )
     => p8(C,D,E,B) ) )).

fof(formula_15,axiom,(
    p1(c13,c12,c14) )).

fof(formula_13,axiom,(
    ! [X1,X2,X3] : 
      ( p1(X1,X2,X3)
     => ! [X4,X5] : 
          ( ( p2(X4,X2)
            & p2(X5,X2) )
         => f3(X1,f9(X2,X4,X5)) = f9(X3,f3(X1,X4),f3(X1,X5)) ) ) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( p1(X1,X3,X4)
        & p1(X2,X4,X5)
        & ! [X6] : 
            ( ( p2(X6,X4)
              & f3(X2,X6) = f4(X5) )
          <=> ? [X7] : 
                ( p2(X7,X3)
                & f3(X1,X7) = X6 ) ) )
     => p7(X1,X2) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( p2(X2,X1)
     => f9(X1,X2,X2) = f4(X1) ) )).

fof(formula_20,axiom,(
    p1(c22,c14,c19) )).

fof(formula_1,axiom,(
    ! [X1,X2,X3] : 
      ( p1(X1,X2,X3)
     => ( ! [X4] : 
            ( p2(X4,X2)
           => p2(f3(X1,X4),X3) )
        & f3(X1,f4(X2)) = f4(X3) ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1)
        & p1(X1,X2,X3) )
     => ! [X4] : 
          ( p2(X4,X3)
         => ? [X5] : 
              ( p2(X5,X2)
              & f3(X1,X5) = X4 ) ) ) )).

fof(formula_27,conjecture,(
    p6(c21) )).

fof(formula_25,hypothesis,(
    p6(c20) )).

fof(formula_2,axiom,(
    ! [X1,X2,X3] : 
      ( ( p5(X1)
        & p1(X1,X2,X3) )
     => ! [X4,X5] : 
          ( ( p2(X4,X2)
            & p2(X5,X2)
            & f3(X1,X4) = f3(X1,X5) )
         => X4 = X5 ) ) )).

fof(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( ( p2(X2,X1)
        & p2(X3,X1) )
     => p2(f9(X1,X2,X3),X1) ) )).

fof(formula_19,axiom,(
    p1(c21,c12,c17) )).

fof(formula_24,axiom,(
    p8(c13,c22,c21,c18) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( ( p2(X2,X1)
        & p2(X3,X1) )
     => f9(X1,X2,f9(X1,X2,X3)) = X3 ) )).

fof(formula_3,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2,X3)
        & ! [X4,X5] : 
            ( ( p2(X4,X2)
              & p2(X5,X2)
              & f3(X1,X4) = f3(X1,X5) )
           => X4 = X5 ) )
     => p5(X1) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3,X4,X5,X6,X7,X8] : 
      ( ( p1(X1,X5,X6)
        & p1(X2,X6,X8)
        & p1(X3,X5,X7)
        & p1(X4,X7,X8)
        & ! [X9] : 
            ( p2(X9,X5)
           => f3(X2,f3(X1,X9)) = f3(X4,f3(X3,X9)) ) )
     => p8(X1,X2,X3,X4) ) )).

fof(formula_16,axiom,(
    p1(c15,c16,c17) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2,X3)
        & ! [X4] : 
            ( p2(X4,X3)
           => ? [X5] : 
                ( p2(X5,X2)
                & f3(X1,X5) = X4 ) ) )
     => p6(X1) ) )).

fof(formula_8,axiom,(
    ! [X1,X2,X3,X4,X5,X6,X7,X8] : 
      ( ( p8(X1,X2,X3,X4)
        & p1(X1,X5,X6)
        & p1(X2,X6,X8)
        & p1(X3,X5,X7)
        & p1(X4,X7,X8) )
     => ! [X9] : 
          ( p2(X9,X5)
         => f3(X2,f3(X1,X9)) = f3(X4,f3(X3,X9)) ) ) )).

fof(formula_26,hypothesis,(
    p6(c22) )).

fof(formula_18,axiom,(
    p1(c20,c11,c16) )).

fof(formula_14,axiom,(
    p1(c10,c11,c12) )).

fof(formula_22,axiom,(
    p7(c23,c18) )).

fof(formula_23,axiom,(
    p8(c10,c21,c20,c15) )).

fof(formula_21,axiom,(
    p6(c13) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( p7(X1,X2)
        & p1(X1,X3,X4)
        & p1(X2,X4,X5) )
     => ! [X6] : 
          ( ( p2(X6,X4)
            & f3(X2,X6) = f4(X5) )
        <=> ? [X7] : 
              ( p2(X7,X3)
              & f3(X1,X7) = X6 ) ) ) )).

fof(formula_17,axiom,(
    p1(c18,c17,c19) )).
%------------------------------------------------------------------------------
