%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(f13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(A,C) = f13(B,C) ) )).

fof(f13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f13(C,A) = f13(C,B) ) )).

fof(f16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(A,C) = f16(B,C) ) )).

fof(f16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f16(C,A) = f16(C,B) ) )).

fof(f18_substitution_1,axiom,(
    ! [A,B] : 
      ( A = B
     => f18(A) = f18(B) ) )).

fof(f5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(A,C) = f5(B,C) ) )).

fof(f5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( A = B
     => f5(C,A) = f5(C,B) ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p1(A) )
     => p1(B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p10(A) )
     => p10(B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(A,C) )
     => p12(B,C) ) )).

fof(p12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(C,A) )
     => p12(C,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p15(A,C,D,E) )
     => p15(B,C,D,E) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p15(C,A,D,E) )
     => p15(C,B,D,E) ) )).

fof(p15_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p15(C,D,A,E) )
     => p15(C,D,B,E) ) )).

fof(p15_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( A = B
        & p15(C,D,E,A) )
     => p15(C,D,E,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p9(A) )
     => p9(B) ) )).

fof(formula_12,hypothesis,(
    ! [X1] : 
      ( p9(X1)
     => p4(f16(c14,c17),f16(c2,X1)) ) )).

fof(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( ( p11(X1,X2)
        & p11(X1,X3) )
     => ( p4(X3,X2)
        | X3 = X2
        | p4(X2,X3) ) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p11(X1,X2)
        & p4(f5(c2,X2),c8)
        & p4(f5(c14,X2),c8) )
     => p15(c2,c14,X1,X2) ) )).

fof(formula_6,axiom,(
    ! [X1] : 
      ( ( p9(X1)
        & p10(X1) )
     => p11(X1,f16(c2,X1)) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( ( p4(X1,X2)
        & p4(X2,X3) )
     => p4(X1,X3) ) )).

fof(formula_7,axiom,(
    ! [X1] : 
      ( ( p9(X1)
        & p10(X1) )
     => p11(X1,f16(c14,X1)) ) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( ( p9(X1)
        & p10(X1)
        & p11(X1,X2)
        & p4(X3,X2) )
     => p11(X1,X3) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( p12(X1,X2)
    <=> ( p4(X1,X2)
        | X1 = X2 ) ) )).

fof(formula_8,axiom,(
    ! [X1] : 
      ( ( p9(X1)
        & p10(X1)
        & ? [X2] : 
            ( p11(X1,X2)
            & ! [X3] : 
                ( ( p15(c2,c14,X1,X3)
                  & p12(X3,X2) )
               => p4(c8,f13(c2,X3)) ) ) )
     => ? [X4] : 
          ( p4(X4,f16(c14,X1))
          & ! [X3] : 
              ( ( p15(c2,c14,X1,X3)
                & p12(X3,X4) )
             => p4(c8,f13(c2,X3)) ) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( ( p1(X1)
        & p3(X2,X1) )
     => ? [X3] : 
          ( p4(X3,X2)
          & f5(c6,c7) = c8 ) ) )).

fof(formula_16,conjecture,(
    ! [X1] : 
      ( ( p9(X1)
        & p10(X1) )
     => ? [X2] : 
          ( p11(X1,X2)
          & p4(X2,f16(c2,X1))
          & f5(c2,c19) = c8 ) ) )).

fof(formula_15,hypothesis,(
    ! [X1] : 
      ( ( p9(X1)
        & p10(X1) )
     => ? [X2] : 
          ( p11(X1,X2)
          & ! [X3] : 
              ( ( p15(c2,c14,X1,X3)
                & p12(X3,X2) )
             => p4(f13(c14,X3),f13(c2,X3)) ) ) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p10(X1)
        & p11(X1,X2)
        & ! [X3] : 
            ( ( p4(f5(c2,X3),c8)
              & p12(X3,X2) )
           => p4(c8,f13(c2,X3)) ) )
     => p3(X2,c2) ) )).

fof(formula_14,hypothesis,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p11(X1,X2)
        & p12(X2,f16(c14,X1)) )
     => p4(f5(c14,X2),c8) ) )).

fof(formula_13,hypothesis,(
    ! [X1] : 
      ( ( p9(X1)
        & p10(X1) )
     => ? [X2] : 
          ( p11(X1,X2)
          & p12(X2,f18(X1)) ) ) )).

fof(formula_1,axiom,(
    p1(c2) )).
%------------------------------------------------------------------------------
