%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(symmetry,axiom,(
    ! [X,Y] : 
      ( X = Y
     => Y = X ) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] : 
      ( ( X = Y
        & Y = Z )
     => X = Z ) )).

fof(p1_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(A,C) )
     => p1(B,C) ) )).

fof(p1_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p1(C,A) )
     => p1(C,B) ) )).

fof(p10_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(A,C) )
     => p10(B,C) ) )).

fof(p10_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p10(C,A) )
     => p10(C,B) ) )).

fof(p11_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(A,C) )
     => p11(B,C) ) )).

fof(p11_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p11(C,A) )
     => p11(C,B) ) )).

fof(p12_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(A,C) )
     => p12(B,C) ) )).

fof(p12_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p12(C,A) )
     => p12(C,B) ) )).

fof(p13_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(A,C) )
     => p13(B,C) ) )).

fof(p13_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p13(C,A) )
     => p13(C,B) ) )).

fof(p14_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(A,C) )
     => p14(B,C) ) )).

fof(p14_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p14(C,A) )
     => p14(C,B) ) )).

fof(p15_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(A,C) )
     => p15(B,C) ) )).

fof(p15_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p15(C,A) )
     => p15(C,B) ) )).

fof(p16_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(A,C) )
     => p16(B,C) ) )).

fof(p16_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p16(C,A) )
     => p16(C,B) ) )).

fof(p17_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p17(A,C) )
     => p17(B,C) ) )).

fof(p17_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p17(C,A) )
     => p17(C,B) ) )).

fof(p18_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(A,C) )
     => p18(B,C) ) )).

fof(p18_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p18(C,A) )
     => p18(C,B) ) )).

fof(p19_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p19(A,C) )
     => p19(B,C) ) )).

fof(p19_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p19(C,A) )
     => p19(C,B) ) )).

fof(p2_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(A,C) )
     => p2(B,C) ) )).

fof(p2_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p2(C,A) )
     => p2(C,B) ) )).

fof(p20_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(A,C) )
     => p20(B,C) ) )).

fof(p20_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p20(C,A) )
     => p20(C,B) ) )).

fof(p21_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p21(A,C) )
     => p21(B,C) ) )).

fof(p21_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p21(C,A) )
     => p21(C,B) ) )).

fof(p22_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(A,C) )
     => p22(B,C) ) )).

fof(p22_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p22(C,A) )
     => p22(C,B) ) )).

fof(p23_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(A,C) )
     => p23(B,C) ) )).

fof(p23_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p23(C,A) )
     => p23(C,B) ) )).

fof(p24_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p24(A,C) )
     => p24(B,C) ) )).

fof(p24_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p24(C,A) )
     => p24(C,B) ) )).

fof(p25_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p25(A,C) )
     => p25(B,C) ) )).

fof(p25_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p25(C,A) )
     => p25(C,B) ) )).

fof(p26_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p26(A,C) )
     => p26(B,C) ) )).

fof(p26_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p26(C,A) )
     => p26(C,B) ) )).

fof(p27_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(A,C) )
     => p27(B,C) ) )).

fof(p27_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p27(C,A) )
     => p27(C,B) ) )).

fof(p28_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p28(A,C) )
     => p28(B,C) ) )).

fof(p28_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p28(C,A) )
     => p28(C,B) ) )).

fof(p29_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p29(A,C) )
     => p29(B,C) ) )).

fof(p29_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p29(C,A) )
     => p29(C,B) ) )).

fof(p3_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(A,C) )
     => p3(B,C) ) )).

fof(p3_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p3(C,A) )
     => p3(C,B) ) )).

fof(p30_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p30(A,C) )
     => p30(B,C) ) )).

fof(p30_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p30(C,A) )
     => p30(C,B) ) )).

fof(p31_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p31(A,C) )
     => p31(B,C) ) )).

fof(p31_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p31(C,A) )
     => p31(C,B) ) )).

fof(p32_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p32(A,C) )
     => p32(B,C) ) )).

fof(p32_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p32(C,A) )
     => p32(C,B) ) )).

fof(p33_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p33(A,C) )
     => p33(B,C) ) )).

fof(p33_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p33(C,A) )
     => p33(C,B) ) )).

fof(p34_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p34(A,C,D) )
     => p34(B,C,D) ) )).

fof(p34_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p34(C,A,D) )
     => p34(C,B,D) ) )).

fof(p34_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p34(C,D,A) )
     => p34(C,D,B) ) )).

fof(p35_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p35(A,C,D) )
     => p35(B,C,D) ) )).

fof(p35_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p35(C,A,D) )
     => p35(C,B,D) ) )).

fof(p35_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p35(C,D,A) )
     => p35(C,D,B) ) )).

fof(p36_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p36(A,C,D) )
     => p36(B,C,D) ) )).

fof(p36_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p36(C,A,D) )
     => p36(C,B,D) ) )).

fof(p36_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p36(C,D,A) )
     => p36(C,D,B) ) )).

fof(p37_substitution_1,axiom,(
    ! [A,B] : 
      ( ( A = B
        & p37(A) )
     => p37(B) ) )).

fof(p38_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(A,C,D) )
     => p38(B,C,D) ) )).

fof(p38_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(C,A,D) )
     => p38(C,B,D) ) )).

fof(p38_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p38(C,D,A) )
     => p38(C,D,B) ) )).

fof(p39_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p39(A,C) )
     => p39(B,C) ) )).

fof(p39_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p39(C,A) )
     => p39(C,B) ) )).

fof(p4_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(A,C) )
     => p4(B,C) ) )).

fof(p4_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p4(C,A) )
     => p4(C,B) ) )).

fof(p40_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p40(A,C,D) )
     => p40(B,C,D) ) )).

fof(p40_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p40(C,A,D) )
     => p40(C,B,D) ) )).

fof(p40_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( A = B
        & p40(C,D,A) )
     => p40(C,D,B) ) )).

fof(p5_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(A,C) )
     => p5(B,C) ) )).

fof(p5_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p5(C,A) )
     => p5(C,B) ) )).

fof(p6_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(A,C) )
     => p6(B,C) ) )).

fof(p6_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p6(C,A) )
     => p6(C,B) ) )).

fof(p7_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(A,C) )
     => p7(B,C) ) )).

fof(p7_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p7(C,A) )
     => p7(C,B) ) )).

fof(p8_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(A,C) )
     => p8(B,C) ) )).

fof(p8_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p8(C,A) )
     => p8(C,B) ) )).

fof(p9_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(A,C) )
     => p9(B,C) ) )).

fof(p9_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( A = B
        & p9(C,A) )
     => p9(C,B) ) )).

fof(formula_29,axiom,(
    ! [X1,X2] : 
      ( p27(X1,X2)
     => p15(X1,X2) ) )).

fof(formula_2,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
     => p4(X1,X2) ) )).

fof(formula_41,axiom,(
    ! [X1] : 
      ~ ? [X2] : p36(X1,X2,X2) )).

fof(formula_35,axiom,(
    ! [X1,X2] : 
      ( p13(X1,X2)
     => ~ p28(X1,X2) ) )).

fof(formula_37,axiom,(
    ! [X1,X2] : 
      ( p29(X1,X2)
     => ~ p26(X1,X2) ) )).

fof(formula_23,axiom,(
    ! [X1,X2] : 
      ( p25(X1,X2)
     => p26(X1,X2) ) )).

fof(formula_38,axiom,(
    ! [X1,X2] : 
      ( p11(X1,X2)
     => ~ p2(X1,X2) ) )).

fof(formula_33,axiom,(
    ! [X1,X2] : 
      ( p32(X1,X2)
     => p31(X1,X2) ) )).

fof(formula_3,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
     => p5(X1,X2) ) )).

fof(formula_26,axiom,(
    ! [X1,X2] : 
      ( p27(X1,X2)
     => p28(X1,X2) ) )).

fof(formula_22,axiom,(
    ! [X1,X2] : 
      ( p23(X1,X2)
     => p24(X1,X2) ) )).

fof(formula_16,axiom,(
    ! [X1,X2] : 
      ( p16(X1,X2)
     => p10(X1,X2) ) )).

fof(formula_7,axiom,(
    ! [X1,X2] : 
      ( p3(X1,X2)
     => p6(X1,X2) ) )).

fof(formula_18,axiom,(
    ! [X1,X2] : 
      ( p18(X1,X2)
     => p17(X1,X2) ) )).

fof(formula_31,axiom,(
    ! [X1,X2] : 
      ( p30(X1,X2)
     => p22(X1,X2) ) )).

fof(formula_12,axiom,(
    ! [X1,X2] : 
      ( p9(X1,X2)
     => p13(X1,X2) ) )).

fof(formula_32,axiom,(
    ! [X1,X2] : 
      ( p31(X1,X2)
     => p30(X1,X2) ) )).

fof(formula_10,axiom,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => p8(X1,X2) ) )).

fof(formula_5,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => p8(X1,X2) ) )).

fof(formula_30,axiom,(
    ! [X1,X2] : 
      ( p22(X1,X2)
     => p27(X1,X2) ) )).

fof(formula_13,axiom,(
    ! [X1,X2] : 
      ( p9(X1,X2)
     => p14(X1,X2) ) )).

fof(formula_1,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p2(X1,X2) ) )).

fof(formula_36,axiom,(
    ! [X1,X2] : 
      ( p12(X1,X2)
     => ~ p7(X1,X2) ) )).

fof(formula_40,axiom,(
    ! [X1,X2] : 
      ( p23(X1,X2)
    <=> ? [X3] : 
          ( p36(X1,X3,X2)
          & ? [X4] : 
              ( p36(X1,X4,X2)
              & X4 != X3
              & ? [X5] : 
                  ( p36(X1,X5,X2)
                  & X5 != X4
                  & X5 != X3
                  & ? [X6] : 
                      ( p36(X1,X6,X2)
                      & X6 != X5
                      & X6 != X4
                      & X6 != X3
                      & ? [X7] : 
                          ( p36(X1,X7,X2)
                          & X7 != X6
                          & X7 != X5
                          & X7 != X4
                          & X7 != X3
                          & ? [X8] : 
                              ( p36(X1,X8,X2)
                              & X8 != X7
                              & X8 != X6
                              & X8 != X5
                              & X8 != X4
                              & X8 != X3
                              & ! [X9] : 
                                  ( p36(X1,X9,X2)
                                 => ( X9 = X8
                                    | X9 = X7
                                    | X9 = X6
                                    | X9 = X5
                                    | X9 = X4
                                    | X9 = X3 ) ) ) ) ) ) ) ) ) )).

fof(formula_34,axiom,(
    ! [X1,X2] : 
      ( p4(X1,X2)
     => ~ p12(X1,X2) ) )).

fof(formula_25,axiom,(
    ! [X1,X2] : 
      ( p27(X1,X2)
     => p11(X1,X2) ) )).

fof(formula_17,axiom,(
    ! [X1,X2] : 
      ( p17(X1,X2)
     => p16(X1,X2) ) )).

fof(formula_28,axiom,(
    ! [X1,X2] : 
      ( p15(X1,X2)
     => p29(X1,X2) ) )).

fof(formula_9,axiom,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => p11(X1,X2) ) )).

fof(formula_4,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => p7(X1,X2) ) )).

fof(formula_27,axiom,(
    ! [X1,X2] : 
      ( p27(X1,X2)
     => p14(X1,X2) ) )).

fof(formula_42,conjecture,(
    ~ ? [X1] : 
        ( p37(X1)
        & ? [X2,X3] : 
            ( p2(X1,X2)
            & ! [X4,X5] : 
                ( ( p1(X1,X4)
                  & p36(X1,X5,X3) )
               => ? [X6,X7] : 
                    ( p38(X1,X6,X2)
                    & p20(X1,X6)
                    & p22(X1,X7)
                    & p34(X1,X7,X4)
                    & p35(X1,X7,X5)
                    & p39(X1,X7)
                    & p33(X1,X7)
                    & p21(X1,X7)
                    & p40(X1,X7,X6) ) )
            & p23(X1,X3)
            & p24(X1,X3)
            & ! [X8] : 
                ( p36(X1,X8,X3)
               => p32(X1,X8) ) ) ) )).

fof(formula_20,axiom,(
    ! [X1,X2] : 
      ( p20(X1,X2)
     => p19(X1,X2) ) )).

fof(formula_24,axiom,(
    ! [X1,X2] : 
      ( p24(X1,X2)
     => p25(X1,X2) ) )).

fof(formula_19,axiom,(
    ! [X1,X2] : 
      ( p19(X1,X2)
     => p18(X1,X2) ) )).

fof(formula_39,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p33(X1,X2)
        & p34(X1,X2,X3)
        & p35(X1,X2,X4) )
     => X3 != X4 ) )).

fof(formula_21,axiom,(
    ! [X1,X2] : 
      ( p21(X1,X2)
     => p22(X1,X2) ) )).

fof(formula_6,axiom,(
    ! [X1,X2] : 
      ( p6(X1,X2)
     => p9(X1,X2) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => p12(X1,X2) ) )).

fof(formula_14,axiom,(
    ! [X1,X2] : 
      ( p9(X1,X2)
     => p15(X1,X2) ) )).

fof(formula_8,axiom,(
    ! [X1,X2] : 
      ( p1(X1,X2)
     => p3(X1,X2) ) )).

fof(formula_15,axiom,(
    ! [X1,X2] : 
      ( p10(X1,X2)
     => p9(X1,X2) ) )).
%------------------------------------------------------------------------------
