%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : X = X )).

fof(formula_3,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2,X3)
        & ! [X4,X5] : 
            ( ( p2(X4,X2)
              & p2(X5,X2)
              & f3(X1,X4) = f3(X1,X5) )
           => X4 = X5 ) )
     => p5(X1) ) )).

fof(formula_29,hypothesis,(
    p6(c20) )).

fof(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( ( p6(X1)
        & p1(X1,X2,X3) )
     => ! [X4] : 
          ( p2(X4,X3)
         => ? [X5] : 
              ( p2(X5,X2)
              & f3(X1,X5) = X4 ) ) ) )).

fof(formula_25,axiom,(
    p7(c10,c13) )).

fof(formula_8,axiom,(
    ! [X1,X2,X3,X4,X5,X6,X7,X8] : 
      ( ( p8(X1,X2,X3,X4)
        & p1(X1,X5,X6)
        & p1(X2,X6,X8)
        & p1(X3,X5,X7)
        & p1(X4,X7,X8) )
     => ! [X9] : 
          ( p2(X9,X5)
         => f3(X2,f3(X1,X9)) = f3(X4,f3(X3,X9)) ) ) )).

fof(formula_2,axiom,(
    ! [X1,X2,X3] : 
      ( ( p5(X1)
        & p1(X1,X2,X3) )
     => ! [X4,X5] : 
          ( ( p2(X4,X2)
            & p2(X5,X2)
            & f3(X1,X4) = f3(X1,X5) )
         => X4 = X5 ) ) )).

fof(formula_28,axiom,(
    p8(c13,c22,c21,c18) )).

fof(formula_27,axiom,(
    p8(c10,c21,c20,c15) )).

fof(formula_1,axiom,(
    ! [X1,X2,X3] : 
      ( p1(X1,X2,X3)
     => ( ! [X4] : 
            ( p2(X4,X2)
           => p2(f3(X1,X4),X3) )
        & f3(X1,f4(X2)) = f4(X3) ) ) )).

fof(formula_19,axiom,(
    p1(c21,c12,c17) )).

fof(formula_20,axiom,(
    p1(c22,c14,c19) )).

fof(formula_16,axiom,(
    p1(c15,c16,c17) )).

fof(formula_17,axiom,(
    p1(c18,c17,c19) )).

fof(formula_6,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( p7(X1,X2)
        & p1(X1,X3,X4)
        & p1(X2,X4,X5) )
     => ! [X6] : 
          ( ( p2(X6,X4)
            & f3(X2,X6) = f4(X5) )
        <=> ? [X7] : 
              ( p2(X7,X3)
              & f3(X1,X7) = X6 ) ) ) )).

fof(formula_22,axiom,(
    p5(c15) )).

fof(formula_30,hypothesis,(
    p6(c22) )).

fof(formula_14,axiom,(
    p1(c10,c11,c12) )).

fof(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( ( p2(X2,X1)
        & p2(X3,X1) )
     => f9(X1,X2,f9(X1,X2,X3)) = X3 ) )).

fof(formula_21,axiom,(
    p5(c10) )).

fof(formula_7,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( p1(X1,X3,X4)
        & p1(X2,X4,X5)
        & ! [X6] : 
            ( ( p2(X6,X4)
              & f3(X2,X6) = f4(X5) )
          <=> ? [X7] : 
                ( p2(X7,X3)
                & f3(X1,X7) = X6 ) ) )
     => p7(X1,X2) ) )).

fof(formula_11,axiom,(
    ! [X1,X2] : 
      ( p2(X2,X1)
     => f9(X1,X2,X2) = f4(X1) ) )).

fof(formula_15,axiom,(
    p1(c13,c12,c14) )).

fof(formula_18,axiom,(
    p1(c20,c11,c16) )).

fof(formula_5,axiom,(
    ! [X1,X2,X3] : 
      ( ( p1(X1,X2,X3)
        & ! [X4] : 
            ( p2(X4,X3)
           => ? [X5] : 
                ( p2(X5,X2)
                & f3(X1,X5) = X4 ) ) )
     => p6(X1) ) )).

fof(formula_26,axiom,(
    p7(c23,c18) )).

fof(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( ( p2(X2,X1)
        & p2(X3,X1) )
     => p2(f9(X1,X2,X3),X1) ) )).

fof(formula_23,axiom,(
    p6(c13) )).

fof(formula_13,axiom,(
    ! [X1,X2,X3] : 
      ( p1(X1,X2,X3)
     => ! [X4,X5] : 
          ( ( p2(X4,X2)
            & p2(X5,X2) )
         => f3(X1,f9(X2,X4,X5)) = f9(X3,f3(X1,X4),f3(X1,X5)) ) ) )).

fof(formula_9,axiom,(
    ! [X1,X2,X3,X4,X5,X6,X7,X8] : 
      ( ( p1(X1,X5,X6)
        & p1(X2,X6,X8)
        & p1(X3,X5,X7)
        & p1(X4,X7,X8)
        & ! [X9] : 
            ( p2(X9,X5)
           => f3(X2,f3(X1,X9)) = f3(X4,f3(X3,X9)) ) )
     => p8(X1,X2,X3,X4) ) )).

fof(formula_31,conjecture,(
    p6(c21) )).

fof(formula_24,axiom,(
    p6(c18) )).
%------------------------------------------------------------------------------
