%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C,D) = f5(B,C,D) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A,D) = f5(C,B,D) )).

cnf(f5_substitution_3,axiom,
    ( A != B
    | f5(C,D,A) = f5(C,D,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A) = f7(B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A) = f8(B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A) = f9(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p10_substitution_1,axiom,
    ( A != B
    | ~ p10(A)
    | p10(B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A)
    | p12(B) )).

cnf(p13_substitution_1,axiom,
    ( A != B
    | ~ p13(A)
    | p13(B) )).

cnf(p14_substitution_1,axiom,
    ( A != B
    | ~ p14(A)
    | p14(B) )).

cnf(p15_substitution_1,axiom,
    ( A != B
    | ~ p15(A)
    | p15(B) )).

cnf(clause_8,axiom,
    ( p12(X1)
    | ~ p15(X1) )).

cnf(clause_2,negated_conjecture,(
    ~ p1(f5(f2(f3(f8(X1)),c4),f2(f9(f8(X1)),c4),c4),f5(X1,f5(f2(f9(f8(X1)),c4),f2(f7(f8(X1)),c4),c4),c4),c4) )).

cnf(clause_7,axiom,
    ( ~ p15(X1)
    | p13(X1) )).

cnf(clause_3,axiom,
    ( p1(c11,f2(X2,X1),X1)
    | ~ p10(X1) )).

cnf(clause_6,axiom,
    ( ~ p14(X1)
    | p1(f5(X4,X2,X1),f5(X4,X3,X1),X1)
    | ~ p1(X2,X3,X1)
    | ~ p1(c11,X4,X1) )).

cnf(clause_5,axiom,
    ( ~ p13(X1)
    | f5(X2,X3,X1) = f5(X3,X2,X1) )).

cnf(clause_11,negated_conjecture,(
    p15(c4) )).

cnf(clause_10,axiom,
    ( ~ p15(X1)
    | p10(X1) )).

cnf(clause_9,axiom,
    ( p14(X1)
    | ~ p15(X1) )).

cnf(clause_1,negated_conjecture,(
    p1(f2(f3(X1),c4),f5(c6,f2(f7(X1),c4),c4),c4) )).

cnf(clause_4,axiom,
    ( ~ p12(X1)
    | f5(f5(X2,X3,X1),X4,X1) = f5(X2,f5(X3,X4,X1),X1) )).
%------------------------------------------------------------------------------
