%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A) = f13(B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A) = f14(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C,D) = f6(B,C,D) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A,D) = f6(C,B,D) )).

cnf(f6_substitution_3,axiom,
    ( A != B
    | f6(C,D,A) = f6(C,D,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A) = f9(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A)
    | p1(B) )).

cnf(p15_substitution_1,axiom,
    ( A != B
    | ~ p15(A)
    | p15(B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C,D)
    | p2(B,C,D) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A,D)
    | p2(C,B,D) )).

cnf(p2_substitution_3,axiom,
    ( A != B
    | ~ p2(C,D,A)
    | p2(C,D,B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A)
    | p5(B) )).

cnf(p7_substitution_1,axiom,
    ( A != B
    | ~ p7(A)
    | p7(B) )).

cnf(p8_substitution_1,axiom,
    ( A != B
    | ~ p8(A)
    | p8(B) )).

cnf(clause_7,axiom,
    ( ~ p15(X1)
    | p7(X1) )).

cnf(clause_4,axiom,
    ( ~ p2(X2,X3,X1)
    | ~ p2(c3,X4,X1)
    | ~ p8(X1)
    | p2(f6(X4,X2,X1),f6(X4,X3,X1),X1) )).

cnf(clause_5,negated_conjecture,(
    p2(f4(f9(c10),c11),f6(c12,f4(f13(c10),c11),c11),c11) )).

cnf(clause_1,axiom,
    ( ~ p1(X1)
    | p2(c3,f4(X2,X1),X1) )).

cnf(clause_10,axiom,
    ( ~ p15(X1)
    | p1(X1) )).

cnf(clause_3,axiom,
    ( f6(X2,X3,X1) = f6(X3,X2,X1)
    | ~ p7(X1) )).

cnf(clause_6,negated_conjecture,(
    ~ p2(f6(f4(f9(c10),c11),f4(f14(c10),c11),c11),f6(c12,f6(f4(f14(c10),c11),f4(f13(c10),c11),c11),c11),c11) )).

cnf(clause_2,axiom,
    ( f6(f6(X2,X3,X1),X4,X1) = f6(X2,f6(X3,X4,X1),X1)
    | ~ p5(X1) )).

cnf(clause_8,axiom,
    ( p5(X1)
    | ~ p15(X1) )).

cnf(clause_11,negated_conjecture,(
    p15(c11) )).

cnf(clause_9,axiom,
    ( ~ p15(X1)
    | p8(X1) )).
%------------------------------------------------------------------------------
