%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A) = f10(B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A) = f12(B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A) = f13(B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A) = f16(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A) = f7(B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A) = f8(B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C)
    | p3(B,C) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A)
    | p3(C,B) )).

cnf(clause_14,axiom,(
    f7(f1(X1,X2)) = f1(f7(X1),f7(X2)) )).

cnf(clause_7,axiom,
    ( ~ p3(c2,X2)
    | ~ p3(c2,X1)
    | p3(f4(X1,X2),X2) )).

cnf(clause_18,negated_conjecture,
    ( ~ p3(f6(f1(X2,f7(c9))),f12(X1))
    | p3(f6(f1(f13(X2),f7(c14))),X1)
    | ~ p3(c2,X1) )).

cnf(clause_21,negated_conjecture,
    ( ~ p3(f1(f6(f1(f10(f16(X1)),f7(c11))),f6(f1(f13(f16(X1)),f7(c14)))),c15)
    | ~ p3(c2,X1) )).

cnf(clause_4,axiom,
    ( ~ p3(X1,X2)
    | p3(X1,X3)
    | ~ p3(X2,X3) )).

cnf(clause_5,axiom,
    ( p3(c2,f4(X1,X2))
    | ~ p3(c2,X2)
    | ~ p3(c2,X1) )).

cnf(clause_19,negated_conjecture,(
    p3(c2,c15) )).

cnf(clause_12,axiom,
    ( p3(c2,f5(X1))
    | ~ p3(c2,X1) )).

cnf(clause_10,axiom,(
    f1(f1(X1,X2),X3) = f1(X1,f1(X2,X3)) )).

cnf(clause_20,negated_conjecture,
    ( ~ p3(c2,X1)
    | p3(f6(f1(f16(X1),f7(c9))),X1) )).

cnf(clause_8,axiom,
    ( p3(f1(X1,X3),X2)
    | ~ p3(X1,f5(X2))
    | ~ p3(X3,f5(X2)) )).

cnf(clause_1,axiom,(
    f1(X1,c2) = X1 )).

cnf(clause_2,axiom,(
    f1(c2,X1) = X1 )).

cnf(clause_6,axiom,
    ( p3(f4(X1,X2),X1)
    | ~ p3(c2,X2)
    | ~ p3(c2,X1) )).

cnf(clause_16,negated_conjecture,
    ( p3(f6(f1(f10(X2),f7(c11))),X1)
    | ~ p3(c2,X1)
    | ~ p3(f6(f1(X2,f7(c9))),f8(X1)) )).

cnf(clause_3,axiom,(
    ~ p3(X1,X1) )).

cnf(clause_17,negated_conjecture,
    ( p3(c2,f12(X1))
    | ~ p3(c2,X1) )).

cnf(clause_13,axiom,
    ( p3(c2,f5(X1))
    | ~ p3(c2,X1) )).

cnf(clause_11,axiom,(
    f1(X1,X2) = f1(X2,X1) )).

cnf(clause_15,negated_conjecture,
    ( ~ p3(c2,X1)
    | p3(c2,f8(X1)) )).

cnf(clause_9,axiom,
    ( ~ p3(f1(f6(X1),f6(X2)),X3)
    | p3(f6(f1(X1,X2)),X3) )).
%------------------------------------------------------------------------------
