%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A,C)
    | p5(B,C) )).

cnf(p5_substitution_2,axiom,
    ( A != B
    | ~ p5(C,A)
    | p5(C,B) )).

cnf(clause_5,axiom,(
    f1(X1,X2) = f1(X2,X1) )).

cnf(clause_1,axiom,(
    f1(X1,X1) = X1 )).

cnf(clause_13,axiom,
    ( f1(X1,X2) != X1
    | f1(X2,f2(X1,X3)) = f2(X1,f1(X3,X2)) )).

cnf(clause_7,axiom,(
    f1(f1(X1,X2),X3) = f1(X1,f1(X2,X3)) )).

cnf(clause_14,axiom,
    ( ~ p5(X1,X2)
    | f1(X1,X2) = c3 )).

cnf(clause_11,axiom,(
    f1(X1,c4) = X1 )).

cnf(clause_10,axiom,(
    f2(X1,c3) = X1 )).

cnf(clause_2,axiom,(
    f2(X1,X1) = X1 )).

cnf(clause_4,axiom,(
    f2(X1,f1(X1,X2)) = X1 )).

cnf(clause_15,axiom,
    ( ~ p5(X1,X2)
    | f2(X1,X2) = c4 )).

cnf(clause_12,axiom,(
    f2(X1,c4) = c4 )).

cnf(clause_19,negated_conjecture,(
    c6 != f1(f2(c6,f1(c9,c8)),f2(c6,f1(c9,c7))) )).

cnf(clause_6,axiom,(
    f2(X1,X2) = f2(X2,X1) )).

cnf(clause_3,axiom,(
    f1(X1,f2(X1,X2)) = X1 )).

cnf(clause_16,axiom,
    ( f1(X1,X2) != c3
    | p5(X1,X2)
    | f2(X1,X2) != c4 )).

cnf(clause_8,axiom,(
    f2(f2(X1,X2),X3) = f2(X1,f2(X2,X3)) )).

cnf(clause_17,hypothesis,(
    p5(c6,f2(c7,c8)) )).

cnf(clause_18,hypothesis,(
    p5(c9,f1(c7,c8)) )).

cnf(clause_9,axiom,(
    f1(X1,c3) = c3 )).
%------------------------------------------------------------------------------
