%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C,D) = f1(B,C,D) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A,D) = f1(C,B,D) )).

cnf(f1_substitution_3,axiom,
    ( A != B
    | f1(C,D,A) = f1(C,D,B) )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C,D) = f10(B,C,D) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A,D) = f10(C,B,D) )).

cnf(f10_substitution_3,axiom,
    ( A != B
    | f10(C,D,A) = f10(C,D,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C) = f5(B,C) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A) = f5(C,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C) = f8(B,C) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A) = f8(C,B) )).

cnf(p11_substitution_1,axiom,
    ( A != B
    | ~ p11(A)
    | p11(B) )).

cnf(clause_11,axiom,(
    p11(c6) )).

cnf(clause_13,axiom,(
    p11(c9) )).

cnf(clause_6,axiom,(
    f1(c9,X1,X2) = f8(X2,X1) )).

cnf(clause_4,axiom,(
    f1(c6,X1,X2) = f5(X2,X1) )).

cnf(clause_14,hypothesis,
    ( f1(X1,f1(X1,X2,X3),X4) = f1(X1,X2,f1(X1,X3,X4))
    | ~ p11(X1) )).

cnf(clause_7,axiom,(
    f10(X1,X2,X3) = f1(X1,X2,X3) )).

cnf(clause_17,negated_conjecture,(
    f5(c12,f8(c13,f5(c14,f5(c15,c16)))) != f5(c12,f8(c13,f5(f8(c13,c15),f5(c14,f5(c15,c16))))) )).

cnf(clause_12,axiom,(
    p11(c7) )).

cnf(clause_8,axiom,(
    p11(c2) )).

cnf(clause_10,axiom,(
    p11(c4) )).

cnf(clause_1,axiom,(
    f1(c2,X1,X2) = X1 )).

cnf(clause_16,hypothesis,
    ( ~ p11(X2)
    | f10(X1,f1(X2,f10(X1,X3,X4),X5),f1(X2,X4,X5)) = f1(X2,f10(X1,X3,X4),X5)
    | ~ p11(X1) )).

cnf(clause_5,axiom,(
    f1(c7,X1,X2) = f8(X1,X2) )).

cnf(clause_15,hypothesis,
    ( f1(X1,f1(X1,X2,X3),f1(X1,X4,X5)) = f1(X1,f1(X1,X2,X4),f1(X1,X3,X5))
    | ~ p11(X1) )).

cnf(clause_3,axiom,(
    f1(c4,X1,X2) = f5(X1,X2) )).

cnf(clause_9,axiom,(
    p11(c3) )).

cnf(clause_2,axiom,(
    f1(c3,X1,X2) = X2 )).
%------------------------------------------------------------------------------
