%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C) = f5(B,C) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A) = f5(C,B) )).

cnf(p6_substitution_1,axiom,
    ( A != B
    | ~ p6(A,C)
    | p6(B,C) )).

cnf(p6_substitution_2,axiom,
    ( A != B
    | ~ p6(C,A)
    | p6(C,B) )).

cnf(clause_5,axiom,(
    f4(X1,X2) = f1(f1(X1,X2),X2) )).

cnf(clause_7,axiom,
    ( ~ p6(X1,X2)
    | f1(X1,X2) = c2 )).

cnf(clause_3,axiom,(
    f1(f1(X1,X2),X2) = f1(f1(X2,X1),X1) )).

cnf(clause_8,axiom,
    ( p6(X1,X2)
    | f1(X1,X2) != c2 )).

cnf(clause_6,axiom,(
    f5(X1,X2) = f3(f4(f3(X1),f3(X2))) )).

cnf(clause_9,negated_conjecture,(
    f1(f5(c7,c8),c9) != f1(f1(c7,c8),f1(c7,c9)) )).

cnf(clause_1,axiom,(
    f1(c2,X1) = X1 )).

cnf(clause_4,axiom,(
    f1(f1(f3(X1),f3(X2)),f1(X2,X1)) = c2 )).

cnf(clause_2,axiom,(
    f1(f1(X1,X2),f1(f1(X2,X3),f1(X1,X3))) = c2 )).
%------------------------------------------------------------------------------
