%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C)
    | p3(B,C) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A)
    | p3(C,B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A)
    | p5(B) )).

cnf(clause_9,axiom,
    ( ~ p1(X1,X2,X3)
    | p3(X1,X3) )).

cnf(clause_14,hypothesis,(
    ~ p1(c6,c10,c8) )).

cnf(clause_8,axiom,
    ( p1(X1,f4(X1,X2),X2)
    | ~ p3(X1,X2) )).

cnf(clause_5,axiom,
    ( ~ p1(X1,X4,X3)
    | ~ p1(X1,X2,X3)
    | X2 = X4 )).

cnf(clause_1,axiom,(
    p1(X1,X2,f2(X1,X2)) )).

cnf(clause_12,hypothesis,(
    p1(c7,c7,c8) )).

cnf(clause_10,axiom,
    ( ~ p3(X1,X2)
    | p3(X1,X3)
    | ~ p1(X3,X3,X2)
    | ~ p5(X1) )).

cnf(clause_13,hypothesis,(
    p1(c9,c9,c10) )).

cnf(clause_6,axiom,
    ( p3(X3,X2)
    | ~ p3(X1,X2)
    | ~ p3(X3,X1) )).

cnf(clause_11,hypothesis,(
    p5(c6) )).

cnf(clause_4,axiom,
    ( ~ p1(X1,X2,X3)
    | p1(X2,X1,X3) )).

cnf(clause_2,axiom,
    ( p1(X6,X5,X3)
    | ~ p1(X1,X2,X3)
    | ~ p1(X1,X4,X6)
    | ~ p1(X4,X5,X2) )).

cnf(clause_3,axiom,
    ( p1(X6,X5,X3)
    | ~ p1(X6,X4,X1)
    | ~ p1(X4,X2,X5)
    | ~ p1(X1,X2,X3) )).

cnf(clause_15,negated_conjecture,
    ( ~ p3(X1,c9)
    | ~ p3(X1,c7) )).

cnf(clause_7,axiom,
    ( ~ p1(X1,X2,X4)
    | ~ p1(X1,X2,X3)
    | X4 = X3 )).
%------------------------------------------------------------------------------
