%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A)
    | p5(B) )).

cnf(clause_3,axiom,(
    f2(f1(f2(f1(X1,X2)),f2(f1(X1,f2(X2))))) = X1 )).

cnf(clause_9,negated_conjecture,(
    f2(f1(c7,f3(c4,f1(c8,f2(f1(c8,f2(c7))))))) != f2(c7) )).

cnf(clause_5,axiom,
    ( ~ p5(X1)
    | f3(f6(X2),X1) = f1(X1,f3(X2,X1)) )).

cnf(clause_4,axiom,(
    f3(c4,X1) = X1 )).

cnf(clause_1,axiom,(
    f1(X1,X2) = f1(X2,X1) )).

cnf(clause_7,axiom,
    ( ~ p5(X1)
    | p5(f6(X1)) )).

cnf(clause_6,axiom,(
    p5(c4) )).

cnf(clause_2,axiom,(
    f1(f1(X1,X2),X3) = f1(X1,f1(X2,X3)) )).

cnf(clause_8,hypothesis,(
    f2(f1(f2(c7),f2(f1(c8,f2(c7))))) = c8 )).
%------------------------------------------------------------------------------
