%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A)
    | p2(B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A)
    | p3(B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A)
    | p4(B) )).

cnf(clause_8,hypothesis,(
    p4(c7) )).

cnf(clause_1,axiom,(
    f1(X1,f1(X2,X3)) = f1(f1(X1,X2),X3) )).

cnf(clause_5,hypothesis,
    ( ~ p3(X1)
    | ~ p4(X1) )).

cnf(clause_6,hypothesis,(
    p2(c5) )).

cnf(clause_10,negated_conjecture,
    ( p2(f1(X1,X2))
    | ~ p3(X2)
    | ~ p3(X1) )).

cnf(clause_3,hypothesis,
    ( ~ p2(X1)
    | ~ p3(X1) )).

cnf(clause_9,negated_conjecture,
    ( ~ p2(X2)
    | ~ p2(X1)
    | p4(f1(X1,X2))
    | p3(f1(X1,X2)) )).

cnf(clause_11,negated_conjecture,
    ( p2(f1(X1,X2))
    | ~ p4(X2)
    | ~ p4(X1) )).

cnf(clause_7,hypothesis,(
    p3(c6) )).

cnf(clause_2,axiom,
    ( p3(X1)
    | p2(X1)
    | p4(X1) )).

cnf(clause_4,hypothesis,
    ( ~ p4(X1)
    | ~ p2(X1) )).
%------------------------------------------------------------------------------
