%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A,C) = f16(B,C) )).

cnf(f16_substitution_2,axiom,
    ( A != B
    | f16(C,A) = f16(C,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C,D) = f8(B,C,D) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A,D) = f8(C,B,D) )).

cnf(f8_substitution_3,axiom,
    ( A != B
    | f8(C,D,A) = f8(C,D,B) )).

cnf(p10_substitution_1,axiom,
    ( A != B
    | ~ p10(A)
    | p10(B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A)
    | p12(B) )).

cnf(p13_substitution_1,axiom,
    ( A != B
    | ~ p13(A)
    | p13(B) )).

cnf(p14_substitution_1,axiom,
    ( A != B
    | ~ p14(A)
    | p14(B) )).

cnf(p15_substitution_1,axiom,
    ( A != B
    | ~ p15(A)
    | p15(B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C,D)
    | p3(B,C,D) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A,D)
    | p3(C,B,D) )).

cnf(p3_substitution_3,axiom,
    ( A != B
    | ~ p3(C,D,A)
    | p3(C,D,B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A)
    | p9(B) )).

cnf(clause_7,axiom,
    ( ~ p14(X1)
    | f4(f8(X2,X3,X1),X1) = f8(f4(X2,X1),f4(X3,X1),X1) )).

cnf(clause_3,negated_conjecture,(
    p9(c7) )).

cnf(clause_4,axiom,
    ( f8(c11,X2,X1) = X2
    | ~ p10(X1) )).

cnf(clause_6,axiom,
    ( ~ p13(X1)
    | p3(X2,X2,X1) )).

cnf(clause_5,axiom,
    ( ~ p12(X1)
    | f8(f8(X2,X3,X1),X4,X1) = f8(X2,f8(X3,X4,X1),X1) )).

cnf(clause_11,axiom,
    ( p15(X1)
    | ~ p9(X1) )).

cnf(clause_12,axiom,
    ( ~ p9(X1)
    | p14(X1) )).

cnf(clause_2,negated_conjecture,(
    ~ p3(f4(f5(f6(X1)),c7),f8(X1,f8(f4(c1,c7),f4(f5(f6(X1)),c7),c7),c7),c7) )).

cnf(clause_8,axiom,
    ( X2 = c2
    | ~ p15(X1)
    | f8(f16(X2,X1),X2,X1) = c11 )).

cnf(clause_9,axiom,
    ( ~ p15(X1)
    | p10(X1) )).

cnf(clause_10,axiom,
    ( ~ p15(X1)
    | p12(X1) )).

cnf(clause_13,axiom,
    ( ~ p9(X1)
    | p13(X1) )).

cnf(clause_1,negated_conjecture,(
    c1 != c2 )).
%------------------------------------------------------------------------------
