%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A) = f1(B) )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A) = f10(B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A) = f11(B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A,C,D) = f14(B,C,D) )).

cnf(f14_substitution_2,axiom,
    ( A != B
    | f14(C,A,D) = f14(C,B,D) )).

cnf(f14_substitution_3,axiom,
    ( A != B
    | f14(C,D,A) = f14(C,D,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C) = f7(B,C) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A) = f7(C,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A) = f8(B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C,D) = f9(B,C,D) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A,D) = f9(C,B,D) )).

cnf(f9_substitution_3,axiom,
    ( A != B
    | f9(C,D,A) = f9(C,D,B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A)
    | p12(B) )).

cnf(p16_substitution_1,axiom,
    ( A != B
    | ~ p16(A)
    | p16(B) )).

cnf(p17_substitution_1,axiom,
    ( A != B
    | ~ p17(A)
    | p17(B) )).

cnf(p18_substitution_1,axiom,
    ( A != B
    | ~ p18(A)
    | p18(B) )).

cnf(p19_substitution_1,axiom,
    ( A != B
    | ~ p19(A)
    | p19(B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C,D)
    | p3(B,C,D) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A,D)
    | p3(C,B,D) )).

cnf(p3_substitution_3,axiom,
    ( A != B
    | ~ p3(C,D,A)
    | p3(C,D,B) )).

cnf(p6_substitution_1,axiom,
    ( A != B
    | ~ p6(A,C,D)
    | p6(B,C,D) )).

cnf(p6_substitution_2,axiom,
    ( A != B
    | ~ p6(C,A,D)
    | p6(C,B,D) )).

cnf(p6_substitution_3,axiom,
    ( A != B
    | ~ p6(C,D,A)
    | p6(C,D,B) )).

cnf(clause_4,negated_conjecture,
    ( ~ p6(f7(f1(f11(X1)),c5),f9(X1,f7(f10(f11(X1)),c5),c5),c5)
    | ~ p3(c2,X1,c5) )).

cnf(clause_14,axiom,
    ( p18(X1)
    | ~ p12(X1) )).

cnf(clause_8,axiom,
    ( f7(c2,X1) = c2
    | ~ p16(X1) )).

cnf(clause_3,negated_conjecture,(
    p6(f7(f1(f8(X1)),c5),f9(c4,f7(f10(f8(X1)),c5),c5),c5) )).

cnf(clause_1,negated_conjecture,(
    f1(c2) = c2 )).

cnf(clause_13,axiom,
    ( ~ p12(X1)
    | p19(X1) )).

cnf(clause_5,negated_conjecture,(
    p12(c5) )).

cnf(clause_7,axiom,
    ( X1 = c2
    | p3(c2,X1,c13) )).

cnf(clause_10,axiom,
    ( p6(X2,X3,X1)
    | ~ p3(X2,X3,X1)
    | ~ p17(X1) )).

cnf(clause_6,axiom,
    ( ~ p3(c2,X1,c13)
    | X1 = f8(f14(X1,c15,c13)) )).

cnf(clause_11,axiom,
    ( p6(c2,f9(X3,X2,X1),X1)
    | ~ p6(c2,X3,X1)
    | ~ p6(c2,X2,X1)
    | ~ p18(X1) )).

cnf(clause_9,axiom,
    ( ~ p16(X1)
    | p6(c2,f7(X2,X1),X1) )).

cnf(clause_15,axiom,
    ( ~ p12(X1)
    | p16(X1) )).

cnf(clause_12,axiom,
    ( ~ p19(X1)
    | p17(X1) )).

cnf(clause_2,negated_conjecture,(
    p3(c2,c4,c5) )).
%------------------------------------------------------------------------------
