%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C) = f10(B,C) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A) = f10(C,B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C) = f13(B,C) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A) = f13(C,B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C,D) = f15(B,C,D) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A,D) = f15(C,B,D) )).

cnf(f15_substitution_3,axiom,
    ( A != B
    | f15(C,D,A) = f15(C,D,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C,D) = f5(B,C,D) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A,D) = f5(C,B,D) )).

cnf(f5_substitution_3,axiom,
    ( A != B
    | f5(C,D,A) = f5(C,D,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C,D) = f6(B,C,D) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A,D) = f6(C,B,D) )).

cnf(f6_substitution_3,axiom,
    ( A != B
    | f6(C,D,A) = f6(C,D,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A) = f8(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p11_substitution_1,axiom,
    ( A != B
    | ~ p11(A)
    | p11(B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A)
    | p12(B) )).

cnf(p14_substitution_1,axiom,
    ( A != B
    | ~ p14(A)
    | p14(B) )).

cnf(p16_substitution_1,axiom,
    ( A != B
    | ~ p16(A)
    | p16(B) )).

cnf(p17_substitution_1,axiom,
    ( A != B
    | ~ p17(A)
    | p17(B) )).

cnf(p18_substitution_1,axiom,
    ( A != B
    | ~ p18(A)
    | p18(B) )).

cnf(p19_substitution_1,axiom,
    ( A != B
    | ~ p19(A)
    | p19(B) )).

cnf(p20_substitution_1,axiom,
    ( A != B
    | ~ p20(A,C,D)
    | p20(B,C,D) )).

cnf(p20_substitution_2,axiom,
    ( A != B
    | ~ p20(C,A,D)
    | p20(C,B,D) )).

cnf(p20_substitution_3,axiom,
    ( A != B
    | ~ p20(C,D,A)
    | p20(C,D,B) )).

cnf(p21_substitution_1,axiom,
    ( A != B
    | ~ p21(A)
    | p21(B) )).

cnf(p22_substitution_1,axiom,
    ( A != B
    | ~ p22(A)
    | p22(B) )).

cnf(clause_10,axiom,
    ( f15(f6(X2,X3,X1),X4,X1) = f6(f15(X2,X4,X1),X3,X1)
    | ~ p17(X1) )).

cnf(clause_9,axiom,
    ( f15(X2,f6(X3,X4,X1),X1) = f6(f15(X2,X3,X1),X4,X1)
    | ~ p17(X1) )).

cnf(clause_7,axiom,
    ( p1(X2,X4,X1)
    | ~ p1(f15(X2,X3,X1),f15(X4,X3,X1),X1)
    | ~ p14(X1) )).

cnf(clause_13,axiom,
    ( f6(X2,f13(X3,X1),X1) = f15(X2,X3,X1)
    | ~ p17(X1) )).

cnf(clause_1,negated_conjecture,(
    p1(f2(X1),f3(X1),c4) )).

cnf(clause_18,axiom,
    ( ~ p1(X4,X2,X1)
    | p1(X4,X3,X1)
    | ~ p21(X1)
    | ~ p1(X2,X3,X1) )).

cnf(clause_24,axiom,
    ( ~ p11(X1)
    | p19(X1) )).

cnf(clause_5,axiom,
    ( f10(f13(X2,X1),X1) = f10(X2,X1)
    | ~ p12(X1) )).

cnf(clause_27,axiom,
    ( ~ p11(X1)
    | p12(X1) )).

cnf(clause_25,axiom,
    ( ~ p11(X1)
    | p22(X1) )).

cnf(clause_2,negated_conjecture,(
    ~ p1(f5(f6(f2(c7),f8(c7),c4),c9,c4),f10(f6(f3(c7),f8(c7),c4),c4),c4) )).

cnf(clause_12,axiom,
    ( p1(f6(X2,X3,X1),c9,X1)
    | ~ p1(X2,X3,X1)
    | ~ p18(X1) )).

cnf(clause_16,axiom,
    ( p20(X2,X3,X1)
    | ~ p19(X1)
    | p1(X3,X2,X1) )).

cnf(clause_8,axiom,
    ( ~ p16(X1)
    | f15(c9,X2,X1) = X2 )).

cnf(clause_17,axiom,
    ( ~ p1(X4,X3,X1)
    | ~ p1(X2,X3,X1)
    | p1(f5(X4,X2,X1),X3,X1)
    | ~ p19(X1) )).

cnf(clause_11,axiom,
    ( p1(f6(X2,X4,X1),X3,X1)
    | ~ p1(X2,f15(X3,X4,X1),X1)
    | ~ p18(X1) )).

cnf(clause_6,axiom,
    ( ~ p12(X1)
    | f10(X2,X1) = f13(X2,X1)
    | ~ p1(X2,c9,X1) )).

cnf(clause_4,axiom,
    ( ~ p12(X1)
    | p1(c9,f10(X2,X1),X1) )).

cnf(clause_14,axiom,
    ( f6(X2,X2,X1) = c9
    | ~ p17(X1) )).

cnf(clause_26,axiom,
    ( p17(X1)
    | ~ p11(X1) )).

cnf(clause_23,axiom,
    ( ~ p11(X1)
    | p16(X1) )).

cnf(clause_19,axiom,
    ( ~ p21(X1)
    | p1(X2,X3,X1)
    | ~ p20(X2,X3,X1) )).

cnf(clause_15,axiom,
    ( f13(f6(X2,X3,X1),X1) = f6(X3,X2,X1)
    | ~ p17(X1) )).

cnf(clause_3,negated_conjecture,(
    p11(c4) )).

cnf(clause_22,axiom,
    ( p14(X1)
    | ~ p12(X1) )).

cnf(clause_21,axiom,
    ( p18(X1)
    | ~ p12(X1) )).

cnf(clause_20,axiom,
    ( ~ p22(X1)
    | p21(X1) )).
%------------------------------------------------------------------------------
