%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A,C,D) = f12(B,C,D) )).

cnf(f12_substitution_2,axiom,
    ( A != B
    | f12(C,A,D) = f12(C,B,D) )).

cnf(f12_substitution_3,axiom,
    ( A != B
    | f12(C,D,A) = f12(C,D,B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C,D) = f13(B,C,D) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A,D) = f13(C,B,D) )).

cnf(f13_substitution_3,axiom,
    ( A != B
    | f13(C,D,A) = f13(C,D,B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A,C,D) = f14(B,C,D) )).

cnf(f14_substitution_2,axiom,
    ( A != B
    | f14(C,A,D) = f14(C,B,D) )).

cnf(f14_substitution_3,axiom,
    ( A != B
    | f14(C,D,A) = f14(C,D,B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C,D) = f15(B,C,D) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A,D) = f15(C,B,D) )).

cnf(f15_substitution_3,axiom,
    ( A != B
    | f15(C,D,A) = f15(C,D,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C) = f5(B,C) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A) = f5(C,B) )).

cnf(p10_substitution_1,axiom,
    ( A != B
    | ~ p10(A,C,D)
    | p10(B,C,D) )).

cnf(p10_substitution_2,axiom,
    ( A != B
    | ~ p10(C,A,D)
    | p10(C,B,D) )).

cnf(p10_substitution_3,axiom,
    ( A != B
    | ~ p10(C,D,A)
    | p10(C,D,B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A,C)
    | p4(B,C) )).

cnf(p4_substitution_2,axiom,
    ( A != B
    | ~ p4(C,A)
    | p4(C,B) )).

cnf(p7_substitution_1,axiom,
    ( A != B
    | ~ p7(A,C,D)
    | p7(B,C,D) )).

cnf(p7_substitution_2,axiom,
    ( A != B
    | ~ p7(C,A,D)
    | p7(C,B,D) )).

cnf(p7_substitution_3,axiom,
    ( A != B
    | ~ p7(C,D,A)
    | p7(C,D,B) )).

cnf(p8_substitution_1,axiom,
    ( A != B
    | ~ p8(A,C,D)
    | p8(B,C,D) )).

cnf(p8_substitution_2,axiom,
    ( A != B
    | ~ p8(C,A,D)
    | p8(C,B,D) )).

cnf(p8_substitution_3,axiom,
    ( A != B
    | ~ p8(C,D,A)
    | p8(C,D,B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A,C,D)
    | p9(B,C,D) )).

cnf(p9_substitution_2,axiom,
    ( A != B
    | ~ p9(C,A,D)
    | p9(C,B,D) )).

cnf(p9_substitution_3,axiom,
    ( A != B
    | ~ p9(C,D,A)
    | p9(C,D,B) )).

cnf(clause_17,axiom,
    ( p4(X2,c11)
    | ~ p9(X1,X2,X3) )).

cnf(clause_16,axiom,
    ( ~ p9(X1,X2,X3)
    | p4(f5(X1,f14(X1,X2,X3)),c6) )).

cnf(clause_22,axiom,(
    ~ p4(f5(c1,X1),c6) )).

cnf(clause_7,axiom,
    ( ~ p4(f5(f3(X1,X2),X3),c6)
    | p9(X1,X2,X3)
    | p10(X1,X2,X3)
    | p7(X1,X2,X3)
    | p8(X1,X2,X3) )).

cnf(clause_1,axiom,(
    c1 != c2 )).

cnf(clause_6,axiom,
    ( f3(X1,X3) = f3(X2,X4)
    | X3 != X4
    | X1 != X2 )).

cnf(clause_21,axiom,
    ( ~ p10(X1,X2,X3)
    | X3 = f3(X1,f15(X1,X2,X3)) )).

cnf(clause_8,axiom,
    ( p4(X3,c11)
    | ~ p7(X1,X2,X3) )).

cnf(clause_4,axiom,
    ( f3(X1,X2) != f3(X3,X4)
    | X1 = X3 )).

cnf(clause_5,axiom,
    ( X2 = X4
    | f3(X1,X2) != f3(X3,X4) )).

cnf(clause_12,axiom,
    ( p4(f13(X1,X2,X3),c11)
    | ~ p8(X1,X2,X3) )).

cnf(clause_23,axiom,(
    ~ p4(f5(c2,X1),c6) )).

cnf(clause_18,axiom,
    ( X3 = f3(f14(X1,X2,X3),X2)
    | ~ p9(X1,X2,X3) )).

cnf(clause_14,axiom,
    ( X3 = f3(f3(f12(X1,X2,X3),X2),f3(f13(X1,X2,X3),X2))
    | ~ p8(X1,X2,X3) )).

cnf(clause_9,axiom,
    ( ~ p7(X1,X2,X3)
    | p4(X2,c11) )).

cnf(clause_10,axiom,
    ( ~ p7(X1,X2,X3)
    | X1 = f3(c1,X3) )).

cnf(clause_20,axiom,
    ( ~ p10(X1,X2,X3)
    | p4(X1,c11) )).

cnf(clause_11,axiom,
    ( ~ p8(X1,X2,X3)
    | p4(f12(X1,X2,X3),c11) )).

cnf(clause_19,axiom,
    ( ~ p10(X1,X2,X3)
    | p4(f5(X2,f15(X1,X2,X3)),c6) )).

cnf(clause_2,axiom,(
    c1 != f3(X1,X2) )).

cnf(clause_15,axiom,
    ( X1 = f3(f3(c2,f12(X1,X2,X3)),f13(X1,X2,X3))
    | ~ p8(X1,X2,X3) )).

cnf(clause_24,negated_conjecture,(
    p4(f5(f3(f3(c2,c1),c1),c16),c6) )).

cnf(clause_13,axiom,
    ( p4(X2,c11)
    | ~ p8(X1,X2,X3) )).

cnf(clause_3,axiom,(
    c2 != f3(X1,X2) )).
%------------------------------------------------------------------------------
