%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C,D) = f13(B,C,D) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A,D) = f13(C,B,D) )).

cnf(f13_substitution_3,axiom,
    ( A != B
    | f13(C,D,A) = f13(C,D,B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A,C,D) = f14(B,C,D) )).

cnf(f14_substitution_2,axiom,
    ( A != B
    | f14(C,A,D) = f14(C,B,D) )).

cnf(f14_substitution_3,axiom,
    ( A != B
    | f14(C,D,A) = f14(C,D,B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C,D) = f15(B,C,D) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A,D) = f15(C,B,D) )).

cnf(f15_substitution_3,axiom,
    ( A != B
    | f15(C,D,A) = f15(C,D,B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A,C,D) = f16(B,C,D) )).

cnf(f16_substitution_2,axiom,
    ( A != B
    | f16(C,A,D) = f16(C,B,D) )).

cnf(f16_substitution_3,axiom,
    ( A != B
    | f16(C,D,A) = f16(C,D,B) )).

cnf(f22_substitution_1,axiom,
    ( A != B
    | f22(A,C,D) = f22(B,C,D) )).

cnf(f22_substitution_2,axiom,
    ( A != B
    | f22(C,A,D) = f22(C,B,D) )).

cnf(f22_substitution_3,axiom,
    ( A != B
    | f22(C,D,A) = f22(C,D,B) )).

cnf(f23_substitution_1,axiom,
    ( A != B
    | f23(A,C,D) = f23(B,C,D) )).

cnf(f23_substitution_2,axiom,
    ( A != B
    | f23(C,A,D) = f23(C,B,D) )).

cnf(f23_substitution_3,axiom,
    ( A != B
    | f23(C,D,A) = f23(C,D,B) )).

cnf(f24_substitution_1,axiom,
    ( A != B
    | f24(A,C,D) = f24(B,C,D) )).

cnf(f24_substitution_2,axiom,
    ( A != B
    | f24(C,A,D) = f24(C,B,D) )).

cnf(f24_substitution_3,axiom,
    ( A != B
    | f24(C,D,A) = f24(C,D,B) )).

cnf(f25_substitution_1,axiom,
    ( A != B
    | f25(A,C,D) = f25(B,C,D) )).

cnf(f25_substitution_2,axiom,
    ( A != B
    | f25(C,A,D) = f25(C,B,D) )).

cnf(f25_substitution_3,axiom,
    ( A != B
    | f25(C,D,A) = f25(C,D,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A) = f7(B) )).

cnf(p10_substitution_1,axiom,
    ( A != B
    | ~ p10(A,C,D)
    | p10(B,C,D) )).

cnf(p10_substitution_2,axiom,
    ( A != B
    | ~ p10(C,A,D)
    | p10(C,B,D) )).

cnf(p10_substitution_3,axiom,
    ( A != B
    | ~ p10(C,D,A)
    | p10(C,D,B) )).

cnf(p11_substitution_1,axiom,
    ( A != B
    | ~ p11(A,C,D)
    | p11(B,C,D) )).

cnf(p11_substitution_2,axiom,
    ( A != B
    | ~ p11(C,A,D)
    | p11(C,B,D) )).

cnf(p11_substitution_3,axiom,
    ( A != B
    | ~ p11(C,D,A)
    | p11(C,D,B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A,C,D)
    | p12(B,C,D) )).

cnf(p12_substitution_2,axiom,
    ( A != B
    | ~ p12(C,A,D)
    | p12(C,B,D) )).

cnf(p12_substitution_3,axiom,
    ( A != B
    | ~ p12(C,D,A)
    | p12(C,D,B) )).

cnf(p18_substitution_1,axiom,
    ( A != B
    | ~ p18(A,C,D)
    | p18(B,C,D) )).

cnf(p18_substitution_2,axiom,
    ( A != B
    | ~ p18(C,A,D)
    | p18(C,B,D) )).

cnf(p18_substitution_3,axiom,
    ( A != B
    | ~ p18(C,D,A)
    | p18(C,D,B) )).

cnf(p19_substitution_1,axiom,
    ( A != B
    | ~ p19(A,C,D)
    | p19(B,C,D) )).

cnf(p19_substitution_2,axiom,
    ( A != B
    | ~ p19(C,A,D)
    | p19(C,B,D) )).

cnf(p19_substitution_3,axiom,
    ( A != B
    | ~ p19(C,D,A)
    | p19(C,D,B) )).

cnf(p20_substitution_1,axiom,
    ( A != B
    | ~ p20(A,C,D)
    | p20(B,C,D) )).

cnf(p20_substitution_2,axiom,
    ( A != B
    | ~ p20(C,A,D)
    | p20(C,B,D) )).

cnf(p20_substitution_3,axiom,
    ( A != B
    | ~ p20(C,D,A)
    | p20(C,D,B) )).

cnf(p21_substitution_1,axiom,
    ( A != B
    | ~ p21(A,C,D)
    | p21(B,C,D) )).

cnf(p21_substitution_2,axiom,
    ( A != B
    | ~ p21(C,A,D)
    | p21(C,B,D) )).

cnf(p21_substitution_3,axiom,
    ( A != B
    | ~ p21(C,D,A)
    | p21(C,D,B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A,C)
    | p4(B,C) )).

cnf(p4_substitution_2,axiom,
    ( A != B
    | ~ p4(C,A)
    | p4(C,B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A,C,D)
    | p9(B,C,D) )).

cnf(p9_substitution_2,axiom,
    ( A != B
    | ~ p9(C,A,D)
    | p9(C,B,D) )).

cnf(p9_substitution_3,axiom,
    ( A != B
    | ~ p9(C,D,A)
    | p9(C,D,B) )).

cnf(clause_46,axiom,
    ( p4(f22(X1,X2,X3),c5)
    | ~ p20(X1,X2,X3) )).

cnf(clause_6,axiom,
    ( X3 != X4
    | f3(X1,X3) = f3(X2,X4)
    | X1 != X2 )).

cnf(clause_52,axiom,
    ( p4(f6(X2,f25(X1,X2,X3)),c17)
    | ~ p21(X1,X2,X3) )).

cnf(clause_32,axiom,
    ( p4(f6(X1,X1),c17)
    | ~ p4(X1,c5) )).

cnf(clause_42,axiom,
    ( ~ p18(X1,X2,X3)
    | X3 = f3(X1,X2) )).

cnf(clause_19,axiom,
    ( p4(f13(X1,X2,X3),c5)
    | ~ p10(X1,X2,X3) )).

cnf(clause_9,axiom,(
    p4(c1,c5) )).

cnf(clause_16,axiom,
    ( ~ p9(X1,X2,X3)
    | p4(X3,c5) )).

cnf(clause_1,axiom,(
    c1 != c2 )).

cnf(clause_4,axiom,
    ( f3(X1,X2) != f3(X3,X4)
    | X1 = X3 )).

cnf(clause_10,axiom,(
    p4(c2,c5) )).

cnf(clause_49,axiom,
    ( X3 = f3(f3(f22(X1,X2,X3),X2),f3(f23(X1,X2,X3),X2))
    | ~ p20(X1,X2,X3) )).

cnf(clause_21,axiom,
    ( p4(X2,c5)
    | ~ p10(X1,X2,X3) )).

cnf(clause_33,axiom,
    ( p4(f6(f3(f3(c1,X1),X2),X1),c17)
    | ~ p4(X1,c5)
    | ~ p4(X2,c5) )).

cnf(clause_12,axiom,
    ( p4(f6(X1,X1),f7(c8))
    | ~ p4(X1,c5) )).

cnf(clause_50,axiom,
    ( X1 = f3(f3(c2,f22(X1,X2,X3)),f23(X1,X2,X3))
    | ~ p20(X1,X2,X3) )).

cnf(clause_18,axiom,
    ( X1 = f3(c1,X3)
    | ~ p9(X1,X2,X3) )).

cnf(clause_55,negated_conjecture,
    ( ~ p4(f6(c26,X1),c17)
    | c27 != f3(c1,X1) )).

cnf(clause_53,axiom,
    ( X3 = f3(f24(X1,X2,X3),f25(X1,X2,X3))
    | ~ p21(X1,X2,X3) )).

cnf(clause_14,axiom,
    ( ~ p4(X2,c5)
    | ~ p4(X3,c5)
    | ~ p4(X1,c5)
    | p4(f6(f3(f3(f3(c2,X1),X2),X3),f3(f3(X1,X3),f3(X2,X3))),c8) )).

cnf(clause_24,axiom,
    ( p4(f6(X1,f15(X1,X2,X3)),c8)
    | ~ p11(X1,X2,X3) )).

cnf(clause_41,axiom,
    ( p4(f3(X1,X2),c5)
    | ~ p18(X1,X2,X3) )).

cnf(clause_54,hypothesis,(
    p4(f6(f3(c1,c26),c27),c17) )).

cnf(clause_7,axiom,
    ( p4(X1,c5)
    | ~ p4(f3(X1,X2),c5) )).

cnf(clause_29,axiom,
    ( ~ p12(X1,X2,X3)
    | X3 = f3(X1,f16(X1,X2,X3)) )).

cnf(clause_23,axiom,
    ( ~ p10(X1,X2,X3)
    | X1 = f3(f3(c2,f13(X1,X2,X3)),f14(X1,X2,X3)) )).

cnf(clause_39,axiom,
    ( X1 = c2
    | ~ p4(f6(c2,X1),c17) )).

cnf(clause_38,axiom,
    ( ~ p4(f6(c2,X1),c17)
    | p4(c2,c5) )).

cnf(clause_3,axiom,(
    c2 != f3(X1,X2) )).

cnf(clause_34,axiom,
    ( ~ p4(X3,c5)
    | ~ p4(X1,c5)
    | p4(f6(f3(f3(f3(c2,X1),X2),X3),f3(f3(X1,X3),f3(X2,X3))),c17)
    | ~ p4(X2,c5) )).

cnf(clause_22,axiom,
    ( ~ p10(X1,X2,X3)
    | X3 = f3(f3(f13(X1,X2,X3),X2),f3(f14(X1,X2,X3),X2)) )).

cnf(clause_48,axiom,
    ( ~ p20(X1,X2,X3)
    | p4(X2,c5) )).

cnf(clause_35,axiom,
    ( ~ p4(f6(X1,X2),c17)
    | p4(f6(f3(X1,X3),f3(X2,X4)),c17)
    | ~ p4(f6(X3,X4),c17) )).

cnf(clause_44,axiom,
    ( p4(X2,c5)
    | ~ p19(X1,X2,X3) )).

cnf(clause_17,axiom,
    ( ~ p9(X1,X2,X3)
    | p4(X2,c5) )).

cnf(clause_26,axiom,
    ( X3 = f3(f15(X1,X2,X3),X2)
    | ~ p11(X1,X2,X3) )).

cnf(clause_25,axiom,
    ( p4(X2,c5)
    | ~ p11(X1,X2,X3) )).

cnf(clause_51,axiom,
    ( p4(f6(X1,f24(X1,X2,X3)),c17)
    | ~ p21(X1,X2,X3) )).

cnf(clause_31,axiom,(
    ~ p4(f6(c2,X1),c8) )).

cnf(clause_30,axiom,(
    ~ p4(f6(c1,X1),c8) )).

cnf(clause_36,axiom,
    ( ~ p4(f6(c1,X1),c17)
    | p4(c1,c5) )).

cnf(clause_20,axiom,
    ( ~ p10(X1,X2,X3)
    | p4(f14(X1,X2,X3),c5) )).

cnf(clause_8,axiom,
    ( p4(X2,c5)
    | ~ p4(f3(X1,X2),c5) )).

cnf(clause_5,axiom,
    ( f3(X1,X2) != f3(X3,X4)
    | X2 = X4 )).

cnf(clause_15,axiom,
    ( p9(X1,X2,X3)
    | ~ p4(f6(f3(X1,X2),X3),c8)
    | p10(X1,X2,X3)
    | p12(X1,X2,X3)
    | p11(X1,X2,X3) )).

cnf(clause_2,axiom,(
    c1 != f3(X1,X2) )).

cnf(clause_43,axiom,
    ( p4(X3,c5)
    | ~ p19(X1,X2,X3) )).

cnf(clause_11,axiom,
    ( ~ p4(X1,c5)
    | p4(f3(X1,X2),c5)
    | ~ p4(X2,c5) )).

cnf(clause_13,axiom,
    ( p4(f6(f3(f3(c1,X1),X2),X1),c8)
    | ~ p4(X2,c5)
    | ~ p4(X1,c5) )).

cnf(clause_27,axiom,
    ( p4(f6(X2,f16(X1,X2,X3)),c8)
    | ~ p12(X1,X2,X3) )).

cnf(clause_40,axiom,
    ( p20(X1,X2,X3)
    | p18(X1,X2,X3)
    | ~ p4(f6(f3(X1,X2),X3),c17)
    | p19(X1,X2,X3)
    | p21(X1,X2,X3) )).

cnf(clause_47,axiom,
    ( ~ p20(X1,X2,X3)
    | p4(f23(X1,X2,X3),c5) )).

cnf(clause_37,axiom,
    ( ~ p4(f6(c1,X1),c17)
    | X1 = c1 )).

cnf(clause_45,axiom,
    ( X1 = f3(c1,X3)
    | ~ p19(X1,X2,X3) )).

cnf(clause_28,axiom,
    ( ~ p12(X1,X2,X3)
    | p4(X1,c5) )).
%------------------------------------------------------------------------------
