%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C,D,E,F,G) = f10(B,C,D,E,F,G) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A,D,E,F,G) = f10(C,B,D,E,F,G) )).

cnf(f10_substitution_3,axiom,
    ( A != B
    | f10(C,D,A,E,F,G) = f10(C,D,B,E,F,G) )).

cnf(f10_substitution_4,axiom,
    ( A != B
    | f10(C,D,E,A,F,G) = f10(C,D,E,B,F,G) )).

cnf(f10_substitution_5,axiom,
    ( A != B
    | f10(C,D,E,F,A,G) = f10(C,D,E,F,B,G) )).

cnf(f10_substitution_6,axiom,
    ( A != B
    | f10(C,D,E,F,G,A) = f10(C,D,E,F,G,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C,D,E,F) = f3(B,C,D,E,F) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A,D,E,F) = f3(C,B,D,E,F) )).

cnf(f3_substitution_3,axiom,
    ( A != B
    | f3(C,D,A,E,F) = f3(C,D,B,E,F) )).

cnf(f3_substitution_4,axiom,
    ( A != B
    | f3(C,D,E,A,F) = f3(C,D,E,B,F) )).

cnf(f3_substitution_5,axiom,
    ( A != B
    | f3(C,D,E,F,A) = f3(C,D,E,F,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C,D,E,F) = f4(B,C,D,E,F) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A,D,E,F) = f4(C,B,D,E,F) )).

cnf(f4_substitution_3,axiom,
    ( A != B
    | f4(C,D,A,E,F) = f4(C,D,B,E,F) )).

cnf(f4_substitution_4,axiom,
    ( A != B
    | f4(C,D,E,A,F) = f4(C,D,E,B,F) )).

cnf(f4_substitution_5,axiom,
    ( A != B
    | f4(C,D,E,F,A) = f4(C,D,E,F,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C,D,E,F) = f5(B,C,D,E,F) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A,D,E,F) = f5(C,B,D,E,F) )).

cnf(f5_substitution_3,axiom,
    ( A != B
    | f5(C,D,A,E,F) = f5(C,D,B,E,F) )).

cnf(f5_substitution_4,axiom,
    ( A != B
    | f5(C,D,E,A,F) = f5(C,D,E,B,F) )).

cnf(f5_substitution_5,axiom,
    ( A != B
    | f5(C,D,E,F,A) = f5(C,D,E,F,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C,D,E) = f6(B,C,D,E) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A,D,E) = f6(C,B,D,E) )).

cnf(f6_substitution_3,axiom,
    ( A != B
    | f6(C,D,A,E) = f6(C,D,B,E) )).

cnf(f6_substitution_4,axiom,
    ( A != B
    | f6(C,D,E,A) = f6(C,D,E,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C,D,E)
    | p2(B,C,D,E) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A,D,E)
    | p2(C,B,D,E) )).

cnf(p2_substitution_3,axiom,
    ( A != B
    | ~ p2(C,D,A,E)
    | p2(C,D,B,E) )).

cnf(p2_substitution_4,axiom,
    ( A != B
    | ~ p2(C,D,E,A)
    | p2(C,D,E,B) )).

cnf(clause_3,axiom,
    ( p1(X1,X3,X4)
    | ~ p1(X1,X2,X3)
    | p1(X1,X4,X3)
    | ~ p1(X1,X2,X4)
    | X1 = X2 )).

cnf(clause_24,hypothesis,(
    ~ p1(c13,c14,c11) )).

cnf(clause_2,axiom,
    ( ~ p1(X2,X4,X3)
    | ~ p1(X1,X2,X3)
    | p1(X1,X2,X4) )).

cnf(clause_20,axiom,
    ( ~ p1(X2,X6,X4)
    | ~ p1(X1,X2,X4)
    | ~ p2(X1,X4,X1,X5)
    | ~ p2(X1,X2,X1,X3)
    | p1(X3,f10(X2,X6,X4,X3,X5,X1),X5) )).

cnf(clause_15,axiom,(
    ~ p1(c7,c8,c9) )).

cnf(clause_21,hypothesis,(
    c11 != c12 )).

cnf(clause_11,axiom,
    ( ~ p1(X4,X2,X5)
    | p1(f4(X3,X1,X4,X5,X2),X3,f5(X3,X1,X4,X5,X2))
    | X1 = X2
    | ~ p1(X1,X2,X3) )).

cnf(clause_16,axiom,(
    ~ p1(c8,c9,c7) )).

cnf(clause_4,axiom,(
    p2(X1,X2,X2,X1) )).

cnf(clause_22,hypothesis,(
    p1(c13,c11,c12) )).

cnf(clause_18,axiom,
    ( X2 = X3
    | ~ p2(X1,X2,X1,X3)
    | ~ p2(X5,X2,X5,X3)
    | p1(X5,X1,X4)
    | p1(X4,X5,X1)
    | p1(X1,X4,X5)
    | ~ p2(X4,X2,X4,X3) )).

cnf(clause_23,hypothesis,(
    p1(c14,c11,c12) )).

cnf(clause_10,axiom,
    ( ~ p1(X1,X2,X3)
    | p1(X1,X4,f5(X3,X1,X4,X5,X2))
    | X1 = X2
    | ~ p1(X4,X2,X5) )).

cnf(clause_5,axiom,
    ( X1 = X2
    | ~ p2(X1,X2,X3,X3) )).

cnf(clause_25,negated_conjecture,(
    ~ p1(c14,c13,c11) )).

cnf(clause_7,axiom,
    ( ~ p1(X4,X3,X5)
    | p1(X1,f3(X2,X1,X4,X5,X3),X4)
    | ~ p1(X1,X2,X3) )).

cnf(clause_14,axiom,(
    p2(X1,f6(X2,X1,X3,X4),X3,X4) )).

cnf(clause_13,axiom,(
    p1(X1,X2,f6(X1,X2,X3,X4)) )).

cnf(clause_19,axiom,
    ( ~ p1(X2,X6,X4)
    | ~ p2(X1,X2,X1,X3)
    | p2(X1,X6,X1,f10(X2,X6,X4,X3,X5,X1))
    | ~ p1(X1,X2,X4)
    | ~ p2(X1,X4,X1,X5) )).

cnf(clause_9,axiom,
    ( p1(X1,X5,f4(X3,X1,X4,X5,X2))
    | ~ p1(X4,X2,X5)
    | ~ p1(X1,X2,X3)
    | X1 = X2 )).

cnf(clause_12,axiom,
    ( X1 = X2
    | ~ p2(X2,X7,X4,X8)
    | ~ p1(X1,X2,X5)
    | ~ p2(X1,X7,X3,X8)
    | ~ p2(X1,X2,X3,X4)
    | ~ p2(X2,X5,X4,X6)
    | ~ p1(X3,X4,X6)
    | p2(X5,X7,X6,X8) )).

cnf(clause_8,axiom,
    ( ~ p1(X4,X3,X5)
    | ~ p1(X1,X2,X3)
    | p1(X5,X2,f3(X2,X1,X4,X5,X3)) )).

cnf(clause_6,axiom,
    ( ~ p2(X1,X2,X3,X4)
    | ~ p2(X1,X2,X5,X6)
    | p2(X3,X4,X5,X6) )).

cnf(clause_17,axiom,(
    ~ p1(c9,c7,c8) )).

cnf(clause_1,axiom,
    ( ~ p1(X1,X2,X1)
    | X1 = X2 )).
%------------------------------------------------------------------------------
