%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C,D,E,F,G) = f10(B,C,D,E,F,G) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A,D,E,F,G) = f10(C,B,D,E,F,G) )).

cnf(f10_substitution_3,axiom,
    ( A != B
    | f10(C,D,A,E,F,G) = f10(C,D,B,E,F,G) )).

cnf(f10_substitution_4,axiom,
    ( A != B
    | f10(C,D,E,A,F,G) = f10(C,D,E,B,F,G) )).

cnf(f10_substitution_5,axiom,
    ( A != B
    | f10(C,D,E,F,A,G) = f10(C,D,E,F,B,G) )).

cnf(f10_substitution_6,axiom,
    ( A != B
    | f10(C,D,E,F,G,A) = f10(C,D,E,F,G,B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A,C) = f11(B,C) )).

cnf(f11_substitution_2,axiom,
    ( A != B
    | f11(C,A) = f11(C,B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A,C,D,E) = f12(B,C,D,E) )).

cnf(f12_substitution_2,axiom,
    ( A != B
    | f12(C,A,D,E) = f12(C,B,D,E) )).

cnf(f12_substitution_3,axiom,
    ( A != B
    | f12(C,D,A,E) = f12(C,D,B,E) )).

cnf(f12_substitution_4,axiom,
    ( A != B
    | f12(C,D,E,A) = f12(C,D,E,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C,D,E) = f3(B,C,D,E) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A,D,E) = f3(C,B,D,E) )).

cnf(f3_substitution_3,axiom,
    ( A != B
    | f3(C,D,A,E) = f3(C,D,B,E) )).

cnf(f3_substitution_4,axiom,
    ( A != B
    | f3(C,D,E,A) = f3(C,D,E,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C,D,E,F) = f4(B,C,D,E,F) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A,D,E,F) = f4(C,B,D,E,F) )).

cnf(f4_substitution_3,axiom,
    ( A != B
    | f4(C,D,A,E,F) = f4(C,D,B,E,F) )).

cnf(f4_substitution_4,axiom,
    ( A != B
    | f4(C,D,E,A,F) = f4(C,D,E,B,F) )).

cnf(f4_substitution_5,axiom,
    ( A != B
    | f4(C,D,E,F,A) = f4(C,D,E,F,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C,D,E,F) = f8(B,C,D,E,F) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A,D,E,F) = f8(C,B,D,E,F) )).

cnf(f8_substitution_3,axiom,
    ( A != B
    | f8(C,D,A,E,F) = f8(C,D,B,E,F) )).

cnf(f8_substitution_4,axiom,
    ( A != B
    | f8(C,D,E,A,F) = f8(C,D,E,B,F) )).

cnf(f8_substitution_5,axiom,
    ( A != B
    | f8(C,D,E,F,A) = f8(C,D,E,F,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C,D,E,F) = f9(B,C,D,E,F) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A,D,E,F) = f9(C,B,D,E,F) )).

cnf(f9_substitution_3,axiom,
    ( A != B
    | f9(C,D,A,E,F) = f9(C,D,B,E,F) )).

cnf(f9_substitution_4,axiom,
    ( A != B
    | f9(C,D,E,A,F) = f9(C,D,E,B,F) )).

cnf(f9_substitution_5,axiom,
    ( A != B
    | f9(C,D,E,F,A) = f9(C,D,E,F,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D,E)
    | p1(B,C,D,E) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D,E)
    | p1(C,B,D,E) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A,E)
    | p1(C,D,B,E) )).

cnf(p1_substitution_4,axiom,
    ( A != B
    | ~ p1(C,D,E,A)
    | p1(C,D,E,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C,D)
    | p2(B,C,D) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A,D)
    | p2(C,B,D) )).

cnf(p2_substitution_3,axiom,
    ( A != B
    | ~ p2(C,D,A)
    | p2(C,D,B) )).

cnf(clause_13,axiom,
    ( p2(X4,X5,X1)
    | ~ p1(X5,X2,X5,X3)
    | X2 = X3
    | p2(X1,X4,X5)
    | ~ p1(X4,X2,X4,X3)
    | p2(X5,X1,X4)
    | ~ p1(X1,X2,X1,X3) )).

cnf(clause_14,axiom,
    ( ~ p2(X1,X2,X3)
    | p2(X1,X4,f8(X1,X4,X2,X5,X3))
    | ~ p2(X4,X2,X5)
    | X1 = X2 )).

cnf(clause_26,axiom,
    ( ~ p1(X1,X2,X3,X4)
    | p1(X3,X4,X2,X1) )).

cnf(clause_83,negated_conjecture,(
    ~ p2(c13,c16,c14) )).

cnf(clause_25,axiom,
    ( p1(X2,X1,X4,X3)
    | ~ p1(X1,X2,X3,X4) )).

cnf(clause_64,axiom,(
    p2(X1,X2,f3(X1,X2,c5,c6)) )).

cnf(clause_12,axiom,(
    ~ p2(c7,c5,c6) )).

cnf(clause_62,axiom,(
    X1 != f3(X2,X1,c5,c6) )).

cnf(clause_39,axiom,
    ( X1 = X2
    | ~ p2(X1,X2,X3)
    | ~ p2(X1,X2,X4)
    | ~ p1(X2,X3,X2,X4)
    | X3 = X4 )).

cnf(clause_11,axiom,(
    ~ p2(c6,c7,c5) )).

cnf(clause_55,axiom,
    ( ~ p2(X2,X3,X4)
    | ~ p2(X1,X2,X3)
    | p2(X1,X3,X4)
    | X2 = X3 )).

cnf(clause_19,axiom,(
    f11(X1,X2) = f3(X1,X2,X1,X2) )).

cnf(clause_47,axiom,
    ( ~ p2(X1,X2,X3)
    | p2(X3,X2,X1) )).

cnf(clause_32,axiom,(
    p2(X1,X2,f11(X1,X2)) )).

cnf(clause_53,axiom,
    ( ~ p2(X2,X3,X4)
    | ~ p2(X1,X2,X3)
    | p2(X1,X2,X3) )).

cnf(clause_61,axiom,(
    c5 != c7 )).

cnf(clause_54,axiom,
    ( ~ p2(X1,X3,X4)
    | p2(X2,X3,X4)
    | ~ p2(X1,X2,X3) )).

cnf(clause_81,hypothesis,(
    p2(c13,c16,c15) )).

cnf(clause_20,axiom,(
    f12(X1,X2,X3,X4) = f3(f3(X2,X1,c5,c6),X1,X3,X4) )).

cnf(clause_43,axiom,(
    p1(X1,X2,X1,f11(f11(X2,X1),X1)) )).

cnf(clause_40,axiom,
    ( X3 = f3(X1,X2,X2,X3)
    | X1 = X2
    | ~ p2(X1,X2,X3) )).

cnf(clause_35,axiom,(
    X1 = f11(X1,X1) )).

cnf(clause_27,axiom,
    ( ~ p1(X1,X2,X3,X4)
    | p1(X4,X3,X1,X2) )).

cnf(clause_10,axiom,(
    ~ p2(c5,c6,c7) )).

cnf(clause_59,axiom,(
    c5 != c6 )).

cnf(clause_42,axiom,
    ( X1 = X2
    | f3(X1,X2,X1,X2) = f3(X1,X2,X2,X1) )).

cnf(clause_44,axiom,(
    X1 = f11(f11(X1,X2),X2) )).

cnf(clause_22,axiom,
    ( ~ p1(X1,X2,X3,X4)
    | p1(X3,X4,X1,X2) )).

cnf(clause_63,axiom,(
    p1(X1,f3(X2,X1,c5,c6),X3,f3(X4,X3,c5,c6)) )).

cnf(clause_41,axiom,
    ( ~ p1(X1,X2,X3,X4)
    | X5 = X6
    | f3(X5,X6,X1,X2) = f3(X5,X6,X3,X4) )).

cnf(clause_37,axiom,(
    p1(X1,X1,X2,X2) )).

cnf(clause_6,axiom,
    ( ~ p1(X2,X7,X4,X8)
    | ~ p2(X3,X4,X6)
    | ~ p2(X1,X2,X5)
    | ~ p1(X2,X5,X4,X6)
    | ~ p1(X1,X2,X3,X4)
    | p1(X5,X7,X6,X8)
    | X1 = X2
    | ~ p1(X1,X7,X3,X8) )).

cnf(clause_24,axiom,
    ( ~ p1(X1,X2,X3,X4)
    | p1(X1,X2,X4,X3) )).

cnf(clause_7,axiom,
    ( X1 = X2
    | ~ p2(X1,X2,X1) )).

cnf(clause_60,axiom,(
    c6 != c7 )).

cnf(clause_73,axiom,
    ( ~ p1(X1,X3,X4,X5)
    | ~ p2(X1,X2,X3)
    | p1(X2,X3,f12(X4,X5,X1,X2),X5) )).

cnf(clause_49,axiom,
    ( ~ p2(X2,X1,X3)
    | ~ p2(X1,X2,X3)
    | X1 = X2 )).

cnf(clause_57,axiom,
    ( ~ p2(X1,X2,X3)
    | p2(X1,X4,X3)
    | ~ p2(X2,X4,X3) )).

cnf(clause_78,axiom,
    ( ~ p2(X1,X2,X4)
    | ~ p2(X1,X2,X3)
    | X1 = X2
    | p2(X2,X4,X3)
    | p2(X2,X3,X4) )).

cnf(clause_48,axiom,(
    p2(X1,X1,X2) )).

cnf(clause_28,axiom,
    ( p1(X4,X3,X2,X1)
    | ~ p1(X1,X2,X3,X4) )).

cnf(clause_72,axiom,
    ( ~ p1(X1,X3,X4,X5)
    | ~ p2(X1,X2,X3)
    | p2(X4,f12(X4,X5,X1,X2),X5) )).

cnf(clause_82,hypothesis,(
    ~ p2(c13,c14,c16) )).

cnf(clause_17,axiom,
    ( ~ p2(X2,X6,X4)
    | ~ p1(X1,X2,X1,X3)
    | ~ p2(X1,X2,X4)
    | p2(X3,f10(X1,X2,X3,X6,X4,X5),X5)
    | ~ p1(X1,X4,X1,X5) )).

cnf(clause_21,axiom,(
    p1(X1,X2,X1,X2) )).

cnf(clause_18,axiom,
    ( ~ p2(X1,X2,X4)
    | ~ p1(X1,X4,X1,X5)
    | ~ p2(X2,X6,X4)
    | p1(X1,X6,X1,f10(X1,X2,X3,X6,X4,X5))
    | ~ p1(X1,X2,X1,X3) )).

cnf(clause_65,axiom,
    ( p2(X2,f4(X5,f4(X1,X6,X4,X5,X3),X1,X2,X3),X5)
    | ~ p2(X4,X5,X3)
    | ~ p2(X1,X2,X3)
    | p2(X6,f4(X5,f4(X1,X6,X4,X5,X3),X1,X2,X3),X3)
    | ~ p2(X1,X6,X4) )).

cnf(clause_1,axiom,(
    p1(X1,X2,X2,X1) )).

cnf(clause_3,axiom,
    ( X1 = X2
    | ~ p1(X1,X2,X3,X3) )).

cnf(clause_70,axiom,
    ( ~ p1(X1,X2,X1,X4)
    | X2 = X4
    | ~ p1(X3,X2,X3,X4)
    | ~ p2(X1,X2,X3) )).

cnf(clause_29,axiom,
    ( ~ p1(X3,X4,X5,X6)
    | p1(X1,X2,X5,X6)
    | ~ p1(X1,X2,X3,X4) )).

cnf(clause_51,axiom,
    ( ~ p2(X2,X1,X3)
    | X1 = X2
    | X2 = X3
    | ~ p2(X1,X2,X3) )).

cnf(clause_9,axiom,
    ( ~ p2(X4,X5,X3)
    | p2(X5,f4(X1,X2,X3,X5,X4),X1)
    | ~ p2(X1,X2,X3) )).

cnf(clause_77,axiom,
    ( p2(X1,X3,X4)
    | ~ p2(X1,X2,X4)
    | p2(X1,X4,X3)
    | ~ p2(X1,X2,X3)
    | X1 = X2 )).

cnf(clause_68,axiom,
    ( ~ p2(X4,X5,X6)
    | p1(X2,X3,X5,X6)
    | ~ p2(X1,X2,X3)
    | ~ p1(X1,X3,X4,X6)
    | ~ p1(X1,X2,X4,X5) )).

cnf(clause_34,axiom,
    ( X1 != X2
    | X2 = f11(X1,X2) )).

cnf(clause_74,axiom,
    ( X2 = f12(X1,X3,X1,X2)
    | ~ p2(X1,X2,X3) )).

cnf(clause_33,axiom,(
    p1(X1,f11(X2,X1),X2,X1) )).

cnf(clause_31,axiom,
    ( p2(X2,X3,X1)
    | X1 != f3(X2,X3,X4,X5) )).

cnf(clause_79,axiom,
    ( X2 = X3
    | ~ p2(X1,X2,X3)
    | ~ p2(X4,X2,X3)
    | p2(X4,X1,X2)
    | p2(X1,X4,X2) )).

cnf(clause_4,axiom,(
    p2(X1,X2,f3(X1,X2,X3,X4)) )).

cnf(clause_52,axiom,
    ( X1 = X2
    | ~ p2(X1,X3,X2)
    | ~ p2(X1,X2,X3)
    | X2 = X3 )).

cnf(clause_56,axiom,
    ( ~ p2(X2,X3,X4)
    | ~ p2(X1,X2,X3)
    | X2 = X3
    | p2(X1,X2,X4) )).

cnf(clause_30,axiom,(
    X1 = f3(X2,X1,X3,X3) )).

cnf(clause_69,axiom,
    ( ~ p2(X3,X4,X6)
    | p1(X2,X7,X4,X8)
    | ~ p1(X1,X2,X3,X4)
    | ~ p1(X2,X5,X4,X6)
    | ~ p1(X1,X7,X3,X8)
    | ~ p1(X5,X7,X6,X8)
    | ~ p2(X1,X2,X5) )).

cnf(clause_71,axiom,(
    p1(X1,X2,X3,f12(X3,X4,X1,X2)) )).

cnf(clause_8,axiom,
    ( ~ p2(X4,X5,X3)
    | p2(X2,f4(X1,X2,X3,X5,X4),X4)
    | ~ p2(X1,X2,X3) )).

cnf(clause_67,axiom,
    ( ~ p1(X1,X2,X3,X4)
    | ~ p2(X1,X2,X5)
    | ~ p1(X5,X7,X6,X8)
    | ~ p2(X3,X4,X6)
    | ~ p1(X1,X7,X3,X8)
    | p1(X2,X7,X4,X8)
    | ~ p1(X1,X5,X3,X6) )).

cnf(clause_15,axiom,
    ( p2(X1,X5,f9(X1,X4,X2,X5,X3))
    | ~ p2(X1,X2,X3)
    | ~ p2(X4,X2,X5)
    | X1 = X2 )).

cnf(clause_66,axiom,
    ( ~ p2(X1,X2,X3)
    | X3 = X4
    | ~ p1(X1,X3,X1,X4)
    | ~ p1(X2,X3,X2,X4)
    | X1 = X2 )).

cnf(clause_16,axiom,
    ( p2(f8(X1,X4,X2,X5,X3),X3,f9(X1,X4,X2,X5,X3))
    | ~ p2(X4,X2,X5)
    | X1 = X2
    | ~ p2(X1,X2,X3) )).

cnf(clause_75,axiom,
    ( f12(X5,X6,X1,X2) = f12(X5,X6,X3,X4)
    | ~ p1(X1,X2,X3,X4) )).

cnf(clause_50,axiom,
    ( ~ p2(X1,X2,X3)
    | X2 = X3
    | ~ p2(X1,X3,X2) )).

cnf(clause_58,axiom,
    ( ~ p2(X1,X3,X4)
    | ~ p2(X1,X2,X3)
    | p2(X1,X2,X4) )).

cnf(clause_2,axiom,
    ( ~ p1(X1,X2,X3,X4)
    | ~ p1(X1,X2,X5,X6)
    | p1(X3,X4,X5,X6) )).

cnf(clause_23,axiom,
    ( p1(X2,X1,X3,X4)
    | ~ p1(X1,X2,X3,X4) )).

cnf(clause_76,axiom,
    ( ~ p1(X1,X2,X3,X4)
    | ~ p1(X2,X5,X4,X6)
    | ~ p2(X1,X2,X5)
    | p2(X3,X4,X6)
    | ~ p1(X1,X5,X3,X6) )).

cnf(clause_80,hypothesis,(
    p2(c13,c14,c15) )).

cnf(clause_38,axiom,
    ( ~ p2(X3,X4,X6)
    | ~ p1(X1,X2,X3,X4)
    | ~ p2(X1,X2,X5)
    | p1(X1,X5,X3,X6)
    | ~ p1(X2,X5,X4,X6) )).

cnf(clause_5,axiom,(
    p1(X1,f3(X2,X1,X3,X4),X3,X4) )).

cnf(clause_36,axiom,
    ( X2 = X1
    | X1 != f11(X2,X1) )).

cnf(clause_46,axiom,
    ( ~ p2(X1,X2,X3)
    | p2(X4,X2,X3)
    | X1 != X3 )).

cnf(clause_45,axiom,(
    p2(X1,X2,X2) )).
%------------------------------------------------------------------------------
