%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A,C,D) = f11(B,C,D) )).

cnf(f11_substitution_2,axiom,
    ( A != B
    | f11(C,A,D) = f11(C,B,D) )).

cnf(f11_substitution_3,axiom,
    ( A != B
    | f11(C,D,A) = f11(C,D,B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A) = f13(B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A) = f15(B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A) = f16(B) )).

cnf(f17_substitution_1,axiom,
    ( A != B
    | f17(A,C) = f17(B,C) )).

cnf(f17_substitution_2,axiom,
    ( A != B
    | f17(C,A) = f17(C,B) )).

cnf(f18_substitution_1,axiom,
    ( A != B
    | f18(A,C) = f18(B,C) )).

cnf(f18_substitution_2,axiom,
    ( A != B
    | f18(C,A) = f18(C,B) )).

cnf(f19_substitution_1,axiom,
    ( A != B
    | f19(A,C) = f19(B,C) )).

cnf(f19_substitution_2,axiom,
    ( A != B
    | f19(C,A) = f19(C,B) )).

cnf(f20_substitution_1,axiom,
    ( A != B
    | f20(A,C) = f20(B,C) )).

cnf(f20_substitution_2,axiom,
    ( A != B
    | f20(C,A) = f20(C,B) )).

cnf(f21_substitution_1,axiom,
    ( A != B
    | f21(A,C) = f21(B,C) )).

cnf(f21_substitution_2,axiom,
    ( A != B
    | f21(C,A) = f21(C,B) )).

cnf(f23_substitution_1,axiom,
    ( A != B
    | f23(A,C,D,E) = f23(B,C,D,E) )).

cnf(f23_substitution_2,axiom,
    ( A != B
    | f23(C,A,D,E) = f23(C,B,D,E) )).

cnf(f23_substitution_3,axiom,
    ( A != B
    | f23(C,D,A,E) = f23(C,D,B,E) )).

cnf(f23_substitution_4,axiom,
    ( A != B
    | f23(C,D,E,A) = f23(C,D,E,B) )).

cnf(f28_substitution_1,axiom,
    ( A != B
    | f28(A,C) = f28(B,C) )).

cnf(f28_substitution_2,axiom,
    ( A != B
    | f28(C,A) = f28(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f30_substitution_1,axiom,
    ( A != B
    | f30(A,C) = f30(B,C) )).

cnf(f30_substitution_2,axiom,
    ( A != B
    | f30(C,A) = f30(C,B) )).

cnf(f31_substitution_1,axiom,
    ( A != B
    | f31(A) = f31(B) )).

cnf(f32_substitution_1,axiom,
    ( A != B
    | f32(A,C,D,E) = f32(B,C,D,E) )).

cnf(f32_substitution_2,axiom,
    ( A != B
    | f32(C,A,D,E) = f32(C,B,D,E) )).

cnf(f32_substitution_3,axiom,
    ( A != B
    | f32(C,D,A,E) = f32(C,D,B,E) )).

cnf(f32_substitution_4,axiom,
    ( A != B
    | f32(C,D,E,A) = f32(C,D,E,B) )).

cnf(f33_substitution_1,axiom,
    ( A != B
    | f33(A,C,D,E,F) = f33(B,C,D,E,F) )).

cnf(f33_substitution_2,axiom,
    ( A != B
    | f33(C,A,D,E,F) = f33(C,B,D,E,F) )).

cnf(f33_substitution_3,axiom,
    ( A != B
    | f33(C,D,A,E,F) = f33(C,D,B,E,F) )).

cnf(f33_substitution_4,axiom,
    ( A != B
    | f33(C,D,E,A,F) = f33(C,D,E,B,F) )).

cnf(f33_substitution_5,axiom,
    ( A != B
    | f33(C,D,E,F,A) = f33(C,D,E,F,B) )).

cnf(f34_substitution_1,axiom,
    ( A != B
    | f34(A) = f34(B) )).

cnf(f35_substitution_1,axiom,
    ( A != B
    | f35(A,C,D) = f35(B,C,D) )).

cnf(f35_substitution_2,axiom,
    ( A != B
    | f35(C,A,D) = f35(C,B,D) )).

cnf(f35_substitution_3,axiom,
    ( A != B
    | f35(C,D,A) = f35(C,D,B) )).

cnf(f36_substitution_1,axiom,
    ( A != B
    | f36(A,C) = f36(B,C) )).

cnf(f36_substitution_2,axiom,
    ( A != B
    | f36(C,A) = f36(C,B) )).

cnf(f37_substitution_1,axiom,
    ( A != B
    | f37(A,C) = f37(B,C) )).

cnf(f37_substitution_2,axiom,
    ( A != B
    | f37(C,A) = f37(C,B) )).

cnf(f38_substitution_1,axiom,
    ( A != B
    | f38(A) = f38(B) )).

cnf(f39_substitution_1,axiom,
    ( A != B
    | f39(A,C) = f39(B,C) )).

cnf(f39_substitution_2,axiom,
    ( A != B
    | f39(C,A) = f39(C,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C,D) = f5(B,C,D) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A,D) = f5(C,B,D) )).

cnf(f5_substitution_3,axiom,
    ( A != B
    | f5(C,D,A) = f5(C,D,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C) = f7(B,C) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A) = f7(C,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C) = f8(B,C) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A) = f8(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p10_substitution_1,axiom,
    ( A != B
    | ~ p10(A,C,D)
    | p10(B,C,D) )).

cnf(p10_substitution_2,axiom,
    ( A != B
    | ~ p10(C,A,D)
    | p10(C,B,D) )).

cnf(p10_substitution_3,axiom,
    ( A != B
    | ~ p10(C,D,A)
    | p10(C,D,B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A)
    | p12(B) )).

cnf(p14_substitution_1,axiom,
    ( A != B
    | ~ p14(A)
    | p14(B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C)
    | p2(B,C) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A)
    | p2(C,B) )).

cnf(p22_substitution_1,axiom,
    ( A != B
    | ~ p22(A,C,D,E)
    | p22(B,C,D,E) )).

cnf(p22_substitution_2,axiom,
    ( A != B
    | ~ p22(C,A,D,E)
    | p22(C,B,D,E) )).

cnf(p22_substitution_3,axiom,
    ( A != B
    | ~ p22(C,D,A,E)
    | p22(C,D,B,E) )).

cnf(p22_substitution_4,axiom,
    ( A != B
    | ~ p22(C,D,E,A)
    | p22(C,D,E,B) )).

cnf(p24_substitution_1,axiom,
    ( A != B
    | ~ p24(A,C,D,E)
    | p24(B,C,D,E) )).

cnf(p24_substitution_2,axiom,
    ( A != B
    | ~ p24(C,A,D,E)
    | p24(C,B,D,E) )).

cnf(p24_substitution_3,axiom,
    ( A != B
    | ~ p24(C,D,A,E)
    | p24(C,D,B,E) )).

cnf(p24_substitution_4,axiom,
    ( A != B
    | ~ p24(C,D,E,A)
    | p24(C,D,E,B) )).

cnf(p25_substitution_1,axiom,
    ( A != B
    | ~ p25(A,C,D)
    | p25(B,C,D) )).

cnf(p25_substitution_2,axiom,
    ( A != B
    | ~ p25(C,A,D)
    | p25(C,B,D) )).

cnf(p25_substitution_3,axiom,
    ( A != B
    | ~ p25(C,D,A)
    | p25(C,D,B) )).

cnf(p26_substitution_1,axiom,
    ( A != B
    | ~ p26(A,C)
    | p26(B,C) )).

cnf(p26_substitution_2,axiom,
    ( A != B
    | ~ p26(C,A)
    | p26(C,B) )).

cnf(p27_substitution_1,axiom,
    ( A != B
    | ~ p27(A,C)
    | p27(B,C) )).

cnf(p27_substitution_2,axiom,
    ( A != B
    | ~ p27(C,A)
    | p27(C,B) )).

cnf(p29_substitution_1,axiom,
    ( A != B
    | ~ p29(A,C)
    | p29(B,C) )).

cnf(p29_substitution_2,axiom,
    ( A != B
    | ~ p29(C,A)
    | p29(C,B) )).

cnf(p6_substitution_1,axiom,
    ( A != B
    | ~ p6(A,C)
    | p6(B,C) )).

cnf(p6_substitution_2,axiom,
    ( A != B
    | ~ p6(C,A)
    | p6(C,B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A,C)
    | p9(B,C) )).

cnf(p9_substitution_2,axiom,
    ( A != B
    | ~ p9(C,A)
    | p9(C,B) )).

cnf(clause_16,axiom,
    ( p1(f8(X2,X1),X2)
    | ~ p2(X1,X2)
    | p6(X1,X2) )).

cnf(clause_71,axiom,
    ( p27(X2,X1)
    | ~ p25(X1,X2,X3) )).

cnf(clause_39,axiom,
    ( X2 = f4(f17(X1,X2),f18(X1,X2))
    | ~ p9(X1,X2) )).

cnf(clause_23,axiom,
    ( p9(X1,X2)
    | p6(X1,X2)
    | ~ p2(X1,X2) )).

cnf(clause_8,axiom,
    ( X3 = f4(X2,X1)
    | p2(f5(X1,X2,X3),X3)
    | ~ p2(f5(X1,X2,X3),X3) )).

cnf(clause_42,axiom,
    ( X1 != f19(X1,X2)
    | ~ p6(X1,X2) )).

cnf(clause_95,axiom,
    ( ~ p2(f39(X1,X2),X2)
    | p2(f39(X1,X2),X2)
    | X2 = f38(X1) )).

cnf(clause_82,axiom,
    ( ~ p2(f33(X1,X2,X3,X4,X5),X1)
    | ~ p27(f33(X1,X2,X3,X4,X5),X2)
    | ~ p22(X1,X5,X4,X3)
    | p24(X2,X5,X4,X3) )).

cnf(clause_100,negated_conjecture,
    ( p25(c41,c42,c40)
    | p25(c41,c40,c42)
    | ~ p25(c41,X1,c40) )).

cnf(clause_67,axiom,
    ( ~ p27(X3,X2)
    | ~ p29(X1,X2)
    | X1 = X3
    | p25(X2,X3,X1) )).

cnf(clause_88,axiom,
    ( X1 = X2
    | ~ p25(X1,f36(X2,X1),f37(X2,X1))
    | p25(X1,f36(X2,X1),f37(X2,X1)) )).

cnf(clause_64,axiom,
    ( p27(f28(X2,X1),X2)
    | ~ p27(X1,X2)
    | p26(X1,X2) )).

cnf(clause_78,axiom,
    ( ~ p24(X1,X2,X3,X4)
    | p22(f32(X1,X4,X3,X2),X2,X3,X4) )).

cnf(clause_52,axiom,
    ( p6(X4,f23(X4,X3,X2,X1))
    | ~ p22(X1,X2,X3,X4) )).

cnf(clause_60,axiom,
    ( ~ p25(X1,X3,X4)
    | ~ p25(X1,X2,X3)
    | p24(X1,X4,X3,X2) )).

cnf(clause_32,axiom,
    ( p6(f13(X1),X1)
    | p12(X1) )).

cnf(clause_50,axiom,
    ( ~ p22(X1,X2,X3,X4)
    | p1(f23(X4,X3,X2,X1),X1) )).

cnf(clause_11,axiom,
    ( ~ p2(f5(X1,X2,X3),X2)
    | X3 = f4(X2,X1)
    | ~ p2(f5(X1,X2,X3),X3) )).

cnf(clause_77,axiom,
    ( ~ p24(X1,X2,X3,X4)
    | p27(X5,X1)
    | ~ p2(X5,f32(X1,X4,X3,X2)) )).

cnf(clause_20,axiom,
    ( p6(X1,X2)
    | ~ p1(f8(X2,X1),f7(X2,X1))
    | ~ p2(X1,X2) )).

cnf(clause_99,negated_conjecture,
    ( p25(c41,c42,c40)
    | ~ p25(c41,c40,X1)
    | p25(c41,c40,c42) )).

cnf(clause_7,axiom,
    ( p2(f5(X1,X2,X3),X2)
    | X3 = f4(X2,X1)
    | p2(f5(X1,X2,X3),X3)
    | p2(f5(X1,X2,X3),X1) )).

cnf(clause_17,axiom,
    ( p6(X1,X2)
    | ~ p2(X1,X2)
    | p2(X1,f7(X2,X1)) )).

cnf(clause_101,negated_conjecture,
    ( ~ p27(c40,c41)
    | ~ p25(c41,c40,X1) )).

cnf(clause_40,axiom,
    ( X3 = X4
    | ~ p6(X4,X2)
    | X1 = X3
    | X1 = X4
    | ~ p6(X3,X2)
    | ~ p6(X1,X2) )).

cnf(clause_53,axiom,
    ( p9(X3,f23(X4,X3,X2,X1))
    | ~ p22(X1,X2,X3,X4) )).

cnf(clause_61,axiom,
    ( p27(X1,X2)
    | ~ p26(X1,X2) )).

cnf(clause_92,axiom,
    ( p27(X3,X2)
    | ~ p2(X3,X1)
    | X1 != f38(X2) )).

cnf(clause_28,axiom,
    ( p2(f11(X3,X2,X1),X2)
    | ~ p2(X1,X2)
    | p10(X1,X2,X3)
    | ~ p2(X1,X3) )).

cnf(clause_12,axiom,
    ( ~ p2(f5(X1,X2,X3),X1)
    | ~ p2(f5(X1,X2,X3),X3)
    | X3 = f4(X2,X1) )).

cnf(clause_13,axiom,
    ( p2(X1,X2)
    | ~ p6(X1,X2) )).

cnf(clause_26,axiom,
    ( ~ p2(X4,X3)
    | p6(X4,X2)
    | ~ p10(X1,X2,X3)
    | ~ p2(X4,X2) )).

cnf(clause_33,axiom,
    ( p6(f15(X1),X1)
    | ~ p14(X1) )).

cnf(clause_1,axiom,
    ( ~ p1(X1,X2)
    | p2(X3,X2)
    | ~ p2(X3,X1) )).

cnf(clause_41,axiom,
    ( ~ p6(X1,X2)
    | p6(f19(X1,X2),X2) )).

cnf(clause_47,axiom,
    ( p2(f21(X1,X2),X1)
    | X2 = X1
    | ~ p2(f21(X1,X2),X1) )).

cnf(clause_43,axiom,
    ( ~ p12(X1)
    | ~ p10(X2,X3,X4)
    | p10(X5,X3,X4)
    | X1 != f4(X3,X4)
    | ~ p6(X5,X3) )).

cnf(clause_35,axiom,
    ( ~ p1(X1,X2)
    | X1 = X2
    | p14(X1) )).

cnf(clause_14,axiom,
    ( ~ p1(X3,X2)
    | p1(X3,X4)
    | p1(X4,X3)
    | ~ p2(X1,X4)
    | ~ p2(X1,X3)
    | ~ p1(X4,X2)
    | ~ p6(X1,X2) )).

cnf(clause_55,axiom,
    ( p25(X1,X2,X3)
    | ~ p24(X1,X2,X3,X4)
    | p25(X1,X4,X3) )).

cnf(clause_97,negated_conjecture,
    ( p25(c41,c42,c40)
    | p25(c41,c40,c42)
    | p27(c40,c41) )).

cnf(clause_4,axiom,
    ( p2(X4,X2)
    | ~ p2(X4,X1)
    | p2(X4,X3)
    | X1 != f4(X2,X3) )).

cnf(clause_73,axiom,(
    p14(f31(X1)) )).

cnf(clause_84,axiom,
    ( ~ p27(X4,f35(X1,X3,X2))
    | X2 = X3
    | ~ p14(X1)
    | p2(X4,X1)
    | ~ p2(X2,X1)
    | ~ p2(X3,X1) )).

cnf(clause_86,axiom,
    ( ~ p14(X1)
    | ~ p2(X3,X1)
    | ~ p2(X2,X1)
    | p25(f35(X1,X3,X2),X2,X3)
    | X2 = X3 )).

cnf(clause_6,axiom,
    ( ~ p2(X4,X3)
    | p2(X4,X1)
    | X1 != f4(X2,X3) )).

cnf(clause_25,axiom,
    ( p2(X1,X3)
    | ~ p10(X1,X2,X3) )).

cnf(clause_62,axiom,
    ( X1 = X3
    | ~ p27(X3,X2)
    | ~ p26(X1,X2)
    | p25(X2,X1,X3) )).

cnf(clause_24,axiom,
    ( ~ p10(X1,X2,X3)
    | p2(X1,X2) )).

cnf(clause_37,axiom,(
    p9(f16(X1),X1) )).

cnf(clause_69,axiom,
    ( ~ p27(X1,X2)
    | p27(f30(X2,X1),X2)
    | p29(X1,X2) )).

cnf(clause_51,axiom,
    ( p6(X2,f23(X4,X3,X2,X1))
    | ~ p22(X1,X2,X3,X4) )).

cnf(clause_102,negated_conjecture,
    ( ~ p27(c40,c41)
    | ~ p25(c41,X1,c40) )).

cnf(clause_21,axiom,
    ( p2(X1,X2)
    | ~ p9(X1,X2) )).

cnf(clause_85,axiom,
    ( X2 = X3
    | ~ p2(X4,X1)
    | ~ p14(X1)
    | p27(X4,f35(X1,X3,X2))
    | ~ p2(X3,X1)
    | ~ p2(X2,X1) )).

cnf(clause_89,axiom,
    ( p25(X1,f36(X1,X2),f37(X1,X2))
    | ~ p25(X1,f36(X1,X2),f37(X1,X2))
    | X2 = X1 )).

cnf(clause_44,axiom,
    ( f20(X3,X2) = f4(X2,X3)
    | ~ p10(X1,X2,X3) )).

cnf(clause_75,axiom,
    ( p27(X1,X2)
    | ~ p2(X1,f31(X2)) )).

cnf(clause_93,axiom,
    ( X2 = f38(X1)
    | p2(f39(X1,X2),X2)
    | p27(f39(X1,X2),X1) )).

cnf(clause_83,axiom,(
    p26(f34(X1),X1) )).

cnf(clause_96,axiom,
    ( ~ p2(f39(X1,X2),X2)
    | X2 = f38(X1)
    | ~ p27(f39(X1,X2),X1) )).

cnf(clause_2,axiom,
    ( p1(X1,X2)
    | p2(f3(X1,X2),X1) )).

cnf(clause_57,axiom,
    ( p25(X1,X3,X4)
    | p25(X1,X4,X3)
    | ~ p24(X1,X2,X3,X4) )).

cnf(clause_76,axiom,
    ( ~ p24(X1,X2,X3,X4)
    | p2(X5,f32(X1,X4,X3,X2))
    | ~ p27(X5,X1) )).

cnf(clause_29,axiom,
    ( p10(X1,X2,X3)
    | p2(f11(X3,X2,X1),X3)
    | ~ p2(X1,X2)
    | ~ p2(X1,X3) )).

cnf(clause_91,axiom,
    ( p2(X3,X1)
    | ~ p27(X3,X2)
    | X1 != f38(X2) )).

cnf(clause_18,axiom,
    ( p2(X1,f8(X2,X1))
    | p6(X1,X2)
    | ~ p2(X1,X2) )).

cnf(clause_56,axiom,
    ( ~ p24(X1,X2,X3,X4)
    | p25(X1,X3,X2)
    | p25(X1,X2,X3) )).

cnf(clause_3,axiom,
    ( p1(X1,X2)
    | ~ p2(f3(X1,X2),X2) )).

cnf(clause_15,axiom,
    ( ~ p2(X1,X2)
    | p1(f7(X2,X1),X2)
    | p6(X1,X2) )).

cnf(clause_22,axiom,
    ( ~ p6(X1,X2)
    | ~ p9(X1,X2) )).

cnf(clause_27,axiom,
    ( ~ p2(X4,X2)
    | ~ p10(X1,X2,X3)
    | p6(X4,X3)
    | ~ p2(X4,X3) )).

cnf(clause_36,axiom,
    ( ~ p6(X5,X3)
    | ~ p1(X4,X2)
    | p1(X1,X3)
    | ~ p1(X1,X2)
    | p1(X3,X4)
    | p1(X3,X1)
    | p1(X4,X3)
    | p1(X1,X4)
    | ~ p6(X5,X4)
    | p1(X4,X1)
    | ~ p1(X3,X2)
    | ~ p6(X5,X1) )).

cnf(clause_54,axiom,
    ( p22(X4,X1,X5,X2)
    | X1 = X2
    | ~ p9(X5,X3)
    | ~ p6(X2,X3)
    | ~ p6(X1,X3)
    | ~ p1(X3,X4) )).

cnf(clause_10,axiom,
    ( X3 = f4(X2,X1)
    | p2(f5(X1,X2,X3),X2)
    | ~ p2(f5(X1,X2,X3),X1)
    | p2(f5(X1,X2,X3),X1) )).

cnf(clause_70,axiom,
    ( ~ p27(X1,X2)
    | ~ p25(X2,f30(X2,X1),X1)
    | p29(X1,X2) )).

cnf(clause_98,negated_conjecture,
    ( p27(c40,c41)
    | ~ p27(c40,c41) )).

cnf(clause_49,axiom,
    ( X2 != X4
    | ~ p22(X1,X2,X3,X4) )).

cnf(clause_45,axiom,
    ( X2 = X1
    | p2(f21(X1,X2),X1)
    | p2(f21(X1,X2),X2) )).

cnf(clause_34,axiom,
    ( ~ p6(X1,X2)
    | p14(X2) )).

cnf(clause_38,axiom,
    ( p10(X1,f17(X1,X2),f18(X1,X2))
    | ~ p9(X1,X2) )).

cnf(clause_74,axiom,
    ( p2(X1,f31(X2))
    | ~ p27(X1,X2) )).

cnf(clause_72,axiom,
    ( ~ p25(X1,X2,X3)
    | p27(X3,X1) )).

cnf(clause_63,axiom,
    ( p26(X1,X2)
    | ~ p27(X1,X2)
    | X1 != f28(X2,X1) )).

cnf(clause_66,axiom,
    ( ~ p29(X1,X2)
    | p27(X1,X2) )).

cnf(clause_46,axiom,
    ( p2(f21(X1,X2),X2)
    | ~ p2(f21(X1,X2),X2)
    | X2 = X1 )).

cnf(clause_5,axiom,
    ( X1 != f4(X2,X3)
    | ~ p2(X4,X2)
    | p2(X4,X1) )).

cnf(clause_19,axiom,
    ( p6(X1,X2)
    | ~ p2(X1,X2)
    | ~ p1(f7(X2,X1),f8(X2,X1)) )).

cnf(clause_58,axiom,
    ( p25(X1,X3,X2)
    | ~ p24(X1,X2,X3,X4)
    | p25(X1,X3,X4) )).

cnf(clause_80,axiom,
    ( p27(f33(X1,X2,X3,X4,X5),X2)
    | ~ p22(X1,X5,X4,X3)
    | ~ p27(f33(X1,X2,X3,X4,X5),X2)
    | p24(X2,X5,X4,X3) )).

cnf(clause_90,axiom,
    ( ~ p25(X1,f36(X1,X2),f37(X1,X2))
    | X2 = X1
    | ~ p25(X2,f36(X1,X2),f37(X1,X2)) )).

cnf(clause_87,axiom,
    ( X1 = X2
    | p25(X1,f36(X2,X1),f37(X2,X1))
    | p25(X2,f36(X2,X1),f37(X2,X1)) )).

cnf(clause_65,axiom,
    ( ~ p25(X2,X1,f28(X2,X1))
    | ~ p27(X1,X2)
    | p26(X1,X2) )).

cnf(clause_9,axiom,
    ( p2(f5(X1,X2,X3),X2)
    | p2(f5(X1,X2,X3),X1)
    | ~ p2(f5(X1,X2,X3),X2)
    | X3 = f4(X2,X1) )).

cnf(clause_79,axiom,
    ( p2(f33(X1,X2,X3,X4,X5),X1)
    | p27(f33(X1,X2,X3,X4,X5),X2)
    | p24(X2,X5,X4,X3)
    | ~ p22(X1,X5,X4,X3) )).

cnf(clause_94,axiom,
    ( X2 = f38(X1)
    | p27(f39(X1,X2),X1)
    | ~ p27(f39(X1,X2),X1) )).

cnf(clause_30,axiom,
    ( ~ p6(f11(X3,X2,X1),X3)
    | ~ p2(X1,X2)
    | ~ p2(X1,X3)
    | p10(X1,X2,X3)
    | ~ p6(f11(X3,X2,X1),X2) )).

cnf(clause_59,axiom,
    ( ~ p25(X1,X2,X3)
    | ~ p25(X1,X3,X4)
    | p24(X1,X2,X3,X4) )).

cnf(clause_48,axiom,
    ( ~ p2(f21(X1,X2),X2)
    | ~ p2(f21(X1,X2),X1)
    | X2 = X1 )).

cnf(clause_68,axiom,
    ( ~ p27(X1,X2)
    | X1 != f30(X2,X1)
    | p29(X1,X2) )).

cnf(clause_31,axiom,
    ( ~ p6(X2,X1)
    | ~ p12(X1) )).

cnf(clause_81,axiom,
    ( ~ p22(X1,X5,X4,X3)
    | p2(f33(X1,X2,X3,X4,X5),X1)
    | p24(X2,X5,X4,X3)
    | ~ p2(f33(X1,X2,X3,X4,X5),X1) )).
%------------------------------------------------------------------------------
