%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C) = f5(B,C) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A) = f5(C,B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A)
    | p4(B) )).

cnf(clause_7,axiom,(
    f1(X1,f3(X1)) = c2 )).

cnf(clause_3,axiom,(
    f1(f1(X1,X2),X3) = f1(X1,f1(X2,X3)) )).

cnf(clause_9,axiom,
    ( p4(X1)
    | p4(X2)
    | f1(X1,f5(X1,X2)) = X2 )).

cnf(clause_5,axiom,
    ( p4(X3)
    | ~ p4(X2)
    | f1(X1,X2) != X3
    | ~ p4(X1) )).

cnf(clause_1,axiom,(
    f1(c2,X1) = X1 )).

cnf(clause_2,axiom,(
    f1(f3(X1),X1) = c2 )).

cnf(clause_8,axiom,
    ( p4(f5(X1,X2))
    | p4(X1)
    | p4(X2) )).

cnf(clause_6,axiom,(
    f1(X1,c2) = X1 )).

cnf(clause_10,negated_conjecture,(
    p4(c6) )).

cnf(clause_11,negated_conjecture,(
    f1(c6,f3(c7)) = c8 )).

cnf(clause_4,axiom,
    ( ~ p4(X1)
    | p4(f3(X1)) )).

cnf(clause_13,negated_conjecture,(
    ~ p4(c9) )).

cnf(clause_12,negated_conjecture,(
    f1(c7,c8) = c9 )).
%------------------------------------------------------------------------------
