%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A,C) = f12(B,C) )).

cnf(f12_substitution_2,axiom,
    ( A != B
    | f12(C,A) = f12(C,B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C,D) = f13(B,C,D) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A,D) = f13(C,B,D) )).

cnf(f13_substitution_3,axiom,
    ( A != B
    | f13(C,D,A) = f13(C,D,B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A,C,D) = f14(B,C,D) )).

cnf(f14_substitution_2,axiom,
    ( A != B
    | f14(C,A,D) = f14(C,B,D) )).

cnf(f14_substitution_3,axiom,
    ( A != B
    | f14(C,D,A) = f14(C,D,B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A,C,D) = f16(B,C,D) )).

cnf(f16_substitution_2,axiom,
    ( A != B
    | f16(C,A,D) = f16(C,B,D) )).

cnf(f16_substitution_3,axiom,
    ( A != B
    | f16(C,D,A) = f16(C,D,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A) = f4(B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C,D,E) = f7(B,C,D,E) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A,D,E) = f7(C,B,D,E) )).

cnf(f7_substitution_3,axiom,
    ( A != B
    | f7(C,D,A,E) = f7(C,D,B,E) )).

cnf(f7_substitution_4,axiom,
    ( A != B
    | f7(C,D,E,A) = f7(C,D,E,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C,D) = f9(B,C,D) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A,D) = f9(C,B,D) )).

cnf(f9_substitution_3,axiom,
    ( A != B
    | f9(C,D,A) = f9(C,D,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p6_substitution_1,axiom,
    ( A != B
    | ~ p6(A,C,D)
    | p6(B,C,D) )).

cnf(p6_substitution_2,axiom,
    ( A != B
    | ~ p6(C,A,D)
    | p6(C,B,D) )).

cnf(p6_substitution_3,axiom,
    ( A != B
    | ~ p6(C,D,A)
    | p6(C,D,B) )).

cnf(clause_2,negated_conjecture,
    ( ~ p6(X1,c2,c5)
    | ~ p6(f7(c8,f13(c2,c10,c5),c5,c5),f9(c10,c5,c11),f12(c5,c5))
    | p6(f7(X1,c8,c5,c5),f9(c10,c5,c11),f12(c5,c5)) )).

cnf(clause_4,negated_conjecture,
    ( ~ p6(f7(f13(c2,c10,c5),c8,c5,c5),f9(c10,c5,c11),f12(c5,c5))
    | p6(c8,c2,c5) )).

cnf(clause_11,axiom,
    ( p6(f7(X1,f13(X2,c10,c5),c5,c5),c15,f12(c5,c5))
    | ~ p6(X1,X2,c5)
    | ~ p1(X2,c3,f4(c5)) )).

cnf(clause_6,negated_conjecture,
    ( p6(c8,c2,c5)
    | ~ p6(X1,c2,c5)
    | p6(f7(X1,c8,c5,c5),f9(c10,c5,c11),f12(c5,c5)) )).

cnf(clause_9,axiom,
    ( p6(f7(f13(X2,c10,c5),X1,c5,c5),c15,f12(c5,c5))
    | p6(f16(X1,X2,c15),X2,c5)
    | ~ p1(X2,c3,f4(c5))
    | ~ p6(X1,c3,c5) )).

cnf(clause_10,axiom,
    ( ~ p1(X2,c3,f4(c5))
    | ~ p6(X1,c3,c5)
    | ~ p6(f7(f16(X1,X2,c15),X1,c5,c5),c15,f12(c5,c5))
    | p6(f7(f13(X2,c10,c5),X1,c5,c5),c15,f12(c5,c5)) )).

cnf(clause_1,negated_conjecture,(
    p1(c2,c3,f4(c5)) )).

cnf(clause_7,axiom,
    ( ~ p6(X1,X2,X3)
    | p6(X1,X4,X3)
    | ~ p1(X2,X4,f4(X3)) )).

cnf(clause_12,axiom,(
    c15 = f9(c10,c5,c11) )).

cnf(clause_8,axiom,(
    c3 = f14(c10,c5,c11) )).

cnf(clause_3,negated_conjecture,
    ( p6(c8,c2,c5)
    | p6(c8,f14(c10,c5,c11),c5) )).

cnf(clause_5,negated_conjecture,
    ( ~ p6(f7(f13(c2,c10,c5),c8,c5,c5),f9(c10,c5,c11),f12(c5,c5))
    | ~ p6(f7(c8,f13(c2,c10,c5),c5,c5),f9(c10,c5,c11),f12(c5,c5)) )).
%------------------------------------------------------------------------------
