%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A) = f11(B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A) = f13(B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A) = f14(B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A) = f16(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A)
    | p12(B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C)
    | p2(B,C) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A)
    | p2(C,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C)
    | p3(B,C) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A)
    | p3(C,B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A)
    | p4(B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A,C,D,E)
    | p5(B,C,D,E) )).

cnf(p5_substitution_2,axiom,
    ( A != B
    | ~ p5(C,A,D,E)
    | p5(C,B,D,E) )).

cnf(p5_substitution_3,axiom,
    ( A != B
    | ~ p5(C,D,A,E)
    | p5(C,D,B,E) )).

cnf(p5_substitution_4,axiom,
    ( A != B
    | ~ p5(C,D,E,A)
    | p5(C,D,E,B) )).

cnf(p8_substitution_1,axiom,
    ( A != B
    | ~ p8(A,C,D)
    | p8(B,C,D) )).

cnf(p8_substitution_2,axiom,
    ( A != B
    | ~ p8(C,A,D)
    | p8(C,B,D) )).

cnf(p8_substitution_3,axiom,
    ( A != B
    | ~ p8(C,D,A)
    | p8(C,D,B) )).

cnf(clause_22,negated_conjecture,(
    p12(c15) )).

cnf(clause_9,hypothesis,
    ( ~ p5(c9,c10,X1,X2)
    | p1(f6(c9,X2),c7)
    | f6(c9,X2) = c7
    | ~ p4(X1)
    | p1(f6(c10,X2),c7)
    | ~ p3(X2,f11(X1)) )).

cnf(clause_1,axiom,
    ( ~ p1(X2,X3)
    | ~ p1(X1,X2)
    | p1(X1,X3) )).

cnf(clause_16,hypothesis,
    ( ~ p3(X2,f11(X1))
    | p1(c7,f6(c9,X2))
    | ~ p5(c9,c10,X1,X2)
    | f6(c10,X2) = c7
    | ~ p4(X1)
    | p1(c7,f6(c10,X2)) )).

cnf(clause_11,hypothesis,
    ( ~ p4(X1)
    | ~ p5(c9,c10,X1,X2)
    | p1(f6(c10,X2),c7)
    | ~ p3(X2,f11(X1))
    | p1(c7,f6(c10,X2))
    | f6(c9,X2) = c7 )).

cnf(clause_8,hypothesis,
    ( ~ p5(X2,X3,X1,X4)
    | p1(c7,f6(X2,X4))
    | ~ p8(X3,X2,X4)
    | ~ p4(X1) )).

cnf(clause_12,hypothesis,
    ( ~ p5(c9,c10,X1,X2)
    | ~ p3(X2,f11(X1))
    | p1(c7,f6(c10,X2))
    | ~ p4(X1)
    | p1(c7,f6(c9,X2))
    | f6(c9,X2) = c7 )).

cnf(clause_14,hypothesis,
    ( p1(f6(c9,X2),c7)
    | ~ p5(c9,c10,X1,X2)
    | ~ p4(X1)
    | p1(c7,f6(c9,X2))
    | ~ p3(X2,f11(X1))
    | f6(c10,X2) = c7 )).

cnf(clause_6,hypothesis,
    ( ~ p5(X2,X3,X1,X4)
    | p8(X3,X2,X4)
    | ~ p3(f6(X3,X4),c7)
    | ~ p4(X1)
    | ~ p1(c7,f6(X2,X4)) )).

cnf(clause_5,axiom,
    ( p3(X1,X2)
    | X1 != X2 )).

cnf(clause_19,hypothesis,
    ( ~ p4(X1)
    | p2(X1,f14(X1))
    | ~ p12(X1) )).

cnf(clause_25,negated_conjecture,
    ( ~ p2(c15,X1)
    | ~ p8(c10,c9,f16(X1)) )).

cnf(clause_23,negated_conjecture,
    ( p5(c9,c10,c15,f16(X1))
    | ~ p2(c15,X1) )).

cnf(clause_3,axiom,
    ( ~ p3(X1,X2)
    | X1 = X2
    | p1(X1,X2) )).

cnf(clause_24,negated_conjecture,
    ( p3(f16(X1),X1)
    | ~ p2(c15,X1) )).

cnf(clause_18,hypothesis,
    ( ~ p12(X1)
    | ~ p4(X1)
    | ~ p3(X2,f13(X1))
    | ~ p5(c9,c10,X1,X2)
    | p1(f6(c10,X2),f6(c9,X2)) )).

cnf(clause_10,hypothesis,
    ( ~ p5(c9,c10,X1,X2)
    | ~ p3(X2,f11(X1))
    | ~ p4(X1)
    | p1(c7,f6(c9,X2))
    | p1(f6(c9,X2),c7)
    | f6(c9,X2) = c7 )).

cnf(clause_2,axiom,
    ( p1(X3,X2)
    | ~ p2(X1,X3)
    | X3 = X2
    | p1(X2,X3)
    | ~ p2(X1,X2) )).

cnf(clause_4,axiom,
    ( ~ p1(X1,X2)
    | p3(X1,X2) )).

cnf(clause_21,negated_conjecture,(
    p4(c15) )).

cnf(clause_20,hypothesis,
    ( p3(f14(X1),f11(X1))
    | ~ p12(X1)
    | ~ p4(X1) )).

cnf(clause_13,hypothesis,
    ( p1(f6(c9,X2),c7)
    | f6(c10,X2) = c7
    | ~ p4(X1)
    | ~ p5(c9,c10,X1,X2)
    | p1(f6(c10,X2),c7)
    | ~ p3(X2,f11(X1)) )).

cnf(clause_17,hypothesis,
    ( p2(X1,f13(X1))
    | ~ p12(X1)
    | ~ p4(X1) )).

cnf(clause_15,hypothesis,
    ( p1(c7,f6(c10,X2))
    | ~ p5(c9,c10,X1,X2)
    | ~ p3(X2,f11(X1))
    | p1(f6(c10,X2),c7)
    | f6(c10,X2) = c7
    | ~ p4(X1) )).

cnf(clause_7,hypothesis,
    ( ~ p8(X3,X2,X4)
    | ~ p4(X1)
    | ~ p5(X2,X3,X1,X4)
    | p3(f6(X3,X4),c7) )).
%------------------------------------------------------------------------------
