%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C) = f10(B,C) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A) = f10(C,B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A,C) = f11(B,C) )).

cnf(f11_substitution_2,axiom,
    ( A != B
    | f11(C,A) = f11(C,B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C) = f15(B,C) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A) = f15(C,B) )).

cnf(f17_substitution_1,axiom,
    ( A != B
    | f17(A) = f17(B) )).

cnf(f19_substitution_1,axiom,
    ( A != B
    | f19(A,C) = f19(B,C) )).

cnf(f19_substitution_2,axiom,
    ( A != B
    | f19(C,A) = f19(C,B) )).

cnf(f21_substitution_1,axiom,
    ( A != B
    | f21(A) = f21(B) )).

cnf(f22_substitution_1,axiom,
    ( A != B
    | f22(A) = f22(B) )).

cnf(f24_substitution_1,axiom,
    ( A != B
    | f24(A) = f24(B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C) = f7(B,C) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A) = f7(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A)
    | p1(B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A)
    | p12(B) )).

cnf(p13_substitution_1,axiom,
    ( A != B
    | ~ p13(A)
    | p13(B) )).

cnf(p14_substitution_1,axiom,
    ( A != B
    | ~ p14(A)
    | p14(B) )).

cnf(p16_substitution_1,axiom,
    ( A != B
    | ~ p16(A,C)
    | p16(B,C) )).

cnf(p16_substitution_2,axiom,
    ( A != B
    | ~ p16(C,A)
    | p16(C,B) )).

cnf(p18_substitution_1,axiom,
    ( A != B
    | ~ p18(A,C,D)
    | p18(B,C,D) )).

cnf(p18_substitution_2,axiom,
    ( A != B
    | ~ p18(C,A,D)
    | p18(C,B,D) )).

cnf(p18_substitution_3,axiom,
    ( A != B
    | ~ p18(C,D,A)
    | p18(C,D,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C,D,E)
    | p2(B,C,D,E) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A,D,E)
    | p2(C,B,D,E) )).

cnf(p2_substitution_3,axiom,
    ( A != B
    | ~ p2(C,D,A,E)
    | p2(C,D,B,E) )).

cnf(p2_substitution_4,axiom,
    ( A != B
    | ~ p2(C,D,E,A)
    | p2(C,D,E,B) )).

cnf(p20_substitution_1,axiom,
    ( A != B
    | ~ p20(A)
    | p20(B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A,C)
    | p5(B,C) )).

cnf(p5_substitution_2,axiom,
    ( A != B
    | ~ p5(C,A)
    | p5(C,B) )).

cnf(p6_substitution_1,axiom,
    ( A != B
    | ~ p6(A,C)
    | p6(B,C) )).

cnf(p6_substitution_2,axiom,
    ( A != B
    | ~ p6(C,A)
    | p6(C,B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A,C,D)
    | p9(B,C,D) )).

cnf(p9_substitution_2,axiom,
    ( A != B
    | ~ p9(C,A,D)
    | p9(C,B,D) )).

cnf(p9_substitution_3,axiom,
    ( A != B
    | ~ p9(C,D,A)
    | p9(C,D,B) )).

cnf(clause_39,hypothesis,
    ( ~ p20(X1)
    | ~ p1(X1)
    | p5(X1,f22(X1)) )).

cnf(clause_13,axiom,
    ( X1 != f11(X2,X3)
    | p13(X2)
    | p12(X3)
    | ~ p12(X1)
    | p13(X3) )).

cnf(clause_36,hypothesis,
    ( ~ p14(f19(X1,X2))
    | ~ p5(X1,X2)
    | ~ p14(f7(X1,X2))
    | ~ p1(X1) )).

cnf(clause_43,negated_conjecture,
    ( ~ p5(c23,X1)
    | p2(c3,c4,c23,f24(X1)) )).

cnf(clause_3,axiom,
    ( ~ p9(X2,X1,X3)
    | ~ p1(X1)
    | p6(f10(X2,X3),c8)
    | f7(X1,X3) = f11(f10(c3,X3),f10(c4,X3)) )).

cnf(clause_6,axiom,
    ( p9(c3,X1,X2)
    | ~ p5(X1,X2)
    | ~ p1(X1) )).

cnf(clause_30,hypothesis,
    ( p16(f15(X3,X4),c8)
    | ~ p18(X3,X2,X4)
    | ~ p2(X2,X3,X1,X4)
    | ~ p1(X1) )).

cnf(clause_20,axiom,
    ( ~ p2(c3,c4,X1,X2)
    | ~ p1(X1)
    | p6(f10(c4,X2),c8) )).

cnf(clause_16,axiom,
    ( ~ p5(X1,X2)
    | ~ p9(X3,X1,X2)
    | ~ p1(X1)
    | f15(X3,X2) = c8
    | ~ p6(f10(X3,X2),c8)
    | ~ p12(f10(X3,X2)) )).

cnf(clause_21,axiom,
    ( X1 != X2
    | ~ p6(X1,X2) )).

cnf(clause_15,axiom,
    ( X1 != f11(X2,X3)
    | p14(X3)
    | p12(X3)
    | p13(X3)
    | ~ p12(X1) )).

cnf(clause_44,negated_conjecture,
    ( p16(f24(X1),X1)
    | ~ p5(c23,X1) )).

cnf(clause_5,axiom,
    ( ~ p1(X1)
    | X2 != c3
    | f7(X1,X3) = f11(f10(c3,X3),f10(c4,X3))
    | ~ p9(X2,X1,X3) )).

cnf(clause_32,hypothesis,
    ( p14(f19(X1,X2))
    | ~ p5(X1,X2)
    | ~ p1(X1)
    | ~ p6(f7(X1,X2),c8)
    | ~ p6(f17(X1),X2) )).

cnf(clause_8,axiom,
    ( ~ p12(X1)
    | X1 != f11(X2,X3)
    | p13(X2)
    | p14(X2)
    | p12(X2) )).

cnf(clause_2,axiom,
    ( ~ p2(c3,c4,X1,X2)
    | p6(f7(X1,X2),c8)
    | ~ p1(X1) )).

cnf(clause_28,axiom,
    ( ~ p16(X2,f17(X1))
    | ~ p1(X1)
    | ~ p6(f17(X1),X2) )).

cnf(clause_7,axiom,
    ( p9(c4,X1,X2)
    | ~ p5(X1,X2)
    | ~ p1(X1) )).

cnf(clause_26,axiom,
    ( ~ p6(X1,X2)
    | p16(X1,X2) )).

cnf(clause_45,negated_conjecture,
    ( ~ p18(c4,c3,f24(X1))
    | ~ p5(c23,X1) )).

cnf(clause_24,axiom,
    ( ~ p5(X1,X3)
    | ~ p5(X1,X2)
    | p6(X3,X2)
    | p6(X2,X3)
    | X3 = X2 )).

cnf(clause_34,hypothesis,
    ( ~ p1(X1)
    | p5(X1,f21(X1))
    | ~ p20(X1) )).

cnf(clause_14,axiom,
    ( p12(X3)
    | X1 != f11(X2,X3)
    | p14(X3)
    | p14(X2)
    | ~ p12(X1) )).

cnf(clause_1,axiom,
    ( p5(X1,X2)
    | ~ p2(c3,c4,X1,X2)
    | ~ p1(X1) )).

cnf(clause_35,hypothesis,
    ( p16(f21(X1),f17(X1))
    | ~ p20(X1)
    | ~ p1(X1) )).

cnf(clause_38,hypothesis,
    ( ~ p1(X1)
    | X2 = c3
    | ~ p6(f10(X2,X3),c8)
    | X2 = c4
    | ~ p9(X2,X1,X3) )).

cnf(clause_17,axiom,
    ( p6(f15(X3,X2),c8)
    | ~ p13(f10(X3,X2))
    | ~ p6(f10(X3,X2),c8)
    | ~ p1(X1)
    | ~ p9(X3,X1,X2)
    | ~ p5(X1,X2) )).

cnf(clause_4,axiom,
    ( X2 != c4
    | ~ p1(X1)
    | f7(X1,X3) = f11(f10(c3,X3),f10(c4,X3))
    | ~ p9(X2,X1,X3) )).

cnf(clause_27,axiom,
    ( p16(X1,X2)
    | X1 != X2 )).

cnf(clause_25,axiom,
    ( ~ p16(X1,X2)
    | X1 = X2
    | p6(X1,X2) )).

cnf(clause_9,axiom,
    ( p13(X3)
    | p12(X2)
    | ~ p12(X1)
    | p13(X2)
    | X1 != f11(X2,X3) )).

cnf(clause_23,axiom,
    ( p6(X1,X3)
    | ~ p6(X1,X2)
    | ~ p6(X2,X3) )).

cnf(clause_11,axiom,
    ( p14(X3)
    | ~ p12(X1)
    | p13(X3)
    | p12(X2)
    | X1 != f11(X2,X3) )).

cnf(clause_42,negated_conjecture,(
    p20(c23) )).

cnf(clause_19,axiom,
    ( ~ p1(X1)
    | ~ p2(c3,c4,X1,X2)
    | p6(f10(c3,X2),c8) )).

cnf(clause_29,hypothesis,
    ( ~ p16(f15(X3,X4),c8)
    | ~ p6(c8,f15(X2,X4))
    | p18(X3,X2,X4)
    | ~ p1(X1)
    | ~ p2(X2,X3,X1,X4) )).

cnf(clause_10,axiom,
    ( ~ p12(X1)
    | p12(X2)
    | X1 != f11(X2,X3)
    | p14(X3)
    | p14(X2) )).

cnf(clause_31,hypothesis,
    ( ~ p2(X2,X3,X1,X4)
    | ~ p1(X1)
    | p6(c8,f15(X2,X4))
    | ~ p18(X3,X2,X4) )).

cnf(clause_37,hypothesis,
    ( ~ p1(X1)
    | ~ p5(X1,X2)
    | ~ p12(f19(X1,X2))
    | p12(f7(X1,X2)) )).

cnf(clause_41,negated_conjecture,(
    p1(c23) )).

cnf(clause_18,axiom,
    ( ~ p9(X3,X1,X2)
    | ~ p6(f10(X3,X2),c8)
    | ~ p1(X1)
    | ~ p5(X1,X2)
    | ~ p14(f10(X3,X2))
    | p6(c8,f15(X3,X2)) )).

cnf(clause_33,hypothesis,
    ( ~ p6(f7(X1,X2),c8)
    | ~ p5(X1,X2)
    | p12(f19(X1,X2))
    | ~ p1(X1)
    | p6(f17(X1),X2) )).

cnf(clause_40,hypothesis,
    ( ~ p20(X1)
    | ~ p1(X1)
    | ~ p2(c3,c4,X1,X2)
    | ~ p16(X2,f22(X1))
    | p6(f15(c4,X2),f15(c3,X2)) )).

cnf(clause_12,axiom,
    ( p14(X2)
    | ~ p12(X1)
    | X1 != f11(X2,X3)
    | p13(X2)
    | p12(X3) )).

cnf(clause_22,axiom,
    ( ~ p6(X1,X2)
    | ~ p6(X2,X1) )).
%------------------------------------------------------------------------------
