%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C) = f10(B,C) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A) = f10(C,B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A,C) = f11(B,C) )).

cnf(f11_substitution_2,axiom,
    ( A != B
    | f11(C,A) = f11(C,B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A,C,D,E) = f14(B,C,D,E) )).

cnf(f14_substitution_2,axiom,
    ( A != B
    | f14(C,A,D,E) = f14(C,B,D,E) )).

cnf(f14_substitution_3,axiom,
    ( A != B
    | f14(C,D,A,E) = f14(C,D,B,E) )).

cnf(f14_substitution_4,axiom,
    ( A != B
    | f14(C,D,E,A) = f14(C,D,E,B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A,C,D) = f16(B,C,D) )).

cnf(f16_substitution_2,axiom,
    ( A != B
    | f16(C,A,D) = f16(C,B,D) )).

cnf(f16_substitution_3,axiom,
    ( A != B
    | f16(C,D,A) = f16(C,D,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C,D,E,F) = f2(B,C,D,E,F) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A,D,E,F) = f2(C,B,D,E,F) )).

cnf(f2_substitution_3,axiom,
    ( A != B
    | f2(C,D,A,E,F) = f2(C,D,B,E,F) )).

cnf(f2_substitution_4,axiom,
    ( A != B
    | f2(C,D,E,A,F) = f2(C,D,E,B,F) )).

cnf(f2_substitution_5,axiom,
    ( A != B
    | f2(C,D,E,F,A) = f2(C,D,E,F,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C,D) = f4(B,C,D) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A,D) = f4(C,B,D) )).

cnf(f4_substitution_3,axiom,
    ( A != B
    | f4(C,D,A) = f4(C,D,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(clause_4,axiom,(
    c3 = f14(c5,f16(c17,c12,c6),f11(c12,c6),c6) )).

cnf(clause_3,axiom,
    ( ~ p1(X2,c13,c6)
    | f14(c5,X2,X1,c6) = c15
    | ~ p1(X1,c13,c6)
    | p1(f2(f14(c5,X2,X1,c6),f4(f14(c5,X2,X1,c6),c5,c6),c7,c6,c8),c9,f10(c6,c8)) )).

cnf(clause_1,negated_conjecture,(
    ~ p1(f2(c3,f4(c3,c5,c6),c7,c6,c8),c9,f10(c6,c8)) )).

cnf(clause_5,axiom,(
    p1(f16(c17,c12,c6),c13,c6) )).

cnf(clause_6,axiom,
    ( ~ p1(X1,c13,c6)
    | f14(c5,X1,f11(c12,c6),c6) != c15 )).

cnf(clause_2,axiom,(
    p1(f11(c12,c6),c13,c6) )).
%------------------------------------------------------------------------------
