%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C) = f10(B,C) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A) = f10(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A)
    | p2(B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A,C)
    | p9(B,C) )).

cnf(p9_substitution_2,axiom,
    ( A != B
    | ~ p9(C,A)
    | p9(C,B) )).

cnf(clause_1,axiom,
    ( p2(X1)
    | ~ p1(X1,X2) )).

cnf(clause_17,hypothesis,(
    p9(c13,c12) )).

cnf(clause_2,axiom,
    ( X1 = X2
    | p2(f3(X1,X2)) )).

cnf(clause_18,negated_conjecture,(
    ~ p9(f6(c11,c13),c12) )).

cnf(clause_12,axiom,
    ( p1(X1,c8)
    | ~ p2(X1) )).

cnf(clause_15,axiom,
    ( p9(X1,X2)
    | ~ p1(f10(X1,X2),X2) )).

cnf(clause_6,axiom,
    ( p1(X1,X3)
    | ~ p1(X1,f4(X2,X3)) )).

cnf(clause_10,axiom,(
    f6(X1,X2) = f5(f4(f5(X1),f5(X2))) )).

cnf(clause_3,axiom,
    ( p1(f3(X1,X2),X2)
    | p1(f3(X1,X2),X1)
    | X1 = X2 )).

cnf(clause_11,axiom,(
    ~ p1(X1,c7) )).

cnf(clause_8,axiom,
    ( ~ p1(X1,f5(X2))
    | ~ p1(X1,X2) )).

cnf(clause_5,axiom,
    ( ~ p1(X1,f4(X2,X3))
    | p1(X1,X2) )).

cnf(clause_9,axiom,
    ( ~ p2(X1)
    | p1(X1,X2)
    | p1(X1,f5(X2)) )).

cnf(clause_13,axiom,
    ( ~ p9(X1,X2)
    | p1(X3,X2)
    | ~ p1(X3,X1) )).

cnf(clause_7,axiom,
    ( p1(X1,f4(X2,X3))
    | ~ p1(X1,X2)
    | ~ p1(X1,X3) )).

cnf(clause_4,axiom,
    ( X1 = X2
    | ~ p1(f3(X1,X2),X1)
    | ~ p1(f3(X1,X2),X2) )).

cnf(clause_14,axiom,
    ( p9(X1,X2)
    | p1(f10(X1,X2),X1) )).

cnf(clause_16,hypothesis,(
    p9(c11,c12) )).
%------------------------------------------------------------------------------
