%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C,D) = f6(B,C,D) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A,D) = f6(C,B,D) )).

cnf(f6_substitution_3,axiom,
    ( A != B
    | f6(C,D,A) = f6(C,D,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A)
    | p1(B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C,D)
    | p2(B,C,D) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A,D)
    | p2(C,B,D) )).

cnf(p2_substitution_3,axiom,
    ( A != B
    | ~ p2(C,D,A)
    | p2(C,D,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C,D)
    | p3(B,C,D) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A,D)
    | p3(C,B,D) )).

cnf(p3_substitution_3,axiom,
    ( A != B
    | ~ p3(C,D,A)
    | p3(C,D,B) )).

cnf(clause_3,axiom,
    ( p3(X1,X2,X3)
    | p3(X1,f4(X2,f5(X3)),X3) )).

cnf(clause_5,axiom,(
    p3(X1,f6(X1,X2,X3),X3) )).

cnf(clause_7,negated_conjecture,(
    p2(c7,c8,c9) )).

cnf(clause_4,axiom,
    ( p3(X1,f6(X4,X2,X3),X3)
    | ~ p3(X1,X2,X3) )).

cnf(clause_9,negated_conjecture,
    ( p3(c10,X1,c9)
    | p3(c7,X1,c9)
    | ~ p3(c8,X1,c9) )).

cnf(clause_2,axiom,
    ( ~ p3(X1,X2,X3)
    | ~ p3(X1,f4(X2,f5(X3)),X3) )).

cnf(clause_8,negated_conjecture,(
    p2(c8,c10,c9) )).

cnf(clause_10,axiom,(
    p1(c9) )).

cnf(clause_1,axiom,
    ( ~ p1(X1)
    | ~ p2(X2,X2,X1) )).

cnf(clause_6,axiom,
    ( p3(X1,X3,X4)
    | X1 = X2
    | ~ p3(X1,f6(X2,X3,X4),X4) )).
%------------------------------------------------------------------------------
