%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C,D) = f3(B,C,D) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A,D) = f3(C,B,D) )).

cnf(f3_substitution_3,axiom,
    ( A != B
    | f3(C,D,A) = f3(C,D,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C,D) = f8(B,C,D) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A,D) = f8(C,B,D) )).

cnf(f8_substitution_3,axiom,
    ( A != B
    | f8(C,D,A) = f8(C,D,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p7_substitution_1,axiom,
    ( A != B
    | ~ p7(A,C,D)
    | p7(B,C,D) )).

cnf(p7_substitution_2,axiom,
    ( A != B
    | ~ p7(C,A,D)
    | p7(C,B,D) )).

cnf(p7_substitution_3,axiom,
    ( A != B
    | ~ p7(C,D,A)
    | p7(C,D,B) )).

cnf(clause_5,axiom,
    ( ~ p7(f8(X1,X2,X3),X2,X3)
    | p1(X1,X2,f5(X3)) )).

cnf(clause_6,axiom,
    ( ~ p1(X2,X1,f5(X3))
    | ~ p1(X1,X2,f5(X3))
    | X2 = X1 )).

cnf(clause_3,axiom,(
    p7(X1,f3(X1,X2,X3),X3) )).

cnf(clause_1,negated_conjecture,(
    ~ p1(c2,f3(X1,c4,f5(c6)),f5(f5(c6))) )).

cnf(clause_4,axiom,
    ( p1(X1,X2,f5(X3))
    | p7(f8(X1,X2,X3),X1,X3) )).

cnf(clause_2,negated_conjecture,
    ( ~ p7(X1,c2,f5(c6))
    | p1(X1,X2,f5(c6))
    | ~ p7(X2,c2,f5(c6)) )).
%------------------------------------------------------------------------------
