%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C,D) = f3(B,C,D) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A,D) = f3(C,B,D) )).

cnf(f3_substitution_3,axiom,
    ( A != B
    | f3(C,D,A) = f3(C,D,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C) = f7(B,C) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A) = f7(C,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C,D) = f9(B,C,D) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A,D) = f9(C,B,D) )).

cnf(f9_substitution_3,axiom,
    ( A != B
    | f9(C,D,A) = f9(C,D,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p8_substitution_1,axiom,
    ( A != B
    | ~ p8(A,C,D)
    | p8(B,C,D) )).

cnf(p8_substitution_2,axiom,
    ( A != B
    | ~ p8(C,A,D)
    | p8(C,B,D) )).

cnf(p8_substitution_3,axiom,
    ( A != B
    | ~ p8(C,D,A)
    | p8(C,D,B) )).

cnf(clause_6,axiom,
    ( p8(X1,X3,X4)
    | X1 = X2
    | ~ p8(X1,f3(X2,X3,X4),X4) )).

cnf(clause_5,axiom,(
    p8(X1,f3(X1,X2,X3),X3) )).

cnf(clause_8,axiom,
    ( p1(X1,X2,f5(X3))
    | ~ p8(f9(X1,X2,X3),X2,X3) )).

cnf(clause_1,negated_conjecture,(
    ~ p1(c2,f3(X1,c4,f5(c6)),f5(f5(c6))) )).

cnf(clause_2,negated_conjecture,
    ( p1(f7(c2,c6),X1,f5(c6))
    | ~ p8(X1,c2,f5(c6)) )).

cnf(clause_3,axiom,
    ( p8(X1,f7(X4,X3),X3)
    | ~ p8(X2,X4,f5(X3))
    | ~ p8(X1,X2,X3) )).

cnf(clause_9,axiom,
    ( X2 = X1
    | ~ p1(X2,X1,f5(X3))
    | ~ p1(X1,X2,f5(X3)) )).

cnf(clause_4,axiom,
    ( p8(X1,f3(X4,X2,X3),X3)
    | ~ p8(X1,X2,X3) )).

cnf(clause_7,axiom,
    ( p1(X1,X2,f5(X3))
    | p8(f9(X1,X2,X3),X1,X3) )).
%------------------------------------------------------------------------------
