%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C,D) = f4(B,C,D) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A,D) = f4(C,B,D) )).

cnf(f4_substitution_3,axiom,
    ( A != B
    | f4(C,D,A) = f4(C,D,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C,D) = f5(B,C,D) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A,D) = f5(C,B,D) )).

cnf(f5_substitution_3,axiom,
    ( A != B
    | f5(C,D,A) = f5(C,D,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C,D) = f7(B,C,D) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A,D) = f7(C,B,D) )).

cnf(f7_substitution_3,axiom,
    ( A != B
    | f7(C,D,A) = f7(C,D,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C,D,E) = f8(B,C,D,E) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A,D,E) = f8(C,B,D,E) )).

cnf(f8_substitution_3,axiom,
    ( A != B
    | f8(C,D,A,E) = f8(C,D,B,E) )).

cnf(f8_substitution_4,axiom,
    ( A != B
    | f8(C,D,E,A) = f8(C,D,E,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C) = f9(B,C) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A) = f9(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C,D)
    | p3(B,C,D) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A,D)
    | p3(C,B,D) )).

cnf(p3_substitution_3,axiom,
    ( A != B
    | ~ p3(C,D,A)
    | p3(C,D,B) )).

cnf(clause_5,axiom,(
    p1(X1,f5(X2,X1,X3),f2(f2(X3))) )).

cnf(clause_17,negated_conjecture,(
    ~ p1(f5(c11,c13,c12),f9(c10,f2(c12)),f2(f2(c12))) )).

cnf(clause_11,axiom,
    ( p1(X2,f9(X3,X4),f2(X4))
    | ~ p1(f8(X1,X2,X3,X4),X1,f2(X4))
    | p1(f9(X3,X4),X1,f2(X4)) )).

cnf(clause_16,negated_conjecture,(
    c13 != f9(c10,f2(c12)) )).

cnf(clause_2,axiom,
    ( ~ p1(X2,X4,f2(X3))
    | ~ p3(X1,X2,X3)
    | p3(X1,X4,X3) )).

cnf(clause_9,axiom,
    ( ~ p3(X4,f6(X2,X3),f2(f2(X3)))
    | p1(X4,X1,f2(f2(X3)))
    | ~ p1(f5(X2,f7(X2,X1,X3),X3),X1,f2(f2(X3)))
    | ~ p3(X1,f6(X2,X3),f2(f2(X3)))
    | p1(f5(X2,X1,X3),X4,f2(f2(X3))) )).

cnf(clause_6,axiom,
    ( p3(f7(X2,X1,X3),f6(X2,X3),f2(f2(X3)))
    | p1(f5(X2,X1,X3),X4,f2(f2(X3)))
    | ~ p3(X1,f6(X2,X3),f2(f2(X3)))
    | ~ p3(X4,f6(X2,X3),f2(f2(X3)))
    | p1(X4,X1,f2(f2(X3))) )).

cnf(clause_1,axiom,
    ( ~ p1(X2,X1,f2(X3))
    | X2 = X1
    | ~ p1(X1,X2,f2(X3)) )).

cnf(clause_3,axiom,
    ( p1(X1,X2,f2(X3))
    | p3(f4(X1,X2,X3),X1,X3) )).

cnf(clause_12,axiom,
    ( p1(X1,f9(X3,X4),f2(X4))
    | p1(f9(X3,X4),X2,f2(X4))
    | ~ p1(X1,f8(X2,X1,X3,X4),f2(X4)) )).

cnf(clause_14,negated_conjecture,(
    p3(c13,f6(c11,c12),f2(f2(c12))) )).

cnf(clause_15,negated_conjecture,(
    p1(c13,f9(c10,f2(c12)),f2(f2(c12))) )).

cnf(clause_8,axiom,
    ( p1(f5(X2,X1,X3),X4,f2(f2(X3)))
    | f7(X2,X1,X3) != X1
    | ~ p3(X1,f6(X2,X3),f2(f2(X3)))
    | p1(X4,X1,f2(f2(X3)))
    | ~ p3(X4,f6(X2,X3),f2(f2(X3))) )).

cnf(clause_13,negated_conjecture,(
    p1(c10,f6(c11,c12),f2(f2(f2(c12)))) )).

cnf(clause_18,negated_conjecture,
    ( ~ p1(X1,X2,f2(f2(c12)))
    | ~ p3(X1,f6(c11,c12),f2(f2(c12)))
    | ~ p3(X2,c10,f2(f2(c12)))
    | X1 = X2
    | p1(f5(c11,X1,c12),X2,f2(f2(c12))) )).

cnf(clause_7,axiom,
    ( p1(f5(X2,X1,X3),X4,f2(f2(X3)))
    | p1(X4,X1,f2(f2(X3)))
    | ~ p3(X1,f6(X2,X3),f2(f2(X3)))
    | p1(f7(X2,X1,X3),X1,f2(f2(X3)))
    | ~ p3(X4,f6(X2,X3),f2(f2(X3))) )).

cnf(clause_10,axiom,
    ( p1(f9(X3,X4),X1,f2(X4))
    | p3(f8(X1,X2,X3,X4),X3,f2(X4))
    | p1(X2,f9(X3,X4),f2(X4)) )).

cnf(clause_4,axiom,
    ( p1(X1,X2,f2(X3))
    | ~ p3(f4(X1,X2,X3),X2,X3) )).
%------------------------------------------------------------------------------
