%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A) = f10(B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A,C,D) = f11(B,C,D) )).

cnf(f11_substitution_2,axiom,
    ( A != B
    | f11(C,A,D) = f11(C,B,D) )).

cnf(f11_substitution_3,axiom,
    ( A != B
    | f11(C,D,A) = f11(C,D,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C,D) = f7(B,C,D) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A,D) = f7(C,B,D) )).

cnf(f7_substitution_3,axiom,
    ( A != B
    | f7(C,D,A) = f7(C,D,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C,D) = f9(B,C,D) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A,D) = f9(C,B,D) )).

cnf(f9_substitution_3,axiom,
    ( A != B
    | f9(C,D,A) = f9(C,D,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A,C,D)
    | p5(B,C,D) )).

cnf(p5_substitution_2,axiom,
    ( A != B
    | ~ p5(C,A,D)
    | p5(C,B,D) )).

cnf(p5_substitution_3,axiom,
    ( A != B
    | ~ p5(C,D,A)
    | p5(C,D,B) )).

cnf(clause_7,axiom,
    ( p1(X1,X3,X4)
    | X1 = X2
    | ~ p1(X1,f7(X2,X3,X4),X4) )).

cnf(clause_6,axiom,
    ( p1(X1,f9(X2,X4,X3),X3)
    | ~ p1(X1,X2,X3) )).

cnf(clause_9,axiom,
    ( ~ p1(f11(X1,X2,X3),X2,X3)
    | p5(X1,X2,f10(X3)) )).

cnf(clause_3,axiom,(
    p5(f6(f9(X1,X2,c4)),f9(f6(X1),f6(X2),c4),f10(c4)) )).

cnf(clause_2,negated_conjecture,(
    ~ p5(f6(f7(c2,c8,c4)),f9(f6(c3),f6(c8),c4),f10(c4)) )).

cnf(clause_8,axiom,
    ( p5(X1,X2,f10(X3))
    | p1(f11(X1,X2,X3),X1,X3) )).

cnf(clause_5,axiom,
    ( p1(X1,f9(X4,X2,X3),X3)
    | ~ p1(X1,X2,X3) )).

cnf(clause_4,axiom,
    ( p5(f6(X1),f6(X2),f10(c4))
    | ~ p5(X1,X2,f10(c4)) )).

cnf(clause_10,axiom,
    ( ~ p5(X4,X1,f10(X3))
    | p5(X4,X2,f10(X3))
    | ~ p5(X1,X2,f10(X3)) )).

cnf(clause_1,negated_conjecture,(
    p1(c2,c3,c4) )).
%------------------------------------------------------------------------------
