%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A) = f10(B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A) = f12(B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C,D) = f13(B,C,D) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A,D) = f13(C,B,D) )).

cnf(f13_substitution_3,axiom,
    ( A != B
    | f13(C,D,A) = f13(C,D,B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A,C,D) = f14(B,C,D) )).

cnf(f14_substitution_2,axiom,
    ( A != B
    | f14(C,A,D) = f14(C,B,D) )).

cnf(f14_substitution_3,axiom,
    ( A != B
    | f14(C,D,A) = f14(C,D,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A) = f8(B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A) = f9(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p11_substitution_1,axiom,
    ( A != B
    | ~ p11(A,C,D)
    | p11(B,C,D) )).

cnf(p11_substitution_2,axiom,
    ( A != B
    | ~ p11(C,A,D)
    | p11(C,B,D) )).

cnf(p11_substitution_3,axiom,
    ( A != B
    | ~ p11(C,D,A)
    | p11(C,D,B) )).

cnf(clause_8,axiom,(
    f10(f9(X1)) = f10(X1) )).

cnf(clause_4,axiom,(
    p11(f9(X1),f10(X1),f12(c7)) )).

cnf(clause_1,axiom,
    ( p1(f5(f6(X2,X1)),X2,c7)
    | ~ p1(X1,f2(f3(X2)),c4)
    | p1(X1,f2(X2),c4) )).

cnf(clause_16,negated_conjecture,(
    p1(c15,f2(f10(f14(c16,c17,c7))),c4) )).

cnf(clause_3,axiom,
    ( ~ p1(X1,f9(X2),c7)
    | p1(X1,f10(X2),c7) )).

cnf(clause_14,axiom,
    ( p1(X1,f13(X2,X4,X3),X3)
    | ~ p1(X1,X2,X3) )).

cnf(clause_11,axiom,(
    f10(f13(X1,X2,c7)) = f13(f10(X1),f10(X2),c7) )).

cnf(clause_10,axiom,(
    f10(f3(X1)) = f13(f10(X1),f3(X1),c7) )).

cnf(clause_18,negated_conjecture,(
    ~ p1(c15,f2(f10(f13(c17,c18,c7))),c4) )).

cnf(clause_7,axiom,(
    f2(f13(X1,X2,c7)) = f13(f2(X1),f2(X2),c4) )).

cnf(clause_19,negated_conjecture,(
    ~ p1(f5(f8(c15)),f10(c18),c7) )).

cnf(clause_5,axiom,(
    f8(f8(X1)) = X1 )).

cnf(clause_17,negated_conjecture,(
    p1(c16,f3(f9(c18)),c7) )).

cnf(clause_13,axiom,
    ( p1(X1,X3,X4)
    | ~ p1(X1,f13(X2,X3,X4),X4)
    | p1(X1,X2,X4) )).

cnf(clause_15,axiom,
    ( ~ p1(X1,X2,X3)
    | p1(X1,f13(X4,X2,X3),X3) )).

cnf(clause_12,axiom,
    ( ~ p11(X2,X4,f12(X3))
    | ~ p1(X1,X2,X3)
    | p1(X1,X4,X3) )).

cnf(clause_9,axiom,
    ( ~ p1(X1,X2,c7)
    | p11(f10(f14(X1,X3,c7)),f13(f10(X2),f10(X3),c7),f12(c7)) )).

cnf(clause_6,axiom,
    ( ~ p11(X1,X2,f12(c7))
    | p11(f2(X1),f2(X2),f12(c4)) )).

cnf(clause_2,axiom,
    ( p1(X1,f2(X2),c4)
    | X1 = f8(f6(X2,X1))
    | ~ p1(X1,f2(f3(X2)),c4) )).
%------------------------------------------------------------------------------
