%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C,D) = f10(B,C,D) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A,D) = f10(C,B,D) )).

cnf(f10_substitution_3,axiom,
    ( A != B
    | f10(C,D,A) = f10(C,D,B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A) = f13(B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C,D) = f8(B,C,D) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A,D) = f8(C,B,D) )).

cnf(f8_substitution_3,axiom,
    ( A != B
    | f8(C,D,A) = f8(C,D,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A,C,D)
    | p9(B,C,D) )).

cnf(p9_substitution_2,axiom,
    ( A != B
    | ~ p9(C,A,D)
    | p9(C,B,D) )).

cnf(p9_substitution_3,axiom,
    ( A != B
    | ~ p9(C,D,A)
    | p9(C,D,B) )).

cnf(clause_4,axiom,
    ( f10(X1,X2,c11) != f10(X3,X2,c11)
    | X1 = X3 )).

cnf(clause_3,axiom,(
    p9(X1,f10(X2,X1,c11),c11) )).

cnf(clause_1,negated_conjecture,
    ( p1(f2(X1),f3(c6),c5)
    | p1(f2(X2),f3(c4),c5)
    | X1 = X2 )).

cnf(clause_5,axiom,(
    f10(c12,X1,c11) = X1 )).

cnf(clause_6,axiom,
    ( ~ p9(f13(X2),X1,c11)
    | ~ p1(f2(X1),f3(X2),c5) )).

cnf(clause_2,axiom,(
    c7 != f8(X1,X2,X3) )).
%------------------------------------------------------------------------------
