%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A) = f10(B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A) = f12(B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C) = f13(B,C) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A) = f13(C,B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A,C,D) = f14(B,C,D) )).

cnf(f14_substitution_2,axiom,
    ( A != B
    | f14(C,A,D) = f14(C,B,D) )).

cnf(f14_substitution_3,axiom,
    ( A != B
    | f14(C,D,A) = f14(C,D,B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C) = f15(B,C) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A) = f15(C,B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A) = f16(B) )).

cnf(f17_substitution_1,axiom,
    ( A != B
    | f17(A) = f17(B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C,D) = f2(B,C,D) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A,D) = f2(C,B,D) )).

cnf(f2_substitution_3,axiom,
    ( A != B
    | f2(C,D,A) = f2(C,D,B) )).

cnf(f27_substitution_1,axiom,
    ( A != B
    | f27(A) = f27(B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C) = f9(B,C) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A) = f9(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(clause_14,negated_conjecture,(
    p1(f13(c23,f9(f27(c30),f9(f17(c31),f9(f17(c22),f9(f15(f16(c31),f9(f27(c30),f9(f17(c31),f17(c22)))),f15(f16(c22),f9(f27(c30),f9(f27(c28),f9(f17(c31),f17(c22)))))))))),f3(c21,c4),c4) )).

cnf(clause_17,negated_conjecture,
    ( c20 = c31
    | c20 = c22 )).

cnf(clause_10,negated_conjecture,(
    p1(c21,c11,f12(c4)) )).

cnf(clause_9,negated_conjecture,(
    ~ p1(c20,c18,c19) )).

cnf(clause_13,negated_conjecture,
    ( c29 = f27(c28)
    | p1(f2(c31,c23,f9(c24,f9(f17(c25),f9(f17(c31),f9(c26,f15(f16(c31),f9(c24,f9(f27(c30),f9(f17(c25),f17(c31)))))))))),f3(c21,c4),c4) )).

cnf(clause_6,axiom,
    ( ~ p1(f15(f16(X2),f9(X3,f9(X4,f9(f17(X5),f17(X2))))),f10(f6(c7,X1)),c8)
    | ~ p1(f15(f16(X2),f9(X4,f9(f17(X2),f17(X6)))),f10(f6(c7,X1)),c8)
    | ~ p1(X1,c11,f12(c4))
    | p1(X2,c18,c19) )).

cnf(clause_16,negated_conjecture,
    ( c24 != f27(c30)
    | c25 != c31
    | c29 = f27(c30) )).

cnf(clause_2,axiom,
    ( p1(X2,f5(X3),c8)
    | ~ p1(f9(X1,X2),f5(X3),c8) )).

cnf(clause_11,negated_conjecture,
    ( c29 = f27(c30)
    | p1(f2(c22,c23,f9(c24,f9(f17(c25),f9(f17(c22),f9(c26,f15(f16(c22),f9(c24,f9(f27(c28),f9(f17(c25),f17(c22)))))))))),f3(c21,c4),c4) )).

cnf(clause_15,negated_conjecture,
    ( c25 != c31
    | c20 = c31
    | c24 != f27(c30) )).

cnf(clause_7,axiom,
    ( ~ p1(f15(f16(X2),f9(X6,f9(X4,f9(f17(X7),f17(X2))))),f10(f6(c7,X1)),c8)
    | p1(X2,c18,c19)
    | ~ p1(X1,c11,f12(c4))
    | X3 = X6
    | ~ p1(f15(f16(X2),f9(X3,f9(X4,f9(f17(X5),f17(X2))))),f10(f6(c7,X1)),c8) )).

cnf(clause_8,axiom,
    ( ~ p1(f15(f16(X2),f9(X6,f9(X4,f9(f17(X7),f17(X2))))),f10(f6(c7,X1)),c8)
    | ~ p1(f15(f16(X2),f9(X3,f9(X4,f9(f17(X5),f17(X2))))),f10(f6(c7,X1)),c8)
    | ~ p1(X1,c11,f12(c4))
    | p1(X2,c18,c19)
    | X5 = X7 )).

cnf(clause_3,axiom,
    ( p1(X1,f5(X3),c8)
    | ~ p1(f9(X1,X2),f5(X3),c8) )).

cnf(clause_5,axiom,
    ( ~ p1(X1,c11,f12(c4))
    | ~ p1(f13(X2,X3),f3(X1,c4),c4)
    | p1(f2(f14(X2,X3,X1),X2,X3),f3(X1,c4),c4) )).

cnf(clause_1,axiom,
    ( p1(X3,f5(f6(c7,X4)),c8)
    | ~ p1(f2(X1,X2,X3),f3(X4,c4),c4) )).

cnf(clause_18,negated_conjecture,
    ( p1(f2(c22,c23,f9(c24,f9(f17(c25),f9(f17(c22),f9(c26,f15(f16(c22),f9(c24,f9(f27(c28),f9(f17(c25),f17(c22)))))))))),f3(c21,c4),c4)
    | c20 = c31 )).

cnf(clause_4,axiom,
    ( ~ p1(X1,f5(X2),c8)
    | p1(X1,f10(X2),c8) )).

cnf(clause_12,negated_conjecture,
    ( p1(f2(c31,c23,f9(c24,f9(f17(c25),f9(f17(c31),f9(c26,f15(f16(c31),f9(c24,f9(f27(c30),f9(f17(c25),f17(c31)))))))))),f3(c21,c4),c4)
    | c20 = c22 )).
%------------------------------------------------------------------------------
