%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A) = f11(B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A) = f12(B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C) = f13(B,C) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A) = f13(C,B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C) = f15(B,C) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A) = f15(C,B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A,C) = f16(B,C) )).

cnf(f16_substitution_2,axiom,
    ( A != B
    | f16(C,A) = f16(C,B) )).

cnf(f17_substitution_1,axiom,
    ( A != B
    | f17(A,C,D) = f17(B,C,D) )).

cnf(f17_substitution_2,axiom,
    ( A != B
    | f17(C,A,D) = f17(C,B,D) )).

cnf(f17_substitution_3,axiom,
    ( A != B
    | f17(C,D,A) = f17(C,D,B) )).

cnf(f19_substitution_1,axiom,
    ( A != B
    | f19(A,C) = f19(B,C) )).

cnf(f19_substitution_2,axiom,
    ( A != B
    | f19(C,A) = f19(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(f20_substitution_1,axiom,
    ( A != B
    | f20(A) = f20(B) )).

cnf(f21_substitution_1,axiom,
    ( A != B
    | f21(A) = f21(B) )).

cnf(f22_substitution_1,axiom,
    ( A != B
    | f22(A,C) = f22(B,C) )).

cnf(f22_substitution_2,axiom,
    ( A != B
    | f22(C,A) = f22(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A) = f9(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(clause_13,axiom,
    ( ~ p1(X1,c8,f9(c10))
    | p1(X3,c6,c7)
    | p1(X2,c6,c7)
    | p1(f22(c14,f2(X5,f2(X6,f11(X4)))),f16(X1,c10),c10)
    | ~ p1(f11(X4),f5(f13(c14,X1)),c4)
    | ~ p1(f17(c18,X2,f2(f19(f12(X2),f2(f20(X3),f2(f11(X4),f2(X5,X6)))),f19(f12(X3),f2(f20(X2),f11(X4))))),f16(X1,c10),c10) )).

cnf(clause_11,axiom,
    ( ~ p1(X1,c8,f9(c10))
    | ~ p1(f17(X8,X9,f2(X10,f19(f12(X11),f2(f20(X12),f2(f21(X13),X7))))),f16(X1,c10),c10)
    | p1(X7,f5(f13(c14,X1)),c4)
    | X6 = X13
    | ~ p1(f15(X2,f2(X3,f19(f12(X4),f2(f20(X5),f2(f21(X6),X7))))),f16(X1,c10),c10) )).

cnf(clause_9,axiom,
    ( ~ p1(f11(f12(X1)),f5(X3),c4)
    | p1(X2,f5(X3),c4)
    | ~ p1(f19(f12(X1),X2),f5(X3),c4) )).

cnf(clause_19,negated_conjecture,(
    ~ p1(f21(c29),f5(f13(c14,c24)),c4) )).

cnf(clause_2,axiom,
    ( ~ p1(X1,X2,c4)
    | p1(X1,f3(X2),c4) )).

cnf(clause_12,axiom,
    ( ~ p1(f15(X2,f2(X3,f19(f12(X4),f2(f20(X5),f2(f21(X6),X7))))),f16(X1,c10),c10)
    | p1(X7,f5(f13(c14,X1)),c4)
    | ~ p1(X1,c8,f9(c10))
    | X4 = X11
    | ~ p1(f17(X8,X9,f2(X10,f19(f12(X11),f2(f20(X12),f2(f21(X13),X7))))),f16(X1,c10),c10) )).

cnf(clause_15,negated_conjecture,(
    p1(c24,c8,f9(c10)) )).

cnf(clause_1,axiom,
    ( p1(X1,f3(X3),c4)
    | ~ p1(f2(X1,X2),f3(X3),c4) )).

cnf(clause_8,axiom,
    ( p1(f15(c18,f2(f20(X3),f19(f12(X3),f2(f20(X2),f2(X5,X6))))),f16(X1,c10),c10)
    | ~ p1(X1,c8,f9(c10))
    | ~ p1(f17(c18,X2,f2(f19(f12(X2),f2(f20(X3),f2(X4,f2(X5,X6)))),X7)),f16(X1,c10),c10) )).

cnf(clause_20,negated_conjecture,(
    p1(f11(c27),f5(f13(c14,c24)),c4) )).

cnf(clause_10,axiom,
    ( p1(f17(c18,X2,f2(f19(f12(X2),f2(f20(X3),f2(f11(X4),f2(X5,X6)))),f19(f12(X3),f2(f20(X2),f11(X4))))),f16(X1,c10),c10)
    | ~ p1(X1,c8,f9(c10))
    | ~ p1(f19(f12(X2),f2(f20(X3),f2(f11(X4),f2(X5,X6)))),f3(f13(c14,X1)),c4)
    | p1(X2,c6,c7) )).

cnf(clause_16,negated_conjecture,(
    p1(f15(c25,f2(f19(f12(c25),f2(f20(c26),f2(f11(c27),f2(f21(c28),f21(c29))))),c30)),f16(c24,c10),c10) )).

cnf(clause_17,negated_conjecture,(
    ~ p1(f22(c14,f2(f21(c31),f2(f21(c29),X1))),f16(c24,c10),c10) )).

cnf(clause_18,negated_conjecture,(
    p1(f17(c23,c18,f2(f20(c23),f19(f12(c23),f2(f20(c32),f2(f21(c31),f21(c29)))))),f16(c24,c10),c10) )).

cnf(clause_7,axiom,
    ( p1(X3,f5(f13(c14,X1)),c4)
    | ~ p1(X1,c8,f9(c10))
    | ~ p1(f15(X2,X3),f16(X1,c10),c10) )).

cnf(clause_14,negated_conjecture,(
    ~ p1(c23,c6,c7) )).

cnf(clause_3,axiom,(
    f3(f5(X1)) = f3(X1) )).

cnf(clause_5,axiom,
    ( p1(X1,f5(X3),c4)
    | ~ p1(f2(X1,X2),f5(X3),c4) )).

cnf(clause_4,axiom,
    ( ~ p1(f2(X1,X2),f5(X3),c4)
    | p1(X2,f5(X3),c4) )).

cnf(clause_6,axiom,
    ( ~ p1(X2,c8,f9(c10))
    | p1(f11(f12(X1)),f5(f13(c14,X2)),c4)
    | ~ p1(X1,c6,c7) )).
%------------------------------------------------------------------------------
