%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A) = f1(B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(clause_12,hypothesis,(
    f1(f3(c4,c5)) = f2(c7) )).

cnf(clause_1,axiom,(
    f1(f2(X1)) = f2(X1) )).

cnf(clause_5,axiom,
    ( f1(X1) != f2(X2)
    | f2(f3(X1,X2)) = f2(X1) )).

cnf(clause_6,axiom,
    ( f1(X1) != f2(X2)
    | f1(f3(X1,X2)) = f1(X2) )).

cnf(clause_4,axiom,(
    f3(X1,f1(X1)) = X1 )).

cnf(clause_7,axiom,
    ( f1(X1) != f2(X2)
    | f3(X1,f3(X2,X3)) = f3(f3(X1,X2),X3)
    | f1(X2) != f2(X3) )).

cnf(clause_14,negated_conjecture,(
    c6 != c7 )).

cnf(clause_13,hypothesis,(
    f3(f3(c4,c5),c6) = f3(f3(c4,c5),c7) )).

cnf(clause_8,hypothesis,
    ( f1(c4) != f2(X1)
    | f1(c4) != f2(X3)
    | X1 = X3
    | f3(c4,X3) != X2
    | f3(c4,X1) != X2 )).

cnf(clause_2,axiom,(
    f2(f1(X1)) = f1(X1) )).

cnf(clause_3,axiom,(
    f3(f2(X1),X1) = X1 )).

cnf(clause_11,hypothesis,(
    f1(f3(c4,c5)) = f2(c6) )).

cnf(clause_10,hypothesis,(
    f1(c4) = f2(c5) )).

cnf(clause_9,hypothesis,
    ( X1 = X3
    | f3(c5,X1) != X2
    | f1(c5) != f2(X1)
    | f1(c5) != f2(X3)
    | f3(c5,X3) != X2 )).
%------------------------------------------------------------------------------
