%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A,C) = f7(B,C) )).

cnf(f7_substitution_2,axiom,
    ( A != B
    | f7(C,A) = f7(C,B) )).

cnf(clause_5,axiom,(
    f1(f4(X1,X2),X3) = f4(f1(X1,X3),f1(X2,X3)) )).

cnf(clause_8,axiom,(
    f1(f1(c8,X1),X2) = f1(X1,X1) )).

cnf(clause_2,axiom,(
    f1(c3,f4(X1,X2)) = X1 )).

cnf(clause_4,axiom,(
    f4(f1(c3,X1),f1(c5,X1)) = X1 )).

cnf(clause_6,axiom,(
    f1(f1(f1(c6,X1),X2),X3) = f1(f1(X1,f1(c2,X3)),f1(X2,X3)) )).

cnf(clause_1,axiom,(
    f1(f1(c2,X1),X2) = X1 )).

cnf(clause_7,axiom,
    ( X1 = X2
    | f1(X1,f7(X1,X2)) != f1(X2,f7(X1,X2)) )).

cnf(clause_9,negated_conjecture,(
    X1 != f1(c9,f4(f1(c2,X1),f1(c2,c5))) )).

cnf(clause_3,axiom,(
    f1(c5,f4(X1,X2)) = X2 )).
%------------------------------------------------------------------------------
