%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(clause_2,axiom,(
    f1(f1(f1(c3,X1),X2),X3) = f1(f1(X1,f2(X3)),f1(X2,X3)) )).

cnf(clause_1,axiom,(
    f1(f2(X1),X2) = X1 )).

cnf(clause_3,axiom,
    ( f1(X1,f4(X1,X2)) != f1(X2,f4(X1,X2))
    | X1 = X2 )).

cnf(clause_4,negated_conjecture,(
    f1(c3,f1(c3,f1(c3,c5))) != f1(c3,c5) )).
%------------------------------------------------------------------------------
