%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(clause_4,axiom,(
    f1(X1,c2) = X1 )).

cnf(clause_9,hypothesis,(
    c4 != c2 )).

cnf(clause_2,axiom,(
    f1(f3(X1),X1) = c2 )).

cnf(clause_7,hypothesis,(
    c4 != c5 )).

cnf(clause_5,axiom,(
    f1(X1,f3(X1)) = c2 )).

cnf(clause_15,negated_conjecture,
    ( f1(c5,f1(c5,f1(c5,c5))) != c2
    | f1(c5,c5) != c6
    | f1(c5,f1(c5,c5)) != c4 )).

cnf(clause_8,hypothesis,(
    c4 != c6 )).

cnf(clause_3,axiom,(
    f1(f1(X1,X2),X3) = f1(X1,f1(X2,X3)) )).

cnf(clause_6,hypothesis,
    ( X1 = c5
    | X1 = c4
    | X1 = c6
    | X1 = c2 )).

cnf(clause_14,negated_conjecture,
    ( f1(c4,f1(c4,f1(c4,c4))) != c2
    | f1(c4,f1(c4,c4)) != c6
    | f1(c4,c4) != c5 )).

cnf(clause_16,negated_conjecture,
    ( f1(c6,c6) != c4
    | f1(c6,f1(c6,c6)) != c5
    | f1(c6,f1(c6,f1(c6,c6))) != c2 )).

cnf(clause_1,axiom,(
    f1(c2,X1) = X1 )).

cnf(clause_13,negated_conjecture,
    ( f1(c5,c5) != c2
    | f1(c6,c6) != c2
    | f1(c4,c4) != c2 )).

cnf(clause_11,hypothesis,(
    c5 != c2 )).

cnf(clause_10,hypothesis,(
    c5 != c6 )).

cnf(clause_12,hypothesis,(
    c6 != c2 )).
%------------------------------------------------------------------------------
