%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(clause_8,negated_conjecture,(
    f1(c6,c8) != f1(c7,c9) )).

cnf(clause_3,axiom,
    ( X2 = X3
    | f1(X1,X2) != f1(X1,X3) )).

cnf(clause_5,negated_conjecture,(
    f1(c2,c3) = f1(c4,c5) )).

cnf(clause_2,axiom,
    ( f1(X1,X2) != f1(X3,X2)
    | X1 = X3 )).

cnf(clause_4,hypothesis,(
    f1(X1,f1(X2,f1(X3,f1(X2,X1)))) = f1(X2,f1(X1,f1(X3,f1(X1,X2)))) )).

cnf(clause_1,axiom,(
    f1(f1(X1,X2),X3) = f1(X1,f1(X2,X3)) )).

cnf(clause_7,negated_conjecture,(
    f1(c2,c8) = f1(c4,c9) )).

cnf(clause_6,negated_conjecture,(
    f1(c6,c3) = f1(c7,c5) )).
%------------------------------------------------------------------------------
