%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(clause_17,negated_conjecture,
    ( f1(c4,c9) = c5
    | f3(c5) = c4 )).

cnf(clause_46,negated_conjecture,
    ( f1(c7,c8) = c5
    | f1(c13,c4) = c12 )).

cnf(clause_2,axiom,(
    f1(f3(X1),X1) = c2 )).

cnf(clause_32,negated_conjecture,
    ( f1(c8,c4) = c5
    | f3(c11) = c5 )).

cnf(clause_34,negated_conjecture,
    ( f1(c10,c4) = c9
    | f3(c11) = c5 )).

cnf(clause_7,negated_conjecture,
    ( f3(c7) = c8
    | f3(c4) = c5 )).

cnf(clause_35,negated_conjecture,
    ( f3(c11) = c5
    | f3(c10) = c4 )).

cnf(clause_55,negated_conjecture,
    ( f3(c13) = c4
    | f3(c7) = c8 )).

cnf(clause_56,negated_conjecture,
    ( f3(c13) = c4
    | f1(c8,c4) = c5 )).

cnf(clause_38,negated_conjecture,
    ( f1(c7,c8) = c5
    | f1(c4,c12) = c5 )).

cnf(clause_13,negated_conjecture,
    ( f1(c6,c5) = c4
    | f3(c5) = c4 )).

cnf(clause_43,negated_conjecture,
    ( f1(c4,c12) = c5
    | f3(c10) = c4 )).

cnf(clause_6,negated_conjecture,
    ( f3(c4) = c5
    | f1(c7,c8) = c5 )).

cnf(clause_4,negated_conjecture,
    ( f3(c6) = c4
    | f3(c4) = c5 )).

cnf(clause_25,negated_conjecture,
    ( f1(c4,c9) = c5
    | f1(c11,c5) = c4 )).

cnf(clause_57,negated_conjecture,
    ( f3(c13) = c4
    | f1(c4,c9) = c5 )).

cnf(clause_1,axiom,(
    f1(c2,X1) = X1 )).

cnf(clause_54,negated_conjecture,
    ( f3(c13) = c4
    | f1(c7,c8) = c5 )).

cnf(clause_8,negated_conjecture,
    ( f3(c4) = c5
    | f1(c8,c4) = c5 )).

cnf(clause_53,negated_conjecture,
    ( f1(c6,c5) = c4
    | f3(c13) = c4 )).

cnf(clause_50,negated_conjecture,
    ( f1(c10,c4) = c9
    | f1(c13,c4) = c12 )).

cnf(clause_21,negated_conjecture,
    ( f1(c11,c5) = c4
    | f1(c6,c5) = c4 )).

cnf(clause_47,negated_conjecture,
    ( f3(c7) = c8
    | f1(c13,c4) = c12 )).

cnf(clause_16,negated_conjecture,
    ( f3(c5) = c4
    | f1(c8,c4) = c5 )).

cnf(clause_18,negated_conjecture,
    ( f1(c10,c4) = c9
    | f3(c5) = c4 )).

cnf(clause_5,negated_conjecture,
    ( f3(c4) = c5
    | f1(c6,c5) = c4 )).

cnf(clause_37,negated_conjecture,
    ( f1(c4,c12) = c5
    | f1(c6,c5) = c4 )).

cnf(clause_19,negated_conjecture,
    ( f3(c5) = c4
    | f3(c10) = c4 )).

cnf(clause_60,negated_conjecture,
    ( f3(X8) != c4
    | f3(c4) != c5
    | f1(X4,c5) != c4
    | f1(X8,c4) != X7
    | f1(X6,c4) != c5
    | f3(c5) != c4
    | f1(c4,X2) != c5
    | f1(X5,X6) != c5
    | f1(X1,c5) != c4
    | f3(X1) != c5
    | f1(c4,X7) != c5
    | f3(X3) != c4
    | f1(X3,c4) != X2
    | f3(X4) != c4
    | f3(X5) != X6 )).

cnf(clause_42,negated_conjecture,
    ( f1(c4,c12) = c5
    | f1(c10,c4) = c9 )).

cnf(clause_51,negated_conjecture,
    ( f1(c13,c4) = c12
    | f3(c10) = c4 )).

cnf(clause_49,negated_conjecture,
    ( f1(c13,c4) = c12
    | f1(c4,c9) = c5 )).

cnf(clause_58,negated_conjecture,
    ( f3(c13) = c4
    | f1(c10,c4) = c9 )).

cnf(clause_44,negated_conjecture,
    ( f1(c13,c4) = c12
    | f3(c6) = c4 )).

cnf(clause_14,negated_conjecture,
    ( f3(c5) = c4
    | f1(c7,c8) = c5 )).

cnf(clause_23,negated_conjecture,
    ( f1(c11,c5) = c4
    | f3(c7) = c8 )).

cnf(clause_41,negated_conjecture,
    ( f1(c4,c12) = c5
    | f1(c4,c9) = c5 )).

cnf(clause_52,negated_conjecture,
    ( f3(c13) = c4
    | f3(c6) = c4 )).

cnf(clause_12,negated_conjecture,
    ( f3(c5) = c4
    | f3(c6) = c4 )).

cnf(clause_20,negated_conjecture,
    ( f1(c11,c5) = c4
    | f3(c6) = c4 )).

cnf(clause_31,negated_conjecture,
    ( f3(c11) = c5
    | f3(c7) = c8 )).

cnf(clause_48,negated_conjecture,
    ( f1(c13,c4) = c12
    | f1(c8,c4) = c5 )).

cnf(clause_45,negated_conjecture,
    ( f1(c13,c4) = c12
    | f1(c6,c5) = c4 )).

cnf(clause_59,negated_conjecture,
    ( f3(c10) = c4
    | f3(c13) = c4 )).

cnf(clause_24,negated_conjecture,
    ( f1(c11,c5) = c4
    | f1(c8,c4) = c5 )).

cnf(clause_10,negated_conjecture,
    ( f1(c10,c4) = c9
    | f3(c4) = c5 )).

cnf(clause_26,negated_conjecture,
    ( f1(c10,c4) = c9
    | f1(c11,c5) = c4 )).

cnf(clause_40,negated_conjecture,
    ( f1(c4,c12) = c5
    | f1(c8,c4) = c5 )).

cnf(clause_28,negated_conjecture,
    ( f3(c11) = c5
    | f3(c6) = c4 )).

cnf(clause_9,negated_conjecture,
    ( f3(c4) = c5
    | f1(c4,c9) = c5 )).

cnf(clause_22,negated_conjecture,
    ( f1(c11,c5) = c4
    | f1(c7,c8) = c5 )).

cnf(clause_15,negated_conjecture,
    ( f3(c7) = c8
    | f3(c5) = c4 )).

cnf(clause_11,negated_conjecture,
    ( f3(c10) = c4
    | f3(c4) = c5 )).

cnf(clause_27,negated_conjecture,
    ( f1(c11,c5) = c4
    | f3(c10) = c4 )).

cnf(clause_33,negated_conjecture,
    ( f3(c11) = c5
    | f1(c4,c9) = c5 )).

cnf(clause_29,negated_conjecture,
    ( f1(c6,c5) = c4
    | f3(c11) = c5 )).

cnf(clause_36,negated_conjecture,
    ( f1(c4,c12) = c5
    | f3(c6) = c4 )).

cnf(clause_39,negated_conjecture,
    ( f1(c4,c12) = c5
    | f3(c7) = c8 )).

cnf(clause_30,negated_conjecture,
    ( f3(c11) = c5
    | f1(c7,c8) = c5 )).

cnf(clause_3,axiom,(
    f1(f1(X1,X2),X3) = f1(X1,f1(X2,X3)) )).
%------------------------------------------------------------------------------
