%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A) = f7(B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C)
    | p3(B,C) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A)
    | p3(C,B) )).

cnf(clause_10,axiom,(
    f1(f1(X1,X2),X3) = f1(X1,f1(X2,X3)) )).

cnf(clause_3,axiom,(
    ~ p3(X1,X1) )).

cnf(clause_13,axiom,
    ( p3(c2,f5(X1))
    | ~ p3(c2,X1) )).

cnf(clause_9,axiom,
    ( ~ p3(f1(f6(X1),f6(X2)),X3)
    | p3(f6(f1(X1,X2)),X3) )).

cnf(clause_11,axiom,(
    f1(X1,X2) = f1(X2,X1) )).

cnf(clause_5,axiom,
    ( ~ p3(c2,X2)
    | p3(c2,f4(X1,X2))
    | ~ p3(c2,X1) )).

cnf(clause_2,axiom,(
    f1(c2,X1) = X1 )).

cnf(clause_12,axiom,
    ( ~ p3(c2,X1)
    | p3(c2,f5(X1)) )).

cnf(clause_1,axiom,(
    f1(X1,c2) = X1 )).

cnf(clause_7,axiom,
    ( p3(f4(X1,X2),X2)
    | ~ p3(c2,X1)
    | ~ p3(c2,X2) )).

cnf(clause_4,axiom,
    ( ~ p3(X2,X3)
    | p3(X1,X3)
    | ~ p3(X1,X2) )).

cnf(clause_14,axiom,(
    f7(f1(X1,X2)) = f1(f7(X1),f7(X2)) )).

cnf(clause_8,axiom,
    ( p3(f1(X1,X3),X2)
    | ~ p3(X3,f5(X2))
    | ~ p3(X1,f5(X2)) )).

cnf(clause_6,axiom,
    ( p3(f4(X1,X2),X1)
    | ~ p3(c2,X2)
    | ~ p3(c2,X1) )).
%------------------------------------------------------------------------------
