%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A) = f4(B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C) = f5(B,C) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A) = f5(C,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A)
    | p2(B) )).

cnf(clause_13,axiom,
    ( ~ p2(X1)
    | X1 != X2
    | ~ p2(X2)
    | p1(X1,X2) )).

cnf(clause_7,axiom,
    ( f3(X1) = f4(X2)
    | ~ p2(f5(X1,X2)) )).

cnf(clause_5,axiom,
    ( p2(X1)
    | ~ p2(f4(X1)) )).

cnf(clause_17,axiom,
    ( X1 = X2
    | X2 != f6(X1,X2)
    | X1 != f6(X1,X2) )).

cnf(clause_2,axiom,
    ( ~ p1(X1,X2)
    | X1 = X2 )).

cnf(clause_9,axiom,(
    f5(X1,f5(X2,X3)) = f5(f5(X1,X2),X3) )).

cnf(clause_1,axiom,
    ( ~ p1(X1,X2)
    | p2(X1) )).

cnf(clause_4,axiom,
    ( ~ p2(f3(X1))
    | p2(X1) )).

cnf(clause_16,axiom,
    ( X1 = X2
    | X2 = f6(X1,X2)
    | X1 = f6(X1,X2) )).

cnf(clause_12,axiom,
    ( p2(X2)
    | ~ p1(X1,X2) )).

cnf(clause_10,axiom,(
    f5(X1,f3(X1)) = X1 )).

cnf(clause_11,axiom,(
    f5(f4(X1),X1) = X1 )).

cnf(clause_6,axiom,
    ( ~ p2(f5(X1,X2))
    | p2(f3(X1)) )).

cnf(clause_3,axiom,
    ( p1(X1,X2)
    | ~ p2(X1)
    | X1 != X2 )).

cnf(clause_14,axiom,
    ( p2(f4(X1))
    | ~ p2(f5(X1,X2)) )).

cnf(clause_8,axiom,
    ( ~ p2(f3(X1))
    | f3(X1) != f4(X2)
    | p2(f5(X1,X2)) )).

cnf(clause_15,axiom,
    ( p2(f6(X1,X2))
    | X1 = X2 )).
%------------------------------------------------------------------------------
