%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A) = f11(B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A) = f12(B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A,C,D) = f13(B,C,D) )).

cnf(f13_substitution_2,axiom,
    ( A != B
    | f13(C,A,D) = f13(C,B,D) )).

cnf(f13_substitution_3,axiom,
    ( A != B
    | f13(C,D,A) = f13(C,D,B) )).

cnf(f16_substitution_1,axiom,
    ( A != B
    | f16(A,C,D) = f16(B,C,D) )).

cnf(f16_substitution_2,axiom,
    ( A != B
    | f16(C,A,D) = f16(C,B,D) )).

cnf(f16_substitution_3,axiom,
    ( A != B
    | f16(C,D,A) = f16(C,D,B) )).

cnf(f17_substitution_1,axiom,
    ( A != B
    | f17(A,C,D) = f17(B,C,D) )).

cnf(f17_substitution_2,axiom,
    ( A != B
    | f17(C,A,D) = f17(C,B,D) )).

cnf(f17_substitution_3,axiom,
    ( A != B
    | f17(C,D,A) = f17(C,D,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A) = f7(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p10_substitution_1,axiom,
    ( A != B
    | ~ p10(A,C)
    | p10(B,C) )).

cnf(p10_substitution_2,axiom,
    ( A != B
    | ~ p10(C,A)
    | p10(C,B) )).

cnf(p14_substitution_1,axiom,
    ( A != B
    | ~ p14(A,C,D)
    | p14(B,C,D) )).

cnf(p14_substitution_2,axiom,
    ( A != B
    | ~ p14(C,A,D)
    | p14(C,B,D) )).

cnf(p14_substitution_3,axiom,
    ( A != B
    | ~ p14(C,D,A)
    | p14(C,D,B) )).

cnf(p15_substitution_1,axiom,
    ( A != B
    | ~ p15(A,C)
    | p15(B,C) )).

cnf(p15_substitution_2,axiom,
    ( A != B
    | ~ p15(C,A)
    | p15(C,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A)
    | p3(B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A)
    | p4(B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A)
    | p9(B) )).

cnf(clause_18,axiom,
    ( X2 = X1
    | ~ p3(X2)
    | ~ p3(X1)
    | ~ p3(X3)
    | p10(X1,f13(X2,X1,X3))
    | p14(X2,X1,X3)
    | X1 = X3
    | X2 = X3 )).

cnf(clause_24,axiom,
    ( p10(f16(X1,X2,X3),X2)
    | ~ p3(X3)
    | ~ p9(X2)
    | ~ p10(X3,X1)
    | ~ p10(X3,X2)
    | X1 = X2
    | ~ p9(X1) )).

cnf(clause_12,axiom,(
    p4(c8) )).

cnf(clause_5,axiom,
    ( ~ p4(X1)
    | p1(f5(X1),X1) )).

cnf(clause_14,axiom,
    ( ~ p9(X1)
    | p3(f11(X1)) )).

cnf(clause_29,axiom,
    ( ~ p3(X1)
    | X2 = X3
    | X1 = X3
    | X1 = X2
    | ~ p3(X3)
    | ~ p3(X2)
    | ~ p14(X1,X2,X3)
    | p1(X3,f17(X1,X2,X3)) )).

cnf(clause_28,axiom,
    ( ~ p14(X1,X2,X3)
    | X2 = X3
    | ~ p3(X1)
    | p1(X2,f17(X1,X2,X3))
    | X1 = X3
    | ~ p3(X2)
    | X1 = X2
    | ~ p3(X3) )).

cnf(clause_10,axiom,
    ( ~ p4(X1)
    | ~ p1(f7(X1),X1) )).

cnf(clause_31,axiom,
    ( X1 = X2
    | ~ p3(X2)
    | X2 = X3
    | p14(X1,X2,X3)
    | ~ p3(X1)
    | ~ p1(X2,X4)
    | ~ p1(X1,X4)
    | ~ p1(X3,X4)
    | ~ p3(X3)
    | ~ p4(X4)
    | X1 = X3 )).

cnf(clause_7,axiom,
    ( ~ p4(X1)
    | p3(f5(X1)) )).

cnf(clause_9,axiom,
    ( ~ p4(X1)
    | f5(X1) != f6(X1) )).

cnf(clause_17,axiom,
    ( ~ p3(X1)
    | ~ p3(X2)
    | X1 = X3
    | p10(X1,f13(X1,X2,X3))
    | p14(X1,X2,X3)
    | X2 = X3
    | ~ p3(X3)
    | X1 = X2 )).

cnf(clause_23,axiom,
    ( ~ p10(X3,X1)
    | ~ p9(X2)
    | p10(f16(X1,X2,X3),X1)
    | ~ p9(X1)
    | ~ p3(X3)
    | X1 = X2
    | ~ p10(X3,X2) )).

cnf(clause_13,axiom,
    ( p10(f11(X1),X1)
    | ~ p9(X1) )).

cnf(clause_8,axiom,
    ( ~ p4(X1)
    | p3(f6(X1)) )).

cnf(clause_25,axiom,
    ( ~ p10(X3,X2)
    | ~ p10(X3,X1)
    | ~ p9(X1)
    | X1 = X2
    | ~ p3(X3)
    | p3(f16(X1,X2,X3))
    | ~ p9(X2) )).

cnf(clause_2,axiom,
    ( p1(X1,f2(X2,X1))
    | ~ p3(X1)
    | ~ p3(X2)
    | X2 = X1 )).

cnf(clause_20,axiom,
    ( ~ p3(X2)
    | ~ p3(X3)
    | X2 = X3
    | p9(f13(X1,X2,X3))
    | X1 = X2
    | ~ p3(X1)
    | p14(X1,X2,X3)
    | X1 = X3 )).

cnf(clause_21,axiom,
    ( ~ p10(X2,X5)
    | ~ p3(X2)
    | ~ p10(X2,X4)
    | X4 = X5
    | p14(X1,X2,X3)
    | ~ p3(X3)
    | X1 = X2
    | ~ p10(X1,X5)
    | ~ p10(X1,X4)
    | X1 = X3
    | ~ p10(X3,X5)
    | ~ p10(X3,X4)
    | X2 = X3
    | ~ p9(X5)
    | ~ p9(X4)
    | ~ p3(X1) )).

cnf(clause_27,axiom,
    ( ~ p3(X3)
    | p1(X1,f17(X1,X2,X3))
    | ~ p3(X1)
    | X1 = X3
    | X2 = X3
    | ~ p14(X1,X2,X3)
    | X1 = X2
    | ~ p3(X2) )).

cnf(clause_3,axiom,
    ( ~ p3(X2)
    | ~ p3(X1)
    | X1 = X2
    | p4(f2(X1,X2)) )).

cnf(clause_16,axiom,
    ( ~ p9(X1)
    | p3(f12(X1)) )).

cnf(clause_33,hypothesis,(
    p9(c18) )).

cnf(clause_34,negated_conjecture,
    ( X2 = X3
    | ~ p10(X3,c18)
    | ~ p10(X1,c18)
    | ~ p3(X1)
    | p14(X1,X2,X3)
    | ~ p3(X2)
    | ~ p3(X3)
    | X1 = X2
    | X1 = X3
    | ~ p10(X2,c18) )).

cnf(clause_4,axiom,
    ( ~ p4(X4)
    | X1 = X3
    | ~ p1(X1,X2)
    | ~ p1(X3,X2)
    | ~ p1(X3,X4)
    | X2 = X4
    | ~ p4(X2)
    | ~ p3(X3)
    | ~ p3(X1)
    | ~ p1(X1,X4) )).

cnf(clause_6,axiom,
    ( ~ p4(X1)
    | p1(f6(X1),X1) )).

cnf(clause_32,axiom,
    ( X2 = X3
    | ~ p3(X1)
    | ~ p1(X2,X4)
    | ~ p3(X2)
    | ~ p1(X1,X4)
    | X1 = X3
    | X1 = X2
    | ~ p3(X3)
    | ~ p4(X4)
    | p1(X3,X4)
    | ~ p14(X1,X2,X3) )).

cnf(clause_19,axiom,
    ( p10(X1,f13(X2,X3,X1))
    | X3 = X1
    | ~ p3(X2)
    | p14(X2,X3,X1)
    | ~ p3(X1)
    | X2 = X3
    | X2 = X1
    | ~ p3(X3) )).

cnf(clause_26,axiom,
    ( ~ p3(X3)
    | ~ p10(X3,X2)
    | X1 = X2
    | ~ p10(X3,X1)
    | ~ p9(X2)
    | ~ p9(X1)
    | X3 != f16(X1,X2,X3) )).

cnf(clause_30,axiom,
    ( X1 = X2
    | ~ p3(X1)
    | X2 = X3
    | ~ p3(X2)
    | ~ p14(X1,X2,X3)
    | ~ p3(X3)
    | p4(f17(X1,X2,X3))
    | X1 = X3 )).

cnf(clause_11,axiom,
    ( p3(f7(X1))
    | ~ p4(X1) )).

cnf(clause_15,axiom,
    ( ~ p9(X1)
    | ~ p10(f12(X1),X1) )).

cnf(clause_22,axiom,
    ( ~ p3(X3)
    | ~ p1(X1,X2)
    | p15(X2,X4)
    | ~ p3(X1)
    | ~ p10(X3,X4)
    | X1 = X3
    | ~ p9(X4)
    | ~ p1(X3,X2)
    | ~ p4(X2)
    | ~ p10(X1,X4) )).

cnf(clause_1,axiom,
    ( X1 = X2
    | ~ p3(X2)
    | p1(X1,f2(X1,X2))
    | ~ p3(X1) )).
%------------------------------------------------------------------------------
