%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A) = f10(B) )).

cnf(f11_substitution_1,axiom,
    ( A != B
    | f11(A) = f11(B) )).

cnf(f12_substitution_1,axiom,
    ( A != B
    | f12(A,C,D) = f12(B,C,D) )).

cnf(f12_substitution_2,axiom,
    ( A != B
    | f12(C,A,D) = f12(C,B,D) )).

cnf(f12_substitution_3,axiom,
    ( A != B
    | f12(C,D,A) = f12(C,D,B) )).

cnf(f14_substitution_1,axiom,
    ( A != B
    | f14(A,C,D) = f14(B,C,D) )).

cnf(f14_substitution_2,axiom,
    ( A != B
    | f14(C,A,D) = f14(C,B,D) )).

cnf(f14_substitution_3,axiom,
    ( A != B
    | f14(C,D,A) = f14(C,D,B) )).

cnf(f15_substitution_1,axiom,
    ( A != B
    | f15(A,C,D) = f15(B,C,D) )).

cnf(f15_substitution_2,axiom,
    ( A != B
    | f15(C,A,D) = f15(C,B,D) )).

cnf(f15_substitution_3,axiom,
    ( A != B
    | f15(C,D,A) = f15(C,D,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A) = f5(B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A) = f7(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p13_substitution_1,axiom,
    ( A != B
    | ~ p13(A,C,D)
    | p13(B,C,D) )).

cnf(p13_substitution_2,axiom,
    ( A != B
    | ~ p13(C,A,D)
    | p13(C,B,D) )).

cnf(p13_substitution_3,axiom,
    ( A != B
    | ~ p13(C,D,A)
    | p13(C,D,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A)
    | p3(B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A)
    | p4(B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A)
    | p9(B) )).

cnf(clause_22,axiom,
    ( ~ p1(X3,X2)
    | ~ p3(X3)
    | ~ p1(X1,X2)
    | X1 = X3
    | p1(X2,X4)
    | ~ p9(X4)
    | ~ p3(X1)
    | ~ p1(X3,X4)
    | ~ p4(X2)
    | ~ p1(X1,X4) )).

cnf(clause_9,axiom,
    ( f5(X1) != f6(X1)
    | ~ p4(X1) )).

cnf(clause_31,axiom,
    ( ~ p1(X3,X4)
    | ~ p1(X1,X4)
    | ~ p1(X2,X4)
    | ~ p3(X3)
    | X1 = X3
    | X2 = X3
    | p13(X1,X2,X3)
    | ~ p3(X1)
    | X1 = X2
    | ~ p3(X2)
    | ~ p4(X4) )).

cnf(clause_3,axiom,
    ( ~ p3(X2)
    | ~ p3(X1)
    | X1 = X2
    | p4(f2(X1,X2)) )).

cnf(clause_26,axiom,
    ( X1 = X2
    | ~ p9(X1)
    | ~ p3(X3)
    | ~ p1(X3,X1)
    | X3 != f14(X1,X2,X3)
    | ~ p1(X3,X2)
    | ~ p9(X2) )).

cnf(clause_17,axiom,
    ( X1 = X3
    | p13(X1,X2,X3)
    | ~ p3(X1)
    | ~ p3(X3)
    | X2 = X3
    | X1 = X2
    | ~ p3(X2)
    | p1(X1,f12(X1,X2,X3)) )).

cnf(clause_18,axiom,
    ( p13(X2,X1,X3)
    | X2 = X1
    | X2 = X3
    | ~ p3(X2)
    | X1 = X3
    | ~ p3(X1)
    | ~ p3(X3)
    | p1(X1,f12(X2,X1,X3)) )).

cnf(clause_28,axiom,
    ( X1 = X3
    | p1(X2,f15(X1,X2,X3))
    | X2 = X3
    | ~ p3(X1)
    | ~ p3(X2)
    | ~ p13(X1,X2,X3)
    | ~ p3(X3)
    | X1 = X2 )).

cnf(clause_8,axiom,
    ( ~ p4(X1)
    | p3(f6(X1)) )).

cnf(clause_1,axiom,
    ( ~ p3(X1)
    | X1 = X2
    | ~ p3(X2)
    | p1(X1,f2(X1,X2)) )).

cnf(clause_11,axiom,
    ( p3(f7(X1))
    | ~ p4(X1) )).

cnf(clause_7,axiom,
    ( ~ p4(X1)
    | p3(f5(X1)) )).

cnf(clause_13,axiom,
    ( p1(f10(X1),X1)
    | ~ p9(X1) )).

cnf(clause_30,axiom,
    ( ~ p3(X3)
    | ~ p13(X1,X2,X3)
    | X1 = X2
    | ~ p3(X1)
    | p4(f15(X1,X2,X3))
    | X1 = X3
    | X2 = X3
    | ~ p3(X2) )).

cnf(clause_15,axiom,
    ( ~ p1(f11(X1),X1)
    | ~ p9(X1) )).

cnf(clause_19,axiom,
    ( X2 = X3
    | p1(X1,f12(X2,X3,X1))
    | X3 = X1
    | ~ p3(X1)
    | ~ p3(X2)
    | p13(X2,X3,X1)
    | X2 = X1
    | ~ p3(X3) )).

cnf(clause_20,axiom,
    ( X1 = X3
    | ~ p3(X1)
    | ~ p3(X3)
    | X1 = X2
    | p13(X1,X2,X3)
    | ~ p3(X2)
    | p9(f12(X1,X2,X3))
    | X2 = X3 )).

cnf(clause_10,axiom,
    ( ~ p4(X1)
    | ~ p1(f7(X1),X1) )).

cnf(clause_6,axiom,
    ( ~ p4(X1)
    | p1(f6(X1),X1) )).

cnf(clause_16,axiom,
    ( p3(f11(X1))
    | ~ p9(X1) )).

cnf(clause_14,axiom,
    ( p3(f10(X1))
    | ~ p9(X1) )).

cnf(clause_2,axiom,
    ( X2 = X1
    | ~ p3(X1)
    | p1(X1,f2(X2,X1))
    | ~ p3(X2) )).

cnf(clause_25,axiom,
    ( ~ p3(X3)
    | ~ p1(X3,X2)
    | p3(f14(X1,X2,X3))
    | ~ p9(X2)
    | ~ p9(X1)
    | X1 = X2
    | ~ p1(X3,X1) )).

cnf(clause_5,axiom,
    ( p1(f5(X1),X1)
    | ~ p4(X1) )).

cnf(clause_12,axiom,(
    p4(c8) )).

cnf(clause_21,axiom,
    ( ~ p3(X3)
    | ~ p3(X2)
    | ~ p1(X3,X5)
    | ~ p9(X5)
    | ~ p1(X2,X5)
    | ~ p3(X1)
    | X1 = X2
    | ~ p1(X2,X4)
    | X2 = X3
    | X1 = X3
    | ~ p1(X3,X4)
    | ~ p1(X1,X4)
    | X4 = X5
    | ~ p1(X1,X5)
    | p13(X1,X2,X3)
    | ~ p9(X4) )).

cnf(clause_23,axiom,
    ( ~ p3(X3)
    | p1(f14(X1,X2,X3),X1)
    | ~ p1(X3,X1)
    | ~ p9(X2)
    | ~ p1(X3,X2)
    | ~ p9(X1)
    | X1 = X2 )).

cnf(clause_29,axiom,
    ( X2 = X3
    | X1 = X3
    | ~ p3(X1)
    | ~ p3(X2)
    | ~ p13(X1,X2,X3)
    | p1(X3,f15(X1,X2,X3))
    | X1 = X2
    | ~ p3(X3) )).

cnf(clause_27,axiom,
    ( X2 = X3
    | p1(X1,f15(X1,X2,X3))
    | X1 = X2
    | ~ p3(X2)
    | ~ p3(X3)
    | ~ p13(X1,X2,X3)
    | X1 = X3
    | ~ p3(X1) )).

cnf(clause_4,axiom,
    ( ~ p3(X3)
    | X2 = X4
    | ~ p1(X1,X2)
    | ~ p1(X3,X4)
    | X1 = X3
    | ~ p3(X1)
    | ~ p4(X2)
    | ~ p1(X1,X4)
    | ~ p4(X4)
    | ~ p1(X3,X2) )).

cnf(clause_24,axiom,
    ( ~ p1(X3,X2)
    | ~ p1(X3,X1)
    | X1 = X2
    | ~ p3(X3)
    | ~ p9(X2)
    | p1(f14(X1,X2,X3),X2)
    | ~ p9(X1) )).
%------------------------------------------------------------------------------
