%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(clause_1,axiom,(
    p1(X1,X2,f2(X1,X2)) )).

cnf(clause_4,axiom,
    ( p1(X3,X4,X6)
    | ~ p1(X1,X5,X6)
    | ~ p1(X2,X4,X5)
    | ~ p1(X1,X2,X3) )).

cnf(clause_2,axiom,
    ( ~ p1(X1,X2,X3)
    | X3 = X4
    | ~ p1(X1,X2,X4) )).

cnf(clause_3,axiom,
    ( ~ p1(X1,X2,X3)
    | p1(X1,X5,X6)
    | ~ p1(X3,X4,X6)
    | ~ p1(X2,X4,X5) )).
%------------------------------------------------------------------------------
