%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C,D) = f5(B,C,D) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A,D) = f5(C,B,D) )).

cnf(f5_substitution_3,axiom,
    ( A != B
    | f5(C,D,A) = f5(C,D,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C,D,E)
    | p3(B,C,D,E) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A,D,E)
    | p3(C,B,D,E) )).

cnf(p3_substitution_3,axiom,
    ( A != B
    | ~ p3(C,D,A,E)
    | p3(C,D,B,E) )).

cnf(p3_substitution_4,axiom,
    ( A != B
    | ~ p3(C,D,E,A)
    | p3(C,D,E,B) )).

cnf(clause_2,axiom,(
    p3(X1,f2(X1),X2,X2) )).

cnf(clause_9,axiom,
    ( ~ p3(X1,X2,X3,X5)
    | X5 = X4
    | ~ p3(X1,X2,X3,X4) )).

cnf(clause_10,axiom,
    ( ~ p3(X1,X2,X3,X4)
    | ~ p3(X1,X4,X5,X7)
    | ~ p3(X1,X3,X5,X6)
    | p3(X1,X2,X6,X7) )).

cnf(clause_6,axiom,(
    p3(X1,X2,f4(X1,X2),f2(X1)) )).

cnf(clause_8,axiom,
    ( p1(f5(X2,X1,X3),X2)
    | ~ p1(X3,X2)
    | ~ p1(X1,X2) )).

cnf(clause_7,axiom,
    ( p3(X2,X1,X3,f5(X2,X1,X3))
    | ~ p1(X1,X2)
    | ~ p1(X3,X2) )).

cnf(clause_3,axiom,(
    p3(X1,X2,f2(X1),X2) )).

cnf(clause_1,axiom,(
    p1(f2(X1),X1) )).

cnf(clause_5,axiom,(
    p3(X1,f4(X1,X2),X2,f2(X1)) )).

cnf(clause_11,axiom,
    ( ~ p3(X1,X3,X5,X6)
    | p3(X1,X4,X5,X7)
    | ~ p3(X1,X2,X3,X4)
    | ~ p3(X1,X2,X6,X7) )).

cnf(clause_4,axiom,
    ( p1(f4(X2,X1),X2)
    | ~ p1(X1,X2) )).
%------------------------------------------------------------------------------
