%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C) = f5(B,C) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A) = f5(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C,D)
    | p2(B,C,D) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A,D)
    | p2(C,B,D) )).

cnf(p2_substitution_3,axiom,
    ( A != B
    | ~ p2(C,D,A)
    | p2(C,D,B) )).

cnf(clause_4,axiom,
    ( ~ p2(X6,X5,X7)
    | p1(X7,X8)
    | ~ p2(X1,X4,X6)
    | ~ p2(X1,X2,X3)
    | ~ p2(X3,X4,X8)
    | ~ p2(X2,X4,X5) )).

cnf(clause_9,axiom,
    ( ~ p2(X1,X2,X4)
    | ~ p2(X1,X2,X3)
    | X3 = X4 )).

cnf(clause_2,axiom,
    ( ~ p2(X1,X2,c3)
    | p1(X1,X2) )).

cnf(clause_8,axiom,(
    p2(X1,X2,f5(X1,X2)) )).

cnf(clause_6,axiom,
    ( ~ p1(X2,X1)
    | X1 = X2
    | ~ p1(X1,X2) )).

cnf(clause_1,axiom,
    ( p2(X1,X2,c3)
    | ~ p1(X1,X2) )).

cnf(clause_7,axiom,(
    p1(X1,c4) )).

cnf(clause_3,axiom,
    ( p1(X3,X1)
    | ~ p2(X1,X2,X3) )).

cnf(clause_5,axiom,(
    p1(c3,X1) )).
%------------------------------------------------------------------------------
