%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C) = f5(B,C) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A) = f5(C,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A,C,D)
    | p4(B,C,D) )).

cnf(p4_substitution_2,axiom,
    ( A != B
    | ~ p4(C,A,D)
    | p4(C,B,D) )).

cnf(p4_substitution_3,axiom,
    ( A != B
    | ~ p4(C,D,A)
    | p4(C,D,B) )).

cnf(clause_7,axiom,
    ( p4(X2,X1,X3)
    | ~ p4(X1,X2,X3) )).

cnf(clause_12,axiom,
    ( ~ p4(X1,X2,X3)
    | ~ p4(X3,X4,X6)
    | ~ p4(X2,X4,X5)
    | p4(X1,X5,X6) )).

cnf(clause_6,axiom,(
    p4(c2,X1,X1) )).

cnf(clause_4,axiom,(
    p4(c3,X1,c3) )).

cnf(clause_18,axiom,
    ( ~ p4(X1,X2,X3)
    | ~ p4(X1,X2,X4)
    | X3 = X4 )).

cnf(clause_13,axiom,
    ( ~ p1(X1,X5,X6)
    | ~ p1(X1,X2,X3)
    | ~ p1(X2,X4,X5)
    | p1(X3,X4,X6) )).

cnf(clause_8,axiom,
    ( p1(X2,X1,X3)
    | ~ p1(X1,X2,X3) )).

cnf(clause_14,axiom,
    ( ~ p1(X2,X4,X5)
    | ~ p1(X3,X4,X6)
    | ~ p1(X1,X2,X3)
    | p1(X1,X5,X6) )).

cnf(clause_15,axiom,
    ( p1(X1,X5,X6)
    | ~ p4(X3,X2,X5)
    | ~ p4(X2,X4,X6)
    | ~ p1(X1,X3,X4)
    | ~ p4(X1,X2,X1) )).

cnf(clause_5,axiom,(
    p4(X1,X1,X1) )).

cnf(clause_11,axiom,
    ( p4(X3,X4,X6)
    | ~ p4(X2,X4,X5)
    | ~ p4(X1,X5,X6)
    | ~ p4(X1,X2,X3) )).

cnf(clause_2,axiom,(
    p1(X1,X1,X1) )).

cnf(clause_16,axiom,
    ( ~ p1(X1,X3,X4)
    | ~ p4(X3,X2,X5)
    | ~ p1(X1,X5,X6)
    | p4(X2,X4,X6)
    | ~ p4(X1,X2,X1) )).

cnf(clause_20,axiom,
    ( ~ p1(X1,X2,X3)
    | X3 = X4
    | ~ p1(X1,X2,X4) )).

cnf(clause_17,axiom,(
    p4(X1,X2,f5(X1,X2)) )).

cnf(clause_10,axiom,
    ( p4(X1,X3,X1)
    | ~ p1(X1,X2,X3) )).

cnf(clause_19,axiom,(
    p1(X1,X2,f6(X1,X2)) )).

cnf(clause_1,axiom,(
    p1(c2,X1,c2) )).

cnf(clause_3,axiom,(
    p1(c3,X1,X1) )).

cnf(clause_9,axiom,
    ( p1(X1,X3,X1)
    | ~ p4(X1,X2,X3) )).
%------------------------------------------------------------------------------
