%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C)
    | p3(B,C) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A)
    | p3(C,B) )).

cnf(clause_11,axiom,
    ( f1(X1,X2) != c4
    | f2(X1,X2) != c5
    | p3(X1,X2) )).

cnf(clause_6,axiom,(
    f2(X1,X2) = f2(X2,X1) )).

cnf(clause_8,axiom,(
    f2(f2(X1,X2),X3) = f2(X1,f2(X2,X3)) )).

cnf(clause_10,axiom,
    ( ~ p3(X1,X2)
    | f2(X1,X2) = c5 )).

cnf(clause_4,axiom,(
    f2(X1,f1(X1,X2)) = X1 )).

cnf(clause_3,axiom,(
    f1(X1,f2(X1,X2)) = X1 )).

cnf(clause_7,axiom,(
    f1(f1(X1,X2),X3) = f1(X1,f1(X2,X3)) )).

cnf(clause_2,axiom,(
    f2(X1,X1) = X1 )).

cnf(clause_1,axiom,(
    f1(X1,X1) = X1 )).

cnf(clause_5,axiom,(
    f1(X1,X2) = f1(X2,X1) )).

cnf(clause_9,axiom,
    ( f1(X1,X2) = c4
    | ~ p3(X1,X2) )).
%------------------------------------------------------------------------------
