%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f10_substitution_1,axiom,
    ( A != B
    | f10(A,C) = f10(B,C) )).

cnf(f10_substitution_2,axiom,
    ( A != B
    | f10(C,A) = f10(C,B) )).

cnf(f13_substitution_1,axiom,
    ( A != B
    | f13(A) = f13(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f8_substitution_1,axiom,
    ( A != B
    | f8(A,C) = f8(B,C) )).

cnf(f8_substitution_2,axiom,
    ( A != B
    | f8(C,A) = f8(C,B) )).

cnf(f9_substitution_1,axiom,
    ( A != B
    | f9(A,C) = f9(B,C) )).

cnf(f9_substitution_2,axiom,
    ( A != B
    | f9(C,A) = f9(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A)
    | p1(B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A,C)
    | p12(B,C) )).

cnf(p12_substitution_2,axiom,
    ( A != B
    | ~ p12(C,A)
    | p12(C,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C,D)
    | p2(B,C,D) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A,D)
    | p2(C,B,D) )).

cnf(p2_substitution_3,axiom,
    ( A != B
    | ~ p2(C,D,A)
    | p2(C,D,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C)
    | p3(B,C) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A)
    | p3(C,B) )).

cnf(p6_substitution_1,axiom,
    ( A != B
    | ~ p6(A,C,D)
    | p6(B,C,D) )).

cnf(p6_substitution_2,axiom,
    ( A != B
    | ~ p6(C,A,D)
    | p6(C,B,D) )).

cnf(p6_substitution_3,axiom,
    ( A != B
    | ~ p6(C,D,A)
    | p6(C,D,B) )).

cnf(p7_substitution_1,axiom,
    ( A != B
    | ~ p7(A,C)
    | p7(B,C) )).

cnf(p7_substitution_2,axiom,
    ( A != B
    | ~ p7(C,A)
    | p7(C,B) )).

cnf(clause_7,axiom,
    ( ~ p7(X1,X2)
    | ~ p12(X3,X4)
    | ~ p12(X4,X2)
    | ~ p7(X1,X3)
    | p7(X1,X4)
    | ~ p1(X1) )).

cnf(clause_19,negated_conjecture,(
    p3(f8(c15,c17),c18) )).

cnf(clause_2,axiom,
    ( ~ p3(f8(X3,X1),X2)
    | ~ p7(X1,X2)
    | f4(X3,X2) = c5
    | ~ p1(X1) )).

cnf(clause_1,axiom,
    ( ~ p2(X2,X1,X3)
    | ~ p1(X1)
    | f4(X4,X3) != c5
    | ~ p3(f4(X2,X3),c5)
    | ~ p2(X4,X1,X3)
    | p6(X2,X4,X3) )).

cnf(clause_9,axiom,
    ( p12(f8(c14,X1),f13(X1))
    | ~ p1(X1) )).

cnf(clause_4,axiom,
    ( ~ p3(f9(X1,X2),c5)
    | p3(f4(f10(X2,X1),X2),c5)
    | ~ p1(X1) )).

cnf(clause_16,negated_conjecture,(
    p1(c17) )).

cnf(clause_12,axiom,
    ( ~ p7(X1,f8(c14,X1))
    | ~ p1(X1)
    | p7(X1,f8(c16,X1)) )).

cnf(clause_6,axiom,
    ( ~ p3(f9(X1,X2),c5)
    | ~ p1(X1)
    | p7(X1,X2) )).

cnf(clause_17,negated_conjecture,(
    p7(c17,c18) )).

cnf(clause_18,negated_conjecture,(
    p12(c18,f8(c14,c17)) )).

cnf(clause_15,hypothesis,
    ( ~ p7(X1,f8(c16,X1))
    | ~ p1(X1)
    | f8(c16,X1) = f8(c14,X1) )).

cnf(clause_20,negated_conjecture,(
    ~ p6(c14,c15,c18) )).

cnf(clause_5,axiom,
    ( f4(X1,c11) != c5
    | ~ p3(f4(X1,X2),c5) )).

cnf(clause_10,axiom,
    ( p2(c14,X1,X2)
    | ~ p7(X1,X2)
    | ~ p1(X1) )).

cnf(clause_13,hypothesis,
    ( p3(f9(X1,X2),c5)
    | ~ p1(X1)
    | ~ p12(X2,f8(c16,X1))
    | ~ p7(X1,X2) )).

cnf(clause_3,axiom,
    ( p2(f10(X2,X1),X1,X2)
    | ~ p1(X1)
    | ~ p3(f9(X1,X2),c5) )).

cnf(clause_8,axiom,
    ( ~ p1(X1)
    | p7(X1,f13(X1)) )).

cnf(clause_11,axiom,
    ( ~ p7(X1,X2)
    | p2(c15,X1,X2)
    | ~ p1(X1) )).

cnf(clause_14,hypothesis,
    ( ~ p2(X2,X1,X3)
    | X2 = c14
    | X2 = c15
    | ~ p1(X1)
    | ~ p3(f4(X2,X3),c5) )).
%------------------------------------------------------------------------------
