%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f38_substitution_1,axiom,
    ( A != B
    | f38(A,C) = f38(B,C) )).

cnf(f38_substitution_2,axiom,
    ( A != B
    | f38(C,A) = f38(C,B) )).

cnf(f39_substitution_1,axiom,
    ( A != B
    | f39(A,C) = f39(B,C) )).

cnf(f39_substitution_2,axiom,
    ( A != B
    | f39(C,A) = f39(C,B) )).

cnf(f40_substitution_1,axiom,
    ( A != B
    | f40(A,C) = f40(B,C) )).

cnf(f40_substitution_2,axiom,
    ( A != B
    | f40(C,A) = f40(C,B) )).

cnf(f41_substitution_1,axiom,
    ( A != B
    | f41(A,C) = f41(B,C) )).

cnf(f41_substitution_2,axiom,
    ( A != B
    | f41(C,A) = f41(C,B) )).

cnf(f42_substitution_1,axiom,
    ( A != B
    | f42(A,C) = f42(B,C) )).

cnf(f42_substitution_2,axiom,
    ( A != B
    | f42(C,A) = f42(C,B) )).

cnf(f43_substitution_1,axiom,
    ( A != B
    | f43(A,C) = f43(B,C) )).

cnf(f43_substitution_2,axiom,
    ( A != B
    | f43(C,A) = f43(C,B) )).

cnf(f47_substitution_1,axiom,
    ( A != B
    | f47(A,C,D,E,F,G,H,I) = f47(B,C,D,E,F,G,H,I) )).

cnf(f47_substitution_2,axiom,
    ( A != B
    | f47(C,A,D,E,F,G,H,I) = f47(C,B,D,E,F,G,H,I) )).

cnf(f47_substitution_3,axiom,
    ( A != B
    | f47(C,D,A,E,F,G,H,I) = f47(C,D,B,E,F,G,H,I) )).

cnf(f47_substitution_4,axiom,
    ( A != B
    | f47(C,D,E,A,F,G,H,I) = f47(C,D,E,B,F,G,H,I) )).

cnf(f47_substitution_5,axiom,
    ( A != B
    | f47(C,D,E,F,A,G,H,I) = f47(C,D,E,F,B,G,H,I) )).

cnf(f47_substitution_6,axiom,
    ( A != B
    | f47(C,D,E,F,G,A,H,I) = f47(C,D,E,F,G,B,H,I) )).

cnf(f47_substitution_7,axiom,
    ( A != B
    | f47(C,D,E,F,G,H,A,I) = f47(C,D,E,F,G,H,B,I) )).

cnf(f47_substitution_8,axiom,
    ( A != B
    | f47(C,D,E,F,G,H,I,A) = f47(C,D,E,F,G,H,I,B) )).

cnf(f55_substitution_1,axiom,
    ( A != B
    | f55(A,C,D,E) = f55(B,C,D,E) )).

cnf(f55_substitution_2,axiom,
    ( A != B
    | f55(C,A,D,E) = f55(C,B,D,E) )).

cnf(f55_substitution_3,axiom,
    ( A != B
    | f55(C,D,A,E) = f55(C,D,B,E) )).

cnf(f55_substitution_4,axiom,
    ( A != B
    | f55(C,D,E,A) = f55(C,D,E,B) )).

cnf(f56_substitution_1,axiom,
    ( A != B
    | f56(A,C,D,E) = f56(B,C,D,E) )).

cnf(f56_substitution_2,axiom,
    ( A != B
    | f56(C,A,D,E) = f56(C,B,D,E) )).

cnf(f56_substitution_3,axiom,
    ( A != B
    | f56(C,D,A,E) = f56(C,D,B,E) )).

cnf(f56_substitution_4,axiom,
    ( A != B
    | f56(C,D,E,A) = f56(C,D,E,B) )).

cnf(f59_substitution_1,axiom,
    ( A != B
    | f59(A,C) = f59(B,C) )).

cnf(f59_substitution_2,axiom,
    ( A != B
    | f59(C,A) = f59(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p10_substitution_1,axiom,
    ( A != B
    | ~ p10(A,C)
    | p10(B,C) )).

cnf(p10_substitution_2,axiom,
    ( A != B
    | ~ p10(C,A)
    | p10(C,B) )).

cnf(p11_substitution_1,axiom,
    ( A != B
    | ~ p11(A,C)
    | p11(B,C) )).

cnf(p11_substitution_2,axiom,
    ( A != B
    | ~ p11(C,A)
    | p11(C,B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A,C)
    | p12(B,C) )).

cnf(p12_substitution_2,axiom,
    ( A != B
    | ~ p12(C,A)
    | p12(C,B) )).

cnf(p13_substitution_1,axiom,
    ( A != B
    | ~ p13(A,C)
    | p13(B,C) )).

cnf(p13_substitution_2,axiom,
    ( A != B
    | ~ p13(C,A)
    | p13(C,B) )).

cnf(p14_substitution_1,axiom,
    ( A != B
    | ~ p14(A,C)
    | p14(B,C) )).

cnf(p14_substitution_2,axiom,
    ( A != B
    | ~ p14(C,A)
    | p14(C,B) )).

cnf(p15_substitution_1,axiom,
    ( A != B
    | ~ p15(A,C)
    | p15(B,C) )).

cnf(p15_substitution_2,axiom,
    ( A != B
    | ~ p15(C,A)
    | p15(C,B) )).

cnf(p16_substitution_1,axiom,
    ( A != B
    | ~ p16(A,C)
    | p16(B,C) )).

cnf(p16_substitution_2,axiom,
    ( A != B
    | ~ p16(C,A)
    | p16(C,B) )).

cnf(p17_substitution_1,axiom,
    ( A != B
    | ~ p17(A,C)
    | p17(B,C) )).

cnf(p17_substitution_2,axiom,
    ( A != B
    | ~ p17(C,A)
    | p17(C,B) )).

cnf(p18_substitution_1,axiom,
    ( A != B
    | ~ p18(A,C)
    | p18(B,C) )).

cnf(p18_substitution_2,axiom,
    ( A != B
    | ~ p18(C,A)
    | p18(C,B) )).

cnf(p19_substitution_1,axiom,
    ( A != B
    | ~ p19(A,C)
    | p19(B,C) )).

cnf(p19_substitution_2,axiom,
    ( A != B
    | ~ p19(C,A)
    | p19(C,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C)
    | p2(B,C) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A)
    | p2(C,B) )).

cnf(p20_substitution_1,axiom,
    ( A != B
    | ~ p20(A,C)
    | p20(B,C) )).

cnf(p20_substitution_2,axiom,
    ( A != B
    | ~ p20(C,A)
    | p20(C,B) )).

cnf(p21_substitution_1,axiom,
    ( A != B
    | ~ p21(A,C)
    | p21(B,C) )).

cnf(p21_substitution_2,axiom,
    ( A != B
    | ~ p21(C,A)
    | p21(C,B) )).

cnf(p22_substitution_1,axiom,
    ( A != B
    | ~ p22(A,C)
    | p22(B,C) )).

cnf(p22_substitution_2,axiom,
    ( A != B
    | ~ p22(C,A)
    | p22(C,B) )).

cnf(p23_substitution_1,axiom,
    ( A != B
    | ~ p23(A,C)
    | p23(B,C) )).

cnf(p23_substitution_2,axiom,
    ( A != B
    | ~ p23(C,A)
    | p23(C,B) )).

cnf(p24_substitution_1,axiom,
    ( A != B
    | ~ p24(A,C)
    | p24(B,C) )).

cnf(p24_substitution_2,axiom,
    ( A != B
    | ~ p24(C,A)
    | p24(C,B) )).

cnf(p25_substitution_1,axiom,
    ( A != B
    | ~ p25(A,C)
    | p25(B,C) )).

cnf(p25_substitution_2,axiom,
    ( A != B
    | ~ p25(C,A)
    | p25(C,B) )).

cnf(p26_substitution_1,axiom,
    ( A != B
    | ~ p26(A,C)
    | p26(B,C) )).

cnf(p26_substitution_2,axiom,
    ( A != B
    | ~ p26(C,A)
    | p26(C,B) )).

cnf(p27_substitution_1,axiom,
    ( A != B
    | ~ p27(A,C)
    | p27(B,C) )).

cnf(p27_substitution_2,axiom,
    ( A != B
    | ~ p27(C,A)
    | p27(C,B) )).

cnf(p28_substitution_1,axiom,
    ( A != B
    | ~ p28(A,C)
    | p28(B,C) )).

cnf(p28_substitution_2,axiom,
    ( A != B
    | ~ p28(C,A)
    | p28(C,B) )).

cnf(p29_substitution_1,axiom,
    ( A != B
    | ~ p29(A,C)
    | p29(B,C) )).

cnf(p29_substitution_2,axiom,
    ( A != B
    | ~ p29(C,A)
    | p29(C,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C)
    | p3(B,C) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A)
    | p3(C,B) )).

cnf(p30_substitution_1,axiom,
    ( A != B
    | ~ p30(A,C)
    | p30(B,C) )).

cnf(p30_substitution_2,axiom,
    ( A != B
    | ~ p30(C,A)
    | p30(C,B) )).

cnf(p31_substitution_1,axiom,
    ( A != B
    | ~ p31(A,C)
    | p31(B,C) )).

cnf(p31_substitution_2,axiom,
    ( A != B
    | ~ p31(C,A)
    | p31(C,B) )).

cnf(p32_substitution_1,axiom,
    ( A != B
    | ~ p32(A,C)
    | p32(B,C) )).

cnf(p32_substitution_2,axiom,
    ( A != B
    | ~ p32(C,A)
    | p32(C,B) )).

cnf(p33_substitution_1,axiom,
    ( A != B
    | ~ p33(A,C)
    | p33(B,C) )).

cnf(p33_substitution_2,axiom,
    ( A != B
    | ~ p33(C,A)
    | p33(C,B) )).

cnf(p34_substitution_1,axiom,
    ( A != B
    | ~ p34(A,C)
    | p34(B,C) )).

cnf(p34_substitution_2,axiom,
    ( A != B
    | ~ p34(C,A)
    | p34(C,B) )).

cnf(p35_substitution_1,axiom,
    ( A != B
    | ~ p35(A,C)
    | p35(B,C) )).

cnf(p35_substitution_2,axiom,
    ( A != B
    | ~ p35(C,A)
    | p35(C,B) )).

cnf(p36_substitution_1,axiom,
    ( A != B
    | ~ p36(A,C)
    | p36(B,C) )).

cnf(p36_substitution_2,axiom,
    ( A != B
    | ~ p36(C,A)
    | p36(C,B) )).

cnf(p37_substitution_1,axiom,
    ( A != B
    | ~ p37(A,C)
    | p37(B,C) )).

cnf(p37_substitution_2,axiom,
    ( A != B
    | ~ p37(C,A)
    | p37(C,B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A,C)
    | p4(B,C) )).

cnf(p4_substitution_2,axiom,
    ( A != B
    | ~ p4(C,A)
    | p4(C,B) )).

cnf(p44_substitution_1,axiom,
    ( A != B
    | ~ p44(A,C)
    | p44(B,C) )).

cnf(p44_substitution_2,axiom,
    ( A != B
    | ~ p44(C,A)
    | p44(C,B) )).

cnf(p45_substitution_1,axiom,
    ( A != B
    | ~ p45(A,C,D)
    | p45(B,C,D) )).

cnf(p45_substitution_2,axiom,
    ( A != B
    | ~ p45(C,A,D)
    | p45(C,B,D) )).

cnf(p45_substitution_3,axiom,
    ( A != B
    | ~ p45(C,D,A)
    | p45(C,D,B) )).

cnf(p46_substitution_1,axiom,
    ( A != B
    | ~ p46(A,C,D)
    | p46(B,C,D) )).

cnf(p46_substitution_2,axiom,
    ( A != B
    | ~ p46(C,A,D)
    | p46(C,B,D) )).

cnf(p46_substitution_3,axiom,
    ( A != B
    | ~ p46(C,D,A)
    | p46(C,D,B) )).

cnf(p48_substitution_1,axiom,
    ( A != B
    | ~ p48(A)
    | p48(B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A,C)
    | p5(B,C) )).

cnf(p5_substitution_2,axiom,
    ( A != B
    | ~ p5(C,A)
    | p5(C,B) )).

cnf(p53_substitution_1,axiom,
    ( A != B
    | ~ p53(A,C,D)
    | p53(B,C,D) )).

cnf(p53_substitution_2,axiom,
    ( A != B
    | ~ p53(C,A,D)
    | p53(C,B,D) )).

cnf(p53_substitution_3,axiom,
    ( A != B
    | ~ p53(C,D,A)
    | p53(C,D,B) )).

cnf(p54_substitution_1,axiom,
    ( A != B
    | ~ p54(A,C,D,E)
    | p54(B,C,D,E) )).

cnf(p54_substitution_2,axiom,
    ( A != B
    | ~ p54(C,A,D,E)
    | p54(C,B,D,E) )).

cnf(p54_substitution_3,axiom,
    ( A != B
    | ~ p54(C,D,A,E)
    | p54(C,D,B,E) )).

cnf(p54_substitution_4,axiom,
    ( A != B
    | ~ p54(C,D,E,A)
    | p54(C,D,E,B) )).

cnf(p57_substitution_1,axiom,
    ( A != B
    | ~ p57(A,C)
    | p57(B,C) )).

cnf(p57_substitution_2,axiom,
    ( A != B
    | ~ p57(C,A)
    | p57(C,B) )).

cnf(p58_substitution_1,axiom,
    ( A != B
    | ~ p58(A,C,D)
    | p58(B,C,D) )).

cnf(p58_substitution_2,axiom,
    ( A != B
    | ~ p58(C,A,D)
    | p58(C,B,D) )).

cnf(p58_substitution_3,axiom,
    ( A != B
    | ~ p58(C,D,A)
    | p58(C,D,B) )).

cnf(p6_substitution_1,axiom,
    ( A != B
    | ~ p6(A,C)
    | p6(B,C) )).

cnf(p6_substitution_2,axiom,
    ( A != B
    | ~ p6(C,A)
    | p6(C,B) )).

cnf(p7_substitution_1,axiom,
    ( A != B
    | ~ p7(A,C)
    | p7(B,C) )).

cnf(p7_substitution_2,axiom,
    ( A != B
    | ~ p7(C,A)
    | p7(C,B) )).

cnf(p8_substitution_1,axiom,
    ( A != B
    | ~ p8(A,C)
    | p8(B,C) )).

cnf(p8_substitution_2,axiom,
    ( A != B
    | ~ p8(C,A)
    | p8(C,B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A,C)
    | p9(B,C) )).

cnf(p9_substitution_2,axiom,
    ( A != B
    | ~ p9(C,A)
    | p9(C,B) )).

cnf(clause_49,axiom,
    ( ~ p19(X1,X2)
    | p1(X1,f42(X2,X1),X2) )).

cnf(clause_17,axiom,
    ( p18(X1,X2)
    | ~ p17(X1,X2) )).

cnf(clause_72,axiom,
    ( ~ p1(X9,X1,X10)
    | X3 = X4
    | X1 = X5
    | X2 = X3
    | X3 = X11
    | X1 = X3
    | X1 = X4
    | X4 = X5
    | X5 = X11
    | ~ p1(X9,X4,X10)
    | ~ p1(X9,X2,X10)
    | X4 = X11
    | X2 = X5
    | X2 = X4
    | ~ p1(X9,X5,X10)
    | f47(X1,X2,X3,X4,X5,X6,X7,X8) != X5
    | ~ p1(X9,X3,X10)
    | ~ p1(X9,X11,X10)
    | X2 = X11
    | X1 = X11
    | X1 = X2
    | X3 = X5
    | p19(X9,X10) )).

cnf(clause_5,axiom,
    ( p6(X1,X2)
    | ~ p5(X1,X2) )).

cnf(clause_55,axiom,
    ( ~ p19(X2,X1)
    | f38(X1,X2) != f39(X1,X2) )).

cnf(clause_63,axiom,
    ( f41(X1,X2) != f43(X1,X2)
    | ~ p19(X2,X1) )).

cnf(clause_13,axiom,
    ( p14(X1,X2)
    | ~ p13(X1,X2) )).

cnf(clause_89,negated_conjecture,
    ( ~ p54(X4,X5,X3,X1)
    | ~ p1(X1,X2,X3)
    | p46(X1,f56(X1,X2,X4,X5),X5) )).

cnf(clause_82,negated_conjecture,(
    p54(c51,c50,c52,c49) )).

cnf(clause_78,negated_conjecture,(
    p21(c49,c51) )).

cnf(clause_90,negated_conjecture,
    ( p45(X1,f56(X1,X2,X6,X7),X2)
    | ~ p1(X1,X2,X3)
    | ~ p54(X4,X5,X3,X1) )).

cnf(clause_57,axiom,
    ( f39(X1,X2) != f42(X1,X2)
    | ~ p19(X2,X1) )).

cnf(clause_86,negated_conjecture,
    ( ~ p54(X4,X5,X3,X1)
    | p57(X1,f56(X1,X6,X7,X8))
    | ~ p1(X1,X2,X3) )).

cnf(clause_8,axiom,
    ( p9(X1,X2)
    | ~ p5(X1,X2) )).

cnf(clause_11,axiom,
    ( ~ p11(X1,X2)
    | p4(X1,X2) )).

cnf(clause_20,axiom,
    ( p22(X1,X2)
    | ~ p21(X1,X2) )).

cnf(clause_73,axiom,
    ( X4 = X11
    | ~ p1(X9,X11,X10)
    | ~ p1(X9,X12,X10)
    | X11 = X12
    | X1 = X12
    | X1 = X4
    | X1 = X3
    | X2 = X3
    | ~ p1(X9,X4,X10)
    | X2 = X11
    | X3 = X4
    | X2 = X4
    | X3 = X12
    | X1 = X11
    | ~ p1(X9,X1,X10)
    | f47(X1,X2,X3,X4,X5,X6,X7,X8) != X4
    | X3 = X11
    | ~ p1(X9,X2,X10)
    | X2 = X12
    | X4 = X12
    | p19(X9,X10)
    | ~ p1(X9,X3,X10)
    | X1 = X2 )).

cnf(clause_62,axiom,
    ( f40(X1,X2) != f41(X1,X2)
    | ~ p19(X2,X1) )).

cnf(clause_19,axiom,
    ( ~ p20(X1,X2)
    | p4(X1,X2) )).

cnf(clause_23,axiom,
    ( p25(X1,X2)
    | ~ p24(X1,X2) )).

cnf(clause_83,negated_conjecture,
    ( ~ p1(c49,X1,c52)
    | p15(c49,X1) )).

cnf(clause_21,axiom,
    ( p23(X1,X2)
    | ~ p22(X1,X2) )).

cnf(clause_16,axiom,
    ( ~ p16(X1,X2)
    | p17(X1,X2) )).

cnf(clause_9,axiom,
    ( ~ p5(X1,X2)
    | p10(X1,X2) )).

cnf(clause_85,negated_conjecture,
    ( ~ p1(X1,X2,X3)
    | p4(X1,f56(X1,X6,X7,X8))
    | ~ p54(X4,X5,X3,X1) )).

cnf(clause_33,axiom,
    ( ~ p32(X1,X2)
    | p33(X1,X2) )).

cnf(clause_12,axiom,
    ( ~ p12(X1,X2)
    | p13(X1,X2) )).

cnf(clause_50,axiom,
    ( p1(X1,f43(X2,X1),X2)
    | ~ p19(X1,X2) )).

cnf(clause_22,axiom,
    ( p24(X1,X2)
    | ~ p23(X1,X2) )).

cnf(clause_66,axiom,
    ( ~ p44(X1,X2)
    | ~ p46(X1,X2,X3)
    | ~ p45(X1,X2,X3) )).

cnf(clause_74,axiom,
    ( X2 = X13
    | X2 = X12
    | X3 = X11
    | ~ p1(X9,X13,X10)
    | ~ p1(X9,X1,X10)
    | ~ p1(X9,X2,X10)
    | X3 = X12
    | X1 = X3
    | f47(X1,X2,X3,X4,X5,X6,X7,X8) != X3
    | X1 = X2
    | X3 = X13
    | X1 = X13
    | X1 = X12
    | ~ p1(X9,X3,X10)
    | p19(X9,X10)
    | X11 = X13
    | X11 = X12
    | X2 = X3
    | X2 = X11
    | X12 = X13
    | ~ p1(X9,X12,X10)
    | X1 = X11
    | ~ p1(X9,X11,X10) )).

cnf(clause_92,negated_conjecture,
    ( ~ p57(X1,X2)
    | ~ p58(X1,X2,X3)
    | ~ p46(X1,X2,X4)
    | ~ p20(X1,X2)
    | ~ p45(X1,X2,f55(X3,X4,X5,X1))
    | ~ p44(X1,X2)
    | ~ p4(X1,X2) )).

cnf(clause_69,axiom,
    ( f47(X1,X2,X3,X4,X5,X6,X7,X8) != X1
    | X12 = X14
    | ~ p1(X9,X11,X10)
    | X12 = X13
    | ~ p1(X9,X12,X10)
    | X1 = X15
    | X13 = X14
    | X1 = X13
    | ~ p1(X9,X13,X10)
    | ~ p1(X9,X1,X10)
    | X11 = X14
    | ~ p1(X9,X14,X10)
    | X1 = X11
    | X14 = X15
    | X13 = X15
    | ~ p1(X9,X15,X10)
    | X11 = X13
    | X12 = X15
    | p19(X9,X10)
    | X11 = X15
    | X1 = X12
    | X1 = X14
    | X11 = X12 )).

cnf(clause_35,axiom,
    ( ~ p33(X1,X2)
    | p30(X1,X2) )).

cnf(clause_52,axiom,
    ( f38(X1,X2) != f42(X1,X2)
    | ~ p19(X2,X1) )).

cnf(clause_10,axiom,
    ( p4(X1,X2)
    | ~ p2(X1,X2) )).

cnf(clause_37,axiom,
    ( p35(X1,X2)
    | ~ p32(X1,X2) )).

cnf(clause_34,axiom,
    ( ~ p33(X1,X2)
    | p27(X1,X2) )).

cnf(clause_30,axiom,
    ( p30(X1,X2)
    | ~ p26(X1,X2) )).

cnf(clause_28,axiom,
    ( p28(X1,X2)
    | ~ p27(X1,X2) )).

cnf(clause_26,axiom,
    ( p6(X1,X2)
    | ~ p27(X1,X2) )).

cnf(clause_87,negated_conjecture,
    ( ~ p1(X1,X2,X3)
    | p44(X1,f56(X1,X6,X7,X8))
    | ~ p54(X4,X5,X3,X1) )).

cnf(clause_41,axiom,
    ( ~ p7(X1,X2)
    | ~ p18(X1,X2) )).

cnf(clause_7,axiom,
    ( p8(X1,X2)
    | ~ p5(X1,X2) )).

cnf(clause_31,axiom,
    ( ~ p26(X1,X2)
    | p10(X1,X2) )).

cnf(clause_43,axiom,
    ( ~ p28(X1,X2)
    | ~ p9(X1,X2) )).

cnf(clause_44,axiom,
    ( ~ p29(X1,X2)
    | ~ p36(X1,X2) )).

cnf(clause_39,axiom,
    ( p37(X1,X2)
    | ~ p31(X1,X2) )).

cnf(clause_58,axiom,
    ( f39(X1,X2) != f41(X1,X2)
    | ~ p19(X2,X1) )).

cnf(clause_76,negated_conjecture,(
    p37(c49,c50) )).

cnf(clause_61,axiom,
    ( f40(X1,X2) != f42(X1,X2)
    | ~ p19(X2,X1) )).

cnf(clause_53,axiom,
    ( f38(X1,X2) != f41(X1,X2)
    | ~ p19(X2,X1) )).

cnf(clause_3,axiom,
    ( ~ p3(X1,X2)
    | p4(X1,X2) )).

cnf(clause_47,axiom,
    ( p1(X1,f40(X2,X1),X2)
    | ~ p19(X1,X2) )).

cnf(clause_93,negated_conjecture,
    ( ~ p44(X1,X5)
    | ~ p48(X1)
    | ~ p16(X1,X2)
    | p1(X1,f59(X1,X2),X2)
    | ~ p45(X1,X5,X6)
    | ~ p53(X1,X3,X4)
    | ~ p37(X1,X4)
    | ~ p2(X1,X5)
    | ~ p4(X1,X5)
    | ~ p12(X1,X8)
    | ~ p21(X1,X3)
    | ~ p31(X1,X4)
    | ~ p19(X1,X2)
    | ~ p37(X1,X7)
    | ~ p11(X1,X6)
    | ~ p54(X3,X4,X2,X1)
    | ~ p46(X1,X5,X7)
    | ~ p57(X1,X5)
    | ~ p53(X1,X5,X8) )).

cnf(clause_14,axiom,
    ( p4(X1,X2)
    | ~ p14(X1,X2) )).

cnf(clause_24,axiom,
    ( ~ p25(X1,X2)
    | p26(X1,X2) )).

cnf(clause_51,axiom,
    ( ~ p19(X2,X1)
    | f38(X1,X2) != f43(X1,X2) )).

cnf(clause_6,axiom,
    ( p7(X1,X2)
    | ~ p6(X1,X2) )).

cnf(clause_88,negated_conjecture,
    ( p20(X1,f56(X1,X6,X7,X8))
    | ~ p1(X1,X2,X3)
    | ~ p54(X4,X5,X3,X1) )).

cnf(clause_25,axiom,
    ( ~ p26(X1,X2)
    | p27(X1,X2) )).

cnf(clause_46,axiom,
    ( p1(X1,f39(X2,X1),X2)
    | ~ p19(X1,X2) )).

cnf(clause_15,axiom,
    ( ~ p15(X1,X2)
    | p13(X1,X2) )).

cnf(clause_18,axiom,
    ( ~ p19(X1,X2)
    | p16(X1,X2) )).

cnf(clause_84,negated_conjecture,
    ( p54(X1,X2,X3,X4)
    | p1(X4,f55(X1,X2,X3,X4),X3) )).

cnf(clause_80,negated_conjecture,(
    p16(c49,c52) )).

cnf(clause_64,axiom,
    ( f41(X1,X2) != f42(X1,X2)
    | ~ p19(X2,X1) )).

cnf(clause_27,axiom,
    ( ~ p27(X1,X2)
    | p8(X1,X2) )).

cnf(clause_67,axiom,
    ( X2 = f41(X3,X1)
    | ~ p19(X1,X3)
    | X2 = f39(X3,X1)
    | X2 = f40(X3,X1)
    | X2 = f43(X3,X1)
    | ~ p1(X1,X2,X3)
    | X2 = f42(X3,X1)
    | X2 = f38(X3,X1) )).

cnf(clause_70,axiom,
    ( X5 = X6
    | ~ p1(X1,X6,X3)
    | X2 = X7
    | ~ p1(X1,X8,X3)
    | X2 = X8
    | X2 = X4
    | X4 = X6
    | X6 = X7
    | X7 = X8
    | X6 = X8
    | X2 = X5
    | X4 = X8
    | p19(X1,X3)
    | X4 = X5
    | X4 = X7
    | X2 = X6
    | X5 = X8
    | ~ p1(X1,X4,X3)
    | ~ p1(X1,X7,X3)
    | ~ p1(X1,X5,X3)
    | p1(X1,f47(X2,X4,X5,X6,X7,X8,X3,X1),X3)
    | X5 = X7
    | ~ p1(X1,X2,X3) )).

cnf(clause_79,negated_conjecture,(
    p19(c49,c52) )).

cnf(clause_56,axiom,
    ( ~ p19(X2,X1)
    | f39(X1,X2) != f43(X1,X2) )).

cnf(clause_81,negated_conjecture,(
    p53(c49,c51,c50) )).

cnf(clause_91,negated_conjecture,
    ( ~ p1(X1,X2,X3)
    | ~ p54(X4,X5,X3,X1)
    | p58(X1,f56(X1,X2,X4,X6),X4) )).

cnf(clause_2,axiom,
    ( ~ p2(X1,X2)
    | p3(X1,X2) )).

cnf(clause_36,axiom,
    ( p34(X1,X2)
    | ~ p33(X1,X2) )).

cnf(clause_65,axiom,
    ( f42(X1,X2) != f43(X1,X2)
    | ~ p19(X2,X1) )).

cnf(clause_68,axiom,
    ( X1 = X2
    | X2 = X11
    | ~ p1(X9,X1,X10)
    | X11 = X12
    | X11 = X14
    | ~ p1(X9,X14,X10)
    | X11 = X13
    | X1 = X12
    | X12 = X14
    | X2 = X14
    | X1 = X13
    | ~ p1(X9,X11,X10)
    | X12 = X13
    | X13 = X14
    | f47(X1,X2,X3,X4,X5,X6,X7,X8) != X2
    | X2 = X12
    | X1 = X14
    | ~ p1(X9,X12,X10)
    | ~ p1(X9,X2,X10)
    | X2 = X13
    | p19(X9,X10)
    | X1 = X11
    | ~ p1(X9,X13,X10) )).

cnf(clause_59,axiom,
    ( f39(X1,X2) != f40(X1,X2)
    | ~ p19(X2,X1) )).

cnf(clause_60,axiom,
    ( f40(X1,X2) != f43(X1,X2)
    | ~ p19(X2,X1) )).

cnf(clause_71,axiom,
    ( X5 = X6
    | ~ p1(X9,X6,X10)
    | X1 = X2
    | X2 = X4
    | X1 = X3
    | ~ p1(X9,X5,X10)
    | X3 = X5
    | X2 = X6
    | ~ p1(X9,X4,X10)
    | X1 = X6
    | f47(X1,X2,X3,X4,X5,X6,X7,X8) != X6
    | X1 = X4
    | p19(X9,X10)
    | X1 = X5
    | ~ p1(X9,X2,X10)
    | ~ p1(X9,X1,X10)
    | X3 = X6
    | X2 = X5
    | X2 = X3
    | X4 = X5
    | X3 = X4
    | ~ p1(X9,X3,X10)
    | X4 = X6 )).

cnf(clause_40,axiom,
    ( ~ p37(X1,X2)
    | ~ p10(X1,X2) )).

cnf(clause_54,axiom,
    ( ~ p19(X2,X1)
    | f38(X1,X2) != f40(X1,X2) )).

cnf(clause_94,negated_conjecture,
    ( ~ p54(X4,X5,X2,X1)
    | ~ p48(X1)
    | ~ p16(X1,X2)
    | ~ p15(X1,f59(X1,X3))
    | ~ p45(X1,X6,X7)
    | ~ p19(X1,X2)
    | ~ p21(X1,X4)
    | ~ p11(X1,X7)
    | ~ p37(X1,X5)
    | ~ p31(X1,X5)
    | ~ p53(X1,X4,X5)
    | ~ p2(X1,X6)
    | ~ p44(X1,X6)
    | ~ p12(X1,X9)
    | ~ p46(X1,X6,X8)
    | ~ p37(X1,X8)
    | ~ p4(X1,X6)
    | ~ p53(X1,X6,X9)
    | ~ p57(X1,X6) )).

cnf(clause_42,axiom,
    ( ~ p34(X1,X2)
    | ~ p29(X1,X2) )).

cnf(clause_1,axiom,(
    ~ p1(X1,X2,X2) )).

cnf(clause_75,negated_conjecture,(
    p48(c49) )).

cnf(clause_77,negated_conjecture,(
    p31(c49,c50) )).

cnf(clause_38,axiom,
    ( ~ p32(X1,X2)
    | p36(X1,X2) )).

cnf(clause_29,axiom,
    ( p29(X1,X2)
    | ~ p26(X1,X2) )).

cnf(clause_32,axiom,
    ( ~ p31(X1,X2)
    | p32(X1,X2) )).

cnf(clause_4,axiom,
    ( p5(X1,X2)
    | ~ p4(X1,X2) )).

cnf(clause_45,axiom,
    ( p1(X1,f38(X2,X1),X2)
    | ~ p19(X1,X2) )).

cnf(clause_48,axiom,
    ( ~ p19(X1,X2)
    | p1(X1,f41(X2,X1),X2) )).
%------------------------------------------------------------------------------
