%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f56_substitution_1,axiom,
    ( A != B
    | f56(A,C) = f56(B,C) )).

cnf(f56_substitution_2,axiom,
    ( A != B
    | f56(C,A) = f56(C,B) )).

cnf(f57_substitution_1,axiom,
    ( A != B
    | f57(A,C) = f57(B,C) )).

cnf(f57_substitution_2,axiom,
    ( A != B
    | f57(C,A) = f57(C,B) )).

cnf(f61_substitution_1,axiom,
    ( A != B
    | f61(A,C,D,E) = f61(B,C,D,E) )).

cnf(f61_substitution_2,axiom,
    ( A != B
    | f61(C,A,D,E) = f61(C,B,D,E) )).

cnf(f61_substitution_3,axiom,
    ( A != B
    | f61(C,D,A,E) = f61(C,D,B,E) )).

cnf(f61_substitution_4,axiom,
    ( A != B
    | f61(C,D,E,A) = f61(C,D,E,B) )).

cnf(f77_substitution_1,axiom,
    ( A != B
    | f77(A,C) = f77(B,C) )).

cnf(f77_substitution_2,axiom,
    ( A != B
    | f77(C,A) = f77(C,B) )).

cnf(f78_substitution_1,axiom,
    ( A != B
    | f78(A,C,D) = f78(B,C,D) )).

cnf(f78_substitution_2,axiom,
    ( A != B
    | f78(C,A,D) = f78(C,B,D) )).

cnf(f78_substitution_3,axiom,
    ( A != B
    | f78(C,D,A) = f78(C,D,B) )).

cnf(f80_substitution_1,axiom,
    ( A != B
    | f80(A,C,D) = f80(B,C,D) )).

cnf(f80_substitution_2,axiom,
    ( A != B
    | f80(C,A,D) = f80(C,B,D) )).

cnf(f80_substitution_3,axiom,
    ( A != B
    | f80(C,D,A) = f80(C,D,B) )).

cnf(f81_substitution_1,axiom,
    ( A != B
    | f81(A,C,D) = f81(B,C,D) )).

cnf(f81_substitution_2,axiom,
    ( A != B
    | f81(C,A,D) = f81(C,B,D) )).

cnf(f81_substitution_3,axiom,
    ( A != B
    | f81(C,D,A) = f81(C,D,B) )).

cnf(f82_substitution_1,axiom,
    ( A != B
    | f82(A,C,D) = f82(B,C,D) )).

cnf(f82_substitution_2,axiom,
    ( A != B
    | f82(C,A,D) = f82(C,B,D) )).

cnf(f82_substitution_3,axiom,
    ( A != B
    | f82(C,D,A) = f82(C,D,B) )).

cnf(f83_substitution_1,axiom,
    ( A != B
    | f83(A,C,D) = f83(B,C,D) )).

cnf(f83_substitution_2,axiom,
    ( A != B
    | f83(C,A,D) = f83(C,B,D) )).

cnf(f83_substitution_3,axiom,
    ( A != B
    | f83(C,D,A) = f83(C,D,B) )).

cnf(f84_substitution_1,axiom,
    ( A != B
    | f84(A,C) = f84(B,C) )).

cnf(f84_substitution_2,axiom,
    ( A != B
    | f84(C,A) = f84(C,B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C,D)
    | p1(B,C,D) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A,D)
    | p1(C,B,D) )).

cnf(p1_substitution_3,axiom,
    ( A != B
    | ~ p1(C,D,A)
    | p1(C,D,B) )).

cnf(p10_substitution_1,axiom,
    ( A != B
    | ~ p10(A,C)
    | p10(B,C) )).

cnf(p10_substitution_2,axiom,
    ( A != B
    | ~ p10(C,A)
    | p10(C,B) )).

cnf(p11_substitution_1,axiom,
    ( A != B
    | ~ p11(A,C)
    | p11(B,C) )).

cnf(p11_substitution_2,axiom,
    ( A != B
    | ~ p11(C,A)
    | p11(C,B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A,C)
    | p12(B,C) )).

cnf(p12_substitution_2,axiom,
    ( A != B
    | ~ p12(C,A)
    | p12(C,B) )).

cnf(p13_substitution_1,axiom,
    ( A != B
    | ~ p13(A,C)
    | p13(B,C) )).

cnf(p13_substitution_2,axiom,
    ( A != B
    | ~ p13(C,A)
    | p13(C,B) )).

cnf(p14_substitution_1,axiom,
    ( A != B
    | ~ p14(A,C)
    | p14(B,C) )).

cnf(p14_substitution_2,axiom,
    ( A != B
    | ~ p14(C,A)
    | p14(C,B) )).

cnf(p15_substitution_1,axiom,
    ( A != B
    | ~ p15(A,C)
    | p15(B,C) )).

cnf(p15_substitution_2,axiom,
    ( A != B
    | ~ p15(C,A)
    | p15(C,B) )).

cnf(p16_substitution_1,axiom,
    ( A != B
    | ~ p16(A,C)
    | p16(B,C) )).

cnf(p16_substitution_2,axiom,
    ( A != B
    | ~ p16(C,A)
    | p16(C,B) )).

cnf(p17_substitution_1,axiom,
    ( A != B
    | ~ p17(A,C)
    | p17(B,C) )).

cnf(p17_substitution_2,axiom,
    ( A != B
    | ~ p17(C,A)
    | p17(C,B) )).

cnf(p18_substitution_1,axiom,
    ( A != B
    | ~ p18(A,C)
    | p18(B,C) )).

cnf(p18_substitution_2,axiom,
    ( A != B
    | ~ p18(C,A)
    | p18(C,B) )).

cnf(p19_substitution_1,axiom,
    ( A != B
    | ~ p19(A,C)
    | p19(B,C) )).

cnf(p19_substitution_2,axiom,
    ( A != B
    | ~ p19(C,A)
    | p19(C,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C)
    | p2(B,C) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A)
    | p2(C,B) )).

cnf(p20_substitution_1,axiom,
    ( A != B
    | ~ p20(A,C)
    | p20(B,C) )).

cnf(p20_substitution_2,axiom,
    ( A != B
    | ~ p20(C,A)
    | p20(C,B) )).

cnf(p21_substitution_1,axiom,
    ( A != B
    | ~ p21(A,C)
    | p21(B,C) )).

cnf(p21_substitution_2,axiom,
    ( A != B
    | ~ p21(C,A)
    | p21(C,B) )).

cnf(p22_substitution_1,axiom,
    ( A != B
    | ~ p22(A,C)
    | p22(B,C) )).

cnf(p22_substitution_2,axiom,
    ( A != B
    | ~ p22(C,A)
    | p22(C,B) )).

cnf(p23_substitution_1,axiom,
    ( A != B
    | ~ p23(A,C)
    | p23(B,C) )).

cnf(p23_substitution_2,axiom,
    ( A != B
    | ~ p23(C,A)
    | p23(C,B) )).

cnf(p24_substitution_1,axiom,
    ( A != B
    | ~ p24(A,C)
    | p24(B,C) )).

cnf(p24_substitution_2,axiom,
    ( A != B
    | ~ p24(C,A)
    | p24(C,B) )).

cnf(p25_substitution_1,axiom,
    ( A != B
    | ~ p25(A,C)
    | p25(B,C) )).

cnf(p25_substitution_2,axiom,
    ( A != B
    | ~ p25(C,A)
    | p25(C,B) )).

cnf(p26_substitution_1,axiom,
    ( A != B
    | ~ p26(A,C)
    | p26(B,C) )).

cnf(p26_substitution_2,axiom,
    ( A != B
    | ~ p26(C,A)
    | p26(C,B) )).

cnf(p27_substitution_1,axiom,
    ( A != B
    | ~ p27(A,C)
    | p27(B,C) )).

cnf(p27_substitution_2,axiom,
    ( A != B
    | ~ p27(C,A)
    | p27(C,B) )).

cnf(p28_substitution_1,axiom,
    ( A != B
    | ~ p28(A,C)
    | p28(B,C) )).

cnf(p28_substitution_2,axiom,
    ( A != B
    | ~ p28(C,A)
    | p28(C,B) )).

cnf(p29_substitution_1,axiom,
    ( A != B
    | ~ p29(A,C)
    | p29(B,C) )).

cnf(p29_substitution_2,axiom,
    ( A != B
    | ~ p29(C,A)
    | p29(C,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C)
    | p3(B,C) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A)
    | p3(C,B) )).

cnf(p30_substitution_1,axiom,
    ( A != B
    | ~ p30(A,C)
    | p30(B,C) )).

cnf(p30_substitution_2,axiom,
    ( A != B
    | ~ p30(C,A)
    | p30(C,B) )).

cnf(p31_substitution_1,axiom,
    ( A != B
    | ~ p31(A,C)
    | p31(B,C) )).

cnf(p31_substitution_2,axiom,
    ( A != B
    | ~ p31(C,A)
    | p31(C,B) )).

cnf(p32_substitution_1,axiom,
    ( A != B
    | ~ p32(A,C)
    | p32(B,C) )).

cnf(p32_substitution_2,axiom,
    ( A != B
    | ~ p32(C,A)
    | p32(C,B) )).

cnf(p33_substitution_1,axiom,
    ( A != B
    | ~ p33(A,C)
    | p33(B,C) )).

cnf(p33_substitution_2,axiom,
    ( A != B
    | ~ p33(C,A)
    | p33(C,B) )).

cnf(p34_substitution_1,axiom,
    ( A != B
    | ~ p34(A,C)
    | p34(B,C) )).

cnf(p34_substitution_2,axiom,
    ( A != B
    | ~ p34(C,A)
    | p34(C,B) )).

cnf(p35_substitution_1,axiom,
    ( A != B
    | ~ p35(A,C)
    | p35(B,C) )).

cnf(p35_substitution_2,axiom,
    ( A != B
    | ~ p35(C,A)
    | p35(C,B) )).

cnf(p36_substitution_1,axiom,
    ( A != B
    | ~ p36(A,C)
    | p36(B,C) )).

cnf(p36_substitution_2,axiom,
    ( A != B
    | ~ p36(C,A)
    | p36(C,B) )).

cnf(p37_substitution_1,axiom,
    ( A != B
    | ~ p37(A,C)
    | p37(B,C) )).

cnf(p37_substitution_2,axiom,
    ( A != B
    | ~ p37(C,A)
    | p37(C,B) )).

cnf(p38_substitution_1,axiom,
    ( A != B
    | ~ p38(A,C)
    | p38(B,C) )).

cnf(p38_substitution_2,axiom,
    ( A != B
    | ~ p38(C,A)
    | p38(C,B) )).

cnf(p39_substitution_1,axiom,
    ( A != B
    | ~ p39(A,C)
    | p39(B,C) )).

cnf(p39_substitution_2,axiom,
    ( A != B
    | ~ p39(C,A)
    | p39(C,B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A,C)
    | p4(B,C) )).

cnf(p4_substitution_2,axiom,
    ( A != B
    | ~ p4(C,A)
    | p4(C,B) )).

cnf(p40_substitution_1,axiom,
    ( A != B
    | ~ p40(A,C)
    | p40(B,C) )).

cnf(p40_substitution_2,axiom,
    ( A != B
    | ~ p40(C,A)
    | p40(C,B) )).

cnf(p41_substitution_1,axiom,
    ( A != B
    | ~ p41(A,C)
    | p41(B,C) )).

cnf(p41_substitution_2,axiom,
    ( A != B
    | ~ p41(C,A)
    | p41(C,B) )).

cnf(p42_substitution_1,axiom,
    ( A != B
    | ~ p42(A,C)
    | p42(B,C) )).

cnf(p42_substitution_2,axiom,
    ( A != B
    | ~ p42(C,A)
    | p42(C,B) )).

cnf(p43_substitution_1,axiom,
    ( A != B
    | ~ p43(A,C)
    | p43(B,C) )).

cnf(p43_substitution_2,axiom,
    ( A != B
    | ~ p43(C,A)
    | p43(C,B) )).

cnf(p44_substitution_1,axiom,
    ( A != B
    | ~ p44(A,C)
    | p44(B,C) )).

cnf(p44_substitution_2,axiom,
    ( A != B
    | ~ p44(C,A)
    | p44(C,B) )).

cnf(p45_substitution_1,axiom,
    ( A != B
    | ~ p45(A,C)
    | p45(B,C) )).

cnf(p45_substitution_2,axiom,
    ( A != B
    | ~ p45(C,A)
    | p45(C,B) )).

cnf(p46_substitution_1,axiom,
    ( A != B
    | ~ p46(A,C)
    | p46(B,C) )).

cnf(p46_substitution_2,axiom,
    ( A != B
    | ~ p46(C,A)
    | p46(C,B) )).

cnf(p47_substitution_1,axiom,
    ( A != B
    | ~ p47(A,C)
    | p47(B,C) )).

cnf(p47_substitution_2,axiom,
    ( A != B
    | ~ p47(C,A)
    | p47(C,B) )).

cnf(p48_substitution_1,axiom,
    ( A != B
    | ~ p48(A,C)
    | p48(B,C) )).

cnf(p48_substitution_2,axiom,
    ( A != B
    | ~ p48(C,A)
    | p48(C,B) )).

cnf(p49_substitution_1,axiom,
    ( A != B
    | ~ p49(A,C)
    | p49(B,C) )).

cnf(p49_substitution_2,axiom,
    ( A != B
    | ~ p49(C,A)
    | p49(C,B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A,C)
    | p5(B,C) )).

cnf(p5_substitution_2,axiom,
    ( A != B
    | ~ p5(C,A)
    | p5(C,B) )).

cnf(p50_substitution_1,axiom,
    ( A != B
    | ~ p50(A,C)
    | p50(B,C) )).

cnf(p50_substitution_2,axiom,
    ( A != B
    | ~ p50(C,A)
    | p50(C,B) )).

cnf(p51_substitution_1,axiom,
    ( A != B
    | ~ p51(A,C)
    | p51(B,C) )).

cnf(p51_substitution_2,axiom,
    ( A != B
    | ~ p51(C,A)
    | p51(C,B) )).

cnf(p52_substitution_1,axiom,
    ( A != B
    | ~ p52(A,C)
    | p52(B,C) )).

cnf(p52_substitution_2,axiom,
    ( A != B
    | ~ p52(C,A)
    | p52(C,B) )).

cnf(p53_substitution_1,axiom,
    ( A != B
    | ~ p53(A,C)
    | p53(B,C) )).

cnf(p53_substitution_2,axiom,
    ( A != B
    | ~ p53(C,A)
    | p53(C,B) )).

cnf(p54_substitution_1,axiom,
    ( A != B
    | ~ p54(A,C)
    | p54(B,C) )).

cnf(p54_substitution_2,axiom,
    ( A != B
    | ~ p54(C,A)
    | p54(C,B) )).

cnf(p55_substitution_1,axiom,
    ( A != B
    | ~ p55(A,C,D,E)
    | p55(B,C,D,E) )).

cnf(p55_substitution_2,axiom,
    ( A != B
    | ~ p55(C,A,D,E)
    | p55(C,B,D,E) )).

cnf(p55_substitution_3,axiom,
    ( A != B
    | ~ p55(C,D,A,E)
    | p55(C,D,B,E) )).

cnf(p55_substitution_4,axiom,
    ( A != B
    | ~ p55(C,D,E,A)
    | p55(C,D,E,B) )).

cnf(p58_substitution_1,axiom,
    ( A != B
    | ~ p58(A,C)
    | p58(B,C) )).

cnf(p58_substitution_2,axiom,
    ( A != B
    | ~ p58(C,A)
    | p58(C,B) )).

cnf(p59_substitution_1,axiom,
    ( A != B
    | ~ p59(A,C,D)
    | p59(B,C,D) )).

cnf(p59_substitution_2,axiom,
    ( A != B
    | ~ p59(C,A,D)
    | p59(C,B,D) )).

cnf(p59_substitution_3,axiom,
    ( A != B
    | ~ p59(C,D,A)
    | p59(C,D,B) )).

cnf(p6_substitution_1,axiom,
    ( A != B
    | ~ p6(A,C)
    | p6(B,C) )).

cnf(p6_substitution_2,axiom,
    ( A != B
    | ~ p6(C,A)
    | p6(C,B) )).

cnf(p60_substitution_1,axiom,
    ( A != B
    | ~ p60(A,C,D)
    | p60(B,C,D) )).

cnf(p60_substitution_2,axiom,
    ( A != B
    | ~ p60(C,A,D)
    | p60(C,B,D) )).

cnf(p60_substitution_3,axiom,
    ( A != B
    | ~ p60(C,D,A)
    | p60(C,D,B) )).

cnf(p62_substitution_1,axiom,
    ( A != B
    | ~ p62(A,C,D)
    | p62(B,C,D) )).

cnf(p62_substitution_2,axiom,
    ( A != B
    | ~ p62(C,A,D)
    | p62(C,B,D) )).

cnf(p62_substitution_3,axiom,
    ( A != B
    | ~ p62(C,D,A)
    | p62(C,D,B) )).

cnf(p63_substitution_1,axiom,
    ( A != B
    | ~ p63(A)
    | p63(B) )).

cnf(p68_substitution_1,axiom,
    ( A != B
    | ~ p68(A,C)
    | p68(B,C) )).

cnf(p68_substitution_2,axiom,
    ( A != B
    | ~ p68(C,A)
    | p68(C,B) )).

cnf(p69_substitution_1,axiom,
    ( A != B
    | ~ p69(A,C)
    | p69(B,C) )).

cnf(p69_substitution_2,axiom,
    ( A != B
    | ~ p69(C,A)
    | p69(C,B) )).

cnf(p7_substitution_1,axiom,
    ( A != B
    | ~ p7(A,C)
    | p7(B,C) )).

cnf(p7_substitution_2,axiom,
    ( A != B
    | ~ p7(C,A)
    | p7(C,B) )).

cnf(p71_substitution_1,axiom,
    ( A != B
    | ~ p71(A,C)
    | p71(B,C) )).

cnf(p71_substitution_2,axiom,
    ( A != B
    | ~ p71(C,A)
    | p71(C,B) )).

cnf(p73_substitution_1,axiom,
    ( A != B
    | ~ p73(A,C)
    | p73(B,C) )).

cnf(p73_substitution_2,axiom,
    ( A != B
    | ~ p73(C,A)
    | p73(C,B) )).

cnf(p74_substitution_1,axiom,
    ( A != B
    | ~ p74(A,C,D)
    | p74(B,C,D) )).

cnf(p74_substitution_2,axiom,
    ( A != B
    | ~ p74(C,A,D)
    | p74(C,B,D) )).

cnf(p74_substitution_3,axiom,
    ( A != B
    | ~ p74(C,D,A)
    | p74(C,D,B) )).

cnf(p75_substitution_1,axiom,
    ( A != B
    | ~ p75(A,C,D)
    | p75(B,C,D) )).

cnf(p75_substitution_2,axiom,
    ( A != B
    | ~ p75(C,A,D)
    | p75(C,B,D) )).

cnf(p75_substitution_3,axiom,
    ( A != B
    | ~ p75(C,D,A)
    | p75(C,D,B) )).

cnf(p76_substitution_1,axiom,
    ( A != B
    | ~ p76(A,C,D)
    | p76(B,C,D) )).

cnf(p76_substitution_2,axiom,
    ( A != B
    | ~ p76(C,A,D)
    | p76(C,B,D) )).

cnf(p76_substitution_3,axiom,
    ( A != B
    | ~ p76(C,D,A)
    | p76(C,D,B) )).

cnf(p79_substitution_1,axiom,
    ( A != B
    | ~ p79(A,C,D)
    | p79(B,C,D) )).

cnf(p79_substitution_2,axiom,
    ( A != B
    | ~ p79(C,A,D)
    | p79(C,B,D) )).

cnf(p79_substitution_3,axiom,
    ( A != B
    | ~ p79(C,D,A)
    | p79(C,D,B) )).

cnf(p8_substitution_1,axiom,
    ( A != B
    | ~ p8(A,C)
    | p8(B,C) )).

cnf(p8_substitution_2,axiom,
    ( A != B
    | ~ p8(C,A)
    | p8(C,B) )).

cnf(p85_substitution_1,axiom,
    ( A != B
    | ~ p85(A,C)
    | p85(B,C) )).

cnf(p85_substitution_2,axiom,
    ( A != B
    | ~ p85(C,A)
    | p85(C,B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A,C)
    | p9(B,C) )).

cnf(p9_substitution_2,axiom,
    ( A != B
    | ~ p9(C,A)
    | p9(C,B) )).

cnf(clause_87,negated_conjecture,(
    p29(c64,c72) )).

cnf(clause_95,negated_conjecture,
    ( p1(X2,f77(X2,X1),X1)
    | p73(X1,X2) )).

cnf(clause_6,axiom,
    ( p7(X1,X2)
    | ~ p6(X1,X2) )).

cnf(clause_48,axiom,
    ( ~ p45(X1,X2)
    | p46(X1,X2) )).

cnf(clause_59,axiom,
    ( ~ p25(X1,X2)
    | ~ p11(X1,X2) )).

cnf(clause_20,axiom,
    ( ~ p19(X1,X2)
    | p13(X1,X2) )).

cnf(clause_35,axiom,
    ( ~ p33(X1,X2)
    | p4(X1,X2) )).

cnf(clause_74,negated_conjecture,(
    p43(c64,c65) )).

cnf(clause_10,axiom,
    ( ~ p5(X1,X2)
    | p11(X1,X2) )).

cnf(clause_61,axiom,
    ( ~ p10(X1,X2)
    | ~ p20(X1,X2) )).

cnf(clause_80,negated_conjecture,(
    p68(c64,c67) )).

cnf(clause_73,negated_conjecture,(
    p63(c64) )).

cnf(clause_37,axiom,
    ( p36(X1,X2)
    | ~ p35(X1,X2) )).

cnf(clause_76,negated_conjecture,(
    p40(c64,c66) )).

cnf(clause_66,axiom,
    ( f56(X1,X2) != f57(X1,X2)
    | ~ p29(X2,X1) )).

cnf(clause_25,axiom,
    ( p12(X1,X2)
    | ~ p24(X1,X2) )).

cnf(clause_55,axiom,
    ( ~ p53(X1,X2)
    | ~ p54(X1,X2) )).

cnf(clause_96,negated_conjecture,
    ( p76(X1,X2,X3)
    | p1(X3,f78(X1,X3,X2),X2) )).

cnf(clause_49,axiom,
    ( ~ p46(X1,X2)
    | p47(X1,X2) )).

cnf(clause_91,negated_conjecture,(
    p74(c64,c70,c67) )).

cnf(clause_43,axiom,
    ( ~ p40(X1,X2)
    | p34(X1,X2) )).

cnf(clause_46,axiom,
    ( p44(X1,X2)
    | ~ p43(X1,X2) )).

cnf(clause_97,negated_conjecture,
    ( p1(X3,f80(X1,X3,X4),X1)
    | p79(X1,X2,X3) )).

cnf(clause_17,axiom,
    ( p7(X1,X2)
    | ~ p19(X1,X2) )).

cnf(clause_41,axiom,
    ( ~ p37(X1,X2)
    | p39(X1,X2) )).

cnf(clause_27,axiom,
    ( p26(X1,X2)
    | ~ p23(X1,X2) )).

cnf(clause_19,axiom,
    ( p20(X1,X2)
    | ~ p19(X1,X2) )).

cnf(clause_24,axiom,
    ( ~ p24(X1,X2)
    | p6(X1,X2) )).

cnf(clause_75,negated_conjecture,(
    p34(c64,c66) )).

cnf(clause_18,axiom,
    ( p9(X1,X2)
    | ~ p19(X1,X2) )).

cnf(clause_8,axiom,
    ( ~ p6(X1,X2)
    | p9(X1,X2) )).

cnf(clause_68,axiom,
    ( X2 = f57(X3,X1)
    | X2 = f56(X3,X1)
    | ~ p1(X1,X2,X3)
    | ~ p29(X1,X3) )).

cnf(clause_38,axiom,
    ( p37(X1,X2)
    | ~ p36(X1,X2) )).

cnf(clause_16,axiom,
    ( ~ p18(X1,X2)
    | p19(X1,X2) )).

cnf(clause_51,axiom,
    ( ~ p48(X1,X2)
    | p49(X1,X2) )).

cnf(clause_28,axiom,
    ( ~ p23(X1,X2)
    | p27(X1,X2) )).

cnf(clause_62,axiom,
    ( ~ p27(X1,X2)
    | ~ p11(X1,X2) )).

cnf(clause_53,axiom,
    ( ~ p50(X1,X2)
    | p47(X1,X2) )).

cnf(clause_71,axiom,
    ( ~ p1(X5,X1,X6)
    | p29(X5,X6)
    | ~ p1(X5,X7,X6)
    | f61(X1,X2,X3,X4) != X1
    | X1 = X7 )).

cnf(clause_26,axiom,
    ( ~ p24(X1,X2)
    | p25(X1,X2) )).

cnf(clause_5,axiom,
    ( p6(X1,X2)
    | ~ p5(X1,X2) )).

cnf(clause_67,axiom,
    ( ~ p59(X1,X2,X3)
    | ~ p60(X1,X2,X3)
    | ~ p58(X1,X2) )).

cnf(clause_58,axiom,
    ( ~ p8(X1,X2)
    | ~ p16(X1,X2) )).

cnf(clause_11,axiom,
    ( ~ p5(X1,X2)
    | p12(X1,X2) )).

cnf(clause_83,negated_conjecture,(
    p51(c64,c65) )).

cnf(clause_82,negated_conjecture,(
    p69(c64,c65) )).

cnf(clause_44,axiom,
    ( p42(X1,X2)
    | ~ p41(X1,X2) )).

cnf(clause_56,axiom,
    ( ~ p28(X1,X2)
    | ~ p13(X1,X2) )).

cnf(clause_54,axiom,
    ( ~ p52(X1,X2)
    | ~ p51(X1,X2) )).

cnf(clause_70,axiom,
    ( ~ p1(X5,X1,X6)
    | X1 = X2
    | f61(X1,X2,X3,X4) != X2
    | p29(X5,X6)
    | ~ p1(X5,X2,X6) )).

cnf(clause_108,negated_conjecture,
    ( ~ p2(X1,f84(X1,X9))
    | ~ p68(X1,X5)
    | ~ p63(X1)
    | ~ p76(X5,X2,X1)
    | ~ p34(X1,X6)
    | ~ p60(X1,X3,X4)
    | ~ p31(X1,X3)
    | ~ p79(X7,X8,X1)
    | ~ p14(X1,X7)
    | ~ p85(X1,f84(X1,X9))
    | ~ p48(X1,X5)
    | ~ p53(X1,f84(X1,X9))
    | ~ p40(X1,X6)
    | ~ p32(X1,X5)
    | ~ p69(X1,X4)
    | ~ p41(X1,X5)
    | ~ p14(X1,X8)
    | ~ p43(X1,X4)
    | ~ p75(X1,X3,X5)
    | ~ p51(X1,X4)
    | ~ p18(X1,X3)
    | ~ p54(X1,X4)
    | ~ p29(X1,X2)
    | ~ p74(X1,X3,X5)
    | ~ p73(X2,X1)
    | ~ p71(X1,X3)
    | ~ p14(X1,X2)
    | ~ p62(X1,X6,X5) )).

cnf(clause_7,axiom,
    ( p8(X1,X2)
    | ~ p7(X1,X2) )).

cnf(clause_94,negated_conjecture,(
    p60(c64,c70,c65) )).

cnf(clause_86,negated_conjecture,(
    p18(c64,c70) )).

cnf(clause_78,negated_conjecture,(
    p41(c64,c67) )).

cnf(clause_3,axiom,
    ( p4(X1,X2)
    | ~ p3(X1,X2) )).

cnf(clause_34,axiom,
    ( ~ p32(X1,X2)
    | p33(X1,X2) )).

cnf(clause_65,axiom,
    ( p1(X1,f57(X2,X1),X2)
    | ~ p29(X1,X2) )).

cnf(clause_23,axiom,
    ( ~ p23(X1,X2)
    | p24(X1,X2) )).

cnf(clause_106,negated_conjecture,
    ( ~ p71(X1,X2)
    | ~ p18(X1,X2)
    | ~ p17(X1,X2)
    | ~ p60(X1,X2,f80(X3,X1,X4))
    | ~ p58(X1,X2)
    | ~ p59(X1,X2,f81(X3,X1,X4))
    | p79(X3,X5,X1) )).

cnf(clause_57,axiom,
    ( ~ p39(X1,X2)
    | ~ p9(X1,X2) )).

cnf(clause_104,negated_conjecture,
    ( ~ p76(X4,X3,X1)
    | ~ p1(X1,X2,X3)
    | p55(X1,f82(X1,X5,X2),X2,f83(X2,X1,X5)) )).

cnf(clause_47,axiom,
    ( p45(X1,X2)
    | ~ p44(X1,X2) )).

cnf(clause_50,axiom,
    ( p4(X1,X2)
    | ~ p47(X1,X2) )).

cnf(clause_9,axiom,
    ( p10(X1,X2)
    | ~ p6(X1,X2) )).

cnf(clause_93,negated_conjecture,(
    p76(c67,c72,c64) )).

cnf(clause_36,axiom,
    ( ~ p34(X1,X2)
    | p35(X1,X2) )).

cnf(clause_15,axiom,
    ( ~ p17(X1,X2)
    | p18(X1,X2) )).

cnf(clause_2,axiom,
    ( ~ p2(X1,X2)
    | p3(X1,X2) )).

cnf(clause_101,negated_conjecture,
    ( ~ p52(X1,f77(X1,X2))
    | ~ p21(X1,f77(X1,X2))
    | p73(X3,X1) )).

cnf(clause_69,axiom,
    ( X2 = X4
    | ~ p1(X1,X4,X3)
    | p29(X1,X3)
    | ~ p1(X1,X2,X3)
    | p1(X1,f61(X2,X4,X3,X1),X3) )).

cnf(clause_81,negated_conjecture,(
    p54(c64,c65) )).

cnf(clause_12,axiom,
    ( p13(X1,X2)
    | ~ p5(X1,X2) )).

cnf(clause_4,axiom,
    ( ~ p4(X1,X2)
    | p5(X1,X2) )).

cnf(clause_77,negated_conjecture,(
    p48(c64,c67) )).

cnf(clause_99,negated_conjecture,
    ( p21(X1,X2)
    | ~ p73(X3,X1)
    | ~ p1(X1,X2,X3) )).

cnf(clause_39,axiom,
    ( ~ p37(X1,X2)
    | p7(X1,X2) )).

cnf(clause_33,axiom,
    ( p18(X1,X2)
    | ~ p31(X1,X2) )).

cnf(clause_63,axiom,
    ( X3 = X4
    | ~ p55(X1,X2,X3,X4) )).

cnf(clause_72,axiom,
    ( ~ p62(X1,X3,X4)
    | ~ p62(X1,X2,X4)
    | ~ p6(X1,X4)
    | ~ p34(X1,X2)
    | ~ p34(X1,X3)
    | X3 = X2 )).

cnf(clause_90,negated_conjecture,(
    p62(c64,c66,c67) )).

cnf(clause_32,axiom,
    ( p18(X1,X2)
    | ~ p30(X1,X2) )).

cnf(clause_1,axiom,(
    ~ p1(X1,X2,X2) )).

cnf(clause_31,axiom,
    ( ~ p30(X1,X2)
    | p19(X1,X2) )).

cnf(clause_30,axiom,
    ( p14(X1,X2)
    | ~ p29(X1,X2) )).

cnf(clause_42,axiom,
    ( p13(X1,X2)
    | ~ p37(X1,X2) )).

cnf(clause_88,negated_conjecture,(
    p14(c64,c72) )).

cnf(clause_79,negated_conjecture,(
    p32(c64,c67) )).

cnf(clause_40,axiom,
    ( p38(X1,X2)
    | ~ p37(X1,X2) )).

cnf(clause_29,axiom,
    ( p28(X1,X2)
    | ~ p22(X1,X2) )).

cnf(clause_89,negated_conjecture,(
    p73(c72,c64) )).

cnf(clause_52,axiom,
    ( ~ p49(X1,X2)
    | p50(X1,X2) )).

cnf(clause_85,negated_conjecture,(
    p71(c64,c70) )).

cnf(clause_98,negated_conjecture,
    ( p1(X3,f81(X1,X3,X2),X2)
    | p79(X1,X2,X3) )).

cnf(clause_100,negated_conjecture,
    ( p52(X1,X2)
    | ~ p73(X3,X1)
    | ~ p1(X1,X2,X3) )).

cnf(clause_64,axiom,
    ( ~ p29(X1,X2)
    | p1(X1,f56(X2,X1),X2) )).

cnf(clause_13,axiom,
    ( p15(X1,X2)
    | ~ p14(X1,X2) )).

cnf(clause_45,axiom,
    ( ~ p42(X1,X2)
    | p5(X1,X2) )).

cnf(clause_102,negated_conjecture,
    ( ~ p1(X1,X2,X3)
    | p30(X1,f82(X1,X5,X6))
    | ~ p76(X4,X3,X1) )).

cnf(clause_60,axiom,
    ( ~ p26(X1,X2)
    | ~ p38(X1,X2) )).

cnf(clause_21,axiom,
    ( p22(X1,X2)
    | ~ p21(X1,X2) )).

cnf(clause_14,axiom,
    ( p16(X1,X2)
    | ~ p15(X1,X2) )).

cnf(clause_107,negated_conjecture,
    ( p1(X1,f84(X1,X8),X8)
    | ~ p62(X1,X6,X5)
    | ~ p14(X1,X7)
    | ~ p18(X1,X3)
    | ~ p79(X7,X8,X1)
    | ~ p29(X1,X2)
    | ~ p69(X1,X4)
    | ~ p31(X1,X3)
    | ~ p41(X1,X5)
    | ~ p32(X1,X5)
    | ~ p76(X5,X2,X1)
    | ~ p43(X1,X4)
    | ~ p73(X2,X1)
    | ~ p74(X1,X3,X5)
    | ~ p71(X1,X3)
    | ~ p51(X1,X4)
    | ~ p63(X1)
    | ~ p54(X1,X4)
    | ~ p40(X1,X6)
    | ~ p34(X1,X6)
    | ~ p14(X1,X2)
    | ~ p60(X1,X3,X4)
    | ~ p48(X1,X5)
    | ~ p68(X1,X5)
    | ~ p14(X1,X8)
    | ~ p75(X1,X3,X5) )).

cnf(clause_105,negated_conjecture,
    ( ~ p75(X1,X2,X3)
    | ~ p55(X1,X4,f78(X3,X1,X5),X2)
    | p76(X3,X6,X1)
    | ~ p30(X1,X4) )).

cnf(clause_92,negated_conjecture,(
    p75(c64,c70,c67) )).

cnf(clause_103,negated_conjecture,
    ( ~ p1(X1,X2,X3)
    | ~ p76(X4,X3,X1)
    | p75(X1,f83(X2,X1,X4),X4) )).

cnf(clause_22,axiom,
    ( p23(X1,X2)
    | ~ p22(X1,X2) )).

cnf(clause_84,negated_conjecture,(
    p31(c64,c70) )).
%------------------------------------------------------------------------------
