%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f51_substitution_1,axiom,
    ( A != B
    | f51(A) = f51(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(p10_substitution_1,axiom,
    ( A != B
    | ~ p10(A,C)
    | p10(B,C) )).

cnf(p10_substitution_2,axiom,
    ( A != B
    | ~ p10(C,A)
    | p10(C,B) )).

cnf(p11_substitution_1,axiom,
    ( A != B
    | ~ p11(A,C)
    | p11(B,C) )).

cnf(p11_substitution_2,axiom,
    ( A != B
    | ~ p11(C,A)
    | p11(C,B) )).

cnf(p12_substitution_1,axiom,
    ( A != B
    | ~ p12(A,C)
    | p12(B,C) )).

cnf(p12_substitution_2,axiom,
    ( A != B
    | ~ p12(C,A)
    | p12(C,B) )).

cnf(p13_substitution_1,axiom,
    ( A != B
    | ~ p13(A,C)
    | p13(B,C) )).

cnf(p13_substitution_2,axiom,
    ( A != B
    | ~ p13(C,A)
    | p13(C,B) )).

cnf(p14_substitution_1,axiom,
    ( A != B
    | ~ p14(A,C)
    | p14(B,C) )).

cnf(p14_substitution_2,axiom,
    ( A != B
    | ~ p14(C,A)
    | p14(C,B) )).

cnf(p15_substitution_1,axiom,
    ( A != B
    | ~ p15(A,C)
    | p15(B,C) )).

cnf(p15_substitution_2,axiom,
    ( A != B
    | ~ p15(C,A)
    | p15(C,B) )).

cnf(p16_substitution_1,axiom,
    ( A != B
    | ~ p16(A,C)
    | p16(B,C) )).

cnf(p16_substitution_2,axiom,
    ( A != B
    | ~ p16(C,A)
    | p16(C,B) )).

cnf(p17_substitution_1,axiom,
    ( A != B
    | ~ p17(A,C)
    | p17(B,C) )).

cnf(p17_substitution_2,axiom,
    ( A != B
    | ~ p17(C,A)
    | p17(C,B) )).

cnf(p18_substitution_1,axiom,
    ( A != B
    | ~ p18(A,C)
    | p18(B,C) )).

cnf(p18_substitution_2,axiom,
    ( A != B
    | ~ p18(C,A)
    | p18(C,B) )).

cnf(p19_substitution_1,axiom,
    ( A != B
    | ~ p19(A,C)
    | p19(B,C) )).

cnf(p19_substitution_2,axiom,
    ( A != B
    | ~ p19(C,A)
    | p19(C,B) )).

cnf(p2_substitution_1,axiom,
    ( A != B
    | ~ p2(A,C)
    | p2(B,C) )).

cnf(p2_substitution_2,axiom,
    ( A != B
    | ~ p2(C,A)
    | p2(C,B) )).

cnf(p20_substitution_1,axiom,
    ( A != B
    | ~ p20(A,C)
    | p20(B,C) )).

cnf(p20_substitution_2,axiom,
    ( A != B
    | ~ p20(C,A)
    | p20(C,B) )).

cnf(p21_substitution_1,axiom,
    ( A != B
    | ~ p21(A,C)
    | p21(B,C) )).

cnf(p21_substitution_2,axiom,
    ( A != B
    | ~ p21(C,A)
    | p21(C,B) )).

cnf(p22_substitution_1,axiom,
    ( A != B
    | ~ p22(A,C)
    | p22(B,C) )).

cnf(p22_substitution_2,axiom,
    ( A != B
    | ~ p22(C,A)
    | p22(C,B) )).

cnf(p23_substitution_1,axiom,
    ( A != B
    | ~ p23(A,C)
    | p23(B,C) )).

cnf(p23_substitution_2,axiom,
    ( A != B
    | ~ p23(C,A)
    | p23(C,B) )).

cnf(p24_substitution_1,axiom,
    ( A != B
    | ~ p24(A,C)
    | p24(B,C) )).

cnf(p24_substitution_2,axiom,
    ( A != B
    | ~ p24(C,A)
    | p24(C,B) )).

cnf(p25_substitution_1,axiom,
    ( A != B
    | ~ p25(A,C)
    | p25(B,C) )).

cnf(p25_substitution_2,axiom,
    ( A != B
    | ~ p25(C,A)
    | p25(C,B) )).

cnf(p26_substitution_1,axiom,
    ( A != B
    | ~ p26(A,C)
    | p26(B,C) )).

cnf(p26_substitution_2,axiom,
    ( A != B
    | ~ p26(C,A)
    | p26(C,B) )).

cnf(p27_substitution_1,axiom,
    ( A != B
    | ~ p27(A,C)
    | p27(B,C) )).

cnf(p27_substitution_2,axiom,
    ( A != B
    | ~ p27(C,A)
    | p27(C,B) )).

cnf(p28_substitution_1,axiom,
    ( A != B
    | ~ p28(A,C)
    | p28(B,C) )).

cnf(p28_substitution_2,axiom,
    ( A != B
    | ~ p28(C,A)
    | p28(C,B) )).

cnf(p29_substitution_1,axiom,
    ( A != B
    | ~ p29(A,C,D,E)
    | p29(B,C,D,E) )).

cnf(p29_substitution_2,axiom,
    ( A != B
    | ~ p29(C,A,D,E)
    | p29(C,B,D,E) )).

cnf(p29_substitution_3,axiom,
    ( A != B
    | ~ p29(C,D,A,E)
    | p29(C,D,B,E) )).

cnf(p29_substitution_4,axiom,
    ( A != B
    | ~ p29(C,D,E,A)
    | p29(C,D,E,B) )).

cnf(p3_substitution_1,axiom,
    ( A != B
    | ~ p3(A,C)
    | p3(B,C) )).

cnf(p3_substitution_2,axiom,
    ( A != B
    | ~ p3(C,A)
    | p3(C,B) )).

cnf(p30_substitution_1,axiom,
    ( A != B
    | ~ p30(A,C)
    | p30(B,C) )).

cnf(p30_substitution_2,axiom,
    ( A != B
    | ~ p30(C,A)
    | p30(C,B) )).

cnf(p31_substitution_1,axiom,
    ( A != B
    | ~ p31(A,C)
    | p31(B,C) )).

cnf(p31_substitution_2,axiom,
    ( A != B
    | ~ p31(C,A)
    | p31(C,B) )).

cnf(p32_substitution_1,axiom,
    ( A != B
    | ~ p32(A,C)
    | p32(B,C) )).

cnf(p32_substitution_2,axiom,
    ( A != B
    | ~ p32(C,A)
    | p32(C,B) )).

cnf(p33_substitution_1,axiom,
    ( A != B
    | ~ p33(A,C,D)
    | p33(B,C,D) )).

cnf(p33_substitution_2,axiom,
    ( A != B
    | ~ p33(C,A,D)
    | p33(C,B,D) )).

cnf(p33_substitution_3,axiom,
    ( A != B
    | ~ p33(C,D,A)
    | p33(C,D,B) )).

cnf(p34_substitution_1,axiom,
    ( A != B
    | ~ p34(A,C,D)
    | p34(B,C,D) )).

cnf(p34_substitution_2,axiom,
    ( A != B
    | ~ p34(C,A,D)
    | p34(C,B,D) )).

cnf(p34_substitution_3,axiom,
    ( A != B
    | ~ p34(C,D,A)
    | p34(C,D,B) )).

cnf(p35_substitution_1,axiom,
    ( A != B
    | ~ p35(A,C,D)
    | p35(B,C,D) )).

cnf(p35_substitution_2,axiom,
    ( A != B
    | ~ p35(C,A,D)
    | p35(C,B,D) )).

cnf(p35_substitution_3,axiom,
    ( A != B
    | ~ p35(C,D,A)
    | p35(C,D,B) )).

cnf(p36_substitution_1,axiom,
    ( A != B
    | ~ p36(A)
    | p36(B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A,C)
    | p4(B,C) )).

cnf(p4_substitution_2,axiom,
    ( A != B
    | ~ p4(C,A)
    | p4(C,B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A,C)
    | p5(B,C) )).

cnf(p5_substitution_2,axiom,
    ( A != B
    | ~ p5(C,A)
    | p5(C,B) )).

cnf(p6_substitution_1,axiom,
    ( A != B
    | ~ p6(A,C)
    | p6(B,C) )).

cnf(p6_substitution_2,axiom,
    ( A != B
    | ~ p6(C,A)
    | p6(C,B) )).

cnf(p7_substitution_1,axiom,
    ( A != B
    | ~ p7(A,C)
    | p7(B,C) )).

cnf(p7_substitution_2,axiom,
    ( A != B
    | ~ p7(C,A)
    | p7(C,B) )).

cnf(p8_substitution_1,axiom,
    ( A != B
    | ~ p8(A,C)
    | p8(B,C) )).

cnf(p8_substitution_2,axiom,
    ( A != B
    | ~ p8(C,A)
    | p8(C,B) )).

cnf(p9_substitution_1,axiom,
    ( A != B
    | ~ p9(A,C)
    | p9(B,C) )).

cnf(p9_substitution_2,axiom,
    ( A != B
    | ~ p9(C,A)
    | p9(C,B) )).

cnf(clause_22,axiom,
    ( p20(X1,X2)
    | ~ p17(X1,X2) )).

cnf(clause_63,axiom,
    ( ~ p26(X1,X3)
    | ~ p30(X1,X2)
    | p26(X2,X3) )).

cnf(clause_88,negated_conjecture,(
    p2(c37,c47) )).

cnf(clause_26,axiom,
    ( ~ p15(X1,X2)
    | p24(X1,X2) )).

cnf(clause_56,axiom,
    ( ~ p19(X1,X3)
    | p19(X2,X3)
    | ~ p30(X1,X2) )).

cnf(clause_75,negated_conjecture,(
    p25(c37,c39) )).

cnf(clause_99,negated_conjecture,(
    p35(c37,c39,c38) )).

cnf(clause_79,negated_conjecture,(
    p25(c37,c41) )).

cnf(clause_51,axiom,
    ( ~ p30(X1,X2)
    | p14(X2,X3)
    | ~ p14(X1,X3) )).

cnf(clause_96,negated_conjecture,(
    p9(c37,c50) )).

cnf(clause_61,axiom,
    ( ~ p30(X1,X2)
    | ~ p24(X1,X3)
    | p24(X2,X3) )).

cnf(clause_29,axiom,
    ( p25(X1,X2)
    | ~ p27(X1,X2) )).

cnf(clause_47,axiom,
    ( p10(X2,X3)
    | ~ p10(X1,X3)
    | ~ p30(X1,X2) )).

cnf(clause_90,negated_conjecture,(
    p32(c37,c47) )).

cnf(clause_91,negated_conjecture,(
    p27(c37,c48) )).

cnf(clause_97,negated_conjecture,(
    p30(c37,c50) )).

cnf(clause_102,negated_conjecture,(
    p35(c37,c45,c46) )).

cnf(clause_10,axiom,
    ( ~ p11(X1,X2)
    | p4(X1,X2) )).

cnf(clause_28,axiom,
    ( p10(X1,X2)
    | ~ p26(X1,X2) )).

cnf(clause_14,axiom,
    ( ~ p14(X1,X2)
    | p3(X1,X2) )).

cnf(clause_25,axiom,
    ( p23(X1,X2)
    | ~ p16(X1,X2) )).

cnf(clause_12,axiom,
    ( ~ p11(X1,X2)
    | p13(X1,X2) )).

cnf(clause_27,axiom,
    ( ~ p25(X1,X2)
    | p26(X1,X2) )).

cnf(clause_1,axiom,
    ( p2(X1,X2)
    | ~ p1(X1,X2) )).

cnf(clause_53,axiom,
    ( ~ p16(X1,X3)
    | p16(X2,X3)
    | ~ p30(X1,X2) )).

cnf(clause_67,axiom,
    ( ~ p34(X1,X3,X4)
    | ~ p30(X1,X2)
    | p34(X2,X3,X4) )).

cnf(clause_71,axiom,
    ( X2 = X3
    | ~ p34(X1,X4,X2)
    | ~ p33(X1,X4,X6)
    | ~ p32(X1,X4)
    | ~ p33(X1,X5,X6)
    | ~ p34(X1,X5,X3)
    | ~ p32(X1,X5)
    | ~ p9(X1,X2)
    | ~ p9(X1,X3) )).

cnf(clause_32,axiom,
    ( ~ p13(X1,X2)
    | ~ p6(X1,X2) )).

cnf(clause_74,negated_conjecture,(
    p27(c37,c39) )).

cnf(clause_23,axiom,
    ( p21(X1,X2)
    | ~ p17(X1,X2) )).

cnf(clause_108,negated_conjecture,
    ( p1(c50,f51(X2))
    | ~ p15(c50,X1) )).

cnf(clause_81,negated_conjecture,(
    p15(c37,c42) )).

cnf(clause_6,axiom,
    ( ~ p3(X1,X2)
    | p7(X1,X2) )).

cnf(clause_46,axiom,
    ( ~ p9(X1,X3)
    | ~ p30(X1,X2)
    | p9(X2,X3) )).

cnf(clause_98,negated_conjecture,(
    p33(c37,c40,c38) )).

cnf(clause_40,axiom,
    ( p5(X2,X3)
    | ~ p30(X1,X2)
    | ~ p5(X1,X3) )).

cnf(clause_82,negated_conjecture,(
    p2(c43,c44) )).

cnf(clause_107,negated_conjecture,(
    p29(c37,c49,c42,c42) )).

cnf(clause_59,axiom,
    ( ~ p30(X1,X2)
    | p22(X2,X3)
    | ~ p22(X1,X3) )).

cnf(clause_37,axiom,
    ( p2(X2,X3)
    | ~ p2(X1,X3)
    | ~ p30(X1,X2) )).

cnf(clause_84,negated_conjecture,(
    p25(c37,c45) )).

cnf(clause_87,negated_conjecture,(
    p15(c37,c46) )).

cnf(clause_111,negated_conjecture,
    ( p33(c50,f51(X1),X1)
    | ~ p15(c50,X1) )).

cnf(clause_35,axiom,
    ( ~ p29(X1,X2,X3,X4)
    | X3 = X4 )).

cnf(clause_77,negated_conjecture,(
    p31(c37,c40) )).

cnf(clause_39,axiom,
    ( ~ p4(X1,X3)
    | ~ p30(X1,X2)
    | p4(X2,X3) )).

cnf(clause_106,negated_conjecture,(
    p34(c37,c47,c43) )).

cnf(clause_58,axiom,
    ( p21(X2,X3)
    | ~ p30(X1,X2)
    | ~ p21(X1,X3) )).

cnf(clause_80,negated_conjecture,(
    p28(c37,c41) )).

cnf(clause_2,axiom,
    ( p3(X1,X2)
    | ~ p2(X1,X2) )).

cnf(clause_4,axiom,
    ( ~ p4(X1,X2)
    | p5(X1,X2) )).

cnf(clause_41,axiom,
    ( p6(X2,X3)
    | ~ p30(X1,X2)
    | ~ p6(X1,X3) )).

cnf(clause_7,axiom,
    ( p8(X1,X2)
    | ~ p3(X1,X2) )).

cnf(clause_103,negated_conjecture,(
    p33(c43,c44,c46) )).

cnf(clause_62,axiom,
    ( ~ p25(X1,X3)
    | p25(X2,X3)
    | ~ p30(X1,X2) )).

cnf(clause_9,axiom,
    ( p11(X1,X2)
    | ~ p10(X1,X2) )).

cnf(clause_20,axiom,
    ( ~ p18(X1,X2)
    | p6(X1,X2) )).

cnf(clause_64,axiom,
    ( p27(X2,X3)
    | ~ p30(X1,X2)
    | ~ p27(X1,X3) )).

cnf(clause_60,axiom,
    ( ~ p30(X1,X2)
    | p23(X2,X3)
    | ~ p23(X1,X3) )).

cnf(clause_109,negated_conjecture,
    ( ~ p15(c50,X1)
    | p31(c50,f51(X2)) )).

cnf(clause_57,axiom,
    ( ~ p30(X1,X2)
    | ~ p20(X1,X3)
    | p20(X2,X3) )).

cnf(clause_36,axiom,
    ( ~ p1(X1,X3)
    | p1(X2,X3)
    | ~ p30(X1,X2) )).

cnf(clause_104,negated_conjecture,(
    p33(c37,c47,c46) )).

cnf(clause_13,axiom,
    ( p8(X1,X2)
    | ~ p11(X1,X2) )).

cnf(clause_55,axiom,
    ( ~ p30(X1,X2)
    | ~ p18(X1,X3)
    | p18(X2,X3) )).

cnf(clause_69,axiom,
    ( ~ p29(X1,X3,X4,X5)
    | p29(X2,X3,X4,X5)
    | ~ p30(X1,X2) )).

cnf(clause_83,negated_conjecture,(
    p28(c37,c45) )).

cnf(clause_73,negated_conjecture,(
    p15(c37,c38) )).

cnf(clause_38,axiom,
    ( p3(X2,X3)
    | ~ p3(X1,X3)
    | ~ p30(X1,X2) )).

cnf(clause_15,axiom,
    ( p2(X1,X2)
    | ~ p14(X1,X2) )).

cnf(clause_100,negated_conjecture,(
    p34(c37,c40,c50) )).

cnf(clause_78,negated_conjecture,(
    p2(c37,c40) )).

cnf(clause_24,axiom,
    ( ~ p16(X1,X2)
    | p22(X1,X2) )).

cnf(clause_50,axiom,
    ( ~ p30(X1,X2)
    | ~ p13(X1,X3)
    | p13(X2,X3) )).

cnf(clause_70,axiom,
    ( ~ p25(X1,X3)
    | ~ p35(X1,X2,X4)
    | ~ p18(X1,X4)
    | X3 = X2
    | ~ p25(X1,X2)
    | ~ p35(X1,X3,X4) )).

cnf(clause_66,axiom,
    ( p33(X2,X3,X4)
    | ~ p30(X1,X2)
    | ~ p33(X1,X3,X4) )).

cnf(clause_54,axiom,
    ( ~ p17(X1,X3)
    | p17(X2,X3)
    | ~ p30(X1,X2) )).

cnf(clause_101,negated_conjecture,(
    p35(c37,c41,c42) )).

cnf(clause_45,axiom,
    ( p32(X2,X3)
    | ~ p32(X1,X3)
    | ~ p30(X1,X2) )).

cnf(clause_30,axiom,
    ( ~ p28(X1,X2)
    | p25(X1,X2) )).

cnf(clause_105,negated_conjecture,(
    p35(c37,c48,c46) )).

cnf(clause_95,negated_conjecture,(
    p14(c37,c49) )).

cnf(clause_21,axiom,
    ( p19(X1,X2)
    | ~ p18(X1,X2) )).

cnf(clause_65,axiom,
    ( ~ p30(X1,X2)
    | p28(X2,X3)
    | ~ p28(X1,X3) )).

cnf(clause_43,axiom,
    ( ~ p8(X1,X3)
    | p8(X2,X3)
    | ~ p30(X1,X2) )).

cnf(clause_11,axiom,
    ( p12(X1,X2)
    | ~ p11(X1,X2) )).

cnf(clause_68,axiom,
    ( p35(X2,X3,X4)
    | ~ p30(X1,X2)
    | ~ p35(X1,X3,X4) )).

cnf(clause_110,negated_conjecture,
    ( p2(c50,f51(X2))
    | ~ p15(c50,X1) )).

cnf(clause_44,axiom,
    ( p31(X2,X3)
    | ~ p30(X1,X2)
    | ~ p31(X1,X3) )).

cnf(clause_76,negated_conjecture,(
    p32(c37,c40) )).

cnf(clause_17,axiom,
    ( ~ p16(X1,X2)
    | p17(X1,X2) )).

cnf(clause_72,negated_conjecture,(
    p36(c37) )).

cnf(clause_86,negated_conjecture,(
    p1(c43,c44) )).

cnf(clause_8,axiom,
    ( p10(X1,X2)
    | ~ p9(X1,X2) )).

cnf(clause_18,axiom,
    ( p18(X1,X2)
    | ~ p17(X1,X2) )).

cnf(clause_42,axiom,
    ( ~ p7(X1,X3)
    | p7(X2,X3)
    | ~ p30(X1,X2) )).

cnf(clause_94,negated_conjecture,(
    p9(c37,c43) )).

cnf(clause_85,negated_conjecture,(
    p31(c43,c44) )).

cnf(clause_93,negated_conjecture,(
    p30(c37,c43) )).

cnf(clause_48,axiom,
    ( p11(X2,X3)
    | ~ p30(X1,X2)
    | ~ p11(X1,X3) )).

cnf(clause_31,axiom,
    ( ~ p24(X1,X2)
    | ~ p8(X1,X2) )).

cnf(clause_89,negated_conjecture,(
    p31(c37,c47) )).

cnf(clause_49,axiom,
    ( ~ p30(X1,X2)
    | p12(X2,X3)
    | ~ p12(X1,X3) )).

cnf(clause_52,axiom,
    ( p15(X2,X3)
    | ~ p15(X1,X3)
    | ~ p30(X1,X2) )).

cnf(clause_33,axiom,
    ( ~ p22(X1,X2)
    | ~ p12(X1,X2) )).

cnf(clause_16,axiom,
    ( p16(X1,X2)
    | ~ p15(X1,X2) )).

cnf(clause_19,axiom,
    ( ~ p18(X1,X2)
    | p4(X1,X2) )).

cnf(clause_3,axiom,
    ( ~ p3(X1,X2)
    | p4(X1,X2) )).

cnf(clause_5,axiom,
    ( ~ p3(X1,X2)
    | p6(X1,X2) )).

cnf(clause_92,negated_conjecture,(
    p25(c37,c48) )).

cnf(clause_34,axiom,
    ( ~ p7(X1,X2)
    | ~ p19(X1,X2) )).
%------------------------------------------------------------------------------
