%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C,D,E,F,G,H,I) = f3(B,C,D,E,F,G,H,I) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A,D,E,F,G,H,I) = f3(C,B,D,E,F,G,H,I) )).

cnf(f3_substitution_3,axiom,
    ( A != B
    | f3(C,D,A,E,F,G,H,I) = f3(C,D,B,E,F,G,H,I) )).

cnf(f3_substitution_4,axiom,
    ( A != B
    | f3(C,D,E,A,F,G,H,I) = f3(C,D,E,B,F,G,H,I) )).

cnf(f3_substitution_5,axiom,
    ( A != B
    | f3(C,D,E,F,A,G,H,I) = f3(C,D,E,F,B,G,H,I) )).

cnf(f3_substitution_6,axiom,
    ( A != B
    | f3(C,D,E,F,G,A,H,I) = f3(C,D,E,F,G,B,H,I) )).

cnf(f3_substitution_7,axiom,
    ( A != B
    | f3(C,D,E,F,G,H,A,I) = f3(C,D,E,F,G,H,B,I) )).

cnf(f3_substitution_8,axiom,
    ( A != B
    | f3(C,D,E,F,G,H,I,A) = f3(C,D,E,F,G,H,I,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A) = f6(B) )).

cnf(f7_substitution_1,axiom,
    ( A != B
    | f7(A) = f7(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A,C)
    | p1(B,C) )).

cnf(p1_substitution_2,axiom,
    ( A != B
    | ~ p1(C,A)
    | p1(C,B) )).

cnf(clause_6,axiom,
    ( ~ p1(f2(X1),f3(X2,X3,X4,X5,X6,c4,c4,X7))
    | p1(f2(X1),f3(X2,X3,X4,X5,X6,c5,c5,X7)) )).

cnf(clause_16,axiom,(
    f6(c15) = c16 )).

cnf(clause_13,axiom,(
    f6(c12) = c13 )).

cnf(clause_12,axiom,(
    f6(c11) = c12 )).

cnf(clause_15,axiom,(
    f6(c14) = c15 )).

cnf(clause_9,axiom,(
    f6(c8) = c9 )).

cnf(clause_5,axiom,
    ( ~ p1(f2(X1),f3(X2,X3,X4,X5,c4,c4,X6,X7))
    | p1(f2(X1),f3(X2,X3,X4,X5,c5,c5,X6,X7)) )).

cnf(clause_4,axiom,
    ( ~ p1(f2(X1),f3(X2,X3,X4,c4,c4,X5,X6,X7))
    | p1(f2(X1),f3(X2,X3,X4,c5,c5,X5,X6,X7)) )).

cnf(clause_17,axiom,(
    f7(c5) = c4 )).

cnf(clause_7,axiom,
    ( ~ p1(f2(X1),f3(X2,X3,X4,X5,X6,X7,c4,c4))
    | p1(f2(X1),f3(X2,X3,X4,X5,X6,X7,c5,c5)) )).

cnf(clause_19,axiom,(
    f7(c17) = c4 )).

cnf(clause_3,axiom,
    ( p1(f2(X1),f3(X2,X3,c5,c5,X4,X5,X6,X7))
    | ~ p1(f2(X1),f3(X2,X3,c4,c4,X4,X5,X6,X7)) )).

cnf(clause_11,axiom,(
    f6(c10) = c11 )).

cnf(clause_18,axiom,(
    f7(c4) = c5 )).

cnf(clause_8,axiom,
    ( p1(f2(f6(X1)),f3(f7(X2),f7(X3),f7(X4),f7(X5),f7(X6),f7(X7),f7(X8),f7(X9)))
    | ~ p1(f2(X1),f3(X2,X3,X4,X5,X6,X7,X8,X9)) )).

cnf(clause_2,axiom,
    ( p1(f2(X1),f3(X2,c5,c5,X3,X4,X5,X6,X7))
    | ~ p1(f2(X1),f3(X2,c4,c4,X3,X4,X5,X6,X7)) )).

cnf(clause_21,negated_conjecture,(
    ~ p1(f2(c15),f3(c5,c5,c5,c5,c5,c5,c5,c4)) )).

cnf(clause_20,hypothesis,(
    p1(f2(c8),f3(c17,c4,c4,c4,c4,c4,c4,c4)) )).

cnf(clause_1,axiom,
    ( ~ p1(f2(X1),f3(c4,c4,X2,X3,X4,X5,X6,X7))
    | p1(f2(X1),f3(c5,c5,X2,X3,X4,X5,X6,X7)) )).

cnf(clause_10,axiom,(
    f6(c9) = c10 )).

cnf(clause_14,axiom,(
    f6(c13) = c14 )).
%------------------------------------------------------------------------------
