%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(p1_substitution_1,axiom,
    ( A != B
    | ~ p1(A)
    | p1(B) )).

cnf(p4_substitution_1,axiom,
    ( A != B
    | ~ p4(A,C,D)
    | p4(B,C,D) )).

cnf(p4_substitution_2,axiom,
    ( A != B
    | ~ p4(C,A,D)
    | p4(C,B,D) )).

cnf(p4_substitution_3,axiom,
    ( A != B
    | ~ p4(C,D,A)
    | p4(C,D,B) )).

cnf(p5_substitution_1,axiom,
    ( A != B
    | ~ p5(A,C)
    | p5(B,C) )).

cnf(p5_substitution_2,axiom,
    ( A != B
    | ~ p5(C,A)
    | p5(C,B) )).

cnf(clause_13,axiom,(
    f2(c3) != f2(f2(f2(f2(f2(c3))))) )).

cnf(clause_40,axiom,(
    f2(f2(f2(f2(f2(f2(c3)))))) != f2(f2(f2(f2(f2(f2(f2(c3))))))) )).

cnf(clause_63,hypothesis,
    ( ~ p5(X1,X2)
    | ~ p4(X1,f2(X2),X3)
    | ~ p4(f2(X1),X2,X3) )).

cnf(clause_72,hypothesis,
    ( ~ p4(f2(X1),X2,X3)
    | ~ p5(X1,X2)
    | ~ p4(f2(f2(X1)),f2(f2(X2)),X3) )).

cnf(clause_77,hypothesis,
    ( ~ p1(X3)
    | p4(f2(X1),f2(f2(X2)),X3)
    | p4(f2(f2(X1)),f2(X2),X3)
    | p4(f2(X1),f2(X2),X3)
    | ~ p5(X1,X2)
    | p4(f2(f2(X1)),X2,X3)
    | p4(X1,f2(f2(X2)),X3)
    | p4(X1,f2(X2),X3)
    | p4(f2(f2(X1)),f2(f2(X2)),X3)
    | p4(X1,X2,X3)
    | p4(f2(X1),X2,X3) )).

cnf(clause_83,hypothesis,(
    p4(f2(f2(c3)),f2(f2(f2(f2(f2(f2(f2(f2(c3)))))))),f2(f2(f2(f2(f2(f2(f2(c3)))))))) )).

cnf(clause_11,axiom,(
    f2(c3) != f2(f2(f2(c3))) )).

cnf(clause_75,hypothesis,
    ( ~ p5(X1,X2)
    | ~ p4(f2(X1),f2(f2(X2)),X3)
    | ~ p4(f2(f2(X1)),X2,X3) )).

cnf(clause_96,hypothesis,(
    p4(f2(f2(f2(f2(f2(f2(f2(f2(f2(c3))))))))),f2(f2(f2(f2(c3)))),f2(f2(f2(f2(f2(f2(f2(c3)))))))) )).

cnf(clause_59,hypothesis,
    ( ~ p4(f2(X1),f2(X2),X3)
    | ~ p4(X1,X2,X3)
    | ~ p5(X1,X2) )).

cnf(clause_17,axiom,(
    f2(c3) != f2(f2(f2(f2(f2(f2(f2(f2(f2(c3))))))))) )).

cnf(clause_21,axiom,(
    f2(f2(c3)) != f2(f2(f2(f2(f2(f2(c3)))))) )).

cnf(clause_58,hypothesis,(
    p5(f2(f2(f2(f2(f2(f2(f2(c3))))))),f2(f2(f2(f2(f2(f2(f2(c3)))))))) )).

cnf(clause_23,axiom,(
    f2(f2(c3)) != f2(f2(f2(f2(f2(f2(f2(f2(c3)))))))) )).

cnf(clause_12,axiom,(
    f2(c3) != f2(f2(f2(f2(c3)))) )).

cnf(clause_2,axiom,(
    p1(f2(f2(c3))) )).

cnf(clause_35,axiom,(
    f2(f2(f2(f2(c3)))) != f2(f2(f2(f2(f2(f2(f2(f2(f2(c3))))))))) )).

cnf(clause_65,hypothesis,
    ( ~ p4(f2(f2(X1)),X2,X3)
    | ~ p4(X1,f2(X2),X3)
    | ~ p5(X1,X2) )).

cnf(clause_52,hypothesis,(
    p5(f2(c3),f2(f2(f2(f2(f2(f2(f2(c3)))))))) )).

cnf(clause_49,axiom,
    ( ~ p4(X1,X2,X3)
    | ~ p4(X4,X2,X3)
    | X1 = X4 )).

cnf(clause_79,hypothesis,
    ( p4(f2(f2(c3)),X1,X2)
    | p4(f2(c3),X1,X2)
    | p4(f2(f2(f2(c3))),X1,X2)
    | ~ p1(X1)
    | p4(f2(f2(f2(f2(f2(f2(f2(c3))))))),X1,X2)
    | p4(f2(f2(f2(f2(f2(c3))))),X1,X2)
    | p4(f2(f2(f2(f2(c3)))),X1,X2)
    | p4(f2(f2(f2(f2(f2(f2(f2(f2(f2(c3))))))))),X1,X2)
    | ~ p1(X2)
    | p4(f2(f2(f2(f2(f2(f2(f2(f2(c3)))))))),X1,X2)
    | p4(f2(f2(f2(f2(f2(f2(c3)))))),X1,X2) )).

cnf(clause_53,hypothesis,(
    p5(f2(f2(f2(f2(c3)))),f2(c3)) )).

cnf(clause_84,hypothesis,(
    p4(f2(f2(c3)),f2(f2(f2(f2(f2(f2(f2(f2(f2(c3))))))))),f2(c3)) )).

cnf(clause_67,hypothesis,
    ( ~ p4(X1,f2(f2(X2)),X3)
    | ~ p5(X1,X2)
    | ~ p4(f2(X1),X2,X3) )).

cnf(clause_76,hypothesis,
    ( ~ p4(f2(f2(X1)),f2(X2),X3)
    | ~ p4(f2(X1),f2(f2(X2)),X3)
    | ~ p5(X1,X2) )).

cnf(clause_20,axiom,(
    f2(f2(c3)) != f2(f2(f2(f2(f2(c3))))) )).

cnf(clause_3,axiom,(
    p1(f2(f2(f2(c3)))) )).

cnf(clause_69,hypothesis,
    ( ~ p4(X1,f2(f2(X2)),X3)
    | ~ p5(X1,X2)
    | ~ p4(f2(f2(X1)),X2,X3) )).

cnf(clause_70,hypothesis,
    ( ~ p5(X1,X2)
    | ~ p4(X1,f2(f2(X2)),X3)
    | ~ p4(f2(f2(X1)),f2(X2),X3) )).

cnf(clause_15,axiom,(
    f2(c3) != f2(f2(f2(f2(f2(f2(f2(c3))))))) )).

cnf(clause_81,hypothesis,(
    p4(f2(c3),f2(f2(c3)),f2(f2(f2(f2(f2(c3)))))) )).

cnf(clause_78,hypothesis,
    ( ~ p1(X2)
    | p4(X1,f2(f2(f2(f2(f2(f2(f2(c3))))))),X2)
    | p4(X1,f2(f2(f2(f2(f2(c3))))),X2)
    | p4(X1,f2(f2(f2(f2(c3)))),X2)
    | p4(X1,f2(f2(c3)),X2)
    | p4(X1,f2(f2(f2(c3))),X2)
    | p4(X1,f2(f2(f2(f2(f2(f2(f2(f2(f2(c3))))))))),X2)
    | ~ p1(X1)
    | p4(X1,f2(f2(f2(f2(f2(f2(c3)))))),X2)
    | p4(X1,f2(f2(f2(f2(f2(f2(f2(f2(c3)))))))),X2)
    | p4(X1,f2(c3),X2) )).

cnf(clause_30,axiom,(
    f2(f2(f2(c3))) != f2(f2(f2(f2(f2(f2(f2(f2(f2(c3))))))))) )).

cnf(clause_45,axiom,(
    f2(f2(f2(f2(f2(f2(f2(f2(c3)))))))) != f2(f2(f2(f2(f2(f2(f2(f2(f2(c3))))))))) )).

cnf(clause_91,hypothesis,(
    p4(f2(f2(f2(f2(f2(c3))))),f2(f2(f2(f2(f2(f2(f2(c3))))))),f2(f2(c3))) )).

cnf(clause_31,axiom,(
    f2(f2(f2(f2(c3)))) != f2(f2(f2(f2(f2(c3))))) )).

cnf(clause_95,hypothesis,(
    p4(f2(f2(f2(f2(f2(f2(f2(f2(c3)))))))),f2(f2(f2(f2(f2(f2(c3)))))),f2(f2(f2(c3)))) )).

cnf(clause_37,axiom,(
    f2(f2(f2(f2(f2(c3))))) != f2(f2(f2(f2(f2(f2(f2(c3))))))) )).

cnf(clause_19,axiom,(
    f2(f2(c3)) != f2(f2(f2(f2(c3)))) )).

cnf(clause_55,hypothesis,(
    p5(f2(f2(f2(f2(c3)))),f2(f2(f2(f2(f2(f2(f2(c3)))))))) )).

cnf(clause_80,hypothesis,(
    p4(f2(c3),f2(c3),f2(f2(f2(f2(c3))))) )).

cnf(clause_5,axiom,(
    p1(f2(f2(f2(f2(f2(c3)))))) )).

cnf(clause_39,axiom,(
    f2(f2(f2(f2(f2(c3))))) != f2(f2(f2(f2(f2(f2(f2(f2(f2(c3))))))))) )).

cnf(clause_90,hypothesis,(
    p4(f2(f2(f2(f2(f2(c3))))),f2(f2(f2(f2(f2(c3))))),f2(f2(f2(f2(c3))))) )).

cnf(clause_48,axiom,
    ( ~ p4(X1,X2,X3)
    | ~ p4(X1,X4,X3)
    | X2 = X4 )).

cnf(clause_27,axiom,(
    f2(f2(f2(c3))) != f2(f2(f2(f2(f2(f2(c3)))))) )).

cnf(clause_8,axiom,(
    p1(f2(f2(f2(f2(f2(f2(f2(f2(c3))))))))) )).

cnf(clause_24,axiom,(
    f2(f2(c3)) != f2(f2(f2(f2(f2(f2(f2(f2(f2(c3))))))))) )).

cnf(clause_25,axiom,(
    f2(f2(f2(c3))) != f2(f2(f2(f2(c3)))) )).

cnf(clause_18,axiom,(
    f2(f2(c3)) != f2(f2(f2(c3))) )).

cnf(clause_22,axiom,(
    f2(f2(c3)) != f2(f2(f2(f2(f2(f2(f2(c3))))))) )).

cnf(clause_51,hypothesis,(
    p5(f2(c3),f2(f2(f2(f2(c3))))) )).

cnf(clause_89,hypothesis,(
    p4(f2(f2(f2(f2(f2(c3))))),f2(c3),f2(f2(f2(f2(f2(c3)))))) )).

cnf(clause_14,axiom,(
    f2(c3) != f2(f2(f2(f2(f2(f2(c3)))))) )).

cnf(clause_1,axiom,(
    p1(f2(c3)) )).

cnf(clause_50,hypothesis,(
    p5(f2(c3),f2(c3)) )).

cnf(clause_94,hypothesis,(
    p4(f2(f2(f2(f2(f2(f2(f2(f2(c3)))))))),f2(f2(f2(f2(c3)))),f2(c3)) )).

cnf(clause_64,hypothesis,
    ( ~ p5(X1,X2)
    | ~ p4(f2(X1),f2(f2(X2)),X3)
    | ~ p4(X1,f2(X2),X3) )).

cnf(clause_54,hypothesis,(
    p5(f2(f2(f2(f2(c3)))),f2(f2(f2(f2(c3))))) )).

cnf(clause_43,axiom,(
    f2(f2(f2(f2(f2(f2(f2(c3))))))) != f2(f2(f2(f2(f2(f2(f2(f2(c3)))))))) )).

cnf(clause_60,hypothesis,
    ( ~ p4(X1,X2,X3)
    | ~ p4(f2(X1),f2(f2(X2)),X3)
    | ~ p5(X1,X2) )).

cnf(clause_73,hypothesis,
    ( ~ p4(f2(X1),f2(X2),X3)
    | ~ p4(f2(f2(X1)),X2,X3)
    | ~ p5(X1,X2) )).

cnf(clause_86,hypothesis,(
    p4(f2(f2(f2(f2(c3)))),f2(f2(f2(c3))),f2(c3)) )).

cnf(clause_10,axiom,(
    f2(c3) != f2(f2(c3)) )).

cnf(clause_38,axiom,(
    f2(f2(f2(f2(f2(c3))))) != f2(f2(f2(f2(f2(f2(f2(f2(c3)))))))) )).

cnf(clause_82,hypothesis,(
    p4(f2(c3),f2(f2(f2(f2(f2(c3))))),f2(f2(f2(f2(f2(f2(f2(f2(c3))))))))) )).

cnf(clause_85,hypothesis,(
    p4(f2(f2(f2(c3))),f2(f2(c3)),f2(f2(c3))) )).

cnf(clause_7,axiom,(
    p1(f2(f2(f2(f2(f2(f2(f2(c3)))))))) )).

cnf(clause_92,hypothesis,(
    p4(f2(f2(f2(f2(f2(f2(f2(c3))))))),f2(c3),f2(f2(c3))) )).

cnf(clause_41,axiom,(
    f2(f2(f2(f2(f2(f2(c3)))))) != f2(f2(f2(f2(f2(f2(f2(f2(c3)))))))) )).

cnf(clause_33,axiom,(
    f2(f2(f2(f2(c3)))) != f2(f2(f2(f2(f2(f2(f2(c3))))))) )).

cnf(clause_44,axiom,(
    f2(f2(f2(f2(f2(f2(f2(c3))))))) != f2(f2(f2(f2(f2(f2(f2(f2(f2(c3))))))))) )).

cnf(clause_74,hypothesis,
    ( ~ p5(X1,X2)
    | ~ p4(f2(f2(X1)),f2(f2(X2)),X3)
    | ~ p4(f2(X1),f2(X2),X3) )).

cnf(clause_26,axiom,(
    f2(f2(f2(c3))) != f2(f2(f2(f2(f2(c3))))) )).

cnf(clause_28,axiom,(
    f2(f2(f2(c3))) != f2(f2(f2(f2(f2(f2(f2(c3))))))) )).

cnf(clause_16,axiom,(
    f2(c3) != f2(f2(f2(f2(f2(f2(f2(f2(c3)))))))) )).

cnf(clause_42,axiom,(
    f2(f2(f2(f2(f2(f2(c3)))))) != f2(f2(f2(f2(f2(f2(f2(f2(f2(c3))))))))) )).

cnf(clause_71,hypothesis,
    ( ~ p4(f2(f2(X1)),f2(X2),X3)
    | ~ p5(X1,X2)
    | ~ p4(f2(X1),X2,X3) )).

cnf(clause_32,axiom,(
    f2(f2(f2(f2(c3)))) != f2(f2(f2(f2(f2(f2(c3)))))) )).

cnf(clause_34,axiom,(
    f2(f2(f2(f2(c3)))) != f2(f2(f2(f2(f2(f2(f2(f2(c3)))))))) )).

cnf(clause_68,hypothesis,
    ( ~ p4(X1,f2(f2(X2)),X3)
    | ~ p4(f2(X1),f2(X2),X3)
    | ~ p5(X1,X2) )).

cnf(clause_93,hypothesis,(
    p4(f2(f2(f2(f2(f2(f2(f2(c3))))))),f2(f2(f2(f2(f2(f2(f2(c3))))))),f2(f2(f2(f2(f2(f2(f2(f2(c3))))))))) )).

cnf(clause_61,hypothesis,
    ( ~ p5(X1,X2)
    | ~ p4(X1,X2,X3)
    | ~ p4(f2(f2(X1)),f2(X2),X3) )).

cnf(clause_46,axiom,
    ( p4(X1,X2,f2(f2(f2(c3))))
    | p4(X1,X2,f2(f2(f2(f2(c3)))))
    | ~ p1(X1)
    | p4(X1,X2,f2(f2(f2(f2(f2(f2(c3)))))))
    | p4(X1,X2,f2(f2(f2(f2(f2(f2(f2(f2(f2(c3))))))))))
    | p4(X1,X2,f2(f2(f2(f2(f2(c3))))))
    | ~ p1(X2)
    | p4(X1,X2,f2(f2(f2(f2(f2(f2(f2(c3))))))))
    | p4(X1,X2,f2(f2(c3)))
    | p4(X1,X2,f2(f2(f2(f2(f2(f2(f2(f2(c3)))))))))
    | p4(X1,X2,f2(c3)) )).

cnf(clause_6,axiom,(
    p1(f2(f2(f2(f2(f2(f2(c3))))))) )).

cnf(clause_47,axiom,
    ( ~ p4(X1,X2,X3)
    | X3 = X4
    | ~ p4(X1,X2,X4) )).

cnf(clause_36,axiom,(
    f2(f2(f2(f2(f2(c3))))) != f2(f2(f2(f2(f2(f2(c3)))))) )).

cnf(clause_87,hypothesis,(
    p4(f2(f2(f2(f2(c3)))),f2(f2(f2(f2(c3)))),f2(f2(f2(f2(f2(f2(c3))))))) )).

cnf(clause_88,hypothesis,(
    p4(f2(f2(f2(f2(c3)))),f2(f2(f2(f2(f2(f2(f2(f2(c3)))))))),f2(f2(f2(c3)))) )).

cnf(clause_57,hypothesis,(
    p5(f2(f2(f2(f2(f2(f2(f2(c3))))))),f2(f2(f2(f2(c3))))) )).

cnf(clause_4,axiom,(
    p1(f2(f2(f2(f2(c3))))) )).

cnf(clause_9,axiom,(
    p1(f2(f2(f2(f2(f2(f2(f2(f2(f2(c3)))))))))) )).

cnf(clause_29,axiom,(
    f2(f2(f2(c3))) != f2(f2(f2(f2(f2(f2(f2(f2(c3)))))))) )).

cnf(clause_56,hypothesis,(
    p5(f2(f2(f2(f2(f2(f2(f2(c3))))))),f2(c3)) )).

cnf(clause_66,hypothesis,
    ( ~ p5(X1,X2)
    | ~ p4(f2(f2(X1)),f2(f2(X2)),X3)
    | ~ p4(X1,f2(X2),X3) )).

cnf(clause_62,hypothesis,
    ( ~ p5(X1,X2)
    | ~ p4(f2(f2(X1)),f2(f2(X2)),X3)
    | ~ p4(X1,X2,X3) )).
%------------------------------------------------------------------------------
