%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C,D) = f5(B,C,D) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A,D) = f5(C,B,D) )).

cnf(f5_substitution_3,axiom,
    ( A != B
    | f5(C,D,A) = f5(C,D,B) )).

cnf(f6_substitution_1,axiom,
    ( A != B
    | f6(A,C) = f6(B,C) )).

cnf(f6_substitution_2,axiom,
    ( A != B
    | f6(C,A) = f6(C,B) )).

cnf(clause_17,axiom,(
    f1(f3(X1,X2),X3) = f3(f1(X1,X3),f1(X2,X3)) )).

cnf(clause_11,axiom,(
    f3(X1,c4) = X1 )).

cnf(clause_16,axiom,(
    f1(X1,f3(X2,X3)) = f3(f1(X1,X2),f1(X1,X3)) )).

cnf(clause_3,axiom,(
    f1(X1,f2(X2)) = f2(f1(X1,X2)) )).

cnf(clause_12,axiom,(
    f1(c4,X1) = c4 )).

cnf(clause_6,axiom,(
    f1(f2(X1),f3(X2,X3)) = f3(f2(f1(X1,X2)),f2(f1(X1,X3))) )).

cnf(clause_4,axiom,(
    f1(X1,f3(X2,f2(X3))) = f3(f1(X1,X2),f2(f1(X1,X3))) )).

cnf(clause_22,negated_conjecture,(
    f1(f1(f1(f5(c7,c7,c8),f5(c7,c7,c8)),c7),f1(f5(c7,c7,c8),f5(c7,c7,c8))) != c4 )).

cnf(clause_1,axiom,(
    f1(f2(X1),f2(X2)) = f1(X1,X2) )).

cnf(clause_2,axiom,(
    f1(f2(X1),X2) = f2(f1(X1,X2)) )).

cnf(clause_13,axiom,(
    f1(X1,c4) = c4 )).

cnf(clause_21,axiom,(
    f6(X1,X2) = f3(f1(X2,X1),f2(f1(X1,X2))) )).

cnf(clause_15,axiom,(
    f3(X1,f2(X1)) = c4 )).

cnf(clause_8,axiom,(
    f3(X1,X2) = f3(X2,X1) )).

cnf(clause_18,axiom,(
    f2(f2(X1)) = X1 )).

cnf(clause_14,axiom,(
    f3(f2(X1),X1) = c4 )).

cnf(clause_9,axiom,(
    f3(X1,f3(X2,X3)) = f3(f3(X1,X2),X3) )).

cnf(clause_7,axiom,(
    f1(f3(X1,X2),f2(X3)) = f3(f2(f1(X1,X3)),f2(f1(X2,X3))) )).

cnf(clause_20,axiom,(
    f5(X1,X2,X3) = f3(f1(f1(X1,X2),X3),f2(f1(X1,f1(X2,X3)))) )).

cnf(clause_5,axiom,(
    f1(f3(X1,f2(X2)),X3) = f3(f1(X1,X3),f2(f1(X2,X3))) )).

cnf(clause_10,axiom,(
    f3(c4,X1) = X1 )).

cnf(clause_19,axiom,(
    f1(f1(X1,X2),X2) = f1(X1,f1(X2,X2)) )).
%------------------------------------------------------------------------------
