%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A,C) = f2(B,C) )).

cnf(f2_substitution_2,axiom,
    ( A != B
    | f2(C,A) = f2(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C,D) = f5(B,C,D) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A,D) = f5(C,B,D) )).

cnf(f5_substitution_3,axiom,
    ( A != B
    | f5(C,D,A) = f5(C,D,B) )).

cnf(clause_2,axiom,(
    f2(f1(X2,X1),f1(X3,X1)) = f1(X1,f2(X2,X3)) )).

cnf(clause_3,axiom,(
    c4 = f2(X1,f3(X1)) )).

cnf(clause_4,axiom,(
    f5(X1,X2,X3) = f2(f1(X1,f3(X2)),f2(f1(X1,X3),f1(f3(X2),X3))) )).

cnf(clause_8,negated_conjecture,(
    f2(c6,f1(c7,c8)) != f1(f2(c6,c7),f2(c6,c8)) )).

cnf(clause_1,axiom,(
    X2 = f1(f2(X1,X2),X2) )).

cnf(clause_7,axiom,(
    f5(X1,X2,X1) = X1 )).

cnf(clause_6,axiom,(
    f5(X1,X2,X2) = X1 )).

cnf(clause_5,axiom,(
    X2 = f5(X1,X1,X2) )).
%------------------------------------------------------------------------------
