%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A) = f3(B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A,C) = f4(B,C) )).

cnf(f4_substitution_2,axiom,
    ( A != B
    | f4(C,A) = f4(C,B) )).

cnf(f5_substitution_1,axiom,
    ( A != B
    | f5(A,C) = f5(B,C) )).

cnf(f5_substitution_2,axiom,
    ( A != B
    | f5(C,A) = f5(C,B) )).

cnf(clause_2,axiom,(
    f1(f3(X1),X1) = c2 )).

cnf(clause_14,axiom,(
    f1(f5(X1,X2),X3) = f5(f1(X1,X3),f1(X2,X3)) )).

cnf(clause_11,axiom,(
    X1 = f4(X1,f5(X1,X2)) )).

cnf(clause_13,axiom,(
    f1(X1,f4(X2,X3)) = f4(f1(X1,X2),f1(X1,X3)) )).

cnf(clause_10,axiom,(
    X1 = f5(X1,f4(X1,X2)) )).

cnf(clause_5,axiom,(
    f5(X2,X1) = f5(X1,X2) )).

cnf(clause_12,axiom,(
    f1(X1,f5(X2,X3)) = f5(f1(X1,X2),f1(X1,X3)) )).

cnf(clause_18,hypothesis,(
    f4(c2,c8) = c2 )).

cnf(clause_6,axiom,(
    f4(X1,f4(X2,X3)) = f4(f4(X1,X2),X3) )).

cnf(clause_7,axiom,(
    f5(X1,f5(X2,X3)) = f5(f5(X1,X2),X3) )).

cnf(clause_4,axiom,(
    f4(X2,X1) = f4(X1,X2) )).

cnf(clause_3,axiom,(
    f1(f1(X1,X2),X3) = f1(X1,f1(X2,X3)) )).

cnf(clause_17,hypothesis,(
    f4(c2,c7) = c2 )).

cnf(clause_20,negated_conjecture,(
    f4(c6,f1(c7,c8)) != f4(c6,c8) )).

cnf(clause_16,hypothesis,(
    c2 = f4(c2,c6) )).

cnf(clause_8,axiom,(
    X1 = f5(X1,X1) )).

cnf(clause_9,axiom,(
    X1 = f4(X1,X1) )).

cnf(clause_19,hypothesis,(
    c2 = f4(c6,c7) )).

cnf(clause_15,axiom,(
    f1(f4(X1,X2),X3) = f4(f1(X1,X3),f1(X2,X3)) )).

cnf(clause_1,axiom,(
    X1 = f1(c2,X1) )).
%------------------------------------------------------------------------------
