%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(clause_3,negated_conjecture,(
    f3(f2(c5),c5) != f3(f2(c4),c4) )).

cnf(clause_1,axiom,(
    X3 = f1(f2(f1(f1(f1(X1,X1),X2),f1(X3,f1(X2,X4)))),X4) )).

cnf(clause_2,axiom,(
    f3(X1,X2) = f1(X1,f2(X2)) )).
%------------------------------------------------------------------------------
