%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f3_substitution_1,axiom,
    ( A != B
    | f3(A,C) = f3(B,C) )).

cnf(f3_substitution_2,axiom,
    ( A != B
    | f3(C,A) = f3(C,B) )).

cnf(f4_substitution_1,axiom,
    ( A != B
    | f4(A) = f4(B) )).

cnf(clause_5,negated_conjecture,(
    f3(c5,f3(c6,c7)) != f3(f3(c5,c6),c7) )).

cnf(clause_2,axiom,(
    f3(X1,X2) = f1(f1(X2,X1),c2) )).

cnf(clause_1,axiom,(
    f1(f1(X1,f1(f1(X2,f1(X1,X3)),f1(c2,X3))),f1(c2,c2)) = X2 )).

cnf(clause_4,axiom,(
    f1(X1,f4(X1)) = c2 )).

cnf(clause_3,axiom,(
    f1(X1,c2) = f4(X1) )).
%------------------------------------------------------------------------------
