%------------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%------------------------------------------------------------------------------
cnf(reflexivity,axiom,(
    X = X )).

cnf(symmetry,axiom,
    ( X != Y
    | Y = X )).

cnf(transitivity,axiom,
    ( X != Y
    | Y != Z
    | X = Z )).

cnf(f1_substitution_1,axiom,
    ( A != B
    | f1(A,C) = f1(B,C) )).

cnf(f1_substitution_2,axiom,
    ( A != B
    | f1(C,A) = f1(C,B) )).

cnf(f2_substitution_1,axiom,
    ( A != B
    | f2(A) = f2(B) )).

cnf(clause_5,negated_conjecture,(
    c6 != f1(f2(f1(c5,f2(c6))),f2(f1(f2(c5),f2(c6)))) )).

cnf(clause_1,axiom,(
    f1(X2,X1) = f1(X1,X2) )).

cnf(clause_3,axiom,(
    f2(f1(f2(f1(X1,X2)),f2(f1(X1,f2(X2))))) = X1 )).

cnf(clause_4,hypothesis,(
    c4 = f1(c3,c4) )).

cnf(clause_2,axiom,(
    f1(X1,f1(X2,X3)) = f1(f1(X1,X2),X3) )).
%------------------------------------------------------------------------------
